package fr.unedic.cali.asu.caa14.calcul.outilsfonctionnels;

import fr.unedic.cali.asu.cge01.outilsfonctionnels.RevalorisationSalaire;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.asu.parametres.ParametresIndemnisation;
import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.QuantiteDroitSpec;
import fr.unedic.cali.dom.QuantiteIndemnisationSpec;
import fr.unedic.cali.dom.spec.ConventionGestionSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import java.math.BigDecimal;
import java.util.Collection;
import java.util.Iterator;

public class MajCi
{
  private static final int CINQUANTE_ANS = 50;
  
  public static ConstituantsIndemnisation miseAJourConstituantsIndemnisation(AttributionSpec attribution, ConstituantsIndemnisation constituantsIndemnisation, Damj dateDeMiseAjour)
    throws CoucheLogiqueException
  {
    QuantiteDroitSpec dureeDroit = null;
    Collection<?> collectionDurees = null;
    Iterator<?> iterator = null;
    String codeFormuleMontant = null;
    
    ParametresIndemnisation parametresIndemnisation = null;
    BigDecimal tauxAvantageViellesse = null;
    parametresIndemnisation = ParametresIndemnisation.getParametresIndemnisation();
    
    ElementBaseIndemnisation ebiAttrib = ((AttributionAssuranceSpec)attribution).getElementBaseIndemnisation();
    
    tauxAvantageViellesse = parametresIndemnisation.getTauxAvantageViellesse(attribution.getDemandeur().getAgeALaDate(dateDeMiseAjour));
    if ((tauxAvantageViellesse != null) && (ebiAttrib.isContextePAPPresent())) {
      ((ElementBaseIndemnisation)constituantsIndemnisation.getElementBaseIndemnisationCourant()).setTauxAvantageVieillesse(tauxAvantageViellesse);
    }
    codeFormuleMontant = constituantsIndemnisation.getCodeFormuleMontant();
    if (codeFormuleMontant != null) {
      miseAJourParametres(attribution, constituantsIndemnisation, dateDeMiseAjour);
    }
    collectionDurees = constituantsIndemnisation.getCollectionQuantiteDroit();
    if (collectionDurees != null)
    {
      iterator = collectionDurees.iterator();
      while (iterator.hasNext())
      {
        dureeDroit = (QuantiteDroitSpec)iterator.next();
        if ((dureeDroit instanceof QuantiteIndemnisationSpec)) {
          miseAJourParametres(attribution, constituantsIndemnisation, dateDeMiseAjour);
        }
      }
    }
    return constituantsIndemnisation;
  }
  
  private static void miseAJourParametres(AttributionSpec attributionParam, ConstituantsIndemnisation constituantsIndemnisation, Damj dateDeMiseAjour)
    throws CoucheLogiqueException
  {
    ElementBaseIndemnisation elementBaseIndemnisation = null;
    Sjr nouveauSjr = null;
    AttributionAssuranceSpec attribution = (AttributionAssuranceSpec)attributionParam;
    
    elementBaseIndemnisation = (ElementBaseIndemnisation)constituantsIndemnisation.getElementBaseIndemnisationCourant();
    elementBaseIndemnisation.setCoefficientSaisonnier(new BigDecimal("1.00"));
    
    nouveauSjr = RevalorisationSalaire.revaloriserSjr(attribution, dateDeMiseAjour);
    
    elementBaseIndemnisation.getSjr().setSalaire(nouveauSjr.getSalaire());
    if ((elementBaseIndemnisation.getCoefficientSaisonnier() != null) && 
      (elementBaseIndemnisation.getCoefficientSaisonnier().intValue() != 1) && (attributionParam.getDemandeur().getAgeALaDate(dateDeMiseAjour).getAnnees() >= 50)) {
      if ((elementBaseIndemnisation.getTypeCaractereSaisonnierRetenu() == 1) && (elementBaseIndemnisation.isConditionCaractereSaisonnierParRythme())) {
        elementBaseIndemnisation.setCoefficientSaisonnier(new BigDecimal("1.00"));
      }
    }
    if ((elementBaseIndemnisation.getAvecPrecompteCRC() == null) && 
      (attribution.getCompetenceFinanciere() == 2) && ((attribution.getCompetenceAdministrative() != 1) || ((((AttributionAssuranceSpec)attributionParam).getConventionGestion() != null) && (!((AttributionAssuranceSpec)attributionParam).getConventionGestion().estPrecompteCRC())))) {
      elementBaseIndemnisation.setAvecPrecompteCRC(Boolean.FALSE);
    }
  }
}

/* Location:
 * Qualified Name:     MajCi
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */