package fr.unedic.cali.asu.caa14.calcul.outilsfonctionnels;

import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeDebutPec;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeFinDureeMaintienDroit;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeRejetRevision;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeSuspensionIndemnisation;
import fr.unedic.cali.asu.calcul.outilsfonctionnels.OutilPensionInvalidite;
import fr.unedic.cali.asu.cge01.calcul.outilsfonctionnels.fabriques.FabriqueStrategieConvention2014;
import fr.unedic.cali.asu.cge01.calcul.outilsfonctionnels.strategies.StrategieConventionARE14Spec;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.autresdoms.cohab.dom.ObjetChronoPeriodePriseEnCharge;
import fr.unedic.cali.autresdoms.cohab.dom.PeriodeSousPensionInvaliditeChainee;
import fr.unedic.cali.calcul.OutillagePeriodes;
import fr.unedic.cali.calcul.dom.QualificationPeriodes;
import fr.unedic.cali.calcul.dom.periode.DebutActionFormation;
import fr.unedic.cali.calcul.dom.periode.DsmAbsenceAuPointage;
import fr.unedic.cali.calcul.dom.periode.DsmMaladie;
import fr.unedic.cali.calcul.dom.periode.DsmTravail;
import fr.unedic.cali.calcul.dom.periode.FinActionFormation;
import fr.unedic.cali.calcul.dom.periode.FinPeriodeAvantageVieillesse;
import fr.unedic.cali.calcul.dom.periode.FinPeriodePensionInvaliditeChainee;
import fr.unedic.cali.calcul.dom.periode.PeriodeAbsenceActualisationMaintienEuropeen;
import fr.unedic.cali.calcul.dom.periode.PeriodeAbsenceAuPointage;
import fr.unedic.cali.calcul.dom.periode.PeriodeActiviteSalarieSansSalaire;
import fr.unedic.cali.calcul.dom.periode.PeriodeAvantageVieillesse;
import fr.unedic.cali.calcul.dom.periode.PeriodeBlocageIndemnisation;
import fr.unedic.cali.calcul.dom.periode.PeriodeClca;
import fr.unedic.cali.calcul.dom.periode.PeriodeClcaOuverte;
import fr.unedic.cali.calcul.dom.periode.PeriodeConflitGAEC;
import fr.unedic.cali.calcul.dom.periode.PeriodeDisponibilite;
import fr.unedic.cali.calcul.dom.periode.PeriodeEvenementPersonnel;
import fr.unedic.cali.calcul.dom.periode.PeriodeExclusionDefinitiveDDTE;
import fr.unedic.cali.calcul.dom.periode.PeriodeInassiduiteFormation;
import fr.unedic.cali.calcul.dom.periode.PeriodeInterStageFormation;
import fr.unedic.cali.calcul.dom.periode.PeriodePrime;
import fr.unedic.cali.calcul.dom.periode.PeriodeTravailJustifiee;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoAnomalieI04;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoBlocageM12;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeCalcul;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeFinPec;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeInterProduits;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeLendemainDja;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeLimiteIndemnisationASP;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeLimiteIndemnisationPMVS;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodePEC;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeRadiation;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeRetraite;
import fr.unedic.cali.calcul.outilsfonctionnels.QualificationAbstraite;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.RevisionSpec;
import fr.unedic.cali.outilsfonctionnels.OutillagePEC;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.parametres.GestionnaireDateApplication;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

public class Qualification
  extends QualificationAbstraite
{
  protected boolean estTypeAPrendreEnCompte(ObjetChronoPeriode periode)
  {
    return periode instanceof PeriodeActiviteSalarieSansSalaire;
  }
  
  protected boolean qualifierUnePeriodeAlertante(ObjetChronoPeriodeCalcul periode, QualificationPeriodes qualificationPeriodes, AttributionSpec attribution)
  {
    if (((periode instanceof ObjetChronoBlocageM12)) || ((periode instanceof ObjetChronoAnomalieI04)))
    {
      qualificationPeriodes.ajouterPeriodesAlertantes(periode);
      return true;
    }
    return false;
  }
  
  protected boolean qualifierUnePeriodeDecalante(ObjetChronoPeriodeCalcul periode, QualificationPeriodes qualificationPeriodes, AttributionSpec attribution)
  {
    if (((periode instanceof PeriodeTravailJustifiee)) || ((periode instanceof DsmTravail)) || ((periode instanceof PeriodePrime)) || ((periode instanceof PeriodeAbsenceActualisationMaintienEuropeen))) {
      qualificationPeriodes.ajouterPeriodesDecalantes(periode);
    } else {
      return false;
    }
    return true;
  }
  
  protected boolean qualifierUnePeriodeDecalantePourAvant(ObjetChronoPeriodeCalcul periode, QualificationPeriodes qualificationPeriodes, AttributionSpec attribution)
  {
    return qualifierUnePeriodeDecalante(periode, qualificationPeriodes, attribution);
  }
  
  protected boolean qualifierUnePeriodeGelante(ObjetChronoPeriodeCalcul periode, QualificationPeriodes qualificationPeriodes, AttributionSpec attribution)
  {
    if ((periode instanceof PeriodeAbsenceAuPointage)) {
      qualificationPeriodes.ajouterPeriodesGelantes(periode);
    } else {
      return false;
    }
    return true;
  }
  
  protected boolean qualifierUnePeriodeInterruptives(ObjetChronoPeriodeCalcul periode, QualificationPeriodes qualificationPeriodes, AttributionSpec attribution)
  {
    if ((periode instanceof ObjetChronoPeriodeSuspensionIndemnisation)) {
      qualificationPeriodes.ajouterPeriodesInterruptives(periode);
    } else {
      return false;
    }
    return true;
  }
  
  protected boolean qualifierUnePeriodeInterruptivesDefinitives(ObjetChronoPeriodeCalcul periode, QualificationPeriodes qualificationPeriodes, AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    if (((periode instanceof PeriodeDisponibilite)) && (periode.getDateFin().estApresOuCoincideAvec(GestionnaireDateApplication.getInstance().recupererDateApplication("Périodes suspensives en cours"))) && (periode.getDateFin().estApres(attribution.getDateAttribution())))
    {
      if ((((PeriodeDisponibilite)periode).doitInterrompteARE()) && ((!((PeriodeDisponibilite)periode).estSuiteRenouvellement()) || (attribution.getDateAttribution().estAvantOuCoincideAvec(((PeriodeDisponibilite)periode).getDateDebutRenouvellement())))) {
        qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
      }
    }
    else if (((periode instanceof ObjetChronoPeriodeLimiteIndemnisationPMVS)) && (((ObjetChronoPeriodeLimiteIndemnisationPMVS)periode).getRsod().equals(attribution.getRsod())))
    {
      qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
    }
    else if (((periode instanceof ObjetChronoPeriodeLimiteIndemnisationASP)) && (((ObjetChronoPeriodeLimiteIndemnisationASP)periode).getRsod().equals(attribution.getRsod())))
    {
      qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
    }
    else if ((periode instanceof ObjetChronoPeriodeRadiation))
    {
      ObjetChronoPeriodePriseEnCharge periodePEC = OutillagePeriodes.recupererPeriodePECContenant(attribution.getDemandeur(), attribution.getDateEffet());
      if ((!OutillagePEC.estPecSuivanteAutreEtatMembreCoordination(attribution.getDemandeur(), periode.getDateDebut())) && (((ObjetChronoPeriodeRadiation)periode).getPEC().getPeriode().coincideAvec(new Periode(periodePEC.getDateDebut(), periodePEC.getDateFin())))) {
        qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
      }
    }
    else if ((periode instanceof PeriodeBlocageIndemnisation))
    {
      qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
    }
    else if ((periode instanceof PeriodeConflitGAEC))
    {
      if (!attribution.estNeutralise())
      {
        if ((attribution.getDateAttribution() != null) && (attribution.getDateAttribution().estApres(periode.getDateDebut()))) {
          if (attribution.getDateAttribution().coincideAvec(attribution.getDateAttribution().getFinMois()))
          {
            periode.setDateDebut(attribution.getDateAttribution().lendemain());
            periode.setDateFin(attribution.getDateAttribution().lendemain());
          }
          else
          {
            periode.setDateDebut(attribution.getDateAttribution().getFinMois());
            periode.setDateFin(attribution.getDateAttribution().getFinMois());
          }
        }
        qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
      }
    }
    else if (((periode instanceof ObjetChronoPeriodeInterProduits)) && (!attribution.equals(((ObjetChronoPeriodeInterProduits)periode).getAttribution())))
    {
      if ((((ObjetChronoPeriodeInterProduits)periode).getTypePeriode() == 1) && (((ObjetChronoPeriodeInterProduits)periode).getGamme().equals("ASU")) && ((!(((ObjetChronoPeriodeInterProduits)periode).getAttribution() instanceof RevisionSpec)) || (!attribution.getDateAttribution().coincideAvec(((ObjetChronoPeriodeInterProduits)periode).getAttribution().getDateAttribution())))) {
        qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
      }
    }
    else if ((periode instanceof ObjetChronoPeriodeRetraite))
    {
      qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
    }
    else if (((periode instanceof PeriodeExclusionDefinitiveDDTE)) && (((PeriodeExclusionDefinitiveDDTE)periode).getRSOD().equals(attribution.getRsod())))
    {
      qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
    }
    else if ((periode instanceof ObjetChronoPeriodeInterProduits))
    {
      if ((((ObjetChronoPeriodeInterProduits)periode).getNomProduit().equals("RET_ACO01_01")) && (((ObjetChronoPeriodeInterProduits)periode).getTypePeriode() == 2)) {
        qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
      }
    }
    else if ((periode instanceof ObjetChronoPeriodeFinDureeMaintienDroit))
    {
      qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
    }
    else if ((periode instanceof ObjetChronoPeriodeFinPec))
    {
      qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
    }
    else if ((periode instanceof ObjetChronoPeriodeRejetRevision))
    {
      qualificationPeriodes.ajouterPeriodesInterruptivesDefinitives(periode);
    }
    return false;
  }
  
  protected boolean qualifierUnePeriodeSegmentante(ObjetChronoPeriodeCalcul periode, QualificationPeriodes qualificationPeriodes, AttributionSpec attribution)
  {
    if ((periode instanceof fr.unedic.cali.calcul.dom.periode.PeriodeFormation))
    {
      if (((fr.unedic.cali.calcul.dom.periode.PeriodeFormation)periode).getActionFormation().estBasculeAutoriserEnContexteFormation())
      {
        ObjetChronoPeriodeCalcul periodeFormation = (ObjetChronoPeriodeCalcul)periode.copie();
        if ((periode.getDateDebut().estAvant(attribution.getPji())) && (periode.getDateFin().estApres(attribution.getPji()))) {
          periodeFormation.setDateDebut(attribution.getPji());
        }
        qualificationPeriodes.ajouterPeriodesSegmentantes(periodeFormation);
      }
    }
    else if ((periode instanceof FinActionFormation))
    {
      IndividuSpec individu = attribution.getDemandeur();
      ObjetChronoPeriode periodeActivite = null;
      ChronologiePeriodes chronologiePeriodes = individu.getChronoPeriodePasseProfessionnelSansFiltrageDNJ();
      chronologiePeriodes.iterer();
      boolean estEncoreEnFormation = false;
      while ((chronologiePeriodes.encoreSuivant()) && (!estEncoreEnFormation))
      {
        periodeActivite = (ObjetChronoPeriode)chronologiePeriodes.elementSuivant();
        if (((periodeActivite instanceof fr.unedic.cali.autresdoms.ga.dom.ActionFormation)) && (!((fr.unedic.cali.autresdoms.ga.dom.ActionFormation)periodeActivite).estAnnulee()) && (((FinActionFormation)periode).getActionFormation().getIdentifiantActionFormation() != Integer.parseInt(((fr.unedic.cali.autresdoms.ga.dom.ActionFormation)periodeActivite).getIdentifiant())) && (periode.getDateFin().estContenueDans(new Periode(periodeActivite.getDateDebut(), periodeActivite.getDateFin()))) && (periode.getDateFin().lendemain().estContenueDans(new Periode(periodeActivite.getDateDebut(), periodeActivite.getDateFin())))) {
          estEncoreEnFormation = true;
        }
      }
      if (!estEncoreEnFormation) {
        qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
      }
    }
    else if ((periode instanceof DebutActionFormation))
    {
      qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
    }
    else if ((periode instanceof PeriodeInterStageFormation))
    {
      IndividuSpec individu = attribution.getDemandeur();
      Collection listePeriodeAQualifier = new ArrayList();
      ObjetChronoPeriode periodeActivite = null;
      Periode periodeFormation = null;
      ChronologiePeriodes listePeriodesFormations = null;
      
      listePeriodeAQualifier.add(periode);
      
      ChronologiePeriodes chronologiePeriodes = individu.getChronoPeriodePasseProfessionnelSansFiltrageDNJ();
      chronologiePeriodes.iterer();
      while (chronologiePeriodes.encoreSuivant())
      {
        periodeActivite = (ObjetChronoPeriode)chronologiePeriodes.elementSuivant();
        if ((periodeActivite instanceof fr.unedic.cali.autresdoms.ga.dom.ActionFormation))
        {
          listePeriodesFormations = ((fr.unedic.cali.autresdoms.ga.dom.ActionFormation)periodeActivite).getListePeriodeFormation();
          listePeriodesFormations.iterer();
          while (listePeriodesFormations.encoreSuivant())
          {
            periodeFormation = ((fr.unedic.cali.autresdoms.ga.dom.PeriodeFormation)listePeriodesFormations.elementSuivant()).getPeriodeEffective();
            if (periodeFormation != null) {
              if (new Periode(periodeFormation.getDebut(), periodeFormation.getFin()).contient(periode.getPeriode()))
              {
                listePeriodeAQualifier.remove(periode);
              }
              else if (periode.getPeriode().contient(new Periode(periodeFormation.getDebut(), periodeFormation.getFin())))
              {
                listePeriodeAQualifier.remove(periode);
                PeriodeInterStageFormation periodePremierDecoupage = new PeriodeInterStageFormation();
                if (periode.getDateDebut().estAvant(periodeFormation.getDebut().veille()))
                {
                  periodePremierDecoupage.setDateDebut(periode.getDateDebut());
                  periodePremierDecoupage.setDateFin(periodeFormation.getDebut().veille());
                  listePeriodeAQualifier.add(periodePremierDecoupage);
                }
                PeriodeInterStageFormation periodeDeuxiemeDecoupage = new PeriodeInterStageFormation();
                if (periode.getDateFin().estApres(periodeFormation.getFin().lendemain()))
                {
                  periodeDeuxiemeDecoupage.setDateDebut(periodeFormation.getFin().lendemain());
                  periodeDeuxiemeDecoupage.setDateFin(periode.getDateFin());
                  listePeriodeAQualifier.add(periodeDeuxiemeDecoupage);
                }
              }
              else if (periode.getPeriode().contient(periodeFormation.getDebut()))
              {
                periode.setDateFin(periodeFormation.getDebut().veille());
              }
              else if (periode.getPeriode().contient(periodeFormation.getFin()))
              {
                periode.setDateDebut(periodeFormation.getFin().lendemain());
              }
            }
          }
        }
      }
      Iterator<?> iterateur = listePeriodeAQualifier.iterator();
      while (iterateur.hasNext())
      {
        ObjetChronoPeriodeCalcul periodeAAjouter = (ObjetChronoPeriodeCalcul)iterateur.next();
        if (periodeAAjouter.getDuree() > 15) {
          qualificationPeriodes.ajouterPeriodesSegmentantes(periodeAAjouter);
        }
      }
    }
    else if ((periode instanceof PeriodeSousPensionInvaliditeChainee))
    {
      PeriodeSousPensionInvaliditeChainee sousPiChainee = (PeriodeSousPensionInvaliditeChainee)periode;
      if (OutilPensionInvalidite.estUneSousPensionDeductible((AttributionAssuranceSpec)attribution, sousPiChainee)) {
        qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
      }
    }
    else if ((periode instanceof FinPeriodePensionInvaliditeChainee))
    {
      FinPeriodePensionInvaliditeChainee sousPiChainee = (FinPeriodePensionInvaliditeChainee)periode;
      PeriodeSousPensionInvaliditeChainee piChainee = (PeriodeSousPensionInvaliditeChainee)sousPiChainee.getPeriodePensionGeneratrice();
      if (OutilPensionInvalidite.estUneSousPensionDeductible((AttributionAssuranceSpec)attribution, piChainee)) {
        qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
      }
    }
    else if ((periode instanceof ObjetChronoPeriodeLendemainDja))
    {
      qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
    }
    else if ((periode instanceof ObjetChronoPeriodeDebutPec))
    {
      qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
    }
    else if ((periode instanceof PeriodeAvantageVieillesse))
    {
      qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
    }
    else if ((periode instanceof FinPeriodeAvantageVieillesse))
    {
      qualificationPeriodes.ajouterPeriodesSegmentantes(periode);
    }
    else
    {
      return false;
    }
    return true;
  }
  
  protected boolean qualifierUnePeriodeSuspensives(ObjetChronoPeriodeCalcul periode, QualificationPeriodes qualificationPeriodes, AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    if ((periode instanceof PeriodeDisponibilite))
    {
      if ((((PeriodeDisponibilite)periode).doitSuspendreARE()) && (attribution.getDateAttribution().estAvantOuCoincideAvec(periode.getDateDebut()))) {
        qualificationPeriodes.ajouterPeriodesSuspensives(periode);
      }
    }
    else if ((((periode instanceof PeriodeTravailJustifiee)) || ((periode instanceof DsmTravail)) || ((periode instanceof PeriodePrime))) && (estUneActiviteSuspensive(periode, attribution))) {
      qualificationPeriodes.ajouterPeriodesSuspensives(periode);
    } else if ((periode instanceof PeriodeClcaOuverte))
    {
      if ((attribution != null) && ((periode.getDateDebut().estApres(attribution.getDateAttribution())) || (PeriodeClcaOuverte.INTENSITE_TEMPS_PLEIN.compareTo(((PeriodeClcaOuverte)periode).getIntensite()) == 0))) {
        qualificationPeriodes.ajouterPeriodesSuspensives(periode);
      }
    }
    else if ((periode instanceof PeriodeClca))
    {
      if ((attribution != null) && ((periode.getDateDebut().estApres(attribution.getDateAttribution())) || (PeriodeClcaOuverte.INTENSITE_TEMPS_PLEIN.compareTo(((PeriodeClca)periode).getIntensite()) == 0))) {
        qualificationPeriodes.ajouterPeriodesSuspensives(periode);
      }
    }
    else if (((periode instanceof PeriodeEvenementPersonnel)) || ((periode instanceof DsmMaladie)) || ((periode instanceof PeriodeInassiduiteFormation)) || ((periode instanceof DsmAbsenceAuPointage)) || ((periode instanceof PeriodeAbsenceAuPointage))) {
      qualificationPeriodes.ajouterPeriodesSuspensives(periode);
    } else if (((periode instanceof ObjetChronoPeriodeInterProduits)) && (!attribution.equals(((ObjetChronoPeriodeInterProduits)periode).getAttribution())))
    {
      if (((ObjetChronoPeriodeInterProduits)periode).getTypePeriode() == 7) {
        qualificationPeriodes.ajouterPeriodesSuspensives(periode);
      }
    }
    else {
      return false;
    }
    return true;
  }
  
  private boolean estUneActiviteSuspensive(ObjetChronoPeriodeCalcul periode, AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    Damj dateFaitGenerateur = recupererDateFaitGenerateurDroit(attribution);
    if (((periode instanceof PeriodeTravailJustifiee)) && (((PeriodeTravailJustifiee)periode).getPeriodeOrigine().estApres(dateFaitGenerateur))) {
      return true;
    }
    if (((periode instanceof DsmTravail)) && (((DsmTravail)periode).getPeriode().estApres(dateFaitGenerateur))) {
      return true;
    }
    if (((periode instanceof PeriodePrime)) && (((PeriodePrime)periode).getPeriodeOrigine().estApres(dateFaitGenerateur))) {
      return true;
    }
    return false;
  }
  
  protected static Damj recupererDateFaitGenerateurDroit(AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    FabriqueStrategieConvention2014 fab = new FabriqueStrategieConvention2014();
    CritereStrategie cs = new CritereStrategie();
    cs.setDatePivot(((AttributionAssuranceSpec)attribution).getDateAttribution());
    StrategieConventionARE14Spec strat = (StrategieConventionARE14Spec)fab.getStrategie(cs);
    return strat.recupererDateFaitGenerateurDroitCsp(attribution);
  }
}

/* Location:
 * Qualified Name:     Qualification
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */