package fr.unedic.cali.asu.caa14.calcul.pbjc;

import fr.unedic.cali.asu.cge01.calcul.pbjc.FacadePBJCLigneImpl;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.outilsfonctionnels.OutilsTrancheCalcul;
import fr.unedic.cali.asu.produits.liquidation.dom.TrancheExecutable;
import fr.unedic.cali.autresdoms.cohab.dom.spec.PeriodeSousPensionInvaliditeChaineeSpec;
import fr.unedic.cali.autresdoms.ga.dom.PeriodeActiviteSalarie;
import fr.unedic.cali.calcul.dom.ArretProduitAvecRaison;
import fr.unedic.cali.calcul.dom.QualificationPeriodes;
import fr.unedic.cali.calcul.dom.Somme;
import fr.unedic.cali.calcul.dom.UniteTraitement;
import fr.unedic.cali.calcul.dom.periode.ActionFormation;
import fr.unedic.cali.calcul.dom.periode.DsmTravail;
import fr.unedic.cali.calcul.dom.periode.PeriodeClca;
import fr.unedic.cali.calcul.dom.periode.PeriodeFormation;
import fr.unedic.cali.calcul.dom.periode.PeriodeInterStageFormation;
import fr.unedic.cali.calcul.dom.periode.PeriodePrime;
import fr.unedic.cali.calcul.dom.periode.PeriodeTravailJustifiee;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeLimiteIndemnisationASP;
import fr.unedic.cali.calcul.pbjc.FacadePBJCProduitSpec;
import fr.unedic.cali.calcul.pbjc.dom.PbjcNcp;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.MontantBaseSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;
import java.util.Collection;
import java.util.Iterator;

public class FacadePBJCLigneCAA14Impl
  extends FacadePBJCLigneImpl
  implements FacadePBJCProduitSpec
{
  public void ajouterGroupeMontantProduit(PbjcNcp p_pbjcNcp, AttributionSpec p_attribution, Somme p_somme, UniteTraitement p_ut)
  {
    if ((p_somme.getMontant().getType().equals("FORMATION EFFECTIVE")) || (p_somme.getMontant().getType().equals("FORMATION PREVISIONNELLE"))) {
      ajouterGroupeMontantAREF(p_pbjcNcp, p_attribution.getProduitExecution().getNom(), p_somme, p_ut);
    } else {
      p_pbjcNcp.ajouterGroupeMontants(p_attribution.getProduitExecution().getNom(), 0, new BigDecimal("0"), p_somme.getMontant().getMontantBrut().getValeur(), new BigDecimal("1"), p_somme.getMontant().getMontantBrut().getValeur(), "");
    }
    if (p_pbjcNcp.isTopApplicationCRC()) {
      ajouterGroupeMontantPCRC(p_pbjcNcp, p_somme.getMontant());
    }
  }
  
  private void ajouterGroupeMontantAREF(PbjcNcp p_pbjcNcp, String p_nomProduit, Somme p_somme, UniteTraitement p_ut)
  {
    ChronologiePeriodes periodes = null;
    ObjetChronoPeriode objetChronoPeriode = null;
    PeriodeFormation periodeFormationCalcul = null;
    
    p_pbjcNcp.ajouterGroupeMontants(p_nomProduit, 1, new BigDecimal("0"), p_somme.getMontant().getMontantBrut().getValeur(), new BigDecimal("1"), p_somme.getMontant().getMontantBrut().getValeur(), "");
    
    periodes = p_ut.getQualificationPeriodes().getPeriodesSegmentantes();
    periodes.iterer();
    while (periodes.encoreSuivant())
    {
      objetChronoPeriode = (ObjetChronoPeriode)periodes.elementSuivant();
      if ((objetChronoPeriode instanceof PeriodeFormation))
      {
        if (objetChronoPeriode.getDateDebut().equals(p_pbjcNcp.getDateDebut())) {
          if (((PeriodeFormation)objetChronoPeriode).getIdentifiantPeriodeFormation() == 1) {
            p_pbjcNcp.ajouterComplementDeJustification("BF");
          } else {
            p_pbjcNcp.ajouterComplementDeJustification("BA");
          }
        }
        if (objetChronoPeriode.getDateFin().equals(p_pbjcNcp.getDateFin()))
        {
          p_pbjcNcp.ajouterComplementDeJustification("TH");
          p_pbjcNcp.ajouterComplementDeJustification("TD");
          
          p_pbjcNcp.setCodeRadiationLendemainPeriode("41");
        }
        if (p_pbjcNcp.chevauche(new Periode(objetChronoPeriode.getDateDebut(), objetChronoPeriode.getDateFin())))
        {
          periodeFormationCalcul = (PeriodeFormation)objetChronoPeriode;
          p_pbjcNcp.setIdStageFormation(periodeFormationCalcul.getIdentifiantPeriodeFormation());
          p_pbjcNcp.setTypeMesurePourLEmploi(periodeFormationCalcul.getTypeMesureEmploi());
        }
      }
      else if (((objetChronoPeriode instanceof PeriodeInterStageFormation)) && 
        (objetChronoPeriode.getDateDebut().veille().equals(p_pbjcNcp.getDateFin())))
      {
        p_pbjcNcp.ajouterComplementDeJustification("TH");
        p_pbjcNcp.ajouterComplementDeJustification("TD");
      }
    }
    periodes = p_ut.getQualificationPeriodes().getPeriodesNonQualifiees();
    periodes.iterer();
    while (periodes.encoreSuivant())
    {
      objetChronoPeriode = (ObjetChronoPeriode)periodes.elementSuivant();
      if (((objetChronoPeriode instanceof ActionFormation)) && 
        (p_pbjcNcp.chevauche(new Periode(objetChronoPeriode.getDateDebut(), objetChronoPeriode.getDateFin()))))
      {
        p_pbjcNcp.setIdPlanFormation(((ActionFormation)objetChronoPeriode).getIdentifiantActionFormation());
        
        p_pbjcNcp.setTypeDePlan(((ActionFormation)objetChronoPeriode).getTypePlan());
      }
    }
  }
  
  public void positionnerJustificationFermetureDJI(PbjcNcp p_pbjcNcp, AttributionSpec p_attribution, UniteTraitement p_ut)
  {
    Iterator itID = p_ut.getArretProduitAvecRaison().getPeriodesInterruptivesDefinitives().iterator();
    while (itID.hasNext())
    {
      ObjetChronoPeriode periode = (ObjetChronoPeriode)itID.next();
      if ((periode instanceof ObjetChronoPeriodeLimiteIndemnisationASP)) {
        p_pbjcNcp.ajouterComplementDeJustification("NF");
      }
    }
    super.positionnerJustificationFermetureDJI(p_pbjcNcp, p_attribution, p_ut);
  }
  
  public void positionnerComplementJustification(PbjcNcp p_pbjcNcp, UniteTraitement p_ut, AttributionSpec p_attribution)
  {
    ChronologiePeriodes periodes = null;
    ObjetChronoPeriode objetChronoPeriode = null;
    
    periodes = p_ut.getQualificationPeriodes().getPeriodesSegmentantes();
    periodes.iterer();
    while (periodes.encoreSuivant())
    {
      objetChronoPeriode = (ObjetChronoPeriode)periodes.elementSuivant();
      if ((objetChronoPeriode.getDateDebut().coincideAvec(p_pbjcNcp.getDateDebut())) && 
        ((objetChronoPeriode instanceof PeriodeSousPensionInvaliditeChaineeSpec))) {
        p_pbjcNcp.ajouterComplementDeJustification("FR");
      }
    }
    super.positionnerComplementJustification(p_pbjcNcp, p_ut, p_attribution);
  }
  
  public void qualifierPbjcSuspensive(PbjcNcp p_pbjcNcp, ObjetChronoPeriode p_periode)
  {
    if (((p_periode instanceof PeriodeTravailJustifiee)) || ((p_periode instanceof PeriodeActiviteSalarie)) || ((p_periode instanceof PeriodeClca)) || ((p_periode instanceof DsmTravail)) || ((p_periode instanceof PeriodePrime))) {
      if (p_periode.getDateDebut().coincideAvec(p_pbjcNcp.getDateDebut()))
      {
        p_pbjcNcp.setNaturePBJC("TO");
        p_pbjcNcp.setQualificationPeriode(1);
      }
    }
    super.qualifierPbjcSuspensive(p_pbjcNcp, p_periode);
  }
  
  public ChronologiePeriodes traitementPeriodesSuspensives(ChronologiePeriodes p_periodesSuspensives, UniteTraitement p_ut)
  {
    return p_periodesSuspensives;
  }
  
  public void traiterPBJCsAPosteriori(ChronologiePeriodes p_chronoPBJCs, AttributionSpec p_attribution, Chronologie chronoUT)
    throws CoucheLogiqueException
  {
    PbjcNcp pbjcNcp = null;
    PbjcNcp pbjcNcpAvant = null;
    
    super.traiterPBJCsAPosteriori(p_chronoPBJCs, p_attribution, chronoUT);
    
    p_chronoPBJCs.iterer();
    while (p_chronoPBJCs.encoreSuivant())
    {
      pbjcNcp = (PbjcNcp)p_chronoPBJCs.elementSuivant();
      if ((estContextePap(p_attribution)) && ((pbjcNcp.getEtatReglementaireOd().compareTo("3") == 0) || (pbjcNcp.getEtatReglementaireOd().compareTo("9") == 0))) {
        positionnerCategorieAttribution(pbjcNcp, p_attribution, null);
      }
      if (pbjcNcpAvant != null)
      {
        if ((!pbjcNcpAvant.getNaturePBJC().equals("TO")) && (pbjcNcp.getNaturePBJC().equals("TO"))) {
          pbjcNcp.ajouterComplementDeJustification("HB");
        }
      }
      else if (pbjcNcp.getNaturePBJC().equals("TO")) {
        pbjcNcp.ajouterComplementDeJustification("HB");
      }
      pbjcNcpAvant = pbjcNcp;
    }
  }
  
  public void positionnerInfoConventionGestion(PbjcNcp pbjcNcp, AttributionSpec attribution)
  {
    super.positionnerInfoConventionGestion(pbjcNcp, attribution);
    if (estContextePapParlementaire(attribution)) {
      pbjcNcp.ajouterTypeSousTypePopulation("PP", "");
    } else if (!estContextePap(attribution)) {
      pbjcNcp.ajouterTypeSousTypePopulation("CS", "");
    }
  }
  
  public void positionnerCategorieAttribution(PbjcNcp p_pbjcNcp, AttributionSpec p_attribution, UniteTraitement p_ut)
  {
    AttributionAssuranceSpec attribution = (AttributionAssuranceSpec)p_attribution;
    p_pbjcNcp.setCategorie(attribution.determinerCodeSousProduitPourSigma());
  }
  
  private boolean estContextePap(AttributionSpec attribution)
  {
    boolean contextePap = false;
    if (OutilsTrancheCalcul.estTrancheActive(attribution))
    {
      TrancheExecutable tranche = OutilsTrancheCalcul.recupererTrancheInitiale(attribution);
      contextePap = tranche.isContextePAPPresent();
    }
    else
    {
      ElementBaseIndemnisation ebi = ((AttributionAssuranceSpec)attribution).getElementBaseIndemnisation();
      contextePap = ebi.isContextePAPPresent();
    }
    return contextePap;
  }
  
  private boolean estContextePapParlementaire(AttributionSpec attribution)
  {
    boolean contextePapParlementaire = false;
    if (OutilsTrancheCalcul.estTrancheActive(attribution))
    {
      TrancheExecutable tranche = OutilsTrancheCalcul.recupererTrancheInitiale(attribution);
      contextePapParlementaire = tranche.estContextePapParlementaire();
    }
    else
    {
      ElementBaseIndemnisation ebi = ((AttributionAssuranceSpec)attribution).getElementBaseIndemnisation();
      contextePapParlementaire = ebi.isContextePapParlementaire();
    }
    return contextePapParlementaire;
  }
}

/* Location:
 * Qualified Name:     FacadePBJCLigneCAA14Impl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */