package fr.unedic.cali.asu.caa14.p02.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques.FabriqueStrategieAppelContrib;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategieAppelContribSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.dom.ValidationProduit;
import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.Indemnite;
import fr.unedic.cali.autresdoms.ga.dom.PeriodeActiviteSalarie;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.echange.Decision;
import fr.unedic.cali.outilsfonctionnels.OutilAsr;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.util.QuantiteMonnaie;
import fr.unedic.util.services.CoucheLogiqueException;
import java.math.BigDecimal;
import java.util.Collection;
import java.util.Iterator;

public class AlimenterBaseEchanges
{
  private static final int FAUX = 0;
  private static final int VRAI = 1;
  
  public static void alimenterDonneesProduit(DossierExamenSpec p_dossierExamen, Decision p_demandeEchange)
    throws CoucheLogiqueException
  {
    int topDetectionContributionPreavis = 0;
    int topDetectionContributionDif = 0;
    BigDecimal montantPreavisCrp = null;
    BigDecimal montantFormationDifCrp = null;
    Demande demande = (Demande)p_dossierExamen.getDemande();
    if ((p_dossierExamen instanceof Attribution))
    {
      Attribution attribution = (Attribution)p_dossierExamen;
      p_demandeEchange.setDateBanalisee(attribution.getDateLimiteIndemnisation());
    }
    ValidationProduit validationProduit = ((DossierAffectation)demande.getDossierAffectation()).getValidationProduit();
    if ((validationProduit != null) && (validationProduit.isEstProduitValide()))
    {
      ActiviteSalarie periodeValidationProduit = validationProduit.getPeriodeValidationProduit();
      if (periodeValidationProduit != null)
      {
        CritereStrategie critere = new CritereStrategie();
        critere.setDatePivot(demande.getDateRecherche());
        StrategieAppelContribSpec strategie = (StrategieAppelContribSpec)FabriqueStrategieAppelContrib.getInstance().getStrategie(critere);
        
        Collection listeIndemnites = periodeValidationProduit.getListeIndemnites();
        if (listeIndemnites != null)
        {
          Iterator it = listeIndemnites.iterator();
          while (it.hasNext())
          {
            Indemnite indemnitePeriode = (Indemnite)it.next();
            int typeIndemnite = indemnitePeriode.getTypeIndemnite();
            switch (typeIndemnite)
            {
            case 124: 
              if ((strategie.estPriseEnCompteAppelContribDiff()) && (indemnitePeriode.getMontant() != null))
              {
                montantPreavisCrp = indemnitePeriode.getMontant().getValeurMontant();
                topDetectionContributionPreavis = 1;
              }
              break;
            case 126: 
              if ((strategie.estPriseEnCompteAppelContribDiff()) && (indemnitePeriode.getMontant() != null))
              {
                BigDecimal salaireHoraireDif = indemnitePeriode.getMontant().getValeurMontant();
                montantFormationDifCrp = OutilAsr.calculerSommeAPayerDiff(periodeValidationProduit.getPeriodeActiviteSalarieGaec().getNbHeuresDiff(), salaireHoraireDif);
                
                topDetectionContributionDif = 1;
              }
              break;
            }
          }
        }
      }
    }
    int motifFin = 0;
    if ((validationProduit != null) && (validationProduit.getPeriodeValidationProduit() != null)) {
      motifFin = Integer.parseInt(validationProduit.getPeriodeValidationProduit().getMotifFin());
    }
    if ((motifFin == 45) && (topDetectionContributionPreavis == 1))
    {
      p_demandeEchange.setTopContribSpecifique(1);
      p_demandeEchange.setSituationParticuliere("9");
      p_demandeEchange.setContributionNonPropositionCTP(montantPreavisCrp);
      p_demandeEchange.setTopAppelContributions(1);
      p_demandeEchange.setEstContribPreavis(0);
      p_demandeEchange.setEstContribDif(0);
      p_demandeEchange.setMontantPreavisCR(null);
      p_demandeEchange.setMontantFormationD(null);
    }
    else
    {
      p_demandeEchange.setEstContribPreavis(0);
      p_demandeEchange.setEstContribDif(topDetectionContributionDif);
      p_demandeEchange.setMontantPreavisCR(null);
      p_demandeEchange.setMontantFormationD(montantFormationDifCrp);
    }
  }
}

/* Location:
 * Qualified Name:     AlimenterBaseEchanges
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */