package fr.unedic.cali.asu.calcul.outilsfonctionnels;

import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeDebutPec;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeFinDureeMaintienDroit;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeSuspensionIndemnisation;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.autresdoms.cohab.dom.ObjetChronoPeriodePriseEnCharge;
import fr.unedic.cali.calcul.FacadeCalculProduitFactory;
import fr.unedic.cali.calcul.FacadeCalculProduitSpec;
import fr.unedic.cali.calcul.OutillagePeriodes;
import fr.unedic.cali.calcul.dom.ArretProduitAvecRaison;
import fr.unedic.cali.calcul.dom.CalendrierExecutionAvantSpec;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculSpec;
import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.calcul.dom.EvenementBlocageActiviteReduiteMaintien;
import fr.unedic.cali.calcul.dom.EvenementCalculSpec;
import fr.unedic.cali.calcul.dom.QualificationPeriodes;
import fr.unedic.cali.calcul.dom.UniteTraitement;
import fr.unedic.cali.calcul.dom.periode.DsmTravail;
import fr.unedic.cali.calcul.dom.periode.PeriodePrime;
import fr.unedic.cali.calcul.dom.periode.PeriodeTravailJustifiee;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeFinPec;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeRadiation;
import fr.unedic.cali.calcul.outilsfonctionnels.GestionForcage;
import fr.unedic.cali.calcul.outilsfonctionnels.GestionSuivi;
import fr.unedic.cali.calcul.outilsfonctionnels.OutilsMaintienEuropeenEessiHorsGamme;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.MaintienEuropeen;
import fr.unedic.cali.outilsfonctionnels.Anomalie;
import fr.unedic.cali.outilsfonctionnels.GestionAnomalies;
import fr.unedic.cali.outilsfonctionnels.OutillagePEC;
import fr.unedic.cali.utilitaire.filtres.composites.FiltreAttributionStandardAssurance;
import fr.unedic.cali.utilitaire.outils.OutilRecherche;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologieDebuts;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.FiltreDebutAvantDate;
import fr.unedic.util.temps.FiltreFinApresOuCoincideAvecDate;
import fr.unedic.util.temps.FiltresTemporel;
import fr.unedic.util.temps.ObjetChrono;
import fr.unedic.util.temps.ObjetChronoPeriodeConcrete;
import fr.unedic.util.temps.Periode;

public class OutilsMaintienEuropeenEessiASU
  extends OutilsMaintienEuropeenEessiHorsGamme
{
  public static ChronologiePeriodes getListesPeriodesMaintienEuropeen(AttributionSpec p_attribution)
  {
    ChronologiePeriodes periodesMaintien = new ChronologiePeriodes();
    
    Chronologie radiations = OutillagePeriodes.recupererRadiations(p_attribution.getDemandeur());
    
    ObjetChronoPeriodePriseEnCharge objetChronoPeriodePriseEnChargeRetenue = null;
    Chronologie pecs = OutillagePeriodes.recupererPecs(p_attribution.getDemandeur());
    Damj dateLimiteMaintien = null;
    if (((AttributionAssuranceSpec)p_attribution).getMaintienEuropeen() != null) {
      dateLimiteMaintien = ((AttributionAssuranceSpec)p_attribution).getMaintienEuropeen().getDepartPeriode().deplacerVersAvant(((AttributionAssuranceSpec)p_attribution).getMaintienEuropeen().getDuree());
    }
    radiations.iterer();
    while (radiations.encoreSuivant())
    {
      Damj dateRetenue = null;
      objetChronoPeriodePriseEnChargeRetenue = null;
      
      ObjetChronoPeriodeRadiation objetChronoPeriodeRadiation = (ObjetChronoPeriodeRadiation)radiations.elementSuivant();
      Damj dateRadiation = objetChronoPeriodeRadiation.getDateDebut();
      if (dateRadiation.estApres(p_attribution.getDateAttribution()))
      {
        pecs.iterer();
        while (pecs.encoreSuivant())
        {
          ObjetChronoPeriodePriseEnCharge objetChronoPeriodePriseEnCharge = (ObjetChronoPeriodePriseEnCharge)pecs.elementSuivant();
          
          Damj dateDebutPec = objetChronoPeriodePriseEnCharge.getDateDebut();
          if ((dateDebutPec.estApresOuCoincideAvec(dateRadiation)) && ((dateRetenue == null) || (dateDebutPec.veille().estAvant(dateRetenue))) && (dateLimiteMaintien != null) && (dateDebutPec.estAvant(dateLimiteMaintien)))
          {
            dateRetenue = dateDebutPec.veille();
            objetChronoPeriodePriseEnChargeRetenue = objetChronoPeriodePriseEnCharge;
          }
        }
        if ((dateRetenue != null) && (OutillagePEC.estPecAutreEtatMembreCoordination(objetChronoPeriodePriseEnChargeRetenue))) {
          if (dateRetenue.estAvant(dateLimiteMaintien))
          {
            if (dateRetenue.estApresOuCoincideAvec(dateRadiation)) {
              periodesMaintien.ajouter(new ObjetChronoPeriodeSuspensionIndemnisation(dateRadiation, dateRetenue));
            }
            ObjetChronoPeriodeDebutPec chronoPeriodeDebutPec = new ObjetChronoPeriodeDebutPec(dateRetenue.lendemain());
            chronoPeriodeDebutPec.setEstPecEuropeenne(true);
            periodesMaintien.ajouter(chronoPeriodeDebutPec);
          }
        }
        if ((objetChronoPeriodePriseEnChargeRetenue == null) || (!OutillagePEC.estPecAutreEtatMembreCoordination(objetChronoPeriodePriseEnChargeRetenue)))
        {
          ObjetChronoPeriodeFinPec periodeFinPec = new ObjetChronoPeriodeFinPec(dateRadiation);
          mapperRadiationFinPec(objetChronoPeriodeRadiation, periodeFinPec);
          periodesMaintien.ajouter(periodeFinPec);
        }
      }
    }
    if ((((AttributionAssuranceSpec)p_attribution).getMaintienEuropeen() != null) && (OutillagePEC.estPecAutreEtatMembreCoordination(OutillagePeriodes.recupererPeriodePECContenant(p_attribution.getDemandeur(), dateLimiteMaintien)))) {
      periodesMaintien.ajouter(new ObjetChronoPeriodeFinDureeMaintienDroit(dateLimiteMaintien, dateLimiteMaintien));
    }
    return periodesMaintien;
  }
  
  private static void mapperRadiationFinPec(ObjetChronoPeriodeRadiation p_objetChronoPeriodeRadiation, ObjetChronoPeriodeFinPec p_periodeFinPec)
  {
    p_periodeFinPec.setMotifAnnulationPEC(p_objetChronoPeriodeRadiation.getMotifAnnulationPEC());
    p_periodeFinPec.setNonPEC(p_objetChronoPeriodeRadiation.getNonPEC());
    p_periodeFinPec.setPEC(p_objetChronoPeriodeRadiation.getPEC());
  }
  
  public static Damj rechercherDateMaintienEuropeen(AttributionSpec p_attribution, Periode p_periodeUT, ConstituantsIndemnisation p_constituantsIndemnisation)
    throws CoucheLogiqueException
  {
    Damj dateMaintien = null;
    if (((AttributionAssuranceSpec)p_attribution).getMaintienEuropeen() != null)
    {
      Damj dateRecherche = Damj.max(p_attribution.getPji(), p_periodeUT.getDebut());
      ObjetChronoPeriodePriseEnCharge pec = null;
      
      Chronologie chronologiePecs = OutillagePEC.getPeriodesPecAutreEtatMembreCoordinationDebutAvantDate(p_attribution.getDemandeur(), dateRecherche.lendemain());
      chronologiePecs.iterer();
      while (chronologiePecs.encoreSuivant())
      {
        pec = (ObjetChronoPeriodePriseEnCharge)chronologiePecs.elementSuivant();
        if (OutillagePEC.estPecAutreEtatMembreCoordination(pec))
        {
          AttributionSpec attributionPrecedente = p_attribution;
          while ((attributionPrecedente != null) && (attributionPrecedente.getRsod().equals(p_attribution.getRsod())))
          {
            if ((attributionPrecedente.getCalendrierExecutionCalcul() != null) && (pec.chevauche(new Periode(attributionPrecedente.getCalendrierExecutionCalcul().getPremierJourIndemnisable(), attributionPrecedente.getCalendrierExecutionCalcul().getDernierJourIndemnisable())))) {
              if (dateMaintien == null) {
                dateMaintien = Damj.max(pec.getDateDebut(), attributionPrecedente.getCalendrierExecutionCalcul().getPremierJourIndemnisable());
              } else {
                dateMaintien = Damj.min(dateMaintien, Damj.max(pec.getDateDebut(), attributionPrecedente.getCalendrierExecutionCalcul().getPremierJourIndemnisable()));
              }
            }
            attributionPrecedente = ((AttributionAssuranceSpec)attributionPrecedente).getAttributionPrecedente();
          }
        }
      }
      if ((dateMaintien == null) && (OutillagePEC.estPecAutreEtatMembreCoordination(OutillagePEC.getPeriodePECContenant(p_attribution.getDemandeur(), dateRecherche))))
      {
        dateMaintien = p_attribution.getPji();
        
        FacadeCalculProduitSpec facadeCalculProduit = FacadeCalculProduitFactory.getInstance().getInstanceGestionnaireCalculProduit(p_attribution.getProduitExecution());
        
        GestionSuivi.enregistrerEnquetePbjcNcp(p_attribution, p_attribution.getPji(), 31, 0, true, null, facadeCalculProduit, p_constituantsIndemnisation);
      }
    }
    return dateMaintien;
  }
  
  public static void controleActiviteReduiteMaintienEuropeen(AttributionSpec p_attribution, UniteTraitement p_ut, ArretProduitAvecRaison p_arretProduitAvecRaison, ConstituantsIndemnisation p_constituantsIndemnisation)
    throws CoucheLogiqueException
  {
    Damj dateMaintien = getDateMaintienEuropeen(p_constituantsIndemnisation);
    
    boolean contexteEssi = false;
    if (dateMaintien != null) {
      if (dateMaintien.estAvant(p_ut.getDateDebut())) {
        contexteEssi = OutillagePEC.estPecAutreEtatMembreCoordination(OutillagePeriodes.recupererPeriodePECContenant(p_attribution.getDemandeur(), p_ut.getDateDebut()));
      } else if (dateMaintien.estContenueDans(p_ut.getPeriode())) {
        contexteEssi = OutillagePEC.estPecAutreEtatMembreCoordination(OutillagePeriodes.recupererPeriodePECContenant(p_attribution.getDemandeur(), dateMaintien));
      }
    }
    if (contexteEssi)
    {
      ObjetChrono periode = null;
      Chronologie chronologiePeriodesActivites = new ChronologiePeriodes();
      chronologiePeriodesActivites.ajouter(p_ut.getQualificationPeriodes().getPeriodesDecalantes());
      FiltresTemporel filtresDates = new FiltresTemporel();
      filtresDates.ajouterFiltre(new FiltreFinApresOuCoincideAvecDate(dateMaintien));
      chronologiePeriodesActivites = chronologiePeriodesActivites.copier(filtresDates);
      chronologiePeriodesActivites.iterer();
      boolean aDejaAnomalieSurUt = false;
      while (chronologiePeriodesActivites.encoreSuivant())
      {
        periode = (ObjetChrono)chronologiePeriodesActivites.elementSuivant();
        if ((((periode instanceof PeriodeTravailJustifiee)) || ((periode instanceof DsmTravail)) || ((periode instanceof PeriodePrime))) && (!GestionForcage.appliquerForcageCreditDecalage(p_attribution.getDemande(), p_ut)) && (!aDejaAnomalieSurUt))
        {
          Anomalie anomalie = new Anomalie("M10", p_ut.getDateFin(), "");
          GestionAnomalies.ajouteAnomalie(anomalie, p_attribution.getDemandeur());
          
          p_arretProduitAvecRaison.ajoutePeriodeInterruptiveDefinitive(new ObjetChronoPeriodeConcrete(p_ut.getDateFin().lendemain(), p_ut.getDateFin().lendemain()));
          EvenementCalculSpec evt = new EvenementBlocageActiviteReduiteMaintien(p_ut.getDateFin());
          p_ut.ajouterEvenement(evt);
          aDejaAnomalieSurUt = true;
        }
      }
    }
  }
  
  public static Damj getIdeMaintienEuropeenDuDroit(AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    Damj dateIdeMaintien = null;
    
    AttributionAssuranceSpec attributionPrecedente = (AttributionAssuranceSpec)((AttributionAssuranceSpec)p_attribution).getOuvertureDroit();
    
    Damj dateFinAttribution = null;
    if ((p_attribution.getCalendrierExecutionCalcul() != null) && (p_attribution.getCalendrierExecutionCalcul().getDernierJourIndemnisable() != null) && (p_attribution.getCalendrierExecutionCalcul().getEtatAttribution() != 4)) {
      dateFinAttribution = p_attribution.getCalendrierExecutionCalcul().getDernierJourIndemnisable();
    } else if (p_attribution.getCalendrierExecutionAvant() != null) {
      dateFinAttribution = p_attribution.getCalendrierExecutionAvant().getDernierJourAvant();
    } else {
      dateFinAttribution = p_attribution.getDateAttribution();
    }
    FiltreDebutAvantDate filtreDebutAvantDate = new FiltreDebutAvantDate(dateFinAttribution);
    Chronologie chronoPec = OutillagePEC.getPeriodesPecAutreEtatMembreCoordinationDebutApresDate(attributionPrecedente.getDemandeur(), attributionPrecedente.getDateAttribution());
    chronoPec = chronoPec.copier(filtreDebutAvantDate);
    if (chronoPec.getTaille() > 0) {
      dateIdeMaintien = ((ObjetChronoPeriodePriseEnCharge)chronoPec.premierElement()).getDateDebut();
    }
    return dateIdeMaintien;
  }
  
  public static boolean estDernierMaintienEuropeenDuDroit(AttributionSpec p_attribution, UniteTraitement p_ut, Damj p_dateAvant)
  {
    boolean retour = true;
    Damj dateFinMaintienParametre = null;
    Damj dateMaintien = null;
    Damj dateLimiteMaintien = null;
    if (p_ut != null)
    {
      dateFinMaintienParametre = p_ut.getDateFin();
      dateMaintien = getDateMaintienEuropeen(p_ut.getConstituantsIndemnisationEnFinUT());
    }
    else
    {
      dateFinMaintienParametre = p_dateAvant;
    }
    if (((AttributionAssuranceSpec)p_attribution).getMaintienEuropeen() != null) {
      dateLimiteMaintien = ((AttributionAssuranceSpec)p_attribution).getMaintienEuropeen().getDepartPeriode().deplacerVersAvant(((AttributionAssuranceSpec)p_attribution).getMaintienEuropeen().getDuree());
    }
    if (((dateMaintien != null) || (p_dateAvant != null)) && (dateLimiteMaintien != null))
    {
      AttributionSpec attribution = null;
      FiltreDebutAvantDate filtreDebutAvantDate = new FiltreDebutAvantDate(dateLimiteMaintien);
      Chronologie chronologiePecs = OutillagePEC.getPeriodesPecDebutApresDate(p_attribution.getDemandeur(), dateFinMaintienParametre);
      chronologiePecs = chronologiePecs.copier(filtreDebutAvantDate);
      chronologiePecs.iterer();
      while ((chronologiePecs.encoreSuivant()) && (retour))
      {
        ObjetChronoPeriodePriseEnCharge pec = (ObjetChronoPeriodePriseEnCharge)chronologiePecs.elementSuivant();
        if (!OutillagePEC.estPecAutreEtatMembreCoordination(pec))
        {
          Chronologie chrono = new ChronologieDebuts();
          chrono.ajouter(p_attribution.getDemandeur().getDemandes());
          attribution = (AttributionSpec)OutilRecherche.rechercherDecisionSuivante(chrono, p_attribution, new FiltreAttributionStandardAssurance(true, true, false, false, null));
          if ((attribution != null) && (attribution.getRsod().equals(p_attribution.getRsod())) && (OutillagePEC.estPecSuivanteAutreEtatMembreCoordination(p_attribution.getDemandeur(), attribution.getDateAttribution())))
          {
            ObjetChronoPeriodePriseEnCharge pecSuivante = OutillagePEC.getPecFusionneeSuivante(p_attribution.getDemandeur(), attribution.getDateAttribution());
            if (pecSuivante.getDateDebut().estAvant(dateLimiteMaintien)) {
              retour = false;
            }
          }
        }
      }
    }
    return retour;
  }
  
  public static Damj getDjiMaintienEuropeenDuDroit(AttributionSpec p_attribution, FacadeCalculProduitSpec p_facade)
    throws CoucheLogiqueException
  {
    Damj dateFinMaintien = null;
    
    Damj dateMaintien = getPjiMaintienEuropeenDuDroit(p_attribution);
    if (dateMaintien == null) {
      dateMaintien = getIdeMaintienEuropeenDuDroit(p_attribution);
    }
    if (dateMaintien != null)
    {
      if ((p_attribution.getCalendrierExecutionCalcul() != null) && (p_attribution.getCalendrierExecutionCalcul().getDernierJourIndemnisable() != null) && (p_attribution.getCalendrierExecutionCalcul().getEtatAttribution() != 4)) {
        dateFinMaintien = p_attribution.getCalendrierExecutionCalcul().getDernierJourIndemnisable();
      } else {
        dateFinMaintien = p_facade.recupererDateFinDroitTheorique(p_attribution.getCalendrierExecutionCalcul(), p_attribution);
      }
      Damj dateLimiteMaintien = ((AttributionAssuranceSpec)p_attribution).getMaintienEuropeen().getDepartPeriode().deplacerVersAvant(((AttributionAssuranceSpec)p_attribution).getMaintienEuropeen().getDuree());
      
      dateFinMaintien = Damj.min(dateFinMaintien, dateLimiteMaintien.veille());
      
      AttributionSpec attribution = null;
      FiltreDebutAvantDate filtreDebutAvantDate = new FiltreDebutAvantDate(dateLimiteMaintien);
      Chronologie chronologiePecs = OutillagePEC.getPeriodesPecDebutApresDate(p_attribution.getDemandeur(), dateFinMaintien);
      chronologiePecs = chronologiePecs.copier(filtreDebutAvantDate);
      chronologiePecs.iterer();
      while (chronologiePecs.encoreSuivant())
      {
        ObjetChronoPeriodePriseEnCharge pec = (ObjetChronoPeriodePriseEnCharge)chronologiePecs.elementSuivant();
        if (!OutillagePEC.estPecAutreEtatMembreCoordination(pec))
        {
          Chronologie chrono = new ChronologieDebuts();
          chrono.ajouter(p_attribution.getDemandeur().getDemandes());
          attribution = (AttributionSpec)OutilRecherche.rechercherDecisionSuivante(chrono, p_attribution, new FiltreAttributionStandardAssurance(true, true, false, false, null));
          if ((attribution != null) && (attribution.getRsod().equals(p_attribution.getRsod())) && (OutillagePEC.estPecSuivanteAutreEtatMembreCoordination(p_attribution.getDemandeur(), attribution.getDateAttribution())))
          {
            ObjetChronoPeriodePriseEnCharge pecSuivante = OutillagePEC.getPecFusionneeSuivante(p_attribution.getDemandeur(), attribution.getDateAttribution());
            if (pecSuivante.getDateDebut().estAvant(dateLimiteMaintien)) {
              if ((p_attribution.getCalendrierExecutionCalcul() != null) && (p_attribution.getCalendrierExecutionCalcul().getDernierJourIndemnisable() != null)) {
                dateFinMaintien = p_attribution.getCalendrierExecutionCalcul().getDernierJourIndemnisable();
              } else {
                dateFinMaintien = p_facade.recupererDateFinDroitTheorique(p_attribution.getCalendrierExecutionCalcul(), p_attribution);
              }
            }
          }
        }
      }
    }
    return dateFinMaintien;
  }
}

/* Location:
 * Qualified Name:     OutilsMaintienEuropeenEessiASU
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */