package fr.unedic.cali.asu.cge01.antecedent;

import fr.unedic.cali.asu.antecedent.GestionAntecedentCalculAsu;
import fr.unedic.cali.asu.antecedent.GestionAntecedentCalculAsuSpec;
import fr.unedic.cali.asu.cge01.calcul.dom.DureeIndemnisation;
import fr.unedic.cali.asu.cge01.calcul.dom.FormuleMontantRegimeGeneral;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.SaisieAntecedent;
import fr.unedic.cali.asu.produits.liquidation.dom.Poursuite;
import fr.unedic.cali.calcul.dom.CalendrierExecutionAvant;
import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.calcul.dom.EtatAuDernierJourAvant;
import fr.unedic.cali.calcul.dom.UniteTraitement;
import fr.unedic.cali.calcul.dom.UniteTraitementAvant;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.util.Unite;
import fr.unedic.util.temps.Periode;
import java.util.ArrayList;
import java.util.Collection;

public class GestionPoursuiteCalcul
  extends GestionAntecedentCalculAsu
{
  public static GestionAntecedentCalculAsuSpec getInstance()
  {
    return new GestionPoursuiteCalcul();
  }
  
  public void alimenterGrapheCalcul(AttributionSpec p_attribution)
  {
    AttributionAssuranceSpec poursuite = (AttributionAssuranceSpec)p_attribution;
    SaisieAntecedent saisieAntecedent = ((Poursuite)poursuite).getSaisieAntecedent();
    
    alimenterUtCalculAvant(poursuite, saisieAntecedent);
    
    alimenterUtCalculPendant(poursuite, saisieAntecedent);
  }
  
  private void alimenterUtCalculAvant(AttributionAssuranceSpec p_poursuite, SaisieAntecedent p_saisieAntecedent)
  {
    CalendrierExecutionAvant calendrierAvant = alimenterUtAvant(p_saisieAntecedent);
    if (calendrierAvant.getEtatAuDernierJourAvant().getEtat() == 1)
    {
      UniteTraitementAvant uTavant = new UniteTraitementAvant(Unite.get("jour"), new Periode(p_saisieAntecedent.getDateDernierJourCalcule(), p_saisieAntecedent.getDateDernierJourCalcule()));
      uTavant.setDureePmc(calendrierAvant.getEtatAuDernierJourAvant().getDureeInitialePMC());
      uTavant.setDureeIccp(calendrierAvant.getEtatAuDernierJourAvant().getDureeInitialeICCP());
      uTavant.setDureeIslr(calendrierAvant.getEtatAuDernierJourAvant().getDureeInitialeISLR());
      uTavant.setDureeDelaiAttente(calendrierAvant.getEtatAuDernierJourAvant().getDureeInitialeDelaiAttente());
      ((Poursuite)p_poursuite).setUniteTraitementAvant(uTavant);
    }
  }
  
  protected void alimenterUtCalculPendant(AttributionAssuranceSpec p_poursuite, SaisieAntecedent p_saisieAntecedent)
  {
    ((Poursuite)p_poursuite).setUniteTraitement(alimenterUtPendant(p_poursuite, p_saisieAntecedent));
  }
  
  protected UniteTraitement alimenterUtPendant(AttributionAssuranceSpec p_poursuite, SaisieAntecedent p_saisieAntecedent)
  {
    UniteTraitement utPendant = super.alimenterUtPendant(p_poursuite, p_saisieAntecedent);
    ConstituantsIndemnisation constituantsIndemnisation = new ConstituantsIndemnisation();
    DureeIndemnisation dureeIndemnisation = new DureeIndemnisation();
    Collection collectionDurees = null;
    ArrayList listeDurees = new ArrayList();
    constituantsIndemnisation.setCodeFormuleMontant(FormuleMontantRegimeGeneral.getCode());
    if (p_saisieAntecedent.getReliquatDuree() != null)
    {
      dureeIndemnisation.setQuantiteCourante(p_saisieAntecedent.getReliquatDuree());
      dureeIndemnisation.setQuantiteInitial(p_saisieAntecedent.getReliquatDuree());
    }
    listeDurees.add(dureeIndemnisation);
    collectionDurees = new ArrayList(listeDurees);
    dureeIndemnisation.setCodeFormuleMontant(constituantsIndemnisation.getCodeFormuleMontant());
    constituantsIndemnisation.setDureeIndemnisation(dureeIndemnisation);
    constituantsIndemnisation.setCollectionQuantiteDroit(collectionDurees);
    utPendant.setConstituantsIndemnisationEnFinUT(constituantsIndemnisation);
    
    return utPendant;
  }
}

/* Location:
 * Qualified Name:     GestionPoursuiteCalcul
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */