package fr.unedic.cali.asu.cge01.liquidation.outilsaffiliation;

import fr.unedic.cali.asu.dom.JustificationAffiliationSpec;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;

public class OutilMappingJustificationAffiliation
{
  private static OutilMappingJustificationAffiliation outilMappingJustificationAffiliation = null;
  
  public static OutilMappingJustificationAffiliation getInstance()
  {
    if (outilMappingJustificationAffiliation == null) {
      outilMappingJustificationAffiliation = new OutilMappingJustificationAffiliation();
    }
    return outilMappingJustificationAffiliation;
  }
  
  public void mapperJustificationJoursTravaillesNonPersistantVersPersistant(JustificationAffiliationSpec justificationAffiliation, fr.unedic.cali.asu.dom.JustificationAffiliationJoursTravailles justificationJTPersiste)
  {
    fr.unedic.cali.asu.cge01.p07.liquidation.dom.JustificationAffiliationJoursTravailles justificationAffiliationP07 = (fr.unedic.cali.asu.cge01.p07.liquidation.dom.JustificationAffiliationJoursTravailles)justificationAffiliation;
    justificationJTPersiste.setNombreJoursAffiliation(justificationAffiliationP07.getNombreJoursAffiliation());
    justificationJTPersiste.setNombreJoursAppartenance(justificationAffiliationP07.getNombreJoursAppartenance());
    justificationJTPersiste.setNombreJoursAssimilation(justificationAffiliationP07.getNombreJoursAssimilation());
    justificationJTPersiste.setPeriodeRechercheAffiliation(justificationAffiliationP07.getPeriodeRechercheAffiliation());
    justificationJTPersiste.setPlafondAssimilation(justificationAffiliationP07.getPlafondAssimilation());
    
    Collection<fr.unedic.cali.asu.dom.SemaineCivile> listSemainecivile = new ArrayList();
    if (justificationAffiliationP07.getJustificationSemaineCivile() != null) {
      for (fr.pe.cali.reglementaire.regles.assurance.affiliation.dom.SemaineCivile semaineCivile : justificationAffiliationP07.getJustificationSemaineCivile())
      {
        fr.unedic.cali.asu.dom.SemaineCivile semaineCivilePersiste = new fr.unedic.cali.asu.dom.SemaineCivile();
        listSemainecivile.add(semaineCivilePersiste);
        
        semaineCivilePersiste.setEstSanctionne(semaineCivile.isEstSanctionne());
        semaineCivilePersiste.setNombreJoursEmploi(semaineCivile.getNombreJoursEmploi());
        semaineCivilePersiste.setPeriode(semaineCivile.getSemaineCivile());
        semaineCivilePersiste.setQuantiteRetenue(semaineCivile.getQuantiteRetenue());
        semaineCivilePersiste.setTotalJoursTravailles(semaineCivile.getTotalJoursTravailles());
        
        Collection<fr.unedic.cali.asu.dom.ElementSemaineCivile> listElementSemaineCivile = new ArrayList();
        
        Iterator<?> iterElementSemaineCivile = semaineCivile.getListeElements().iterator();
        while (iterElementSemaineCivile.hasNext())
        {
          fr.pe.cali.reglementaire.regles.assurance.affiliation.dom.ElementSemaineCivile elementSemaineCivile = (fr.pe.cali.reglementaire.regles.assurance.affiliation.dom.ElementSemaineCivile)iterElementSemaineCivile.next();
          fr.unedic.cali.asu.dom.ElementSemaineCivile elementSemaineCivilePersiste = new fr.unedic.cali.asu.dom.ElementSemaineCivile();
          listElementSemaineCivile.add(elementSemaineCivilePersiste);
          
          elementSemaineCivilePersiste.setEstSanctione(elementSemaineCivile.isEstSanctionne());
          elementSemaineCivilePersiste.setIdentifiantContrat(elementSemaineCivile.getIdentifiantContrat());
          elementSemaineCivilePersiste.setNature(elementSemaineCivile.getNature());
          elementSemaineCivilePersiste.setNombreJoursTravailles(elementSemaineCivile.getNombreJoursTravailles());
          elementSemaineCivilePersiste.setNomReglement(elementSemaineCivile.getNomReglement());
          elementSemaineCivilePersiste.setPeriodeContrat(elementSemaineCivile.getPeriodeContrat());
          elementSemaineCivilePersiste.setRaisonSociale(elementSemaineCivile.getRaisonSociale());
        }
        semaineCivilePersiste.setListeElementSemaineCivile(listElementSemaineCivile);
      }
    }
    justificationJTPersiste.setListeSemaineAffiliation(listSemainecivile);
    
    Collection<fr.unedic.cali.asu.dom.PeriodeAssimilee> listPeriodeAssimilee = new ArrayList();
    if (justificationAffiliationP07.getPeriodesAssimilees() != null) {
      for (fr.pe.cali.reglementaire.regles.assurance.affiliation.dom.PeriodeAssimilee periodeAssimilee : justificationAffiliationP07.getPeriodesAssimilees())
      {
        fr.unedic.cali.asu.dom.PeriodeAssimilee periodeAssimileePersiste = new fr.unedic.cali.asu.dom.PeriodeAssimilee();
        listPeriodeAssimilee.add(periodeAssimileePersiste);
        
        periodeAssimileePersiste.setHeuresInitiales(periodeAssimilee.getHeuresIntiales());
        periodeAssimileePersiste.setHeuresRetenues(periodeAssimilee.getHeuresRetenues());
        periodeAssimileePersiste.setLibelle(periodeAssimilee.getLibelle());
        periodeAssimileePersiste.setNombreJoursTravailles(periodeAssimilee.getNombreJoursTravailles());
        periodeAssimileePersiste.setPeriode(periodeAssimilee.getPeriode());
      }
    }
    justificationJTPersiste.setListePeriodeAssimilation(listPeriodeAssimilee);
    if (justificationAffiliationP07.getListePlafonnementAffiliation() != null) {
      justificationJTPersiste.setListePlafonnementAffiliation(justificationAffiliationP07.getListePlafonnementAffiliation());
    }
    if (justificationAffiliationP07.getListePeriodeElementaires() != null) {
      justificationJTPersiste.remplacerCollectionPeriodeElementaire(justificationAffiliationP07.getListePeriodeElementaires());
    }
    if (justificationAffiliationP07.getListeAffiliationSupplementaire() != null) {
      justificationJTPersiste.remplacerCollectionAffiliationSupplementaire(justificationAffiliationP07.getListeAffiliationSupplementaire());
    }
  }
}

/* Location:
 * Qualified Name:     OutilMappingJustificationAffiliation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */