package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.cge01.liquidation.dom.ConteneurConditionActiviteConservee;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques.FabriqueStrategieConditionCumulActiviteConservee;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.spec.FabriqueOutilFonctionnelDeterminationSjrSpec;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.spec.OutilDeterminationSjcSpec;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategieActiviteConserveeConvention2014Spec;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategieConditionCumulActiviteConserveeSpec;
import fr.unedic.cali.asu.cge01.outilsfonctionnels.RevalorisationSalaire;
import fr.unedic.cali.asu.cge01.parametres.Parametres;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.dom.FaitGenerateurSpec;
import fr.unedic.cali.asu.dom.ReglementApplicableSpec;
import fr.unedic.cali.asu.dom.SaisieAntecedent;
import fr.unedic.cali.asu.dom.Sjc;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.asu.produits.liquidation.dom.ConditionActiviteConservee;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionProduitResultant;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionSjc;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionSjr;
import fr.unedic.cali.asu.produits.liquidation.dom.Decision;
import fr.unedic.cali.asu.produits.liquidation.dom.DetailRemunerationPansConservee;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.JustificationPansConservees;
import fr.unedic.cali.asu.produits.liquidation.dom.JustificationSjc;
import fr.unedic.cali.asu.produits.liquidation.dom.RemunerationPansConservee;
import fr.unedic.cali.asu.produits.liquidation.dom.Sjrip;
import fr.unedic.cali.asu.produits.liquidation.dom.TrancheExecutable;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.Entreprise;
import fr.unedic.cali.autresdoms.ga.dom.PeriodeActiviteNonSalariePeriodique;
import fr.unedic.cali.autresdoms.ga.dom.PeriodeAvecRevenu;
import fr.unedic.cali.autresdoms.ga.dom.PeriodeEtatNonProfessionnel;
import fr.unedic.cali.autresdoms.ga.dom.PeriodePansAvecRevenu;
import fr.unedic.cali.autresdoms.ga.dom.Salaire;
import fr.unedic.cali.autresdoms.ga.dom.spec.IncidentSpec;
import fr.unedic.cali.autresdoms.ga.dom.spec.RemunerationSpec;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.EvenementReferenceExamenSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.dom.conteneurs.DonneesEntreeConstructionChronologie;
import fr.unedic.cali.outilsfonctionnels.DeterminationRemuneration;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreActiviteSalarie;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreIncident;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeActiviteNonSalariee;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeActiviteNonSalarieePeriodique;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeTravailSalarie;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeTravailSalarieQualifiee;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesAttestees;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesCertifiees;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesJustifiees;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesLiquidables;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesQualifiables;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesSurFiltresExclusifs;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.parametres.GestionnaireDateApplication;
import fr.unedic.cali.utilitaire.filtres.objetChronoPeriode.FiltreObjetChronoPeriodeFinADate;
import fr.unedic.util.Mathematiques;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.Unite;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.OutilFonctionnel;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.FiltresTemporel;
import fr.unedic.util.temps.Periode;
import fr.unedic.util.temps.Temporel;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

public class RechercheConditionCumulActiviteConservee
  implements OutilFonctionnel
{
  private static final BigDecimal COEFFICIENT_MENSUEL = new BigDecimal("30");
  
  public static RechercheConditionCumulActiviteConservee getInstance()
  {
    return new RechercheConditionCumulActiviteConservee();
  }
  
  public ConteneurConditionActiviteConservee rechercherConditionCumulActiviteConservee(Demande demande, Chronologie chronoGlobaleActivitesConservees)
    throws CoucheLogiqueException
  {
    ConteneurConditionActiviteConservee conteneurConditionActiviteConservee = new ConteneurConditionActiviteConservee();
    
    Chronologie chronoActivitesSalarieesConservees = chronoGlobaleActivitesConservees.copier(new FiltreActiviteSalarie());
    
    conteneurConditionActiviteConservee = verifierConditionEmployeurActiviteConservee(demande, chronoActivitesSalarieesConservees, conteneurConditionActiviteConservee);
    
    StrategieActiviteConserveeConvention2014Spec strategieActiviteConservee = OutilGestionActivitesConservees.getInstance().recupererStrategieActiviteConserveeConvention2014(demande);
    
    DossierExamen dossierExamenCourant = (DossierExamen)demande.getDossierExamen();
    ProduitSpec produit = ((DossierAffectation)demande.getDossierAffectation()).getProduit();
    Reglement reglementApplicableCourant = dossierExamenCourant.getReglementApplicable().getReglement();
    boolean estReglementApplicableA4 = reglementApplicableCourant.equals(produit.getReglement("A4"));
    
    StrategieConditionCumulActiviteConserveeSpec strategieCumulPans = recupererStrategieCumulPans(demande);
    if (strategieActiviteConservee.verifierSeuilsConditionActiviteConservee(estReglementApplicableA4)) {
      alimenterSeuil(demande, conteneurConditionActiviteConservee, chronoGlobaleActivitesConservees, strategieCumulPans);
    }
    if ((strategieActiviteConservee.verifierSeuilsConditionActiviteConservee(estReglementApplicableA4)) && (!demande.getDonneesTemporaires().isConditionCumulActiviteConserveeRemplie()))
    {
      Periode periodeMoisCivilPrecedantDateExamen = determinerMoisCivilPrecedantDateExamen(demande);
      BigDecimal heuresActiviteConserveeSurMoisCivil = determinerHeuresActiviteConserveeSurMoisCivil(periodeMoisCivilPrecedantDateExamen, chronoActivitesSalarieesConservees);
      
      conteneurConditionActiviteConservee.setNombreHeuresMensuelActiviteConservee(heuresActiviteConserveeSurMoisCivil);
      
      JustificationSjc justificationSjc = new JustificationSjc();
      justificationSjc.setSeuilHoraire(getPlafondHoraireActiviteConservee());
      ((DossierExamen)demande.getDossierExamen()).getConstitutionSjc().setJustificationSjc(justificationSjc);
      if (heuresActiviteConserveeSurMoisCivil.compareTo(getPlafondHoraireActiviteConservee()) > 0)
      {
        conteneurConditionActiviteConservee.setEtatSatisfait(false);
        conteneurConditionActiviteConservee.setSituationConditionActiviteConservee(2);
        conteneurConditionActiviteConservee.setCodeMotifEchec(121);
        return conteneurConditionActiviteConservee;
      }
      BigDecimal remunerationBruteConserveeSurMoisCivil = determinerRemunerationBruteConserveeSurMoisCivil(periodeMoisCivilPrecedantDateExamen, chronoActivitesSalarieesConservees);
      
      BigDecimal remunerationBrutePansConserveeSurMoisCivil = strategieCumulPans.determinerMontantRemunerationBrutePansConserveeSurMoisCivil(demande, chronoGlobaleActivitesConservees);
      
      remunerationBruteConserveeSurMoisCivil = remunerationBruteConserveeSurMoisCivil.add(remunerationBrutePansConserveeSurMoisCivil);
      conteneurConditionActiviteConservee.setMontantMensuelActiviteConservee(remunerationBruteConserveeSurMoisCivil);
      if (remunerationBruteConserveeSurMoisCivil.compareTo(conteneurConditionActiviteConservee.getSeuilMontantMensuelActiviteConservee()) > 0)
      {
        conteneurConditionActiviteConservee.setEtatSatisfait(false);
        conteneurConditionActiviteConservee.setSituationConditionActiviteConservee(3);
        conteneurConditionActiviteConservee.setCodeMotifEchec(121);
        return conteneurConditionActiviteConservee;
      }
    }
    if (conteneurConditionActiviteConservee.getCodeMotifEchec() != 0) {
      return conteneurConditionActiviteConservee;
    }
    conteneurConditionActiviteConservee.setEtatSatisfait(true);
    conteneurConditionActiviteConservee.setSituationConditionActiviteConservee(4);
    
    return conteneurConditionActiviteConservee;
  }
  
  public ConteneurConditionActiviteConservee alimenterSeuil(Demande demande, ConteneurConditionActiviteConservee conteneurConditionActiviteConservee, Chronologie chronoGlobaleActivitesConservees, StrategieConditionCumulActiviteConserveeSpec strategieCumulPans)
    throws CoucheLogiqueException
  {
    JustificationPansConservees justificatifPansConservees = strategieCumulPans.determinerRemunerationBrutePansConserveeSurPRC(demande, chronoGlobaleActivitesConservees);
    
    BigDecimal seuilMontantMensuelActiviteConservee = null;
    if ((demande.getEvenementReferenceExamen() != null) && (demande.getEvenementReferenceExamen().getTypeExamen() != null) && (demande.getSaisieAntecedent() != null) && (demande.getSaisieAntecedent().getContexteDemande() != null) && ("ASU_23".equals(demande.getEvenementReferenceExamen().getTypeExamen())) && (demande.getSaisieAntecedent().getContexteDemande().intValue() == 8)) {
      seuilMontantMensuelActiviteConservee = demande.getSaisieAntecedent().getRevenuMensuelANSConservee();
    } else if ((justificatifPansConservees.getListePansConservees() != null) && (!justificatifPansConservees.getListePansConservees().isEmpty())) {
      seuilMontantMensuelActiviteConservee = justificatifPansConservees.getMontantRemunerationMensuelPansCalcule();
    }
    conteneurConditionActiviteConservee.setJustificationPansConservees(justificatifPansConservees);
    conteneurConditionActiviteConservee.setSeuilMensuelPansConditionActiviteConservee(seuilMontantMensuelActiviteConservee);
    BigDecimal plafondMensuelRemuneration = determinerPlafondMensuelRemuneration(conteneurConditionActiviteConservee, demande, demande.getDateExamen());
    
    conteneurConditionActiviteConservee.setSeuilMontantMensuelActiviteConservee(plafondMensuelRemuneration);
    return conteneurConditionActiviteConservee;
  }
  
  public StrategieConditionCumulActiviteConserveeSpec recupererStrategieCumulPans(Demande demande)
    throws CoucheLogiqueException
  {
    CritereStrategie critere = new CritereStrategie();
    critere.setDatePivot(demande.getDateFaitGenerateurOuDernierSinistre());
    return (StrategieConditionCumulActiviteConserveeSpec)FabriqueStrategieConditionCumulActiviteConservee.getInstance().getStrategie(critere);
  }
  
  public BigDecimal determinerPlafondMensuelRemuneration(ConteneurConditionActiviteConservee conteneurConditionActiviteConservee, Demande demande, Damj dateRevalorisation)
    throws CoucheLogiqueException
  {
    BigDecimal remunerationMensuelleBruteAvantPerteActivite = determinerRemunerationMensuelleBruteAvantPerteActivite(demande, dateRevalorisation);
    
    BigDecimal seuilMontantMensuelPansConservees = recupererRemunerationBrutePansConservee(conteneurConditionActiviteConservee, demande);
    BigDecimal plafondMensuelRemuneration = Parametres.POURCENTAGE_PLAFOND_REMUNERATION_ACTIVITES_CONSERVEES.multiply(remunerationMensuelleBruteAvantPerteActivite.add(seuilMontantMensuelPansConservees));
    plafondMensuelRemuneration = Mathematiques.arrondiASup(plafondMensuelRemuneration, 2);
    
    return plafondMensuelRemuneration;
  }
  
  public BigDecimal determinerPlafondMensuelRemunerationSurODMigree(Demande demande, BigDecimal seuilMontantMensuelPansConservees, Damj dateRevalorisation)
    throws CoucheLogiqueException
  {
    BigDecimal remunerationMensuelleBruteAvantPerteActivite = determinerRemunerationMensuelleBruteAvantPerteActivite(demande, dateRevalorisation);
    
    BigDecimal plafondMensuelRemuneration = Parametres.POURCENTAGE_PLAFOND_REMUNERATION_ACTIVITES_CONSERVEES.multiply(remunerationMensuelleBruteAvantPerteActivite.add(seuilMontantMensuelPansConservees));
    plafondMensuelRemuneration = Mathematiques.arrondiASup(plafondMensuelRemuneration, 2);
    
    return plafondMensuelRemuneration;
  }
  
  public BigDecimal determinerSeuilMensuelPansSurODMigree(Demande od)
    throws CoucheLogiqueException
  {
    StrategieConditionCumulActiviteConserveeSpec strategieCumulPans = recupererStrategieCumulPans(od);
    
    DonneesEntreeConstructionChronologie donneesEntree = fr.unedic.cali.asu.outilsfonctionnels.ConstructionChronologie.mapperDemandeDonneesEntreeConstructionChronologie(od);
    return strategieCumulPans.determinerMontantRemunerationBrutePansConserveeSurPRC(od, ConstructionChronologie.determinerChronoActivitesConservees(donneesEntree));
  }
  
  private Periode determinerMoisCivilPrecedantDateExamen(Demande demande)
  {
    Damj dateExamen = demande.getDateExamen();
    Damj dateDebutMoisCivil;
    Damj dateFinMoisCivil;
    Damj dateDebutMoisCivil;
    if (dateExamen.estLaFinDuMois())
    {
      Damj dateFinMoisCivil = dateExamen;
      dateDebutMoisCivil = dateExamen.getDebutMois();
    }
    else
    {
      dateFinMoisCivil = dateExamen.getFinMoisPrecedent();
      dateDebutMoisCivil = dateFinMoisCivil.getDebutMois();
    }
    return new Periode(dateDebutMoisCivil, dateFinMoisCivil);
  }
  
  private BigDecimal determinerHeuresActiviteConserveeSurMoisCivil(Periode moisCivil, Chronologie chronoActivitesSalarieesConservees)
  {
    BigDecimal cumulHeures = BigDecimal.ZERO;
    Unite uniteHeure = Unite.get("heure de travail");
    
    chronoActivitesSalarieesConservees.iterer();
    while (chronoActivitesSalarieesConservees.encoreSuivant())
    {
      ActiviteSalarie activiteSalarieConserveeCourante = (ActiviteSalarie)chronoActivitesSalarieesConservees.elementSuivant();
      if ((!activiteSalarieConserveeCourante.getReglement().estNomReglementIdentique("A1")) && (activiteSalarieConserveeCourante.getCategorieEmploiParticulier() != 22) && (activiteSalarieConserveeCourante.getCategorieEmploiParticulier() != 23))
      {
        Map<Unite, Quantite> tableQuantitesAffiliationProratiseesSurMois = activiteSalarieConserveeCourante.determinerQuantitesAffiliationArrondie(moisCivil);
        cumulHeures = cumulHeures.add(((Quantite)tableQuantitesAffiliationProratiseesSurMois.get(uniteHeure)).getValeur());
      }
    }
    return cumulHeures;
  }
  
  private BigDecimal determinerRemunerationBruteConserveeSurMoisCivil(Periode moisCivil, Chronologie chronoActivitesSalarieesConservees)
    throws CoucheLogiqueException
  {
    BigDecimal cumulRemuneration = BigDecimal.ZERO;
    
    chronoActivitesSalarieesConservees.iterer();
    while (chronoActivitesSalarieesConservees.encoreSuivant())
    {
      ActiviteSalarie activiteSalarieConserveeCourante = (ActiviteSalarie)chronoActivitesSalarieesConservees.elementSuivant();
      if (activiteSalarieConserveeCourante.getPeriode().chevauche(moisCivil))
      {
        boolean isTotalementSuspendu = false;
        FiltresTemporel filtres = new FiltresTemporel();
        filtres.ajouterFiltre(new FiltreIncident());
        Chronologie periodesSuspension = activiteSalarieConserveeCourante.getListePeriodesIncident().copier(filtres);
        int nbJourPeriode = 0;
        
        BigDecimal remunerationCouranteMoisCivil = DeterminationRemuneration.determinerRemunerationActiviteSalarieConserveeSurMoisCivil(activiteSalarieConserveeCourante, moisCivil);
        
        remunerationCouranteMoisCivil = Mathematiques.arrondiASup(remunerationCouranteMoisCivil, 2);
        if (remunerationCouranteMoisCivil.compareTo(BigDecimal.ZERO) == 0)
        {
          if ((periodesSuspension != null) && (!periodesSuspension.estVide()))
          {
            for (Iterator<?> iterperiodeSuspension = periodesSuspension.iterer(); iterperiodeSuspension.hasNext();)
            {
              IncidentSpec suspension = (IncidentSpec)iterperiodeSuspension.next();
              Periode periodeSuspension = suspension.getPeriode();
              if ((periodeSuspension.chevauche(moisCivil)) && (suspension.estTempsPlein()) && (moisCivil.estContenueDans(periodeSuspension))) {
                isTotalementSuspendu = true;
              }
            }
            if (!isTotalementSuspendu)
            {
              Periode tmpPeriode = new Periode();
              if (activiteSalarieConserveeCourante.getDateDebut().estAvantOuCoincideAvec(moisCivil.getDebut())) {
                tmpPeriode.setDebut(moisCivil.getDebut());
              } else {
                tmpPeriode.setDebut(activiteSalarieConserveeCourante.getDateDebut());
              }
              if (activiteSalarieConserveeCourante.getDateFin().estApresOuCoincideAvec(moisCivil.getFin())) {
                tmpPeriode.setFin(moisCivil.getFin());
              } else {
                tmpPeriode.setFin(activiteSalarieConserveeCourante.getDateFin());
              }
              if (tmpPeriode.getDuree() == nbJourPeriode) {
                isTotalementSuspendu = true;
              }
            }
          }
          if (!isTotalementSuspendu)
          {
            Periode tmpPeriode = new Periode();
            if (activiteSalarieConserveeCourante.getDateDebut().estAvantOuCoincideAvec(moisCivil.getDebut())) {
              tmpPeriode.setDebut(moisCivil.getDebut());
            } else {
              tmpPeriode.setDebut(activiteSalarieConserveeCourante.getDateDebut());
            }
            if (activiteSalarieConserveeCourante.getDateFin().estApresOuCoincideAvec(moisCivil.getFin())) {
              tmpPeriode.setFin(moisCivil.getFin());
            } else {
              tmpPeriode.setFin(activiteSalarieConserveeCourante.getDateFin());
            }
            Chronologie chronoSalaires = activiteSalarieConserveeCourante.getListeSalaires();
            
            chronoSalaires.iterer();
            boolean bContinue = true;
            while ((chronoSalaires.encoreSuivant()) && (bContinue))
            {
              Salaire periodeSalaireCourant = (Salaire)chronoSalaires.elementSuivant();
              if (periodeSalaireCourant.getPeriode().estContenueDans(moisCivil))
              {
                Quantite qteAbscence = periodeSalaireCourant.getQuantiteAbsence();
                if (qteAbscence != null)
                {
                  isTotalementSuspendu = true;
                }
                else
                {
                  isTotalementSuspendu = false;
                  bContinue = false;
                }
              }
            }
          }
          if ((remunerationCouranteMoisCivil.compareTo(new BigDecimal("0")) == 0) && (!isTotalementSuspendu))
          {
            String[] params = new String[4];
            String moisCivilLibelle = moisCivil.getFin().getMois() < 10 ? "0" + moisCivil.getFin().getMois() : String.valueOf(moisCivil.getFin().getMois());
            
            params[0] = moisCivilLibelle;
            params[1] = String.valueOf(moisCivil.getFin().getAnnee()).substring(2);
            params[2] = activiteSalarieConserveeCourante.getDateDebut().toString().substring(0, 6).concat(activiteSalarieConserveeCourante.getDateDebut().toString().substring(8));
            
            params[3] = activiteSalarieConserveeCourante.getDateFin().toString().substring(0, 6).concat(activiteSalarieConserveeCourante.getDateFin().toString().substring(8));
            
            fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ALERTE_A11MB8", params);
          }
        }
        cumulRemuneration = cumulRemuneration.add(remunerationCouranteMoisCivil);
      }
    }
    return cumulRemuneration;
  }
  
  private BigDecimal determinerRemunerationMensuelleBruteAvantPerteActivite(Demande demande, Damj dateRevalo)
    throws CoucheLogiqueException
  {
    DossierExamen dossierExamenCourant = (DossierExamen)demande.getDossierExamen();
    
    Sjr sjrrp = RevalorisationSalaire.revaloriserSjr(recupererSjrAServir(demande), dateRevalo);
    
    ProduitAsuSpec produitCourant = (ProduitAsuSpec)dossierExamenCourant.getDossierAffecte().getProduit();
    FabriqueOutilFonctionnelDeterminationSjrSpec fabriqueOfSjr = (FabriqueOutilFonctionnelDeterminationSjrSpec)produitCourant.determinerFabriqueOutilFonctionnelDeterminationSjr(demande.getDateFaitGenerateurOuDernierSinistre());
    Sjc sjcrp = fabriqueOfSjr.getOutilDeterminationSjc().revaloriserSjcip(dossierExamenCourant.getConstitutionSjc(), dateRevalo);
    
    BigDecimal remunerationMensuelle = COEFFICIENT_MENSUEL.multiply(sjrrp.getSalaire().add(sjcrp.getSalaire()));
    
    return remunerationMensuelle;
  }
  
  private BigDecimal recupererRemunerationBrutePansConservee(ConteneurConditionActiviteConservee conteneurConditionActiviteConservee, Demande demandeCourante)
    throws CoucheLogiqueException
  {
    Demande demande = demandeCourante;
    if ("ASU_07".equals(demande.getEvenementReferenceExamen().getTypeExamen()))
    {
      AttributionSpec odOrigine = demande.rechercherOuvertureDroitPrecedenteDuMemeType();
      demande = (Demande)odOrigine.getDemande();
      DossierExamen dossierExamenCourant = (DossierExamen)demande.getDossierAffectation().getDossierExamen();
      mapperConditionActiviteConserveeVersConteneur(conteneurConditionActiviteConservee, dossierExamenCourant.getConditionActiviteConservee());
    }
    StrategieConditionCumulActiviteConserveeSpec strategieCumulPans = recupererStrategieCumulPans(demande);
    
    return strategieCumulPans.recupererMontantRemunerationBrutePansConservee(conteneurConditionActiviteConservee, demande);
  }
  
  private Sjr recupererSjrAServir(Demande demande)
  {
    Decision decision = (Decision)demande.getDossierExamen();
    
    AttributionAssuranceSpec attributionPrecedente = decision.getAttributionPrecedente();
    switch (decision.getNatureDecision())
    {
    case 11: 
      if (!demande.estEnContexteDroitAnterieurSecteurPublic()) {
        return recupererSjrAttributionPrecedente(attributionPrecedente);
      }
      return new Sjr(demande.getDonneesTemporaires().getSjrSP().getValeur(), demande.getDonneesTemporaires().getTermePrcSp(), null);
    case 26: 
      if (decision.getConstitutionProduitResultant().getTypeMontantRetenu() == 1) {
        return new Sjr(decision.getConstitutionSjr().getSjrip().getSjrip(), decision.getConstitutionSjr().getSjrip().getDateEffet(), decision.getConstitutionSjr().getSjrip().getContexteParticulierSjr());
      }
      if (!demande.estEnContexteDroitAnterieurSecteurPublic()) {
        return recupererSjrAttributionPrecedente(attributionPrecedente);
      }
      return new Sjr(demande.getDonneesTemporaires().getSjrSP().getValeur(), demande.getDonneesTemporaires().getTermePrcSp(), null);
    }
    return new Sjr(decision.getConstitutionSjr().getSjrip().getSjrip(), decision.getConstitutionSjr().getSjrip().getDateEffet(), decision.getConstitutionSjr().getSjrip().getContexteParticulierSjr());
  }
  
  private Sjr recupererSjrAttributionPrecedente(AttributionAssuranceSpec attribution)
  {
    Sjr sjr;
    Sjr sjr;
    if (((ProduitAsuSpec)attribution.getProduit()).estTrancheActivee(attribution.getDemande()))
    {
      TrancheExecutable tranche = (TrancheExecutable)((Attribution)attribution).getListTranchesExecutables().get(0);
      sjr = tranche.getSjr();
    }
    else
    {
      sjr = attribution.getElementBaseIndemnisation().getSjr();
    }
    return sjr;
  }
  
  protected BigDecimal getPlafondHoraireActiviteConservee()
  {
    return Parametres.PLAFOND_HORAIRE_ACTIVITES_CONSERVEES;
  }
  
  protected BigDecimal getPlafondRemunerationActiviteConservee()
  {
    return Parametres.POURCENTAGE_PLAFOND_REMUNERATION_ACTIVITES_CONSERVEES;
  }
  
  public RemunerationPansConservee determinerRemunerationMensuellePansConservees(Periode anneeCivile, PeriodeActiviteNonSalariePeriodique pansConservee)
    throws CoucheLogiqueException
  {
    RemunerationPansConservee domRetour = new RemunerationPansConservee();
    
    BigDecimal montantMensuelPans = BigDecimal.ZERO;
    
    BigDecimal valeurAnnuelRetenue = determinerMontantTotal(pansConservee, anneeCivile);
    
    ChronologiePeriodes chronologiePro = new ChronologiePeriodes();
    Collection periodesEtat = pansConservee.getCollectionPeriodeEtatNonProfessionnel();
    Iterator it = periodesEtat.iterator();
    while (it.hasNext())
    {
      PeriodeEtatNonProfessionnel periodeEtat = (PeriodeEtatNonProfessionnel)it.next();
      if (periodeEtat.isEtatProfessionnel()) {
        chronologiePro.ajouter(periodeEtat);
      }
    }
    chronologiePro = chronologiePro.fusionnerChevauchementPeriodes();
    
    BigDecimal nombreMois = BigDecimal.ZERO;
    BigDecimal cumulNombreMois = BigDecimal.ZERO;
    
    Periode periodeSurAnneeCivile = new Periode();
    
    periodeSurAnneeCivile.setDebut(Damj.max(anneeCivile.getDebut(), pansConservee.getDateDebut()));
    periodeSurAnneeCivile.setFin(Damj.min(anneeCivile.getFin(), pansConservee.getDateFin()));
    
    ArrayList listePeriodesMoisCivils = periodeSurAnneeCivile.decouperEnMoisCivils();
    for (int boucle = 0; boucle < listePeriodesMoisCivils.size(); boucle++)
    {
      Periode periodeMoisCivilCourant = (Periode)listePeriodesMoisCivils.get(boucle);
      
      BigDecimal joursActivite = new BigDecimal(periodeMoisCivilCourant.inter(chronologiePro));
      BigDecimal joursMois = new BigDecimal(Damj.getNbJoursMois(periodeMoisCivilCourant.getDebut().getMois(), periodeMoisCivilCourant.getDebut().getAnnee()));
      
      nombreMois = joursActivite.divide(joursMois, 2, 4);
      cumulNombreMois = cumulNombreMois.add(nombreMois);
      
      DetailRemunerationPansConservee detailRemunerationPansConservee = new DetailRemunerationPansConservee();
      detailRemunerationPansConservee.setPeriode(periodeMoisCivilCourant);
      detailRemunerationPansConservee.setNombreJoursRetenu(joursActivite.intValue());
      detailRemunerationPansConservee.setNombreMois(nombreMois);
      detailRemunerationPansConservee.setMontantRetenu(BigDecimal.ZERO);
      
      domRetour.ajouterDetailRemunerationPansConservee(detailRemunerationPansConservee);
    }
    if ((BigDecimal.ZERO.compareTo(valeurAnnuelRetenue) != 0) && (BigDecimal.ZERO.compareTo(nombreMois) != 0)) {
      montantMensuelPans = montantMensuelPans.add(valeurAnnuelRetenue.divide(cumulNombreMois, 2, 4));
    }
    if (domRetour.getListeDetailRemunerationPansConservee() != null)
    {
      it = domRetour.getListeDetailRemunerationPansConservee().iterator();
      while (it.hasNext())
      {
        DetailRemunerationPansConservee detailRemunerationPansConservee = (DetailRemunerationPansConservee)it.next();
        if ((BigDecimal.ZERO.compareTo(valeurAnnuelRetenue) != 0) && (BigDecimal.ZERO.compareTo(detailRemunerationPansConservee.getNombreMois()) != 0))
        {
          BigDecimal valeurEstimeeMensuelle = montantMensuelPans.multiply(detailRemunerationPansConservee.getNombreMois()).setScale(2, 4);
          
          detailRemunerationPansConservee.setMontantRetenu(valeurEstimeeMensuelle);
        }
      }
    }
    domRetour.setPeriode(pansConservee.getPeriode());
    domRetour.setMontantMensuel(montantMensuelPans);
    domRetour.setMontantAnnuelRetenu(valeurAnnuelRetenue);
    domRetour.setNombreMois(cumulNombreMois);
    
    return domRetour;
  }
  
  private BigDecimal determinerMontantTotal(PeriodeActiviteNonSalariePeriodique pans, Periode periodeReference)
    throws CoucheLogiqueException
  {
    BigDecimal cumulRemuneration = BigDecimal.ZERO;
    
    Damj dateApplicationNouvellePans = GestionnaireDateApplication.getInstance().recupererDateApplication("Prise en compte des ANS mensuel et supra M");
    
    Collection<?> collectionRevenuAnnualise = pans.getCollectionPeriodeAvecRevenu();
    Iterator<?> it = collectionRevenuAnnualise.iterator();
    while (it.hasNext())
    {
      PeriodeAvecRevenu periodeAvecRevenu = (PeriodeAvecRevenu)it.next();
      if (periodeAvecRevenu.getDateDebut().estAvant(dateApplicationNouvellePans))
      {
        RemunerationSpec remuneration = new Salaire(periodeAvecRevenu.getDateDebut(), periodeAvecRevenu.getDateFin());
        remuneration.setMontantSoumisAContribution(new QuantiteEuro(periodeAvecRevenu.getMontant()));
        cumulRemuneration = cumulRemuneration.add(DeterminationRemuneration.determinerRemunerationProratiseeDansPeriodeRef(remuneration, periodeReference));
      }
    }
    for (PeriodePansAvecRevenu periodeAvecRevenu : pans.getCollectionPeriodePansAvecRevenu()) {
      if ((periodeAvecRevenu.getDateDebut().estApresOuCoincideAvec(dateApplicationNouvellePans)) && (periodeAvecRevenu.getMontant() != null))
      {
        RemunerationSpec remuneration = new Salaire(periodeAvecRevenu.getDateDebut(), periodeAvecRevenu.getDateFin());
        remuneration.setMontantSoumisAContribution(new QuantiteEuro(periodeAvecRevenu.getMontant()));
        cumulRemuneration = cumulRemuneration.add(DeterminationRemuneration.determinerRemunerationProratiseeDansPeriodeRef(remuneration, periodeReference));
      }
    }
    return cumulRemuneration;
  }
  
  public Periode determinerAnneeCivilePrecedantDate(Damj date)
  {
    int anneeCivile = date.getAnnee() - 1;
    
    return new Periode(new Damj(anneeCivile, 1, 1), new Damj(anneeCivile, 12, 31));
  }
  
  public Periode determinerDebutAnneeCivileDateExamen(Damj date)
  {
    int anneeCivile = date.getAnnee();
    
    return new Periode(new Damj(anneeCivile, 1, 1), date);
  }
  
  public JustificationPansConservees determinerRemunerationMensuellePansConservees(Periode periodeAnneeCivilePrecedente, Periode periodeAnneeCivileEnCours, Chronologie chronoActivitesConservees)
    throws CoucheLogiqueException
  {
    JustificationPansConservees domRetour = new JustificationPansConservees();
    
    Chronologie chronologiePansConservees = chronoActivitesConservees.copier(new FiltrePeriodeActiviteNonSalarieePeriodique());
    
    chronologiePansConservees.iterer();
    while (chronologiePansConservees.encoreSuivant())
    {
      PeriodeActiviteNonSalariePeriodique pansConserveeCourante = (PeriodeActiviteNonSalariePeriodique)chronologiePansConservees.elementSuivant();
      RemunerationPansConservee remunerationPansConservee;
      if (pansConserveeCourante.getDateDebut().estContenueDans(periodeAnneeCivileEnCours))
      {
        RemunerationPansConservee remunerationPansConservee = determinerRemunerationMensuellePansConservees(periodeAnneeCivileEnCours, pansConserveeCourante);
        remunerationPansConservee.setAnneeCivile(2);
      }
      else
      {
        remunerationPansConservee = determinerRemunerationMensuellePansConservees(periodeAnneeCivilePrecedente, pansConserveeCourante);
        remunerationPansConservee.setAnneeCivile(1);
      }
      domRetour.ajouterPansConservee(remunerationPansConservee);
    }
    domRetour.setAnneeCivileEnCours(periodeAnneeCivileEnCours);
    domRetour.setAnneeCivilePrecedente(periodeAnneeCivilePrecedente);
    return domRetour;
  }
  
  public BigDecimal determinerMontantRemunerationMensuellePansConservees(Periode periodeAnneeCivilePrecedente, Periode periodeAnneeCivileEnCours, Chronologie chronoActivitesConservees)
    throws CoucheLogiqueException
  {
    JustificationPansConservees justificationPansConservees = determinerRemunerationMensuellePansConservees(periodeAnneeCivilePrecedente, periodeAnneeCivileEnCours, chronoActivitesConservees);
    
    return justificationPansConservees.getMontantRemunerationMensuelPansCalcule();
  }
  
  public void mapperConteneurVersConditionActiviteConservee(ConteneurConditionActiviteConservee conteneurConditionActiviteConservee, ConditionActiviteConservee conditionActiviteConservee)
  {
    conditionActiviteConservee.setCodeMotifEchec(conteneurConditionActiviteConservee.getCodeMotifEchec());
    conditionActiviteConservee.setEtat(conteneurConditionActiviteConservee.getEtat());
    conditionActiviteConservee.setJustificationPansConservees(conteneurConditionActiviteConservee.getJustificationPansConservees());
    conditionActiviteConservee.setMontantMensuelActiviteConservee(conteneurConditionActiviteConservee.getMontantMensuelActiviteConservee());
    conditionActiviteConservee.setNombreHeuresMensuelActiviteConservee(conteneurConditionActiviteConservee.getNombreHeuresMensuelActiviteConservee());
    conditionActiviteConservee.setSeuilMensuelPansConditionActiviteConservee(conteneurConditionActiviteConservee.getSeuilMensuelPansConditionActiviteConservee());
    conditionActiviteConservee.setSeuilMontantMensuelActiviteConservee(conteneurConditionActiviteConservee.getSeuilMontantMensuelActiviteConservee());
    conditionActiviteConservee.setSituationConditionActiviteConservee(conteneurConditionActiviteConservee.getSituationConditionActiviteConservee());
  }
  
  public void mapperConditionActiviteConserveeVersConteneur(ConteneurConditionActiviteConservee conteneurConditionActiviteConservee, ConditionActiviteConservee conditionActiviteConservee)
  {
    if (conditionActiviteConservee != null)
    {
      conteneurConditionActiviteConservee.setCodeMotifEchec(conditionActiviteConservee.getCodeMotifEchec());
      conteneurConditionActiviteConservee.setEtat(conditionActiviteConservee.getEtat());
      conteneurConditionActiviteConservee.setJustificationPansConservees(conditionActiviteConservee.getJustificationPansConservees());
      conteneurConditionActiviteConservee.setMontantMensuelActiviteConservee(conditionActiviteConservee.getMontantMensuelActiviteConservee());
      conteneurConditionActiviteConservee.setNombreHeuresMensuelActiviteConservee(conditionActiviteConservee.getNombreHeuresMensuelActiviteConservee());
      conteneurConditionActiviteConservee.setSeuilMensuelPansConditionActiviteConservee(conditionActiviteConservee.getSeuilMensuelPansConditionActiviteConservee());
      conteneurConditionActiviteConservee.setSeuilMontantMensuelActiviteConservee(conditionActiviteConservee.getSeuilMontantMensuelActiviteConservee());
      conteneurConditionActiviteConservee.setSituationConditionActiviteConservee(conditionActiviteConservee.getSituationConditionActiviteConservee());
    }
  }
  
  public void leverAlerteA11MB7SurOriginePasConservee(Chronologie chronoGlobaleActivitesConservees)
    throws CoucheLogiqueException
  {
    FiltrePeriodesSurFiltresExclusifs filtreExclusif = new FiltrePeriodesSurFiltresExclusifs();
    
    filtreExclusif.ajouterFiltre(new FiltrePeriodesJustifiees(false));
    
    FiltresTemporel filtreCertifieeNonQualifiee = new FiltresTemporel();
    
    filtreCertifieeNonQualifiee.ajouterFiltre(new FiltrePeriodeTravailSalarie());
    filtreCertifieeNonQualifiee.ajouterFiltre(new FiltrePeriodesCertifiees());
    filtreCertifieeNonQualifiee.ajouterFiltre(new FiltrePeriodeTravailSalarieQualifiee(false));
    filtreExclusif.ajouterFiltre(filtreCertifieeNonQualifiee);
    
    Chronologie chronoActivitesSalarieesConserveesFiltrees = chronoGlobaleActivitesConservees.copier(filtreExclusif);
    if (!chronoActivitesSalarieesConserveesFiltrees.estVide())
    {
      Damj dateFCTDamj = chronoActivitesSalarieesConserveesFiltrees.dernierElement().getDateDebut();
      String dateFCTString = dateFCTDamj.formater();
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ALERTE_A11MB7_1", new String[] { dateFCTString });
    }
    FiltresTemporel filtreActiviteNonSalarieNonAtteste = new FiltresTemporel();
    filtreActiviteNonSalarieNonAtteste.ajouterFiltre(new FiltrePeriodeActiviteNonSalariee());
    filtreActiviteNonSalarieNonAtteste.ajouterFiltre(new FiltrePeriodesAttestees(false));
    
    Chronologie chronoActivitesNonSalarieesConserveesFiltrees = chronoGlobaleActivitesConservees.copier(filtreActiviteNonSalarieNonAtteste);
    if (!chronoActivitesNonSalarieesConserveesFiltrees.estVide())
    {
      Damj dateFCTDamj = chronoActivitesNonSalarieesConserveesFiltrees.dernierElement().getDateDebut();
      String dateFCTString = dateFCTDamj.formater();
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ALERTE_A11MB7_2", new String[] { dateFCTString });
    }
  }
  
  public ConteneurConditionActiviteConservee rechercherConditionCumulActiviteConserveeReprise(Demande demande)
    throws CoucheLogiqueException
  {
    ConteneurConditionActiviteConservee conteneurConditionActiviteConservee = new ConteneurConditionActiviteConservee();
    if (fr.unedic.cali.asu.outilsfonctionnels.condition.cumulactiviteconservee.RechercheConditionCumulActiviteConservee.getInstance().estPansSurArceOuvertSurDroitToujoursEnCours(demande))
    {
      conteneurConditionActiviteConservee.setEtatSatisfait(false);
      conteneurConditionActiviteConservee.setCodeMotifEchec(123);
      conteneurConditionActiviteConservee.setSituationConditionActiviteConservee(5);
    }
    else
    {
      conteneurConditionActiviteConservee.setEtatSatisfait(true);
      conteneurConditionActiviteConservee.setSituationConditionActiviteConservee(4);
    }
    return conteneurConditionActiviteConservee;
  }
  
  protected ConteneurConditionActiviteConservee verifierConditionEmployeurActiviteConservee(Demande demande, Chronologie chronoActivitesSalarieesConservees, ConteneurConditionActiviteConservee conteneurConditionActiviteConservee)
    throws CoucheLogiqueException
  {
    if ((demande.getDonneesTemporaires() == null) || (!demande.getDonneesTemporaires().isEstLeveeConditionACMemeEmployeur()))
    {
      FiltresTemporel filtres = new FiltresTemporel();
      filtres.ajouterFiltre(new FiltreActiviteSalarie());
      filtres.ajouterFiltre(new FiltrePeriodesLiquidables());
      filtres.ajouterFiltre(new FiltrePeriodesQualifiables());
      filtres.ajouterFiltre(new FiltreObjetChronoPeriodeFinADate(demande.getFaitGenerateur().getDateFaitGenerateur(), "MVS"));
      Chronologie chronoActivitesSalarieesPerduesAuFgd = demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation().copier(filtres);
      
      chronoActivitesSalarieesPerduesAuFgd.iterer();
      while (chronoActivitesSalarieesPerduesAuFgd.encoreSuivant())
      {
        ActiviteSalarie activiteSalariePerdueCourante = (ActiviteSalarie)chronoActivitesSalarieesPerduesAuFgd.elementSuivant();
        
        String employeurActivitePerdue = activiteSalariePerdueCourante.getEntreprise().getIdentifiantBNE();
        
        controlerPresenceEmployeur(activiteSalariePerdueCourante);
        
        chronoActivitesSalarieesConservees.iterer();
        while (chronoActivitesSalarieesConservees.encoreSuivant())
        {
          ActiviteSalarie activiteSalarieConserveeCourante = (ActiviteSalarie)chronoActivitesSalarieesConservees.elementSuivant();
          
          String employeurActiviteConservee = activiteSalarieConserveeCourante.getEntreprise().getIdentifiantBNE();
          
          controlerPresenceEmployeur(activiteSalarieConserveeCourante);
          if (employeurActiviteConservee.compareTo(employeurActivitePerdue) == 0)
          {
            conteneurConditionActiviteConservee.setEtatSatisfait(false);
            conteneurConditionActiviteConservee.setCodeMotifEchec(122);
            conteneurConditionActiviteConservee.setSituationConditionActiviteConservee(1);
          }
        }
      }
    }
    else
    {
      conteneurConditionActiviteConservee.setEtatSatisfait(true);
    }
    return conteneurConditionActiviteConservee;
  }
  
  private void controlerPresenceEmployeur(ActiviteSalarie activite)
    throws CoucheLogiqueException
  {
    if (activite.getEntreprise().getIdentifiantBNE() == null) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_CUMUL_AC_BNE_ABSENT", new Damj[] { activite.getDateDebut(), activite.getDateFin() });
    }
  }
}

/* Location:
 * Qualified Name:     RechercheConditionCumulActiviteConservee
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */