package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.affiliation.dom;

import fr.unedic.cali.asu.produits.liquidation.dom.Pra;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.dom.spec.ParametresAffiliationSpec;
import fr.unedic.util.Unite;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.Damj;
import java.util.List;

public class ParametresAffiliation
  implements ParametresAffiliationSpec
{
  private Pra pra;
  private Unite uniteCalcul;
  private boolean comptabiliserAffiliationDernierJourFevrier;
  private Damj dateExamen;
  private Damj dateFaitGenerateur;
  private IndividuSpec individu;
  private List<ContexteDemandeSpec> listeContexte;
  private boolean nePasSanctionnerPnds;
  private boolean reinitialiserCalculPeriodeElementaires;
  private boolean comptabiliserAssimilation;
  private String contexteAppel;
  private boolean calculerUniquementCoefficientPlafonnement;
  private boolean effectuerImputationAffiliationPmvs;
  private Chronologie chronologieAttributionEnCoursPmvsDansPra;
  private ProduitAsuSpec produit;
  
  public boolean isEffectuerImputationAffiliationPmvs()
  {
    return effectuerImputationAffiliationPmvs;
  }
  
  public void setEffectuerImputationAffiliationPmvs(boolean effectuerImputationAffiliationPmvs)
  {
    this.effectuerImputationAffiliationPmvs = effectuerImputationAffiliationPmvs;
  }
  
  public Chronologie getChronologieAttributionEnCoursPmvsDansPra()
  {
    return chronologieAttributionEnCoursPmvsDansPra;
  }
  
  public void setChronologieAttributionEnCoursPmvsDansPra(Chronologie chronologieAttributionEnCoursPmvsDansPra)
  {
    this.chronologieAttributionEnCoursPmvsDansPra = chronologieAttributionEnCoursPmvsDansPra;
  }
  
  public List<ContexteDemandeSpec> getListeContexte()
  {
    return listeContexte;
  }
  
  public void setListeContexte(List<ContexteDemandeSpec> listeContexte)
  {
    this.listeContexte = listeContexte;
  }
  
  public boolean isComptabiliserAffiliationDernierJourFevrier()
  {
    return comptabiliserAffiliationDernierJourFevrier;
  }
  
  public void setComptabiliserAffiliationDernierJourFevrier(boolean comptabiliserAffiliationDernierJourFevrier)
  {
    this.comptabiliserAffiliationDernierJourFevrier = comptabiliserAffiliationDernierJourFevrier;
  }
  
  public Damj getDateExamen()
  {
    return dateExamen;
  }
  
  public void setDateExamen(Damj dateExamen)
  {
    this.dateExamen = dateExamen;
  }
  
  public Pra getPra()
  {
    return pra;
  }
  
  public void setPra(Pra pra)
  {
    this.pra = pra;
  }
  
  public Unite getUniteCalcul()
  {
    return uniteCalcul;
  }
  
  public void setUniteCalcul(Unite uniteCalcul)
  {
    this.uniteCalcul = uniteCalcul;
  }
  
  public IndividuSpec getIndividu()
  {
    return individu;
  }
  
  public void setIndividu(IndividuSpec individu)
  {
    this.individu = individu;
  }
  
  public ProduitAsuSpec getProduit()
  {
    return produit;
  }
  
  public void setProduit(ProduitAsuSpec produit)
  {
    this.produit = produit;
  }
  
  public boolean isComptabiliserAssimilation()
  {
    return comptabiliserAssimilation;
  }
  
  public void setComptabiliserAssimilation(boolean comptabiliserAssimilation)
  {
    this.comptabiliserAssimilation = comptabiliserAssimilation;
  }
  
  public ParametresAffiliation copie()
  {
    ParametresAffiliation copie = new ParametresAffiliation();
    
    copie.setComptabiliserAffiliationDernierJourFevrier(isComptabiliserAffiliationDernierJourFevrier());
    copie.setDateExamen(getDateExamen());
    copie.setIndividu(getIndividu());
    copie.setPra(getPra());
    copie.setProduit(getProduit());
    copie.setUniteCalcul(getUniteCalcul());
    copie.setChronologieAttributionEnCoursPmvsDansPra(getChronologieAttributionEnCoursPmvsDansPra());
    copie.setEffectuerImputationAffiliationPmvs(isEffectuerImputationAffiliationPmvs());
    copie.setNePasSanctionnerPnds(isNePasSanctionnerPnds());
    return copie;
  }
  
  public boolean isNePasSanctionnerPnds()
  {
    return nePasSanctionnerPnds;
  }
  
  public void setNePasSanctionnerPnds(boolean nePasSanctionnerPnds)
  {
    this.nePasSanctionnerPnds = nePasSanctionnerPnds;
  }
  
  public boolean isReinitialiserCalculPeriodeElementaires()
  {
    return reinitialiserCalculPeriodeElementaires;
  }
  
  public void setReinitialiserCalculPeriodeElementaires(boolean reinitialiserCalculPeriodeElementaires)
  {
    this.reinitialiserCalculPeriodeElementaires = reinitialiserCalculPeriodeElementaires;
  }
  
  public String getContexteAppel()
  {
    return contexteAppel;
  }
  
  public void setContexteAppel(String contexteAppel)
  {
    this.contexteAppel = contexteAppel;
  }
  
  public boolean isCalculerUniquementCoefficientPlafonnement()
  {
    return calculerUniquementCoefficientPlafonnement;
  }
  
  public void setCalculerUniquementCoefficientPlafonnement(boolean calculerUniquementCoefficientPlafonnement)
  {
    this.calculerUniquementCoefficientPlafonnement = calculerUniquementCoefficientPlafonnement;
  }
  
  public Damj getDateFaitGenerateur()
  {
    return dateFaitGenerateur;
  }
  
  public void setDateFaitGenerateur(Damj dateFaitGenerateur)
  {
    this.dateFaitGenerateur = dateFaitGenerateur;
  }
}

/* Location:
 * Qualified Name:     ParametresAffiliation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */