package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.CriteresStrategieMontantICCP;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieMontantICCP2009D007DReglementApplicableA4Apres09SI2;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieMontantICCP2009D007DReglementApplicableA4Avant09SI2;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieMontantICCPA5Avant09SI2;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieMontantICCPAvecMajorationRemuneration;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieMontantICCPCasGeneralApres09SI2SansMajorationRemuneration;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieMontantICCPCasGeneralAvant09SI2;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategieMontantICCPSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieMontantICCP
{
  public static final Damj DATE_APPLICATION_09SI2 = new Damj(2009, 7, 1);
  public static final Damj DATE_APPLICATION_09SI3 = new Damj(2009, 11, 20);
  private static FabriqueStrategieMontantICCP instance = new FabriqueStrategieMontantICCP();
  
  public static FabriqueStrategieMontantICCP getInstance()
  {
    return instance;
  }
  
  public StrategieMontantICCPSpec determinerStrategieMontantICCPCasGeneral(CriteresStrategieMontantICCP critereStrategie)
  {
    StrategieMontantICCPSpec strategie = null;
    
    Damj dateFinActiviteSalarie = critereStrategie.getDatePivot();
    
    Reglement reglementAppartenanceActiviteSalarie = critereStrategie.getReglementAppartenanceActiviteSalarie();
    if ((dateFinActiviteSalarie == null) || (reglementAppartenanceActiviteSalarie == null)) {
      throw new UnsupportedOperationException("FabriqueStrategieMontantICCP : un critère est null.");
    }
    ProduitSpec produitReglementAppartenance = reglementAppartenanceActiviteSalarie.getProduit();
    
    boolean estActiviteQualifieeA5 = reglementAppartenanceActiviteSalarie.equals(produitReglementAppartenance.getReglement("A5"));
    
    boolean estTypologie1 = (!estActiviteQualifieeA5) && (dateFinActiviteSalarie.estAvant(DATE_APPLICATION_09SI2));
    
    boolean estTypologie2 = (!estActiviteQualifieeA5) && (dateFinActiviteSalarie.estApresOuCoincideAvec(DATE_APPLICATION_09SI2)) && (dateFinActiviteSalarie.estAvant(DATE_APPLICATION_09SI3));
    
    boolean estTypologie3 = (estActiviteQualifieeA5) && (dateFinActiviteSalarie.estAvant(DATE_APPLICATION_09SI2));
    
    boolean estTypologie4 = ((!estActiviteQualifieeA5) && (dateFinActiviteSalarie.estApresOuCoincideAvec(DATE_APPLICATION_09SI3))) || ((estActiviteQualifieeA5) && (dateFinActiviteSalarie.estApresOuCoincideAvec(DATE_APPLICATION_09SI2)));
    if (estTypologie1) {
      strategie = new StrategieMontantICCPCasGeneralAvant09SI2();
    } else if (estTypologie2) {
      strategie = new StrategieMontantICCPCasGeneralApres09SI2SansMajorationRemuneration();
    } else if (estTypologie3) {
      strategie = new StrategieMontantICCPA5Avant09SI2();
    } else if (estTypologie4) {
      strategie = new StrategieMontantICCPAvecMajorationRemuneration();
    }
    return strategie;
  }
  
  public StrategieMontantICCPSpec determinerStrategieMontantICCPA4(CriteresStrategieMontantICCP critereStrategie)
  {
    Damj dateFinActiviteSalarie = critereStrategie.getDatePivot();
    if (dateFinActiviteSalarie == null) {
      throw new UnsupportedOperationException("FabriqueStrategieMontantICCP : un critère est null.");
    }
    StrategieMontantICCPSpec strategie;
    StrategieMontantICCPSpec strategie;
    if (dateFinActiviteSalarie.estApresOuCoincideAvec(DATE_APPLICATION_09SI2)) {
      strategie = new StrategieMontantICCP2009D007DReglementApplicableA4Apres09SI2();
    } else {
      strategie = new StrategieMontantICCP2009D007DReglementApplicableA4Avant09SI2();
    }
    return strategie;
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieMontantICCP
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */