package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies;

import fr.unedic.cali.asu.cge01.liquidation.dom.ConteneurInfosEmployeur;
import fr.unedic.cali.asu.dom.ConteneurInfosEmployeurSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.dom.ResultatDeterminationCompetence;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionQuantiteAffiliation;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.ContratTravail;
import fr.unedic.cali.autresdoms.ga.dom.Entreprise;
import fr.unedic.cali.dom.ConventionGestion;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeActiviteSalarieeSecteurPublicConventionGestion;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.ComparateurTemporelsSurDateFin;
import fr.unedic.util.temps.Periode;
import java.util.Enumeration;
import java.util.Hashtable;

public class StrategieDeterminationCompetenceSecteurPublicAvant
  extends StrategieDeterminationCompetenceSecteurPublicAbstrait
{
  public ConteneurInfosEmployeur determinerEmployeurCompetentSecteurPublic(Demande demande, ChronologiePeriodes chronoPeriodesActiviteSecteurPublicRetenues, ResultatDeterminationCompetence resultatDeterminationCompetence)
    throws CoucheLogiqueException
  {
    Periode periodeRechercheAffiliation = ((DossierExamen)demande.getDossierExamen()).getConstitutionQuantiteAffiliation().getPeriodePRA();
    
    Hashtable tableEmployeursActivites = new Hashtable();
    
    ChronologiePeriodes chronoPeriodesActiviteSecteurPublicRetenuesPra = new ChronologiePeriodes();
    chronoPeriodesActiviteSecteurPublicRetenuesPra.setComparateur(new ComparateurTemporelsSurDateFin());
    chronoPeriodesActiviteSecteurPublicRetenuesPra.ajouter(resultatDeterminationCompetence.getChronoPeriodesActiviteSecteurPublicRetenues());
    
    chronoPeriodesActiviteSecteurPublicRetenuesPra.iterer();
    ActiviteSalarie activiteSalarieeCourante = null;
    String identifiantEmployeurCourant = null;
    ConteneurInfosEmployeur conteneurInfosEmployeur = null;
    ChronologiePeriodes chronoPeriodesActiviteParEmployeur = null;
    while (chronoPeriodesActiviteSecteurPublicRetenuesPra.encoreSuivant())
    {
      activiteSalarieeCourante = (ActiviteSalarie)chronoPeriodesActiviteSecteurPublicRetenuesPra.elementSuivant();
      
      identifiantEmployeurCourant = activiteSalarieeCourante.getEntreprise().getIdentifiantBNE();
      if (tableEmployeursActivites.containsKey(identifiantEmployeurCourant))
      {
        conteneurInfosEmployeur = recupererConteneurInfoEmployeur(identifiantEmployeurCourant, tableEmployeursActivites);
        conteneurInfosEmployeur.getChronoEmployeur().ajouter(activiteSalarieeCourante);
      }
      else
      {
        conteneurInfosEmployeur = new ConteneurInfosEmployeur();
        chronoPeriodesActiviteParEmployeur = new ChronologiePeriodes();
        conteneurInfosEmployeur.setChronoEmployeur(chronoPeriodesActiviteParEmployeur);
        
        chronoPeriodesActiviteParEmployeur.ajouter(activiteSalarieeCourante);
        tableEmployeursActivites.put(identifiantEmployeurCourant, conteneurInfosEmployeur);
      }
      if ((activiteSalarieeCourante.getNumeroConventionGestion() != null) && (conteneurInfosEmployeur.getDerniereConventionGestionEmployeur() == null))
      {
        ConventionGestion conventionGestion = new ConventionGestion(activiteSalarieeCourante.getNumeroConventionGestion(), activiteSalarieeCourante.getContrat().getCodeAffectation(), false, false, false, false, false, "2", false, null, null, null, false);
        
        conteneurInfosEmployeur.setDerniereConventionGestionEmployeur(conventionGestion);
      }
    }
    Hashtable tableEmployeursDureeActiviteDansPra = new Hashtable();
    for (Enumeration enumeration = tableEmployeursActivites.keys(); enumeration.hasMoreElements();)
    {
      identifiantEmployeurCourant = (String)enumeration.nextElement();
      chronoPeriodesActiviteParEmployeur = recupererChronologiesEmployeur(identifiantEmployeurCourant, tableEmployeursActivites);
      int dureeActiviteParEmployeur = calculerDureeActivite(periodeRechercheAffiliation, chronoPeriodesActiviteParEmployeur);
      tableEmployeursDureeActiviteDansPra.put(identifiantEmployeurCourant, Integer.valueOf(dureeActiviteParEmployeur));
    }
    int dureeActiviteLaPlusGrande = 0;
    String identifiantEmployeurCompetent = null;
    for (Enumeration enumeration = tableEmployeursDureeActiviteDansPra.keys(); enumeration.hasMoreElements();)
    {
      identifiantEmployeurCourant = (String)enumeration.nextElement();
      int dureeActiviteParEmployeur = ((Integer)tableEmployeursDureeActiviteDansPra.get(identifiantEmployeurCourant)).intValue();
      if ((dureeActiviteLaPlusGrande == 0) || (dureeActiviteParEmployeur > dureeActiviteLaPlusGrande))
      {
        dureeActiviteLaPlusGrande = dureeActiviteParEmployeur;
        identifiantEmployeurCompetent = identifiantEmployeurCourant;
      }
      else if (dureeActiviteParEmployeur == dureeActiviteLaPlusGrande)
      {
        ChronologiePeriodes chronoPeriodesActiviteTrieesSurDateFin = new ChronologiePeriodes();
        chronoPeriodesActiviteTrieesSurDateFin.setComparateur(new ComparateurTemporelsSurDateFin());
        chronoPeriodesActiviteTrieesSurDateFin.ajouter(recupererChronologiesEmployeur(identifiantEmployeurCourant, tableEmployeursActivites));
        chronoPeriodesActiviteTrieesSurDateFin.ajouter(recupererChronologiesEmployeur(identifiantEmployeurCompetent, tableEmployeursActivites));
        
        activiteSalarieeCourante = (ActiviteSalarie)chronoPeriodesActiviteTrieesSurDateFin.premierElement();
        if (activiteSalarieeCourante.getEntreprise().getIdentifiantBNE().equalsIgnoreCase(identifiantEmployeurCourant)) {
          identifiantEmployeurCompetent = identifiantEmployeurCourant;
        }
      }
    }
    resultatDeterminationCompetence.setIdentifiantEmployeurCompetent(identifiantEmployeurCompetent);
    resultatDeterminationCompetence.setIdFctEmployeurCompetent(activiteSalarieeCourante.getIdentifiant());
    
    ConteneurInfosEmployeur conteneurEmployeurCompetent = recupererConteneurInfoEmployeur(identifiantEmployeurCompetent, tableEmployeursActivites);
    chronoPeriodesActiviteParEmployeur = recupererChronologiesEmployeur(identifiantEmployeurCompetent, tableEmployeursActivites);
    activiteSalarieeCourante = (ActiviteSalarie)chronoPeriodesActiviteParEmployeur.premierElement();
    resultatDeterminationCompetence.setLibelleEmployeurCompetent(activiteSalarieeCourante.getEntreprise().getLibelleEntreprise());
    conteneurEmployeurCompetent.setActiviteSalarie(activiteSalarieeCourante);
    if (conteneurEmployeurCompetent.getDerniereConventionGestionEmployeur() == null)
    {
      resultatDeterminationCompetence.setNumeroConventionGestion(activiteSalarieeCourante.getEntreprise().getNumeroConventionGestion());
      resultatDeterminationCompetence.setSignataireConvention("1");
    }
    return conteneurEmployeurCompetent;
  }
  
  public void determinerCompetenceAdministrativeDroitCourant(Demande demande, ResultatDeterminationCompetence resultatDeterminationCompetence)
  {
    ConteneurInfosEmployeurSpec conteneurInfosEmployeur = resultatDeterminationCompetence.getConteneurInfosEmployeur();
    if (resultatDeterminationCompetence.getCompetenceFinanciere() == 1)
    {
      resultatDeterminationCompetence.setCompetenceAdministrative(1);
    }
    else
    {
      ChronologiePeriodes chronoPeriodesActiviteEmployeurCompetent = conteneurInfosEmployeur.getChronoEmployeur();
      ChronologiePeriodes chronoPeriodesActiviteSecteurPublicConventionGestion = (ChronologiePeriodes)chronoPeriodesActiviteEmployeurCompetent.copier(new FiltrePeriodeActiviteSalarieeSecteurPublicConventionGestion());
      if (((chronoPeriodesActiviteSecteurPublicConventionGestion != null) && (!chronoPeriodesActiviteSecteurPublicConventionGestion.estVide())) || (conteneurInfosEmployeur.getDerniereConventionGestionEmployeur() != null))
      {
        resultatDeterminationCompetence.setCompetenceAdministrative(1);
      }
      else
      {
        resultatDeterminationCompetence.setCompetenceAdministrative(2);
        resultatDeterminationCompetence.setEstPCRCForce(demande.getDonneesTemporaires().isEstPCRCForceDroitCourant());
      }
    }
  }
}

/* Location:
 * Qualified Name:     StrategieDeterminationCompetenceSecteurPublicAvant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */