package fr.unedic.cali.asu.cge01.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.OutilDeterminationDelaisReports;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.spec.FormuleDelaiReportSpec;
import fr.unedic.cali.asu.dom.ConteneurISLRSpec;
import fr.unedic.cali.asu.dom.ConteneurPMCSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.outilsfonctionnels.OutilsChomageSansRCT;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.BaseDelaiReport;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Temporel;
import java.util.Collection;
import java.util.List;

public class ParcoursDeterminationDelaisReportsCsr
  extends ParcoursDeterminationDelaisReports
{
  public Resultat demarrer(Contexte contexte)
    throws ApplicativeException
  {
    OutilTrace.tracerDebutParcours();
    
    ResultatDeterminationDelaisReports resultatCEP08 = new ResultatDeterminationDelaisReports(0);
    Collection<?> collectionDelaisReportsResultat = resultatCEP08.getListeDelaisReports();
    
    DemandeAssuranceSpec demande = DomLiquidationAssurance.getDemande(contexte);
    
    boolean estEnContexteDeRuptureDeContratEnCoursDeSuspension = OutilsChomageSansRCT.estDemandeEnContexteDeRuptureDeContratEnCoursDeSuspension(demande);
    if (estEnContexteDeRuptureDeContratEnCoursDeSuspension)
    {
      determinerPMC(demande, collectionDelaisReportsResultat);
      determinerICCP(demande, collectionDelaisReportsResultat);
      determinerISLR(demande, collectionDelaisReportsResultat);
    }
    determinerDelaiAttente(demande, resultatCEP08);
    
    OutilTrace.tracerFinParcours();
    
    return resultatCEP08;
  }
  
  protected int appelerOutilCalculDelaiAttente(DemandeAssuranceSpec demande, ResultatDeterminationDelaisReports resultat)
    throws ApplicativeException
  {
    return OutilDeterminationDelaisReports.determinerDelaiAttenteCsr(demande, resultat);
  }
  
  protected void determinerPMC(DemandeAssuranceSpec demande, Collection<?> collectionDelaisReportsResultat)
    throws CoucheLogiqueException
  {
    if (demande.getDonneesTemporaires().getPeriodeFctARetenirRuptureContratTravail() != null)
    {
      ConteneurPMCSpec conteneurPmc = OutilDeterminationDelaisReports.determinerPmcCsr(demande);
      alimenterCollectionDelaisReportsAvecPMC(collectionDelaisReportsResultat, conteneurPmc);
    }
  }
  
  protected void determinerICCP(DemandeAssuranceSpec demande, Collection<?> collectionDelaisReportsResultat)
    throws ApplicativeException
  {}
  
  protected void determinerISLR(DemandeAssuranceSpec demande, Collection<?> collectionDelaisReportsResultat)
    throws CoucheLogiqueException
  {
    if (demande.getDonneesTemporaires().getPeriodeFctARetenirRuptureContratTravail() != null)
    {
      ConteneurISLRSpec conteneurIslr = OutilDeterminationDelaisReports.determinerIslrCsr(demande);
      alimenterCollectionDelaisReportsAvecISLR(collectionDelaisReportsResultat, conteneurIslr);
    }
  }
  
  protected BaseDelaiReport determinerBaseDelaiReportICCP(DemandeAssuranceSpec demande, ActiviteSalarie activiteSalarie, ChronologiePeriodes chronoIndemnisation, boolean iccpConservatoireAutoriseBatiment)
    throws ApplicativeException
  {
    return null;
  }
  
  protected Chronologie determinerChronologieActivitesPourICCPISLR(DemandeAssuranceSpec demande)
    throws CoucheLogiqueException
  {
    return null;
  }
  
  protected FormuleDelaiReportSpec determinerFormuleICCP(BaseDelaiReport baseDelaiReport, DemandeAssuranceSpec demande)
  {
    return null;
  }
  
  protected Damj recupererDatePivotPourFormuleISLR(DemandeSpec demandeCourante)
    throws CoucheLogiqueException
  {
    return ((Demande)demandeCourante).getDateFaitGenerateurOuDernierSinistrePourCarences();
  }
  
  protected boolean determinerCalculICCPConservatoireBatimentAutorise(Demande demande, List<Temporel> listeActivitePourICCP, ActiviteSalarie activiteCourante)
    throws ApplicativeException
  {
    return false;
  }
}

/* Location:
 * Qualified Name:     ParcoursDeterminationDelaisReportsCsr
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */