package fr.unedic.cali.asu.cge01.p02.liquidation.dom;

import fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen.ConstitutionElementsRepriseGen;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public class ConstitutionElementsReprise
  extends ConstitutionElementsRepriseGen
  implements ConstitutionElementsSpec
{
  private static final long serialVersionUID = 2144594671157901056L;
  
  public ConstitutionElementsReprise() {}
  
  public ConstitutionElementsReprise(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void setConstitutionDurees(ConstitutionDurees p_constitutionDurees)
  {
    DomManager.supprimer(super.getConstitutionDurees(), p_constitutionDurees);
    super.setConstitutionDurees(p_constitutionDurees);
  }
  
  /**
   * @deprecated
   */
  public void setConstitutionSjr(ConstitutionSjr p_constitutionSjr)
  {
    DomManager.supprimer(super.getConstitutionSjr(), p_constitutionSjr);
    super.setConstitutionSjr(p_constitutionSjr);
  }
  
  public void setConstitutionDelais(ConstitutionDelais p_delais)
  {
    DomManager.supprimer(super.getConstitutionDelais(), p_delais);
    super.setConstitutionDelais(p_delais);
  }
  
  /**
   * @deprecated
   */
  public void setConstitutionSjc(ConstitutionSjc p_constitutionSjc)
  {
    DomManager.supprimer(super.getConstitutionSjc(), p_constitutionSjc);
    super.setConstitutionSjc(p_constitutionSjc);
  }
  
  /**
   * @deprecated
   */
  public void setConstitutionReglementApplicable(ConstitutionReglementApplicable p_reglementApplicable)
  {
    DomManager.supprimer(super.getConstitutionReglementApplicable(), p_reglementApplicable);
    super.setConstitutionReglementApplicable(p_reglementApplicable);
  }
  
  public void setConstitutionDateAttribution(ConstitutionDateAttribution p_attribution)
  {
    DomManager.supprimer(super.getConstitutionDateAttribution(), p_attribution);
    super.setConstitutionDateAttribution(p_attribution);
  }
  
  public void setConstitutionMontantsBruts(ConstitutionMontantsBruts p_bruts)
  {
    DomManager.supprimer(super.getConstitutionMontantsBruts(), p_bruts);
    super.setConstitutionMontantsBruts(p_bruts);
  }
  
  public void setConstitutionPointDepartIndemnisation(ConstitutionPointDepartIndemnisation p_indemnisation)
  {
    DomManager.supprimer(super.getConstitutionPointDepartIndemnisation(), p_indemnisation);
    super.setConstitutionPointDepartIndemnisation(p_indemnisation);
  }
  
  /**
   * @deprecated
   */
  public void setConstitutionCaractereSaisonnier(ConstitutionCaractereSaisonnier p_constitutionCaractereSaisonnier)
  {
    DomManager.supprimer(super.getConstitutionCaractereSaisonnier(), p_constitutionCaractereSaisonnier);
    super.setConstitutionCaractereSaisonnier(p_constitutionCaractereSaisonnier);
  }
  
  /**
   * @deprecated
   */
  public void setConstitutionCoefficientSaisonnier(ConstitutionCoefficientSaisonnier p_constitutionCoefficientSaisonnier)
  {
    DomManager.supprimer(super.getConstitutionCoefficientSaisonnier(), p_constitutionCoefficientSaisonnier);
    super.setConstitutionCoefficientSaisonnier(p_constitutionCoefficientSaisonnier);
  }
  
  public void jdoPreDelete()
  {
    DomManager.supprimer(super.getConstitutionDateAttribution());
    DomManager.supprimer(super.getConstitutionDelais());
    DomManager.supprimer(super.getConstitutionDurees());
    DomManager.supprimer(super.getConstitutionSjc());
    DomManager.supprimer(super.getConstitutionSjr());
    DomManager.supprimer(super.getConstitutionReglementApplicable());
    DomManager.supprimer(super.getConstitutionMontantsBruts());
    DomManager.supprimer(super.getConstitutionPointDepartIndemnisation());
    DomManager.supprimer(super.getConstitutionCaractereSaisonnier());
    DomManager.supprimer(super.getConstitutionCoefficientSaisonnier());
    DomManager.supprimer(super.getConstitutionCoefficientTempsPartiel());
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getConstitutionDateAttribution());
    DomManager.persisterEnProfondeur(super.getConstitutionDelais());
    DomManager.persisterEnProfondeur(super.getConstitutionDurees());
    DomManager.persisterEnProfondeur(super.getConstitutionSjc());
    DomManager.persisterEnProfondeur(super.getConstitutionSjr());
    DomManager.persisterEnProfondeur(super.getConstitutionReglementApplicable());
    DomManager.persisterEnProfondeur(super.getConstitutionMontantsBruts());
    DomManager.persisterEnProfondeur(super.getConstitutionPointDepartIndemnisation());
    DomManager.persisterEnProfondeur(super.getConstitutionCaractereSaisonnier());
    DomManager.persisterEnProfondeur(super.getConstitutionCoefficientSaisonnier());
    DomManager.persisterEnProfondeur(super.getConstitutionCoefficientTempsPartiel());
  }
  
  public void jdoPostLoad() {}
  
  public void jdoPreClear() {}
  
  public void jdoPreStore() {}
  
  public ObjetMetierSpec copie()
  {
    ConstitutionElementsReprise copie = new ConstitutionElementsReprise();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConstitutionElementsReprise copie = (ConstitutionElementsReprise)p_copie;
    if (getConstitutionDateAttribution() != null) {
      copie.setConstitutionDateAttribution((ConstitutionDateAttribution)getConstitutionDateAttribution().copie());
    }
    if (getConstitutionDelais() != null) {
      copie.setConstitutionDelais((ConstitutionDelais)getConstitutionDelais().copie());
    }
    if (getConstitutionDurees() != null) {
      copie.setConstitutionDurees((ConstitutionDurees)getConstitutionDurees().copie());
    }
    if (getConstitutionMontantsBruts() != null) {
      copie.setConstitutionMontantsBruts((ConstitutionMontantsBruts)getConstitutionMontantsBruts().copie());
    }
    if (getConstitutionSjc() != null) {
      copie.setConstitutionSjc((ConstitutionSjc)getConstitutionSjc().copie());
    }
    if (getConstitutionSjr() != null) {
      copie.setConstitutionSjr((ConstitutionSjr)getConstitutionSjr().copie());
    }
    if (getConstitutionReglementApplicable() != null) {
      copie.setConstitutionReglementApplicable((ConstitutionReglementApplicable)getConstitutionReglementApplicable().copie());
    }
    if (getConstitutionPointDepartIndemnisation() != null) {
      copie.setConstitutionPointDepartIndemnisation((ConstitutionPointDepartIndemnisation)getConstitutionPointDepartIndemnisation().copie());
    }
    if (getConstitutionCaractereSaisonnier() != null) {
      copie.setConstitutionCaractereSaisonnier((ConstitutionCaractereSaisonnier)getConstitutionCaractereSaisonnier().copie());
    }
    if (getConstitutionCoefficientSaisonnier() != null) {
      copie.setConstitutionCoefficientSaisonnier((ConstitutionCoefficientSaisonnier)getConstitutionCoefficientSaisonnier().copie());
    }
    if (getConstitutionCoefficientTempsPartiel() != null) {
      copie.setConstitutionCoefficientTempsPartiel((ConstitutionCoefficientTempsPartiel)getConstitutionCoefficientTempsPartiel().copie());
    }
  }
  
  /**
   * @deprecated
   */
  public void setConstitutionCoefficientTempsPartiel(ConstitutionCoefficientTempsPartiel p_constitutionCoefficientTempsPartiel)
  {
    DomManager.supprimer(super.getConstitutionCoefficientTempsPartiel(), p_constitutionCoefficientTempsPartiel);
    super.setConstitutionCoefficientTempsPartiel(p_constitutionCoefficientTempsPartiel);
  }
}

/* Location:
 * Qualified Name:     ConstitutionElementsReprise
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */