package fr.unedic.cali.asu.cge01.p02.liquidation.dom;

import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.Entreprise;
import fr.unedic.cali.autresdoms.ga.dom.PeriodeEvenementPersonnel;
import fr.unedic.cali.autresdoms.ga.dom.PeriodeFormationAssimilable;
import fr.unedic.cali.dom.PeriodeChomageAtteste;
import fr.unedic.cali.dom.affectation.ProduitAsuCge01P02;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.util.OutillageChronologiePeriodes;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;

public class JustificationDiviseurPeriodeParticipante
  extends ObjetChronoPeriode
  implements ObjetMetierSpec
{
  public static final int NATURE_INCONNUE = 0;
  public static final int NATURE_RG = 1;
  public static final int NATURE_A1 = 2;
  public static final int NATURE_A2A = 3;
  public static final int NATURE_A3 = 4;
  public static final int NATURE_A4 = 5;
  public static final int NATURE_A5 = 6;
  public static final int NATURE_A2B = 7;
  public static final int NATURE_INACTIVITE = 10;
  public static final int NATURE_FORMATION = 11;
  public static final int NATURE_MALADIE = 12;
  public static final int NATURE_CHOMAGE_ATTESTE = 13;
  public static final int NATURE_SERVICE_NATIONAL = 14;
  public static final int NATURE_PNDS = 15;
  public static final int NATURE_MULTIPLE = 99;
  private transient int m_nature = 0;
  private transient Periode m_periodeActiviteSalarieParticipante = null;
  private transient String m_raisonSociale = null;
  private transient Chronologie m_listeNatureMultiple = new ChronologiePeriodes();
  private transient int m_nombreJoursInappartenance = 0;
  private transient int m_nombreJoursDeductibles = 0;
  private transient int m_nombreHeuresTotal = 0;
  private transient int m_nombreHeuresDroitAConges = 0;
  private transient BigDecimal m_nombreJourAbsence = new BigDecimal("0");
  
  public JustificationDiviseurPeriodeParticipante() {}
  
  public JustificationDiviseurPeriodeParticipante(Damj p_dateDebut, Damj p_dateFin)
  {
    super(p_dateDebut, p_dateFin);
  }
  
  public JustificationDiviseurPeriodeParticipante(Periode p_periode)
  {
    super(p_periode);
  }
  
  public Chronologie getListeNatureMultiple()
  {
    return m_listeNatureMultiple;
  }
  
  public void setListeNatureMultiple(Chronologie p_listeNatureMultiple)
  {
    m_listeNatureMultiple = p_listeNatureMultiple;
  }
  
  public int getNature()
  {
    return m_nature;
  }
  
  public void setNature(int p_nature)
  {
    m_nature = p_nature;
  }
  
  public int getNombreHeuresTotal()
  {
    return m_nombreHeuresTotal;
  }
  
  public void setNombreHeuresTotal(int p_nombreHeuresTotal)
  {
    m_nombreHeuresTotal = p_nombreHeuresTotal;
  }
  
  public int getNombreHeuresDroitAConges()
  {
    return m_nombreHeuresDroitAConges;
  }
  
  public void setNombreHeuresDroitAConges(int p_nombreHeuresDroitAConges)
  {
    m_nombreHeuresDroitAConges = p_nombreHeuresDroitAConges;
  }
  
  public BigDecimal getNombreJourAbsence()
  {
    return m_nombreJourAbsence;
  }
  
  public void setNombreJourAbsence(BigDecimal p_nombreJourAbsence)
  {
    m_nombreJourAbsence = p_nombreJourAbsence;
  }
  
  public int getNombreJoursDeductibles()
  {
    return m_nombreJoursDeductibles;
  }
  
  public void setNombreJoursDeductibles(int p_nombreJoursDeductibles)
  {
    m_nombreJoursDeductibles = p_nombreJoursDeductibles;
  }
  
  public int getNombreJoursInappartenance()
  {
    return m_nombreJoursInappartenance;
  }
  
  public void setNombreJoursInappartenance(int p_nombreJoursInappartenance)
  {
    m_nombreJoursInappartenance = p_nombreJoursInappartenance;
  }
  
  public Periode getPeriodeActiviteSalarieParticipante()
  {
    return m_periodeActiviteSalarieParticipante;
  }
  
  public void setPeriodeActiviteSalarieParticipante(Periode p_periodeActiviteSalarieParticipante)
  {
    m_periodeActiviteSalarieParticipante = p_periodeActiviteSalarieParticipante;
  }
  
  public String getRaisonSociale()
  {
    return m_raisonSociale;
  }
  
  public void setRaisonSociale(String p_raisonSociale)
  {
    m_raisonSociale = p_raisonSociale;
  }
  
  public ObjetMetierSpec copie()
  {
    JustificationDiviseurPeriodeParticipante copie = new JustificationDiviseurPeriodeParticipante();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
    JustificationDiviseurPeriodeParticipante copie = (JustificationDiviseurPeriodeParticipante)p_copie;
    copie.setListeNatureMultiple((Chronologie)getListeNatureMultiple().copie());
    copie.setNature(getNature());
    copie.setNombreHeuresDroitAConges(getNombreHeuresDroitAConges());
    copie.setNombreHeuresTotal(getNombreHeuresTotal());
    copie.setNombreJourAbsence(getNombreJourAbsence());
    copie.setNombreJourAbsence(getNombreJourAbsence());
    copie.setNombreJoursDeductibles(getNombreJoursDeductibles());
    copie.setNombreJoursInappartenance(getNombreJoursInappartenance());
    if (getPeriodeActiviteSalarieParticipante() != null) {
      copie.setPeriodeActiviteSalarieParticipante((Periode)getPeriodeActiviteSalarieParticipante().copie());
    }
    copie.setRaisonSociale(getRaisonSociale());
  }
  
  public void renseignerNaturePeriode(ObjetChronoPeriode p_objetChronoPeriodeParticipant)
  {
    Periode periodeParticipanteCourante = new Periode(p_objetChronoPeriodeParticipant.getDateDebut(), p_objetChronoPeriodeParticipant.getDateFin());
    if ((p_objetChronoPeriodeParticipant instanceof ActiviteSalarie)) {
      m_periodeActiviteSalarieParticipante = periodeParticipanteCourante;
    }
    m_nature = donnerCodeNaturePeriode(p_objetChronoPeriodeParticipant);
    
    m_raisonSociale = donnerRaisonSocialePeriode(p_objetChronoPeriodeParticipant);
    
    JustificationDiviseurNatureMultiple justificationDiviseurNatureMultipleCourant = new JustificationDiviseurNatureMultiple(periodeParticipanteCourante);
    
    justificationDiviseurNatureMultipleCourant.setNature(m_nature);
    justificationDiviseurNatureMultipleCourant.setRaisonSociale(m_raisonSociale);
    m_listeNatureMultiple.ajouter(justificationDiviseurNatureMultipleCourant);
  }
  
  public void renseignerNatureMultiplePeriode(ChronologiePeriodes p_chronoPeriodesNatureMultiple)
  {
    m_nature = 99;
    
    ObjetChronoPeriode objetChronoPeriodeParticipant = null;
    Periode periodeParticipanteCourante = null;
    int codeNaturePeriodeParticipante = 0;
    String raisonSocialePeriodeParticipante = null;
    JustificationDiviseurNatureMultiple justificationDiviseurNatureMultipleCourant = null;
    
    p_chronoPeriodesNatureMultiple.iterer();
    while (p_chronoPeriodesNatureMultiple.encoreSuivant())
    {
      objetChronoPeriodeParticipant = (ObjetChronoPeriode)p_chronoPeriodesNatureMultiple.elementSuivant();
      
      periodeParticipanteCourante = new Periode(objetChronoPeriodeParticipant.getDateDebut(), objetChronoPeriodeParticipant.getDateFin());
      
      codeNaturePeriodeParticipante = donnerCodeNaturePeriode(objetChronoPeriodeParticipant);
      raisonSocialePeriodeParticipante = donnerRaisonSocialePeriode(objetChronoPeriodeParticipant);
      
      justificationDiviseurNatureMultipleCourant = new JustificationDiviseurNatureMultiple(periodeParticipanteCourante);
      justificationDiviseurNatureMultipleCourant.setNature(codeNaturePeriodeParticipante);
      justificationDiviseurNatureMultipleCourant.setRaisonSociale(raisonSocialePeriodeParticipante);
      m_listeNatureMultiple.ajouter(justificationDiviseurNatureMultipleCourant);
    }
  }
  
  public void completerNatureMultiplePeriodeInactivite(ChronologiePeriodes p_chronoPeriodesNatureMultiple)
  {
    Periode periodeInappartenanceCourante = getPeriode();
    
    ChronologiePeriodes chronoPeriodesNatureMultipleFusionnees = null;
    if ((p_chronoPeriodesNatureMultiple != null) && (p_chronoPeriodesNatureMultiple.contientChevauchementElements())) {
      chronoPeriodesNatureMultipleFusionnees = p_chronoPeriodesNatureMultiple.fusionnerChevauchementPeriodes();
    } else {
      chronoPeriodesNatureMultipleFusionnees = p_chronoPeriodesNatureMultiple;
    }
    ChronologiePeriodes chronoPeriodesInactivite = OutillageChronologiePeriodes.donnerPeriodesComplementaires(chronoPeriodesNatureMultipleFusionnees, periodeInappartenanceCourante);
    
    JustificationDiviseurNatureMultiple justificationDiviseurNatureMultipleCourant = null;
    ObjetChronoPeriode objetChronoPeriodeInactivite = null;
    Periode periodeInactiviteCourante = null;
    chronoPeriodesInactivite.iterer();
    while (chronoPeriodesInactivite.encoreSuivant())
    {
      objetChronoPeriodeInactivite = (ObjetChronoPeriode)chronoPeriodesInactivite.elementSuivant();
      
      periodeInactiviteCourante = new Periode(objetChronoPeriodeInactivite.getDateDebut(), objetChronoPeriodeInactivite.getDateFin());
      
      justificationDiviseurNatureMultipleCourant = new JustificationDiviseurNatureMultiple(periodeInactiviteCourante);
      justificationDiviseurNatureMultipleCourant.setNature(10);
      m_listeNatureMultiple.ajouter(justificationDiviseurNatureMultipleCourant);
    }
  }
  
  private int retrouverNaturePeriodePourPeriodeActiviteSalarie(ActiviteSalarie p_periodeActivite)
  {
    return retrouverNaturePeriodePourReglement(p_periodeActivite.getReglement());
  }
  
  private int retrouverNaturePeriodePourReglement(Reglement p_reglement)
  {
    int nature = 0;
    if (p_reglement != null) {
      if ((p_reglement.equals(ProduitAsuCge01P02.getInstance().getReglement("RG"))) || (p_reglement.equals(ProduitAsuCge01P02.getInstance().getReglement("OP")))) {
        nature = 1;
      } else if (p_reglement.equals(ProduitAsuCge01P02.getInstance().getReglement("A1"))) {
        nature = 2;
      } else if (p_reglement.equals(ProduitAsuCge01P02.getInstance().getReglement("A2a"))) {
        nature = 3;
      } else if (p_reglement.equals(ProduitAsuCge01P02.getInstance().getReglement("A2b"))) {
        nature = 7;
      } else if (p_reglement.equals(ProduitAsuCge01P02.getInstance().getReglement("A3"))) {
        nature = 4;
      } else if (p_reglement.equals(ProduitAsuCge01P02.getInstance().getReglement("A4"))) {
        nature = 5;
      } else if (p_reglement.equals(ProduitAsuCge01P02.getInstance().getReglement("A5"))) {
        nature = 6;
      }
    }
    return nature;
  }
  
  private int donnerCodeNaturePeriode(ObjetChronoPeriode p_objetChronoPeriodeParticipant)
  {
    int codeNatureRetourne = 0;
    if ((p_objetChronoPeriodeParticipant instanceof ActiviteSalarie))
    {
      codeNatureRetourne = retrouverNaturePeriodePourPeriodeActiviteSalarie((ActiviteSalarie)p_objetChronoPeriodeParticipant);
    }
    else if ((p_objetChronoPeriodeParticipant instanceof PeriodeFormationAssimilable))
    {
      codeNatureRetourne = 11;
    }
    else if ((p_objetChronoPeriodeParticipant instanceof PeriodeEvenementPersonnel))
    {
      PeriodeEvenementPersonnel periode = (PeriodeEvenementPersonnel)p_objetChronoPeriodeParticipant;
      if ((periode.getTypePep() == 2) || (periode.getTypePep() == 3)) {
        codeNatureRetourne = 12;
      }
    }
    else if ((p_objetChronoPeriodeParticipant instanceof PeriodeChomageAtteste))
    {
      codeNatureRetourne = 13;
    }
    return codeNatureRetourne;
  }
  
  private String donnerRaisonSocialePeriode(ObjetChronoPeriode p_objetChronoPeriodeParticipant)
  {
    String raisonSocialeRetournee = null;
    if ((p_objetChronoPeriodeParticipant instanceof ActiviteSalarie)) {
      raisonSocialeRetournee = ((ActiviteSalarie)p_objetChronoPeriodeParticipant).getEntreprise().getLibelleEntreprise();
    } else if ((p_objetChronoPeriodeParticipant instanceof PeriodeFormationAssimilable)) {
      raisonSocialeRetournee = ((PeriodeFormationAssimilable)p_objetChronoPeriodeParticipant).getNomOrganismeFormation();
    }
    return raisonSocialeRetournee;
  }
}

/* Location:
 * Qualified Name:     JustificationDiviseurPeriodeParticipante
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */