package fr.unedic.cali.asu.cge01.p02.liquidation.dom;

import fr.unedic.cali.asu.cge01.liquidation.parcours.ConstitutionDelaisFinDeDroit;
import fr.unedic.cali.asu.cge01.liquidation.parcours.asp.ParcoursLiquidationDemandeSousJacenteCSPDroitCommun;
import fr.unedic.cali.asu.cge01.liquidation.parcours.asp.ParcoursObjectifAdmissionEntreeCspDC;
import fr.unedic.cali.asu.cge01.liquidation.parcours.asp.ParcoursObjectifCSPSousJacent;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen.ObjectifExamenAdmissionGen;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionCapitalAvecDureeEffective;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionCaractereSaisonnier;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionCoefficientSaisonnier;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionCoefficientTempsPartiel;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionDateAttribution;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionDateLimiteIndemnisation;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionDelaiReport;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionDureeEffective;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionDureeReglementaireAdmission;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionMontantsBruts;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionPointDeDepart;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionProduitResultant;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionQuantiteAffiliation;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionReglementApplicable;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionSjc;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionSjr;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationCompetenceAdministrative;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationCompetencesProduitCourant;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationConditionAge;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationConditionChomageInvolontaire;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationConditionChomageTotal;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationConditionCumulActiviteConservee;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationConditionCumulPrestationFamiliale;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationConditionMontantNonNul;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationConditionQuantiteAffiliation;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationConditionRechercheEmploi;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ParcoursDetecterContributionParticuliere;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ParcoursDetecterContributionParticuliereContexteEntreeCsp;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.cep02dureeRegl.asp.ConstitutionDureePostPrime;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.cali.asu.parcours.ParcoursObjectifAdmission;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.cali.parcours.ParcoursTraitementSatisfait;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.services.Parcours;
import java.util.List;

public class ObjectifExamenAdmission
  extends ObjectifExamenAdmissionGen
  implements ObjectifExamenSpec
{
  protected List<ContexteDemandeSpec> contexteDemande = null;
  private static final long serialVersionUID = 2937829508370615844L;
  
  public ObjectifExamenAdmission() {}
  
  public ObjectifExamenAdmission(DomPCSpec pc)
  {
    super(pc);
  }
  
  public ObjectifExamenAdmission(List<ContexteDemandeSpec> pcontexteDemande)
  {
    contexteDemande = pcontexteDemande;
  }
  
  public Parcours creerParcoursDeterminationCompetenceFinanceAdmDroitCourant()
  {
    return new DeterminationCompetencesProduitCourant();
  }
  
  public Parcours creerParcoursDeterminationCompetenceAdministrative()
  {
    return new DeterminationCompetenceAdministrative();
  }
  
  public Parcours creerParcoursDeterminationCompetenceFinanceAdmDroitResultant()
  {
    return null;
  }
  
  public int getType()
  {
    return 1;
  }
  
  public Parcours creerParcoursObjectif()
  {
    Parcours parcours = null;
    if ((OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(contexteDemande, "AREENTRCSP")) && (OutilGestionContexteDemande.estContextePresentDansRegroupement(contexteDemande, 9))) {
      parcours = new ParcoursObjectifAdmissionEntreeCspDC();
    } else if (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(contexteDemande, "ASPSJACENT")) {
      parcours = new ParcoursObjectifCSPSousJacent();
    } else {
      parcours = new ParcoursObjectifAdmission();
    }
    return parcours;
  }
  
  public Parcours creerParcoursConditionRechercheEmploi()
  {
    return new DeterminationConditionRechercheEmploi();
  }
  
  public Parcours creerParcoursConditionFaitGenerateur()
  {
    Parcours parcours = null;
    if (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(contexteDemande, "ASPSJACENT"))
    {
      parcours = new fr.unedic.cali.asu.cge01.p02.liquidation.parcours.asp.DeterminationConditionFaitGenerateur();
    }
    else
    {
      if (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(contexteDemande, "AREENTRCSP")) {
        return getObjectifProduitActif().creerParcoursConditionFaitGenerateur();
      }
      parcours = new fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationConditionFaitGenerateur();
    }
    return parcours;
  }
  
  public Parcours creerParcoursConditionChomageTotal()
  {
    return new DeterminationConditionChomageTotal();
  }
  
  public Parcours creerParcoursConditionAge()
  {
    return new DeterminationConditionAge();
  }
  
  public Parcours creerParcoursConditionQuantiteAffiliation()
  {
    return new DeterminationConditionQuantiteAffiliation();
  }
  
  public Parcours creerParcoursConditionDureeNonNulle()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionChomageInvolontaire()
  {
    if ((OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(contexteDemande, "ASPDC")) || (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(contexteDemande, "PAPDC"))) {
      return new ParcoursTraitementSatisfait();
    }
    return new DeterminationConditionChomageInvolontaire();
  }
  
  public Parcours creerParcoursConditionCumulActiviteConservee()
  {
    return new DeterminationConditionCumulActiviteConservee();
  }
  
  public Parcours creerParcoursConditionCumulPrestationFamiliale()
  {
    if (OutilGestionContexteDemande.estContextePresentDansRegroupement(contexteDemande, 7)) {
      return new ParcoursTraitementSatisfait();
    }
    return new DeterminationConditionCumulPrestationFamiliale();
  }
  
  public Parcours creerParcoursConditionMontant()
  {
    return new DeterminationConditionMontantNonNul();
  }
  
  public Parcours creerParcoursDureesReglementaires()
  {
    return new ConstitutionDureeReglementaireAdmission();
  }
  
  public Parcours creerParcoursMontantsBruts()
  {
    return new ConstitutionMontantsBruts();
  }
  
  public Parcours creerParcoursSalaireJournalierDeReference()
  {
    return new ConstitutionSjr();
  }
  
  public Parcours creerParcoursDelaisReports()
  {
    if (OutilGestionContexteDemande.trouverUnContextePresent(contexteDemande, 5) != null) {
      return new ConstitutionDelaisFinDeDroit();
    }
    if (((OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(contexteDemande, "AREENTRCSP")) && (!OutilGestionContexteDemande.estContextePresentDansRegroupement(contexteDemande, 10))) || (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(contexteDemande, "ARESJASPDC"))) {
      return null;
    }
    return new ConstitutionDelaiReport();
  }
  
  public Parcours creerParcoursQuantiteAffiliation()
  {
    return new ConstitutionQuantiteAffiliation();
  }
  
  public Parcours creerParcoursSalaireJournalierConserve()
  {
    return new ConstitutionSjc();
  }
  
  public Parcours creerParcoursCoefficientTempsPartiel()
  {
    return new ConstitutionCoefficientTempsPartiel();
  }
  
  public Parcours creerParcoursCaractereSaisonnier()
  {
    return new ConstitutionCaractereSaisonnier();
  }
  
  public Parcours creerParcoursCoefficientSaisonnier()
  {
    return new ConstitutionCoefficientSaisonnier();
  }
  
  public Parcours creerParcoursReglementApplicable()
  {
    return new ConstitutionReglementApplicable();
  }
  
  public Parcours creerParcoursDateAttribution()
  {
    return new ConstitutionDateAttribution();
  }
  
  public Parcours creerParcoursProduitResultant()
  {
    return new ConstitutionProduitResultant();
  }
  
  public Parcours creerParcoursConditionCumulAvantageVieillesse()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionValiditeReliquat()
  {
    return null;
  }
  
  public Parcours creerParcoursPointDeDepart()
  {
    return new ConstitutionPointDeDepart();
  }
  
  public Parcours creerParcoursDureeEffective()
  {
    return new ConstitutionDureeEffective();
  }
  
  public Parcours creerParcoursCapitalAvecDureeEffective()
  {
    return new ConstitutionCapitalAvecDureeEffective();
  }
  
  public ObjectifExamen getObjectifSauvegarde()
  {
    ObjectifExamen objectif = null;
    objectif = (ObjectifExamen)copie();
    return objectif;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
  
  public ObjetMetierSpec copie()
  {
    ObjectifExamenAdmission copie = new ObjectifExamenAdmission();
    copieElements(copie);
    return copie;
  }
  
  public void marquerGraphePersistant() {}
  
  public Parcours creerParcoursDateLimiteIndemnisation()
  {
    return new ConstitutionDateLimiteIndemnisation();
  }
  
  public Parcours creerParcoursDetectionContributionParticuliere(Demande pDemande)
  {
    Parcours resultat;
    Parcours resultat;
    if (OutilGestionContexteDemande.estContexteDemandeAssurancePresent(pDemande, "AREENTRCSP")) {
      resultat = new ParcoursDetecterContributionParticuliereContexteEntreeCsp();
    } else {
      resultat = new ParcoursDetecterContributionParticuliere();
    }
    return resultat;
  }
  
  public Parcours creerParcoursLiquidationDemandeAssociee()
  {
    Parcours parcours = null;
    if ((OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(contexteDemande, "AREENTRCSP")) && (OutilGestionContexteDemande.estContextePresentDansRegroupement(contexteDemande, 9))) {
      parcours = new ParcoursLiquidationDemandeSousJacenteCSPDroitCommun();
    }
    return parcours;
  }
  
  public Parcours creerParcoursConstitutionDureePostPrime()
  {
    return new ConstitutionDureePostPrime();
  }
}

/* Location:
 * Qualified Name:     ObjectifExamenAdmission
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */