package fr.unedic.cali.asu.cge01.p02.liquidation.dom;

import fr.unedic.cali.asu.cge01.liquidation.parcours.asp.ParcoursLiquidationDemandeSousJacenteCSPDroitCommun;
import fr.unedic.cali.asu.cge01.liquidation.parcours.asp.ParcoursObjectifNovation;
import fr.unedic.cali.asu.cge01.liquidation.parcours.novation.ParcoursDeterminationConditionFaitGenerateur;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen.ObjectifExamenNovationGen;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionCapitalAvecDureeEffective;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionDateAttributionPourReprise;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionDateLimiteIndemnisation;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionDelaiReportPourReprise;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionDureeEffectivePourReprise;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionDureePourReprise;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionMontantsBruts;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ConstitutionPointDeDepart;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationCompetenceAdministrativePourReprise;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationConditionAgePourReprise;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationConditionChomageInvolontairePourReprise;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationConditionCumulPrestationFamiliale;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationConditionMontantNonNulPourReprise;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationConditionRechercheEmploiPourReprise;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.DeterminationConditionValiditeReliquat;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.ParcoursDetecterContributionParticuliereContexteEntreeCsp;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.cep02dureeRegl.asp.ConstitutionDureePostPrime;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.novation.ParcoursConstitutionCaractereSaisonnier;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.novation.ParcoursConstitutionCoefficientSaisonnier;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.novation.ParcoursConstitutionCoefficientTempsPartiel;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.novation.ParcoursConstitutionReglementApplicable;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.novation.ParcoursConstitutionSjc;
import fr.unedic.cali.asu.cge01.p02.liquidation.parcours.novation.ParcoursConstitutionSjr;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.cali.parcours.ParcoursTraitementSatisfait;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Parcours;
import java.util.List;

public class ObjectifExamenNovation
  extends ObjectifExamenNovationGen
  implements ObjectifExamenSpec
{
  private static final long serialVersionUID = -3261155403501851581L;
  private List<ContexteDemandeSpec> contexteDemande = null;
  
  public ObjectifExamenNovation(DomPCSpec pc)
  {
    super(pc);
  }
  
  public ObjectifExamenNovation(List<ContexteDemandeSpec> contexteDemande)
  {
    this.contexteDemande = contexteDemande;
  }
  
  public ObjectifExamenNovation() {}
  
  public ObjetMetierSpec copie()
  {
    ObjectifExamenNovation copie = new ObjectifExamenNovation();
    copieElements(copie);
    return copie;
  }
  
  public Parcours creerParcoursCapitalAvecDureeEffective()
  {
    return new ConstitutionCapitalAvecDureeEffective();
  }
  
  public Parcours creerParcoursConditionAge()
  {
    return new DeterminationConditionAgePourReprise();
  }
  
  public Parcours creerParcoursConditionChomageInvolontaire()
  {
    if ((OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(contexteDemande, "AREENTRCSP")) || (OutilGestionContexteDemande.estContextePresentDansRegroupement(contexteDemande, 9))) {
      return new ParcoursTraitementSatisfait();
    }
    return new DeterminationConditionChomageInvolontairePourReprise();
  }
  
  public Parcours creerParcoursConditionCumulPrestationFamiliale()
  {
    if (OutilGestionContexteDemande.estContextePresentDansRegroupement(contexteDemande, 7)) {
      return new ParcoursTraitementSatisfait();
    }
    return new DeterminationConditionCumulPrestationFamiliale();
  }
  
  public Parcours creerParcoursConditionMontant()
  {
    return new DeterminationConditionMontantNonNulPourReprise();
  }
  
  public Parcours creerParcoursConditionRechercheEmploi()
  {
    return new DeterminationConditionRechercheEmploiPourReprise();
  }
  
  public Parcours creerParcoursConditionValiditeReliquat()
  {
    return new DeterminationConditionValiditeReliquat();
  }
  
  public Parcours creerParcoursDateAttribution()
  {
    return new ConstitutionDateAttributionPourReprise();
  }
  
  public Parcours creerParcoursDateLimiteIndemnisation()
  {
    return new ConstitutionDateLimiteIndemnisation();
  }
  
  public Parcours creerParcoursDelaisReports()
  {
    if (((OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(contexteDemande, "AREENTRCSP")) && (!OutilGestionContexteDemande.estContextePresentDansRegroupement(contexteDemande, 10))) || (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(contexteDemande, "ASPDC"))) {
      return null;
    }
    return new ConstitutionDelaiReportPourReprise();
  }
  
  public Parcours creerParcoursDetectionContributionParticuliere(Demande demande)
  {
    return new ParcoursDetecterContributionParticuliereContexteEntreeCsp();
  }
  
  public Parcours creerParcoursDureeEffective()
  {
    return new ConstitutionDureeEffectivePourReprise();
  }
  
  public Parcours creerParcoursDureesReglementaires()
  {
    return new ConstitutionDureePourReprise();
  }
  
  public Parcours creerParcoursMontantsBruts()
  {
    return new ConstitutionMontantsBruts();
  }
  
  public Parcours creerParcoursPointDeDepart()
  {
    return new ConstitutionPointDeDepart();
  }
  
  public int getType()
  {
    return 5;
  }
  
  public Parcours creerParcoursObjectif()
  {
    return new ParcoursObjectifNovation();
  }
  
  public ObjectifExamen getObjectifSauvegarde()
    throws CoucheLogiqueException
  {
    ObjectifExamen objectif = null;
    objectif = (ObjectifExamen)copie();
    return objectif;
  }
  
  public Parcours creerParcoursDeterminationCompetenceAdministrative()
  {
    return new DeterminationCompetenceAdministrativePourReprise();
  }
  
  public Parcours creerParcoursDeterminationCompetenceFinanceAdmDroitCourant()
  {
    return null;
  }
  
  public Parcours creerParcoursLiquidationDemandeAssociee()
  {
    Parcours parcours = null;
    if ((OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(contexteDemande, "AREENTRCSP")) && (OutilGestionContexteDemande.estContextePresentDansRegroupement(contexteDemande, 9))) {
      parcours = new ParcoursLiquidationDemandeSousJacenteCSPDroitCommun();
    }
    return parcours;
  }
  
  public Parcours creerParcoursCaractereSaisonnier()
  {
    return new ParcoursConstitutionCaractereSaisonnier();
  }
  
  public Parcours creerParcoursCoefficientSaisonnier()
  {
    return new ParcoursConstitutionCoefficientSaisonnier();
  }
  
  public Parcours creerParcoursCoefficientTempsPartiel()
  {
    return new ParcoursConstitutionCoefficientTempsPartiel();
  }
  
  public Parcours creerParcoursConditionChomageTotal()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionCumulActiviteConservee()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionCumulAvantageVieillesse()
  {
    return null;
  }
  
  public Parcours creerParcoursDeterminationCompetenceFinanceAdmDroitResultant()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionDureeNonNulle()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionFaitGenerateur()
  {
    return new ParcoursDeterminationConditionFaitGenerateur();
  }
  
  public Parcours creerParcoursConditionQuantiteAffiliation()
  {
    return null;
  }
  
  public Parcours creerParcoursProduitResultant()
  {
    return null;
  }
  
  public Parcours creerParcoursQuantiteAffiliation()
  {
    return null;
  }
  
  public Parcours creerParcoursReglementApplicable()
  {
    return new ParcoursConstitutionReglementApplicable();
  }
  
  public Parcours creerParcoursSalaireJournalierConserve()
  {
    return new ParcoursConstitutionSjc();
  }
  
  public Parcours creerParcoursSalaireJournalierDeReference()
  {
    return new ParcoursConstitutionSjr();
  }
  
  public void marquerGraphePersistant() {}
  
  public Parcours creerParcoursConstitutionDureePostPrime()
  {
    return new ConstitutionDureePostPrime();
  }
}

/* Location:
 * Qualified Name:     ObjectifExamenNovation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */