package fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.Differe;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.EnsembleCarences;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.pc.ConstitutionDelaisPC;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;

public abstract class ConstitutionDelaisGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionDelaisPC;
  private Periode m_periodeReference91jours = null;
  private Damj m_debutPMC;
  private Damj m_termePMC;
  private Damj m_debutCarenceICCP;
  private Damj m_termeCarenceICCP;
  private Damj m_debutCarenceISLR;
  private Damj m_termeCarenceISLR;
  private Damj m_debutCarenceDiffere;
  private Damj m_termeCarenceDiffere;
  private Collection m_collectionEnsembleCarences;
  private Collection m_listeDelaisReports;
  
  public ConstitutionDelaisGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConstitutionDelaisGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new ConstitutionDelaisPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_constitutionDelaisPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionDelaisPC)
  {
    m_constitutionDelaisPC = p_constitutionDelaisPC;
  }
  
  protected Periode rawGetPeriodeReference91jours()
  {
    return ((ConstitutionDelaisPC)getPC()).getPeriodeReference91jours();
  }
  
  public Periode getPeriodeReference91jours()
  {
    return ((ConstitutionDelaisPC)getPC()).getPeriodeReference91jours();
  }
  
  public void setPeriodeReference91jours(Periode p_periodeReference91jours)
  {
    if ((m_periodeReference91jours == null) || (p_periodeReference91jours == null))
    {
      m_periodeReference91jours = p_periodeReference91jours;
      ((ConstitutionDelaisPC)getPC()).setPeriodeReference91jours(p_periodeReference91jours);
    }
    else if ((m_periodeReference91jours != null) && (p_periodeReference91jours != null) && (!p_periodeReference91jours.equals(m_periodeReference91jours)))
    {
      m_periodeReference91jours = p_periodeReference91jours;
      ((ConstitutionDelaisPC)getPC()).setPeriodeReference91jours(p_periodeReference91jours);
    }
  }
  
  protected int rawGetTypePmc()
  {
    return ((ConstitutionDelaisPC)getPC()).getTypePmc();
  }
  
  public int getTypePmc()
  {
    return ((ConstitutionDelaisPC)getPC()).getTypePmc();
  }
  
  public void setTypePmc(int p_typePmc)
  {
    ((ConstitutionDelaisPC)getPC()).setTypePmc(p_typePmc);
  }
  
  protected int rawGetNbJoursPMC()
  {
    return ((ConstitutionDelaisPC)getPC()).getNbJoursPMC();
  }
  
  public int getNbJoursPMC()
  {
    return ((ConstitutionDelaisPC)getPC()).getNbJoursPMC();
  }
  
  public void setNbJoursPMC(int p_nbJoursPMC)
  {
    ((ConstitutionDelaisPC)getPC()).setNbJoursPMC(p_nbJoursPMC);
  }
  
  protected Damj rawGetDebutPMC()
  {
    return ((ConstitutionDelaisPC)getPC()).getDebutPMC();
  }
  
  public Damj getDebutPMC()
  {
    return ((ConstitutionDelaisPC)getPC()).getDebutPMC();
  }
  
  public void setDebutPMC(Damj p_debutPMC)
  {
    if ((m_debutPMC == null) || (p_debutPMC == null))
    {
      m_debutPMC = p_debutPMC;
      ((ConstitutionDelaisPC)getPC()).setDebutPMC(p_debutPMC);
    }
    else if ((m_debutPMC != null) && (p_debutPMC != null) && (!p_debutPMC.equals(m_debutPMC)))
    {
      m_debutPMC = p_debutPMC;
      ((ConstitutionDelaisPC)getPC()).setDebutPMC(p_debutPMC);
    }
  }
  
  protected Damj rawGetTermePMC()
  {
    return ((ConstitutionDelaisPC)getPC()).getTermePMC();
  }
  
  public Damj getTermePMC()
  {
    return ((ConstitutionDelaisPC)getPC()).getTermePMC();
  }
  
  public void setTermePMC(Damj p_termePMC)
  {
    if ((m_termePMC == null) || (p_termePMC == null))
    {
      m_termePMC = p_termePMC;
      ((ConstitutionDelaisPC)getPC()).setTermePMC(p_termePMC);
    }
    else if ((m_termePMC != null) && (p_termePMC != null) && (!p_termePMC.equals(m_termePMC)))
    {
      m_termePMC = p_termePMC;
      ((ConstitutionDelaisPC)getPC()).setTermePMC(p_termePMC);
    }
  }
  
  protected int rawGetNbJoursCarenceICCP()
  {
    return ((ConstitutionDelaisPC)getPC()).getNbJoursCarenceICCP();
  }
  
  public int getNbJoursCarenceICCP()
  {
    return ((ConstitutionDelaisPC)getPC()).getNbJoursCarenceICCP();
  }
  
  public void setNbJoursCarenceICCP(int p_nbJoursCarenceICCP)
  {
    ((ConstitutionDelaisPC)getPC()).setNbJoursCarenceICCP(p_nbJoursCarenceICCP);
  }
  
  protected Damj rawGetDebutCarenceICCP()
  {
    return ((ConstitutionDelaisPC)getPC()).getDebutCarenceICCP();
  }
  
  public Damj getDebutCarenceICCP()
  {
    return ((ConstitutionDelaisPC)getPC()).getDebutCarenceICCP();
  }
  
  public void setDebutCarenceICCP(Damj p_debutCarenceICCP)
  {
    if ((m_debutCarenceICCP == null) || (p_debutCarenceICCP == null))
    {
      m_debutCarenceICCP = p_debutCarenceICCP;
      ((ConstitutionDelaisPC)getPC()).setDebutCarenceICCP(p_debutCarenceICCP);
    }
    else if ((m_debutCarenceICCP != null) && (p_debutCarenceICCP != null) && (!p_debutCarenceICCP.equals(m_debutCarenceICCP)))
    {
      m_debutCarenceICCP = p_debutCarenceICCP;
      ((ConstitutionDelaisPC)getPC()).setDebutCarenceICCP(p_debutCarenceICCP);
    }
  }
  
  protected Damj rawGetTermeCarenceICCP()
  {
    return ((ConstitutionDelaisPC)getPC()).getTermeCarenceICCP();
  }
  
  public Damj getTermeCarenceICCP()
  {
    return ((ConstitutionDelaisPC)getPC()).getTermeCarenceICCP();
  }
  
  public void setTermeCarenceICCP(Damj p_termeCarenceICCP)
  {
    if ((m_termeCarenceICCP == null) || (p_termeCarenceICCP == null))
    {
      m_termeCarenceICCP = p_termeCarenceICCP;
      ((ConstitutionDelaisPC)getPC()).setTermeCarenceICCP(p_termeCarenceICCP);
    }
    else if ((m_termeCarenceICCP != null) && (p_termeCarenceICCP != null) && (!p_termeCarenceICCP.equals(m_termeCarenceICCP)))
    {
      m_termeCarenceICCP = p_termeCarenceICCP;
      ((ConstitutionDelaisPC)getPC()).setTermeCarenceICCP(p_termeCarenceICCP);
    }
  }
  
  protected int rawGetNbJoursCarenceISLR()
  {
    return ((ConstitutionDelaisPC)getPC()).getNbJoursCarenceISLR();
  }
  
  public int getNbJoursCarenceISLR()
  {
    return ((ConstitutionDelaisPC)getPC()).getNbJoursCarenceISLR();
  }
  
  public void setNbJoursCarenceISLR(int p_nbJoursCarenceISLR)
  {
    ((ConstitutionDelaisPC)getPC()).setNbJoursCarenceISLR(p_nbJoursCarenceISLR);
  }
  
  protected Damj rawGetDebutCarenceISLR()
  {
    return ((ConstitutionDelaisPC)getPC()).getDebutCarenceISLR();
  }
  
  public Damj getDebutCarenceISLR()
  {
    return ((ConstitutionDelaisPC)getPC()).getDebutCarenceISLR();
  }
  
  public void setDebutCarenceISLR(Damj p_debutCarenceISLR)
  {
    if ((m_debutCarenceISLR == null) || (p_debutCarenceISLR == null))
    {
      m_debutCarenceISLR = p_debutCarenceISLR;
      ((ConstitutionDelaisPC)getPC()).setDebutCarenceISLR(p_debutCarenceISLR);
    }
    else if ((m_debutCarenceISLR != null) && (p_debutCarenceISLR != null) && (!p_debutCarenceISLR.equals(m_debutCarenceISLR)))
    {
      m_debutCarenceISLR = p_debutCarenceISLR;
      ((ConstitutionDelaisPC)getPC()).setDebutCarenceISLR(p_debutCarenceISLR);
    }
  }
  
  protected Damj rawGetTermeCarenceISLR()
  {
    return ((ConstitutionDelaisPC)getPC()).getTermeCarenceISLR();
  }
  
  public Damj getTermeCarenceISLR()
  {
    return ((ConstitutionDelaisPC)getPC()).getTermeCarenceISLR();
  }
  
  public void setTermeCarenceISLR(Damj p_termeCarenceISLR)
  {
    if ((m_termeCarenceISLR == null) || (p_termeCarenceISLR == null))
    {
      m_termeCarenceISLR = p_termeCarenceISLR;
      ((ConstitutionDelaisPC)getPC()).setTermeCarenceISLR(p_termeCarenceISLR);
    }
    else if ((m_termeCarenceISLR != null) && (p_termeCarenceISLR != null) && (!p_termeCarenceISLR.equals(m_termeCarenceISLR)))
    {
      m_termeCarenceISLR = p_termeCarenceISLR;
      ((ConstitutionDelaisPC)getPC()).setTermeCarenceISLR(p_termeCarenceISLR);
    }
  }
  
  protected int rawGetNbJoursCarenceDiffere()
  {
    return ((ConstitutionDelaisPC)getPC()).getNbJoursCarenceDiffere();
  }
  
  public int getNbJoursCarenceDiffere()
  {
    return ((ConstitutionDelaisPC)getPC()).getNbJoursCarenceDiffere();
  }
  
  public void setNbJoursCarenceDiffere(int p_nbJoursCarenceDiffere)
  {
    ((ConstitutionDelaisPC)getPC()).setNbJoursCarenceDiffere(p_nbJoursCarenceDiffere);
  }
  
  protected Damj rawGetDebutCarenceDiffere()
  {
    return ((ConstitutionDelaisPC)getPC()).getDebutCarenceDiffere();
  }
  
  public Damj getDebutCarenceDiffere()
  {
    return ((ConstitutionDelaisPC)getPC()).getDebutCarenceDiffere();
  }
  
  public void setDebutCarenceDiffere(Damj p_debutCarenceDiffere)
  {
    if ((m_debutCarenceDiffere == null) || (p_debutCarenceDiffere == null))
    {
      m_debutCarenceDiffere = p_debutCarenceDiffere;
      ((ConstitutionDelaisPC)getPC()).setDebutCarenceDiffere(p_debutCarenceDiffere);
    }
    else if ((m_debutCarenceDiffere != null) && (p_debutCarenceDiffere != null) && (!p_debutCarenceDiffere.equals(m_debutCarenceDiffere)))
    {
      m_debutCarenceDiffere = p_debutCarenceDiffere;
      ((ConstitutionDelaisPC)getPC()).setDebutCarenceDiffere(p_debutCarenceDiffere);
    }
  }
  
  protected Damj rawGetTermeCarenceDiffere()
  {
    return ((ConstitutionDelaisPC)getPC()).getTermeCarenceDiffere();
  }
  
  public Damj getTermeCarenceDiffere()
  {
    return ((ConstitutionDelaisPC)getPC()).getTermeCarenceDiffere();
  }
  
  public void setTermeCarenceDiffere(Damj p_termeCarenceDiffere)
  {
    if ((m_termeCarenceDiffere == null) || (p_termeCarenceDiffere == null))
    {
      m_termeCarenceDiffere = p_termeCarenceDiffere;
      ((ConstitutionDelaisPC)getPC()).setTermeCarenceDiffere(p_termeCarenceDiffere);
    }
    else if ((m_termeCarenceDiffere != null) && (p_termeCarenceDiffere != null) && (!p_termeCarenceDiffere.equals(m_termeCarenceDiffere)))
    {
      m_termeCarenceDiffere = p_termeCarenceDiffere;
      ((ConstitutionDelaisPC)getPC()).setTermeCarenceDiffere(p_termeCarenceDiffere);
    }
  }
  
  private final Collection getCollectionModifiableEnsembleCarences()
  {
    Iterator itCollectionPC;
    if (m_collectionEnsembleCarences == null)
    {
      m_collectionEnsembleCarences = new ArrayList();
      for (itCollectionPC = ((ConstitutionDelaisPC)getPC()).getCollectionEnsembleCarences().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_collectionEnsembleCarences.add(currentOM);
      }
    }
    return m_collectionEnsembleCarences;
  }
  
  public Collection getCollectionEnsembleCarences()
  {
    return Collections.unmodifiableCollection(getCollectionModifiableEnsembleCarences());
  }
  
  public List getListEnsembleCarences()
  {
    return Collections.unmodifiableList((List)getCollectionModifiableEnsembleCarences());
  }
  
  public void remplacerCollectionEnsembleCarences(Collection p_collectionACopier)
  {
    clearCollectionEnsembleCarences();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      EnsembleCarences objet = (EnsembleCarences)i.next();
      ajouterEnsembleCarences(objet);
    }
  }
  
  public void supprimerSousCollectionEnsembleCarences(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      EnsembleCarences objet = (EnsembleCarences)i.next();
      supprimerEnsembleCarences(objet);
    }
  }
  
  public void ajouterEnsembleCarences(EnsembleCarences p_ensembleCarences)
    throws NullPointerException
  {
    if (p_ensembleCarences == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_ensembleCarences ne devrait pas être nul.", p_ensembleCarences);
    }
    getCollectionModifiableEnsembleCarences().add(p_ensembleCarences);
    ((ConstitutionDelaisPC)getPC()).ajouterEnsembleCarences(p_ensembleCarences.getPC());
  }
  
  public void supprimerEnsembleCarences(EnsembleCarences p_ensembleCarences)
    throws NullPointerException
  {
    if (p_ensembleCarences == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_ensembleCarences ne devrait pas être nul.", p_ensembleCarences);
    }
    getCollectionModifiableEnsembleCarences().remove(p_ensembleCarences);
    ((ConstitutionDelaisPC)getPC()).supprimerEnsembleCarences(p_ensembleCarences.getPC());
  }
  
  public void recopierCollectionEnsembleCarencesVers(ObjetMetierSpec p_copie)
  {
    ConstitutionDelaisGen copie = (ConstitutionDelaisGen)p_copie;
    Collection listeACopier = getCollectionEnsembleCarences();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterEnsembleCarences((EnsembleCarences)objet);
    }
  }
  
  public void clearCollectionEnsembleCarences()
  {
    getCollectionModifiableEnsembleCarences().clear();
    ((ConstitutionDelaisPC)getPC()).getCollectionEnsembleCarences().clear();
  }
  
  private final Collection getCollectionModifiableDelaisReports()
  {
    Iterator itCollectionPC;
    if (m_listeDelaisReports == null)
    {
      m_listeDelaisReports = new ArrayList();
      for (itCollectionPC = ((ConstitutionDelaisPC)getPC()).getCollectionDelaisReports().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_listeDelaisReports.add(currentOM);
      }
    }
    return m_listeDelaisReports;
  }
  
  public Collection getCollectionDelaisReports()
  {
    return Collections.unmodifiableCollection(getCollectionModifiableDelaisReports());
  }
  
  public List getListDelaisReports()
  {
    return Collections.unmodifiableList((List)getCollectionModifiableDelaisReports());
  }
  
  public void remplacerCollectionDelaisReports(Collection p_collectionACopier)
  {
    clearCollectionDelaisReports();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      Differe objet = (Differe)i.next();
      ajouterDelaisReports(objet);
    }
  }
  
  public void supprimerSousCollectionDelaisReports(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      Differe objet = (Differe)i.next();
      supprimerDelaisReports(objet);
    }
  }
  
  public void ajouterDelaisReports(Differe p_delaisReports)
    throws NullPointerException
  {
    if (p_delaisReports == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_delaisReports ne devrait pas être nul.", p_delaisReports);
    }
    getCollectionModifiableDelaisReports().add(p_delaisReports);
    ((ConstitutionDelaisPC)getPC()).ajouterDelaisReports(p_delaisReports.getPC());
  }
  
  public void supprimerDelaisReports(Differe p_delaisReports)
    throws NullPointerException
  {
    if (p_delaisReports == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_delaisReports ne devrait pas être nul.", p_delaisReports);
    }
    getCollectionModifiableDelaisReports().remove(p_delaisReports);
    ((ConstitutionDelaisPC)getPC()).supprimerDelaisReports(p_delaisReports.getPC());
  }
  
  public void recopierCollectionDelaisReportsVers(ObjetMetierSpec p_copie)
  {
    ConstitutionDelaisGen copie = (ConstitutionDelaisGen)p_copie;
    Collection listeACopier = getCollectionDelaisReports();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterDelaisReports((Differe)objet);
    }
  }
  
  public void clearCollectionDelaisReports()
  {
    getCollectionModifiableDelaisReports().clear();
    ((ConstitutionDelaisPC)getPC()).getCollectionDelaisReports().clear();
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    for (Iterator iter = getCollectionEnsembleCarences().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
    for (Iterator iter = getCollectionDelaisReports().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConstitutionDelaisGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */