package fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionCaractereSaisonnier;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionCoefficientSaisonnier;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionCoefficientTempsPartiel;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionDateAttribution;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionDelais;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionDurees;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionMontantsBruts;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionPointDepartIndemnisation;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionReglementApplicable;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionSjc;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionSjr;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.pc.ConstitutionElementsReprisePC;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public abstract class ConstitutionElementsRepriseGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionElementsReprisePC;
  private ConstitutionDurees m_constitutionDurees;
  private ConstitutionMontantsBruts m_constitutionMontantsBruts;
  private ConstitutionSjr m_constitutionSjr;
  private ConstitutionDelais m_constitutionDelais;
  private ConstitutionSjc m_constitutionSjc;
  private ConstitutionReglementApplicable m_constitutionReglementApplicable;
  private ConstitutionDateAttribution m_constitutionDateAttribution;
  private ConstitutionPointDepartIndemnisation m_constitutionPointDepartIndemnisation;
  private ConstitutionCaractereSaisonnier m_constitutionCaractereSaisonnier;
  private ConstitutionCoefficientSaisonnier m_constitutionCoefficientSaisonnier;
  private ConstitutionCoefficientTempsPartiel m_constitutionCoefficientTempsPartiel;
  
  public ConstitutionElementsRepriseGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConstitutionElementsRepriseGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new ConstitutionElementsReprisePC();
  }
  
  public DomPCSpec getPC()
  {
    return m_constitutionElementsReprisePC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionElementsReprisePC)
  {
    m_constitutionElementsReprisePC = p_constitutionElementsReprisePC;
  }
  
  public ConstitutionDurees getConstitutionDurees()
  {
    if (m_constitutionDurees == null)
    {
      DomPCSpec constitutionDureesPC = ((ConstitutionElementsReprisePC)getPC()).getConstitutionDurees();
      if (constitutionDureesPC != null) {
        m_constitutionDurees = ((ConstitutionDurees)constitutionDureesPC.createOM());
      }
    }
    return m_constitutionDurees;
  }
  
  public void setConstitutionDurees(ConstitutionDurees p_constitutionDurees)
  {
    if (p_constitutionDurees == null)
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionDurees(null);
      m_constitutionDurees = p_constitutionDurees;
    }
    else if (!p_constitutionDurees.equals(m_constitutionDurees))
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionDurees(p_constitutionDurees.getPC());
      m_constitutionDurees = p_constitutionDurees;
    }
  }
  
  public ConstitutionMontantsBruts getConstitutionMontantsBruts()
  {
    if (m_constitutionMontantsBruts == null)
    {
      DomPCSpec constitutionMontantsBrutsPC = ((ConstitutionElementsReprisePC)getPC()).getConstitutionMontantsBruts();
      if (constitutionMontantsBrutsPC != null) {
        m_constitutionMontantsBruts = ((ConstitutionMontantsBruts)constitutionMontantsBrutsPC.createOM());
      }
    }
    return m_constitutionMontantsBruts;
  }
  
  public void setConstitutionMontantsBruts(ConstitutionMontantsBruts p_constitutionMontantsBruts)
  {
    if (p_constitutionMontantsBruts == null)
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionMontantsBruts(null);
      m_constitutionMontantsBruts = p_constitutionMontantsBruts;
    }
    else if (!p_constitutionMontantsBruts.equals(m_constitutionMontantsBruts))
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionMontantsBruts(p_constitutionMontantsBruts.getPC());
      m_constitutionMontantsBruts = p_constitutionMontantsBruts;
    }
  }
  
  public ConstitutionSjr getConstitutionSjr()
  {
    if (m_constitutionSjr == null)
    {
      DomPCSpec constitutionSjrPC = ((ConstitutionElementsReprisePC)getPC()).getConstitutionSjr();
      if (constitutionSjrPC != null) {
        m_constitutionSjr = ((ConstitutionSjr)constitutionSjrPC.createOM());
      }
    }
    return m_constitutionSjr;
  }
  
  public void setConstitutionSjr(ConstitutionSjr p_constitutionSjr)
  {
    if (p_constitutionSjr == null)
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionSjr(null);
      m_constitutionSjr = p_constitutionSjr;
    }
    else if (!p_constitutionSjr.equals(m_constitutionSjr))
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionSjr(p_constitutionSjr.getPC());
      m_constitutionSjr = p_constitutionSjr;
    }
  }
  
  public ConstitutionDelais getConstitutionDelais()
  {
    if (m_constitutionDelais == null)
    {
      DomPCSpec constitutionDelaisPC = ((ConstitutionElementsReprisePC)getPC()).getConstitutionDelais();
      if (constitutionDelaisPC != null) {
        m_constitutionDelais = ((ConstitutionDelais)constitutionDelaisPC.createOM());
      }
    }
    return m_constitutionDelais;
  }
  
  public void setConstitutionDelais(ConstitutionDelais p_constitutionDelais)
  {
    if (p_constitutionDelais == null)
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionDelais(null);
      m_constitutionDelais = p_constitutionDelais;
    }
    else if (!p_constitutionDelais.equals(m_constitutionDelais))
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionDelais(p_constitutionDelais.getPC());
      m_constitutionDelais = p_constitutionDelais;
    }
  }
  
  public ConstitutionSjc getConstitutionSjc()
  {
    if (m_constitutionSjc == null)
    {
      DomPCSpec constitutionSjcPC = ((ConstitutionElementsReprisePC)getPC()).getConstitutionSjc();
      if (constitutionSjcPC != null) {
        m_constitutionSjc = ((ConstitutionSjc)constitutionSjcPC.createOM());
      }
    }
    return m_constitutionSjc;
  }
  
  public void setConstitutionSjc(ConstitutionSjc p_constitutionSjc)
  {
    if (p_constitutionSjc == null)
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionSjc(null);
      m_constitutionSjc = p_constitutionSjc;
    }
    else if (!p_constitutionSjc.equals(m_constitutionSjc))
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionSjc(p_constitutionSjc.getPC());
      m_constitutionSjc = p_constitutionSjc;
    }
  }
  
  public ConstitutionReglementApplicable getConstitutionReglementApplicable()
  {
    if (m_constitutionReglementApplicable == null)
    {
      DomPCSpec constitutionReglementApplicablePC = ((ConstitutionElementsReprisePC)getPC()).getConstitutionReglementApplicable();
      if (constitutionReglementApplicablePC != null) {
        m_constitutionReglementApplicable = ((ConstitutionReglementApplicable)constitutionReglementApplicablePC.createOM());
      }
    }
    return m_constitutionReglementApplicable;
  }
  
  public void setConstitutionReglementApplicable(ConstitutionReglementApplicable p_constitutionReglementApplicable)
  {
    if (p_constitutionReglementApplicable == null)
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionReglementApplicable(null);
      m_constitutionReglementApplicable = p_constitutionReglementApplicable;
    }
    else if (!p_constitutionReglementApplicable.equals(m_constitutionReglementApplicable))
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionReglementApplicable(p_constitutionReglementApplicable.getPC());
      m_constitutionReglementApplicable = p_constitutionReglementApplicable;
    }
  }
  
  public ConstitutionDateAttribution getConstitutionDateAttribution()
  {
    if (m_constitutionDateAttribution == null)
    {
      DomPCSpec constitutionDateAttributionPC = ((ConstitutionElementsReprisePC)getPC()).getConstitutionDateAttribution();
      if (constitutionDateAttributionPC != null) {
        m_constitutionDateAttribution = ((ConstitutionDateAttribution)constitutionDateAttributionPC.createOM());
      }
    }
    return m_constitutionDateAttribution;
  }
  
  public void setConstitutionDateAttribution(ConstitutionDateAttribution p_constitutionDateAttribution)
  {
    if (p_constitutionDateAttribution == null)
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionDateAttribution(null);
      m_constitutionDateAttribution = p_constitutionDateAttribution;
    }
    else if (!p_constitutionDateAttribution.equals(m_constitutionDateAttribution))
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionDateAttribution(p_constitutionDateAttribution.getPC());
      m_constitutionDateAttribution = p_constitutionDateAttribution;
    }
  }
  
  public ConstitutionPointDepartIndemnisation getConstitutionPointDepartIndemnisation()
  {
    if (m_constitutionPointDepartIndemnisation == null)
    {
      DomPCSpec constitutionPointDepartIndemnisationPC = ((ConstitutionElementsReprisePC)getPC()).getConstitutionPointDepartIndemnisation();
      if (constitutionPointDepartIndemnisationPC != null) {
        m_constitutionPointDepartIndemnisation = ((ConstitutionPointDepartIndemnisation)constitutionPointDepartIndemnisationPC.createOM());
      }
    }
    return m_constitutionPointDepartIndemnisation;
  }
  
  public void setConstitutionPointDepartIndemnisation(ConstitutionPointDepartIndemnisation p_constitutionPointDepartIndemnisation)
  {
    if (p_constitutionPointDepartIndemnisation == null)
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionPointDepartIndemnisation(null);
      m_constitutionPointDepartIndemnisation = p_constitutionPointDepartIndemnisation;
    }
    else if (!p_constitutionPointDepartIndemnisation.equals(m_constitutionPointDepartIndemnisation))
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionPointDepartIndemnisation(p_constitutionPointDepartIndemnisation.getPC());
      m_constitutionPointDepartIndemnisation = p_constitutionPointDepartIndemnisation;
    }
  }
  
  public ConstitutionCaractereSaisonnier getConstitutionCaractereSaisonnier()
  {
    if (m_constitutionCaractereSaisonnier == null)
    {
      DomPCSpec constitutionCaractereSaisonnierPC = ((ConstitutionElementsReprisePC)getPC()).getConstitutionCaractereSaisonnier();
      if (constitutionCaractereSaisonnierPC != null) {
        m_constitutionCaractereSaisonnier = ((ConstitutionCaractereSaisonnier)constitutionCaractereSaisonnierPC.createOM());
      }
    }
    return m_constitutionCaractereSaisonnier;
  }
  
  public void setConstitutionCaractereSaisonnier(ConstitutionCaractereSaisonnier p_constitutionCaractereSaisonnier)
  {
    if (p_constitutionCaractereSaisonnier == null)
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionCaractereSaisonnier(null);
      m_constitutionCaractereSaisonnier = p_constitutionCaractereSaisonnier;
    }
    else if (!p_constitutionCaractereSaisonnier.equals(m_constitutionCaractereSaisonnier))
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionCaractereSaisonnier(p_constitutionCaractereSaisonnier.getPC());
      m_constitutionCaractereSaisonnier = p_constitutionCaractereSaisonnier;
    }
  }
  
  public ConstitutionCoefficientSaisonnier getConstitutionCoefficientSaisonnier()
  {
    if (m_constitutionCoefficientSaisonnier == null)
    {
      DomPCSpec constitutionCoefficientSaisonnierPC = ((ConstitutionElementsReprisePC)getPC()).getConstitutionCoefficientSaisonnier();
      if (constitutionCoefficientSaisonnierPC != null) {
        m_constitutionCoefficientSaisonnier = ((ConstitutionCoefficientSaisonnier)constitutionCoefficientSaisonnierPC.createOM());
      }
    }
    return m_constitutionCoefficientSaisonnier;
  }
  
  public void setConstitutionCoefficientSaisonnier(ConstitutionCoefficientSaisonnier p_constitutionCoefficientSaisonnier)
  {
    if (p_constitutionCoefficientSaisonnier == null)
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionCoefficientSaisonnier(null);
      m_constitutionCoefficientSaisonnier = p_constitutionCoefficientSaisonnier;
    }
    else if (!p_constitutionCoefficientSaisonnier.equals(m_constitutionCoefficientSaisonnier))
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionCoefficientSaisonnier(p_constitutionCoefficientSaisonnier.getPC());
      m_constitutionCoefficientSaisonnier = p_constitutionCoefficientSaisonnier;
    }
  }
  
  public ConstitutionCoefficientTempsPartiel getConstitutionCoefficientTempsPartiel()
  {
    if (m_constitutionCoefficientTempsPartiel == null)
    {
      DomPCSpec constitutionCoefficientTempsPartielPC = ((ConstitutionElementsReprisePC)getPC()).getConstitutionCoefficientTempsPartiel();
      if (constitutionCoefficientTempsPartielPC != null) {
        m_constitutionCoefficientTempsPartiel = ((ConstitutionCoefficientTempsPartiel)constitutionCoefficientTempsPartielPC.createOM());
      }
    }
    return m_constitutionCoefficientTempsPartiel;
  }
  
  public void setConstitutionCoefficientTempsPartiel(ConstitutionCoefficientTempsPartiel p_constitutionCoefficientTempsPartiel)
  {
    if (p_constitutionCoefficientTempsPartiel == null)
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionCoefficientTempsPartiel(null);
      m_constitutionCoefficientTempsPartiel = p_constitutionCoefficientTempsPartiel;
    }
    else if (!p_constitutionCoefficientTempsPartiel.equals(m_constitutionCoefficientTempsPartiel))
    {
      ((ConstitutionElementsReprisePC)getPC()).setConstitutionCoefficientTempsPartiel(p_constitutionCoefficientTempsPartiel.getPC());
      m_constitutionCoefficientTempsPartiel = p_constitutionCoefficientTempsPartiel;
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    Object constitutionDurees = getConstitutionDurees();
    if ((constitutionDurees != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(constitutionDurees))) {
      DomManager.supprimer(getConstitutionDurees(), p_contexteSuppression);
    }
    Object constitutionMontantsBruts = getConstitutionMontantsBruts();
    if ((constitutionMontantsBruts != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(constitutionMontantsBruts))) {
      DomManager.supprimer(getConstitutionMontantsBruts(), p_contexteSuppression);
    }
    Object constitutionSjr = getConstitutionSjr();
    if ((constitutionSjr != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(constitutionSjr))) {
      DomManager.supprimer(getConstitutionSjr(), p_contexteSuppression);
    }
    Object constitutionDelais = getConstitutionDelais();
    if ((constitutionDelais != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(constitutionDelais))) {
      DomManager.supprimer(getConstitutionDelais(), p_contexteSuppression);
    }
    Object constitutionSjc = getConstitutionSjc();
    if ((constitutionSjc != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(constitutionSjc))) {
      DomManager.supprimer(getConstitutionSjc(), p_contexteSuppression);
    }
    Object constitutionReglementApplicable = getConstitutionReglementApplicable();
    if ((constitutionReglementApplicable != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(constitutionReglementApplicable))) {
      DomManager.supprimer(getConstitutionReglementApplicable(), p_contexteSuppression);
    }
    Object constitutionDateAttribution = getConstitutionDateAttribution();
    if ((constitutionDateAttribution != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(constitutionDateAttribution))) {
      DomManager.supprimer(getConstitutionDateAttribution(), p_contexteSuppression);
    }
    Object constitutionPointDepartIndemnisation = getConstitutionPointDepartIndemnisation();
    if ((constitutionPointDepartIndemnisation != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(constitutionPointDepartIndemnisation))) {
      DomManager.supprimer(getConstitutionPointDepartIndemnisation(), p_contexteSuppression);
    }
    Object constitutionCaractereSaisonnier = getConstitutionCaractereSaisonnier();
    if ((constitutionCaractereSaisonnier != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(constitutionCaractereSaisonnier))) {
      DomManager.supprimer(getConstitutionCaractereSaisonnier(), p_contexteSuppression);
    }
    Object constitutionCoefficientSaisonnier = getConstitutionCoefficientSaisonnier();
    if ((constitutionCoefficientSaisonnier != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(constitutionCoefficientSaisonnier))) {
      DomManager.supprimer(getConstitutionCoefficientSaisonnier(), p_contexteSuppression);
    }
    Object constitutionCoefficientTempsPartiel = getConstitutionCoefficientTempsPartiel();
    if ((constitutionCoefficientTempsPartiel != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(constitutionCoefficientTempsPartiel))) {
      DomManager.supprimer(getConstitutionCoefficientTempsPartiel(), p_contexteSuppression);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConstitutionElementsRepriseGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */