package fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.DureeReglementaire;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.pc.DureeIndemnisationPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;

public abstract class DureeIndemnisationGen
  extends DureeReglementaire
  implements DomGenSpec
{
  private Quantite m_dureeTheorique;
  private Quantite m_dureeImputation;
  private Quantite m_dureePostPrimeCspConstitutionDurees;
  private Integer m_dureeImputationPostPrime;
  
  public DureeIndemnisationGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public DureeIndemnisationGen() {}
  
  protected DomPCSpec createPC()
  {
    return new DureeIndemnisationPC();
  }
  
  protected Quantite rawGetDureeTheorique()
  {
    return ((DureeIndemnisationPC)getPC()).getDureeTheorique();
  }
  
  public Quantite getDureeTheorique()
  {
    return ((DureeIndemnisationPC)getPC()).getDureeTheorique();
  }
  
  public void setDureeTheorique(Quantite p_dureeTheorique)
  {
    if ((m_dureeTheorique == null) || (p_dureeTheorique == null))
    {
      m_dureeTheorique = p_dureeTheorique;
      ((DureeIndemnisationPC)getPC()).setDureeTheorique(p_dureeTheorique);
    }
    else if ((m_dureeTheorique != null) && (p_dureeTheorique != null) && (!p_dureeTheorique.equals(m_dureeTheorique)))
    {
      m_dureeTheorique = p_dureeTheorique;
      ((DureeIndemnisationPC)getPC()).setDureeTheorique(p_dureeTheorique);
    }
  }
  
  protected Quantite rawGetDureeImputation()
  {
    return ((DureeIndemnisationPC)getPC()).getDureeImputation();
  }
  
  public Quantite getDureeImputation()
  {
    return ((DureeIndemnisationPC)getPC()).getDureeImputation();
  }
  
  public void setDureeImputation(Quantite p_dureeImputation)
  {
    if ((m_dureeImputation == null) || (p_dureeImputation == null))
    {
      m_dureeImputation = p_dureeImputation;
      ((DureeIndemnisationPC)getPC()).setDureeImputation(p_dureeImputation);
    }
    else if ((m_dureeImputation != null) && (p_dureeImputation != null) && (!p_dureeImputation.equals(m_dureeImputation)))
    {
      m_dureeImputation = p_dureeImputation;
      ((DureeIndemnisationPC)getPC()).setDureeImputation(p_dureeImputation);
    }
  }
  
  protected Quantite rawGetDureePostPrimeCspConstitutionDurees()
  {
    return ((DureeIndemnisationPC)getPC()).getDureePostPrimeCspConstitutionDurees();
  }
  
  public Quantite getDureePostPrimeCspConstitutionDurees()
  {
    return ((DureeIndemnisationPC)getPC()).getDureePostPrimeCspConstitutionDurees();
  }
  
  public void setDureePostPrimeCspConstitutionDurees(Quantite p_dureePostPrimeCspConstitutionDurees)
  {
    if ((m_dureePostPrimeCspConstitutionDurees == null) || (p_dureePostPrimeCspConstitutionDurees == null))
    {
      m_dureePostPrimeCspConstitutionDurees = p_dureePostPrimeCspConstitutionDurees;
      ((DureeIndemnisationPC)getPC()).setDureePostPrimeCspConstitutionDurees(p_dureePostPrimeCspConstitutionDurees);
    }
    else if ((m_dureePostPrimeCspConstitutionDurees != null) && (p_dureePostPrimeCspConstitutionDurees != null) && (!p_dureePostPrimeCspConstitutionDurees.equals(m_dureePostPrimeCspConstitutionDurees)))
    {
      m_dureePostPrimeCspConstitutionDurees = p_dureePostPrimeCspConstitutionDurees;
      ((DureeIndemnisationPC)getPC()).setDureePostPrimeCspConstitutionDurees(p_dureePostPrimeCspConstitutionDurees);
    }
  }
  
  protected Integer rawGetDureeImputationPostPrime()
  {
    return ((DureeIndemnisationPC)getPC()).getDureeImputationPostPrime();
  }
  
  public Integer getDureeImputationPostPrime()
  {
    return ((DureeIndemnisationPC)getPC()).getDureeImputationPostPrime();
  }
  
  public void setDureeImputationPostPrime(Integer p_dureeImputationPostPrime)
  {
    if ((m_dureeImputationPostPrime == null) || (p_dureeImputationPostPrime == null))
    {
      m_dureeImputationPostPrime = p_dureeImputationPostPrime;
      ((DureeIndemnisationPC)getPC()).setDureeImputationPostPrime(p_dureeImputationPostPrime);
    }
    else if ((m_dureeImputationPostPrime != null) && (p_dureeImputationPostPrime != null) && (!p_dureeImputationPostPrime.equals(m_dureeImputationPostPrime)))
    {
      m_dureeImputationPostPrime = p_dureeImputationPostPrime;
      ((DureeIndemnisationPC)getPC()).setDureeImputationPostPrime(p_dureeImputationPostPrime);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     DureeIndemnisationGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */