package fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.pc.JustificationSrPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import java.math.BigDecimal;

public abstract class JustificationSrGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_justificationSrPC;
  private BigDecimal m_totalSalairesRetenus;
  private BigDecimal m_totalPrimesNormalesRetenues;
  private BigDecimal m_totalPrimesExceptionnellesRetenues;
  private BigDecimal m_salaireReferenceNonPlafonne;
  
  public JustificationSrGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public JustificationSrGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new JustificationSrPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_justificationSrPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_justificationSrPC)
  {
    m_justificationSrPC = p_justificationSrPC;
  }
  
  protected BigDecimal rawGetTotalSalairesRetenus()
  {
    return ((JustificationSrPC)getPC()).getTotalSalairesRetenus();
  }
  
  public BigDecimal getTotalSalairesRetenus()
  {
    return ((JustificationSrPC)getPC()).getTotalSalairesRetenus();
  }
  
  public void setTotalSalairesRetenus(BigDecimal p_totalSalairesRetenus)
  {
    if ((m_totalSalairesRetenus == null) || (p_totalSalairesRetenus == null))
    {
      m_totalSalairesRetenus = p_totalSalairesRetenus;
      ((JustificationSrPC)getPC()).setTotalSalairesRetenus(p_totalSalairesRetenus);
    }
    else if ((m_totalSalairesRetenus != null) && (p_totalSalairesRetenus != null) && (!p_totalSalairesRetenus.equals(m_totalSalairesRetenus)))
    {
      m_totalSalairesRetenus = p_totalSalairesRetenus;
      ((JustificationSrPC)getPC()).setTotalSalairesRetenus(p_totalSalairesRetenus);
    }
  }
  
  protected BigDecimal rawGetTotalPrimesNormalesRetenues()
  {
    return ((JustificationSrPC)getPC()).getTotalPrimesNormalesRetenues();
  }
  
  public BigDecimal getTotalPrimesNormalesRetenues()
  {
    return ((JustificationSrPC)getPC()).getTotalPrimesNormalesRetenues();
  }
  
  public void setTotalPrimesNormalesRetenues(BigDecimal p_totalPrimesNormalesRetenues)
  {
    if ((m_totalPrimesNormalesRetenues == null) || (p_totalPrimesNormalesRetenues == null))
    {
      m_totalPrimesNormalesRetenues = p_totalPrimesNormalesRetenues;
      ((JustificationSrPC)getPC()).setTotalPrimesNormalesRetenues(p_totalPrimesNormalesRetenues);
    }
    else if ((m_totalPrimesNormalesRetenues != null) && (p_totalPrimesNormalesRetenues != null) && (!p_totalPrimesNormalesRetenues.equals(m_totalPrimesNormalesRetenues)))
    {
      m_totalPrimesNormalesRetenues = p_totalPrimesNormalesRetenues;
      ((JustificationSrPC)getPC()).setTotalPrimesNormalesRetenues(p_totalPrimesNormalesRetenues);
    }
  }
  
  protected BigDecimal rawGetTotalPrimesExceptionnellesRetenues()
  {
    return ((JustificationSrPC)getPC()).getTotalPrimesExceptionnellesRetenues();
  }
  
  public BigDecimal getTotalPrimesExceptionnellesRetenues()
  {
    return ((JustificationSrPC)getPC()).getTotalPrimesExceptionnellesRetenues();
  }
  
  public void setTotalPrimesExceptionnellesRetenues(BigDecimal p_totalPrimesExceptionnellesRetenues)
  {
    if ((m_totalPrimesExceptionnellesRetenues == null) || (p_totalPrimesExceptionnellesRetenues == null))
    {
      m_totalPrimesExceptionnellesRetenues = p_totalPrimesExceptionnellesRetenues;
      ((JustificationSrPC)getPC()).setTotalPrimesExceptionnellesRetenues(p_totalPrimesExceptionnellesRetenues);
    }
    else if ((m_totalPrimesExceptionnellesRetenues != null) && (p_totalPrimesExceptionnellesRetenues != null) && (!p_totalPrimesExceptionnellesRetenues.equals(m_totalPrimesExceptionnellesRetenues)))
    {
      m_totalPrimesExceptionnellesRetenues = p_totalPrimesExceptionnellesRetenues;
      ((JustificationSrPC)getPC()).setTotalPrimesExceptionnellesRetenues(p_totalPrimesExceptionnellesRetenues);
    }
  }
  
  protected BigDecimal rawGetSalaireReferenceNonPlafonne()
  {
    return ((JustificationSrPC)getPC()).getSalaireReferenceNonPlafonne();
  }
  
  public BigDecimal getSalaireReferenceNonPlafonne()
  {
    return ((JustificationSrPC)getPC()).getSalaireReferenceNonPlafonne();
  }
  
  public void setSalaireReferenceNonPlafonne(BigDecimal p_salaireReferenceNonPlafonne)
  {
    if ((m_salaireReferenceNonPlafonne == null) || (p_salaireReferenceNonPlafonne == null))
    {
      m_salaireReferenceNonPlafonne = p_salaireReferenceNonPlafonne;
      ((JustificationSrPC)getPC()).setSalaireReferenceNonPlafonne(p_salaireReferenceNonPlafonne);
    }
    else if ((m_salaireReferenceNonPlafonne != null) && (p_salaireReferenceNonPlafonne != null) && (!p_salaireReferenceNonPlafonne.equals(m_salaireReferenceNonPlafonne)))
    {
      m_salaireReferenceNonPlafonne = p_salaireReferenceNonPlafonne;
      ((JustificationSrPC)getPC()).setSalaireReferenceNonPlafonne(p_salaireReferenceNonPlafonne);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     JustificationSrGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */