package fr.unedic.cali.asu.cge01.p02.liquidation.dom.pc;

import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionMontantsBruts;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.Quantite;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.math.BigDecimal;
import javax.jdo.JDOFatalInternalException;
import javax.jdo.JDOUnsupportedOptionException;
import javax.jdo.JDOUserException;
import javax.jdo.PersistenceManager;
import javax.jdo.spi.JDOImplHelper;
import javax.jdo.spi.JDOPermission;
import javax.jdo.spi.PersistenceCapable;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldConsumer;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldSupplier;
import javax.jdo.spi.StateManager;
import xcalia.lido.internal.sm.CommonStateManager;

public class ConstitutionMontantsBrutsPC
  implements DomPCSpec, PersistenceCapable
{
  private transient ConstitutionMontantsBruts m_constitutionMontantsBrutsOM;
  protected Quantite m_crc;
  protected Quantite m_montantJournalierBrut;
  protected Quantite m_capitalInitialBrut;
  protected Quantite m_montantMini;
  protected Quantite m_montantPlancher;
  protected Quantite m_montantPlafond;
  protected Quantite m_montantBase;
  protected Quantite m_pensionInvaliditeADeduirePriseEnCompte;
  protected Quantite m_montantBrutSansPensionInvaliditeADeduire;
  protected Quantite m_montantJournalierAvantageVieillesse;
  protected Quantite m_montantJournalierAvantageVieillesseDeduit;
  private BigDecimal m_sjrMontantMaxAsp;
  protected transient byte jdoFlags;
  protected transient StateManager jdoStateManager;
  private static int jdoInheritedFieldCount = 0;
  private static String[] jdoFieldNames = { "m_crc", "m_montantJournalierBrut", "m_capitalInitialBrut", "m_montantMini", "m_montantPlancher", "m_montantPlafond", "m_montantBase", "m_pensionInvaliditeADeduirePriseEnCompte", "m_montantBrutSansPensionInvaliditeADeduire", "m_montantJournalierAvantageVieillesse", "m_montantJournalierAvantageVieillesseDeduit", "m_sjrMontantMaxAsp" };
  private static Class[] jdoFieldTypes = { Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, BigDecimal.class };
  private static byte[] jdoFieldFlags = { (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE) };
  private static Class jdoPersistenceCapableSuperclass = null;
  
  public ConstitutionMontantsBrutsPC()
  {
    jdoSetm_crc(this, null);
  }
  
  public Object createOM()
  {
    if (m_constitutionMontantsBrutsOM == null) {
      m_constitutionMontantsBrutsOM = new ConstitutionMontantsBruts(this);
    }
    return m_constitutionMontantsBrutsOM;
  }
  
  public Quantite getCrc()
  {
    return jdoGetm_crc(this);
  }
  
  public final void setCrc(Quantite p_crc)
  {
    jdoSetm_crc(this, p_crc);
  }
  
  public Quantite getMontantJournalierBrut()
  {
    return jdoGetm_montantJournalierBrut(this);
  }
  
  public final void setMontantJournalierBrut(Quantite p_montantJournalierBrut)
  {
    jdoSetm_montantJournalierBrut(this, p_montantJournalierBrut);
  }
  
  public Quantite getCapitalInitialBrut()
  {
    return jdoGetm_capitalInitialBrut(this);
  }
  
  public final void setCapitalInitialBrut(Quantite p_capitalInitialBrut)
  {
    jdoSetm_capitalInitialBrut(this, p_capitalInitialBrut);
  }
  
  public Quantite getMontantMini()
  {
    return jdoGetm_montantMini(this);
  }
  
  public final void setMontantMini(Quantite p_montantMini)
  {
    jdoSetm_montantMini(this, p_montantMini);
  }
  
  public Quantite getMontantPlancher()
  {
    return jdoGetm_montantPlancher(this);
  }
  
  public final void setMontantPlancher(Quantite p_montantPlancher)
  {
    jdoSetm_montantPlancher(this, p_montantPlancher);
  }
  
  public Quantite getMontantPlafond()
  {
    return jdoGetm_montantPlafond(this);
  }
  
  public final void setMontantPlafond(Quantite p_montantPlafond)
  {
    jdoSetm_montantPlafond(this, p_montantPlafond);
  }
  
  public Quantite getMontantBase()
  {
    return jdoGetm_montantBase(this);
  }
  
  public final void setMontantBase(Quantite p_montantBase)
  {
    jdoSetm_montantBase(this, p_montantBase);
  }
  
  public Quantite getPensionInvaliditeADeduirePriseEnCompte()
  {
    return jdoGetm_pensionInvaliditeADeduirePriseEnCompte(this);
  }
  
  public final void setPensionInvaliditeADeduirePriseEnCompte(Quantite p_pensionInvaliditeADeduirePriseEnCompte)
  {
    jdoSetm_pensionInvaliditeADeduirePriseEnCompte(this, p_pensionInvaliditeADeduirePriseEnCompte);
  }
  
  public Quantite getMontantBrutSansPensionInvaliditeADeduire()
  {
    return jdoGetm_montantBrutSansPensionInvaliditeADeduire(this);
  }
  
  public final void setMontantBrutSansPensionInvaliditeADeduire(Quantite p_montantBrutSansPensionInvaliditeADeduire)
  {
    jdoSetm_montantBrutSansPensionInvaliditeADeduire(this, p_montantBrutSansPensionInvaliditeADeduire);
  }
  
  public Quantite getMontantJournalierAvantageVieillesse()
  {
    return jdoGetm_montantJournalierAvantageVieillesse(this);
  }
  
  public final void setMontantJournalierAvantageVieillesse(Quantite p_montantJournalierAvantageVieillesse)
  {
    jdoSetm_montantJournalierAvantageVieillesse(this, p_montantJournalierAvantageVieillesse);
  }
  
  public Quantite getMontantJournalierAvantageVieillesseDeduit()
  {
    return jdoGetm_montantJournalierAvantageVieillesseDeduit(this);
  }
  
  public final void setMontantJournalierAvantageVieillesseDeduit(Quantite p_montantJournalierAvantageVieillesseDeduit)
  {
    jdoSetm_montantJournalierAvantageVieillesseDeduit(this, p_montantJournalierAvantageVieillesseDeduit);
  }
  
  public BigDecimal getSjrMontantMaxAsp()
  {
    return jdoGetm_sjrMontantMaxAsp(this);
  }
  
  public final void setSjrMontantMaxAsp(BigDecimal p_sjrMontantMaxAsp)
  {
    jdoSetm_sjrMontantMaxAsp(this, p_sjrMontantMaxAsp);
  }
  
  static
  {
    JDOImplHelper.registerClass(ConstitutionMontantsBrutsPC.class, jdoFieldNames, jdoFieldTypes, jdoFieldFlags, jdoPersistenceCapableSuperclass, new ConstitutionMontantsBrutsPC());
  }
  
  protected static final Quantite jdoGetm_crc(ConstitutionMontantsBrutsPC pc)
  {
    if (jdoFlags <= 0) {
      return m_crc;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 0)) {
        return m_crc;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 0, m_crc);
    }
    return m_crc;
  }
  
  protected static final Quantite jdoGetm_montantJournalierBrut(ConstitutionMontantsBrutsPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantJournalierBrut;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 1)) {
        return m_montantJournalierBrut;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 1, m_montantJournalierBrut);
    }
    return m_montantJournalierBrut;
  }
  
  protected static final Quantite jdoGetm_capitalInitialBrut(ConstitutionMontantsBrutsPC pc)
  {
    if (jdoFlags <= 0) {
      return m_capitalInitialBrut;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 2)) {
        return m_capitalInitialBrut;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 2, m_capitalInitialBrut);
    }
    return m_capitalInitialBrut;
  }
  
  protected static final Quantite jdoGetm_montantMini(ConstitutionMontantsBrutsPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantMini;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 3)) {
        return m_montantMini;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 3, m_montantMini);
    }
    return m_montantMini;
  }
  
  protected static final Quantite jdoGetm_montantPlancher(ConstitutionMontantsBrutsPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantPlancher;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 4)) {
        return m_montantPlancher;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 4, m_montantPlancher);
    }
    return m_montantPlancher;
  }
  
  protected static final Quantite jdoGetm_montantPlafond(ConstitutionMontantsBrutsPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantPlafond;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 5)) {
        return m_montantPlafond;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 5, m_montantPlafond);
    }
    return m_montantPlafond;
  }
  
  protected static final Quantite jdoGetm_montantBase(ConstitutionMontantsBrutsPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantBase;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 6)) {
        return m_montantBase;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 6, m_montantBase);
    }
    return m_montantBase;
  }
  
  protected static final Quantite jdoGetm_pensionInvaliditeADeduirePriseEnCompte(ConstitutionMontantsBrutsPC pc)
  {
    if (jdoFlags <= 0) {
      return m_pensionInvaliditeADeduirePriseEnCompte;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 7)) {
        return m_pensionInvaliditeADeduirePriseEnCompte;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 7, m_pensionInvaliditeADeduirePriseEnCompte);
    }
    return m_pensionInvaliditeADeduirePriseEnCompte;
  }
  
  protected static final Quantite jdoGetm_montantBrutSansPensionInvaliditeADeduire(ConstitutionMontantsBrutsPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantBrutSansPensionInvaliditeADeduire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 8)) {
        return m_montantBrutSansPensionInvaliditeADeduire;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 8, m_montantBrutSansPensionInvaliditeADeduire);
    }
    return m_montantBrutSansPensionInvaliditeADeduire;
  }
  
  protected static final Quantite jdoGetm_montantJournalierAvantageVieillesse(ConstitutionMontantsBrutsPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantJournalierAvantageVieillesse;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 9)) {
        return m_montantJournalierAvantageVieillesse;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 9, m_montantJournalierAvantageVieillesse);
    }
    return m_montantJournalierAvantageVieillesse;
  }
  
  protected static final Quantite jdoGetm_montantJournalierAvantageVieillesseDeduit(ConstitutionMontantsBrutsPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantJournalierAvantageVieillesseDeduit;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 10)) {
        return m_montantJournalierAvantageVieillesseDeduit;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 10, m_montantJournalierAvantageVieillesseDeduit);
    }
    return m_montantJournalierAvantageVieillesseDeduit;
  }
  
  private static final BigDecimal jdoGetm_sjrMontantMaxAsp(ConstitutionMontantsBrutsPC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjrMontantMaxAsp;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 11)) {
        return m_sjrMontantMaxAsp;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 11, m_sjrMontantMaxAsp);
    }
    return m_sjrMontantMaxAsp;
  }
  
  protected static final void jdoSetm_crc(ConstitutionMontantsBrutsPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_crc = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 0, m_crc, newValue);
    } else {
      m_crc = newValue;
    }
  }
  
  protected static final void jdoSetm_montantJournalierBrut(ConstitutionMontantsBrutsPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantJournalierBrut = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 1, m_montantJournalierBrut, newValue);
    } else {
      m_montantJournalierBrut = newValue;
    }
  }
  
  protected static final void jdoSetm_capitalInitialBrut(ConstitutionMontantsBrutsPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_capitalInitialBrut = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 2, m_capitalInitialBrut, newValue);
    } else {
      m_capitalInitialBrut = newValue;
    }
  }
  
  protected static final void jdoSetm_montantMini(ConstitutionMontantsBrutsPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantMini = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 3, m_montantMini, newValue);
    } else {
      m_montantMini = newValue;
    }
  }
  
  protected static final void jdoSetm_montantPlancher(ConstitutionMontantsBrutsPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantPlancher = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 4, m_montantPlancher, newValue);
    } else {
      m_montantPlancher = newValue;
    }
  }
  
  protected static final void jdoSetm_montantPlafond(ConstitutionMontantsBrutsPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantPlafond = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 5, m_montantPlafond, newValue);
    } else {
      m_montantPlafond = newValue;
    }
  }
  
  protected static final void jdoSetm_montantBase(ConstitutionMontantsBrutsPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantBase = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 6, m_montantBase, newValue);
    } else {
      m_montantBase = newValue;
    }
  }
  
  protected static final void jdoSetm_pensionInvaliditeADeduirePriseEnCompte(ConstitutionMontantsBrutsPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_pensionInvaliditeADeduirePriseEnCompte = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 7, m_pensionInvaliditeADeduirePriseEnCompte, newValue);
    } else {
      m_pensionInvaliditeADeduirePriseEnCompte = newValue;
    }
  }
  
  protected static final void jdoSetm_montantBrutSansPensionInvaliditeADeduire(ConstitutionMontantsBrutsPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantBrutSansPensionInvaliditeADeduire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 8, m_montantBrutSansPensionInvaliditeADeduire, newValue);
    } else {
      m_montantBrutSansPensionInvaliditeADeduire = newValue;
    }
  }
  
  protected static final void jdoSetm_montantJournalierAvantageVieillesse(ConstitutionMontantsBrutsPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantJournalierAvantageVieillesse = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 9, m_montantJournalierAvantageVieillesse, newValue);
    } else {
      m_montantJournalierAvantageVieillesse = newValue;
    }
  }
  
  protected static final void jdoSetm_montantJournalierAvantageVieillesseDeduit(ConstitutionMontantsBrutsPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantJournalierAvantageVieillesseDeduit = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 10, m_montantJournalierAvantageVieillesseDeduit, newValue);
    } else {
      m_montantJournalierAvantageVieillesseDeduit = newValue;
    }
  }
  
  private static final void jdoSetm_sjrMontantMaxAsp(ConstitutionMontantsBrutsPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjrMontantMaxAsp = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 11, m_sjrMontantMaxAsp, newValue);
    } else {
      m_sjrMontantMaxAsp = newValue;
    }
  }
  
  public void jdoProvideField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_crc);
      break;
    case 1: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantJournalierBrut);
      break;
    case 2: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_capitalInitialBrut);
      break;
    case 3: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantMini);
      break;
    case 4: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantPlancher);
      break;
    case 5: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantPlafond);
      break;
    case 6: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantBase);
      break;
    case 7: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_pensionInvaliditeADeduirePriseEnCompte);
      break;
    case 8: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantBrutSansPensionInvaliditeADeduire);
      break;
    case 9: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantJournalierAvantageVieillesse);
      break;
    case 10: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantJournalierAvantageVieillesseDeduit);
      break;
    case 11: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjrMontantMaxAsp);
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoReplaceField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      m_crc = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 1: 
      m_montantJournalierBrut = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 2: 
      m_capitalInitialBrut = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 3: 
      m_montantMini = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 4: 
      m_montantPlancher = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 5: 
      m_montantPlafond = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 6: 
      m_montantBase = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 7: 
      m_pensionInvaliditeADeduirePriseEnCompte = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 8: 
      m_montantBrutSansPensionInvaliditeADeduire = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 9: 
      m_montantJournalierAvantageVieillesse = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 10: 
      m_montantJournalierAvantageVieillesseDeduit = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 11: 
      m_sjrMontantMaxAsp = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoProvideFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoProvideField(fieldNumber);
    }
  }
  
  public void jdoReplaceFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoReplaceField(fieldNumber);
    }
  }
  
  public synchronized void jdoReplaceStateManager(StateManager sm)
  {
    if (jdoStateManager != null)
    {
      jdoStateManager = jdoStateManager.replacingStateManager(this, sm);
    }
    else
    {
      SecurityManager securityManager = System.getSecurityManager();
      if (securityManager != null) {
        securityManager.checkPermission(JDOPermission.SET_STATE_MANAGER);
      }
      jdoStateManager = sm;
    }
  }
  
  public boolean jdoIsPersistent()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isPersistent(this);
    }
    return false;
  }
  
  public boolean jdoIsTransactional()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isTransactional(this);
    }
    return false;
  }
  
  public boolean jdoIsNew()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isNew(this);
    }
    return false;
  }
  
  public boolean jdoIsDirty()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDirty(this);
    }
    return false;
  }
  
  public boolean jdoIsDeleted()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDeleted(this);
    }
    return false;
  }
  
  public void jdoMakeDirty(String fieldName)
  {
    if (jdoStateManager != null) {
      jdoStateManager.makeDirty(this, fieldName);
    }
  }
  
  public void jdoReplaceFlags()
  {
    if (jdoStateManager != null)
    {
      jdoFlags = jdoStateManager.replacingFlags(this);
      return;
      jdoFlags = 0;
    }
  }
  
  public boolean jdoIsDetached()
  {
    if (jdoStateManager != null) {
      return ((CommonStateManager)jdoStateManager).isDetached();
    }
    return false;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm)
  {
    ConstitutionMontantsBrutsPC pc = new ConstitutionMontantsBrutsPC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    return pc;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm, Object oid)
  {
    ConstitutionMontantsBrutsPC pc = new ConstitutionMontantsBrutsPC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    pc.jdoCopyKeyFieldsFromObjectId(oid);
    return pc;
  }
  
  public static int jdoGetManagedFieldCount()
  {
    return jdoInheritedFieldCount + 12;
  }
  
  public void jdoCopyFields(Object pc, int[] fieldNumbers)
  {
    if (!(pc instanceof ConstitutionMontantsBrutsPC)) {
      throw new JDOFatalInternalException("Can't copy fields from a different class");
    }
    ConstitutionMontantsBrutsPC other = (ConstitutionMontantsBrutsPC)pc;
    if (jdoStateManager != jdoStateManager) {
      throw new JDOUserException("Source object should have the same StateManager");
    }
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int relativeField = fieldNumbers[i] - jdoInheritedFieldCount;
      switch (relativeField)
      {
      case 0: 
        m_crc = m_crc;
        break;
      case 1: 
        m_montantJournalierBrut = m_montantJournalierBrut;
        break;
      case 2: 
        m_capitalInitialBrut = m_capitalInitialBrut;
        break;
      case 3: 
        m_montantMini = m_montantMini;
        break;
      case 4: 
        m_montantPlancher = m_montantPlancher;
        break;
      case 5: 
        m_montantPlafond = m_montantPlafond;
        break;
      case 6: 
        m_montantBase = m_montantBase;
        break;
      case 7: 
        m_pensionInvaliditeADeduirePriseEnCompte = m_pensionInvaliditeADeduirePriseEnCompte;
        break;
      case 8: 
        m_montantBrutSansPensionInvaliditeADeduire = m_montantBrutSansPensionInvaliditeADeduire;
        break;
      case 9: 
        m_montantJournalierAvantageVieillesse = m_montantJournalierAvantageVieillesse;
        break;
      case 10: 
        m_montantJournalierAvantageVieillesseDeduit = m_montantJournalierAvantageVieillesseDeduit;
        break;
      case 11: 
        m_sjrMontantMaxAsp = m_sjrMontantMaxAsp;
      }
    }
  }
  
  public void jdoCopyKeyFieldsToObjectId(Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public void jdoCopyKeyFieldsToObjectId(PersistenceCapable.ObjectIdFieldSupplier supplier, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  protected void jdoCopyKeyFieldsFromObjectId(Object object) {}
  
  public void jdoCopyKeyFieldsFromObjectId(PersistenceCapable.ObjectIdFieldConsumer consumer, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public Object jdoNewObjectIdInstance()
  {
    return null;
  }
  
  public Object jdoNewObjectIdInstance(Object str)
  {
    return null;
  }
  
  public Object jdoGetObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getObjectId(this);
    }
    return null;
  }
  
  public PersistenceManager jdoGetPersistenceManager()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getPersistenceManager(this);
    }
    return null;
  }
  
  private void jdoPreSerialize()
  {
    if (jdoStateManager != null) {
      jdoStateManager.preSerialize(this);
    }
  }
  
  private void writeObject(ObjectOutputStream out)
    throws IOException
  {
    jdoPreSerialize();
    out.defaultWriteObject();
  }
  
  public Object jdoGetTransactionalObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getTransactionalObjectId(this);
    }
    return null;
  }
}

/* Location:
 * Qualified Name:     ConstitutionMontantsBrutsPC
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */