package fr.unedic.cali.asu.cge01.p03.avant;

import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeSuspensionIndemnisation;
import fr.unedic.cali.asu.calcul.outilsfonctionnels.OutilsMaintienEuropeenEessiASU;
import fr.unedic.cali.asu.cge01.p03.calcul.outilsfonctionnels.Qualification;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.Attribution;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.CarenceIccp;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.CarenceIslr;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.CarencePrefixeAFixer;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.Differe;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.PreavisMesureConservatoireNonIndemnisable;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.Revision;
import fr.unedic.cali.asu.dom.CarenceSpec;
import fr.unedic.cali.asu.outilsfonctionnels.OutilCarence;
import fr.unedic.cali.asu.outilsfonctionnels.RechercheDecisionsInterruptives;
import fr.unedic.cali.autresdoms.cohab.dom.ObjetChronoPeriodePriseEnCharge;
import fr.unedic.cali.avant.FacadeAvantProduitAbstraite;
import fr.unedic.cali.calcul.FacadeCalculProduitFactory;
import fr.unedic.cali.calcul.FacadeCalculProduitSpec;
import fr.unedic.cali.calcul.OutillagePeriodes;
import fr.unedic.cali.calcul.RecuperationDonneesSecteurPublic;
import fr.unedic.cali.calcul.dom.ArretProduitAvecRaison;
import fr.unedic.cali.calcul.dom.CalendrierExecutionAvant;
import fr.unedic.cali.calcul.dom.CalendrierExecutionAvantSpec;
import fr.unedic.cali.calcul.dom.EtatAuDernierJourAvant;
import fr.unedic.cali.calcul.dom.QualificationPeriodes;
import fr.unedic.cali.calcul.dom.periode.PeriodeAbsenceAuPointage;
import fr.unedic.cali.calcul.dom.periode.PeriodeBlocageIndemnisation;
import fr.unedic.cali.calcul.dom.periode.PeriodeConflitGAEC;
import fr.unedic.cali.calcul.dom.periode.PeriodeEvenementPersonnel;
import fr.unedic.cali.calcul.dom.periode.PeriodeExclusionDefinitiveDDTE;
import fr.unedic.cali.calcul.dom.periode.PeriodeFormation;
import fr.unedic.cali.calcul.dom.periode.PeriodeFormationNonIndemniseeAbsenceHeure;
import fr.unedic.cali.calcul.dom.periode.PeriodeInterStageFormation;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeInterProduits;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeRetraite;
import fr.unedic.cali.calcul.outilsfonctionnels.GestionSanctions;
import fr.unedic.cali.calcul.outilsfonctionnels.GestionSuivi;
import fr.unedic.cali.calcul.outilsfonctionnels.OutilGestionPoursuite;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.PeriodeAnalyseSpec;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.PoursuiteSpec;
import fr.unedic.cali.dom.affectation.GammeSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.outilsfonctionnels.Anomalie;
import fr.unedic.cali.outilsfonctionnels.GestionAnomalies;
import fr.unedic.cali.outilsfonctionnels.OutillagePEC;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreConflitGaec;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreNegation;
import fr.unedic.cali.parcours.ResultatAvant;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteJour;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.FiltreChevauchePeriode;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;

public class FacadeAvantProduitImpl
  extends FacadeAvantProduitAbstraite
{
  public ResultatAvant executerAvant(AttributionSpec p_attribution, boolean p_avecPriseEnCompteEvenement, Damj p_dateEtude, boolean p_executionPersistante)
    throws CoucheLogiqueException
  {
    ResultatAvant resultatAvant = null;
    Damj pji = null;
    Damj pjiTheorique = null;
    Collection carencesEffectives = null;
    Differe differe = null;
    boolean differeEntame = true;
    ObjetChronoPeriodePriseEnCharge periodePEC = null;
    Damj finPEC = null;
    Damj debutDiffere = null;
    int etat = 0;
    ChronologiePeriodes chronologiePeriodes = new ChronologiePeriodes();
    Qualification qualification = new Qualification();
    QualificationPeriodes periodesQualifie = new QualificationPeriodes();
    Damj datePeriodeInterruptives = null;
    Damj dateDebutPeriodeInterruptifDefinitif = null;
    Damj dateDebutPeriodeSuspensif = Damj.FIN_DES_TEMPS;
    Damj dernierJourAvant = null;
    ChronologiePeriodes chronologiePeriodesSansConflitGAEC = new ChronologiePeriodes();
    
    differe = getDiffere(((Attribution)p_attribution).getListeCarences());
    carencesEffectives = getCarencesValides(((Attribution)p_attribution).getListeCarences());
    
    Damj dateAttribOuPjp = OutilGestionPoursuite.getInstance().recupererDateAttributionOuPjpSiPoursuite(p_attribution);
    if (p_avecPriseEnCompteEvenement)
    {
      chronologiePeriodes = recuperationDeToutesLesDesPeriodes(p_attribution.getDemandeur(), p_attribution, dateAttribOuPjp, null);
      
      periodePEC = OutillagePeriodes.recupererPeriodePECContenant(p_attribution.getDemandeur(), dateAttribOuPjp);
      if ((periodePEC == null) || (estContexteDeRevisionSurPecArce(p_attribution, periodePEC)))
      {
        if (((!(p_attribution instanceof Revision)) && (!"ASU_22".equals(p_attribution.getTypeExamen())) && (!"ASU_23".equals(p_attribution.getTypeExamen())) && (!"ASU_17".equals(p_attribution.getTypeExamen())) && (!"ASU_25".equals(p_attribution.getTypeExamen())) && (!"ASU_19".equals(p_attribution.getTypeExamen()))) || ((p_attribution instanceof PoursuiteSpec))) {
          throw new CoucheLogiqueException("HG_PR_CALI_L_PAS_DE_PEC_POUR_EXECUTION_AVANT", "Attention lors de l'execution de l'avant, impossible de retrouver une periode de prise en charge.", null);
        }
        resultatAvant = new ResultatAvant(pji, new ArrayList(carencesEffectives), differeEntame);
        resultatAvant.setDernierJourAvant(p_attribution.getDateAttribution());
        resultatAvant.setEtat(1);
        return resultatAvant;
      }
      finPEC = periodePEC.getDateFin();
    }
    else
    {
      chronologiePeriodes = (ChronologiePeriodes)recuperationDeToutesLesDesPeriodes(p_attribution.getDemandeur(), p_attribution, dateAttribOuPjp, dateAttribOuPjp).copier(new FiltreChevauchePeriode(new Periode(dateAttribOuPjp, dateAttribOuPjp)));
      
      chronologiePeriodesSansConflitGAEC = (ChronologiePeriodes)chronologiePeriodes.copier(new FiltreNegation(new FiltreConflitGaec()));
      
      chronologiePeriodes = chronologiePeriodesSansConflitGAEC;
    }
    periodesQualifie = qualification.qualificationPeriodesPourAvant(chronologiePeriodes, p_attribution);
    
    periodesQualifie.getPeriodesSuspensives().ajouter(qualification.qualificationPeriodesSuspensivesPourAvantRFPE(chronologiePeriodes, p_attribution.getDemandeur()));
    
    ChronologiePeriodes chronologiePeriodesSuspensivesAvant = periodesQualifie.getPeriodesSuspensives();
    chronologiePeriodesSuspensivesAvant.ajouter(periodesQualifie.getPeriodesInterruptives());
    
    debutDiffere = rechercheDebutDiffere(carencesEffectives, chronologiePeriodesSuspensivesAvant, p_attribution.getDateAttribution());
    if (differe == null) {
      differe = new Differe(0);
    } else {
      carencesEffectives.add(differe);
    }
    differe.setPeriodeEffet(new Periode(debutDiffere, differe.getQuantiteInitialJour()));
    
    dernierJourAvant = differe.getPeriodeEffet().getFin();
    
    pjiTheorique = Damj.max(dernierJourAvant.lendemain(), OutilGestionPoursuite.getInstance().recupererDateAttributionOuPjpSiPoursuite(p_attribution));
    pji = pjiTheorique;
    if (p_avecPriseEnCompteEvenement)
    {
      if (finPEC.estAvantOuCoincideAvec(differe.getPeriodeEffet().getFin())) {
        if (!OutillagePEC.estPecSuivanteAutreEtatMembreCoordination(p_attribution.getDemandeur(), finPEC.lendemain()))
        {
          pji = null;
          dernierJourAvant = finPEC;
          etat = 1;
          dateDebutPeriodeSuspensif = differe.getPeriodeEffet().getFin();
          if (!finPEC.estContenueDans(differe.getPeriodeEffet())) {
            differeEntame = false;
          }
        }
        else
        {
          Chronologie chronologiePecEuropeenne = OutillagePEC.getPeriodesPecAutreEtatMembreCoordinationDebutApresDate(p_attribution.getDemandeur(), finPEC.lendemain());
          ObjetChronoPeriodePriseEnCharge pec = (ObjetChronoPeriodePriseEnCharge)chronologiePecEuropeenne.premierElement();
          if (pec.getDateDebut().estApres(pji))
          {
            pji = Damj.max(pec.getDateDebut(), differe.getPeriodeEffet().getFin());
            pjiTheorique = pec.getDateDebut();
            dernierJourAvant = finPEC;
            
            FacadeCalculProduitSpec facadeCalculProduit = FacadeCalculProduitFactory.getInstance().getInstanceGestionnaireCalculProduit(p_attribution.getProduitExecution());
            
            GestionSuivi.enregistrerEnquetePbjcNcp(p_attribution, pjiTheorique, 31, 0, true, null, facadeCalculProduit, null);
          }
        }
      }
      ObjetChronoPeriode premiereChronoPeriode = null;
      if (!periodesQualifie.getPeriodesInterruptivesDefinitives().estVide())
      {
        periodesQualifie.getPeriodesInterruptivesDefinitives().iterer();
        while (periodesQualifie.getPeriodesInterruptivesDefinitives().encoreSuivant())
        {
          ObjetChronoPeriode objetChronoPeriode = (ObjetChronoPeriode)periodesQualifie.getPeriodesInterruptivesDefinitives().elementSuivant();
          
          datePeriodeInterruptives = objetChronoPeriode.getDateDebut();
          if (datePeriodeInterruptives.estContenueDans(new Periode(OutilGestionPoursuite.getInstance().recupererDateAttributionOuPjpSiPoursuite(p_attribution), pjiTheorique)))
          {
            pji = null;
            dernierJourAvant = datePeriodeInterruptives.veille();
            etat = 1;
            dateDebutPeriodeInterruptifDefinitif = datePeriodeInterruptives;
            if ((premiereChronoPeriode == null) || (objetChronoPeriode.getDateDebut().estAvant(premiereChronoPeriode.getDateDebut()))) {
              premiereChronoPeriode = objetChronoPeriode;
            }
          }
        }
        if ((premiereChronoPeriode instanceof PeriodeConflitGAEC)) {
          GestionAnomalies.ajouteAnomalie(new Anomalie("M02", pjiTheorique, ""), p_attribution.getDemandeur());
        } else if ((premiereChronoPeriode instanceof PeriodeExclusionDefinitiveDDTE)) {
          etat = 9;
        } else if ((premiereChronoPeriode instanceof PeriodeFormationNonIndemniseeAbsenceHeure)) {
          GestionAnomalies.ajouteAnomalie(new Anomalie("M06", pjiTheorique, ""), p_attribution.getDemandeur());
        }
      }
    }
    CalendrierExecutionAvant calendrierAvant = new CalendrierExecutionAvant();
    calendrierAvant.setPremierJourAvant(p_attribution.getDateAttribution());
    calendrierAvant.setDernierJourAvant(dernierJourAvant);
    
    installerEtatAuDernierJourAvant(calendrierAvant, carencesEffectives, differeEntame, etat);
    if (p_executionPersistante) {
      p_attribution.setCalendrierExecutionAvant(calendrierAvant);
    }
    resultatAvant = new ResultatAvant(pji, (List)carencesEffectives, differeEntame);
    resultatAvant.setEtat(etat);
    resultatAvant.setPremierJourAvant(p_attribution.getDateAttribution());
    resultatAvant.setDernierJourAvant(dernierJourAvant);
    resultatAvant.setCalendrierExecutionAvantCalcul(calendrierAvant);
    if (etat == 1) {
      if ((dateDebutPeriodeInterruptifDefinitif != null) && (dateDebutPeriodeInterruptifDefinitif.estApresOuCoincideAvec(dateDebutPeriodeSuspensif))) {
        resultatAvant.setMessageErreur("Impossible de determiner le PJI : Une cessation est intervenue avant la fin du differe.");
      } else {
        resultatAvant.setMessageErreur("Impossible de determiner le PJI : Un événement interruptif est survenu avant la fin du différé.");
      }
    }
    return resultatAvant;
  }
  
  public ResultatAvant executerAvant(IndividuSpec p_individu, Damj p_dateAttribution, ProduitSpec p_produit, Collection p_delaisReport, Collection p_carences)
    throws CoucheLogiqueException
  {
    ResultatAvant resultatAvant = null;
    Damj pji = null;
    Damj pjiTheorique = null;
    Damj debutDiffere = null;
    Iterator iterateurDelaisReport = null;
    int quantiteDelaisReport = 0;
    boolean differeEntame = true;
    int etat = 0;
    ChronologiePeriodes chronologiePeriodes = new ChronologiePeriodes();
    Qualification qualification = new Qualification();
    ChronologiePeriodes periodesSuspensives = null;
    Damj dernierJourAvant = null;
    
    Differe differe = getDiffere(p_carences);
    Collection carences = getCarencesValides(p_carences);
    
    chronologiePeriodes = OutillagePeriodes.recupererPeriodesGAEC(p_individu, p_dateAttribution, p_dateAttribution);
    
    periodesSuspensives = qualification.qualificationPeriodesSuspensivesPourAvant(chronologiePeriodes, p_dateAttribution);
    
    periodesSuspensives.ajouter(qualification.qualificationPeriodesSuspensivesPourAvantRFPE(chronologiePeriodes, p_individu));
    
    debutDiffere = rechercheDebutDiffere(carences, periodesSuspensives, p_dateAttribution);
    if (p_delaisReport != null)
    {
      iterateurDelaisReport = p_delaisReport.iterator();
      if (iterateurDelaisReport.hasNext())
      {
        differe = (Differe)iterateurDelaisReport.next();
        quantiteDelaisReport = differe.getQuantiteInitialJour();
      }
    }
    if (differe == null) {
      differe = new Differe(0);
    } else {
      carences.add(differe);
    }
    differe.setPeriodeEffet(new Periode(debutDiffere, quantiteDelaisReport));
    
    dernierJourAvant = differe.getPeriodeEffet().getFin();
    pjiTheorique = dernierJourAvant.lendemain();
    pji = pjiTheorique;
    
    resultatAvant = new ResultatAvant(pji, (List)carences, differeEntame);
    resultatAvant.setEtat(etat);
    resultatAvant.setPremierJourAvant(p_dateAttribution);
    resultatAvant.setDernierJourAvant(dernierJourAvant);
    
    return resultatAvant;
  }
  
  private static Damj rechercheDebutDiffere(Collection p_carences, ChronologiePeriodes p_chronoPeriodes, Damj p_dateOd)
  {
    Damj dateDebutDiffere = p_dateOd;
    Damj dateFinCarences = rechercheDateFinCarences(p_carences);
    ChronologiePeriodes chronologiePeriodeMaladie = new ChronologiePeriodes();
    ChronologiePeriodes chronologiePeriodeInterruptives = new ChronologiePeriodes();
    if ((dateFinCarences != null) && (p_dateOd.compareTo(dateFinCarences) <= 0)) {
      dateDebutDiffere = dateFinCarences.lendemain();
    }
    p_chronoPeriodes.iterer();
    while (p_chronoPeriodes.encoreSuivant())
    {
      ObjetChronoPeriode periode = (ObjetChronoPeriode)p_chronoPeriodes.elementSuivant();
      if (((periode instanceof PeriodeEvenementPersonnel)) || ((periode instanceof PeriodeFormation)) || ((periode instanceof PeriodeInterStageFormation)) || ((periode instanceof PeriodeAbsenceAuPointage))) {
        chronologiePeriodeMaladie.ajouter(periode);
      } else if ((periode instanceof ObjetChronoPeriodeSuspensionIndemnisation)) {
        chronologiePeriodeInterruptives.ajouter(periode);
      }
    }
    dateDebutDiffere = rechercheTrouMaladie(dateDebutDiffere, chronologiePeriodeMaladie);
    
    chronologiePeriodeInterruptives.iterer();
    while (chronologiePeriodeInterruptives.encoreSuivant())
    {
      ObjetChronoPeriode periodeInterruptive = (ObjetChronoPeriode)chronologiePeriodeInterruptives.elementSuivant();
      if (((periodeInterruptive instanceof ObjetChronoPeriodeSuspensionIndemnisation)) && (dateDebutDiffere.estContenueDans(new Periode(periodeInterruptive.getDateDebut(), periodeInterruptive.getDateFin())))) {
        dateDebutDiffere = periodeInterruptive.getDateFin().lendemain();
      }
    }
    return dateDebutDiffere;
  }
  
  private static Damj rechercheDateFinCarences(Collection p_carences)
  {
    Damj dateFinCarences = null;
    Iterator it = p_carences.iterator();
    while (it.hasNext())
    {
      Damj dateFinCarenceCourante = ((CarencePrefixeAFixer)it.next()).getPeriodeApplicationCarence().getFin();
      if ((dateFinCarences == null) || (dateFinCarenceCourante.estApres(dateFinCarences))) {
        dateFinCarences = dateFinCarenceCourante;
      }
    }
    return dateFinCarences;
  }
  
  private static Damj rechercheTrouMaladie(Damj p_dateDebutDiffere, ChronologiePeriodes p_chronoPeriodesMaladie)
  {
    p_chronoPeriodesMaladie.iterer();
    while (p_chronoPeriodesMaladie.encoreSuivant())
    {
      ObjetChronoPeriode periodeMaladie = (ObjetChronoPeriode)p_chronoPeriodesMaladie.elementSuivant();
      if ((periodeMaladie.getDateDebut().estAvantOuCoincideAvec(p_dateDebutDiffere)) && (periodeMaladie.getDateFin().estApresOuCoincideAvec(p_dateDebutDiffere))) {
        return rechercheTrouMaladie(periodeMaladie.getDateFin().lendemain(), p_chronoPeriodesMaladie);
      }
    }
    return p_dateDebutDiffere;
  }
  
  private static Collection getCarencesValides(Collection p_carences)
  {
    Collection listCarences = new ArrayList();
    CarencePrefixeAFixer derniereCarence = null;
    
    Iterator it = p_carences.iterator();
    while (it.hasNext())
    {
      CarenceSpec uneCarence = (CarenceSpec)it.next();
      if ((uneCarence instanceof CarencePrefixeAFixer))
      {
        Damj dateFinApplicationCarence = ((CarencePrefixeAFixer)uneCarence).getPeriodeApplicationCarence().getFin();
        if ((derniereCarence == null) || (derniereCarence.getPeriodeApplicationCarence().estAvant(dateFinApplicationCarence))) {
          derniereCarence = (CarencePrefixeAFixer)uneCarence;
        }
      }
    }
    if (derniereCarence != null)
    {
      listCarences.add(derniereCarence);
      if ("ISLR".equals(derniereCarence.getTypeCarence()))
      {
        CarenceIslr carenceIslr = (CarenceIslr)derniereCarence;
        if (carenceIslr.getCarencePrecedente() != null)
        {
          listCarences.add(carenceIslr.getCarencePrecedente());
          if (carenceIslr.getCarencePrecedente().getCarencePrecedente() != null)
          {
            CarenceIccp carenceIccp = (CarenceIccp)carenceIslr.getCarencePrecedente();
            if (carenceIccp.getCarencePrecedente() != null) {
              listCarences.add(carenceIccp.getCarencePrecedente());
            }
          }
        }
      }
      else if ("ICCP".equals(derniereCarence.getTypeCarence()))
      {
        CarenceIccp carenceIccp = (CarenceIccp)derniereCarence;
        if (carenceIccp.getCarencePrecedente() != null) {
          listCarences.add(carenceIccp.getCarencePrecedente());
        }
      }
    }
    return listCarences;
  }
  
  private static Differe getDiffere(Collection p_carences)
  {
    return (Differe)OutilCarence.trouverCarence(p_carences, "Différé");
  }
  
  private ChronologiePeriodes recuperationDeToutesLesDesPeriodes(IndividuSpec p_individu, AttributionSpec p_attribution, Damj dateDebut, Damj dateFin)
    throws CoucheLogiqueException
  {
    ChronologiePeriodes chronologiePeriodesGAEC = new ChronologiePeriodes();
    ChronologiePeriodes chronologiePeriodesPEC = new ChronologiePeriodes();
    ChronologiePeriodes chronologiePeriodesSanctions = new ChronologiePeriodes();
    ChronologiePeriodes chronologiePeriodesPourAttribution = new ChronologiePeriodes();
    ChronologiePeriodes chronologieRetraite = new ChronologiePeriodes();
    ChronologiePeriodes chronologieDemandeExpresse = new ChronologiePeriodes();
    ChronologiePeriodes chronologiePeriodeInterProduit = new ChronologiePeriodes();
    ChronologiePeriodes chronologiePeriodeSP = new ChronologiePeriodes();
    
    ChronologiePeriodes chronologiePeriodeEvtActualisation = new ChronologiePeriodes();
    Collection collectionPeriodesPourAttribution = new LinkedList();
    Collection decisionsSuivi = null;
    chronologiePeriodesGAEC = OutillagePeriodes.recupererPeriodesGAEC(p_individu, dateDebut, dateFin);
    decisionsSuivi = OutillagePeriodes.recupererDecisionsSuivi(p_individu);
    chronologiePeriodesSanctions = GestionSanctions.recupererSanctions(decisionsSuivi);
    chronologiePeriodesPEC = OutillagePeriodes.recupererRadiations(p_individu);
    ObjetChronoPeriodeRetraite chronoRetraite = OutillagePeriodes.genererPeriodeRetraite(p_individu);
    chronologieRetraite.ajouter(chronoRetraite);
    chronologieDemandeExpresse = (ChronologiePeriodes)RechercheDecisionsInterruptives.rechercher(p_individu, p_attribution.getDateAttribution(), p_attribution);
    
    RecuperationDonneesSecteurPublic.recupererDemandeClassementSP(chronologiePeriodeSP, p_attribution);
    
    RecuperationDonneesSecteurPublic.rechercherAdmissionSecteurPublic(chronologiePeriodeSP, p_attribution);
    
    chronologiePeriodeEvtActualisation = OutillagePeriodes.recupererPeriodesEvtActualisation(p_individu);
    
    chronologiePeriodeInterProduit = recuperationObjetPeriodeInterProduit(p_individu, "ASU", p_attribution, 1);
    
    collectionPeriodesPourAttribution.addAll(chronologiePeriodesGAEC.mapperVersCollection());
    collectionPeriodesPourAttribution.addAll(chronologiePeriodesPEC.mapperVersCollection());
    collectionPeriodesPourAttribution.addAll(chronologiePeriodesSanctions.mapperVersCollection());
    collectionPeriodesPourAttribution.addAll(chronologieRetraite.mapperVersCollection());
    collectionPeriodesPourAttribution.addAll(chronologieDemandeExpresse.mapperVersCollection());
    collectionPeriodesPourAttribution.addAll(chronologiePeriodeInterProduit.mapperVersCollection());
    collectionPeriodesPourAttribution.addAll(chronologiePeriodeSP.mapperVersCollection());
    
    collectionPeriodesPourAttribution.addAll(chronologiePeriodeEvtActualisation.mapperVersCollection());
    
    collectionPeriodesPourAttribution.addAll(getPeriodesInterProduitsSurAvantPourArce(p_individu, p_attribution));
    if (p_individu.getDateBlocageIndemnisation() != null)
    {
      PeriodeBlocageIndemnisation periodeBlocageIndemnisation = new PeriodeBlocageIndemnisation(p_individu.getDateBlocageIndemnisation().lendemain());
      
      collectionPeriodesPourAttribution.add(periodeBlocageIndemnisation);
    }
    collectionPeriodesPourAttribution.addAll(OutilsMaintienEuropeenEessiASU.getListesPeriodesMaintienEuropeen(p_attribution).mapperVersCollection());
    
    chronologiePeriodesPourAttribution.ajouter(collectionPeriodesPourAttribution);
    
    return chronologiePeriodesPourAttribution;
  }
  
  private Collection getPeriodesInterProduitsSurAvantPourArce(IndividuSpec p_individu, AttributionSpec p_attribution)
  {
    Iterator iterateur = null;
    AttributionSpec attribution = null;
    ObjetChronoPeriodeInterProduits objetChronoPeriodeInterProduits = null;
    List listePeriodesInterProduit = new ArrayList();
    Damj dateDepart = null;
    
    iterateur = p_individu.getListeAttributionsExecutables().iterator();
    while (iterateur.hasNext())
    {
      attribution = (AttributionSpec)iterateur.next();
      if ((attribution.estValidee()) && (!attribution.estEnReexamen()) && (attribution.getProduitExecution().getNomUnique().equals("INR_RCE04_01")) && (attribution != p_attribution) && (attribution.getDateEffet() != null))
      {
        dateDepart = attribution.getDateEffet();
        objetChronoPeriodeInterProduits = new ObjetChronoPeriodeInterProduits(dateDepart, dateDepart, 1, attribution);
        if (objetChronoPeriodeInterProduits != null) {
          listePeriodesInterProduit.add(objetChronoPeriodeInterProduits);
        }
      }
    }
    return listePeriodesInterProduit;
  }
  
  private ChronologiePeriodes recuperationObjetPeriodeInterProduit(IndividuSpec p_individu, String p_gamme, AttributionSpec p_attribution, int p_typeDateDebutPeriodeInterProduits)
    throws CoucheLogiqueException
  {
    Iterator iterateur = null;
    AttributionSpec attribution = null;
    ObjetChronoPeriodeInterProduits objetChronoPeriodeInterProduits = null;
    ChronologiePeriodes listePeriodesInterProduit = new ChronologiePeriodes();
    
    iterateur = p_individu.getListeAttributionsExecutables().iterator();
    while (iterateur.hasNext())
    {
      attribution = (AttributionSpec)iterateur.next();
      if ((attribution.getDemande() != null) && 
      
        (attribution.estValidee()) && (!attribution.estEnReexamen()) && (attribution.getGamme().getNomUnique().equals(p_gamme)) && (attribution != p_attribution))
      {
        objetChronoPeriodeInterProduits = getPeriodeInterProduit(p_typeDateDebutPeriodeInterProduits, attribution);
        if (objetChronoPeriodeInterProduits != null) {
          listePeriodesInterProduit.ajouter(objetChronoPeriodeInterProduits);
        }
      }
    }
    return listePeriodesInterProduit;
  }
  
  private ObjetChronoPeriodeInterProduits getPeriodeInterProduit(int p_typeDateDebutPeriodeInterProduits, AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    ObjetChronoPeriodeInterProduits objetChronoPeriodeInterProduits = null;
    Damj dateDepart = null;
    switch (p_typeDateDebutPeriodeInterProduits)
    {
    case 1: 
      dateDepart = OutilGestionPoursuite.getInstance().recupererDateAttributionOuPjpSiPoursuite(p_attribution);
      break;
    case 2: 
      dateDepart = OutilGestionPoursuite.getInstance().recupererPremierJourExecutableNcp(p_attribution);
      break;
    default: 
      throw new CoucheLogiqueException("HG_PR_CALI_L_UT_TYPE_PER_INTER_PROD_INCONNU", "Type de période inter-produit inconnu", null);
    }
    objetChronoPeriodeInterProduits = new ObjetChronoPeriodeInterProduits(dateDepart, Damj.FIN_DES_TEMPS, p_typeDateDebutPeriodeInterProduits, p_attribution);
    
    return objetChronoPeriodeInterProduits;
  }
  
  public ResultatAvant postTraitementResultatDeterminationEtatAvant(AttributionSpec p_attribution)
  {
    CalendrierExecutionAvantSpec calendrierAvant = p_attribution.getCalendrierExecutionAvant();
    Damj dernierJourAvant = calendrierAvant.getDernierJourAvant();
    Collection carencesEffectives = new ArrayList();
    EtatAuDernierJourAvant etatAuDernierJourAvant = calendrierAvant.getEtatAuDernierJourAvant();
    if (etatAuDernierJourAvant.getPeriodeApplicationPMC() != null)
    {
      PreavisMesureConservatoireNonIndemnisable pmc = new PreavisMesureConservatoireNonIndemnisable();
      pmc.setPeriodeApplicationCarence(etatAuDernierJourAvant.getPeriodeApplicationPMC());
      pmc.setQuantiteInitial(new QuantiteJour(etatAuDernierJourAvant.getDureeInitialePMC().toString()));
      carencesEffectives.add(pmc);
    }
    if (etatAuDernierJourAvant.getPeriodeApplicationICCP() != null)
    {
      CarenceIccp carenceICCP = new CarenceIccp();
      carenceICCP.setPeriodeApplicationCarence(etatAuDernierJourAvant.getPeriodeApplicationICCP());
      carenceICCP.setQuantiteInitial(new QuantiteJour(etatAuDernierJourAvant.getDureeInitialeICCP().toString()));
      carencesEffectives.add(carenceICCP);
    }
    if (etatAuDernierJourAvant.getPeriodeApplicationISLR() != null)
    {
      CarenceIslr carenceISLR = new CarenceIslr();
      carenceISLR.setPeriodeApplicationCarence(etatAuDernierJourAvant.getPeriodeApplicationISLR());
      carenceISLR.setQuantiteInitial(new QuantiteJour(etatAuDernierJourAvant.getDureeInitialeISLR().toString()));
      carencesEffectives.add(carenceISLR);
    }
    if (etatAuDernierJourAvant.getPeriodeApplicationDelaiAttente() != null)
    {
      Differe delaiAttente = new Differe();
      delaiAttente.setPeriodeEffet(etatAuDernierJourAvant.getPeriodeApplicationDelaiAttente());
      delaiAttente.setQuantiteInitial(new QuantiteJour(etatAuDernierJourAvant.getDureeInitialeDelaiAttente().toString()));
      carencesEffectives.add(delaiAttente);
    }
    ResultatAvant resultat = new ResultatAvant(dernierJourAvant.lendemain(), (List)carencesEffectives, etatAuDernierJourAvant.isDelaiAttenteEntame());
    resultat.setEtat(etatAuDernierJourAvant.getEtat());
    
    resultat.setPremierJourAvant(calendrierAvant.getPremierJourAvant());
    resultat.setDernierJourAvant(calendrierAvant.getDernierJourAvant());
    return resultat;
  }
  
  protected static void installerEtatAuDernierJourAvant(CalendrierExecutionAvant p_calendrierExecutionAvant, Collection p_carences, boolean p_estDelaiAttenteEntame, int p_etat)
  {
    EtatAuDernierJourAvant etatAuDernierJourAvant = new EtatAuDernierJourAvant();
    p_calendrierExecutionAvant.setEtatAuDernierJourAvant(etatAuDernierJourAvant);
    
    PreavisMesureConservatoireNonIndemnisable pmc = getPmcAConsommer(p_carences);
    CarenceIccp differeStandard = getDiffereStandardAConsommer(p_carences);
    CarenceIslr differeSpecifique = getDiffereSpecifiqueAConsommer(p_carences);
    Differe delaiAttente = getDelaiAttenteAConsommer(p_carences);
    if (pmc != null)
    {
      if (pmc.getPeriodeApplicationCarence() != null) {
        etatAuDernierJourAvant.setPeriodeApplicationPMC(pmc.getPeriodeApplicationCarence());
      }
      if (pmc.getQuantiteInitial() != null) {
        etatAuDernierJourAvant.setDureeInitialePMC(new Integer(pmc.getQuantiteInitial().getValeurEntiere()));
      }
    }
    if (differeStandard != null)
    {
      if (differeStandard.getPeriodeApplicationCarence() != null) {
        etatAuDernierJourAvant.setPeriodeApplicationICCP(differeStandard.getPeriodeApplicationCarence());
      }
      if (differeStandard.getQuantiteInitial() != null) {
        etatAuDernierJourAvant.setDureeInitialeICCP(new Integer(differeStandard.getQuantiteInitial().getValeurEntiere()));
      }
    }
    if (differeSpecifique != null)
    {
      if (differeSpecifique.getPeriodeApplicationCarence() != null) {
        etatAuDernierJourAvant.setPeriodeApplicationISLR(differeSpecifique.getPeriodeApplicationCarence());
      }
      if (differeSpecifique.getQuantiteInitial() != null) {
        etatAuDernierJourAvant.setDureeInitialeISLR(new Integer(differeSpecifique.getQuantiteInitial().getValeurEntiere()));
      }
    }
    if (delaiAttente != null)
    {
      if (delaiAttente.getPeriodeEffet() != null) {
        etatAuDernierJourAvant.setPeriodeApplicationDelaiAttente(delaiAttente.getPeriodeEffet());
      }
      if (delaiAttente.getQuantiteInitial() != null) {
        etatAuDernierJourAvant.setDureeInitialeDelaiAttente(new Integer(delaiAttente.getQuantiteInitial().getValeurEntiere()));
      }
    }
    etatAuDernierJourAvant.setDelaiAttenteEntame(p_estDelaiAttenteEntame);
    etatAuDernierJourAvant.setEtat(p_etat);
  }
  
  public static PreavisMesureConservatoireNonIndemnisable getPmcAConsommer(Collection p_carences)
  {
    Iterator iterator = p_carences.iterator();
    PreavisMesureConservatoireNonIndemnisable pmc = null;
    while (iterator.hasNext())
    {
      CarenceSpec carence = (CarenceSpec)iterator.next();
      if ((carence instanceof PreavisMesureConservatoireNonIndemnisable)) {
        pmc = (PreavisMesureConservatoireNonIndemnisable)carence;
      }
    }
    return pmc;
  }
  
  public static CarenceIccp getDiffereStandardAConsommer(Collection p_carences)
  {
    Iterator iterator = p_carences.iterator();
    CarenceIccp differeStandard = null;
    while (iterator.hasNext())
    {
      CarenceSpec carence = (CarenceSpec)iterator.next();
      if ((carence instanceof CarenceIccp)) {
        differeStandard = (CarenceIccp)carence;
      }
    }
    return differeStandard;
  }
  
  public static CarenceIslr getDiffereSpecifiqueAConsommer(Collection p_carences)
  {
    Iterator iterator = p_carences.iterator();
    CarenceIslr differeSpecifique = null;
    while (iterator.hasNext())
    {
      CarenceSpec carence = (CarenceSpec)iterator.next();
      if ((carence instanceof CarenceIslr)) {
        differeSpecifique = (CarenceIslr)carence;
      }
    }
    return differeSpecifique;
  }
  
  public static Differe getDelaiAttenteAConsommer(Collection p_carences)
  {
    return (Differe)OutilCarence.trouverCarence(p_carences, "Différé");
  }
  
  public boolean estContexteDeRevisionSurPecArce(AttributionSpec attribution, ObjetChronoPeriodePriseEnCharge periodePEC)
  {
    return ((attribution instanceof Revision)) && (periodePEC.estDeTypeArce());
  }
  
  public void traitementPeriodesAlertantes(AttributionSpec attribution, ObjetChronoPeriode periode, PeriodeAnalyseSpec pa, ArretProduitAvecRaison arretProduitAvecRaison)
    throws CoucheLogiqueException
  {}
}

/* Location:
 * Qualified Name:     FacadeAvantProduitImpl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */