package fr.unedic.cali.asu.cge01.p03.liquidation.dom;

import fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen.ConstitutionElementsRepriseGen;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public class ConstitutionElementsReprise
  extends ConstitutionElementsRepriseGen
  implements ConstitutionElementsSpec
{
  public ConstitutionElementsReprise() {}
  
  public ConstitutionElementsReprise(DomPCSpec p_reprisePC)
  {
    super(p_reprisePC);
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getConstitutionDurees());
    DomManager.persisterEnProfondeur(super.getConstitutionMontantsBruts());
    DomManager.persisterEnProfondeur(super.getConstitutionSjr());
    DomManager.persisterEnProfondeur(super.getConstitutionDelais());
    DomManager.persisterEnProfondeur(super.getConstitutionSjc());
    DomManager.persisterEnProfondeur(super.getConstitutionReglementApplicable());
    DomManager.persisterEnProfondeur(super.getConstitutionDateAttribution());
    DomManager.persisterEnProfondeur(super.getConstitutionPointDepartIndemnisation());
    DomManager.persisterEnProfondeur(super.getConstitutionCaractereSaisonnier());
    DomManager.persisterEnProfondeur(super.getConstitutionCoefficientSaisonnier());
    DomManager.persisterEnProfondeur(super.getConstitutionCoefficientTempsPartiel());
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConstitutionElementsReprise copie = (ConstitutionElementsReprise)p_copie;
    if (getConstitutionDateAttribution() != null)
    {
      ConstitutionDateAttribution copieCepa = copie.createConstitutionDateAttribution();
      getConstitutionDateAttribution().copieElements(copieCepa);
    }
    if (getConstitutionDelais() != null)
    {
      ConstitutionDelais copieCepa = copie.createConstitutionDelais();
      getConstitutionDelais().copieElements(copieCepa);
    }
    if (getConstitutionDurees() != null)
    {
      ConstitutionDurees copieCepa = copie.createConstitutionDurees();
      getConstitutionDurees().copieElements(copieCepa);
    }
    if (getConstitutionMontantsBruts() != null)
    {
      ConstitutionMontantsBruts copieCepa = copie.createConstitutionMontantsBruts();
      getConstitutionMontantsBruts().copieElements(copieCepa);
    }
    if (getConstitutionSjc() != null)
    {
      ConstitutionSjc copieCepa = copie.createConstitutionSjc();
      getConstitutionSjc().copieElements(copieCepa);
    }
    if (getConstitutionSjr() != null)
    {
      ConstitutionSjr copieCepa = copie.createConstitutionSjr();
      getConstitutionSjr().copieElements(copieCepa);
    }
    if (getConstitutionReglementApplicable() != null)
    {
      ConstitutionReglementApplicable copieCepa = copie.createConstitutionReglementApplicable();
      getConstitutionReglementApplicable().copieElements(copieCepa);
    }
    if (getConstitutionPointDepartIndemnisation() != null)
    {
      ConstitutionPointDepartIndemnisation copieCepa = copie.createConstitutionPointDepartIndemnisation();
      getConstitutionPointDepartIndemnisation().copieElements(copieCepa);
    }
    if (getConstitutionCaractereSaisonnier() != null)
    {
      ConstitutionCaractereSaisonnier copieCepa = copie.createConstitutionCaractereSaisonnier();
      getConstitutionCaractereSaisonnier().copieElements(copieCepa);
    }
    if (getConstitutionCoefficientSaisonnier() != null)
    {
      ConstitutionCoefficientSaisonnier copieCepa = copie.createConstitutionCoefficientSaisonnier();
      getConstitutionCoefficientSaisonnier().copieElements(copieCepa);
    }
    if (getConstitutionCoefficientTempsPartiel() != null)
    {
      ConstitutionCoefficientTempsPartiel copieCepa = copie.createConstitutionCoefficientTempsPartiel();
      getConstitutionCoefficientTempsPartiel().copieElements(copieCepa);
    }
  }
  
  public void jdoPreClear() {}
  
  public void jdoPreDelete() {}
  
  public void jdoPostLoad() {}
  
  public void jdoPreStore() {}
}

/* Location:
 * Qualified Name:     ConstitutionElementsReprise
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */