package fr.unedic.cali.asu.cge01.p03.liquidation.dom;

import fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen.ObjectifExamenPoursuiteIndemnisationGen;
import fr.unedic.cali.asu.cge01.p03.liquidation.parcours.DeterminationConditionChomageInvolontairePourReprise;
import fr.unedic.cali.asu.cge01.p03.liquidation.parcours.DeterminationConditionRechercheEmploi;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.cali.asu.parcours.ParcoursObjectifPoursuiteIndemnisation;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.cali.parcours.ParcoursTraitementSatisfait;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Parcours;
import java.util.List;

public class ObjectifExamenPoursuiteIndemnisation
  extends ObjectifExamenPoursuiteIndemnisationGen
  implements ObjectifExamenSpec
{
  private static final long serialVersionUID = 6714857419189855724L;
  private List<ContexteDemandeSpec> contexteDemande = null;
  
  public ObjectifExamenPoursuiteIndemnisation() {}
  
  public ObjectifExamenPoursuiteIndemnisation(DomPCSpec pc)
  {
    super(pc);
  }
  
  public ObjectifExamenPoursuiteIndemnisation(List<ContexteDemandeSpec> contexteDemande)
  {
    this.contexteDemande = contexteDemande;
  }
  
  public void marquerGraphePersistant() {}
  
  public ObjetMetierSpec copie()
  {
    ObjectifExamenPoursuiteIndemnisation copie = new ObjectifExamenPoursuiteIndemnisation();
    copieElements(copie);
    return copie;
  }
  
  public int getType()
  {
    return 6;
  }
  
  public Parcours creerParcoursObjectif()
  {
    return new ParcoursObjectifPoursuiteIndemnisation();
  }
  
  public Parcours creerParcoursConditionRechercheEmploi()
  {
    if (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(getContexteDemande(), "ARESJASPDC")) {
      return new ParcoursTraitementSatisfait();
    }
    return new DeterminationConditionRechercheEmploi();
  }
  
  public Parcours creerParcoursConditionChomageInvolontaire()
  {
    if ((OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(getContexteDemande(), "AREENTRCSP")) || (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(getContexteDemande(), "ARESJASPDC")) || (OutilGestionContexteDemande.estContextePresentDansRegroupement(contexteDemande, 9))) {
      return new ParcoursTraitementSatisfait();
    }
    return new DeterminationConditionChomageInvolontairePourReprise();
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public ObjectifExamen getObjectifSauvegarde()
    throws CoucheLogiqueException
  {
    ObjectifExamen objectif = null;
    objectif = (ObjectifExamen)copie();
    return objectif;
  }
  
  protected List<ContexteDemandeSpec> getContexteDemande()
  {
    return contexteDemande;
  }
  
  protected void setContexteDemande(List<ContexteDemandeSpec> contexteDemande)
  {
    this.contexteDemande = contexteDemande;
  }
  
  public Parcours creerPacoursConditionCSRAccordCP()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionNbJourSuspension()
  {
    return null;
  }
  
  public Parcours creerParcoursConstitutionDureePostPrime()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionFaitGenerateur()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionChomageTotal()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionAge()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionQuantiteAffiliation()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionDureeNonNulle()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionCumulActiviteConservee()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionCumulAvantageVieillesse()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionCumulPrestationFamiliale()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionMontant()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionValiditeReliquat()
  {
    return null;
  }
  
  public Parcours creerParcoursDureesReglementaires()
  {
    return null;
  }
  
  public Parcours creerParcoursMontantsBruts()
  {
    return null;
  }
  
  public Parcours creerParcoursSalaireJournalierDeReference()
  {
    return null;
  }
  
  public Parcours creerParcoursDelaisReports()
  {
    return null;
  }
  
  public Parcours creerParcoursQuantiteAffiliation()
  {
    return null;
  }
  
  public Parcours creerParcoursSalaireJournalierConserve()
  {
    return null;
  }
  
  public Parcours creerParcoursCoefficientTempsPartiel()
  {
    return null;
  }
  
  public Parcours creerParcoursCoefficientSaisonnier()
  {
    return null;
  }
  
  public Parcours creerParcoursReglementApplicable()
  {
    return null;
  }
  
  public Parcours creerParcoursDateAttribution()
  {
    return null;
  }
  
  public Parcours creerParcoursProduitResultant()
  {
    return null;
  }
  
  public Parcours creerParcoursPointDeDepart()
  {
    return null;
  }
  
  public Parcours creerParcoursDureeEffective()
  {
    return null;
  }
  
  public Parcours creerParcoursCapitalAvecDureeEffective()
  {
    return null;
  }
  
  public Parcours creerParcoursCaractereSaisonnier()
  {
    return null;
  }
  
  public Parcours creerParcoursDeterminationCompetencesFinanceAdmDroitCourant()
  {
    return null;
  }
  
  public Parcours creerParcoursDeterminationCompetenceFinanceAdmDroitResultant()
  {
    return null;
  }
  
  public Parcours creerParcoursDateLimiteIndemnisation()
  {
    return null;
  }
  
  public Parcours creerParcoursDetectionContributionParticuliere(Demande pDemande)
  {
    return null;
  }
  
  public Parcours creerParcoursLiquidationDemandeAssociee()
  {
    return null;
  }
}

/* Location:
 * Qualified Name:     ObjectifExamenPoursuiteIndemnisation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */