package fr.unedic.cali.asu.cge01.p03.liquidation.dom;

import fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen.PrcSjcGen;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.util.OutillageChronologiePeriodes;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.FiltreChevauchePeriode;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;

public class PrcSjc
  extends PrcSjcGen
{
  private static final long serialVersionUID = 9185470028125586828L;
  
  /**
   * @deprecated
   */
  public PrcSjc() {}
  
  public PrcSjc(Periode p_periode, ActiviteSalarie p_activiteConserve, Chronologie p_chronoPeriodesDeductibles)
  {
    super(p_periode);
    
    ajouterActiviteSalarie(p_activiteConserve);
    m_chronoPeriodesDeductibles = p_chronoPeriodesDeductibles;
  }
  
  public PrcSjc(DomPCSpec p_sjcPC)
  {
    super(p_sjcPC);
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
  
  public ObjetMetierSpec copie()
  {
    PrcSjc copie = new PrcSjc();
    copieElements(copie);
    return copie;
  }
  
  protected JustificationSjr recupererJustificationSjr(Demande p_demande)
  {
    JustificationSjr justificationSjrEnBase = ((DossierExamen)p_demande.getDossierExamen()).getConstitutionSjr().getJustificationSjr();
    return JustificationSjr.copieNonPersistante(justificationSjrEnBase);
  }
  
  protected String donnerCodeAlerteNonBloquanteSurAbsenceSalaire()
  {
    return "A11MNB6";
  }
  
  protected void calculerNombreJourInappartenance(Demande p_demande)
  {
    Periode periodeReferenceCourante = new Periode(getDateDebut(), getDateFin());
    
    ChronologiePeriodes chronoPeriodeUniqueInappartenance = OutillageChronologiePeriodes.donnerPeriodesComplementaires((ChronologiePeriodes)m_chronoActiviteSalarie, periodeReferenceCourante);
    if ((chronoPeriodeUniqueInappartenance != null) && (chronoPeriodeUniqueInappartenance.getTaille() > 0))
    {
      setNombreJourInappartenance(inter(chronoPeriodeUniqueInappartenance));
      if (m_listeJustificationDiviseurPeriodesParticipantes != null)
      {
        JustificationDiviseurPeriodeParticipante justifDiviseurPeriodeParticipanteCourante = null;
        ObjetChronoPeriode objetChronoPeriodeInappartenanceCourant = null;
        Periode periodeInappartenanceCourante = null;
        ChronologiePeriodes chronoPeriodesChevauchantInappartenance = null;
        chronoPeriodeUniqueInappartenance.iterer();
        while (chronoPeriodeUniqueInappartenance.encoreSuivant())
        {
          objetChronoPeriodeInappartenanceCourant = (ObjetChronoPeriode)chronoPeriodeUniqueInappartenance.elementSuivant();
          periodeInappartenanceCourante = new Periode(objetChronoPeriodeInappartenanceCourant.getDateDebut(), objetChronoPeriodeInappartenanceCourant.getDateFin());
          
          justifDiviseurPeriodeParticipanteCourante = new JustificationDiviseurPeriodeParticipante(periodeInappartenanceCourante);
          justifDiviseurPeriodeParticipanteCourante.setNombreJoursInappartenance(periodeInappartenanceCourante.getDuree());
          
          chronoPeriodesChevauchantInappartenance = (ChronologiePeriodes)p_demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation().copier(new FiltreChevauchePeriode(periodeInappartenanceCourante));
          if (chronoPeriodesChevauchantInappartenance.estVide())
          {
            justifDiviseurPeriodeParticipanteCourante.setNature(10);
          }
          else
          {
            justifDiviseurPeriodeParticipanteCourante.renseignerNatureMultiplePeriode(chronoPeriodesChevauchantInappartenance);
            justifDiviseurPeriodeParticipanteCourante.completerNatureMultiplePeriodeInactivite(chronoPeriodesChevauchantInappartenance);
          }
          m_listeJustificationDiviseurPeriodesParticipantes.ajouter(justifDiviseurPeriodeParticipanteCourante);
        }
      }
    }
  }
}

/* Location:
 * Qualified Name:     PrcSjc
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */