package fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConstitutionDurees;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConstitutionMontantsBruts;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.ApplicativeRuntimeException;

public abstract class ConstitutionProduitResultantGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionElementsAbstraitPC;
  private Quantite m_montantDroitPrecedent;
  private Quantite m_capitalDroitPrecedent;
  private Quantite m_dureeDroitPrecedent;
  private Quantite m_capitalMax;
  private Quantite m_dureeTheorique;
  private Quantite m_dureeImputation;
  private Quantite m_dureeEffective;
  private Sjr m_sjrrpProduitPrecedent;
  private Quantite m_crcCPR;
  private Quantite m_montantJournalierBrutCPR;
  private Quantite m_capitalInitialBrutCPR;
  private Quantite m_montantMiniCPR;
  private Quantite m_montantPlancherCPR;
  private Quantite m_montantPlafondCPR;
  private Quantite m_montantBaseCPR;
  private Quantite m_pensionInvaliditeADeduirePriseEnCompteCPR;
  private Quantite m_montantBrutSansPensionInvaliditeADeduireCPR;
  private Quantite m_montantJournalierAvantageVieillesseCPR;
  private Quantite m_montantJournalierAvantageVieillesseDeduitCPR;
  private transient ConstitutionDurees m_constitutionDurees = null;
  private transient ConstitutionMontantsBruts m_constitutionMontantsBruts = null;
  
  public ConstitutionProduitResultantGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConstitutionProduitResultantGen() {}
  
  public DomPCSpec getPC()
  {
    return m_constitutionElementsAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionElementsAbstraitPC)
  {
    m_constitutionElementsAbstraitPC = p_constitutionElementsAbstraitPC;
  }
  
  protected int rawGetMontantRetenu()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantRetenuConstitutionProduitResultant();
  }
  
  public int getMontantRetenu()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantRetenuConstitutionProduitResultant();
  }
  
  public void setMontantRetenu(int p_montantRetenu)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setMontantRetenuConstitutionProduitResultant(p_montantRetenu);
  }
  
  protected int rawGetCapitalRetenu()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCapitalRetenuConstitutionProduitResultant();
  }
  
  public int getCapitalRetenu()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCapitalRetenuConstitutionProduitResultant();
  }
  
  public void setCapitalRetenu(int p_capitalRetenu)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setCapitalRetenuConstitutionProduitResultant(p_capitalRetenu);
  }
  
  protected Quantite rawGetMontantDroitPrecedent()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantDroitPrecedentConstitutionProduitResultant();
  }
  
  public Quantite getMontantDroitPrecedent()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantDroitPrecedentConstitutionProduitResultant();
  }
  
  public void setMontantDroitPrecedent(Quantite p_montantDroitPrecedent)
  {
    if ((m_montantDroitPrecedent == null) || (p_montantDroitPrecedent == null))
    {
      m_montantDroitPrecedent = p_montantDroitPrecedent;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantDroitPrecedentConstitutionProduitResultant(p_montantDroitPrecedent);
    }
    else if ((m_montantDroitPrecedent != null) && (p_montantDroitPrecedent != null) && (!p_montantDroitPrecedent.equals(m_montantDroitPrecedent)))
    {
      m_montantDroitPrecedent = p_montantDroitPrecedent;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantDroitPrecedentConstitutionProduitResultant(p_montantDroitPrecedent);
    }
  }
  
  protected Quantite rawGetCapitalDroitPrecedent()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCapitalDroitPrecedentConstitutionProduitResultant();
  }
  
  public Quantite getCapitalDroitPrecedent()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCapitalDroitPrecedentConstitutionProduitResultant();
  }
  
  public void setCapitalDroitPrecedent(Quantite p_capitalDroitPrecedent)
  {
    if ((m_capitalDroitPrecedent == null) || (p_capitalDroitPrecedent == null))
    {
      m_capitalDroitPrecedent = p_capitalDroitPrecedent;
      ((ConstitutionElementsAbstraitPC)getPC()).setCapitalDroitPrecedentConstitutionProduitResultant(p_capitalDroitPrecedent);
    }
    else if ((m_capitalDroitPrecedent != null) && (p_capitalDroitPrecedent != null) && (!p_capitalDroitPrecedent.equals(m_capitalDroitPrecedent)))
    {
      m_capitalDroitPrecedent = p_capitalDroitPrecedent;
      ((ConstitutionElementsAbstraitPC)getPC()).setCapitalDroitPrecedentConstitutionProduitResultant(p_capitalDroitPrecedent);
    }
  }
  
  protected Quantite rawGetDureeDroitPrecedent()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeDroitPrecedentConstitutionProduitResultant();
  }
  
  public Quantite getDureeDroitPrecedent()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeDroitPrecedentConstitutionProduitResultant();
  }
  
  public void setDureeDroitPrecedent(Quantite p_dureeDroitPrecedent)
  {
    if ((m_dureeDroitPrecedent == null) || (p_dureeDroitPrecedent == null))
    {
      m_dureeDroitPrecedent = p_dureeDroitPrecedent;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeDroitPrecedentConstitutionProduitResultant(p_dureeDroitPrecedent);
    }
    else if ((m_dureeDroitPrecedent != null) && (p_dureeDroitPrecedent != null) && (!p_dureeDroitPrecedent.equals(m_dureeDroitPrecedent)))
    {
      m_dureeDroitPrecedent = p_dureeDroitPrecedent;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeDroitPrecedentConstitutionProduitResultant(p_dureeDroitPrecedent);
    }
  }
  
  protected Quantite rawGetCapitalMax()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCapitalMaxConstitutionProduitResultant();
  }
  
  public Quantite getCapitalMax()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCapitalMaxConstitutionProduitResultant();
  }
  
  public void setCapitalMax(Quantite p_capitalMax)
  {
    if ((m_capitalMax == null) || (p_capitalMax == null))
    {
      m_capitalMax = p_capitalMax;
      ((ConstitutionElementsAbstraitPC)getPC()).setCapitalMaxConstitutionProduitResultant(p_capitalMax);
    }
    else if ((m_capitalMax != null) && (p_capitalMax != null) && (!p_capitalMax.equals(m_capitalMax)))
    {
      m_capitalMax = p_capitalMax;
      ((ConstitutionElementsAbstraitPC)getPC()).setCapitalMaxConstitutionProduitResultant(p_capitalMax);
    }
  }
  
  protected Quantite rawGetDureeTheorique()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeTheoriqueConstitutionProduitResultant();
  }
  
  public Quantite getDureeTheorique()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeTheoriqueConstitutionProduitResultant();
  }
  
  public void setDureeTheorique(Quantite p_dureeTheorique)
  {
    if ((m_dureeTheorique == null) || (p_dureeTheorique == null))
    {
      m_dureeTheorique = p_dureeTheorique;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeTheoriqueConstitutionProduitResultant(p_dureeTheorique);
    }
    else if ((m_dureeTheorique != null) && (p_dureeTheorique != null) && (!p_dureeTheorique.equals(m_dureeTheorique)))
    {
      m_dureeTheorique = p_dureeTheorique;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeTheoriqueConstitutionProduitResultant(p_dureeTheorique);
    }
  }
  
  protected Quantite rawGetDureeImputation()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeImputationConstitutionProduitResultant();
  }
  
  public Quantite getDureeImputation()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeImputationConstitutionProduitResultant();
  }
  
  public void setDureeImputation(Quantite p_dureeImputation)
  {
    if ((m_dureeImputation == null) || (p_dureeImputation == null))
    {
      m_dureeImputation = p_dureeImputation;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeImputationConstitutionProduitResultant(p_dureeImputation);
    }
    else if ((m_dureeImputation != null) && (p_dureeImputation != null) && (!p_dureeImputation.equals(m_dureeImputation)))
    {
      m_dureeImputation = p_dureeImputation;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeImputationConstitutionProduitResultant(p_dureeImputation);
    }
  }
  
  protected Quantite rawGetDureeEffective()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeEffectiveConstitutionProduitResultant();
  }
  
  public Quantite getDureeEffective()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeEffectiveConstitutionProduitResultant();
  }
  
  public void setDureeEffective(Quantite p_dureeEffective)
  {
    if ((m_dureeEffective == null) || (p_dureeEffective == null))
    {
      m_dureeEffective = p_dureeEffective;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeEffectiveConstitutionProduitResultant(p_dureeEffective);
    }
    else if ((m_dureeEffective != null) && (p_dureeEffective != null) && (!p_dureeEffective.equals(m_dureeEffective)))
    {
      m_dureeEffective = p_dureeEffective;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeEffectiveConstitutionProduitResultant(p_dureeEffective);
    }
  }
  
  protected Sjr rawGetSjrrpProduitPrecedent()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getSjrrpProduitPrecedentConstitutionProduitResultant();
  }
  
  public Sjr getSjrrpProduitPrecedent()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getSjrrpProduitPrecedentConstitutionProduitResultant();
  }
  
  public void setSjrrpProduitPrecedent(Sjr p_sjrrpProduitPrecedent)
  {
    if ((m_sjrrpProduitPrecedent == null) || (p_sjrrpProduitPrecedent == null))
    {
      m_sjrrpProduitPrecedent = p_sjrrpProduitPrecedent;
      ((ConstitutionElementsAbstraitPC)getPC()).setSjrrpProduitPrecedentConstitutionProduitResultant(p_sjrrpProduitPrecedent);
    }
    else if ((m_sjrrpProduitPrecedent != null) && (p_sjrrpProduitPrecedent != null) && (!p_sjrrpProduitPrecedent.equals(m_sjrrpProduitPrecedent)))
    {
      m_sjrrpProduitPrecedent = p_sjrrpProduitPrecedent;
      ((ConstitutionElementsAbstraitPC)getPC()).setSjrrpProduitPrecedentConstitutionProduitResultant(p_sjrrpProduitPrecedent);
    }
  }
  
  protected Quantite rawGetCrcCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCrcConstitutionConstitutionProduitResultant();
  }
  
  public Quantite getCrcCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCrcConstitutionConstitutionProduitResultant();
  }
  
  public void setCrcCPR(Quantite p_crcCPR)
  {
    if ((m_crcCPR == null) || (p_crcCPR == null))
    {
      m_crcCPR = p_crcCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setCrcConstitutionConstitutionProduitResultant(p_crcCPR);
    }
    else if ((m_crcCPR != null) && (p_crcCPR != null) && (!p_crcCPR.equals(m_crcCPR)))
    {
      m_crcCPR = p_crcCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setCrcConstitutionConstitutionProduitResultant(p_crcCPR);
    }
  }
  
  protected Quantite rawGetMontantJournalierBrutCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantJournalierBrutConstitutionProduitResultant();
  }
  
  public Quantite getMontantJournalierBrutCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantJournalierBrutConstitutionProduitResultant();
  }
  
  public void setMontantJournalierBrutCPR(Quantite p_montantJournalierBrutCPR)
  {
    if ((m_montantJournalierBrutCPR == null) || (p_montantJournalierBrutCPR == null))
    {
      m_montantJournalierBrutCPR = p_montantJournalierBrutCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantJournalierBrutConstitutionProduitResultant(p_montantJournalierBrutCPR);
    }
    else if ((m_montantJournalierBrutCPR != null) && (p_montantJournalierBrutCPR != null) && (!p_montantJournalierBrutCPR.equals(m_montantJournalierBrutCPR)))
    {
      m_montantJournalierBrutCPR = p_montantJournalierBrutCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantJournalierBrutConstitutionProduitResultant(p_montantJournalierBrutCPR);
    }
  }
  
  protected Quantite rawGetCapitalInitialBrutCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCapitalInitialBrutConstitutionProduitResultant();
  }
  
  public Quantite getCapitalInitialBrutCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getCapitalInitialBrutConstitutionProduitResultant();
  }
  
  public void setCapitalInitialBrutCPR(Quantite p_capitalInitialBrutCPR)
  {
    if ((m_capitalInitialBrutCPR == null) || (p_capitalInitialBrutCPR == null))
    {
      m_capitalInitialBrutCPR = p_capitalInitialBrutCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setCapitalInitialBrutConstitutionProduitResultant(p_capitalInitialBrutCPR);
    }
    else if ((m_capitalInitialBrutCPR != null) && (p_capitalInitialBrutCPR != null) && (!p_capitalInitialBrutCPR.equals(m_capitalInitialBrutCPR)))
    {
      m_capitalInitialBrutCPR = p_capitalInitialBrutCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setCapitalInitialBrutConstitutionProduitResultant(p_capitalInitialBrutCPR);
    }
  }
  
  protected Quantite rawGetMontantMiniCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantMiniConstitutionProduitResultant();
  }
  
  public Quantite getMontantMiniCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantMiniConstitutionProduitResultant();
  }
  
  public void setMontantMiniCPR(Quantite p_montantMiniCPR)
  {
    if ((m_montantMiniCPR == null) || (p_montantMiniCPR == null))
    {
      m_montantMiniCPR = p_montantMiniCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantMiniConstitutionProduitResultant(p_montantMiniCPR);
    }
    else if ((m_montantMiniCPR != null) && (p_montantMiniCPR != null) && (!p_montantMiniCPR.equals(m_montantMiniCPR)))
    {
      m_montantMiniCPR = p_montantMiniCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantMiniConstitutionProduitResultant(p_montantMiniCPR);
    }
  }
  
  protected Quantite rawGetMontantPlancherCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantPlancherConstitutionProduitResultant();
  }
  
  public Quantite getMontantPlancherCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantPlancherConstitutionProduitResultant();
  }
  
  public void setMontantPlancherCPR(Quantite p_montantPlancherCPR)
  {
    if ((m_montantPlancherCPR == null) || (p_montantPlancherCPR == null))
    {
      m_montantPlancherCPR = p_montantPlancherCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantPlancherConstitutionProduitResultant(p_montantPlancherCPR);
    }
    else if ((m_montantPlancherCPR != null) && (p_montantPlancherCPR != null) && (!p_montantPlancherCPR.equals(m_montantPlancherCPR)))
    {
      m_montantPlancherCPR = p_montantPlancherCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantPlancherConstitutionProduitResultant(p_montantPlancherCPR);
    }
  }
  
  protected Quantite rawGetMontantPlafondCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantPlafondConstitutionProduitResultant();
  }
  
  public Quantite getMontantPlafondCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantPlafondConstitutionProduitResultant();
  }
  
  public void setMontantPlafondCPR(Quantite p_montantPlafondCPR)
  {
    if ((m_montantPlafondCPR == null) || (p_montantPlafondCPR == null))
    {
      m_montantPlafondCPR = p_montantPlafondCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantPlafondConstitutionProduitResultant(p_montantPlafondCPR);
    }
    else if ((m_montantPlafondCPR != null) && (p_montantPlafondCPR != null) && (!p_montantPlafondCPR.equals(m_montantPlafondCPR)))
    {
      m_montantPlafondCPR = p_montantPlafondCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantPlafondConstitutionProduitResultant(p_montantPlafondCPR);
    }
  }
  
  protected Quantite rawGetMontantBaseCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantBaseConstitutionProduitResultant();
  }
  
  public Quantite getMontantBaseCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantBaseConstitutionProduitResultant();
  }
  
  public void setMontantBaseCPR(Quantite p_montantBaseCPR)
  {
    if ((m_montantBaseCPR == null) || (p_montantBaseCPR == null))
    {
      m_montantBaseCPR = p_montantBaseCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantBaseConstitutionProduitResultant(p_montantBaseCPR);
    }
    else if ((m_montantBaseCPR != null) && (p_montantBaseCPR != null) && (!p_montantBaseCPR.equals(m_montantBaseCPR)))
    {
      m_montantBaseCPR = p_montantBaseCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantBaseConstitutionProduitResultant(p_montantBaseCPR);
    }
  }
  
  protected Quantite rawGetPensionInvaliditeADeduirePriseEnCompteCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getPensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant();
  }
  
  public Quantite getPensionInvaliditeADeduirePriseEnCompteCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getPensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant();
  }
  
  public void setPensionInvaliditeADeduirePriseEnCompteCPR(Quantite p_pensionInvaliditeADeduirePriseEnCompteCPR)
  {
    if ((m_pensionInvaliditeADeduirePriseEnCompteCPR == null) || (p_pensionInvaliditeADeduirePriseEnCompteCPR == null))
    {
      m_pensionInvaliditeADeduirePriseEnCompteCPR = p_pensionInvaliditeADeduirePriseEnCompteCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setPensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant(p_pensionInvaliditeADeduirePriseEnCompteCPR);
    }
    else if ((m_pensionInvaliditeADeduirePriseEnCompteCPR != null) && (p_pensionInvaliditeADeduirePriseEnCompteCPR != null) && (!p_pensionInvaliditeADeduirePriseEnCompteCPR.equals(m_pensionInvaliditeADeduirePriseEnCompteCPR)))
    {
      m_pensionInvaliditeADeduirePriseEnCompteCPR = p_pensionInvaliditeADeduirePriseEnCompteCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setPensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant(p_pensionInvaliditeADeduirePriseEnCompteCPR);
    }
  }
  
  protected Quantite rawGetMontantBrutSansPensionInvaliditeADeduireCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant();
  }
  
  public Quantite getMontantBrutSansPensionInvaliditeADeduireCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant();
  }
  
  public void setMontantBrutSansPensionInvaliditeADeduireCPR(Quantite p_montantBrutSansPensionInvaliditeADeduireCPR)
  {
    if ((m_montantBrutSansPensionInvaliditeADeduireCPR == null) || (p_montantBrutSansPensionInvaliditeADeduireCPR == null))
    {
      m_montantBrutSansPensionInvaliditeADeduireCPR = p_montantBrutSansPensionInvaliditeADeduireCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant(p_montantBrutSansPensionInvaliditeADeduireCPR);
    }
    else if ((m_montantBrutSansPensionInvaliditeADeduireCPR != null) && (p_montantBrutSansPensionInvaliditeADeduireCPR != null) && (!p_montantBrutSansPensionInvaliditeADeduireCPR.equals(m_montantBrutSansPensionInvaliditeADeduireCPR)))
    {
      m_montantBrutSansPensionInvaliditeADeduireCPR = p_montantBrutSansPensionInvaliditeADeduireCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant(p_montantBrutSansPensionInvaliditeADeduireCPR);
    }
  }
  
  protected Quantite rawGetMontantJournalierAvantageVieillesseCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantJournalierAvantageVieillesseConstitutionProduitResultant();
  }
  
  public Quantite getMontantJournalierAvantageVieillesseCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantJournalierAvantageVieillesseConstitutionProduitResultant();
  }
  
  public void setMontantJournalierAvantageVieillesseCPR(Quantite p_montantJournalierAvantageVieillesseCPR)
  {
    if ((m_montantJournalierAvantageVieillesseCPR == null) || (p_montantJournalierAvantageVieillesseCPR == null))
    {
      m_montantJournalierAvantageVieillesseCPR = p_montantJournalierAvantageVieillesseCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantJournalierAvantageVieillesseConstitutionProduitResultant(p_montantJournalierAvantageVieillesseCPR);
    }
    else if ((m_montantJournalierAvantageVieillesseCPR != null) && (p_montantJournalierAvantageVieillesseCPR != null) && (!p_montantJournalierAvantageVieillesseCPR.equals(m_montantJournalierAvantageVieillesseCPR)))
    {
      m_montantJournalierAvantageVieillesseCPR = p_montantJournalierAvantageVieillesseCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantJournalierAvantageVieillesseConstitutionProduitResultant(p_montantJournalierAvantageVieillesseCPR);
    }
  }
  
  protected Quantite rawGetMontantJournalierAvantageVieillesseDeduitCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantJournalierAvantageVieillesseDeduitConstitutionProduitResultant();
  }
  
  public Quantite getMontantJournalierAvantageVieillesseDeduitCPR()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantJournalierAvantageVieillesseDeduitConstitutionProduitResultant();
  }
  
  public void setMontantJournalierAvantageVieillesseDeduitCPR(Quantite p_montantJournalierAvantageVieillesseDeduitCPR)
  {
    if ((m_montantJournalierAvantageVieillesseDeduitCPR == null) || (p_montantJournalierAvantageVieillesseDeduitCPR == null))
    {
      m_montantJournalierAvantageVieillesseDeduitCPR = p_montantJournalierAvantageVieillesseDeduitCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantJournalierAvantageVieillesseDeduitConstitutionProduitResultant(p_montantJournalierAvantageVieillesseDeduitCPR);
    }
    else if ((m_montantJournalierAvantageVieillesseDeduitCPR != null) && (p_montantJournalierAvantageVieillesseDeduitCPR != null) && (!p_montantJournalierAvantageVieillesseDeduitCPR.equals(m_montantJournalierAvantageVieillesseDeduitCPR)))
    {
      m_montantJournalierAvantageVieillesseDeduitCPR = p_montantJournalierAvantageVieillesseDeduitCPR;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantJournalierAvantageVieillesseDeduitConstitutionProduitResultant(p_montantJournalierAvantageVieillesseDeduitCPR);
    }
  }
  
  protected boolean rawIsPresenceDonneesConstitutionDurees()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).isPresenceDonneesConstitutionDureesConstitutionProduitResultant();
  }
  
  public boolean isPresenceDonneesConstitutionDurees()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).isPresenceDonneesConstitutionDureesConstitutionProduitResultant();
  }
  
  public void setPresenceDonneesConstitutionDurees(boolean p_presenceDonneesConstitutionDurees)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setPresenceDonneesConstitutionDureesConstitutionProduitResultant(p_presenceDonneesConstitutionDurees);
  }
  
  protected boolean rawIsPresenceDonneesConstitutionMontantsBruts()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).isPresenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant();
  }
  
  public boolean isPresenceDonneesConstitutionMontantsBruts()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).isPresenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant();
  }
  
  public void setPresenceDonneesConstitutionMontantsBruts(boolean p_presenceDonneesConstitutionMontantsBruts)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setPresenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant(p_presenceDonneesConstitutionMontantsBruts);
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    if (getConstitutionDurees() != null)
    {
      getConstitutionDurees().supprimerEnProfondeur(p_contexteSuppression);
      m_constitutionDurees = null;
    }
    if (getConstitutionMontantsBruts() != null)
    {
      getConstitutionMontantsBruts().supprimerEnProfondeur(p_contexteSuppression);
      m_constitutionMontantsBruts = null;
    }
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    if (getConstitutionDurees() != null)
    {
      getConstitutionDurees().initEnProfondeur();
      m_constitutionDurees = null;
    }
    if (getConstitutionMontantsBruts() != null)
    {
      getConstitutionMontantsBruts().initEnProfondeur();
      m_constitutionMontantsBruts = null;
    }
    setMontantRetenu(0);
    setCapitalRetenu(0);
    setMontantDroitPrecedent(null);
    setCapitalDroitPrecedent(null);
    setDureeDroitPrecedent(null);
    setCapitalMax(null);
    setDureeTheorique(null);
    setDureeImputation(null);
    setDureeEffective(null);
    setSjrrpProduitPrecedent(null);
    setCrcCPR(null);
    setMontantJournalierBrutCPR(null);
    setCapitalInitialBrutCPR(null);
    setMontantMiniCPR(null);
    setMontantPlancherCPR(null);
    setMontantPlafondCPR(null);
    setMontantBaseCPR(null);
    setPensionInvaliditeADeduirePriseEnCompteCPR(null);
    setMontantBrutSansPensionInvaliditeADeduireCPR(null);
    setMontantJournalierAvantageVieillesseCPR(null);
    setMontantJournalierAvantageVieillesseDeduitCPR(null);
    setPresenceDonneesConstitutionDurees(false);
    setPresenceDonneesConstitutionMontantsBruts(false);
  }
  
  public ConstitutionDurees getConstitutionDurees()
  {
    if ((((ConstitutionElementsAbstraitPC)getPC()).isPresenceDonneesConstitutionDureesConstitutionProduitResultant()) && (m_constitutionDurees == null)) {
      m_constitutionDurees = new ConstitutionDurees(getPC(), 1);
    }
    return m_constitutionDurees;
  }
  
  public ConstitutionDurees createConstitutionDurees()
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setPresenceDonneesConstitutionDureesConstitutionProduitResultant(true);
    if (m_constitutionDurees == null) {
      m_constitutionDurees = new ConstitutionDurees(getPC(), 1);
    }
    try
    {
      m_constitutionDurees.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_constitutionDurees;
  }
  
  public void removeConstitutionDurees()
  {
    try
    {
      m_constitutionDurees.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConstitutionElementsAbstraitPC)getPC()).setPresenceDonneesConstitutionDureesConstitutionProduitResultant(false);
  }
  
  public ConstitutionMontantsBruts getConstitutionMontantsBruts()
  {
    if ((((ConstitutionElementsAbstraitPC)getPC()).isPresenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant()) && (m_constitutionMontantsBruts == null)) {
      m_constitutionMontantsBruts = new ConstitutionMontantsBruts(getPC(), 2);
    }
    return m_constitutionMontantsBruts;
  }
  
  public ConstitutionMontantsBruts createConstitutionMontantsBruts()
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setPresenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant(true);
    if (m_constitutionMontantsBruts == null) {
      m_constitutionMontantsBruts = new ConstitutionMontantsBruts(getPC(), 2);
    }
    try
    {
      m_constitutionMontantsBruts.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_constitutionMontantsBruts;
  }
  
  public void removeConstitutionMontantsBruts()
  {
    try
    {
      m_constitutionMontantsBruts.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConstitutionElementsAbstraitPC)getPC()).setPresenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant(false);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConstitutionProduitResultantGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */