package fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.Competence;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionsAttributionAdmission;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionsAttributionReprise;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionsAttributionRevision;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConstitutionElementsAdmission;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConstitutionElementsReprise;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConstitutionElementsRevision;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.pc.DossierExamenPC;
import fr.unedic.cali.asu.dom.CompetenceSpec;
import fr.unedic.cali.asu.dom.ContributionParticuliereAbstrait;
import fr.unedic.cali.asu.dom.ContributionParticuliereSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoEvenementDebutCREM;

public abstract class DossierExamenGen
  extends ObjetChronoEvenementDebutCREM
  implements DomGenSpec
{
  private ConditionsAttributionAdmission m_conditionsAttributionAdmission;
  private ConstitutionElementsAdmission m_constitutionElementsAdmission;
  private ConditionsAttributionReprise m_conditionsAttributionReprise;
  private ConstitutionElementsReprise m_constitutionElementsReprise;
  private ConstitutionElementsRevision m_constitutionElementsRevision;
  private ConditionsAttributionRevision m_conditionsAttributionRevision;
  private DossierAffectationSpec m_dossierAffecte;
  private Damj m_dateEvenement;
  private Competence m_competence;
  private ContributionParticuliereAbstrait m_contributionParticuliere;
  private Damj m_dateFinPerteActiviteConservee;
  private String m_motifFinPerteActiviteConservee;
  private String m_typeContributionParticuliere;
  public Competence m_competenceSousJacente;
  
  public DossierExamenGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public DossierExamenGen() {}
  
  public DossierExamenGen(Damj p_dateEvenement)
  {
    super(p_dateEvenement);
  }
  
  protected abstract DomPCSpec createPC();
  
  public ConditionsAttributionAdmission getConditionsAttributionAdmission()
  {
    if (m_conditionsAttributionAdmission == null)
    {
      DomPCSpec conditionsAttributionAdmissionPC = ((DossierExamenPC)getPC()).getConditionsAttributionAdmission();
      if (conditionsAttributionAdmissionPC != null) {
        m_conditionsAttributionAdmission = ((ConditionsAttributionAdmission)conditionsAttributionAdmissionPC.createOM());
      }
    }
    return m_conditionsAttributionAdmission;
  }
  
  public void setConditionsAttributionAdmission(ConditionsAttributionAdmission p_conditionsAttributionAdmission)
  {
    if (p_conditionsAttributionAdmission == null)
    {
      ((DossierExamenPC)getPC()).setConditionsAttributionAdmission(null);
      m_conditionsAttributionAdmission = p_conditionsAttributionAdmission;
    }
    else if (!p_conditionsAttributionAdmission.equals(m_conditionsAttributionAdmission))
    {
      ((DossierExamenPC)getPC()).setConditionsAttributionAdmission(p_conditionsAttributionAdmission.getPC());
      m_conditionsAttributionAdmission = p_conditionsAttributionAdmission;
    }
  }
  
  public ConstitutionElementsAdmission getConstitutionElementsAdmission()
  {
    if (m_constitutionElementsAdmission == null)
    {
      DomPCSpec constitutionElementsAdmissionPC = ((DossierExamenPC)getPC()).getConstitutionElementsAdmission();
      if (constitutionElementsAdmissionPC != null) {
        m_constitutionElementsAdmission = ((ConstitutionElementsAdmission)constitutionElementsAdmissionPC.createOM());
      }
    }
    return m_constitutionElementsAdmission;
  }
  
  public void setConstitutionElementsAdmission(ConstitutionElementsAdmission p_constitutionElementsAdmission)
  {
    if (p_constitutionElementsAdmission == null)
    {
      ((DossierExamenPC)getPC()).setConstitutionElementsAdmission(null);
      m_constitutionElementsAdmission = p_constitutionElementsAdmission;
    }
    else if (!p_constitutionElementsAdmission.equals(m_constitutionElementsAdmission))
    {
      ((DossierExamenPC)getPC()).setConstitutionElementsAdmission(p_constitutionElementsAdmission.getPC());
      m_constitutionElementsAdmission = p_constitutionElementsAdmission;
    }
  }
  
  public ConditionsAttributionReprise getConditionsAttributionReprise()
  {
    if (m_conditionsAttributionReprise == null)
    {
      DomPCSpec conditionsAttributionReprisePC = ((DossierExamenPC)getPC()).getConditionsAttributionReprise();
      if (conditionsAttributionReprisePC != null) {
        m_conditionsAttributionReprise = ((ConditionsAttributionReprise)conditionsAttributionReprisePC.createOM());
      }
    }
    return m_conditionsAttributionReprise;
  }
  
  public void setConditionsAttributionReprise(ConditionsAttributionReprise p_conditionsAttributionReprise)
  {
    if (p_conditionsAttributionReprise == null)
    {
      ((DossierExamenPC)getPC()).setConditionsAttributionReprise(null);
      m_conditionsAttributionReprise = p_conditionsAttributionReprise;
    }
    else if (!p_conditionsAttributionReprise.equals(m_conditionsAttributionReprise))
    {
      ((DossierExamenPC)getPC()).setConditionsAttributionReprise(p_conditionsAttributionReprise.getPC());
      m_conditionsAttributionReprise = p_conditionsAttributionReprise;
    }
  }
  
  public ConstitutionElementsReprise getConstitutionElementsReprise()
  {
    if (m_constitutionElementsReprise == null)
    {
      DomPCSpec constitutionElementsReprisePC = ((DossierExamenPC)getPC()).getConstitutionElementsReprise();
      if (constitutionElementsReprisePC != null) {
        m_constitutionElementsReprise = ((ConstitutionElementsReprise)constitutionElementsReprisePC.createOM());
      }
    }
    return m_constitutionElementsReprise;
  }
  
  public void setConstitutionElementsReprise(ConstitutionElementsReprise p_constitutionElementsReprise)
  {
    if (p_constitutionElementsReprise == null)
    {
      ((DossierExamenPC)getPC()).setConstitutionElementsReprise(null);
      m_constitutionElementsReprise = p_constitutionElementsReprise;
    }
    else if (!p_constitutionElementsReprise.equals(m_constitutionElementsReprise))
    {
      ((DossierExamenPC)getPC()).setConstitutionElementsReprise(p_constitutionElementsReprise.getPC());
      m_constitutionElementsReprise = p_constitutionElementsReprise;
    }
  }
  
  public ConstitutionElementsRevision getConstitutionElementsRevision()
  {
    if (m_constitutionElementsRevision == null)
    {
      DomPCSpec constitutionElementsRevisionPC = ((DossierExamenPC)getPC()).getConstitutionElementsRevision();
      if (constitutionElementsRevisionPC != null) {
        m_constitutionElementsRevision = ((ConstitutionElementsRevision)constitutionElementsRevisionPC.createOM());
      }
    }
    return m_constitutionElementsRevision;
  }
  
  public void setConstitutionElementsRevision(ConstitutionElementsRevision p_constitutionElementsRevision)
  {
    if (p_constitutionElementsRevision == null)
    {
      ((DossierExamenPC)getPC()).setConstitutionElementsRevision(null);
      m_constitutionElementsRevision = p_constitutionElementsRevision;
    }
    else if (!p_constitutionElementsRevision.equals(m_constitutionElementsRevision))
    {
      ((DossierExamenPC)getPC()).setConstitutionElementsRevision(p_constitutionElementsRevision.getPC());
      m_constitutionElementsRevision = p_constitutionElementsRevision;
    }
  }
  
  public ConditionsAttributionRevision getConditionsAttributionRevision()
  {
    if (m_conditionsAttributionRevision == null)
    {
      DomPCSpec conditionsAttributionRevisionPC = ((DossierExamenPC)getPC()).getConditionsAttributionRevision();
      if (conditionsAttributionRevisionPC != null) {
        m_conditionsAttributionRevision = ((ConditionsAttributionRevision)conditionsAttributionRevisionPC.createOM());
      }
    }
    return m_conditionsAttributionRevision;
  }
  
  public void setConditionsAttributionRevision(ConditionsAttributionRevision p_conditionsAttributionRevision)
  {
    if (p_conditionsAttributionRevision == null)
    {
      ((DossierExamenPC)getPC()).setConditionsAttributionRevision(null);
      m_conditionsAttributionRevision = p_conditionsAttributionRevision;
    }
    else if (!p_conditionsAttributionRevision.equals(m_conditionsAttributionRevision))
    {
      ((DossierExamenPC)getPC()).setConditionsAttributionRevision(p_conditionsAttributionRevision.getPC());
      m_conditionsAttributionRevision = p_conditionsAttributionRevision;
    }
  }
  
  public DossierAffectationSpec getDossierAffecte()
  {
    if (m_dossierAffecte == null)
    {
      DomPCSpec dossierAffectePC = ((DossierExamenPC)getPC()).getDossierAffecte();
      if (dossierAffectePC != null) {
        m_dossierAffecte = ((DossierAffectationSpec)dossierAffectePC.createOM());
      }
    }
    return m_dossierAffecte;
  }
  
  public void setDossierAffecte(DossierAffectationSpec p_dossierAffecte)
  {
    if (p_dossierAffecte == null)
    {
      ((DossierExamenPC)getPC()).setDossierAffecte(null);
      m_dossierAffecte = p_dossierAffecte;
    }
    else if (!p_dossierAffecte.equals(m_dossierAffecte))
    {
      ((DossierExamenPC)getPC()).setDossierAffecte(((DomGenSpec)p_dossierAffecte).getPC());
      m_dossierAffecte = p_dossierAffecte;
    }
  }
  
  protected Damj rawGetDateEvenement()
  {
    return ((DossierExamenPC)getPC()).getDateEvenement();
  }
  
  public Damj getDateEvenement()
  {
    return ((DossierExamenPC)getPC()).getDateEvenement();
  }
  
  public void setDateEvenement(Damj p_dateEvenement)
  {
    if ((m_dateEvenement == null) || (p_dateEvenement == null))
    {
      m_dateEvenement = p_dateEvenement;
      ((DossierExamenPC)getPC()).setDateEvenement(p_dateEvenement);
    }
    else if ((m_dateEvenement != null) && (p_dateEvenement != null) && (!p_dateEvenement.equals(m_dateEvenement)))
    {
      m_dateEvenement = p_dateEvenement;
      ((DossierExamenPC)getPC()).setDateEvenement(p_dateEvenement);
    }
  }
  
  public CompetenceSpec getCompetence()
  {
    if (m_competence == null)
    {
      DomPCSpec competencePC = ((DossierExamenPC)getPC()).getCompetence();
      if (competencePC != null) {
        m_competence = ((Competence)competencePC.createOM());
      }
    }
    return m_competence;
  }
  
  public void setCompetence(Competence p_competence)
  {
    if (p_competence == null)
    {
      ((DossierExamenPC)getPC()).setCompetence(null);
      m_competence = p_competence;
    }
    else if (!p_competence.equals(m_competence))
    {
      ((DossierExamenPC)getPC()).setCompetence(p_competence.getPC());
      m_competence = p_competence;
    }
  }
  
  public ContributionParticuliereSpec getContributionParticuliere()
  {
    if (m_contributionParticuliere == null)
    {
      DomPCSpec contributionParticulierePC = ((DossierExamenPC)getPC()).getContributionParticuliere();
      if (contributionParticulierePC != null) {
        m_contributionParticuliere = ((ContributionParticuliereAbstrait)contributionParticulierePC.createOM());
      }
    }
    return m_contributionParticuliere;
  }
  
  public void setContributionParticuliere(ContributionParticuliereAbstrait p_contributionParticuliere)
  {
    if (p_contributionParticuliere == null)
    {
      ((DossierExamenPC)getPC()).setContributionParticuliere(null);
      m_contributionParticuliere = p_contributionParticuliere;
    }
    else if (!p_contributionParticuliere.equals(m_contributionParticuliere))
    {
      ((DossierExamenPC)getPC()).setContributionParticuliere(p_contributionParticuliere.getPC());
      m_contributionParticuliere = p_contributionParticuliere;
    }
  }
  
  protected int rawGetContexteDdeExpresse()
  {
    return ((DossierExamenPC)getPC()).getContexteDdeExpresse();
  }
  
  public int getContexteDdeExpresse()
  {
    return ((DossierExamenPC)getPC()).getContexteDdeExpresse();
  }
  
  public void setContexteDdeExpresse(int p_contexteDdeExpresse)
  {
    ((DossierExamenPC)getPC()).setContexteDdeExpresse(p_contexteDdeExpresse);
  }
  
  protected int rawGetMotifRejetNotifie()
  {
    return ((DossierExamenPC)getPC()).getMotifRejetNotifie();
  }
  
  public int getMotifRejetNotifie()
  {
    return ((DossierExamenPC)getPC()).getMotifRejetNotifie();
  }
  
  public void setMotifRejetNotifie(int p_motifRejetNotifie)
  {
    ((DossierExamenPC)getPC()).setMotifRejetNotifie(p_motifRejetNotifie);
  }
  
  protected Damj rawGetDateFinPerteActiviteConservee()
  {
    return ((DossierExamenPC)getPC()).getDateFinPerteActiviteConservee();
  }
  
  public Damj getDateFinPerteActiviteConservee()
  {
    return ((DossierExamenPC)getPC()).getDateFinPerteActiviteConservee();
  }
  
  public void setDateFinPerteActiviteConservee(Damj p_dateFinPerteActiviteConservee)
  {
    if ((m_dateFinPerteActiviteConservee == null) || (p_dateFinPerteActiviteConservee == null))
    {
      m_dateFinPerteActiviteConservee = p_dateFinPerteActiviteConservee;
      ((DossierExamenPC)getPC()).setDateFinPerteActiviteConservee(p_dateFinPerteActiviteConservee);
    }
    else if ((m_dateFinPerteActiviteConservee != null) && (p_dateFinPerteActiviteConservee != null) && (!p_dateFinPerteActiviteConservee.equals(m_dateFinPerteActiviteConservee)))
    {
      m_dateFinPerteActiviteConservee = p_dateFinPerteActiviteConservee;
      ((DossierExamenPC)getPC()).setDateFinPerteActiviteConservee(p_dateFinPerteActiviteConservee);
    }
  }
  
  protected String rawGetMotifFinPerteActiviteConservee()
  {
    return ((DossierExamenPC)getPC()).getMotifFinPerteActiviteConservee();
  }
  
  public String getMotifFinPerteActiviteConservee()
  {
    return ((DossierExamenPC)getPC()).getMotifFinPerteActiviteConservee();
  }
  
  public void setMotifFinPerteActiviteConservee(String p_motifFinPerteActiviteConservee)
  {
    if ((m_motifFinPerteActiviteConservee == null) || (p_motifFinPerteActiviteConservee == null))
    {
      m_motifFinPerteActiviteConservee = p_motifFinPerteActiviteConservee;
      ((DossierExamenPC)getPC()).setMotifFinPerteActiviteConservee(p_motifFinPerteActiviteConservee);
    }
    else if ((m_motifFinPerteActiviteConservee != null) && (p_motifFinPerteActiviteConservee != null) && (!p_motifFinPerteActiviteConservee.equals(m_motifFinPerteActiviteConservee)))
    {
      m_motifFinPerteActiviteConservee = p_motifFinPerteActiviteConservee;
      ((DossierExamenPC)getPC()).setMotifFinPerteActiviteConservee(p_motifFinPerteActiviteConservee);
    }
  }
  
  protected String rawGetTypeContributionParticuliere()
  {
    return ((DossierExamenPC)getPC()).getTypeContributionParticuliere();
  }
  
  public String getTypeContributionParticuliere()
  {
    return ((DossierExamenPC)getPC()).getTypeContributionParticuliere();
  }
  
  public void setTypeContributionParticuliere(String p_typeContributionParticuliere)
  {
    if ((m_typeContributionParticuliere == null) || (p_typeContributionParticuliere == null))
    {
      m_typeContributionParticuliere = p_typeContributionParticuliere;
      ((DossierExamenPC)getPC()).setTypeContributionParticuliere(p_typeContributionParticuliere);
    }
    else if ((m_typeContributionParticuliere != null) && (p_typeContributionParticuliere != null) && (!p_typeContributionParticuliere.equals(m_typeContributionParticuliere)))
    {
      m_typeContributionParticuliere = p_typeContributionParticuliere;
      ((DossierExamenPC)getPC()).setTypeContributionParticuliere(p_typeContributionParticuliere);
    }
  }
  
  public CompetenceSpec getCompetenceSousJacente()
  {
    if (m_competenceSousJacente == null)
    {
      DomPCSpec competenceSousJacentePC = ((DossierExamenPC)getPC()).getCompetenceSousJacente();
      if (competenceSousJacentePC != null) {
        m_competenceSousJacente = ((Competence)competenceSousJacentePC.createOM());
      }
    }
    return m_competenceSousJacente;
  }
  
  public void setCompetenceSousJacente(Competence p_competenceSousJacente)
  {
    if (p_competenceSousJacente == null)
    {
      ((DossierExamenPC)getPC()).setCompetenceSousJacente(null);
      m_competenceSousJacente = p_competenceSousJacente;
    }
    else if (!p_competenceSousJacente.equals(m_competenceSousJacente))
    {
      ((DossierExamenPC)getPC()).setCompetenceSousJacente(p_competenceSousJacente.getPC());
      m_competenceSousJacente = p_competenceSousJacente;
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
    
    Object conditionsAttributionAdmission = getConditionsAttributionAdmission();
    if ((conditionsAttributionAdmission != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(conditionsAttributionAdmission))) {
      DomManager.supprimer(getConditionsAttributionAdmission(), p_contexteSuppression);
    }
    Object constitutionElementsAdmission = getConstitutionElementsAdmission();
    if ((constitutionElementsAdmission != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(constitutionElementsAdmission))) {
      DomManager.supprimer(getConstitutionElementsAdmission(), p_contexteSuppression);
    }
    Object conditionsAttributionReprise = getConditionsAttributionReprise();
    if ((conditionsAttributionReprise != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(conditionsAttributionReprise))) {
      DomManager.supprimer(getConditionsAttributionReprise(), p_contexteSuppression);
    }
    Object constitutionElementsReprise = getConstitutionElementsReprise();
    if ((constitutionElementsReprise != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(constitutionElementsReprise))) {
      DomManager.supprimer(getConstitutionElementsReprise(), p_contexteSuppression);
    }
    Object constitutionElementsRevision = getConstitutionElementsRevision();
    if ((constitutionElementsRevision != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(constitutionElementsRevision))) {
      DomManager.supprimer(getConstitutionElementsRevision(), p_contexteSuppression);
    }
    Object conditionsAttributionRevision = getConditionsAttributionRevision();
    if ((conditionsAttributionRevision != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(conditionsAttributionRevision))) {
      DomManager.supprimer(getConditionsAttributionRevision(), p_contexteSuppression);
    }
    Object competence = getCompetence();
    if ((competence != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(competence))) {
      DomManager.supprimer(getCompetence(), p_contexteSuppression);
    }
    Object contributionParticuliere = getContributionParticuliere();
    if ((contributionParticuliere != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(contributionParticuliere))) {
      DomManager.supprimer(getContributionParticuliere(), p_contexteSuppression);
    }
    Object competenceSousJacente = getCompetenceSousJacente();
    if ((competenceSousJacente != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(competenceSousJacente))) {
      DomManager.supprimer(getCompetenceSousJacente(), p_contexteSuppression);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     DossierExamenGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */