package fr.unedic.cali.asu.cge01.p03.liquidation.dom.pc;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConstitutionElementsRevision;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.cali.asu.dom.Sjc;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import javax.jdo.JDOFatalInternalException;
import javax.jdo.JDOUnsupportedOptionException;
import javax.jdo.JDOUserException;
import javax.jdo.PersistenceManager;
import javax.jdo.spi.JDOImplHelper;
import javax.jdo.spi.JDOPermission;
import javax.jdo.spi.PersistenceCapable;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldConsumer;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldSupplier;
import javax.jdo.spi.StateManager;
import xcalia.lido.internal.sm.CommonStateManager;

public class ConstitutionElementsRevisionPC
  extends ConstitutionElementsAbstraitPC
  implements DomPCSpec, PersistenceCapable
{
  protected boolean m_presenceDonneesConstitutionDurees;
  protected boolean m_presenceDonneesConstitutionMontantsBruts;
  protected boolean m_presenceDonneesConstitutionSjr;
  protected boolean m_presenceDonneesConstitutionDelais;
  protected boolean m_presenceDonneesConstitutionSjc;
  protected boolean m_presenceDonneesConstitutionCoefficientTempsPartiel;
  protected boolean m_presenceDonneesConstitutionDateAttribution;
  protected boolean m_presenceDonneesConstitutionPointDepartIndemnisation;
  private transient ConstitutionElementsRevision m_constitutionElementsRevisionOM;
  protected Sjr m_sjrrpConstitutionSjr;
  protected int m_codeEmploiA2b;
  protected Periode m_periodeReference91joursConstitutionDelais;
  protected int m_typePmcConstitutionDelais;
  protected int m_nbJoursPMCConstitutionDelais;
  protected Damj m_debutPMCConstitutionDelais;
  protected Damj m_termePMCConstitutionDelais;
  protected int m_nbJoursCarenceICCPConstitutionDelais;
  protected Damj m_debutCarenceICCPConstitutionDelais;
  protected Damj m_termeCarenceICCPConstitutionDelais;
  protected int m_nbJoursCarenceISLRConstitutionDelais;
  protected Damj m_debutCarenceISLRConstitutionDelais;
  protected Damj m_termeCarenceISLRConstitutionDelais;
  protected int m_nbJoursCarenceDiffereConstitutionDelais;
  protected Damj m_debutCarenceDiffereConstitutionDelais;
  protected Damj m_termeCarenceDiffereConstitutionDelais;
  protected Sjc m_sjcrpConstitutionSjc;
  protected Damj m_dateAttributionConstitutionDateAttribution;
  protected Quantite m_montantJournalierBrutConstitutionMontantsBruts;
  protected Quantite m_capitalInitialBrutConstitutionMontantsBruts;
  protected Quantite m_montantMiniConstitutionMontantsBruts;
  protected Quantite m_montantPlancherConstitutionMontantsBruts;
  protected Quantite m_montantPlafondConstitutionMontantsBruts;
  protected Quantite m_montantBaseConstitutionMontantsBruts;
  protected Quantite m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts;
  protected Quantite m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts;
  protected Quantite m_montantJournalierAvantageVieillesseConstitutionMontantsBruts;
  protected Quantite m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts;
  protected Quantite m_crcConstitutionMontantsBruts;
  protected Damj m_pjiConstitutionPointDepartIndemnisation;
  protected BigDecimal m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel;
  protected Quantite m_dureeEffectiveConstitutionDurees;
  protected Quantite m_dureeTheoriqueConstitutionDurees;
  protected Quantite m_dureeImputationConstitutionDurees;
  protected BigDecimal m_salaireReferenceNonPlafonneConstitutionSjr;
  protected BigDecimal m_totalPrimesExceptionnellesRetenuesConstitutionSjr;
  protected BigDecimal m_totalPrimesNormalesRetenuesConstitutionSjr;
  protected BigDecimal m_totalSalairesRetenusConstitutionSjr;
  protected PrcPC m_prcConstitutionSjr;
  protected QuantiteEuro m_plafondSjrConstitutionSjr;
  protected QuantiteEuro m_sjrInitialConstitutionSjr;
  protected Damj m_dateEvenementConstitutionSjr;
  protected QuantiteEuro m_plafondConstitutionSjc;
  protected QuantiteEuro m_sjcInitialConstitutionSjc;
  protected Damj m_dateEvenementConstitutionSjc;
  protected BigDecimal m_sommeMontantRevisionConstitutionSjr;
  protected Collection m_collectionEnsembleCarencesConstitutionDelais;
  protected Collection m_listeDelaisReportsConstitutionDelais;
  protected Collection m_listeSjrActiviteConserveeConstitutionSjc;
  protected transient byte jdoFlags;
  protected transient StateManager jdoStateManager;
  private static int jdoInheritedFieldCount = 0;
  private static String[] jdoFieldNames = { "m_presenceDonneesConstitutionDurees", "m_presenceDonneesConstitutionMontantsBruts", "m_presenceDonneesConstitutionSjr", "m_presenceDonneesConstitutionDelais", "m_presenceDonneesConstitutionSjc", "m_presenceDonneesConstitutionCoefficientTempsPartiel", "m_presenceDonneesConstitutionDateAttribution", "m_presenceDonneesConstitutionPointDepartIndemnisation", "m_sjrrpConstitutionSjr", "m_codeEmploiA2b", "m_periodeReference91joursConstitutionDelais", "m_typePmcConstitutionDelais", "m_nbJoursPMCConstitutionDelais", "m_debutPMCConstitutionDelais", "m_termePMCConstitutionDelais", "m_nbJoursCarenceICCPConstitutionDelais", "m_debutCarenceICCPConstitutionDelais", "m_termeCarenceICCPConstitutionDelais", "m_nbJoursCarenceISLRConstitutionDelais", "m_debutCarenceISLRConstitutionDelais", "m_termeCarenceISLRConstitutionDelais", "m_nbJoursCarenceDiffereConstitutionDelais", "m_debutCarenceDiffereConstitutionDelais", "m_termeCarenceDiffereConstitutionDelais", "m_sjcrpConstitutionSjc", "m_dateAttributionConstitutionDateAttribution", "m_montantJournalierBrutConstitutionMontantsBruts", "m_capitalInitialBrutConstitutionMontantsBruts", "m_montantMiniConstitutionMontantsBruts", "m_montantPlancherConstitutionMontantsBruts", "m_montantPlafondConstitutionMontantsBruts", "m_montantBaseConstitutionMontantsBruts", "m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts", "m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts", "m_montantJournalierAvantageVieillesseConstitutionMontantsBruts", "m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts", "m_crcConstitutionMontantsBruts", "m_pjiConstitutionPointDepartIndemnisation", "m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel", "m_dureeEffectiveConstitutionDurees", "m_dureeTheoriqueConstitutionDurees", "m_dureeImputationConstitutionDurees", "m_salaireReferenceNonPlafonneConstitutionSjr", "m_totalPrimesExceptionnellesRetenuesConstitutionSjr", "m_totalPrimesNormalesRetenuesConstitutionSjr", "m_totalSalairesRetenusConstitutionSjr", "m_prcConstitutionSjr", "m_plafondSjrConstitutionSjr", "m_sjrInitialConstitutionSjr", "m_dateEvenementConstitutionSjr", "m_plafondConstitutionSjc", "m_sjcInitialConstitutionSjc", "m_dateEvenementConstitutionSjc", "m_sommeMontantRevisionConstitutionSjr", "m_collectionEnsembleCarencesConstitutionDelais", "m_listeDelaisReportsConstitutionDelais", "m_listeSjrActiviteConserveeConstitutionSjc" };
  private static Class[] jdoFieldTypes = { Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Sjr.class, Integer.TYPE, Periode.class, Integer.TYPE, Integer.TYPE, Damj.class, Damj.class, Integer.TYPE, Damj.class, Damj.class, Integer.TYPE, Damj.class, Damj.class, Integer.TYPE, Damj.class, Damj.class, Sjc.class, Damj.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Damj.class, BigDecimal.class, Quantite.class, Quantite.class, Quantite.class, BigDecimal.class, BigDecimal.class, BigDecimal.class, BigDecimal.class, PrcPC.class, QuantiteEuro.class, QuantiteEuro.class, Damj.class, QuantiteEuro.class, QuantiteEuro.class, Damj.class, BigDecimal.class, Collection.class, Collection.class, Collection.class };
  private static byte[] jdoFieldFlags = { (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE) };
  private static Class jdoPersistenceCapableSuperclass = null;
  
  public ConstitutionElementsRevisionPC()
  {
    jdoSetm_presenceDonneesConstitutionDurees(this, false);
    jdoSetm_presenceDonneesConstitutionMontantsBruts(this, false);
    jdoSetm_presenceDonneesConstitutionSjr(this, false);
    jdoSetm_presenceDonneesConstitutionDelais(this, false);
    jdoSetm_presenceDonneesConstitutionSjc(this, false);
    jdoSetm_presenceDonneesConstitutionCoefficientTempsPartiel(this, false);
    jdoSetm_presenceDonneesConstitutionDateAttribution(this, false);
    jdoSetm_presenceDonneesConstitutionPointDepartIndemnisation(this, false);
    
    jdoSetm_typePmcConstitutionDelais(this, 1);
    
    jdoSetm_crcConstitutionMontantsBruts(this, null);
  }
  
  public Object createOM()
  {
    if (m_constitutionElementsRevisionOM == null) {
      m_constitutionElementsRevisionOM = new ConstitutionElementsRevision(this);
    }
    return m_constitutionElementsRevisionOM;
  }
  
  public boolean isPresenceDonneesConstitutionDurees()
  {
    return jdoGetm_presenceDonneesConstitutionDurees(this);
  }
  
  public final void setPresenceDonneesConstitutionDurees(boolean p_presenceDonneesConstitutionDurees)
  {
    jdoSetm_presenceDonneesConstitutionDurees(this, p_presenceDonneesConstitutionDurees);
  }
  
  public boolean isPresenceDonneesConstitutionMontantsBruts()
  {
    return jdoGetm_presenceDonneesConstitutionMontantsBruts(this);
  }
  
  public final void setPresenceDonneesConstitutionMontantsBruts(boolean p_presenceDonneesConstitutionMontantsBruts)
  {
    jdoSetm_presenceDonneesConstitutionMontantsBruts(this, p_presenceDonneesConstitutionMontantsBruts);
  }
  
  public boolean isPresenceDonneesConstitutionSjr()
  {
    return jdoGetm_presenceDonneesConstitutionSjr(this);
  }
  
  public final void setPresenceDonneesConstitutionSjr(boolean p_presenceDonneesConstitutionSjr)
  {
    jdoSetm_presenceDonneesConstitutionSjr(this, p_presenceDonneesConstitutionSjr);
  }
  
  public boolean isPresenceDonneesConstitutionDelais()
  {
    return jdoGetm_presenceDonneesConstitutionDelais(this);
  }
  
  public final void setPresenceDonneesConstitutionDelais(boolean p_presenceDonneesConstitutionDelais)
  {
    jdoSetm_presenceDonneesConstitutionDelais(this, p_presenceDonneesConstitutionDelais);
  }
  
  public boolean isPresenceDonneesConstitutionSjc()
  {
    return jdoGetm_presenceDonneesConstitutionSjc(this);
  }
  
  public final void setPresenceDonneesConstitutionSjc(boolean p_presenceDonneesConstitutionSjc)
  {
    jdoSetm_presenceDonneesConstitutionSjc(this, p_presenceDonneesConstitutionSjc);
  }
  
  public boolean isPresenceDonneesConstitutionCoefficientTempsPartiel()
  {
    return jdoGetm_presenceDonneesConstitutionCoefficientTempsPartiel(this);
  }
  
  public final void setPresenceDonneesConstitutionCoefficientTempsPartiel(boolean p_presenceDonneesConstitutionCoefficientTempsPartiel)
  {
    jdoSetm_presenceDonneesConstitutionCoefficientTempsPartiel(this, p_presenceDonneesConstitutionCoefficientTempsPartiel);
  }
  
  public boolean isPresenceDonneesConstitutionDateAttribution()
  {
    return jdoGetm_presenceDonneesConstitutionDateAttribution(this);
  }
  
  public final void setPresenceDonneesConstitutionDateAttribution(boolean p_presenceDonneesConstitutionDateAttribution)
  {
    jdoSetm_presenceDonneesConstitutionDateAttribution(this, p_presenceDonneesConstitutionDateAttribution);
  }
  
  public boolean isPresenceDonneesConstitutionPointDepartIndemnisation()
  {
    return jdoGetm_presenceDonneesConstitutionPointDepartIndemnisation(this);
  }
  
  public final void setPresenceDonneesConstitutionPointDepartIndemnisation(boolean p_presenceDonneesConstitutionPointDepartIndemnisation)
  {
    jdoSetm_presenceDonneesConstitutionPointDepartIndemnisation(this, p_presenceDonneesConstitutionPointDepartIndemnisation);
  }
  
  public Sjr getSjrrpConstitutionSjr()
  {
    return jdoGetm_sjrrpConstitutionSjr(this);
  }
  
  public final void setSjrrpConstitutionSjr(Sjr p_sjrrpConstitutionSjr)
  {
    jdoSetm_sjrrpConstitutionSjr(this, p_sjrrpConstitutionSjr);
  }
  
  public int getCodeEmploiA2b()
  {
    return jdoGetm_codeEmploiA2b(this);
  }
  
  public final void setCodeEmploiA2b(int p_codeEmploiA2b)
  {
    jdoSetm_codeEmploiA2b(this, p_codeEmploiA2b);
  }
  
  public Periode getPeriodeReference91joursConstitutionDelais()
  {
    return jdoGetm_periodeReference91joursConstitutionDelais(this);
  }
  
  public final void setPeriodeReference91joursConstitutionDelais(Periode p_periodeReference91joursConstitutionDelais)
  {
    jdoSetm_periodeReference91joursConstitutionDelais(this, p_periodeReference91joursConstitutionDelais);
  }
  
  public int getTypePmcConstitutionDelais()
  {
    return jdoGetm_typePmcConstitutionDelais(this);
  }
  
  public final void setTypePmcConstitutionDelais(int p_typePmcConstitutionDelais)
  {
    jdoSetm_typePmcConstitutionDelais(this, p_typePmcConstitutionDelais);
  }
  
  public int getNbJoursPMCConstitutionDelais()
  {
    return jdoGetm_nbJoursPMCConstitutionDelais(this);
  }
  
  public final void setNbJoursPMCConstitutionDelais(int p_nbJoursPMCConstitutionDelais)
  {
    jdoSetm_nbJoursPMCConstitutionDelais(this, p_nbJoursPMCConstitutionDelais);
  }
  
  public Damj getDebutPMCConstitutionDelais()
  {
    return jdoGetm_debutPMCConstitutionDelais(this);
  }
  
  public final void setDebutPMCConstitutionDelais(Damj p_debutPMCConstitutionDelais)
  {
    jdoSetm_debutPMCConstitutionDelais(this, p_debutPMCConstitutionDelais);
  }
  
  public Damj getTermePMCConstitutionDelais()
  {
    return jdoGetm_termePMCConstitutionDelais(this);
  }
  
  public final void setTermePMCConstitutionDelais(Damj p_termePMCConstitutionDelais)
  {
    jdoSetm_termePMCConstitutionDelais(this, p_termePMCConstitutionDelais);
  }
  
  public int getNbJoursCarenceICCPConstitutionDelais()
  {
    return jdoGetm_nbJoursCarenceICCPConstitutionDelais(this);
  }
  
  public final void setNbJoursCarenceICCPConstitutionDelais(int p_nbJoursCarenceICCPConstitutionDelais)
  {
    jdoSetm_nbJoursCarenceICCPConstitutionDelais(this, p_nbJoursCarenceICCPConstitutionDelais);
  }
  
  public Damj getDebutCarenceICCPConstitutionDelais()
  {
    return jdoGetm_debutCarenceICCPConstitutionDelais(this);
  }
  
  public final void setDebutCarenceICCPConstitutionDelais(Damj p_debutCarenceICCPConstitutionDelais)
  {
    jdoSetm_debutCarenceICCPConstitutionDelais(this, p_debutCarenceICCPConstitutionDelais);
  }
  
  public Damj getTermeCarenceICCPConstitutionDelais()
  {
    return jdoGetm_termeCarenceICCPConstitutionDelais(this);
  }
  
  public final void setTermeCarenceICCPConstitutionDelais(Damj p_termeCarenceICCPConstitutionDelais)
  {
    jdoSetm_termeCarenceICCPConstitutionDelais(this, p_termeCarenceICCPConstitutionDelais);
  }
  
  public int getNbJoursCarenceISLRConstitutionDelais()
  {
    return jdoGetm_nbJoursCarenceISLRConstitutionDelais(this);
  }
  
  public final void setNbJoursCarenceISLRConstitutionDelais(int p_nbJoursCarenceISLRConstitutionDelais)
  {
    jdoSetm_nbJoursCarenceISLRConstitutionDelais(this, p_nbJoursCarenceISLRConstitutionDelais);
  }
  
  public Damj getDebutCarenceISLRConstitutionDelais()
  {
    return jdoGetm_debutCarenceISLRConstitutionDelais(this);
  }
  
  public final void setDebutCarenceISLRConstitutionDelais(Damj p_debutCarenceISLRConstitutionDelais)
  {
    jdoSetm_debutCarenceISLRConstitutionDelais(this, p_debutCarenceISLRConstitutionDelais);
  }
  
  public Damj getTermeCarenceISLRConstitutionDelais()
  {
    return jdoGetm_termeCarenceISLRConstitutionDelais(this);
  }
  
  public final void setTermeCarenceISLRConstitutionDelais(Damj p_termeCarenceISLRConstitutionDelais)
  {
    jdoSetm_termeCarenceISLRConstitutionDelais(this, p_termeCarenceISLRConstitutionDelais);
  }
  
  public int getNbJoursCarenceDiffereConstitutionDelais()
  {
    return jdoGetm_nbJoursCarenceDiffereConstitutionDelais(this);
  }
  
  public final void setNbJoursCarenceDiffereConstitutionDelais(int p_nbJoursCarenceDiffereConstitutionDelais)
  {
    jdoSetm_nbJoursCarenceDiffereConstitutionDelais(this, p_nbJoursCarenceDiffereConstitutionDelais);
  }
  
  public Damj getDebutCarenceDiffereConstitutionDelais()
  {
    return jdoGetm_debutCarenceDiffereConstitutionDelais(this);
  }
  
  public final void setDebutCarenceDiffereConstitutionDelais(Damj p_debutCarenceDiffereConstitutionDelais)
  {
    jdoSetm_debutCarenceDiffereConstitutionDelais(this, p_debutCarenceDiffereConstitutionDelais);
  }
  
  public Damj getTermeCarenceDiffereConstitutionDelais()
  {
    return jdoGetm_termeCarenceDiffereConstitutionDelais(this);
  }
  
  public final void setTermeCarenceDiffereConstitutionDelais(Damj p_termeCarenceDiffereConstitutionDelais)
  {
    jdoSetm_termeCarenceDiffereConstitutionDelais(this, p_termeCarenceDiffereConstitutionDelais);
  }
  
  public Sjc getSjcrpConstitutionSjc()
  {
    return jdoGetm_sjcrpConstitutionSjc(this);
  }
  
  public final void setSjcrpConstitutionSjc(Sjc p_sjcrpConstitutionSjc)
  {
    jdoSetm_sjcrpConstitutionSjc(this, p_sjcrpConstitutionSjc);
  }
  
  public Damj getDateAttributionConstitutionDateAttribution()
  {
    return jdoGetm_dateAttributionConstitutionDateAttribution(this);
  }
  
  public final void setDateAttributionConstitutionDateAttribution(Damj p_dateAttributionConstitutionDateAttribution)
  {
    jdoSetm_dateAttributionConstitutionDateAttribution(this, p_dateAttributionConstitutionDateAttribution);
  }
  
  public Quantite getMontantJournalierBrutConstitutionMontantsBruts()
  {
    return jdoGetm_montantJournalierBrutConstitutionMontantsBruts(this);
  }
  
  public final void setMontantJournalierBrutConstitutionMontantsBruts(Quantite p_montantJournalierBrutConstitutionMontantsBruts)
  {
    jdoSetm_montantJournalierBrutConstitutionMontantsBruts(this, p_montantJournalierBrutConstitutionMontantsBruts);
  }
  
  public Quantite getCapitalInitialBrutConstitutionMontantsBruts()
  {
    return jdoGetm_capitalInitialBrutConstitutionMontantsBruts(this);
  }
  
  public final void setCapitalInitialBrutConstitutionMontantsBruts(Quantite p_capitalInitialBrutConstitutionMontantsBruts)
  {
    jdoSetm_capitalInitialBrutConstitutionMontantsBruts(this, p_capitalInitialBrutConstitutionMontantsBruts);
  }
  
  public Quantite getMontantMiniConstitutionMontantsBruts()
  {
    return jdoGetm_montantMiniConstitutionMontantsBruts(this);
  }
  
  public final void setMontantMiniConstitutionMontantsBruts(Quantite p_montantMiniConstitutionMontantsBruts)
  {
    jdoSetm_montantMiniConstitutionMontantsBruts(this, p_montantMiniConstitutionMontantsBruts);
  }
  
  public Quantite getMontantPlancherConstitutionMontantsBruts()
  {
    return jdoGetm_montantPlancherConstitutionMontantsBruts(this);
  }
  
  public final void setMontantPlancherConstitutionMontantsBruts(Quantite p_montantPlancherConstitutionMontantsBruts)
  {
    jdoSetm_montantPlancherConstitutionMontantsBruts(this, p_montantPlancherConstitutionMontantsBruts);
  }
  
  public Quantite getMontantPlafondConstitutionMontantsBruts()
  {
    return jdoGetm_montantPlafondConstitutionMontantsBruts(this);
  }
  
  public final void setMontantPlafondConstitutionMontantsBruts(Quantite p_montantPlafondConstitutionMontantsBruts)
  {
    jdoSetm_montantPlafondConstitutionMontantsBruts(this, p_montantPlafondConstitutionMontantsBruts);
  }
  
  public Quantite getMontantBaseConstitutionMontantsBruts()
  {
    return jdoGetm_montantBaseConstitutionMontantsBruts(this);
  }
  
  public final void setMontantBaseConstitutionMontantsBruts(Quantite p_montantBaseConstitutionMontantsBruts)
  {
    jdoSetm_montantBaseConstitutionMontantsBruts(this, p_montantBaseConstitutionMontantsBruts);
  }
  
  public Quantite getPensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts()
  {
    return jdoGetm_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts(this);
  }
  
  public final void setPensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts(Quantite p_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts)
  {
    jdoSetm_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts(this, p_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts);
  }
  
  public Quantite getMontantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts()
  {
    return jdoGetm_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts(this);
  }
  
  public final void setMontantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts(Quantite p_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts)
  {
    jdoSetm_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts(this, p_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts);
  }
  
  public Quantite getMontantJournalierAvantageVieillesseConstitutionMontantsBruts()
  {
    return jdoGetm_montantJournalierAvantageVieillesseConstitutionMontantsBruts(this);
  }
  
  public final void setMontantJournalierAvantageVieillesseConstitutionMontantsBruts(Quantite p_montantJournalierAvantageVieillesseConstitutionMontantsBruts)
  {
    jdoSetm_montantJournalierAvantageVieillesseConstitutionMontantsBruts(this, p_montantJournalierAvantageVieillesseConstitutionMontantsBruts);
  }
  
  public Quantite getMontantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts()
  {
    return jdoGetm_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(this);
  }
  
  public final void setMontantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(Quantite p_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts)
  {
    jdoSetm_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(this, p_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts);
  }
  
  public Quantite getCrcConstitutionMontantsBruts()
  {
    return jdoGetm_crcConstitutionMontantsBruts(this);
  }
  
  public final void setCrcConstitutionMontantsBruts(Quantite p_crcConstitutionMontantsBruts)
  {
    jdoSetm_crcConstitutionMontantsBruts(this, p_crcConstitutionMontantsBruts);
  }
  
  public Damj getPjiConstitutionPointDepartIndemnisation()
  {
    return jdoGetm_pjiConstitutionPointDepartIndemnisation(this);
  }
  
  public final void setPjiConstitutionPointDepartIndemnisation(Damj p_pjiConstitutionPointDepartIndemnisation)
  {
    jdoSetm_pjiConstitutionPointDepartIndemnisation(this, p_pjiConstitutionPointDepartIndemnisation);
  }
  
  public BigDecimal getCoefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel()
  {
    return jdoGetm_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel(this);
  }
  
  public final void setCoefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel(BigDecimal p_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel)
  {
    jdoSetm_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel(this, p_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel);
  }
  
  public Quantite getDureeEffectiveConstitutionDurees()
  {
    return jdoGetm_dureeEffectiveConstitutionDurees(this);
  }
  
  public final void setDureeEffectiveConstitutionDurees(Quantite p_dureeEffectiveConstitutionDurees)
  {
    jdoSetm_dureeEffectiveConstitutionDurees(this, p_dureeEffectiveConstitutionDurees);
  }
  
  public Quantite getDureeTheoriqueConstitutionDurees()
  {
    return jdoGetm_dureeTheoriqueConstitutionDurees(this);
  }
  
  public final void setDureeTheoriqueConstitutionDurees(Quantite p_dureeTheoriqueConstitutionDurees)
  {
    jdoSetm_dureeTheoriqueConstitutionDurees(this, p_dureeTheoriqueConstitutionDurees);
  }
  
  public Quantite getDureeImputationConstitutionDurees()
  {
    return jdoGetm_dureeImputationConstitutionDurees(this);
  }
  
  public final void setDureeImputationConstitutionDurees(Quantite p_dureeImputationConstitutionDurees)
  {
    jdoSetm_dureeImputationConstitutionDurees(this, p_dureeImputationConstitutionDurees);
  }
  
  public BigDecimal getSalaireReferenceNonPlafonneConstitutionSjr()
  {
    return jdoGetm_salaireReferenceNonPlafonneConstitutionSjr(this);
  }
  
  public final void setSalaireReferenceNonPlafonneConstitutionSjr(BigDecimal p_salaireReferenceNonPlafonneConstitutionSjr)
  {
    jdoSetm_salaireReferenceNonPlafonneConstitutionSjr(this, p_salaireReferenceNonPlafonneConstitutionSjr);
  }
  
  public BigDecimal getTotalPrimesExceptionnellesRetenuesConstitutionSjr()
  {
    return jdoGetm_totalPrimesExceptionnellesRetenuesConstitutionSjr(this);
  }
  
  public final void setTotalPrimesExceptionnellesRetenuesConstitutionSjr(BigDecimal p_totalPrimesExceptionnellesRetenuesConstitutionSjr)
  {
    jdoSetm_totalPrimesExceptionnellesRetenuesConstitutionSjr(this, p_totalPrimesExceptionnellesRetenuesConstitutionSjr);
  }
  
  public BigDecimal getTotalPrimesNormalesRetenuesConstitutionSjr()
  {
    return jdoGetm_totalPrimesNormalesRetenuesConstitutionSjr(this);
  }
  
  public final void setTotalPrimesNormalesRetenuesConstitutionSjr(BigDecimal p_totalPrimesNormalesRetenuesConstitutionSjr)
  {
    jdoSetm_totalPrimesNormalesRetenuesConstitutionSjr(this, p_totalPrimesNormalesRetenuesConstitutionSjr);
  }
  
  public BigDecimal getTotalSalairesRetenusConstitutionSjr()
  {
    return jdoGetm_totalSalairesRetenusConstitutionSjr(this);
  }
  
  public final void setTotalSalairesRetenusConstitutionSjr(BigDecimal p_totalSalairesRetenusConstitutionSjr)
  {
    jdoSetm_totalSalairesRetenusConstitutionSjr(this, p_totalSalairesRetenusConstitutionSjr);
  }
  
  public DomPCSpec getPrcConstitutionSjr()
  {
    return jdoGetm_prcConstitutionSjr(this);
  }
  
  public final void setPrcConstitutionSjr(DomPCSpec p_prcConstitutionSjr)
  {
    jdoSetm_prcConstitutionSjr(this, (PrcPC)p_prcConstitutionSjr);
  }
  
  public QuantiteEuro getPlafondSjrConstitutionSjr()
  {
    return jdoGetm_plafondSjrConstitutionSjr(this);
  }
  
  public final void setPlafondSjrConstitutionSjr(QuantiteEuro p_plafondSjrConstitutionSjr)
  {
    jdoSetm_plafondSjrConstitutionSjr(this, p_plafondSjrConstitutionSjr);
  }
  
  public QuantiteEuro getSjrInitialConstitutionSjr()
  {
    return jdoGetm_sjrInitialConstitutionSjr(this);
  }
  
  public final void setSjrInitialConstitutionSjr(QuantiteEuro p_sjrInitialConstitutionSjr)
  {
    jdoSetm_sjrInitialConstitutionSjr(this, p_sjrInitialConstitutionSjr);
  }
  
  public Damj getDateEvenementConstitutionSjr()
  {
    return jdoGetm_dateEvenementConstitutionSjr(this);
  }
  
  public final void setDateEvenementConstitutionSjr(Damj p_dateEvenementConstitutionSjr)
  {
    jdoSetm_dateEvenementConstitutionSjr(this, p_dateEvenementConstitutionSjr);
  }
  
  public QuantiteEuro getPlafondConstitutionSjc()
  {
    return jdoGetm_plafondConstitutionSjc(this);
  }
  
  public final void setPlafondConstitutionSjc(QuantiteEuro p_plafondConstitutionSjc)
  {
    jdoSetm_plafondConstitutionSjc(this, p_plafondConstitutionSjc);
  }
  
  public QuantiteEuro getSjcInitialConstitutionSjc()
  {
    return jdoGetm_sjcInitialConstitutionSjc(this);
  }
  
  public final void setSjcInitialConstitutionSjc(QuantiteEuro p_sjcInitialConstitutionSjc)
  {
    jdoSetm_sjcInitialConstitutionSjc(this, p_sjcInitialConstitutionSjc);
  }
  
  public Damj getDateEvenementConstitutionSjc()
  {
    return jdoGetm_dateEvenementConstitutionSjc(this);
  }
  
  public final void setDateEvenementConstitutionSjc(Damj p_dateEvenementConstitutionSjc)
  {
    jdoSetm_dateEvenementConstitutionSjc(this, p_dateEvenementConstitutionSjc);
  }
  
  public BigDecimal getSommeMontantRevisionConstitutionSjr()
  {
    return jdoGetm_sommeMontantRevisionConstitutionSjr(this);
  }
  
  public final void setSommeMontantRevisionConstitutionSjr(BigDecimal p_sommeMontantRevisionConstitutionSjr)
  {
    jdoSetm_sommeMontantRevisionConstitutionSjr(this, p_sommeMontantRevisionConstitutionSjr);
  }
  
  public final Collection getCollectionEnsembleCarences()
  {
    if (jdoGetm_collectionEnsembleCarencesConstitutionDelais(this) == null) {
      jdoSetm_collectionEnsembleCarencesConstitutionDelais(this, new ArrayList());
    }
    return jdoGetm_collectionEnsembleCarencesConstitutionDelais(this);
  }
  
  public final void ajouterEnsembleCarences(DomPCSpec p_ensembleCarencesConstitutionDelais)
    throws NullPointerException
  {
    if (p_ensembleCarencesConstitutionDelais == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_ensembleCarencesConstitutionDelais ne devrait pas être nul.", p_ensembleCarencesConstitutionDelais);
    }
    getCollectionEnsembleCarences().add(p_ensembleCarencesConstitutionDelais);
  }
  
  public final void supprimerEnsembleCarences(DomPCSpec p_ensembleCarencesConstitutionDelais)
    throws NullPointerException
  {
    if (p_ensembleCarencesConstitutionDelais == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_ensembleCarencesConstitutionDelais ne devrait pas être nul.", p_ensembleCarencesConstitutionDelais);
    }
    getCollectionEnsembleCarences().remove(p_ensembleCarencesConstitutionDelais);
  }
  
  public final Collection getCollectionDelaisReports()
  {
    if (jdoGetm_listeDelaisReportsConstitutionDelais(this) == null) {
      jdoSetm_listeDelaisReportsConstitutionDelais(this, new ArrayList());
    }
    return jdoGetm_listeDelaisReportsConstitutionDelais(this);
  }
  
  public final void ajouterDelaisReports(DomPCSpec p_delaisReportsConstitutionDelais)
    throws NullPointerException
  {
    if (p_delaisReportsConstitutionDelais == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_delaisReportsConstitutionDelais ne devrait pas être nul.", p_delaisReportsConstitutionDelais);
    }
    getCollectionDelaisReports().add(p_delaisReportsConstitutionDelais);
  }
  
  public final void supprimerDelaisReports(DomPCSpec p_delaisReportsConstitutionDelais)
    throws NullPointerException
  {
    if (p_delaisReportsConstitutionDelais == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_delaisReportsConstitutionDelais ne devrait pas être nul.", p_delaisReportsConstitutionDelais);
    }
    getCollectionDelaisReports().remove(p_delaisReportsConstitutionDelais);
  }
  
  public final Collection getCollectionSjrActiviteConservee()
  {
    if (jdoGetm_listeSjrActiviteConserveeConstitutionSjc(this) == null) {
      jdoSetm_listeSjrActiviteConserveeConstitutionSjc(this, new ArrayList());
    }
    return jdoGetm_listeSjrActiviteConserveeConstitutionSjc(this);
  }
  
  public final void ajouterSjrActiviteConservee(DomPCSpec p_sjrActiviteConserveeConstitutionSjc)
    throws NullPointerException
  {
    if (p_sjrActiviteConserveeConstitutionSjc == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_sjrActiviteConserveeConstitutionSjc ne devrait pas être nul.", p_sjrActiviteConserveeConstitutionSjc);
    }
    getCollectionSjrActiviteConservee().add(p_sjrActiviteConserveeConstitutionSjc);
  }
  
  public final void supprimerSjrActiviteConservee(DomPCSpec p_sjrActiviteConserveeConstitutionSjc)
    throws NullPointerException
  {
    if (p_sjrActiviteConserveeConstitutionSjc == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_sjrActiviteConserveeConstitutionSjc ne devrait pas être nul.", p_sjrActiviteConserveeConstitutionSjc);
    }
    getCollectionSjrActiviteConservee().remove(p_sjrActiviteConserveeConstitutionSjc);
  }
  
  static
  {
    JDOImplHelper.registerClass(ConstitutionElementsRevisionPC.class, jdoFieldNames, jdoFieldTypes, jdoFieldFlags, jdoPersistenceCapableSuperclass, new ConstitutionElementsRevisionPC());
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionDurees(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 0)) {
        return m_presenceDonneesConstitutionDurees;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 0, m_presenceDonneesConstitutionDurees);
    }
    return m_presenceDonneesConstitutionDurees;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 1)) {
        return m_presenceDonneesConstitutionMontantsBruts;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 1, m_presenceDonneesConstitutionMontantsBruts);
    }
    return m_presenceDonneesConstitutionMontantsBruts;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionSjr(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 2)) {
        return m_presenceDonneesConstitutionSjr;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 2, m_presenceDonneesConstitutionSjr);
    }
    return m_presenceDonneesConstitutionSjr;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionDelais(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 3)) {
        return m_presenceDonneesConstitutionDelais;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 3, m_presenceDonneesConstitutionDelais);
    }
    return m_presenceDonneesConstitutionDelais;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionSjc(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionSjc;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 4)) {
        return m_presenceDonneesConstitutionSjc;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 4, m_presenceDonneesConstitutionSjc);
    }
    return m_presenceDonneesConstitutionSjc;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionCoefficientTempsPartiel(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionCoefficientTempsPartiel;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 5)) {
        return m_presenceDonneesConstitutionCoefficientTempsPartiel;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 5, m_presenceDonneesConstitutionCoefficientTempsPartiel);
    }
    return m_presenceDonneesConstitutionCoefficientTempsPartiel;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionDateAttribution(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionDateAttribution;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 6)) {
        return m_presenceDonneesConstitutionDateAttribution;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 6, m_presenceDonneesConstitutionDateAttribution);
    }
    return m_presenceDonneesConstitutionDateAttribution;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionPointDepartIndemnisation(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionPointDepartIndemnisation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 7)) {
        return m_presenceDonneesConstitutionPointDepartIndemnisation;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 7, m_presenceDonneesConstitutionPointDepartIndemnisation);
    }
    return m_presenceDonneesConstitutionPointDepartIndemnisation;
  }
  
  protected static final Sjr jdoGetm_sjrrpConstitutionSjr(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjrrpConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 8)) {
        return m_sjrrpConstitutionSjr;
      }
      return (Sjr)sm.getObjectField(pc, jdoInheritedFieldCount + 8, m_sjrrpConstitutionSjr);
    }
    return m_sjrrpConstitutionSjr;
  }
  
  protected static final int jdoGetm_codeEmploiA2b(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeEmploiA2b;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 9)) {
        return m_codeEmploiA2b;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 9, m_codeEmploiA2b);
    }
    return m_codeEmploiA2b;
  }
  
  protected static final Periode jdoGetm_periodeReference91joursConstitutionDelais(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_periodeReference91joursConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 10)) {
        return m_periodeReference91joursConstitutionDelais;
      }
      return (Periode)sm.getObjectField(pc, jdoInheritedFieldCount + 10, m_periodeReference91joursConstitutionDelais);
    }
    return m_periodeReference91joursConstitutionDelais;
  }
  
  protected static final int jdoGetm_typePmcConstitutionDelais(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_typePmcConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 11)) {
        return m_typePmcConstitutionDelais;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 11, m_typePmcConstitutionDelais);
    }
    return m_typePmcConstitutionDelais;
  }
  
  protected static final int jdoGetm_nbJoursPMCConstitutionDelais(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJoursPMCConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 12)) {
        return m_nbJoursPMCConstitutionDelais;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 12, m_nbJoursPMCConstitutionDelais);
    }
    return m_nbJoursPMCConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_debutPMCConstitutionDelais(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_debutPMCConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 13)) {
        return m_debutPMCConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 13, m_debutPMCConstitutionDelais);
    }
    return m_debutPMCConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_termePMCConstitutionDelais(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_termePMCConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 14)) {
        return m_termePMCConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 14, m_termePMCConstitutionDelais);
    }
    return m_termePMCConstitutionDelais;
  }
  
  protected static final int jdoGetm_nbJoursCarenceICCPConstitutionDelais(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJoursCarenceICCPConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 15)) {
        return m_nbJoursCarenceICCPConstitutionDelais;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 15, m_nbJoursCarenceICCPConstitutionDelais);
    }
    return m_nbJoursCarenceICCPConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_debutCarenceICCPConstitutionDelais(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_debutCarenceICCPConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 16)) {
        return m_debutCarenceICCPConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 16, m_debutCarenceICCPConstitutionDelais);
    }
    return m_debutCarenceICCPConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_termeCarenceICCPConstitutionDelais(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_termeCarenceICCPConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 17)) {
        return m_termeCarenceICCPConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 17, m_termeCarenceICCPConstitutionDelais);
    }
    return m_termeCarenceICCPConstitutionDelais;
  }
  
  protected static final int jdoGetm_nbJoursCarenceISLRConstitutionDelais(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJoursCarenceISLRConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 18)) {
        return m_nbJoursCarenceISLRConstitutionDelais;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 18, m_nbJoursCarenceISLRConstitutionDelais);
    }
    return m_nbJoursCarenceISLRConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_debutCarenceISLRConstitutionDelais(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_debutCarenceISLRConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 19)) {
        return m_debutCarenceISLRConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 19, m_debutCarenceISLRConstitutionDelais);
    }
    return m_debutCarenceISLRConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_termeCarenceISLRConstitutionDelais(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_termeCarenceISLRConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 20)) {
        return m_termeCarenceISLRConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 20, m_termeCarenceISLRConstitutionDelais);
    }
    return m_termeCarenceISLRConstitutionDelais;
  }
  
  protected static final int jdoGetm_nbJoursCarenceDiffereConstitutionDelais(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJoursCarenceDiffereConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 21)) {
        return m_nbJoursCarenceDiffereConstitutionDelais;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 21, m_nbJoursCarenceDiffereConstitutionDelais);
    }
    return m_nbJoursCarenceDiffereConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_debutCarenceDiffereConstitutionDelais(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_debutCarenceDiffereConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 22)) {
        return m_debutCarenceDiffereConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 22, m_debutCarenceDiffereConstitutionDelais);
    }
    return m_debutCarenceDiffereConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_termeCarenceDiffereConstitutionDelais(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_termeCarenceDiffereConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 23)) {
        return m_termeCarenceDiffereConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 23, m_termeCarenceDiffereConstitutionDelais);
    }
    return m_termeCarenceDiffereConstitutionDelais;
  }
  
  protected static final Sjc jdoGetm_sjcrpConstitutionSjc(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjcrpConstitutionSjc;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 24)) {
        return m_sjcrpConstitutionSjc;
      }
      return (Sjc)sm.getObjectField(pc, jdoInheritedFieldCount + 24, m_sjcrpConstitutionSjc);
    }
    return m_sjcrpConstitutionSjc;
  }
  
  protected static final Damj jdoGetm_dateAttributionConstitutionDateAttribution(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateAttributionConstitutionDateAttribution;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 25)) {
        return m_dateAttributionConstitutionDateAttribution;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 25, m_dateAttributionConstitutionDateAttribution);
    }
    return m_dateAttributionConstitutionDateAttribution;
  }
  
  protected static final Quantite jdoGetm_montantJournalierBrutConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantJournalierBrutConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 26)) {
        return m_montantJournalierBrutConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 26, m_montantJournalierBrutConstitutionMontantsBruts);
    }
    return m_montantJournalierBrutConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_capitalInitialBrutConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_capitalInitialBrutConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 27)) {
        return m_capitalInitialBrutConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 27, m_capitalInitialBrutConstitutionMontantsBruts);
    }
    return m_capitalInitialBrutConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_montantMiniConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantMiniConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 28)) {
        return m_montantMiniConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 28, m_montantMiniConstitutionMontantsBruts);
    }
    return m_montantMiniConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_montantPlancherConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantPlancherConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 29)) {
        return m_montantPlancherConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 29, m_montantPlancherConstitutionMontantsBruts);
    }
    return m_montantPlancherConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_montantPlafondConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantPlafondConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 30)) {
        return m_montantPlafondConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 30, m_montantPlafondConstitutionMontantsBruts);
    }
    return m_montantPlafondConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_montantBaseConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantBaseConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 31)) {
        return m_montantBaseConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 31, m_montantBaseConstitutionMontantsBruts);
    }
    return m_montantBaseConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 32)) {
        return m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 32, m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts);
    }
    return m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 33)) {
        return m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 33, m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts);
    }
    return m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_montantJournalierAvantageVieillesseConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantJournalierAvantageVieillesseConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 34)) {
        return m_montantJournalierAvantageVieillesseConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 34, m_montantJournalierAvantageVieillesseConstitutionMontantsBruts);
    }
    return m_montantJournalierAvantageVieillesseConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 35)) {
        return m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 35, m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts);
    }
    return m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_crcConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_crcConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 36)) {
        return m_crcConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 36, m_crcConstitutionMontantsBruts);
    }
    return m_crcConstitutionMontantsBruts;
  }
  
  protected static final Damj jdoGetm_pjiConstitutionPointDepartIndemnisation(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_pjiConstitutionPointDepartIndemnisation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 37)) {
        return m_pjiConstitutionPointDepartIndemnisation;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 37, m_pjiConstitutionPointDepartIndemnisation);
    }
    return m_pjiConstitutionPointDepartIndemnisation;
  }
  
  protected static final BigDecimal jdoGetm_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 38)) {
        return m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 38, m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel);
    }
    return m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel;
  }
  
  protected static final Quantite jdoGetm_dureeEffectiveConstitutionDurees(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeEffectiveConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 39)) {
        return m_dureeEffectiveConstitutionDurees;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 39, m_dureeEffectiveConstitutionDurees);
    }
    return m_dureeEffectiveConstitutionDurees;
  }
  
  protected static final Quantite jdoGetm_dureeTheoriqueConstitutionDurees(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeTheoriqueConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 40)) {
        return m_dureeTheoriqueConstitutionDurees;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 40, m_dureeTheoriqueConstitutionDurees);
    }
    return m_dureeTheoriqueConstitutionDurees;
  }
  
  protected static final Quantite jdoGetm_dureeImputationConstitutionDurees(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeImputationConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 41)) {
        return m_dureeImputationConstitutionDurees;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 41, m_dureeImputationConstitutionDurees);
    }
    return m_dureeImputationConstitutionDurees;
  }
  
  protected static final BigDecimal jdoGetm_salaireReferenceNonPlafonneConstitutionSjr(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_salaireReferenceNonPlafonneConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 42)) {
        return m_salaireReferenceNonPlafonneConstitutionSjr;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 42, m_salaireReferenceNonPlafonneConstitutionSjr);
    }
    return m_salaireReferenceNonPlafonneConstitutionSjr;
  }
  
  protected static final BigDecimal jdoGetm_totalPrimesExceptionnellesRetenuesConstitutionSjr(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_totalPrimesExceptionnellesRetenuesConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 43)) {
        return m_totalPrimesExceptionnellesRetenuesConstitutionSjr;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 43, m_totalPrimesExceptionnellesRetenuesConstitutionSjr);
    }
    return m_totalPrimesExceptionnellesRetenuesConstitutionSjr;
  }
  
  protected static final BigDecimal jdoGetm_totalPrimesNormalesRetenuesConstitutionSjr(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_totalPrimesNormalesRetenuesConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 44)) {
        return m_totalPrimesNormalesRetenuesConstitutionSjr;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 44, m_totalPrimesNormalesRetenuesConstitutionSjr);
    }
    return m_totalPrimesNormalesRetenuesConstitutionSjr;
  }
  
  protected static final BigDecimal jdoGetm_totalSalairesRetenusConstitutionSjr(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_totalSalairesRetenusConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 45)) {
        return m_totalSalairesRetenusConstitutionSjr;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 45, m_totalSalairesRetenusConstitutionSjr);
    }
    return m_totalSalairesRetenusConstitutionSjr;
  }
  
  protected static final PrcPC jdoGetm_prcConstitutionSjr(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_prcConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 46)) {
        return m_prcConstitutionSjr;
      }
      return (PrcPC)sm.getObjectField(pc, jdoInheritedFieldCount + 46, m_prcConstitutionSjr);
    }
    return m_prcConstitutionSjr;
  }
  
  protected static final QuantiteEuro jdoGetm_plafondSjrConstitutionSjr(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_plafondSjrConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 47)) {
        return m_plafondSjrConstitutionSjr;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 47, m_plafondSjrConstitutionSjr);
    }
    return m_plafondSjrConstitutionSjr;
  }
  
  protected static final QuantiteEuro jdoGetm_sjrInitialConstitutionSjr(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjrInitialConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 48)) {
        return m_sjrInitialConstitutionSjr;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 48, m_sjrInitialConstitutionSjr);
    }
    return m_sjrInitialConstitutionSjr;
  }
  
  protected static final Damj jdoGetm_dateEvenementConstitutionSjr(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateEvenementConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 49)) {
        return m_dateEvenementConstitutionSjr;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 49, m_dateEvenementConstitutionSjr);
    }
    return m_dateEvenementConstitutionSjr;
  }
  
  protected static final QuantiteEuro jdoGetm_plafondConstitutionSjc(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_plafondConstitutionSjc;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 50)) {
        return m_plafondConstitutionSjc;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 50, m_plafondConstitutionSjc);
    }
    return m_plafondConstitutionSjc;
  }
  
  protected static final QuantiteEuro jdoGetm_sjcInitialConstitutionSjc(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjcInitialConstitutionSjc;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 51)) {
        return m_sjcInitialConstitutionSjc;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 51, m_sjcInitialConstitutionSjc);
    }
    return m_sjcInitialConstitutionSjc;
  }
  
  protected static final Damj jdoGetm_dateEvenementConstitutionSjc(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateEvenementConstitutionSjc;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 52)) {
        return m_dateEvenementConstitutionSjc;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 52, m_dateEvenementConstitutionSjc);
    }
    return m_dateEvenementConstitutionSjc;
  }
  
  protected static final BigDecimal jdoGetm_sommeMontantRevisionConstitutionSjr(ConstitutionElementsRevisionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_sommeMontantRevisionConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 53)) {
        return m_sommeMontantRevisionConstitutionSjr;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 53, m_sommeMontantRevisionConstitutionSjr);
    }
    return m_sommeMontantRevisionConstitutionSjr;
  }
  
  protected static final Collection jdoGetm_collectionEnsembleCarencesConstitutionDelais(ConstitutionElementsRevisionPC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 54)) {
        return m_collectionEnsembleCarencesConstitutionDelais;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 54, m_collectionEnsembleCarencesConstitutionDelais);
    }
    return m_collectionEnsembleCarencesConstitutionDelais;
  }
  
  protected static final Collection jdoGetm_listeDelaisReportsConstitutionDelais(ConstitutionElementsRevisionPC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 55)) {
        return m_listeDelaisReportsConstitutionDelais;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 55, m_listeDelaisReportsConstitutionDelais);
    }
    return m_listeDelaisReportsConstitutionDelais;
  }
  
  protected static final Collection jdoGetm_listeSjrActiviteConserveeConstitutionSjc(ConstitutionElementsRevisionPC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 56)) {
        return m_listeSjrActiviteConserveeConstitutionSjc;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 56, m_listeSjrActiviteConserveeConstitutionSjc);
    }
    return m_listeSjrActiviteConserveeConstitutionSjc;
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionDurees(ConstitutionElementsRevisionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 0, m_presenceDonneesConstitutionDurees, newValue);
    } else {
      m_presenceDonneesConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 1, m_presenceDonneesConstitutionMontantsBruts, newValue);
    } else {
      m_presenceDonneesConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionSjr(ConstitutionElementsRevisionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 2, m_presenceDonneesConstitutionSjr, newValue);
    } else {
      m_presenceDonneesConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionDelais(ConstitutionElementsRevisionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 3, m_presenceDonneesConstitutionDelais, newValue);
    } else {
      m_presenceDonneesConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionSjc(ConstitutionElementsRevisionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionSjc = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 4, m_presenceDonneesConstitutionSjc, newValue);
    } else {
      m_presenceDonneesConstitutionSjc = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionCoefficientTempsPartiel(ConstitutionElementsRevisionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionCoefficientTempsPartiel = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 5, m_presenceDonneesConstitutionCoefficientTempsPartiel, newValue);
    } else {
      m_presenceDonneesConstitutionCoefficientTempsPartiel = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionDateAttribution(ConstitutionElementsRevisionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionDateAttribution = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 6, m_presenceDonneesConstitutionDateAttribution, newValue);
    } else {
      m_presenceDonneesConstitutionDateAttribution = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionPointDepartIndemnisation(ConstitutionElementsRevisionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionPointDepartIndemnisation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 7, m_presenceDonneesConstitutionPointDepartIndemnisation, newValue);
    } else {
      m_presenceDonneesConstitutionPointDepartIndemnisation = newValue;
    }
  }
  
  protected static final void jdoSetm_sjrrpConstitutionSjr(ConstitutionElementsRevisionPC pc, Sjr newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjrrpConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 8, m_sjrrpConstitutionSjr, newValue);
    } else {
      m_sjrrpConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_codeEmploiA2b(ConstitutionElementsRevisionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeEmploiA2b = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 9, m_codeEmploiA2b, newValue);
    } else {
      m_codeEmploiA2b = newValue;
    }
  }
  
  protected static final void jdoSetm_periodeReference91joursConstitutionDelais(ConstitutionElementsRevisionPC pc, Periode newValue)
  {
    if (jdoFlags == 0)
    {
      m_periodeReference91joursConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 10, m_periodeReference91joursConstitutionDelais, newValue);
    } else {
      m_periodeReference91joursConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_typePmcConstitutionDelais(ConstitutionElementsRevisionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_typePmcConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 11, m_typePmcConstitutionDelais, newValue);
    } else {
      m_typePmcConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJoursPMCConstitutionDelais(ConstitutionElementsRevisionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJoursPMCConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 12, m_nbJoursPMCConstitutionDelais, newValue);
    } else {
      m_nbJoursPMCConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_debutPMCConstitutionDelais(ConstitutionElementsRevisionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_debutPMCConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 13, m_debutPMCConstitutionDelais, newValue);
    } else {
      m_debutPMCConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_termePMCConstitutionDelais(ConstitutionElementsRevisionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_termePMCConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 14, m_termePMCConstitutionDelais, newValue);
    } else {
      m_termePMCConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJoursCarenceICCPConstitutionDelais(ConstitutionElementsRevisionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJoursCarenceICCPConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 15, m_nbJoursCarenceICCPConstitutionDelais, newValue);
    } else {
      m_nbJoursCarenceICCPConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_debutCarenceICCPConstitutionDelais(ConstitutionElementsRevisionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_debutCarenceICCPConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 16, m_debutCarenceICCPConstitutionDelais, newValue);
    } else {
      m_debutCarenceICCPConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_termeCarenceICCPConstitutionDelais(ConstitutionElementsRevisionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_termeCarenceICCPConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 17, m_termeCarenceICCPConstitutionDelais, newValue);
    } else {
      m_termeCarenceICCPConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJoursCarenceISLRConstitutionDelais(ConstitutionElementsRevisionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJoursCarenceISLRConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 18, m_nbJoursCarenceISLRConstitutionDelais, newValue);
    } else {
      m_nbJoursCarenceISLRConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_debutCarenceISLRConstitutionDelais(ConstitutionElementsRevisionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_debutCarenceISLRConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 19, m_debutCarenceISLRConstitutionDelais, newValue);
    } else {
      m_debutCarenceISLRConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_termeCarenceISLRConstitutionDelais(ConstitutionElementsRevisionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_termeCarenceISLRConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 20, m_termeCarenceISLRConstitutionDelais, newValue);
    } else {
      m_termeCarenceISLRConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJoursCarenceDiffereConstitutionDelais(ConstitutionElementsRevisionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJoursCarenceDiffereConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 21, m_nbJoursCarenceDiffereConstitutionDelais, newValue);
    } else {
      m_nbJoursCarenceDiffereConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_debutCarenceDiffereConstitutionDelais(ConstitutionElementsRevisionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_debutCarenceDiffereConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 22, m_debutCarenceDiffereConstitutionDelais, newValue);
    } else {
      m_debutCarenceDiffereConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_termeCarenceDiffereConstitutionDelais(ConstitutionElementsRevisionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_termeCarenceDiffereConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 23, m_termeCarenceDiffereConstitutionDelais, newValue);
    } else {
      m_termeCarenceDiffereConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_sjcrpConstitutionSjc(ConstitutionElementsRevisionPC pc, Sjc newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjcrpConstitutionSjc = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 24, m_sjcrpConstitutionSjc, newValue);
    } else {
      m_sjcrpConstitutionSjc = newValue;
    }
  }
  
  protected static final void jdoSetm_dateAttributionConstitutionDateAttribution(ConstitutionElementsRevisionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateAttributionConstitutionDateAttribution = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 25, m_dateAttributionConstitutionDateAttribution, newValue);
    } else {
      m_dateAttributionConstitutionDateAttribution = newValue;
    }
  }
  
  protected static final void jdoSetm_montantJournalierBrutConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantJournalierBrutConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 26, m_montantJournalierBrutConstitutionMontantsBruts, newValue);
    } else {
      m_montantJournalierBrutConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_capitalInitialBrutConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_capitalInitialBrutConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 27, m_capitalInitialBrutConstitutionMontantsBruts, newValue);
    } else {
      m_capitalInitialBrutConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantMiniConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantMiniConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 28, m_montantMiniConstitutionMontantsBruts, newValue);
    } else {
      m_montantMiniConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantPlancherConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantPlancherConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 29, m_montantPlancherConstitutionMontantsBruts, newValue);
    } else {
      m_montantPlancherConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantPlafondConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantPlafondConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 30, m_montantPlafondConstitutionMontantsBruts, newValue);
    } else {
      m_montantPlafondConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantBaseConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantBaseConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 31, m_montantBaseConstitutionMontantsBruts, newValue);
    } else {
      m_montantBaseConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 32, m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts, newValue);
    } else {
      m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 33, m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts, newValue);
    } else {
      m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantJournalierAvantageVieillesseConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantJournalierAvantageVieillesseConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 34, m_montantJournalierAvantageVieillesseConstitutionMontantsBruts, newValue);
    } else {
      m_montantJournalierAvantageVieillesseConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 35, m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts, newValue);
    } else {
      m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_crcConstitutionMontantsBruts(ConstitutionElementsRevisionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_crcConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 36, m_crcConstitutionMontantsBruts, newValue);
    } else {
      m_crcConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_pjiConstitutionPointDepartIndemnisation(ConstitutionElementsRevisionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_pjiConstitutionPointDepartIndemnisation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 37, m_pjiConstitutionPointDepartIndemnisation, newValue);
    } else {
      m_pjiConstitutionPointDepartIndemnisation = newValue;
    }
  }
  
  protected static final void jdoSetm_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel(ConstitutionElementsRevisionPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 38, m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel, newValue);
    } else {
      m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeEffectiveConstitutionDurees(ConstitutionElementsRevisionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeEffectiveConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 39, m_dureeEffectiveConstitutionDurees, newValue);
    } else {
      m_dureeEffectiveConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeTheoriqueConstitutionDurees(ConstitutionElementsRevisionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeTheoriqueConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 40, m_dureeTheoriqueConstitutionDurees, newValue);
    } else {
      m_dureeTheoriqueConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeImputationConstitutionDurees(ConstitutionElementsRevisionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeImputationConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 41, m_dureeImputationConstitutionDurees, newValue);
    } else {
      m_dureeImputationConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_salaireReferenceNonPlafonneConstitutionSjr(ConstitutionElementsRevisionPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_salaireReferenceNonPlafonneConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 42, m_salaireReferenceNonPlafonneConstitutionSjr, newValue);
    } else {
      m_salaireReferenceNonPlafonneConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_totalPrimesExceptionnellesRetenuesConstitutionSjr(ConstitutionElementsRevisionPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_totalPrimesExceptionnellesRetenuesConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 43, m_totalPrimesExceptionnellesRetenuesConstitutionSjr, newValue);
    } else {
      m_totalPrimesExceptionnellesRetenuesConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_totalPrimesNormalesRetenuesConstitutionSjr(ConstitutionElementsRevisionPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_totalPrimesNormalesRetenuesConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 44, m_totalPrimesNormalesRetenuesConstitutionSjr, newValue);
    } else {
      m_totalPrimesNormalesRetenuesConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_totalSalairesRetenusConstitutionSjr(ConstitutionElementsRevisionPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_totalSalairesRetenusConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 45, m_totalSalairesRetenusConstitutionSjr, newValue);
    } else {
      m_totalSalairesRetenusConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_prcConstitutionSjr(ConstitutionElementsRevisionPC pc, PrcPC newValue)
  {
    if (jdoFlags == 0)
    {
      m_prcConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 46, m_prcConstitutionSjr, newValue);
    } else {
      m_prcConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_plafondSjrConstitutionSjr(ConstitutionElementsRevisionPC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_plafondSjrConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 47, m_plafondSjrConstitutionSjr, newValue);
    } else {
      m_plafondSjrConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_sjrInitialConstitutionSjr(ConstitutionElementsRevisionPC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjrInitialConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 48, m_sjrInitialConstitutionSjr, newValue);
    } else {
      m_sjrInitialConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_dateEvenementConstitutionSjr(ConstitutionElementsRevisionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateEvenementConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 49, m_dateEvenementConstitutionSjr, newValue);
    } else {
      m_dateEvenementConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_plafondConstitutionSjc(ConstitutionElementsRevisionPC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_plafondConstitutionSjc = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 50, m_plafondConstitutionSjc, newValue);
    } else {
      m_plafondConstitutionSjc = newValue;
    }
  }
  
  protected static final void jdoSetm_sjcInitialConstitutionSjc(ConstitutionElementsRevisionPC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjcInitialConstitutionSjc = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 51, m_sjcInitialConstitutionSjc, newValue);
    } else {
      m_sjcInitialConstitutionSjc = newValue;
    }
  }
  
  protected static final void jdoSetm_dateEvenementConstitutionSjc(ConstitutionElementsRevisionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateEvenementConstitutionSjc = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 52, m_dateEvenementConstitutionSjc, newValue);
    } else {
      m_dateEvenementConstitutionSjc = newValue;
    }
  }
  
  protected static final void jdoSetm_sommeMontantRevisionConstitutionSjr(ConstitutionElementsRevisionPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_sommeMontantRevisionConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 53, m_sommeMontantRevisionConstitutionSjr, newValue);
    } else {
      m_sommeMontantRevisionConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_collectionEnsembleCarencesConstitutionDelais(ConstitutionElementsRevisionPC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 54, m_collectionEnsembleCarencesConstitutionDelais, newValue);
    } else {
      m_collectionEnsembleCarencesConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_listeDelaisReportsConstitutionDelais(ConstitutionElementsRevisionPC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 55, m_listeDelaisReportsConstitutionDelais, newValue);
    } else {
      m_listeDelaisReportsConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_listeSjrActiviteConserveeConstitutionSjc(ConstitutionElementsRevisionPC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 56, m_listeSjrActiviteConserveeConstitutionSjc, newValue);
    } else {
      m_listeSjrActiviteConserveeConstitutionSjc = newValue;
    }
  }
  
  public void jdoProvideField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionDurees);
      break;
    case 1: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionMontantsBruts);
      break;
    case 2: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionSjr);
      break;
    case 3: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionDelais);
      break;
    case 4: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionSjc);
      break;
    case 5: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionCoefficientTempsPartiel);
      break;
    case 6: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionDateAttribution);
      break;
    case 7: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionPointDepartIndemnisation);
      break;
    case 8: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjrrpConstitutionSjr);
      break;
    case 9: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeEmploiA2b);
      break;
    case 10: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_periodeReference91joursConstitutionDelais);
      break;
    case 11: 
      jdoStateManager.providedIntField(this, fieldNumber, m_typePmcConstitutionDelais);
      break;
    case 12: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nbJoursPMCConstitutionDelais);
      break;
    case 13: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_debutPMCConstitutionDelais);
      break;
    case 14: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_termePMCConstitutionDelais);
      break;
    case 15: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nbJoursCarenceICCPConstitutionDelais);
      break;
    case 16: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_debutCarenceICCPConstitutionDelais);
      break;
    case 17: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_termeCarenceICCPConstitutionDelais);
      break;
    case 18: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nbJoursCarenceISLRConstitutionDelais);
      break;
    case 19: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_debutCarenceISLRConstitutionDelais);
      break;
    case 20: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_termeCarenceISLRConstitutionDelais);
      break;
    case 21: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nbJoursCarenceDiffereConstitutionDelais);
      break;
    case 22: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_debutCarenceDiffereConstitutionDelais);
      break;
    case 23: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_termeCarenceDiffereConstitutionDelais);
      break;
    case 24: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjcrpConstitutionSjc);
      break;
    case 25: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateAttributionConstitutionDateAttribution);
      break;
    case 26: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantJournalierBrutConstitutionMontantsBruts);
      break;
    case 27: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_capitalInitialBrutConstitutionMontantsBruts);
      break;
    case 28: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantMiniConstitutionMontantsBruts);
      break;
    case 29: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantPlancherConstitutionMontantsBruts);
      break;
    case 30: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantPlafondConstitutionMontantsBruts);
      break;
    case 31: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantBaseConstitutionMontantsBruts);
      break;
    case 32: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts);
      break;
    case 33: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts);
      break;
    case 34: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantJournalierAvantageVieillesseConstitutionMontantsBruts);
      break;
    case 35: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts);
      break;
    case 36: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_crcConstitutionMontantsBruts);
      break;
    case 37: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_pjiConstitutionPointDepartIndemnisation);
      break;
    case 38: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel);
      break;
    case 39: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeEffectiveConstitutionDurees);
      break;
    case 40: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeTheoriqueConstitutionDurees);
      break;
    case 41: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeImputationConstitutionDurees);
      break;
    case 42: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_salaireReferenceNonPlafonneConstitutionSjr);
      break;
    case 43: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_totalPrimesExceptionnellesRetenuesConstitutionSjr);
      break;
    case 44: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_totalPrimesNormalesRetenuesConstitutionSjr);
      break;
    case 45: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_totalSalairesRetenusConstitutionSjr);
      break;
    case 46: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_prcConstitutionSjr);
      break;
    case 47: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_plafondSjrConstitutionSjr);
      break;
    case 48: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjrInitialConstitutionSjr);
      break;
    case 49: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateEvenementConstitutionSjr);
      break;
    case 50: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_plafondConstitutionSjc);
      break;
    case 51: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjcInitialConstitutionSjc);
      break;
    case 52: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateEvenementConstitutionSjc);
      break;
    case 53: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sommeMontantRevisionConstitutionSjr);
      break;
    case 54: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_collectionEnsembleCarencesConstitutionDelais);
      break;
    case 55: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listeDelaisReportsConstitutionDelais);
      break;
    case 56: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listeSjrActiviteConserveeConstitutionSjc);
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoReplaceField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      m_presenceDonneesConstitutionDurees = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 1: 
      m_presenceDonneesConstitutionMontantsBruts = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 2: 
      m_presenceDonneesConstitutionSjr = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 3: 
      m_presenceDonneesConstitutionDelais = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 4: 
      m_presenceDonneesConstitutionSjc = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 5: 
      m_presenceDonneesConstitutionCoefficientTempsPartiel = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 6: 
      m_presenceDonneesConstitutionDateAttribution = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 7: 
      m_presenceDonneesConstitutionPointDepartIndemnisation = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 8: 
      m_sjrrpConstitutionSjr = ((Sjr)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 9: 
      m_codeEmploiA2b = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 10: 
      m_periodeReference91joursConstitutionDelais = ((Periode)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 11: 
      m_typePmcConstitutionDelais = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 12: 
      m_nbJoursPMCConstitutionDelais = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 13: 
      m_debutPMCConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 14: 
      m_termePMCConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 15: 
      m_nbJoursCarenceICCPConstitutionDelais = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 16: 
      m_debutCarenceICCPConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 17: 
      m_termeCarenceICCPConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 18: 
      m_nbJoursCarenceISLRConstitutionDelais = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 19: 
      m_debutCarenceISLRConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 20: 
      m_termeCarenceISLRConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 21: 
      m_nbJoursCarenceDiffereConstitutionDelais = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 22: 
      m_debutCarenceDiffereConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 23: 
      m_termeCarenceDiffereConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 24: 
      m_sjcrpConstitutionSjc = ((Sjc)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 25: 
      m_dateAttributionConstitutionDateAttribution = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 26: 
      m_montantJournalierBrutConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 27: 
      m_capitalInitialBrutConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 28: 
      m_montantMiniConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 29: 
      m_montantPlancherConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 30: 
      m_montantPlafondConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 31: 
      m_montantBaseConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 32: 
      m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 33: 
      m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 34: 
      m_montantJournalierAvantageVieillesseConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 35: 
      m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 36: 
      m_crcConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 37: 
      m_pjiConstitutionPointDepartIndemnisation = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 38: 
      m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 39: 
      m_dureeEffectiveConstitutionDurees = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 40: 
      m_dureeTheoriqueConstitutionDurees = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 41: 
      m_dureeImputationConstitutionDurees = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 42: 
      m_salaireReferenceNonPlafonneConstitutionSjr = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 43: 
      m_totalPrimesExceptionnellesRetenuesConstitutionSjr = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 44: 
      m_totalPrimesNormalesRetenuesConstitutionSjr = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 45: 
      m_totalSalairesRetenusConstitutionSjr = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 46: 
      m_prcConstitutionSjr = ((PrcPC)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 47: 
      m_plafondSjrConstitutionSjr = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 48: 
      m_sjrInitialConstitutionSjr = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 49: 
      m_dateEvenementConstitutionSjr = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 50: 
      m_plafondConstitutionSjc = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 51: 
      m_sjcInitialConstitutionSjc = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 52: 
      m_dateEvenementConstitutionSjc = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 53: 
      m_sommeMontantRevisionConstitutionSjr = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 54: 
      m_collectionEnsembleCarencesConstitutionDelais = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 55: 
      m_listeDelaisReportsConstitutionDelais = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 56: 
      m_listeSjrActiviteConserveeConstitutionSjc = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoProvideFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoProvideField(fieldNumber);
    }
  }
  
  public void jdoReplaceFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoReplaceField(fieldNumber);
    }
  }
  
  public synchronized void jdoReplaceStateManager(StateManager sm)
  {
    if (jdoStateManager != null)
    {
      jdoStateManager = jdoStateManager.replacingStateManager(this, sm);
    }
    else
    {
      SecurityManager securityManager = System.getSecurityManager();
      if (securityManager != null) {
        securityManager.checkPermission(JDOPermission.SET_STATE_MANAGER);
      }
      jdoStateManager = sm;
    }
  }
  
  public boolean jdoIsPersistent()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isPersistent(this);
    }
    return false;
  }
  
  public boolean jdoIsTransactional()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isTransactional(this);
    }
    return false;
  }
  
  public boolean jdoIsNew()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isNew(this);
    }
    return false;
  }
  
  public boolean jdoIsDirty()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDirty(this);
    }
    return false;
  }
  
  public boolean jdoIsDeleted()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDeleted(this);
    }
    return false;
  }
  
  public void jdoMakeDirty(String fieldName)
  {
    if (jdoStateManager != null) {
      jdoStateManager.makeDirty(this, fieldName);
    }
  }
  
  public void jdoReplaceFlags()
  {
    if (jdoStateManager != null)
    {
      jdoFlags = jdoStateManager.replacingFlags(this);
      return;
      jdoFlags = 0;
    }
  }
  
  public boolean jdoIsDetached()
  {
    if (jdoStateManager != null) {
      return ((CommonStateManager)jdoStateManager).isDetached();
    }
    return false;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm)
  {
    ConstitutionElementsRevisionPC pc = new ConstitutionElementsRevisionPC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    return pc;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm, Object oid)
  {
    ConstitutionElementsRevisionPC pc = new ConstitutionElementsRevisionPC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    pc.jdoCopyKeyFieldsFromObjectId(oid);
    return pc;
  }
  
  public static int jdoGetManagedFieldCount()
  {
    return jdoInheritedFieldCount + 57;
  }
  
  public void jdoCopyFields(Object pc, int[] fieldNumbers)
  {
    if (!(pc instanceof ConstitutionElementsRevisionPC)) {
      throw new JDOFatalInternalException("Can't copy fields from a different class");
    }
    ConstitutionElementsRevisionPC other = (ConstitutionElementsRevisionPC)pc;
    if (jdoStateManager != jdoStateManager) {
      throw new JDOUserException("Source object should have the same StateManager");
    }
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int relativeField = fieldNumbers[i] - jdoInheritedFieldCount;
      switch (relativeField)
      {
      case 0: 
        m_presenceDonneesConstitutionDurees = m_presenceDonneesConstitutionDurees;
        break;
      case 1: 
        m_presenceDonneesConstitutionMontantsBruts = m_presenceDonneesConstitutionMontantsBruts;
        break;
      case 2: 
        m_presenceDonneesConstitutionSjr = m_presenceDonneesConstitutionSjr;
        break;
      case 3: 
        m_presenceDonneesConstitutionDelais = m_presenceDonneesConstitutionDelais;
        break;
      case 4: 
        m_presenceDonneesConstitutionSjc = m_presenceDonneesConstitutionSjc;
        break;
      case 5: 
        m_presenceDonneesConstitutionCoefficientTempsPartiel = m_presenceDonneesConstitutionCoefficientTempsPartiel;
        break;
      case 6: 
        m_presenceDonneesConstitutionDateAttribution = m_presenceDonneesConstitutionDateAttribution;
        break;
      case 7: 
        m_presenceDonneesConstitutionPointDepartIndemnisation = m_presenceDonneesConstitutionPointDepartIndemnisation;
        break;
      case 8: 
        m_sjrrpConstitutionSjr = m_sjrrpConstitutionSjr;
        break;
      case 9: 
        m_codeEmploiA2b = m_codeEmploiA2b;
        break;
      case 10: 
        m_periodeReference91joursConstitutionDelais = m_periodeReference91joursConstitutionDelais;
        break;
      case 11: 
        m_typePmcConstitutionDelais = m_typePmcConstitutionDelais;
        break;
      case 12: 
        m_nbJoursPMCConstitutionDelais = m_nbJoursPMCConstitutionDelais;
        break;
      case 13: 
        m_debutPMCConstitutionDelais = m_debutPMCConstitutionDelais;
        break;
      case 14: 
        m_termePMCConstitutionDelais = m_termePMCConstitutionDelais;
        break;
      case 15: 
        m_nbJoursCarenceICCPConstitutionDelais = m_nbJoursCarenceICCPConstitutionDelais;
        break;
      case 16: 
        m_debutCarenceICCPConstitutionDelais = m_debutCarenceICCPConstitutionDelais;
        break;
      case 17: 
        m_termeCarenceICCPConstitutionDelais = m_termeCarenceICCPConstitutionDelais;
        break;
      case 18: 
        m_nbJoursCarenceISLRConstitutionDelais = m_nbJoursCarenceISLRConstitutionDelais;
        break;
      case 19: 
        m_debutCarenceISLRConstitutionDelais = m_debutCarenceISLRConstitutionDelais;
        break;
      case 20: 
        m_termeCarenceISLRConstitutionDelais = m_termeCarenceISLRConstitutionDelais;
        break;
      case 21: 
        m_nbJoursCarenceDiffereConstitutionDelais = m_nbJoursCarenceDiffereConstitutionDelais;
        break;
      case 22: 
        m_debutCarenceDiffereConstitutionDelais = m_debutCarenceDiffereConstitutionDelais;
        break;
      case 23: 
        m_termeCarenceDiffereConstitutionDelais = m_termeCarenceDiffereConstitutionDelais;
        break;
      case 24: 
        m_sjcrpConstitutionSjc = m_sjcrpConstitutionSjc;
        break;
      case 25: 
        m_dateAttributionConstitutionDateAttribution = m_dateAttributionConstitutionDateAttribution;
        break;
      case 26: 
        m_montantJournalierBrutConstitutionMontantsBruts = m_montantJournalierBrutConstitutionMontantsBruts;
        break;
      case 27: 
        m_capitalInitialBrutConstitutionMontantsBruts = m_capitalInitialBrutConstitutionMontantsBruts;
        break;
      case 28: 
        m_montantMiniConstitutionMontantsBruts = m_montantMiniConstitutionMontantsBruts;
        break;
      case 29: 
        m_montantPlancherConstitutionMontantsBruts = m_montantPlancherConstitutionMontantsBruts;
        break;
      case 30: 
        m_montantPlafondConstitutionMontantsBruts = m_montantPlafondConstitutionMontantsBruts;
        break;
      case 31: 
        m_montantBaseConstitutionMontantsBruts = m_montantBaseConstitutionMontantsBruts;
        break;
      case 32: 
        m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts = m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts;
        break;
      case 33: 
        m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts = m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts;
        break;
      case 34: 
        m_montantJournalierAvantageVieillesseConstitutionMontantsBruts = m_montantJournalierAvantageVieillesseConstitutionMontantsBruts;
        break;
      case 35: 
        m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts = m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts;
        break;
      case 36: 
        m_crcConstitutionMontantsBruts = m_crcConstitutionMontantsBruts;
        break;
      case 37: 
        m_pjiConstitutionPointDepartIndemnisation = m_pjiConstitutionPointDepartIndemnisation;
        break;
      case 38: 
        m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel = m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel;
        break;
      case 39: 
        m_dureeEffectiveConstitutionDurees = m_dureeEffectiveConstitutionDurees;
        break;
      case 40: 
        m_dureeTheoriqueConstitutionDurees = m_dureeTheoriqueConstitutionDurees;
        break;
      case 41: 
        m_dureeImputationConstitutionDurees = m_dureeImputationConstitutionDurees;
        break;
      case 42: 
        m_salaireReferenceNonPlafonneConstitutionSjr = m_salaireReferenceNonPlafonneConstitutionSjr;
        break;
      case 43: 
        m_totalPrimesExceptionnellesRetenuesConstitutionSjr = m_totalPrimesExceptionnellesRetenuesConstitutionSjr;
        break;
      case 44: 
        m_totalPrimesNormalesRetenuesConstitutionSjr = m_totalPrimesNormalesRetenuesConstitutionSjr;
        break;
      case 45: 
        m_totalSalairesRetenusConstitutionSjr = m_totalSalairesRetenusConstitutionSjr;
        break;
      case 46: 
        m_prcConstitutionSjr = m_prcConstitutionSjr;
        break;
      case 47: 
        m_plafondSjrConstitutionSjr = m_plafondSjrConstitutionSjr;
        break;
      case 48: 
        m_sjrInitialConstitutionSjr = m_sjrInitialConstitutionSjr;
        break;
      case 49: 
        m_dateEvenementConstitutionSjr = m_dateEvenementConstitutionSjr;
        break;
      case 50: 
        m_plafondConstitutionSjc = m_plafondConstitutionSjc;
        break;
      case 51: 
        m_sjcInitialConstitutionSjc = m_sjcInitialConstitutionSjc;
        break;
      case 52: 
        m_dateEvenementConstitutionSjc = m_dateEvenementConstitutionSjc;
        break;
      case 53: 
        m_sommeMontantRevisionConstitutionSjr = m_sommeMontantRevisionConstitutionSjr;
        break;
      case 54: 
        m_collectionEnsembleCarencesConstitutionDelais = m_collectionEnsembleCarencesConstitutionDelais;
        break;
      case 55: 
        m_listeDelaisReportsConstitutionDelais = m_listeDelaisReportsConstitutionDelais;
        break;
      case 56: 
        m_listeSjrActiviteConserveeConstitutionSjc = m_listeSjrActiviteConserveeConstitutionSjc;
      }
    }
  }
  
  public void jdoCopyKeyFieldsToObjectId(Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public void jdoCopyKeyFieldsToObjectId(PersistenceCapable.ObjectIdFieldSupplier supplier, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  protected void jdoCopyKeyFieldsFromObjectId(Object object) {}
  
  public void jdoCopyKeyFieldsFromObjectId(PersistenceCapable.ObjectIdFieldConsumer consumer, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public Object jdoNewObjectIdInstance()
  {
    return null;
  }
  
  public Object jdoNewObjectIdInstance(Object str)
  {
    return null;
  }
  
  public Object jdoGetObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getObjectId(this);
    }
    return null;
  }
  
  public PersistenceManager jdoGetPersistenceManager()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getPersistenceManager(this);
    }
    return null;
  }
  
  private void jdoPreSerialize()
  {
    if (jdoStateManager != null) {
      jdoStateManager.preSerialize(this);
    }
  }
  
  private void writeObject(ObjectOutputStream out)
    throws IOException
  {
    jdoPreSerialize();
    out.defaultWriteObject();
  }
  
  public Object jdoGetTransactionalObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getTransactionalObjectId(this);
    }
    return null;
  }
}

/* Location:
 * Qualified Name:     ConstitutionElementsRevisionPC
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */