package fr.unedic.cali.asu.cge01.p05;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.calcul.dom.CalendrierExecutionCalcul;
import fr.unedic.cali.asu.cge01.calcul.dom.DureeIndemnisation;
import fr.unedic.cali.asu.cge01.calcul.dom.FormuleMontantRegimeGeneral;
import fr.unedic.cali.asu.cge01.calcul.outilsfonctionnels.TraitementActiviteReduite;
import fr.unedic.cali.asu.cge01.liquidation.outilsaffiliation.CalculAppartenance;
import fr.unedic.cali.asu.cge01.liquidation.outilsaffiliation.PostTraitementJustificationAffiliation;
import fr.unedic.cali.asu.cge01.liquidation.outilsaffiliation.strategies.StrategieConditionChomageInvolontaireAre14Avant;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.AlimentationBasePivot;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.AlimenterBaseEchanges;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.AlimenterElementsJustification;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.ComparateurDecision;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.ConstitutionCREMConstituant;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.ConstructionPra;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.DelaiRechercheSinistres;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.DeterminationDateMinPraPrcPrs;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.DeterminationProduitResultant;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.OutilDonneesDeterminationSjr;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.OutilGestionActivitesConservees;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.OutilPlafonnementAssimilation;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.OutilSimulationAffiliation;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.OutilTraitementReliquat;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.RechercheConditionDureeIndemnisationMaintien;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.RechercheConditionNombreTrimestresMaintien;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.RechercheValiditeProduit;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.RecuperationFormuleMontant;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.affiliation.OutilCalculAppartenance;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.affiliation.OutilJustificationAffiliation;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.affiliation.dom.ComportementAffiliation;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques.FabriqueStrategieActiviteConservee;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.spec.FabriqueOutilFonctionnelDeterminationSjrSpec;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.spec.OutilDeterminationSjrSpec;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategieActiviteConserveeSpec;
import fr.unedic.cali.asu.cge01.liquidation.parcours.DeterminationConditionActivitePourMaintien;
import fr.unedic.cali.asu.cge01.liquidation.parcours.DeterminationConditionAgePourMaintien;
import fr.unedic.cali.asu.cge01.liquidation.parcours.DeterminationConditionAppartenancePourMaintien;
import fr.unedic.cali.asu.cge01.liquidation.parcours.DeterminationConditionDecisionCPPourMaintien;
import fr.unedic.cali.asu.cge01.liquidation.parcours.DeterminationConditionDureeIndemnisationPourMaintien;
import fr.unedic.cali.asu.cge01.liquidation.parcours.DeterminationConditionNombreTrimestresPourMaintien;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ParcoursDeterminationOrdreObjectifs;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ParcoursValiderObjectif;
import fr.unedic.cali.asu.cge01.outilsfonctionnels.ConvertisseurUniteAffiliation;
import fr.unedic.cali.asu.cge01.outilsfonctionnels.RevalorisationSalaire;
import fr.unedic.cali.asu.cge01.p05.antecedent.GrapheAntecedent;
import fr.unedic.cali.asu.cge01.p05.liquidation.outilsfonctionnels.FabriqueObjectifExamen;
import fr.unedic.cali.asu.cge01.p05.liquidation.outilsfonctionnels.OutilConstructionPRA;
import fr.unedic.cali.asu.cge01.p05.occasionnel.FabriqueExecutionPopulation;
import fr.unedic.cali.asu.cge01.p05.occasionnel.FabriqueTraitementPopulation;
import fr.unedic.cali.asu.cge01.p05.parametres.ParametreLiquidationSimplifiee;
import fr.unedic.cali.asu.cge01.parametres.Parametres;
import fr.unedic.cali.asu.cge01.parametres.ParametresDerniersJoursFevrier;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.CompetenceSpec;
import fr.unedic.cali.asu.dom.ConditionChomageInvolontaireSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.dom.DossierAffecte;
import fr.unedic.cali.asu.dom.DossierExamenAssuranceSpec;
import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.dom.FaitGenerateurSpec;
import fr.unedic.cali.asu.dom.JustificationAffiliationSpec;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.asu.dom.ReglementApplicableSpec;
import fr.unedic.cali.asu.dom.Sjc;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.asu.dom.ValidationProduit;
import fr.unedic.cali.asu.liquidation.outilsfonctionnels.DeterminationMontant;
import fr.unedic.cali.asu.migration.FabriqueGraphe;
import fr.unedic.cali.asu.mnt.dom.DemandeMaintien;
import fr.unedic.cali.asu.mnt.outilsfonctionnels.OutilsMaintien;
import fr.unedic.cali.asu.outilsfonctionnels.AppelCalculParLiquidationAsu;
import fr.unedic.cali.asu.outilsfonctionnels.DetectionContexteParticulierLiquidation;
import fr.unedic.cali.asu.outilsfonctionnels.OutilAsp;
import fr.unedic.cali.asu.outilsfonctionnels.OutilDeterminationObjectifReprise;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionCoordinationEuropeenne;
import fr.unedic.cali.asu.outilsfonctionnels.OutilPensionInvalidite;
import fr.unedic.cali.asu.outilsfonctionnels.OutilsActiviteConserve;
import fr.unedic.cali.asu.outilsfonctionnels.OutilsChomageSansRCT;
import fr.unedic.cali.asu.outilsfonctionnels.VerificationDonneesForcees;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.parcours.ParcoursAlimentationTranchesExecutables;
import fr.unedic.cali.asu.parcours.ParcoursContexteExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.asu.produits.liquidation.dom.Competence;
import fr.unedic.cali.asu.produits.liquidation.dom.ConditionCSRAccordCP;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionDelais;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionProduitResultant;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionQuantiteAffiliation;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionSjr;
import fr.unedic.cali.asu.produits.liquidation.dom.Echec;
import fr.unedic.cali.asu.produits.liquidation.dom.Examen;
import fr.unedic.cali.asu.produits.liquidation.dom.Pra;
import fr.unedic.cali.asu.produits.liquidation.dom.QuantitesAppartenance;
import fr.unedic.cali.asu.produits.liquidation.dom.Revision;
import fr.unedic.cali.asu.produits.liquidation.dom.TrancheExecutable;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ObjectifExamenSpec;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.DeterminationSituationParticuliere;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.RecuperationElementIndemnisation;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.ContratTravail;
import fr.unedic.cali.autresdoms.ga.dom.Entreprise;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculSpec;
import fr.unedic.cali.calcul.dom.ConstituantsCalculActiviteReduiteSpec;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.ResultatActiviteReduite;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.Competences;
import fr.unedic.cali.dom.DecisionSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DomSimulationAffiliation;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.DureeIndemnisationAbstraite;
import fr.unedic.cali.dom.ElementBaseIndemnisationSpec;
import fr.unedic.cali.dom.EvenementReferenceExamenSpec;
import fr.unedic.cali.dom.FormuleMontantSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.JustificationAppelGaecReduit;
import fr.unedic.cali.dom.MontantBaseSpec;
import fr.unedic.cali.dom.ObjetAlertesNonBloquantes;
import fr.unedic.cali.dom.RepriseSpec;
import fr.unedic.cali.dom.ResultatSimulationAffiliation;
import fr.unedic.cali.dom.SalaireJournalierSpec;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.cali.dom.affectation.DelaiRechercheProduitSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuCge01P05;
import fr.unedic.cali.dom.affectation.ProduitAsuDelegueSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.dom.affectation.ValidationProduitSpec;
import fr.unedic.cali.dom.conteneurs.DonneesCalculMontant;
import fr.unedic.cali.dom.conteneurs.DonneesEntreesRecuperationMontant;
import fr.unedic.cali.dom.conteneurs.spec.DonneesEntreeComportementSpec;
import fr.unedic.cali.dom.conteneurs.spec.DonneesEntreeDemandeDeterminationSjrSpec;
import fr.unedic.cali.dom.conteneurs.spec.DonneesEntreeDeterminationSjrSpec;
import fr.unedic.cali.dom.conteneurs.spec.DonneesResultatDeterminationSjrSpec;
import fr.unedic.cali.dom.pivot.DemandePivot;
import fr.unedic.cali.dom.spec.CalculAppartenanceSpec;
import fr.unedic.cali.dom.spec.ComportementAffiliationSpec;
import fr.unedic.cali.dom.spec.ConstructionPRASpec;
import fr.unedic.cali.dom.spec.ConventionGestionSpec;
import fr.unedic.cali.dom.spec.ParametresAffiliationSpec;
import fr.unedic.cali.fabriques.FabriqueOutilFonctionnelSpec;
import fr.unedic.cali.migration.GrapheLiquidationSpec;
import fr.unedic.cali.occasionnel.outilsfonctionnels.CriteresExecutionPopulation;
import fr.unedic.cali.occasionnel.outilsfonctionnels.CriteresTraitementPopulation;
import fr.unedic.cali.occasionnel.outilsfonctionnels.ExecutionPopulationSpec;
import fr.unedic.cali.occasionnel.outilsfonctionnels.ResultatTraitementPopulation;
import fr.unedic.cali.occasionnel.outilsfonctionnels.TraitementPopulationSpec;
import fr.unedic.cali.outilsfonctionnels.AppelCalculParLiquidation;
import fr.unedic.cali.outilsfonctionnels.OutilReliquat;
import fr.unedic.cali.outilsfonctionnels.RechercherDernierSinistre;
import fr.unedic.cali.outilsfonctionnels.TracesBouchon;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.cali.parcours.DomCali;
import fr.unedic.cali.parcours.DomLiquidationDemande;
import fr.unedic.cali.parcours.ResultatExecutionCalculSpec;
import fr.unedic.cali.util.TableQuantites;
import fr.unedic.cali.utilitaire.outils.OutilBouchon;
import fr.unedic.util.Convertisseur;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteService;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Parcours;
import fr.unedic.util.services.Resultat;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import fr.unedic.util.temps.FiltreFinAvantOuCoincideAvecDate;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Hashtable;
import java.util.List;

public class ProduitDelegue
  implements ProduitAsuDelegueSpec
{
  private FabriqueExecutionPopulation fabriqueExecutionPopulation;
  
  private ObjectifExamenSpec recupererObjectifCourant(Contexte contexte)
  {
    ObjectifExamen objectifCourant = null;
    Demande demandeCourante = DomLiquidationAssurance.getDemande(contexte);
    if ((contexte != null) && (contexte.getDonnees() != null)) {
      objectifCourant = demandeCourante.getObjectifCourant();
    }
    if ((objectifCourant != null) && (objectifCourant.getObjectifProduitActif() == null) && ((OutilGestionContexteDemande.estContexteDemandeAssurancePresent(demandeCourante, "AREENTRCSP")) || (OutilGestionContexteDemande.estContexteDemandeAssurancePresent(demandeCourante, "ARECOURCSP")))) {
      objectifCourant.setObjectifProduitActif(recupererObjectifProduitActif(contexte, objectifCourant.getSousType()));
    }
    return (ObjectifExamenSpec)objectifCourant;
  }
  
  private ObjectifExamenSpec recupererObjectifProduitActif(Contexte contexte, int sousType)
  {
    DomLiquidationDemande domCourant = (DomLiquidationDemande)contexte.getDonnees();
    Demande demandeCourante = (Demande)domCourant.getDemandeSpec();
    
    ProduitAsuSpec produitActif = OutilAsp.getInstance().recupererProduitReglementaire(demandeCourante);
    
    return (ObjectifExamenSpec)produitActif.creerObjectifExamen(sousType, demandeCourante.getListContexteDemande());
  }
  
  protected Resultat effectuerParcours(Parcours parcours, Contexte contexte)
    throws ApplicativeException
  {
    Resultat resultat = null;
    if (parcours != null) {
      resultat = parcours.effectuerParcours(contexte);
    }
    return resultat;
  }
  
  public void controlerContexteDonneesForcees(Contexte contexte)
    throws ApplicativeException
  {
    Demande demande = (Demande)((DomLiquidationDemande)contexte.getDonnees()).getDemandeSpec();
    DomCali domCali = (DomCali)contexte.getDonnees();
    Damj dateTraitement = domCali.getContexteService().getDateTraitement();
    if (OutilsActiviteConserve.estUneDemandeDeRevision(demande)) {
      VerificationDonneesForcees.getInstance().verifierDonneesForceesRevision(demande);
    } else {
      VerificationDonneesForcees.getInstance().verifierDonneesForcees(demande, dateTraitement);
    }
  }
  
  public void controlerContexteDonneesForceesPostLiquidation(Contexte contexte)
    throws ApplicativeException
  {
    Demande demande = (Demande)((DomLiquidationDemande)contexte.getDonnees()).getDemandeSpec();
    VerificationDonneesForcees.getInstance().verifierDonneesForceesPostLiquidation(demande);
  }
  
  public void alimenterBaseEchangesProduit(DossierExamenSpec dossierExamen, fr.unedic.cali.dom.echange.Decision demandeEchange)
    throws CoucheLogiqueException
  {
    AlimenterBaseEchanges.getInstance().alimenterDonneesProduit(dossierExamen, demandeEchange);
  }
  
  public void alimenterBasePivotProduit(DossierExamenSpec dossierExamen, DemandePivot demandePivot)
    throws ApplicativeException
  {
    AlimentationBasePivot.getInstance().alimenterDonneesProduit(dossierExamen, demandePivot);
  }
  
  public ArrayList alimenterDecisionsReexamen(Contexte contexte)
    throws CoucheLogiqueException
  {
    if ((contexte != null) && (contexte.getDonnees() != null))
    {
      DomLiquidationAssurance domCourant = (DomLiquidationAssurance)contexte.getDonnees();
      if (!domCourant.getDemande().estUneDemandeFinancement())
      {
        DecisionSpec decisionAvantReexamen = (DecisionSpec)domCourant.getDemandeAvantReexamen().getDossierAffectation().getDossierExamen();
        DecisionSpec decisionApresReexamen = (DecisionSpec)domCourant.getDemande().getDossierAffectation().getDossierExamen();
        return ComparateurDecision.rechercheDifferencesComparaisonDecision(decisionAvantReexamen, decisionApresReexamen);
      }
    }
    return null;
  }
  
  public boolean comparerDecisions(DecisionSpec decision1, DecisionSpec decision2)
  {
    return ComparateurDecision.estEgal(decision1, decision2);
  }
  
  public GrapheLiquidationSpec creerGraphe(int natureDecision, boolean classement)
  {
    return FabriqueGraphe.creerGraphe(natureDecision, classement);
  }
  
  public boolean estReexecutable(CriteresExecutionPopulation criteres)
  {
    ExecutionPopulationSpec outil = getFabriqueExecutionPopulation().getInstance(criteres.getNomPopulation());
    if (outil != null) {
      return outil.estExecutable(criteres);
    }
    return false;
  }
  
  private FabriqueExecutionPopulation getFabriqueExecutionPopulation()
  {
    if (fabriqueExecutionPopulation == null) {
      fabriqueExecutionPopulation = new FabriqueExecutionPopulation();
    }
    return fabriqueExecutionPopulation;
  }
  
  public ArrayList getParametres()
  {
    return null;
  }
  
  public Hashtable recupererElementsConstituant(DossierExamenSpec dossierExamen)
    throws CoucheLogiqueException
  {
    return ConstitutionCREMConstituant.recupererConstituant(dossierExamen);
  }
  
  public Resultat constituerCapitalAvecDureeEffective(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat constituerCaractereSaisonnier(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursCaractereSaisonnier();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerCoefficientSaisonnier(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursCoefficientSaisonnier();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerCoefficientTempsPartiel(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursCoefficientTempsPartiel();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerDateAttribution(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursDateAttribution();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerDelaisReports(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursDelaisReports();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerDureeEffective(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursDureeEffective();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerDureesReglementaires(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursDureesReglementaires();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerMontantsBruts(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursMontantsBruts();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerNbHeuresTravaillees(Contexte contexte)
    throws ApplicativeException
  {
    return null;
  }
  
  public Resultat constituerPointDeDepart(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursPointDeDepart();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerProduitResultant(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursProduitResultant();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerQuantiteAffiliation(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursQuantiteAffiliation();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerReglementApplicable(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursReglementApplicable();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerSalaireJournalierConserve(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursSalaireJournalierConserve();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerSalaireJournalierDeReference(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursSalaireJournalierDeReference();
    return effectuerParcours(parcours, contexte);
  }
  
  public Object creerObjectifExamen(int sousType, List<ContexteDemandeSpec> contexteDemande)
  {
    return FabriqueObjectifExamen.creerObjectif(sousType, contexteDemande);
  }
  
  public Resultat detecterContributionParticuliere(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Demande demande = (Demande)((DomLiquidationDemande)contexte.getDonnees()).getDemandeSpec();
    Parcours parcours = objectifCourant.creerParcoursDetectionContributionParticuliere(demande);
    return effectuerParcours(parcours, contexte);
  }
  
  public void determinerCompetencesDroitCourant(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursDeterminationCompetencesFinanceAdmDroitCourant();
    parcours.effectuerParcours(contexte);
  }
  
  public void determinerCompetencesDroitResultant(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursDeterminationCompetenceFinanceAdmDroitResultant();
    parcours.effectuerParcours(contexte);
  }
  
  public void determinerOrdreObjectifs(Contexte contexte)
    throws ApplicativeException
  {
    ParcoursDeterminationOrdreObjectifs parcours = new ParcoursDeterminationOrdreObjectifs();
    parcours.effectuerParcours(contexte);
  }
  
  public Periode determinerPraLaPlusLongue(DemandeSpec demandeCourante, ActiviteSalarie periodeFctCourante)
    throws CoucheLogiqueException
  {
    return ConstructionPra.determinerPraLaPlusLongue(demandeCourante, periodeFctCourante);
  }
  
  public Quantite determinerReliquatHorsMaintien(AttributionSpec attribution, Damj dateCalcul)
    throws ApplicativeException
  {
    ResultatExecutionCalculSpec resultat = AppelCalculParLiquidation.executerCalculDeterminationEtatDroit(attribution, dateCalcul, true, true);
    Quantite reliquatAre;
    Quantite reliquatAre;
    if ((resultat.getReliquatDureeIndemnisation() == null) && (dateCalcul.estAvant(resultat.getPji()))) {
      reliquatAre = ((AttributionAssuranceSpec)attribution).getDureeIndemnisationEffective();
    } else {
      reliquatAre = resultat.getReliquatDureeIndemnisation();
    }
    return reliquatAre;
  }
  
  public Quantite determinerReliquatAvecMaintien(AttributionSpec attribution, Damj dateCalcul)
    throws ApplicativeException
  {
    ResultatExecutionCalculSpec resultat = AppelCalculParLiquidation.executerCalculDeterminationEtatDroit(attribution, dateCalcul, true, true);
    Quantite reliquatAre;
    Quantite reliquatAre;
    if ((resultat.getReliquatAREAvecMaintien() == null) && (dateCalcul.estAvant(resultat.getPji()))) {
      reliquatAre = ((AttributionAssuranceSpec)attribution).getDureeIndemnisationEffective();
    } else {
      reliquatAre = resultat.getReliquatAREAvecMaintien();
    }
    return reliquatAre;
  }
  
  public boolean determinerRepriseInvalide(DemandeSpec demande)
  {
    return true;
  }
  
  public boolean estCompetenceAdministrativeRac(AttributionSpec attribution)
  {
    return ((Attribution)attribution).getCompetence().getCompetenceAdministrative() == 1;
  }
  
  public boolean estEntameDiffereStandard(DemandeSpec demande)
    throws ApplicativeException
  {
    boolean estConsommeDiffere = false;
    fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen dossierExamen = (fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen)((Demande)demande).getDossierExamen();
    if (dossierExamen != null)
    {
      ResultatExecutionCalculSpec resultatCalcul = AppelCalculParLiquidation.executerCalculDeterminationEtatDroit((Attribution)dossierExamen, null, true);
      
      estConsommeDiffere = resultatCalcul.isDiffereEntame();
    }
    return estConsommeDiffere;
  }
  
  public boolean estFiliereCourte(AttributionSpec attribution)
  {
    return false;
  }
  
  public boolean estRejetChomageVolontaire(DecisionSpec decision)
  {
    DossierExamenAssuranceSpec dossierExamen = (DossierExamenAssuranceSpec)decision;
    return dossierExamen.estRejetDV();
  }
  
  public Damj getDateFaitGenerateur(AttributionSpec attribution)
  {
    Attribution attributionAsu = (Attribution)attribution;
    if (attributionAsu.getFaitGenerateur() != null) {
      return attributionAsu.getFaitGenerateur().getDateFaitGenerateur();
    }
    return null;
  }
  
  public Damj getDateObtentionAgePourMaintien(DemandeSpec demande)
  {
    return demande.getDemandeur().getDateNaissance().deplacerVersAvant(getAgeMinimumObtentionMaintien(demande));
  }
  
  public Damj getDateObtentionDesTrimestres(DemandeSpec demande)
  {
    return RechercheConditionNombreTrimestresMaintien.getDateObtentionConditionTrimestres((DemandeMaintien)demande);
  }
  
  public Damj getDateObtentionIndemnisation(DemandeSpec demande)
    throws ApplicativeException
  {
    return RechercheConditionDureeIndemnisationMaintien.getDateObtentionIndemnisation((DemandeMaintien)demande);
  }
  
  public Damj getDateRuptureContratTravail(AttributionSpec attribution)
  {
    Damj dateRuptureContratTravail = null;
    if ((attribution != null) && (attribution.getDossierAffecte() != null))
    {
      FaitGenerateurSpec cdtFaitGenerateur = ((fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen)attribution).getConditionFaitGenerateur();
      if ((cdtFaitGenerateur != null) && (cdtFaitGenerateur.getPeriodeFaitGenerateur() != null))
      {
        ContratTravail contrat = cdtFaitGenerateur.getPeriodeFaitGenerateur().getContrat();
        if (contrat != null) {
          dateRuptureContratTravail = contrat.getDateRuptureContratTravail();
        }
      }
    }
    return dateRuptureContratTravail;
  }
  
  public Quantite getDureeInitiale(AttributionSpec attribution)
  {
    return ((AttributionAssuranceSpec)attribution).getDureeInitiale();
  }
  
  public FormuleMontantSpec getFormuleMontant(String code)
  {
    return RecuperationFormuleMontant.getInstanceFormuleMontant(code);
  }
  
  public BigDecimal getSJR(AttributionSpec attribution)
  {
    BigDecimal sjr;
    BigDecimal sjr;
    if (((ProduitAsuSpec)attribution.getProduit()).estTrancheActivee(attribution.getDemande()))
    {
      TrancheExecutable tranche = (TrancheExecutable)((Attribution)attribution).getListTranchesExecutables().get(0);
      sjr = tranche.getMontantSJI().getValeur();
    }
    else
    {
      sjr = ((Attribution)attribution).getElementBaseIndemnisation().getSjr().getSalaire();
    }
    return sjr;
  }
  
  public void initialiserDossierExamen(DossierAffectationSpec dossierAffecte)
  {
    dossierAffecte.setDossierExamen(new Examen());
  }
  
  public void installerCompetenceConventionGestion(AttributionSpec attribution) {}
  
  public void miseAJourDossierExamen(DossierExamenSpec dossier, AttributionSpec attribution)
  {
    ((fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen)dossier).setAttributionPrecedente((AttributionAssuranceSpec)attribution);
  }
  
  public DelaiRechercheProduitSpec obtenirDelaiRechercheProduit(DossierAffectationSpec dossierAffectation, DureeCalendaire delaiAllongement)
    throws CoucheLogiqueException
  {
    return DelaiRechercheSinistres.determinerDelaiRechercheSinistre(dossierAffectation, delaiAllongement);
  }
  
  public ValidationProduitSpec obtenirValidationProduit(ActiviteSalarie activiteSalarie, IndividuSpec individu, DemandeSpec demande, boolean avecPeriodeNonAttestee)
    throws ApplicativeException
  {
    DossierAffectation dossierAffectationCourant = (DossierAffectation)demande.getDossierAffectation();
    
    DetectionContexteParticulierLiquidation.getInstance().detectionContexteEnCoursPmvs((DemandeAssuranceSpec)demande, dossierAffectationCourant.getSinistre(), demande.getDateExamen());
    if (((Demande)demande).estUneDemandeFinancement()) {
      return RechercheValiditeProduit.validerProduitFinancement(activiteSalarie, (DemandeAssuranceSpec)demande, avecPeriodeNonAttestee, ProduitAsuCge01P05.getInstance());
    }
    return RechercheValiditeProduit.validerProduit(activiteSalarie, (DemandeAssuranceSpec)demande, avecPeriodeNonAttestee, ProduitAsuCge01P05.getInstance());
  }
  
  public void recalculerSurAnnulerReexamen(DemandeSpec demande)
    throws CoucheLogiqueException
  {
    fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen dossierExamen = (fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen)demande.getDossierAffectation().getDossierExamen();
    
    Chronologie chronoPassePro = demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation();
    chronoPassePro = chronoPassePro.copier(new FiltreFinAvantOuCoincideAvecDate(demande.getDateExamen()));
    
    TravailSpec dernierSinistre = RechercherDernierSinistre.rechercherDernierSinistre(demande.getDateExamen().veille(), chronoPassePro);
    if (dernierSinistre != null) {
      ((DossierAffecte)dossierExamen.getDossierAffecte()).setSinistre(dernierSinistre);
    }
    DossierExamenSpec odPrecedente = dossierExamen;
    if ((dossierExamen instanceof RepriseSpec)) {
      odPrecedente = ((DemandeAssuranceSpec)demande).rechercherOuvertureDroitPrecedenteDuMemeType();
    }
    recalculerActivitesConserveesPourDemandeMigree(odPrecedente.getDemande());
  }
  
  public Damj recupererDJIParEpuisement(DemandeSpec demande, AttributionSpec attribution, boolean verifierEpuisementHPec)
  {
    return OutilReliquat.recupererDJIParEpuisement(demande, attribution, verifierEpuisementHPec);
  }
  
  public MontantBaseSpec recupererMontant(DonneesEntreesRecuperationMontant donneeEntreeRecuperationMontant)
    throws ApplicativeException
  {
    donneeEntreeRecuperationMontant.getDonneesCalculMontant().setCoefficientSaisonnier(BigDecimal.ONE);
    return DeterminationMontant.determinerMontant(donneeEntreeRecuperationMontant);
  }
  
  public void sauvegardeElementsJustificatifs(DossierExamenSpec decision)
    throws CoucheLogiqueException
  {
    AlimenterElementsJustification.alimenterDonnees(decision);
  }
  
  public Resultat traiterReliquat(ResultatExecutionCalculSpec resultatExecutionCalcul, Damj dateEtude)
    throws ApplicativeException
  {
    return OutilTraitementReliquat.getInstance().traiterReliquat(resultatExecutionCalcul, dateEtude);
  }
  
  public boolean verifierCapasPreliminaires(Contexte contexte)
    throws ApplicativeException
  {
    return true;
  }
  
  public Resultat verifierCondition28JoursSuspension(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursCondition28JSuspension();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionActivitePourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    Parcours parcours = new DeterminationConditionActivitePourMaintien();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionAge(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionAge();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionAgePourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    Parcours parcours = new DeterminationConditionAgePourMaintien();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionAppartenancePourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    Parcours parcours = new DeterminationConditionAppartenancePourMaintien();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionBeneficeAutreProduit(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionCSRAccordCP(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionCsrAccordCp();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionCSRDateAttributionPendantSuspension(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionChomageInvolontaire(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionChomageInvolontaire();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionChomageTotal(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionCumulActiviteConservee(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionCumulActiviteConservee();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionCumulPrestationFamiliale(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionCumulPrestationFamiliale();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionDecisionCPPourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    Parcours parcours = new DeterminationConditionDecisionCPPourMaintien();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionDureeIndemnisationPourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    Parcours parcours = new DeterminationConditionDureeIndemnisationPourMaintien();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionFaitGenerateur(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionFaitGenerateur();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionMontant(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionMontant();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionNombreTrimestresPourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    Parcours parcours = new DeterminationConditionNombreTrimestresPourMaintien();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionQuantiteAffiliation(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionQuantiteAffiliation();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionDureeNonNulle(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionDureeNonNulle();
    if (parcours != null) {
      return effectuerParcours(parcours, contexte);
    }
    return new Resultat(0);
  }
  
  public Resultat verifierConditionRechercheEmploi(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionRechercheEmploi();
    if (parcours != null) {
      return effectuerParcours(parcours, contexte);
    }
    return new Resultat(0);
  }
  
  public void verifierValiditeObjectif(Contexte contexte)
    throws ApplicativeException
  {
    ParcoursValiderObjectif parcours = new ParcoursValiderObjectif();
    parcours.effectuerParcours(contexte);
  }
  
  public ObjetMetierSpec recupererSJRPourDelaisReport(DemandeSpec demande)
  {
    fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen dossierExamen = (fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen)demande.getDossierAffectation().getDossierExamen();
    
    boolean readmissionAvecMontantPrecedent = (dossierExamen.getConstitutionProduitResultant() != null) && (dossierExamen.getConstitutionProduitResultant().getTypeMontantRetenu() != 1) && (dossierExamen.getConstitutionProduitResultant().getTypeMontantRetenu() != 0);
    Sjr salaireJournalierReference;
    Sjr salaireJournalierReference;
    if (readmissionAvecMontantPrecedent) {
      salaireJournalierReference = dossierExamen.getConstitutionProduitResultant().getSjrrpProduitPrecedent();
    } else {
      salaireJournalierReference = dossierExamen.getConstitutionSjr().getSjrrp();
    }
    return salaireJournalierReference;
  }
  
  public ConstructionPRASpec getOutilConstructionPRA()
  {
    return new OutilConstructionPRA();
  }
  
  public Resultat executerSimulationAffiliation(DomSimulationAffiliation domSimulationAffiliation)
    throws ApplicativeException
  {
    domSimulationAffiliation.setProduitAppelant(ProduitAsuCge01P05.getInstance());
    Resultat result = OutilSimulationAffiliation.calculAffi(domSimulationAffiliation);
    if (result != null)
    {
      ((ResultatSimulationAffiliation)result).setProduit(ProduitAsuCge01P05.getInstance());
      ((ResultatSimulationAffiliation)result).setProduitPropose(ProduitAsuCge01P05.getInstance().getLibelleCourt());
    }
    return result;
  }
  
  public void positionnerQuantiteAssimilationMaximum(Periode periode, TableQuantites tableQuantitesAffiliationAcquises)
  {
    OutilPlafonnementAssimilation.getInstance().positionnerQuantiteAssimilationMaximum(periode, tableQuantitesAffiliationAcquises);
  }
  
  public int getDureeMinimumPourImputationFormation()
  {
    return 1094;
  }
  
  public BigDecimal plafonnerDiviseurPrc(BigDecimal dureePRC)
  {
    return dureePRC.min(Parametres.PLAFOND_DIVISEUR_PRC);
  }
  
  public void recalculerActivitesConserveesPourDemandeMigree(DemandeSpec demande)
    throws CoucheLogiqueException
  {
    OutilGestionActivitesConservees.getInstance().recalculerActivitesConserveesPourDemandeMigree(demande);
  }
  
  public int getNombreJoursIndemnisationNecessairesMaintien()
  {
    return 365;
  }
  
  public boolean estCompetenceFinanciereSecteurPublic(AttributionSpec attribution)
  {
    return ((Attribution)attribution).getCompetenceFinanciere() == 2;
  }
  
  public MontantBaseSpec obtenirMontantDroitPrecedentSecteurPublicProduitResultant(DemandeSpec demande, DossierExamenSpec dossierExamen, IndividuSpec individu)
    throws CoucheLogiqueException
  {
    Competence competencesAServir = (Competence)((fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen)dossierExamen).getCompetence();
    Competences conteneurCompetences = new Competences();
    conteneurCompetences.setCompetenceAdministrative(competencesAServir.getCompetenceAdministrative());
    conteneurCompetences.setCompetenceFinanciere(competencesAServir.getCompetenceFinanciere());
    DeterminationProduitResultant determinationProduitResultant = DeterminationProduitResultant.getInstance();
    return determinationProduitResultant.obtenirMontantDroitPrecedentSecteurPublic((Demande)demande, (fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen)dossierExamen, individu, conteneurCompetences);
  }
  
  public SalaireJournalierSpec revaloriserSalaireJournalier(ElementBaseIndemnisationSpec ebi, Damj date)
  {
    return RevalorisationSalaire.revaloriserSjr(((ElementBaseIndemnisation)ebi).getSjr(), date);
  }
  
  public Resultat constituerDateLimiteIndemnisation(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursDateLimiteIndemnisation();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionAnciennete(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public boolean estCapitalPrecedentRetenu(AttributionSpec attribution)
  {
    switch (attribution.getNatureDecision())
    {
    case 11: 
    case 26: 
      return ((Attribution)attribution).getConstitutionProduitResultant().getTypeCapitalRetenu() != 1;
    }
    return false;
  }
  
  public Resultat constituerRevisionAutomatique(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursRevisionAutomatique();
    return effectuerParcours(parcours, contexte);
  }
  
  public DureeCalendaire getAgeMinimumObtentionMaintien(DemandeSpec demande)
  {
    return Parametres.AGE_MINIMUM_MAINTIEN_61_ANS;
  }
  
  public Reglement recupererReglementApplicable(AttributionSpec attribution)
  {
    AttributionAssuranceSpec attributionAssurance = (AttributionAssuranceSpec)attribution;
    Reglement reglement = null;
    if (attributionAssurance.getReglementApplicable() != null) {
      reglement = attributionAssurance.getReglementApplicable().getReglement();
    }
    return reglement;
  }
  
  public boolean estPresenceDiffere(AttributionSpec attribution)
  {
    return ((AttributionAssuranceSpec)attribution).estPresenceDiffere();
  }
  
  public SalaireJournalierSpec getSalaireJournalier(AttributionSpec attribution, Damj date)
  {
    SalaireJournalierSpec salaireJournalier;
    SalaireJournalierSpec salaireJournalier;
    if (((ProduitAsuSpec)attribution.getProduit()).estTrancheActivee(attribution.getDemande()))
    {
      salaireJournalier = RevalorisationSalaire.revaloriserSjrTranche(attribution, date);
    }
    else
    {
      ElementBaseIndemnisation ebi = ((Attribution)attribution).getElementBaseIndemnisation();
      salaireJournalier = revaloriserSalaireJournalier(ebi, date);
    }
    return salaireJournalier;
  }
  
  public Chronologie getListeActivitesConserveesAttributionAreLiee(AttributionSpec attribution)
  {
    return ((AttributionAssuranceSpec)attribution).getListeActiviteConservee();
  }
  
  public String getCodeSirenEmployeurFaitGenerateur(AttributionSpec attribution)
  {
    if ((attribution instanceof RepriseSpec))
    {
      AttributionAssuranceSpec attributionPrecedente = ((Attribution)attribution).getAttributionPrecedente();
      ProduitAsuSpec produitDelegue = (ProduitAsuSpec)attributionPrecedente.getProduit();
      return produitDelegue.getCodeSirenEmployeurFaitGenerateur(attributionPrecedente);
    }
    return ((Attribution)attribution).getFaitGenerateur().getPeriodeFaitGenerateur().getEntreprise().getSiren();
  }
  
  public BigDecimal recupererCoeficientTempsPartielMontantRetenu(AttributionSpec attribution)
  {
    BigDecimal coefficient;
    BigDecimal coefficient;
    if (estTrancheActivee(attribution.getDemande()))
    {
      TrancheExecutable trancheExecutable = (TrancheExecutable)((Attribution)attribution).getListTranchesExecutables().get(0);
      coefficient = trancheExecutable.getCoefficientTempsPartiel();
    }
    else
    {
      coefficient = ((Attribution)attribution).getElementBaseIndemnisation().getCoefficientTempsPartiel();
    }
    return coefficient;
  }
  
  public int getCodeEmploiA2b(DemandeSpec demande)
  {
    int codeEmploiA2bRetourne = 0;
    
    DonneesEntreeDeterminationSjrSpec donneesEntree = OutilDonneesDeterminationSjr.getInstance().initialiserDonneesEntreeAvecDemande((Demande)demande);
    
    FabriqueOutilFonctionnelDeterminationSjrSpec fabriqueOfSjr = null;
    try
    {
      fabriqueOfSjr = (FabriqueOutilFonctionnelDeterminationSjrSpec)determinerFabriqueOutilFonctionnelDeterminationSjr(donneesEntree.getDonneesEntreeDemande().getDateFaitGenerateurDroitCourant());
      codeEmploiA2bRetourne = fabriqueOfSjr.getOutilDeterminationSjr().determinerCodeEmploiA2b(donneesEntree);
    }
    catch (CoucheLogiqueException ex)
    {
      codeEmploiA2bRetourne = 0;
    }
    return codeEmploiA2bRetourne;
  }
  
  public int getCodeEmploiA2b(DonneesEntreeDeterminationSjrSpec donneesEntreeDeterminationSjr)
  {
    int codeEmploiA2bRetourne = 0;
    
    FabriqueOutilFonctionnelDeterminationSjrSpec fabriqueOfSjr = null;
    try
    {
      fabriqueOfSjr = (FabriqueOutilFonctionnelDeterminationSjrSpec)determinerFabriqueOutilFonctionnelDeterminationSjr(donneesEntreeDeterminationSjr.getDonneesEntreeDemande().getDateFaitGenerateurDroitCourant());
      codeEmploiA2bRetourne = fabriqueOfSjr.getOutilDeterminationSjr().determinerCodeEmploiA2b(donneesEntreeDeterminationSjr);
    }
    catch (CoucheLogiqueException ex)
    {
      codeEmploiA2bRetourne = 0;
    }
    return codeEmploiA2bRetourne;
  }
  
  public BigDecimal recupererSeuilMensuelHoraireActiviteReduite()
  {
    return fr.unedic.cali.asu.cge01.calcul.outilsfonctionnels.ActiviteReduite.SEUIL_HORAIRE_BIG;
  }
  
  public int recupererNombreMoisCumulMaxActiviteReduite()
  {
    return 15;
  }
  
  public int recupererNombreMoisCumulCourrierKC6F()
  {
    return 13;
  }
  
  public int recupererNombreMoisIndemnisation(AttributionSpec attribution, Damj dateEtude)
    throws ApplicativeException
  {
    return AppelCalculParLiquidationAsu.determinerNombreMoisIndemnise(attribution, dateEtude);
  }
  
  public Damj getDateFaitGenerateurAttributionMaitre(AttributionSpec attribution)
  {
    AttributionAssuranceSpec attributionAsu = (AttributionAssuranceSpec)attribution;
    Attribution attributionOrigine = (Attribution)attributionAsu.getOuvertureDroit();
    if (attributionOrigine != null) {
      return attributionOrigine.getFaitGenerateur().getDateFaitGenerateur();
    }
    return null;
  }
  
  public List recupererParametresPourLiquidationSimplifiee(Periode periode)
  {
    return ParametreLiquidationSimplifiee.getInstance().getListeParametresLiquidationSimplifiee(periode);
  }
  
  public BigDecimal recupererSeuilRemuneration(AttributionSpec attribution, Damj dateCalcul)
    throws CoucheLogiqueException
  {
    return AppelCalculParLiquidationAsu.getSeuilRenumeration(attribution, dateCalcul);
  }
  
  public JustificationAppelGaecReduit getDateDebutFenetrageAppelGaec(DemandeSpec demande)
  {
    if (demande != null) {
      return DeterminationDateMinPraPrcPrs.calculerDateMinimum(demande);
    }
    return null;
  }
  
  public boolean recupererLeverBornageRetraite(AttributionSpec attribution)
  {
    boolean leverBornageRetraite = false;
    DonneesTemporaires donneesForcees = ((Demande)attribution.getDemande()).getDonneesTemporaires();
    if (donneesForcees != null) {
      leverBornageRetraite = donneesForcees.isLeverBornageDureeEffectiveRetraite();
    }
    return leverBornageRetraite;
  }
  
  public Damj getDateFinDelaiDecheance(AttributionSpec attributionOrigine, DemandeSpec demandeCourante)
  {
    return OutilTraitementReliquat.getInstance().getDateFinDelaiDecheance(attributionOrigine, demandeCourante);
  }
  
  public boolean determinePriseEnCompteObjectifReprise(DemandeSpec demandeCourante)
    throws CoucheLogiqueException
  {
    return OutilDeterminationObjectifReprise.getInstance().determinePriseEnCompteObjectifReprise((Demande)demandeCourante);
  }
  
  public void traitementPeriodesDecalantes(AttributionSpec attribution, ChronologiePeriodes periodesDecalantes, ConstituantsCalculActiviteReduiteSpec constituantsCalculActiviteReduite, fr.unedic.cali.calcul.dom.UniteTraitement ut)
    throws CoucheLogiqueException
  {
    TraitementActiviteReduite.traitementPeriodesDecalantes(attribution, periodesDecalantes, constituantsCalculActiviteReduite, ut);
  }
  
  public void traitementPeriodesGelantes(AttributionSpec attribution, ChronologiePeriodes periodesGelantes, ConstituantsCalculActiviteReduiteSpec constituantsCalculActiviteReduite, fr.unedic.cali.calcul.dom.UniteTraitement ut)
    throws CoucheLogiqueException
  {
    TraitementActiviteReduite.traitementPeriodesGelantes(attribution, periodesGelantes, constituantsCalculActiviteReduite, ut);
  }
  
  public SalaireJournalierSpec getSalaireConserve(AttributionSpec attribution, Damj date)
  {
    Sjc sjc;
    Sjc sjc;
    if (estTrancheActivee(attribution.getDemande()))
    {
      TrancheExecutable trancheExecutable = (TrancheExecutable)((Attribution)attribution).getListTranchesExecutables().get(0);
      sjc = trancheExecutable.getSjc();
    }
    else
    {
      sjc = ((Attribution)attribution).getSJC();
    }
    return RevalorisationSalaire.revaloriserSjc(sjc, date);
  }
  
  public Resultat liquiderDemandeAssociee(Contexte contexte)
    throws ApplicativeException
  {
    Resultat retour = null;
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursLiquidationDemandeAssociee();
    if (parcours != null) {
      retour = effectuerParcours(parcours, contexte);
    }
    return retour;
  }
  
  public void alimenterDonneesComplementairesDossierExamen(DossierExamenSpec dossierExamenDecisionne)
  {
    if ((dossierExamenDecisionne != null) && (((dossierExamenDecisionne instanceof Revision)) || ((dossierExamenDecisionne instanceof Echec)))) {
      OutilsActiviteConserve.alimenterDonneesPerteActiviteConserveSurRevision((DossierExamenAssuranceSpec)dossierExamenDecisionne);
    }
  }
  
  public String determinerPeriodeGaecAChargerSurLectureDecision(DemandeSpec demandeDecisionne)
  {
    String identifiant = null;
    if (demandeDecisionne != null)
    {
      identifiant = gererCasMaintien(demandeDecisionne);
      if (identifiant == null) {
        identifiant = gererCasRevision2014(demandeDecisionne);
      }
      if (identifiant == null) {
        identifiant = gererDemandeDvFilEau(demandeDecisionne);
      }
    }
    return identifiant;
  }
  
  private String gererCasRevision2014(DemandeSpec demandeDecisionne)
  {
    String identifiant = null;
    if ("ASU_28".equals(demandeDecisionne.getEvenementReferenceExamen().getTypeExamen())) {
      identifiant = ((DemandeAssuranceSpec)demandeDecisionne).getDonneesTemporaires().getIdentifiantPeriodeActiviteConserveePerdue();
    }
    return identifiant;
  }
  
  private String gererCasMaintien(DemandeSpec demandeDecisionne)
  {
    String identifiant = null;
    if ((demandeDecisionne instanceof DemandeMaintien))
    {
      DossierExamenSpec dossierExamen = ((DemandeMaintien)demandeDecisionne).getDossierExamen();
      if ((dossierExamen instanceof fr.unedic.cali.asu.mnt.dom.Decision)) {
        identifiant = OutilsMaintien.determinerPeriodeFaitGenerateurACharger((fr.unedic.cali.asu.mnt.dom.DossierExamen)dossierExamen);
      }
    }
    return identifiant;
  }
  
  private String gererDemandeDvFilEau(DemandeSpec demandeDecisionne)
  {
    String identifiant = null;
    if (("ASU_30".equals(demandeDecisionne.getEvenementReferenceExamen().getTypeExamen())) && (demandeDecisionne.estDecisionnee())) {
      identifiant = ((DossierExamenAssuranceSpec)demandeDecisionne.getDossierAffectation().getDossierExamen()).getConditionChomageInvolontaire().getIdentifiantActivitePortantDV();
    }
    return identifiant;
  }
  
  public void alimenterBasePivotAidesProduit(DossierExamenSpec dossierExamen, DemandePivot demandePivot)
    throws ApplicativeException
  {}
  
  public SalaireJournalierSpec getSJC(AttributionSpec attribution)
  {
    return ((Attribution)attribution).getSJC();
  }
  
  public Resultat creerGrapheDemandeAntecedent(Contexte contexte)
    throws CoucheLogiqueException
  {
    GrapheAntecedent.getInstance().alimenterGrapheDecisionAntecedent(contexte);
    return new Resultat(0);
  }
  
  public BigDecimal determinerDureeMaximumPourProduit()
  {
    return new BigDecimal(1277);
  }
  
  public ResultatTraitementPopulation effectuerTraitementOccasionnel(CriteresTraitementPopulation criteres)
    throws ApplicativeException
  {
    FabriqueTraitementPopulation fabrique = new FabriqueTraitementPopulation();
    TraitementPopulationSpec traitement = fabrique.getInstance(criteres.getNomPopulation());
    if (traitement != null) {
      return traitement.effectuerTraitement(criteres);
    }
    return null;
  }
  
  public void verifierPropositionAttribution(DemandeSpec demande)
    throws CoucheLogiqueException
  {
    fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen dossierExamen = (fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen)demande.getDossierAffectation().getDossierExamen();
    ReglementApplicableSpec reglementApplicable = dossierExamen.getReglementApplicable();
    if ((reglementApplicable != null) && (reglementApplicable.getReglement().estNomReglementIdentique("A9A")))
    {
      Collection listePeriodes = new ArrayList();
      
      ObjetAlertesNonBloquantes objetAlerteNonBloquante = new ObjetAlertesNonBloquantes(Damj.NUIT_DES_TEMPS, Damj.FIN_DES_TEMPS, 999);
      
      listePeriodes.add(objetAlerteNonBloquante);
      demande.getAlertesNonBloquantes().put("A11MNB12", listePeriodes);
    }
    if (dossierExamen.getConstitutionQuantiteAffiliation() != null)
    {
      Periode periodePra = dossierExamen.getConstitutionQuantiteAffiliation().getPeriodePRA();
      if (periodePra != null) {
        OutilGestionCoordinationEuropeenne.getInstance().controlerCoordinationEuropeenneATord((Demande)demande, periodePra);
      }
    }
  }
  
  public SalaireJournalierSpec revaloriserSalaireJournalierReference(BigDecimal montantSjr, Damj dateEffetSjr, Damj dateRevalorisation, String contexteParticulier)
    throws CoucheLogiqueException
  {
    Sjr sjr = new Sjr(montantSjr, dateEffetSjr, contexteParticulier);
    return RevalorisationSalaire.revaloriserSjr(sjr, dateRevalorisation);
  }
  
  public FabriqueOutilFonctionnelSpec determinerFabriqueOutilFonctionnelDeterminationSjr(Damj dateFaitGenerateur)
    throws CoucheLogiqueException
  {
    CritereStrategie critere = new CritereStrategie();
    critere.setDatePivot(dateFaitGenerateur);
    StrategieActiviteConserveeSpec strategie = (StrategieActiviteConserveeSpec)FabriqueStrategieActiviteConservee.getInstance().getStrategie(critere);
    
    return strategie.determinerFabriqueOutilFonctionnelDeterminationSjr();
  }
  
  public DonneesResultatDeterminationSjrSpec determinerSjrip(DonneesEntreeDeterminationSjrSpec donneesEntree)
    throws CoucheLogiqueException
  {
    if (donneesEntree.getDonneesEntreeComportement().getFabriqueOutilFonctionnel() == null) {
      donneesEntree.getDonneesEntreeComportement().setFabriqueOutilFonctionnel(determinerFabriqueOutilFonctionnelDeterminationSjr(donneesEntree.getDonneesEntreeDemande().getDateFaitGenerateurDroitCourant()));
    }
    FabriqueOutilFonctionnelDeterminationSjrSpec fabriqueOutilFonctionnel = (FabriqueOutilFonctionnelDeterminationSjrSpec)donneesEntree.getDonneesEntreeComportement().getFabriqueOutilFonctionnel();
    
    DonneesResultatDeterminationSjrSpec resultatDeterminationSjripRetourne = fabriqueOutilFonctionnel.getOutilDeterminationSjr().determinerSjripEtMapperResultatSimplifie(donneesEntree);
    
    return resultatDeterminationSjripRetourne;
  }
  
  public boolean estUnProduitGerantA9()
  {
    return true;
  }
  
  public boolean estUnProduitLevantAlerteA8A10()
  {
    return true;
  }
  
  public void verifierPropositionRejet(DemandeSpec demande)
    throws CoucheLogiqueException
  {
    DossierExamenSpec dossierExamen = demande.getDossierAffectation().getDossierExamen();
    ReglementApplicableSpec reglementApplicable = ((DossierExamenAssuranceSpec)dossierExamen).getReglementApplicable();
    if ((reglementApplicable != null) && (reglementApplicable.getReglement().estNomReglementIdentique("A9A")))
    {
      Collection listePeriodes = new ArrayList();
      
      ObjetAlertesNonBloquantes objetAlerteNonBloquante = new ObjetAlertesNonBloquantes(Damj.NUIT_DES_TEMPS, Damj.FIN_DES_TEMPS, 999);
      
      listePeriodes.add(objetAlerteNonBloquante);
      demande.getAlertesNonBloquantes().put("A11MNB12", listePeriodes);
    }
  }
  
  public ConventionGestionSpec getConventionGestion(AttributionSpec attribution)
  {
    return ((Attribution)attribution).getConventionGestion();
  }
  
  public Convertisseur determinerConvertisseurUniteAffiliation()
  {
    return ConvertisseurUniteAffiliation.getInstance();
  }
  
  public boolean isPlafonnementAffiliationActif()
  {
    return true;
  }
  
  public ElementBaseIndemnisationSpec recupererElementBaseIndemnisationPourReadmissionAvecMontantRetenuPrecedent(int natureDecision, int montantRetenu, DemandeSpec demande, AttributionSpec attribution)
  {
    ElementBaseIndemnisation ebi;
    ElementBaseIndemnisation ebi;
    if (((Demande)demande).estEnContexteDroitAnterieurSecteurPublicValide())
    {
      ebi = RecuperationElementIndemnisation.recupererElementBaseIndemnisation(((Demande)demande).getDonneesTemporaires(), attribution);
    }
    else
    {
      Demande demandeOrigineRead = ((Demande)demande).getDemandeOrigine();
      demandeOrigineRead.desactiverTrancheExecutable();
      AttributionAssuranceSpec attributionPrecedente = demandeOrigineRead.getAttribution();
      ebi = attributionPrecedente.getElementBaseIndemnisation();
      demandeOrigineRead.reactiverTrancheExecutable();
    }
    ElementBaseIndemnisation ebiRetour;
    if (montantRetenu == 3)
    {
      ElementBaseIndemnisation ebiRetour = (ElementBaseIndemnisation)ebi.copie();
      ebiRetour.setCoefficientSaisonnier(BigDecimal.ONE);
    }
    else
    {
      ebiRetour = ebi;
    }
    return ebiRetour;
  }
  
  public ProduitAsuSpec getProduitMontantRetenu(AttributionSpec attribution)
  {
    AttributionAssuranceSpec attributionAssurance = (AttributionAssuranceSpec)attribution;
    return attributionAssurance.getProduitMontantRetenu();
  }
  
  public Resultat verifierConditionValiditeReliquat(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionValiditeReliquat();
    return effectuerParcours(parcours, contexte);
  }
  
  public String determinerCodeSousProduitPourSigma(DecisionSpec dossierExamen)
  {
    String codeSousProduitRetourne = null;
    if ((dossierExamen instanceof AttributionAssuranceSpec))
    {
      AttributionAssuranceSpec attributionAssurance = (AttributionAssuranceSpec)dossierExamen;
      codeSousProduitRetourne = "";
      Demande demande = (Demande)dossierExamen.getDemande();
      if (OutilsChomageSansRCT.estDemandeEnContexteDeChomageEnCoursDeSuspension(demande))
      {
        boolean estSalarieHandicape = (((fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen)demande.getDossierExamen()).getConditionCSRAccordCP() != null) && (((fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen)demande.getDossierExamen()).getConditionCSRAccordCP().isEstSalarieHandicape());
        
        boolean estSinistreOuCalamiteNaturelle = attributionAssurance.isEstSinistreOuCalamiteNaturelle();
        if (estSalarieHandicape) {
          codeSousProduitRetourne = "07";
        } else if (estSinistreOuCalamiteNaturelle) {
          codeSousProduitRetourne = "02";
        } else {
          codeSousProduitRetourne = "01";
        }
      }
      else if (demande.getDonneesTemporaires().isEstCoordCee())
      {
        codeSousProduitRetourne = "03";
      }
      else if (attributionAssurance.isTopContratsRemuneresBaseSmic())
      {
        codeSousProduitRetourne = "24";
      }
      else if (OutilGestionContexteDemande.estContexteDemandeAssurancePresent((Demande)dossierExamen.getDemande(), 2))
      {
        codeSousProduitRetourne = "MV";
      }
    }
    return codeSousProduitRetourne;
  }
  
  private String determinerStrategieCalculAffiliation(DemandeSpec demande)
  {
    boolean nouveauModele = true;
    String strategieJustificationAffiliation = "justifCGENouveauModele";
    if (demande != null)
    {
      String commentaire = demande.getCommentaire();
      if (OutilBouchon.appliqueComportement(commentaire, "ANCIEN")) {
        nouveauModele = false;
      }
    }
    if (!nouveauModele) {
      strategieJustificationAffiliation = "justifCGEAncienModele";
    }
    return strategieJustificationAffiliation;
  }
  
  public void postTraiterPourJustificationAffiliation(DemandeSpec demande)
  {
    if ("justifCGENouveauModele".equals(determinerStrategieCalculAffiliation(demande)))
    {
      DossierAffectation dossierAffectation = ((Demande)demande).getDossierAffectationAdmission();
      if (dossierAffectation != null)
      {
        ValidationProduit validationProduit = dossierAffectation.getValidationProduit();
        if ((validationProduit != null) && (validationProduit.getJustificationCalculAffiliation() != null))
        {
          OutilJustificationAffiliation outilJustification = new OutilJustificationAffiliation();
          outilJustification.consoliderJustificationAffiliation(validationProduit.getJustificationCalculAffiliation());
        }
      }
    }
    else
    {
      PostTraitementJustificationAffiliation.postTraiter((Demande)demande);
    }
  }
  
  public CalculAppartenanceSpec getOutilCalculAppartenance(DemandeSpec demande, boolean utiliserNouveauOutilCalcul)
  {
    if (("justifCGENouveauModele".equals(determinerStrategieCalculAffiliation(demande))) || (utiliserNouveauOutilCalcul)) {
      return new OutilCalculAppartenance(ProduitAsuCge01P05.getInstance());
    }
    return CalculAppartenance.getInstance();
  }
  
  public Collection determinerListePlafonnementAffiliation(AttributionSpec attribution)
    throws ApplicativeException
  {
    TracesBouchon.ecrireTrace("A terme la notion de stratégie doit disparaître. Elle ne doit exister que pour la phase de tests");
    
    Collection listePlafonnementAffiliation = null;
    JustificationAffiliationSpec justification = ((Attribution)attribution).getJustificationAffiliation();
    if ("justifCGENouveauModele".equals(determinerStrategieCalculAffiliation(attribution.getDemande())))
    {
      if (justification != null)
      {
        fr.unedic.cali.asu.dom.JustificationAffiliation justificationAffilation = (fr.unedic.cali.asu.dom.JustificationAffiliation)justification;
        listePlafonnementAffiliation = justificationAffilation.getListPlafonnementAffiliation();
      }
    }
    else if (justification != null)
    {
      fr.unedic.cali.asu.produits.liquidation.dom.JustificationAffiliation justificationAffiliation = (fr.unedic.cali.asu.produits.liquidation.dom.JustificationAffiliation)justification;
      listePlafonnementAffiliation = justificationAffiliation.getListePlafonnementAffiliation();
    }
    else
    {
      Demande demande = (Demande)attribution.getDemande();
      Quantite quantiteAffiliationForcee = demande.getDonneesTemporaires().getQuantiteAffiliation();
      if ((quantiteAffiliationForcee == null) && (((fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen)attribution).getConstitutionQuantiteAffiliation() != null) && (((fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen)attribution).getReglementApplicable() != null))
      {
        Periode periodePra = ((fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen)attribution).getConstitutionQuantiteAffiliation().getPeriodePRA();
        Pra pra = new Pra(periodePra);
        
        Reglement reglementApplicable = ((fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen)attribution).getReglementApplicable().getReglement();
        
        ChronologiePeriodes chronoPasseProfessionnel = demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation();
        Chronologie chronoActivitesSalarieesAttestees = fr.unedic.cali.asu.outilsfonctionnels.ConstructionChronologie.determinerPeriodesParticipantesAffiliationRegle13Mois(demande.getListContexteDemande(), periodePra, chronoPasseProfessionnel, false);
        
        Chronologie chronoActivitesAssimilables = fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.ConstructionChronologie.determinerChronoAssimilablePra(demande, periodePra, chronoPasseProfessionnel);
        
        Chronologie chronoActiviteParticipante = new ChronologiePeriodes();
        chronoActiviteParticipante.ajouter(chronoActivitesSalarieesAttestees);
        chronoActiviteParticipante.ajouter(chronoActivitesAssimilables);
        
        fr.unedic.cali.asu.produits.liquidation.dom.JustificationAffiliation justificationAffiliation = new fr.unedic.cali.asu.produits.liquidation.dom.JustificationAffiliation();
        
        QuantitesAppartenance quantitesAppartenance = CalculAppartenance.getInstance().calculer(demande, justificationAffiliation, pra, chronoActiviteParticipante, reglementApplicable);
        if (quantitesAppartenance != null) {
          listePlafonnementAffiliation = justificationAffiliation.getListePlafonnementAffiliation();
        }
      }
    }
    if (listePlafonnementAffiliation == null) {
      listePlafonnementAffiliation = new ArrayList();
    }
    return listePlafonnementAffiliation;
  }
  
  public void initialiserComportementCalculAffiliation(ComportementAffiliationSpec comportement, ParametresAffiliationSpec parametres)
  {
    ComportementAffiliation comportementAffiliation = (ComportementAffiliation)comportement;
    
    comportementAffiliation.setConvertisseurUnite(determinerConvertisseurUniteAffiliation());
    
    comportementAffiliation.setParametresFevrier(new ParametresDerniersJoursFevrier());
  }
  
  public String determinerSituationParticuliere(AttributionSpec attribution)
  {
    return DeterminationSituationParticuliere.getSituationParticuliere((AttributionAssuranceSpec)attribution);
  }
  
  public String getSituationParticuliere(AttributionSpec attribution)
  {
    return DeterminationSituationParticuliere.getSituationParticuliere((AttributionAssuranceSpec)attribution);
  }
  
  public boolean estProduitGerantPensionInvalidite(DemandeSpec demande)
  {
    return true;
  }
  
  public Collection determinerPensionInvaliditeDroitCourant(AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    return OutilPensionInvalidite.determinerStatutPensionInvaliditeDroitCourant(attribution);
  }
  
  public Collection determinerPensionInvaliditeDroitResultant(AttributionSpec attribution)
  {
    return OutilPensionInvalidite.determinerStatutPensionInvaliditeDroitResultant(attribution);
  }
  
  public boolean estProduitGerantIccpEnContexteRepriseSimplifiee()
  {
    return true;
  }
  
  public Damj determinerDateExclueAuPlusTardDebutActiviteConservee(ActiviteSalarie pas, Damj dateFaitGenerateur)
    throws CoucheLogiqueException
  {
    CritereStrategie critere = new CritereStrategie();
    critere.setDatePivot(dateFaitGenerateur);
    StrategieActiviteConserveeSpec strategie = (StrategieActiviteConserveeSpec)FabriqueStrategieActiviteConservee.getInstance().getStrategie(critere);
    
    return strategie.determinerDateExclueAuPlusTardDebutActiviteConservee(pas);
  }
  
  public Resultat determinerContexteExamen(Contexte contexte)
    throws ApplicativeException
  {
    ParcoursContexteExamen parcours = new ParcoursContexteExamen();
    return parcours.effectuerParcours(contexte);
  }
  
  public DureeIndemnisationAbstraite creerDureeCalcul(AttributionSpec attribution)
  {
    AttributionAssuranceSpec attributionAssurance = (AttributionAssuranceSpec)attribution;
    DureeIndemnisation dureeCalcul = new DureeIndemnisation(attributionAssurance.getDureeTheorique().getValeurEntiere());
    dureeCalcul.setCodeFormuleMontant(FormuleMontantRegimeGeneral.getCode());
    return dureeCalcul;
  }
  
  public Quantite getDureeAServirEffective(AttributionSpec attribution)
  {
    return ((AttributionAssuranceSpec)attribution).getDureeIndemnisationEffective();
  }
  
  public Quantite getDureeAServirTheorique(AttributionSpec attribution)
  {
    return ((AttributionAssuranceSpec)attribution).getDureeTheorique();
  }
  
  public Resultat constituerTranchesExecutables(Contexte contexte)
    throws ApplicativeException
  {
    ParcoursAlimentationTranchesExecutables parcours = new ParcoursAlimentationTranchesExecutables();
    return parcours.effectuerParcours(contexte);
  }
  
  public BigDecimal recupererCoefficientSaisonnierMontantRetenu(AttributionSpec attribution)
  {
    return BigDecimal.ONE;
  }
  
  public boolean estTrancheActivee(DemandeSpec demande)
  {
    boolean activationTranche = false;
    if (demande != null)
    {
      Demande demandeAsu = (Demande)demande;
      if (OutilBouchon.appliqueComportement(demandeAsu.getCommentaire(), "DESACTIVER_TRANCHE_EXEC")) {
        activationTranche = false;
      } else if (OutilBouchon.appliqueComportement(demandeAsu.getCommentaire(), "ACTIVER_TRANCHE_EXEC")) {
        activationTranche = true;
      }
    }
    return activationTranche;
  }
  
  public DureeIndemnisationAbstraite creerDureeCalculTranche(Quantite quantite)
  {
    DureeIndemnisation dureeCalcul = new DureeIndemnisation(quantite.getValeurEntiere());
    dureeCalcul.setCodeFormuleMontant(FormuleMontantRegimeGeneral.getCode());
    return dureeCalcul;
  }
  
  public boolean effectuerTraitementSpecifiqueAssistanceMaternellePourAffiliation()
  {
    return false;
  }
  
  public ResultatActiviteReduite calculActiviteReduite(BigDecimal allocationJournalierBrute, BigDecimal remunerationReprise, BigDecimal areBrute, BigDecimal sjr, String justificationCalculMontant, Periode periode)
    throws CoucheLogiqueException
  {
    return fr.unedic.cali.asu.calcul.outilsfonctionnels.ActiviteReduite.calculActiviteReduite(allocationJournalierBrute, remunerationReprise, areBrute, sjr, justificationCalculMontant, periode);
  }
  
  public BigDecimal getCrcSimuActiviteReduite(BigDecimal salaire, BigDecimal montantBrutJournalier, Damj dateCalcul)
  {
    return null;
  }
  
  public StrategieSpec retournerStrategieAvantDeterminationChomageInvolontaire()
  {
    return new StrategieConditionChomageInvolontaireAre14Avant();
  }
  
  public boolean estForcerTempsPleinPourPeriodeA8A10(Damj dateExamen)
  {
    return false;
  }
  
  public CalendrierExecutionCalculSpec creerCalendrierCalcul()
  {
    return new CalendrierExecutionCalcul();
  }
  
  public fr.unedic.cali.calcul.dom.UniteTraitement creerUT(Periode periodeUT, AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    return new fr.unedic.cali.asu.calcul.dom.UniteTraitement(Unite.get("jour"), periodeUT);
  }
  
  public Resultat constituerCapitalDroitCourant(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursCapitalDroitCourant();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerMontantsEffectifs(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursMontantsEffectifs();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerNouvelleRevisionAutomatique(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursNouvelleRevisionAutomatique();
    return effectuerParcours(parcours, contexte);
  }
  
  public String recupererIdAeBatimentPourICCPConservatoire(AttributionSpec attribution)
  {
    return ((Attribution)attribution).getConstitutionDelais().getIdentifiantFCTRetenueICCP();
  }
}

/* Location:
 * Qualified Name:     ProduitDelegue
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */