package fr.unedic.cali.asu.cge01.parametres;

import fr.unedic.cali.asu.produits.liquidation.dom.Pra;
import fr.unedic.cali.asu.produits.liquidation.parametres.CleAccesPRA;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Hashtable;
import java.util.Iterator;

public class ParametragePRAPourDV
{
  public static final int PRA_3_MOIS = 72;
  protected Collection m_listePRA;
  private static ParametragePRAPourDV s_instance;
  
  public static ParametragePRAPourDV getInstance()
  {
    if (s_instance == null) {
      s_instance = new ParametragePRAPourDV();
    }
    return s_instance;
  }
  
  public ParametragePRAPourDV()
  {
    initInstance();
  }
  
  private void initInstance()
  {
    m_listePRA = new ArrayList();
    
    Pra pra = new Pra("RG");
    positionnerQuantiteAffiliationRequise(pra, 91, "jour d'affiliation");
    positionnerQuantiteAffiliationRequise(pra, 455, "heure de travail");
    positionnerQuantiteAssimilationMax(pra, 60, "jour d'affiliation");
    positionnerQuantiteAssimilationMax(pra, 303, "heure de travail");
    ajouterPRASurCollection(pra);
    
    pra = new Pra("RGP");
    positionnerQuantiteAffiliationRequise(pra, 91, "jour d'affiliation");
    positionnerQuantiteAffiliationRequise(pra, 455, "heure de travail");
    positionnerQuantiteAssimilationMax(pra, 60, "jour d'affiliation");
    positionnerQuantiteAssimilationMax(pra, 303, "heure de travail");
    ajouterPRASurCollection(pra);
    
    pra = new Pra("OP");
    positionnerQuantiteAffiliationRequise(pra, 91, "jour d'affiliation");
    positionnerQuantiteAffiliationRequise(pra, 455, "heure de travail");
    positionnerQuantiteAssimilationMax(pra, 60, "jour d'affiliation");
    positionnerQuantiteAssimilationMax(pra, 303, "heure de travail");
    ajouterPRASurCollection(pra);
    
    pra = new Pra("A1");
    positionnerQuantiteAffiliationRequise(pra, 91, "jour d'affiliation");
    positionnerQuantiteAssimilationMax(pra, 60, "jour d'affiliation");
    ajouterPRASurCollection(pra);
    
    pra = new Pra("A2a");
    positionnerQuantiteAffiliationRequise(pra, 91, "embarquement administratif");
    positionnerQuantiteAffiliationRequise(pra, 630, "heure de travail");
    positionnerQuantiteAssimilationMax(pra, 60, "embarquement administratif");
    positionnerQuantiteAssimilationMax(pra, 420, "heure de travail");
    ajouterPRASurCollection(pra);
    
    pra = new Pra("A2b");
    positionnerQuantiteAffiliationRequise(pra, 91, "embarquement administratif");
    positionnerQuantiteAssimilationMax(pra, 60, "embarquement administratif");
    ajouterPRASurCollection(pra);
    
    pra = new Pra("A4");
    positionnerQuantiteAffiliationRequise(pra, 455, "heure de travail");
    positionnerQuantiteAssimilationMax(pra, 303, "heure de travail");
    ajouterPRASurCollection(pra);
    
    pra = new Pra("A5");
    positionnerQuantiteAffiliationRequise(pra, 455, "heure de travail");
    positionnerQuantiteAssimilationMax(pra, 303, "heure de travail");
    ajouterPRASurCollection(pra);
  }
  
  public Pra getPram(CleAccesPRA p_cle)
  {
    Iterator it = m_listePRA.iterator();
    while (it.hasNext())
    {
      Pra pra = (Pra)it.next();
      if (pra.estApplicable(p_cle)) {
        return (Pra)pra.copie();
      }
    }
    return null;
  }
  
  protected void ajouterPRASurCollection(Pra p_pra)
  {
    m_listePRA.add(p_pra);
  }
  
  protected void positionnerQuantiteAffiliationRequise(Pra p_pra, int p_quantite, String p_uniteAffiliation)
  {
    Unite unite = Unite.get(p_uniteAffiliation);
    Quantite quantite = new Quantite(p_quantite, unite);
    p_pra.getListeQuantitesAffiliationRequises().put(unite, quantite);
  }
  
  protected void positionnerQuantiteAssimilationMax(Pra p_pra, int p_quantite, String p_uniteAffiliation)
  {
    Unite unite = Unite.get(p_uniteAffiliation);
    Quantite quantite = new Quantite(p_quantite, unite);
    p_pra.getListeQuantitesAssimilationMaximales().put(unite, quantite);
  }
}

/* Location:
 * Qualified Name:     ParametragePRAPourDV
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */