package fr.unedic.cali.asu.csa06.p01.liquidation.outilsfonctionnels.strategies;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.cge01.liquidation.dom.ResultatRechercheConditionChomageInvolontaire;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.ConstructionPra;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.csa06.p01.liquidation.outilsfonctionnels.ConstructionChronologie;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.dom.ErePassageCPSuiteRejetDV;
import fr.unedic.cali.asu.dom.FaitGenerateurSpec;
import fr.unedic.cali.asu.parametres.AccesListeUnitesReglement;
import fr.unedic.cali.asu.parametres.ValeurListeUnitesReglement;
import fr.unedic.cali.asu.produits.liquidation.dom.Pra;
import fr.unedic.cali.asu.produits.liquidation.dom.QuantitesAppartenance;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.ContratTravail;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.ResultatElementDroit;
import fr.unedic.cali.dom.affectation.ProduitAsuCsa06P01;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.outilsfonctionnels.DetectionTypeChomage;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.FiltreFinDansBornes;
import fr.unedic.util.temps.FiltresTemporel;
import fr.unedic.util.temps.Temporel;
import java.util.Iterator;
import java.util.List;

public class StrategieConditionChomageInvolontaireAre14Avant
  extends fr.unedic.cali.asu.cge01.p02.liquidation.outilsfonctionnels.strategies.StrategieConditionChomageInvolontaireAre14Avant
{
  public ResultatRechercheConditionChomageInvolontaire rechercheConditionChomageInvolontairePourOd(Demande p_demande)
    throws ApplicativeException
  {
    ResultatRechercheConditionChomageInvolontaire resultat = new ResultatRechercheConditionChomageInvolontaire();
    ResultatElementDroit resultatElementDroit = new ResultatElementDroit();
    resultat.setResultatElementDroit(resultatElementDroit);
    
    DossierExamen dossierExamen = (DossierExamen)p_demande.getDossierExamen();
    int codeMotifFin = dossierExamen.getFaitGenerateur().getPeriodeFaitGenerateur().getCodeMotifFin();
    int contexteDemisison = dossierExamen.getFaitGenerateur().getPeriodeFaitGenerateur().getContrat().getContexteDemission();
    
    boolean conditionForcee = false;
    if (p_demande.getDonneesTemporaires() != null) {
      conditionForcee = p_demande.getDonneesTemporaires().isConditionChomageInvolontaireSatistaite();
    }
    if (conditionForcee)
    {
      resultat.getResultatElementDroit().setEtatSatisfait(true);
      resultat.setSituationConditionChomageInvolontaire(3);
    }
    else if ((p_demande.getEvenementReferenceExamen() instanceof ErePassageCPSuiteRejetDV))
    {
      resultat = verifierChomageInvolontaireExamen122Jour(p_demande);
    }
    else if (!DetectionTypeChomage.estChomageLegitime(codeMotifFin, contexteDemisison))
    {
      resultat.setSituationConditionChomageInvolontaire(1);
      resultat.getResultatElementDroit().setEtatSatisfait(false);
      resultat.getResultatElementDroit().setCodeMotifEchec(91);
    }
    else
    {
      Chronologie chronologieActivitesDV = ConstructionChronologie.determinerChronoActivitesDV(p_demande, (DossierExamen)p_demande.getDossierExamen());
      if (chronologieActivitesDV.estVide())
      {
        resultat.setSituationConditionChomageInvolontaire(2);
        resultat.getResultatElementDroit().setEtatSatisfait(true);
      }
      else
      {
        Temporel derniereActivite = chronologieActivitesDV.premierElement();
        Damj dateFCTDVLaPlusRecente = derniereActivite.getDateFin();
        
        Pra periodeReferenceCalcul = null;
        Quantite quantiteAcquise = null;
        
        periodeReferenceCalcul = ConstructionPra.determinerPraDv(p_demande, dateFCTDVLaPlusRecente, ((DossierAffectation)p_demande.getDossierAffectation()).getReglementPeriodeValidationProduit());
        
        FiltresTemporel filtres = new FiltresTemporel();
        filtres.ajouterFiltre(new FiltreFinDansBornes(periodeReferenceCalcul.getDebut(), periodeReferenceCalcul.getFin()));
        ChronologiePeriodes chronoActivitesParticipantes = (ChronologiePeriodes)p_demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation().copier(filtres);
        
        Reglement reglementAppartenance = Reglement.getInstance("RG", ProduitAsuCsa06P01.getInstance());
        
        QuantitesAppartenance qteAppartenance = fr.unedic.cali.asu.cge01.p02.liquidation.outilsaffiliation.CalculAppartenance.getInstance().calculer(p_demande, null, periodeReferenceCalcul, chronoActivitesParticipantes, reglementAppartenance);
        
        quantiteAcquise = verifierConditionAffiliation(qteAppartenance, periodeReferenceCalcul, AccesListeUnitesReglement.get(reglementAppartenance, null).getListeUnites());
        if (quantiteAcquise != null)
        {
          resultat.getResultatElementDroit().setEtatSatisfait(true);
          resultat.setSituationConditionChomageInvolontaire(3);
        }
        else
        {
          resultat.getResultatElementDroit().setEtatSatisfait(false);
          resultat.setSituationConditionChomageInvolontaire(4);
          resultat.getResultatElementDroit().setCodeMotifEchec(92);
        }
      }
    }
    return resultat;
  }
  
  private static Quantite verifierConditionAffiliation(QuantitesAppartenance p_qteAppartenance, Pra p_pra, List p_listeUnites)
  {
    Quantite quantiteAcquise = null;
    for (Iterator iter = p_listeUnites.iterator(); iter.hasNext();)
    {
      Unite unite = (Unite)iter.next();
      Quantite qteAffiliation = p_qteAppartenance.getQuantiteAffiliation(unite);
      
      Quantite qteAssimilation = p_qteAppartenance.getQuantiteAssimilation(unite);
      
      Quantite qteAcquise = qteAffiliation.ajouter(qteAssimilation);
      Quantite qteRequise = p_pra.getQuantiteAffiliationRequise(unite);
      if (qteAcquise.compareTo(qteRequise) >= 0) {
        quantiteAcquise = qteAcquise;
      }
    }
    return quantiteAcquise;
  }
  
  private ResultatRechercheConditionChomageInvolontaire verifierChomageInvolontaireExamen122Jour(Demande p_demandeAssurance)
    throws CoucheLogiqueException
  {
    ResultatRechercheConditionChomageInvolontaire resultat = new ResultatRechercheConditionChomageInvolontaire();
    ResultatElementDroit resultatElementDroit = new ResultatElementDroit();
    resultat.setResultatElementDroit(resultatElementDroit);
    if (p_demandeAssurance.getDonneesTemporaires().estAvisFavorableCommissionParitaire())
    {
      resultat.getResultatElementDroit().setEtatSatisfait(true);
    }
    else if (p_demandeAssurance.getDonneesTemporaires().estAvisDefavorableCommissionParitaire())
    {
      resultat.getResultatElementDroit().setEtatSatisfait(false);
      resultat.getResultatElementDroit().setCodeMotifEchec(93);
    }
    else
    {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ALERTE_A11MB5");
    }
    return resultat;
  }
}

/* Location:
 * Qualified Name:     StrategieConditionChomageInvolontaireAre14Avant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */