package fr.unedic.cali.asu.cva10.p02.liquidation.dom;

import fr.unedic.cali.asu.asr.liquidation.parcours.ConstitutionDateAttribution;
import fr.unedic.cali.asu.asr.liquidation.parcours.DeterminationConditionRechercheEmploiAsp;
import fr.unedic.cali.asu.asr.liquidation.parcours.DeterminationConditionRechercheEmploiPap;
import fr.unedic.cali.asu.cva10.p02.liquidation.dom.gen.ObjectifExamenRepriseGen;
import fr.unedic.cali.asu.cva10.p02.liquidation.parcours.ConstitutionDureeEffectiveReprise;
import fr.unedic.cali.asu.cva10.p02.liquidation.parcours.ConstitutionMontantsBrutsReprise;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.cali.asu.parcours.ParcoursObjectifReprise;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ObjectifExamenSpec;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.services.Parcours;
import java.util.List;

public class ObjectifExamenReprise
  extends ObjectifExamenRepriseGen
{
  private static final long serialVersionUID = 5367083407716639354L;
  private transient List<ContexteDemandeSpec> listeContextesDemande = null;
  
  public ObjectifExamenReprise(List<ContexteDemandeSpec> contexteDemande)
  {
    listeContextesDemande = contexteDemande;
  }
  
  public ObjectifExamenReprise(DomPCSpec pc)
  {
    super(pc);
  }
  
  public ObjectifExamenReprise() {}
  
  public ObjetMetierSpec copie()
  {
    ObjectifExamenReprise copie = new ObjectifExamenReprise();
    copieElements(copie);
    return copie;
  }
  
  public Parcours creerParcoursObjectif()
  {
    return new ParcoursObjectifReprise();
  }
  
  public Parcours creerParcoursConditionRechercheEmploi()
  {
    if (OutilGestionContexteDemande.estContextePresentDansRegroupement(listeContextesDemande, 10)) {
      return new DeterminationConditionRechercheEmploiPap();
    }
    return new DeterminationConditionRechercheEmploiAsp();
  }
  
  public Parcours creerParcoursConditionFaitGenerateur()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionAge()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionQuantiteAffiliation()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionChomageInvolontaire()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionCumulAvantageVieillesse()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionCumulActiviteConservee()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionCumulPrestationFamiliale()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionAnciennete()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionChomageTotal()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionMontant()
  {
    return getObjectifProduitActif().creerParcoursConditionMontant();
  }
  
  public Parcours creerParcoursProduitResultant()
  {
    return null;
  }
  
  public Parcours creerParcoursDeterminationCompetenceFinanceAdmDroitResultant()
  {
    return null;
  }
  
  public Parcours creerParcoursCapitalAvecDureeEffective()
  {
    return null;
  }
  
  public Parcours creerParcoursDelaisReports()
  {
    return null;
  }
  
  public Parcours creerParcoursQuantiteAffiliation()
  {
    return null;
  }
  
  public Parcours creerParcoursSalaireJournalierConserve()
  {
    return null;
  }
  
  public Parcours creerParcoursDeterminationCompetencesFinanceAdmDroitCourant()
  {
    return null;
  }
  
  public Parcours creerParcoursSalaireJournalierDeReference()
  {
    return null;
  }
  
  public Parcours creerParcoursDateLimiteIndemnisation()
  {
    return null;
  }
  
  public Parcours creerParcoursCaractereSaisonnier()
  {
    return null;
  }
  
  public Parcours creerParcoursCoefficientTempsPartiel()
  {
    return null;
  }
  
  public Parcours creerParcoursCoefficientSaisonnier()
  {
    return null;
  }
  
  public Parcours creerParcoursDateAttribution()
  {
    return new ConstitutionDateAttribution();
  }
  
  public Parcours creerParcoursPointDeDepart()
  {
    return getObjectifProduitActif().creerParcoursPointDeDepart();
  }
  
  public Parcours creerParcoursDureesReglementaires()
  {
    return getObjectifProduitActif().creerParcoursDureesReglementaires();
  }
  
  public Parcours creerParcoursDureeEffective()
  {
    return new ConstitutionDureeEffectiveReprise();
  }
  
  public Parcours creerParcoursReglementApplicable()
  {
    return getObjectifProduitActif().creerParcoursReglementApplicable();
  }
  
  public Parcours creerParcoursMontantsBruts()
  {
    return new ConstitutionMontantsBrutsReprise();
  }
}

/* Location:
 * Qualified Name:     ObjectifExamenReprise
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */