package fr.unedic.cali.asu.cva10.p03;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.calcul.dom.CalendrierExecutionCalcul;
import fr.unedic.cali.asu.cge01.outilsfonctionnels.RevalorisationSalaire;
import fr.unedic.cali.asu.cva10.p03.liquidation.outilsfonctionnels.FabriqueObjectifExamen;
import fr.unedic.cali.asu.cva10.p03.liquidation.outilsfonctionnels.OutilDeterminationCodeSousProduit;
import fr.unedic.cali.asu.cva10.p03.liquidation.outilsfonctionnels.RecuperationFormuleMontant;
import fr.unedic.cali.asu.dom.CompetenceSpec;
import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculSpec;
import fr.unedic.cali.calcul.dom.ConstituantsCalculActiviteReduiteSpec;
import fr.unedic.cali.calcul.dom.UniteTraitement;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.ResultatActiviteReduite;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.DecisionSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DomSimulationAffiliation;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.DureeIndemnisationAbstraite;
import fr.unedic.cali.dom.ElementBaseIndemnisationSpec;
import fr.unedic.cali.dom.FormuleMontantSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.JustificationAppelGaecReduit;
import fr.unedic.cali.dom.MontantBaseSpec;
import fr.unedic.cali.dom.RejetSpec;
import fr.unedic.cali.dom.SalaireJournalierSpec;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.cali.dom.affectation.DelaiRechercheProduitSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.dom.affectation.ProduitSecurisationProfessionnelleDelegueSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.dom.affectation.ValidationProduitSpec;
import fr.unedic.cali.dom.conteneurs.DonneesEntreesRecuperationMontant;
import fr.unedic.cali.dom.conteneurs.spec.DonneesEntreeDeterminationSjrSpec;
import fr.unedic.cali.dom.conteneurs.spec.DonneesResultatDeterminationSjrSpec;
import fr.unedic.cali.dom.echange.Decision;
import fr.unedic.cali.dom.pivot.DemandePivot;
import fr.unedic.cali.dom.spec.CalculAppartenanceSpec;
import fr.unedic.cali.dom.spec.ComportementAffiliationSpec;
import fr.unedic.cali.dom.spec.ConstructionPRASpec;
import fr.unedic.cali.dom.spec.ConventionGestionSpec;
import fr.unedic.cali.dom.spec.ParametresAffiliationSpec;
import fr.unedic.cali.fabriques.FabriqueOutilFonctionnelSpec;
import fr.unedic.cali.migration.GrapheLiquidationSpec;
import fr.unedic.cali.occasionnel.outilsfonctionnels.CriteresExecutionPopulation;
import fr.unedic.cali.occasionnel.outilsfonctionnels.CriteresTraitementPopulation;
import fr.unedic.cali.occasionnel.outilsfonctionnels.ResultatTraitementPopulation;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.cali.parcours.ResultatExecutionCalculSpec;
import fr.unedic.cali.util.TableQuantites;
import fr.unedic.util.Convertisseur;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.ApplicativeRuntimeException;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Hashtable;
import java.util.List;

public class ProduitDelegue
  implements ProduitSecurisationProfessionnelleDelegueSpec
{
  public ProduitAsuSpec recupererProduitAreActif(DossierExamenSpec examen)
  {
    ProduitAsuSpec produit = null;
    if ((examen instanceof AttributionSpec)) {
      produit = (ProduitAsuSpec)((AttributionSpec)examen).getProduit();
    }
    return produit;
  }
  
  public ResultatActiviteReduite calculActiviteReduite(BigDecimal journalierBrute, BigDecimal reprise, BigDecimal brute, BigDecimal sjr, String calculMontant, Periode periode)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void controlerContexteDonneesForcees(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void controlerContexteDonneesForceesPostLiquidation(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat determinerContexteExamen(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public DureeCalendaire getAgeMinimumObtentionMaintien(DemandeSpec demande)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public String getCodeSirenEmployeurFaitGenerateur(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public BigDecimal getCrcSimuActiviteReduite(BigDecimal salaire, BigDecimal brutJournalier, Damj calcul)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Chronologie getListeActivitesConserveesAttributionAreLiee(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public int getNombreJoursIndemnisationNecessairesMaintien()
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public SalaireJournalierSpec getSalaireJournalier(AttributionSpec attribution, Damj date)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public boolean recupererLeverBornageRetraite(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public int recupererNombreMoisCumulCourrierKC6F()
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public int recupererNombreMoisCumulMaxActiviteReduite()
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public int recupererNombreMoisIndemnisation(AttributionSpec attribution, Damj etude)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public List recupererParametresPourLiquidationSimplifiee(Periode periode)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public BigDecimal recupererSeuilMensuelHoraireActiviteReduite()
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public BigDecimal recupererSeuilRemuneration(AttributionSpec attribution, Damj calcul)
    throws CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void alimenterBaseEchangesProduit(DossierExamenSpec examen, Decision echange)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void alimenterBasePivotAidesProduit(DossierExamenSpec examen, DemandePivot pivot)
    throws ApplicativeException, CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void alimenterBasePivotProduit(DossierExamenSpec examen, DemandePivot pivot)
    throws ApplicativeException, CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public ArrayList alimenterDecisionsReexamen(Contexte contexte)
    throws CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public boolean comparerDecisions(DecisionSpec decision1, DecisionSpec decision2)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public GrapheLiquidationSpec creerGraphe(int decision, boolean classement)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public String determinerPeriodeGaecAChargerSurLectureDecision(DemandeSpec decisionne)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public boolean estReexecutable(CriteresExecutionPopulation criteres)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public ArrayList getParametres()
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Hashtable recupererElementsConstituant(DossierExamenSpec examen)
    throws CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void alimenterDonneesComplementairesDossierExamen(DossierExamenSpec examenDecisionne)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerCapitalAvecDureeEffective(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerCapitalDroitCourant(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerCaractereSaisonnier(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerCoefficientSaisonnier(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerCoefficientTempsPartiel(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerDateAttribution(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerDateLimiteIndemnisation(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerDelaisReports(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerDureeEffective(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerDureesReglementaires(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerMontantsBruts(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerMontantsEffectifs(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerNbHeuresTravaillees(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerNouvelleRevisionAutomatique(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerPointDeDepart(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerProduitResultant(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerQuantiteAffiliation(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerReglementApplicable(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerRevisionAutomatique(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerSalaireJournalierConserve(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerSalaireJournalierDeReference(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat constituerTranchesExecutables(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public CalendrierExecutionCalculSpec creerCalendrierCalcul()
  {
    return new CalendrierExecutionCalcul();
  }
  
  public DureeIndemnisationAbstraite creerDureeCalcul(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public DureeIndemnisationAbstraite creerDureeCalculTranche(Quantite quantite)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat creerGrapheDemandeAntecedent(Contexte contexte)
    throws CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Object creerObjectifExamen(int sousType, List<ContexteDemandeSpec> contexteDemande)
  {
    return FabriqueObjectifExamen.creerObjectif(sousType, contexteDemande);
  }
  
  public UniteTraitement creerUT(Periode periodeut, AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat detecterContributionParticuliere(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public boolean determinePriseEnCompteObjectifReprise(DemandeSpec courante)
    throws CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public String determinerCodeSousProduitPourSigma(DecisionSpec decision)
  {
    OutilDeterminationCodeSousProduit outil = recupererOutilcodeSousProduit();
    String codeSousProduit = null;
    if ((decision instanceof AttributionSpec)) {
      codeSousProduit = outil.determinerCodeSousProduitPourSigmaPourAttribution((AttributionSpec)decision);
    } else if ((decision instanceof RejetSpec)) {
      codeSousProduit = outil.determinerCodeSousProduitRejet(decision);
    }
    return codeSousProduit;
  }
  
  protected OutilDeterminationCodeSousProduit recupererOutilcodeSousProduit()
  {
    return OutilDeterminationCodeSousProduit.getInstance();
  }
  
  public void determinerCompetencesDroitCourant(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void determinerCompetencesDroitResultant(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Convertisseur determinerConvertisseurUniteAffiliation()
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Damj determinerDateExclueAuPlusTardDebutActiviteConservee(ActiviteSalarie pas, Damj faitGenerateur)
    throws CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public BigDecimal determinerDureeMaximumPourProduit()
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public FabriqueOutilFonctionnelSpec determinerFabriqueOutilFonctionnelDeterminationSjr(Damj faitGenerateur)
    throws CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Collection determinerListePlafonnementAffiliation(AttributionSpec attribution)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void determinerOrdreObjectifs(Contexte contexte)
    throws ApplicativeException
  {}
  
  public Collection determinerPensionInvaliditeDroitCourant(AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Collection determinerPensionInvaliditeDroitResultant(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Periode determinerPraLaPlusLongue(DemandeSpec courante, ActiviteSalarie fctCourante)
    throws CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Quantite determinerReliquatAvecMaintien(AttributionSpec attribution, Damj calcul)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Quantite determinerReliquatHorsMaintien(AttributionSpec attribution, Damj calcul)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public boolean determinerRepriseInvalide(DemandeSpec demande)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public String determinerSituationParticuliere(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public DonneesResultatDeterminationSjrSpec determinerSjrip(DonneesEntreeDeterminationSjrSpec entree)
    throws CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public ResultatTraitementPopulation effectuerTraitementOccasionnel(CriteresTraitementPopulation criteres)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public boolean effectuerTraitementSpecifiqueAssistanceMaternellePourAffiliation()
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public boolean estCapitalPrecedentRetenu(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public boolean estCompetenceAdministrativeRac(AttributionSpec attribution)
  {
    return ((Attribution)attribution).getCompetence().getCompetenceAdministrative() == 1;
  }
  
  public boolean estCompetenceFinanciereSecteurPublic(AttributionSpec attribution)
  {
    return ((Attribution)attribution).getCompetenceFinanciere() == 2;
  }
  
  public boolean estEntameDiffereStandard(DemandeSpec demande)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public boolean estFiliereCourte(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public boolean estForcerTempsPleinPourPeriodeA8A10(Damj examen)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public boolean estPresenceDiffere(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public boolean estProduitGerantIccpEnContexteRepriseSimplifiee()
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public boolean estProduitGerantPensionInvalidite(DemandeSpec demande)
  {
    return true;
  }
  
  public boolean estRejetChomageVolontaire(DecisionSpec decision)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public boolean estTrancheActivee(DemandeSpec demande)
  {
    return false;
  }
  
  public boolean estUnProduitGerantA9()
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public boolean estUnProduitLevantAlerteA8A10()
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat executerSimulationAffiliation(DomSimulationAffiliation simulationAffiliation)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public int getCodeEmploiA2b(DemandeSpec demande)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public int getCodeEmploiA2b(DonneesEntreeDeterminationSjrSpec entreeDeterminationSjr)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public ConventionGestionSpec getConventionGestion(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public JustificationAppelGaecReduit getDateDebutFenetrageAppelGaec(DemandeSpec demande)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Damj getDateFaitGenerateur(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Damj getDateFaitGenerateurAttributionMaitre(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Damj getDateFinDelaiDecheance(AttributionSpec origine, DemandeSpec courante)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Damj getDateObtentionAgePourMaintien(DemandeSpec demande)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Damj getDateObtentionDesTrimestres(DemandeSpec demande)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Damj getDateObtentionIndemnisation(DemandeSpec demande)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Damj getDateRuptureContratTravail(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Quantite getDureeAServirEffective(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Quantite getDureeAServirTheorique(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Quantite getDureeInitiale(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public int getDureeMinimumPourImputationFormation()
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public FormuleMontantSpec getFormuleMontant(String code)
  {
    return RecuperationFormuleMontant.getInstanceFormuleMontant(code);
  }
  
  public CalculAppartenanceSpec getOutilCalculAppartenance(DemandeSpec demande, boolean utiliserNouveauOutilCalcul)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public ConstructionPRASpec getOutilConstructionPRA()
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public ProduitAsuSpec getProduitMontantRetenu(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public SalaireJournalierSpec getSJC(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public BigDecimal getSJR(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public SalaireJournalierSpec getSalaireConserve(AttributionSpec attribution, Damj date)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public String getSituationParticuliere(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void initialiserComportementCalculAffiliation(ComportementAffiliationSpec comportement, ParametresAffiliationSpec parametres)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void initialiserDossierExamen(DossierAffectationSpec affecte)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void installerCompetenceConventionGestion(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public boolean isPlafonnementAffiliationActif()
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat liquiderDemandeAssociee(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void miseAJourDossierExamen(DossierExamenSpec dossier, AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public DelaiRechercheProduitSpec obtenirDelaiRechercheProduit(DossierAffectationSpec affectation, DureeCalendaire allongement)
    throws CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public MontantBaseSpec obtenirMontantDroitPrecedentSecteurPublicProduitResultant(DemandeSpec demande, DossierExamenSpec examen, IndividuSpec individu)
    throws CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public ValidationProduitSpec obtenirValidationProduit(ActiviteSalarie salarie, IndividuSpec individu, DemandeSpec demande, boolean periodeNonAttestee)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public BigDecimal plafonnerDiviseurPrc(BigDecimal dureeprc)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void positionnerQuantiteAssimilationMaximum(Periode periode, TableQuantites quantitesAffiliationAcquises)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void postTraiterPourJustificationAffiliation(DemandeSpec demande)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void recalculerActivitesConserveesPourDemandeMigree(DemandeSpec demande)
    throws CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void recalculerSurAnnulerReexamen(DemandeSpec demande)
    throws CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public BigDecimal recupererCoefficientSaisonnierMontantRetenu(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public BigDecimal recupererCoeficientTempsPartielMontantRetenu(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Damj recupererDJIParEpuisement(DemandeSpec demande, AttributionSpec attribution, boolean epuisementHPec)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public ElementBaseIndemnisationSpec recupererElementBaseIndemnisationPourReadmissionAvecMontantRetenuPrecedent(int decision, int retenu, DemandeSpec demande, AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public MontantBaseSpec recupererMontant(DonneesEntreesRecuperationMontant entreeRecuperationMontant)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Reglement recupererReglementApplicable(AttributionSpec attribution)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public ObjetMetierSpec recupererSJRPourDelaisReport(DemandeSpec demande)
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public StrategieSpec retournerStrategieAvantDeterminationChomageInvolontaire()
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public SalaireJournalierSpec revaloriserSalaireJournalier(ElementBaseIndemnisationSpec ebi, Damj date)
  {
    return RevalorisationSalaire.revaloriserSjr(((ElementBaseIndemnisation)ebi).getSjr(), date);
  }
  
  public SalaireJournalierSpec revaloriserSalaireJournalierReference(BigDecimal sjr, Damj effetSjr, Damj revalorisation, String particulier)
    throws CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void sauvegardeElementsJustificatifs(DossierExamenSpec decision)
    throws CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void traitementPeriodesDecalantes(AttributionSpec attribution, ChronologiePeriodes decalantes, ConstituantsCalculActiviteReduiteSpec calculActiviteReduite, UniteTraitement ut)
    throws CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void traitementPeriodesGelantes(AttributionSpec attribution, ChronologiePeriodes gelantes, ConstituantsCalculActiviteReduiteSpec calculActiviteReduite, UniteTraitement ut)
    throws CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat traiterReliquat(ResultatExecutionCalculSpec executionCalcul, Damj etude)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public boolean verifierCapasPreliminaires(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierCondition28JoursSuspension(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierConditionActivitePourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierConditionAge(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierConditionAgePourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierConditionAnciennete(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierConditionAppartenancePourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierConditionBeneficeAutreProduit(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierConditionCSRAccordCP(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierConditionCSRDateAttributionPendantSuspension(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierConditionChomageInvolontaire(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierConditionChomageTotal(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierConditionCumulActiviteConservee(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierConditionCumulPrestationFamiliale(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierConditionDecisionCPPourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierConditionDureeIndemnisationPourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierConditionDureeNonNulle(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierConditionFaitGenerateur(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierConditionMontant(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierConditionNombreTrimestresPourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierConditionQuantiteAffiliation(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierConditionRechercheEmploi(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public Resultat verifierConditionValiditeReliquat(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void verifierPropositionAttribution(DemandeSpec demande)
    throws CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void verifierPropositionRejet(DemandeSpec demande)
    throws CoucheLogiqueException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public void verifierValiditeObjectif(Contexte contexte)
    throws ApplicativeException
  {
    throw new ApplicativeRuntimeException("méthode non implémentée");
  }
  
  public String recupererIdAeBatimentPourICCPConservatoire(AttributionSpec attribution)
  {
    return null;
  }
}

/* Location:
 * Qualified Name:     ProduitDelegue
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */