package fr.unedic.cali.asu.cve13.p01;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.cge01.liquidation.outilsaffiliation.CalculAppartenance;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.AlimenterElementsJustification;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.ConstructionPra;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.OutilDonneesDeterminationSjr;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques.FabriqueOutilFonctionnelDeterminationSjrAncienneRegle;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.spec.FabriqueOutilFonctionnelDeterminationSjrSpec;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.spec.OutilDeterminationSjrSpec;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ParcoursValiderObjectif;
import fr.unedic.cali.asu.cge01.outilsfonctionnels.RevalorisationSalaire;
import fr.unedic.cali.asu.cge01.parametres.Parametres;
import fr.unedic.cali.asu.cve13.p01.calcul.outilsfonctionnels.TraitementActiviteReduite;
import fr.unedic.cali.asu.cve13.p01.liquidation.outilsfonctionnels.AlimentationBasePivot;
import fr.unedic.cali.asu.cve13.p01.liquidation.outilsfonctionnels.ComparateurDecision;
import fr.unedic.cali.asu.cve13.p01.liquidation.outilsfonctionnels.ConstitutionCREMConstituant;
import fr.unedic.cali.asu.cve13.p01.liquidation.outilsfonctionnels.FabriqueObjectifExamen;
import fr.unedic.cali.asu.cve13.p01.liquidation.outilsfonctionnels.RecuperationFormuleMontant;
import fr.unedic.cali.asu.cve13.p01.liquidation.parcours.ParcoursDetecterContributionParticuliere;
import fr.unedic.cali.asu.cve13.p01.liquidation.parcours.ParcoursDeterminationOrdreObjectifs;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.CompetenceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierExamenAssuranceSpec;
import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.dom.FaitGenerateurSpec;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.asu.dom.ReglementApplicableSpec;
import fr.unedic.cali.asu.dom.Sjc;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.asu.liquidation.outilsfonctionnels.DeterminationMontant;
import fr.unedic.cali.asu.occasionnel.FabriqueTraitementPopulation;
import fr.unedic.cali.asu.outilsfonctionnels.AppelCalculParLiquidationAsu;
import fr.unedic.cali.asu.outilsfonctionnels.ConstructionChronologie;
import fr.unedic.cali.asu.outilsfonctionnels.VerificationDonneesForcees;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.parcours.ParcoursAlimentationTranchesExecutables;
import fr.unedic.cali.asu.parcours.ParcoursContexteExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionSjr;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.Examen;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ObjectifExamenSpec;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.DeterminationSituationParticuliere;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.ContratTravail;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculSpec;
import fr.unedic.cali.calcul.dom.ConstituantsCalculActiviteReduiteSpec;
import fr.unedic.cali.calcul.dom.UniteTraitement;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.ResultatActiviteReduite;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.DecisionSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DomSimulationAffiliation;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.DureeIndemnisationAbstraite;
import fr.unedic.cali.dom.ElementBaseIndemnisationSpec;
import fr.unedic.cali.dom.FormuleMontantSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.JustificationAppelGaecReduit;
import fr.unedic.cali.dom.MontantBaseSpec;
import fr.unedic.cali.dom.ObjetAlertesNonBloquantes;
import fr.unedic.cali.dom.SalaireJournalierSpec;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.cali.dom.affectation.DelaiRechercheProduitSpec;
import fr.unedic.cali.dom.affectation.LigneAsuCge01;
import fr.unedic.cali.dom.affectation.ProduitAsuDelegueSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.dom.affectation.ValidationProduitSpec;
import fr.unedic.cali.dom.conteneurs.DonneesCalculMontant;
import fr.unedic.cali.dom.conteneurs.DonneesEntreesRecuperationMontant;
import fr.unedic.cali.dom.conteneurs.spec.DonneesEntreeComportementSpec;
import fr.unedic.cali.dom.conteneurs.spec.DonneesEntreeDemandeDeterminationSjrSpec;
import fr.unedic.cali.dom.conteneurs.spec.DonneesEntreeDeterminationSjrSpec;
import fr.unedic.cali.dom.conteneurs.spec.DonneesResultatDeterminationSjrSpec;
import fr.unedic.cali.dom.echange.Decision;
import fr.unedic.cali.dom.pivot.DemandePivot;
import fr.unedic.cali.dom.spec.CalculAppartenanceSpec;
import fr.unedic.cali.dom.spec.ComportementAffiliationSpec;
import fr.unedic.cali.dom.spec.ConstantesCategorieTableEchange;
import fr.unedic.cali.dom.spec.ConstructionPRASpec;
import fr.unedic.cali.dom.spec.ConventionGestionSpec;
import fr.unedic.cali.dom.spec.ParametresAffiliationSpec;
import fr.unedic.cali.fabriques.FabriqueOutilFonctionnelSpec;
import fr.unedic.cali.migration.GrapheLiquidationSpec;
import fr.unedic.cali.occasionnel.outilsfonctionnels.CriteresExecutionPopulation;
import fr.unedic.cali.occasionnel.outilsfonctionnels.CriteresTraitementPopulation;
import fr.unedic.cali.occasionnel.outilsfonctionnels.ResultatTraitementPopulation;
import fr.unedic.cali.occasionnel.outilsfonctionnels.TraitementPopulationSpec;
import fr.unedic.cali.outilsfonctionnels.AppelCalculParLiquidation;
import fr.unedic.cali.outilsfonctionnels.ConvertisseurUniteAffiliation;
import fr.unedic.cali.outilsfonctionnels.OutilReliquat;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.cali.parcours.DomCali;
import fr.unedic.cali.parcours.DomLiquidationDemande;
import fr.unedic.cali.parcours.ResultatExecutionCalculSpec;
import fr.unedic.cali.util.TableQuantites;
import fr.unedic.util.Convertisseur;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteService;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Parcours;
import fr.unedic.util.services.Resultat;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Hashtable;
import java.util.List;
import java.util.Map;

public class ProduitDelegue
  implements ProduitAsuDelegueSpec
{
  private ObjectifExamenSpec recupererObjectifCourant(Contexte contexte)
  {
    ObjectifExamen objectifCourant = null;
    if ((contexte != null) && (contexte.getDonnees() != null)) {
      objectifCourant = DomLiquidationAssurance.getDemande(contexte).getObjectifCourant();
    }
    return (ObjectifExamenSpec)objectifCourant;
  }
  
  public Resultat constituerCapitalAvecDureeEffective(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat constituerCaractereSaisonnier(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat constituerCoefficientSaisonnier(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat constituerCoefficientTempsPartiel(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat constituerDateLimiteIndemnisation(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursDateLimiteIndemnisation();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerDelaisReports(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat constituerDureeEffective(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat constituerDureesReglementaires(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat constituerNbHeuresTravaillees(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat constituerPointDeDepart(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursPointDeDepart();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerProduitResultant(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat constituerQuantiteAffiliation(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat constituerRevisionAutomatique(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat constituerSalaireJournalierConserve(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Object creerObjectifExamen(int sousType, List<ContexteDemandeSpec> contexteDemande)
  {
    return FabriqueObjectifExamen.creerObjectif(sousType, contexteDemande);
  }
  
  public void determinerCompetencesDroitResultant(Contexte contexte)
    throws ApplicativeException
  {}
  
  public JustificationAppelGaecReduit getDateDebutFenetrageAppelGaec(DemandeSpec demande)
  {
    return null;
  }
  
  public FormuleMontantSpec getFormuleMontant(String code)
  {
    return RecuperationFormuleMontant.getInstanceFormuleMontant(code);
  }
  
  public boolean verifierCapasPreliminaires(Contexte contexte)
    throws ApplicativeException
  {
    return true;
  }
  
  public Resultat verifierCondition28JoursSuspension(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionActivitePourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionAge(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionAgePourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionAnciennete(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionAppartenancePourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionBeneficeAutreProduit(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionChomageInvolontaire(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionChomageTotal(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionCSRAccordCP(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionCSRDateAttributionPendantSuspension(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionCumulActiviteConservee(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionCumulPrestationFamiliale(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionDecisionCPPourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionDureeIndemnisationPourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionDureeNonNulle(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionMontant(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionMontant();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat verifierConditionNombreTrimestresPourMaintien(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionQuantiteAffiliation(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public Resultat verifierConditionRechercheEmploi(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifExamen = recupererObjectifCourant(contexte);
    Parcours parcours = objectifExamen.creerParcoursConditionRechercheEmploi();
    return effectuerParcours(parcours, contexte);
  }
  
  public void postTraiterPourJustificationAffiliation(DemandeSpec demande) {}
  
  public void determinerOrdreObjectifs(Contexte contexte)
    throws ApplicativeException
  {
    ParcoursDeterminationOrdreObjectifs parcours = new ParcoursDeterminationOrdreObjectifs();
    parcours.effectuerParcours(contexte);
  }
  
  public ArrayList alimenterDecisionsReexamen(Contexte contexte)
    throws CoucheLogiqueException
  {
    if ((contexte != null) && (contexte.getDonnees() != null))
    {
      DomLiquidationAssurance domCourant = (DomLiquidationAssurance)contexte.getDonnees();
      if (!domCourant.getDemande().estUneDemandeFinancement())
      {
        DecisionSpec decisionAvantReexamen = (DecisionSpec)domCourant.getDemandeAvantReexamen().getDossierAffectation().getDossierExamen();
        DecisionSpec decisionApresReexamen = (DecisionSpec)domCourant.getDemande().getDossierAffectation().getDossierExamen();
        return ComparateurDecision.rechercheDifferencesComparaisonDecision(decisionAvantReexamen, decisionApresReexamen);
      }
    }
    return null;
  }
  
  public void alimenterBaseEchangesProduit(DossierExamenSpec dossierExamen, Decision demandeEchange)
    throws CoucheLogiqueException
  {
    fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.AlimenterBaseEchanges.getInstance().alimenterDonneesProduit(dossierExamen, demandeEchange);
    fr.unedic.cali.asu.cve13.p01.liquidation.outilsfonctionnels.AlimenterBaseEchanges.alimenterDonneesProduit(dossierExamen, demandeEchange);
  }
  
  public void alimenterBasePivotProduit(DossierExamenSpec dossierExamen, DemandePivot demandePivot)
    throws ApplicativeException
  {
    AlimentationBasePivot.alimenterDonneesProduit(dossierExamen, demandePivot);
  }
  
  public void controlerContexteDonneesForcees(Contexte contexte)
    throws ApplicativeException
  {
    Demande demande = (Demande)((DomLiquidationDemande)contexte.getDonnees()).getDemandeSpec();
    DomCali domCali = (DomCali)contexte.getDonnees();
    Damj dateTraitement = domCali.getContexteService().getDateTraitement();
    VerificationDonneesForcees.getInstance().verifierDonneesForcees(demande, dateTraitement);
  }
  
  public void controlerContexteDonneesForceesPostLiquidation(Contexte contexte)
    throws ApplicativeException
  {
    Demande demande = (Demande)((DomLiquidationDemande)contexte.getDonnees()).getDemandeSpec();
    VerificationDonneesForcees.getInstance().verifierDonneesForceesPostLiquidation(demande);
  }
  
  public DureeCalendaire getAgeMinimumObtentionMaintien(DemandeSpec demande)
  {
    return null;
  }
  
  public String getCodeSirenEmployeurFaitGenerateur(AttributionSpec attribution)
  {
    return null;
  }
  
  public BigDecimal recupererCoeficientTempsPartielMontantRetenu(AttributionSpec attribution)
  {
    return ((Attribution)attribution).getElementBaseIndemnisation().getCoefficientTempsPartiel();
  }
  
  public Chronologie getListeActivitesConserveesAttributionAreLiee(AttributionSpec attribution)
  {
    return ((AttributionAssuranceSpec)attribution).getListeActiviteConservee();
  }
  
  public int getNombreJoursIndemnisationNecessairesMaintien()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée pour le produit CTP");
  }
  
  public SalaireJournalierSpec getSalaireJournalier(AttributionSpec attribution, Damj date)
  {
    SalaireJournalierSpec salaireJournalier;
    SalaireJournalierSpec salaireJournalier;
    if (((ProduitAsuSpec)attribution.getProduit()).estTrancheActivee(attribution.getDemande()))
    {
      salaireJournalier = RevalorisationSalaire.revaloriserSjrTranche(attribution, date);
    }
    else
    {
      ElementBaseIndemnisation ebi = ((AttributionAssuranceSpec)attribution).getElementBaseIndemnisation();
      salaireJournalier = revaloriserSalaireJournalier(ebi, date);
    }
    return salaireJournalier;
  }
  
  public boolean recupererLeverBornageRetraite(AttributionSpec attribution)
  {
    return false;
  }
  
  public int recupererNombreMoisCumulMaxActiviteReduite()
  {
    return 0;
  }
  
  public int recupererNombreMoisCumulCourrierKC6F()
  {
    return 0;
  }
  
  public int recupererNombreMoisIndemnisation(AttributionSpec attribution, Damj dateEtude)
    throws ApplicativeException
  {
    return AppelCalculParLiquidationAsu.determinerNombreMoisIndemnise(attribution, dateEtude);
  }
  
  public List recupererParametresPourLiquidationSimplifiee(Periode periode)
  {
    return null;
  }
  
  public BigDecimal recupererSeuilMensuelHoraireActiviteReduite()
  {
    return null;
  }
  
  public BigDecimal recupererSeuilRemuneration(AttributionSpec attribution, Damj dateCalcul)
    throws CoucheLogiqueException
  {
    return AppelCalculParLiquidationAsu.getSeuilRenumeration(attribution, dateCalcul);
  }
  
  public boolean comparerDecisions(DecisionSpec decision1, DecisionSpec decision2)
  {
    return ComparateurDecision.estEgal(decision1, decision2);
  }
  
  public GrapheLiquidationSpec creerGraphe(int natureDecision, boolean classement)
  {
    return null;
  }
  
  public boolean estReexecutable(CriteresExecutionPopulation criteres)
  {
    return false;
  }
  
  public ArrayList getParametres()
  {
    return null;
  }
  
  public Hashtable recupererElementsConstituant(DossierExamenSpec dossierExamen)
    throws CoucheLogiqueException
  {
    return ConstitutionCREMConstituant.recupererConstituant(dossierExamen);
  }
  
  public Resultat constituerDateAttribution(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursDateAttribution();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerMontantsBruts(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursMontantsBruts();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerReglementApplicable(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursReglementApplicable();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerSalaireJournalierDeReference(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursSalaireJournalierDeReference();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat detecterContributionParticuliere(Contexte contexte)
    throws ApplicativeException
  {
    ParcoursDetecterContributionParticuliere parcours = new ParcoursDetecterContributionParticuliere();
    return parcours.effectuerParcours(contexte);
  }
  
  public void determinerCompetencesDroitCourant(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursDeterminationCompetencesFinanceAdmDroitCourant();
    parcours.effectuerParcours(contexte);
  }
  
  public Periode determinerPraLaPlusLongue(DemandeSpec demandeCourante, ActiviteSalarie periodeFctCourante)
    throws CoucheLogiqueException
  {
    return ConstructionPra.determinerPraLaPlusLongue(demandeCourante, periodeFctCourante);
  }
  
  public Quantite determinerReliquatHorsMaintien(AttributionSpec attribution, Damj dateCalcul)
    throws ApplicativeException
  {
    return null;
  }
  
  public Quantite determinerReliquatAvecMaintien(AttributionSpec attribution, Damj dateCalcul)
    throws ApplicativeException
  {
    return null;
  }
  
  public boolean determinerRepriseInvalide(DemandeSpec demande)
  {
    return true;
  }
  
  public boolean estCapitalPrecedentRetenu(AttributionSpec attribution)
  {
    return false;
  }
  
  public boolean estCompetenceAdministrativeRac(AttributionSpec attribution)
  {
    return ((Attribution)attribution).getCompetence().getCompetenceAdministrative() == 1;
  }
  
  public boolean estCompetenceFinanciereSecteurPublic(AttributionSpec attribution)
  {
    return ((Attribution)attribution).getCompetenceFinanciere() == 2;
  }
  
  public boolean estEntameDiffereStandard(DemandeSpec demande)
    throws ApplicativeException
  {
    boolean estConsommeDiffere = false;
    DossierExamen dossierExamen = (DossierExamen)((Demande)demande).getDossierExamen();
    if (dossierExamen != null)
    {
      ResultatExecutionCalculSpec resultatCalcul = AppelCalculParLiquidation.executerCalculDeterminationEtatDroit((Attribution)dossierExamen, null, true);
      
      estConsommeDiffere = resultatCalcul.isDiffereEntame();
    }
    return estConsommeDiffere;
  }
  
  public boolean estFiliereCourte(AttributionSpec attribution)
  {
    return false;
  }
  
  public boolean estRejetChomageVolontaire(DecisionSpec decision)
  {
    return false;
  }
  
  public Resultat executerSimulationAffiliation(DomSimulationAffiliation domSimulationAffiliation)
    throws ApplicativeException
  {
    return null;
  }
  
  public int getCodeEmploiA2b(DemandeSpec demande)
  {
    int codeEmploiA2bRetourne = 0;
    
    DonneesEntreeDeterminationSjrSpec donneesEntree = OutilDonneesDeterminationSjr.getInstance().initialiserDonneesEntreeAvecDemande((Demande)demande);
    
    FabriqueOutilFonctionnelDeterminationSjrSpec fabriqueOfSjr = null;
    try
    {
      fabriqueOfSjr = (FabriqueOutilFonctionnelDeterminationSjrSpec)determinerFabriqueOutilFonctionnelDeterminationSjr(donneesEntree.getDonneesEntreeDemande().getDateFaitGenerateurDroitCourant());
      codeEmploiA2bRetourne = fabriqueOfSjr.getOutilDeterminationSjr().determinerCodeEmploiA2b(donneesEntree);
    }
    catch (CoucheLogiqueException ex)
    {
      codeEmploiA2bRetourne = 0;
    }
    return codeEmploiA2bRetourne;
  }
  
  public int getCodeEmploiA2b(DonneesEntreeDeterminationSjrSpec donneesEntreeDeterminationSjr)
  {
    int codeEmploiA2bRetourne = 0;
    
    FabriqueOutilFonctionnelDeterminationSjrSpec fabriqueOfSjr = null;
    try
    {
      fabriqueOfSjr = (FabriqueOutilFonctionnelDeterminationSjrSpec)determinerFabriqueOutilFonctionnelDeterminationSjr(donneesEntreeDeterminationSjr.getDonneesEntreeDemande().getDateFaitGenerateurDroitCourant());
      codeEmploiA2bRetourne = fabriqueOfSjr.getOutilDeterminationSjr().determinerCodeEmploiA2b(donneesEntreeDeterminationSjr);
    }
    catch (CoucheLogiqueException ex)
    {
      codeEmploiA2bRetourne = 0;
    }
    return codeEmploiA2bRetourne;
  }
  
  public Damj getDateFaitGenerateur(AttributionSpec attribution)
  {
    Attribution attributionAsu = (Attribution)attribution;
    if (attributionAsu.getFaitGenerateur() != null) {
      return attributionAsu.getFaitGenerateur().getDateFaitGenerateur();
    }
    return null;
  }
  
  public Damj getDateFaitGenerateurAttributionMaitre(AttributionSpec attribution)
  {
    AttributionAssuranceSpec attributionAsu = (AttributionAssuranceSpec)attribution;
    Attribution attributionOrigine = (Attribution)attributionAsu.getOuvertureDroit();
    if (attributionOrigine != null) {
      return attributionOrigine.getFaitGenerateur().getDateFaitGenerateur();
    }
    return null;
  }
  
  public Damj getDateFinDelaiDecheance(AttributionSpec attributionOrigine, DemandeSpec demandeCourante)
  {
    return null;
  }
  
  public Damj getDateObtentionAgePourMaintien(DemandeSpec demande)
  {
    return null;
  }
  
  public Damj getDateObtentionDesTrimestres(DemandeSpec demande)
  {
    return null;
  }
  
  public Damj getDateObtentionIndemnisation(DemandeSpec demande)
    throws ApplicativeException
  {
    return null;
  }
  
  public Damj getDateRuptureContratTravail(AttributionSpec attributionAsu)
  {
    Attribution attribution = (Attribution)attributionAsu;
    Damj dateRuptureContratTravail = null;
    if ((attribution != null) && (attribution.getDossierAffecte() != null))
    {
      FaitGenerateurSpec cdtFaitGenerateur = attribution.getConditionFaitGenerateur();
      if ((cdtFaitGenerateur != null) && (cdtFaitGenerateur.getPeriodeFaitGenerateur() != null))
      {
        ContratTravail contrat = cdtFaitGenerateur.getPeriodeFaitGenerateur().getContrat();
        if (contrat != null) {
          dateRuptureContratTravail = contrat.getDateRuptureContratTravail();
        }
      }
    }
    return dateRuptureContratTravail;
  }
  
  public Quantite getDureeAServirEffective(AttributionSpec attribution)
  {
    return null;
  }
  
  public Quantite getDureeInitiale(AttributionSpec attribution)
  {
    return null;
  }
  
  public int getDureeMinimumPourImputationFormation()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être applelée pour le produit CTP");
  }
  
  public ConstructionPRASpec getOutilConstructionPRA()
  {
    return null;
  }
  
  public BigDecimal getSJR(AttributionSpec attribution)
  {
    return ((Attribution)attribution).getElementBaseIndemnisation().getSjr().getSalaire();
  }
  
  public SalaireJournalierSpec getSalaireConserve(AttributionSpec attribution, Damj date)
  {
    Sjc sjc = ((Attribution)attribution).getSJC();
    return RevalorisationSalaire.revaloriserSjc(sjc, date);
  }
  
  public void initialiserDossierExamen(DossierAffectationSpec dossierAffecte)
  {
    dossierAffecte.setDossierExamen(new Examen());
  }
  
  public void installerCompetenceConventionGestion(AttributionSpec attribution) {}
  
  public void miseAJourDossierExamen(DossierExamenSpec dossier, AttributionSpec attribution)
  {
    ((DossierExamen)dossier).setAttributionPrecedente((AttributionAssuranceSpec)attribution);
  }
  
  public DelaiRechercheProduitSpec obtenirDelaiRechercheProduit(DossierAffectationSpec dossierAffectation, DureeCalendaire delaiAllongement)
    throws CoucheLogiqueException
  {
    return null;
  }
  
  public MontantBaseSpec obtenirMontantDroitPrecedentSecteurPublicProduitResultant(DemandeSpec demande, DossierExamenSpec dossierExamen, IndividuSpec individu)
    throws CoucheLogiqueException
  {
    return null;
  }
  
  public ValidationProduitSpec obtenirValidationProduit(ActiviteSalarie activiteSalarie, IndividuSpec individu, DemandeSpec demande, boolean avecPeriodeNonAttestee)
    throws ApplicativeException
  {
    return null;
  }
  
  public BigDecimal plafonnerDiviseurPrc(BigDecimal dureePRC)
  {
    return dureePRC.min(Parametres.PLAFOND_DIVISEUR_PRC);
  }
  
  public void positionnerQuantiteAssimilationMaximum(Periode periode, TableQuantites tableQuantitesAffiliationAcquises) {}
  
  public void recalculerActivitesConserveesPourDemandeMigree(DemandeSpec demande)
    throws CoucheLogiqueException
  {}
  
  public void recalculerSurAnnulerReexamen(DemandeSpec demande)
    throws CoucheLogiqueException
  {}
  
  public Damj recupererDJIParEpuisement(DemandeSpec demande, AttributionSpec attribution, boolean verifierEpuisementHPec)
    throws ApplicativeException
  {
    return OutilReliquat.recupererDJIParEpuisement(demande, attribution, verifierEpuisementHPec);
  }
  
  public Reglement recupererReglementApplicable(AttributionSpec attribution)
  {
    Attribution attrib = (Attribution)attribution;
    if (attrib.getReglementApplicable() != null) {
      return attrib.getReglementApplicable().getReglement();
    }
    return null;
  }
  
  public ObjetMetierSpec recupererSJRPourDelaisReport(DemandeSpec demande)
  {
    DossierExamen dossierExamen = (DossierExamen)demande.getDossierAffectation().getDossierExamen();
    return dossierExamen.getConstitutionSjr().getSjrrp();
  }
  
  public SalaireJournalierSpec revaloriserSalaireJournalier(ElementBaseIndemnisationSpec pebi, Damj date)
  {
    ElementBaseIndemnisation ebi = (ElementBaseIndemnisation)pebi;
    return RevalorisationSalaire.revaloriserSjr(ebi.getSjr(), date);
  }
  
  public void sauvegardeElementsJustificatifs(DossierExamenSpec decision)
    throws CoucheLogiqueException
  {
    AlimenterElementsJustification.alimenterDonnees(decision);
  }
  
  public void traitementPeriodesDecalantes(AttributionSpec attribution, ChronologiePeriodes periodesDecalantes, ConstituantsCalculActiviteReduiteSpec constituantsCalculActiviteReduite, UniteTraitement ut)
    throws CoucheLogiqueException
  {
    TraitementActiviteReduite.traitementPeriodesDecalantes(attribution, periodesDecalantes, constituantsCalculActiviteReduite, ut, ut.getConstituantsIndemnisationEnDebutUT());
  }
  
  public void traitementPeriodesGelantes(AttributionSpec attribution, ChronologiePeriodes periodesGelantes, ConstituantsCalculActiviteReduiteSpec constituantsCalculActiviteReduite, UniteTraitement ut)
    throws CoucheLogiqueException
  {
    TraitementActiviteReduite.traitementPeriodesGelantes(attribution, periodesGelantes, constituantsCalculActiviteReduite, ut);
  }
  
  public Resultat traiterReliquat(ResultatExecutionCalculSpec resultatExecutionCalcul, Damj dateEtude)
    throws ApplicativeException
  {
    return null;
  }
  
  public Resultat verifierConditionFaitGenerateur(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursConditionFaitGenerateur();
    return effectuerParcours(parcours, contexte);
  }
  
  public void verifierValiditeObjectif(Contexte contexte)
    throws ApplicativeException
  {
    ParcoursValiderObjectif parcours = new ParcoursValiderObjectif();
    parcours.effectuerParcours(contexte);
  }
  
  protected Resultat effectuerParcours(Parcours parcours, Contexte contexte)
    throws ApplicativeException
  {
    Resultat resultat = null;
    if (parcours != null) {
      resultat = parcours.effectuerParcours(contexte);
    }
    return resultat;
  }
  
  public boolean determinePriseEnCompteObjectifReprise(DemandeSpec demandeCourante)
  {
    return false;
  }
  
  public boolean estPresenceDiffere(AttributionSpec attribution)
  {
    return false;
  }
  
  public Resultat liquiderDemandeAssociee(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifCourant = recupererObjectifCourant(contexte);
    Parcours parcours = objectifCourant.creerParcoursLiquidationDemandeAssociee();
    return effectuerParcours(parcours, contexte);
  }
  
  public void alimenterDonneesComplementairesDossierExamen(DossierExamenSpec dossierExamenDecisionne) {}
  
  public String determinerPeriodeGaecAChargerSurLectureDecision(DemandeSpec demandeDecisionne)
  {
    return null;
  }
  
  public void alimenterBasePivotAidesProduit(DossierExamenSpec dossierExamen, DemandePivot demandePivot)
    throws ApplicativeException
  {}
  
  public Resultat creerGrapheDemandeAntecedent(Contexte contexte)
  {
    return null;
  }
  
  public BigDecimal determinerDureeMaximumPourProduit()
  {
    return null;
  }
  
  public ResultatTraitementPopulation effectuerTraitementOccasionnel(CriteresTraitementPopulation criteres)
    throws ApplicativeException
  {
    FabriqueTraitementPopulation fabrique = new FabriqueTraitementPopulation();
    TraitementPopulationSpec traitement = fabrique.getInstance(criteres.getNomPopulation());
    if (traitement != null) {
      return traitement.effectuerTraitement(criteres);
    }
    return null;
  }
  
  public void verifierPropositionAttribution(DemandeSpec demande)
    throws CoucheLogiqueException
  {
    DossierExamenSpec dossierExamen = demande.getDossierAffectation().getDossierExamen();
    ReglementApplicableSpec reglementApplicable = ((DossierExamenAssuranceSpec)dossierExamen).getReglementApplicable();
    if ((reglementApplicable != null) && (reglementApplicable.getReglement().estNomReglementIdentique("A9A")))
    {
      Collection listePeriodes = new ArrayList();
      
      ObjetAlertesNonBloquantes objetAlerteNonBloquante = new ObjetAlertesNonBloquantes(Damj.NUIT_DES_TEMPS, Damj.FIN_DES_TEMPS, 999);
      
      listePeriodes.add(objetAlerteNonBloquante);
      demande.getAlertesNonBloquantes().put("A11MNB12", listePeriodes);
    }
  }
  
  public SalaireJournalierSpec revaloriserSalaireJournalierReference(BigDecimal montantSjr, Damj dateEffetSjr, Damj dateRevalorisation, String contexteParticulier)
    throws CoucheLogiqueException
  {
    Sjr sjr = new Sjr(montantSjr, dateEffetSjr, contexteParticulier);
    return RevalorisationSalaire.revaloriserSjr(sjr, dateRevalorisation);
  }
  
  public SalaireJournalierSpec getSJC(AttributionSpec attribution)
  {
    return null;
  }
  
  public FabriqueOutilFonctionnelSpec determinerFabriqueOutilFonctionnelDeterminationSjr(Damj dateFaitGenerateur)
    throws CoucheLogiqueException
  {
    return FabriqueOutilFonctionnelDeterminationSjrAncienneRegle.getInstance();
  }
  
  public DonneesResultatDeterminationSjrSpec determinerSjrip(DonneesEntreeDeterminationSjrSpec donneesEntree)
    throws CoucheLogiqueException
  {
    if (donneesEntree.getDonneesEntreeComportement().getFabriqueOutilFonctionnel() == null) {
      donneesEntree.getDonneesEntreeComportement().setFabriqueOutilFonctionnel(determinerFabriqueOutilFonctionnelDeterminationSjr(donneesEntree.getDonneesEntreeDemande().getDateFaitGenerateurDroitCourant()));
    }
    FabriqueOutilFonctionnelDeterminationSjrSpec fabriqueOutilFonctionnel = (FabriqueOutilFonctionnelDeterminationSjrSpec)donneesEntree.getDonneesEntreeComportement().getFabriqueOutilFonctionnel();
    DonneesResultatDeterminationSjrSpec resultatDeterminationSjripRetourne = fabriqueOutilFonctionnel.getOutilDeterminationSjr().determinerSjripEtMapperResultatSimplifie(donneesEntree);
    
    return resultatDeterminationSjripRetourne;
  }
  
  public boolean estUnProduitGerantA9()
  {
    return false;
  }
  
  public boolean estUnProduitLevantAlerteA8A10()
  {
    return true;
  }
  
  public void verifierPropositionRejet(DemandeSpec demande)
    throws CoucheLogiqueException
  {
    DossierExamenSpec dossierExamen = demande.getDossierAffectation().getDossierExamen();
    ReglementApplicableSpec reglementApplicable = ((DossierExamenAssuranceSpec)dossierExamen).getReglementApplicable();
    if ((reglementApplicable != null) && (reglementApplicable.getReglement().estNomReglementIdentique("A9A")))
    {
      Collection listePeriodes = new ArrayList();
      
      ObjetAlertesNonBloquantes objetAlerteNonBloquante = new ObjetAlertesNonBloquantes(Damj.NUIT_DES_TEMPS, Damj.FIN_DES_TEMPS, 999);
      
      listePeriodes.add(objetAlerteNonBloquante);
      demande.getAlertesNonBloquantes().put("A11MNB12", listePeriodes);
    }
  }
  
  public MontantBaseSpec recupererMontant(DonneesEntreesRecuperationMontant donneeEntreeRecuperationMontant)
    throws ApplicativeException
  {
    if (donneeEntreeRecuperationMontant.getDonneesCalculMontant().isContexteFormation())
    {
      donneeEntreeRecuperationMontant.getDonneesCalculMontant().setFormuleMontant(null);
      donneeEntreeRecuperationMontant.getDonneesCalculMontant().setProduit((ProduitAsuSpec)LigneAsuCge01.getInstance().getProduitActif(donneeEntreeRecuperationMontant.getDateAttribution()));
    }
    return DeterminationMontant.determinerMontant(donneeEntreeRecuperationMontant);
  }
  
  public ConventionGestionSpec getConventionGestion(AttributionSpec attribution)
  {
    return ((Attribution)attribution).getConventionGestion();
  }
  
  public Convertisseur determinerConvertisseurUniteAffiliation()
  {
    return ConvertisseurUniteAffiliation.getInstance();
  }
  
  public Collection determinerListePlafonnementAffiliation(AttributionSpec attribution)
    throws ApplicativeException
  {
    throw new CoucheLogiqueException("HG_PR_CALI_PRODUIT_METHODE_NON_IMPLEMENTE", "Méthode non implémenté pour ce produit");
  }
  
  public boolean isPlafonnementAffiliationActif()
  {
    return false;
  }
  
  public ElementBaseIndemnisationSpec recupererElementBaseIndemnisationPourReadmissionAvecMontantRetenuPrecedent(int natureDecision, int montantRetenu, DemandeSpec demande, AttributionSpec attribution)
  {
    return null;
  }
  
  public ProduitAsuSpec getProduitMontantRetenu(AttributionSpec attribution)
  {
    AttributionAssuranceSpec attributionAssurance = (AttributionAssuranceSpec)attribution;
    return attributionAssurance.getProduitMontantRetenu();
  }
  
  public String getSituationParticuliere(AttributionSpec attribution)
  {
    return DeterminationSituationParticuliere.getSituationParticuliere((AttributionAssuranceSpec)attribution);
  }
  
  public Resultat verifierConditionValiditeReliquat(Contexte contexte)
    throws ApplicativeException
  {
    return new Resultat(0);
  }
  
  public String determinerCodeSousProduitPourSigma(DecisionSpec dossierExamen)
  {
    String codeSousProduitRetourne = null;
    if ((dossierExamen instanceof AttributionAssuranceSpec))
    {
      AttributionAssuranceSpec attributionAsu = (AttributionAssuranceSpec)dossierExamen;
      codeSousProduitRetourne = (String)ConstantesCategorieTableEchange.CATEGORIE_TABLE_ECHANGE.get(attributionAsu.getProduit().getNomUnique() + Integer.toString(attributionAsu.getBassinEmploi()));
    }
    return codeSousProduitRetourne;
  }
  
  public CalculAppartenanceSpec getOutilCalculAppartenance(DemandeSpec demande, boolean utiliserNouveauOutilCalcul)
  {
    return CalculAppartenance.getInstance();
  }
  
  public void initialiserComportementCalculAffiliation(ComportementAffiliationSpec comportement, ParametresAffiliationSpec parametres) {}
  
  public String determinerSituationParticuliere(AttributionSpec attribution)
  {
    return DeterminationSituationParticuliere.getSituationParticuliere((AttributionAssuranceSpec)attribution);
  }
  
  public boolean estProduitGerantPensionInvalidite(DemandeSpec demande)
  {
    return true;
  }
  
  public Collection determinerPensionInvaliditeDroitCourant(AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    return new ArrayList();
  }
  
  public Collection determinerPensionInvaliditeDroitResultant(AttributionSpec attribution)
  {
    return new ArrayList();
  }
  
  public boolean estProduitGerantIccpEnContexteRepriseSimplifiee()
  {
    return false;
  }
  
  public Damj determinerDateExclueAuPlusTardDebutActiviteConservee(ActiviteSalarie pas, Damj dateFaitGenerateur)
    throws CoucheLogiqueException
  {
    return ConstructionChronologie.determinerDateExclueAuPlusTardDebutActiviteConservee(pas);
  }
  
  public Resultat determinerContexteExamen(Contexte contexte)
    throws ApplicativeException
  {
    ParcoursContexteExamen parcours = new ParcoursContexteExamen();
    return parcours.effectuerParcours(contexte);
  }
  
  public DureeIndemnisationAbstraite creerDureeCalcul(AttributionSpec attribution)
  {
    try
    {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererException("PR_CALI_EXECUTION_A_TORT", new Object[] { "creerDureeCalcul" }, 3);
    }
    catch (CoucheLogiqueException ex) {}
    return null;
  }
  
  public Quantite getDureeAServirTheorique(AttributionSpec attribution)
  {
    return ((AttributionAssuranceSpec)attribution).getDureeTheorique();
  }
  
  public Resultat constituerTranchesExecutables(Contexte contexte)
    throws ApplicativeException
  {
    ParcoursAlimentationTranchesExecutables parcours = new ParcoursAlimentationTranchesExecutables();
    return parcours.effectuerParcours(contexte);
  }
  
  public boolean estTrancheActivee(DemandeSpec demande)
  {
    return false;
  }
  
  public BigDecimal recupererCoefficientSaisonnierMontantRetenu(AttributionSpec attribution)
  {
    return ((AttributionAssuranceSpec)attribution).getElementBaseIndemnisation().getCoefficientSaisonnier();
  }
  
  public DureeIndemnisationAbstraite creerDureeCalculTranche(Quantite quantite)
  {
    return null;
  }
  
  public boolean effectuerTraitementSpecifiqueAssistanceMaternellePourAffiliation()
  {
    return false;
  }
  
  public ResultatActiviteReduite calculActiviteReduite(BigDecimal allocationJournalierBrute, BigDecimal remunerationReprise, BigDecimal areBrute, BigDecimal sjr, String justificationCalculMontant, Periode periode)
  {
    return null;
  }
  
  public BigDecimal getCrcSimuActiviteReduite(BigDecimal salaire, BigDecimal montantBrutJournalier, Damj dateCalcul)
  {
    return null;
  }
  
  public StrategieSpec retournerStrategieAvantDeterminationChomageInvolontaire()
  {
    return null;
  }
  
  public boolean estForcerTempsPleinPourPeriodeA8A10(Damj dateExamen)
  {
    return false;
  }
  
  public CalendrierExecutionCalculSpec creerCalendrierCalcul()
  {
    return null;
  }
  
  public UniteTraitement creerUT(Periode periodeUT, AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    return null;
  }
  
  public Resultat constituerCapitalDroitCourant(Contexte contexte)
    throws ApplicativeException
  {
    return null;
  }
  
  public Resultat constituerMontantsEffectifs(Contexte contexte)
    throws ApplicativeException
  {
    return null;
  }
  
  public Resultat constituerNouvelleRevisionAutomatique(Contexte contexte)
    throws ApplicativeException
  {
    return null;
  }
  
  public String recupererIdAeBatimentPourICCPConservatoire(AttributionSpec attribution)
  {
    return null;
  }
}

/* Location:
 * Qualified Name:     ProduitDelegue
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */