package fr.unedic.cali.asu.ddm16.p01.calcul.dom;

import fr.unedic.cali.asu.ddm16.p01.calcul.dom.gen.MontantGen;
import fr.unedic.cali.asu.dom.MontantAsuSpec;
import fr.unedic.cali.outilsfonctionnels.OutilCalculEstimationCotisationsSociales;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import java.math.BigDecimal;

public class Montant
  extends MontantGen
  implements MontantAsuSpec
{
  private static final long serialVersionUID = -690567837664162905L;
  protected transient Quantite m_mini = null;
  protected transient Quantite m_plancher = null;
  protected transient Quantite m_plafond = null;
  protected transient Quantite m_base = null;
  protected transient BigDecimal m_tauxCrc = null;
  protected transient BigDecimal m_sjrNonReduit = null;
  protected transient BigDecimal m_baseCalculCrc = null;
  protected transient String m_positionExonerationCrc = null;
  protected transient Quantite m_csg = null;
  protected transient Quantite m_crds = null;
  protected transient Quantite m_totalCotisationContribution = null;
  protected transient Quantite m_montantBrutSansPensionInvaliditeADeduire = null;
  protected transient Quantite m_pensionInvaliditeADeduirePriseEnCompte = null;
  protected transient Quantite m_montantJournalierAvantageVieillesse = null;
  protected transient Quantite m_montantJournalierAvantageVieillesseDeduit = null;
  protected transient String m_justificationCalculMontant = null;
  protected transient String m_type = "NORMAL";
  protected transient Quantite m_csgEstimee = null;
  protected transient Quantite m_crdsEstimee = null;
  protected transient Quantite m_ccamEstimee = null;
  protected transient Quantite m_montantNetEstimee = null;
  
  public Montant()
  {
    setAvecPrecompteCRC(true);
  }
  
  public Montant(DomPCSpec p_montantPC)
  {
    super(p_montantPC);
  }
  
  public Quantite getBase()
  {
    return m_base;
  }
  
  public Quantite getCotisationContribution()
  {
    return m_totalCotisationContribution;
  }
  
  public Quantite getCrds()
  {
    return m_crds;
  }
  
  public Quantite getCsg()
  {
    return m_csg;
  }
  
  public Quantite getMini()
  {
    return m_mini;
  }
  
  public Quantite getMontantNet()
  {
    return null;
  }
  
  public Quantite getPlafond()
  {
    return m_plafond;
  }
  
  public Quantite getPlancher()
  {
    return m_plancher;
  }
  
  public String getType()
  {
    return m_type;
  }
  
  public void setBase(Quantite p_base)
  {
    m_base = p_base;
  }
  
  public void setCotisationContribution(Quantite p_cotisationContribution)
  {
    m_totalCotisationContribution = p_cotisationContribution;
  }
  
  public void setCrds(Quantite p_crds)
  {
    m_crds = p_crds;
  }
  
  public void setCsg(Quantite p_csg)
  {
    m_csg = p_csg;
  }
  
  public void setMini(Quantite p_mini)
  {
    m_mini = p_mini;
  }
  
  public void setPlafond(Quantite p_plafond)
  {
    m_plafond = p_plafond;
  }
  
  public void setPlancher(Quantite p_plancher)
  {
    m_plancher = p_plancher;
  }
  
  public Quantite getMontantBrutSansPensionInvaliditeADeduire()
  {
    return m_montantBrutSansPensionInvaliditeADeduire;
  }
  
  public void setMontantBrutSansPensionInvaliditeADeduire(Quantite p_quantite)
  {
    m_montantBrutSansPensionInvaliditeADeduire = p_quantite;
  }
  
  public Quantite getPensionInvaliditeADeduirePriseEnCompte()
  {
    if (m_pensionInvaliditeADeduirePriseEnCompte == null) {
      m_pensionInvaliditeADeduirePriseEnCompte = new QuantiteEuro("0");
    }
    return m_pensionInvaliditeADeduirePriseEnCompte;
  }
  
  public void setPensionInvaliditeADeduirePriseEnCompte(Quantite p_quantite)
  {
    m_pensionInvaliditeADeduirePriseEnCompte = p_quantite;
  }
  
  public Quantite getMontantJournalierAvantageVieillesse()
  {
    if (m_montantJournalierAvantageVieillesse == null) {
      m_montantJournalierAvantageVieillesse = new QuantiteEuro("0");
    }
    return m_montantJournalierAvantageVieillesse;
  }
  
  public void setMontantJournalierAvantageVieillesse(Quantite p_quantite)
  {
    m_montantJournalierAvantageVieillesse = p_quantite;
  }
  
  public Quantite getMontantJournalierAvantageVieillesseDeduit()
  {
    if (m_montantJournalierAvantageVieillesseDeduit == null) {
      m_montantJournalierAvantageVieillesseDeduit = new QuantiteEuro("0");
    }
    return m_montantJournalierAvantageVieillesseDeduit;
  }
  
  public void setMontantJournalierAvantageVieillesseDeduit(Quantite p_quantite)
  {
    m_montantJournalierAvantageVieillesseDeduit = p_quantite;
  }
  
  public String getJustificationCalculMontant()
  {
    return m_justificationCalculMontant;
  }
  
  public void setJustificationCalculMontant(String p_justificationCalculMontant)
  {
    m_justificationCalculMontant = p_justificationCalculMontant;
  }
  
  public BigDecimal getMontantPrecompte()
  {
    return getMontantBrut().getValeur().subtract(getCrc().getValeur());
  }
  
  public Quantite getMontantPrecompteEffectif()
  {
    if (getAvecPrecompteCRC()) {
      return new Quantite(getMontantBrut().getValeur().subtract(getCrc().getValeur()), getMontantBrut().getUnite());
    }
    return getMontantBrut();
  }
  
  public void setType(String p_type)
  {
    m_type = p_type;
  }
  
  public BigDecimal getSjrNonReduit()
  {
    return m_sjrNonReduit;
  }
  
  public BigDecimal getBaseCalculCrc()
  {
    return m_baseCalculCrc;
  }
  
  public String getPositionExonerationCrc()
  {
    return m_positionExonerationCrc;
  }
  
  public BigDecimal getTauxCrc()
  {
    return m_tauxCrc;
  }
  
  public void setSjrNonReduit(BigDecimal p_sjrNonReduit)
  {
    m_sjrNonReduit = p_sjrNonReduit;
  }
  
  public void setBaseCalculCrc(BigDecimal p_baseCalculCrc)
  {
    m_baseCalculCrc = p_baseCalculCrc;
  }
  
  public void setPositionExonerationCrc(String p_positionExonerationCrc)
  {
    m_positionExonerationCrc = p_positionExonerationCrc;
  }
  
  public void setTauxCrc(BigDecimal p_tauxCrc)
  {
    m_tauxCrc = p_tauxCrc;
  }
  
  public ObjetMetierSpec copie()
  {
    Montant copie = new Montant();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    Montant copie = (Montant)p_copie;
    super.copieElements(copie);
    m_type = getType();
    m_mini = getMini();
    m_plafond = getPlafond();
    m_base = getBase();
    m_tauxCrc = getTauxCrc();
    m_sjrNonReduit = getSjrNonReduit();
    m_baseCalculCrc = getBaseCalculCrc();
    m_positionExonerationCrc = getPositionExonerationCrc();
    m_csg = getCsg();
    m_crds = getCrds();
    m_totalCotisationContribution = getCotisationContribution();
    m_montantBrutSansPensionInvaliditeADeduire = getMontantBrutSansPensionInvaliditeADeduire();
    m_pensionInvaliditeADeduirePriseEnCompte = getPensionInvaliditeADeduirePriseEnCompte();
    m_montantJournalierAvantageVieillesse = getMontantJournalierAvantageVieillesse();
    m_montantJournalierAvantageVieillesseDeduit = getMontantJournalierAvantageVieillesseDeduit();
    m_justificationCalculMontant = getJustificationCalculMontant();
  }
  
  public String toString()
  {
    StringBuffer string = new StringBuffer();
    string.append("\nMontant : " + getMontantBrut() + "\n");
    return string.toString();
  }
  
  public Quantite getCsgEstimee()
  {
    if ((m_csgEstimee == null) && (getMontantBrut() != null) && (getCrc() != null)) {
      m_csgEstimee = new QuantiteEuro(OutilCalculEstimationCotisationsSociales.calculerCsg(getMontantBrut().getValeur(), getCrc().getValeur()));
    }
    return m_csgEstimee;
  }
  
  public Quantite getCrdsEstimee()
  {
    if ((m_crdsEstimee == null) && (getMontantBrut() != null) && (getCrc() != null)) {
      m_crdsEstimee = new QuantiteEuro(OutilCalculEstimationCotisationsSociales.calculerCrds(getMontantBrut().getValeur(), getCrc().getValeur(), getCsgEstimee().getValeur()));
    }
    return m_crdsEstimee;
  }
  
  public Quantite getCcamEstimee(boolean p_topAlsaceMoselle)
  {
    return new QuantiteEuro(new BigDecimal("0"));
  }
  
  public Quantite getMontantNetEstime(boolean p_topAlsaceMoselle)
  {
    if ((m_montantNetEstimee == null) && (getMontantBrut() != null) && (getCrc() != null)) {
      m_montantNetEstimee = new QuantiteEuro(OutilCalculEstimationCotisationsSociales.calculerMontantNet(getMontantBrut().getValeur(), getCrc().getValeur(), getCsgEstimee().getValeur(), getCrdsEstimee().getValeur(), getCcamEstimee(p_topAlsaceMoselle).getValeur()));
    }
    return m_montantNetEstimee;
  }
  
  public Quantite getTotalCotisationContribution()
  {
    return m_totalCotisationContribution;
  }
  
  public void setTotalCotisationContribution(Quantite p_totalCotisationContribution)
  {
    m_totalCotisationContribution = p_totalCotisationContribution;
  }
  
  public MontantAsuSpec getMontantAreExecute()
  {
    return null;
  }
  
  public MontantAsuSpec getMontantAreNonExecute()
  {
    return null;
  }
  
  public BigDecimal getSjrMontantMax()
  {
    return null;
  }
  
  public BigDecimal getPlafondASP()
  {
    return null;
  }
  
  public Montant getMontantSJR()
  {
    return null;
  }
}

/* Location:
 * Qualified Name:     Montant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */