package fr.unedic.cali.asu.ddm16.p01.liquidation.outilsfonctionnels;

import fr.unedic.cali.ari.dom.Demande;
import fr.unedic.cali.ari.dom.DonneesForcees;
import fr.unedic.cali.ari.dom.ElementDroit;
import fr.unedic.cali.ari.outilsfonctionnels.OutilElementDroit;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.util.Mathematiques;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;
import java.util.Collection;
import java.util.Hashtable;

public class CREM
{
  public static Hashtable recupererDonneesImposees(DemandeSpec p_demande)
    throws CoucheLogiqueException
  {
    Hashtable listeDonneesImposees = getElementsDonneesImposeesVides();
    
    Demande demandeAri = (Demande)p_demande;
    DonneesForcees donneesForcees = demandeAri.getDonneesForcees();
    String[] nomEltRecherche = null;
    if (donneesForcees != null)
    {
      Collection listeEltDroit = donneesForcees.getCopieCollectionElementsDroitType("6");
      if ((listeEltDroit != null) && (!listeEltDroit.isEmpty()))
      {
        nomEltRecherche = new String[] { "PJI" };
        ElementDroit eltDroit = OutilElementDroit.rechercherElement(listeEltDroit, nomEltRecherche);
        if ((eltDroit != null) && (eltDroit.getDate1Generique() != null)) {
          listeDonneesImposees.put("Premier jour indemnisable", eltDroit.getDate1Generique().toString());
        }
        nomEltRecherche = new String[] { "SALAIRE_JOURNALIER_REFERENCE" };
        eltDroit = OutilElementDroit.rechercherElement(listeEltDroit, nomEltRecherche);
        if ((eltDroit != null) && (eltDroit.getQuantiteGenerique() != null))
        {
          String sjr = Mathematiques.arrondiASup(eltDroit.getQuantiteGenerique().getValeur(), 2).toString();
          listeDonneesImposees.put("Salaire journalier de ref", sjr);
        }
        nomEltRecherche = new String[] { "TERME_PRC" };
        eltDroit = OutilElementDroit.rechercherElement(listeEltDroit, nomEltRecherche);
        if ((eltDroit != null) && (eltDroit.getDate1Generique() != null)) {
          listeDonneesImposees.put("Terme de la PRC", eltDroit.getDate1Generique().toString());
        }
        nomEltRecherche = new String[] { "COEFFICIENT_TEMPS_PARTIEL" };
        eltDroit = OutilElementDroit.rechercherElement(listeEltDroit, nomEltRecherche);
        if ((eltDroit != null) && (eltDroit.getQuantiteGenerique() != null))
        {
          String coefTP = Mathematiques.arrondiASup(eltDroit.getQuantiteGenerique().getValeur(), 2).toString();
          listeDonneesImposees.put("Coefficient temps partiel", coefTP);
        }
      }
    }
    return listeDonneesImposees;
  }
  
  public static Hashtable getElementsDonneesImposeesVides()
  {
    Hashtable listeDonneesImposees = new Hashtable();
    
    listeDonneesImposees.put("Type demande", "");
    listeDonneesImposees.put("Premier jour indemnisable", "");
    listeDonneesImposees.put("Montant journalier", "");
    listeDonneesImposees.put("Dernier jour indemnisable", "");
    listeDonneesImposees.put("Debut prestation possible", "");
    listeDonneesImposees.put("Nombre de jours de reliquat", "");
    listeDonneesImposees.put("Nb jour indem. semaine", "");
    listeDonneesImposees.put("Nb jour indem. mois", "");
    listeDonneesImposees.put("Date chang. taux conversion", "");
    listeDonneesImposees.put("Salaire journalier de ref", "");
    listeDonneesImposees.put("Terme de la PRC", "");
    listeDonneesImposees.put("Coefficient temps partiel", "");
    listeDonneesImposees.put("FGD", "");
    listeDonneesImposees.put("SJR", "");
    listeDonneesImposees.put("SJC", "");
    listeDonneesImposees.put("Revenu ANS conservee", "");
    listeDonneesImposees.put("Duree 1ere tranche", "");
    listeDonneesImposees.put("Duree 2eme tranche", "");
    listeDonneesImposees.put("Duree 3eme tranche", "");
    listeDonneesImposees.put("Point depart delais reports", "");
    listeDonneesImposees.put("Fin PMC", "");
    listeDonneesImposees.put("Differe ISLR", "");
    listeDonneesImposees.put("Differe ISLR", "");
    listeDonneesImposees.put("Delai attente", "");
    listeDonneesImposees.put("SR calcule sur base SMIC", "");
    listeDonneesImposees.put("Etablissement financeur", "");
    listeDonneesImposees.put("Code affectation", "");
    listeDonneesImposees.put("Convention de gestion Unedic", "");
    listeDonneesImposees.put("Libelle aide", "");
    listeDonneesImposees.put("Montant aide", "");
    listeDonneesImposees.put("Famille aide", "");
    listeDonneesImposees.put("Date d attribution", "");
    listeDonneesImposees.put("Type aide", "");
    listeDonneesImposees.put("Date d attribution", "");
    
    return listeDonneesImposees;
  }
}

/* Location:
 * Qualified Name:     CREM
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */