package fr.unedic.cali.asu.dom;

import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.dom.ElementBaseActiviteReduiteSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import java.util.Collection;
import java.util.Iterator;

public class ElementBaseActiviteReduite
  implements ElementBaseActiviteReduiteSpec
{
  private Sjc m_sjc = null;
  private Collection m_listeSjrActiviteConservee = null;
  private Damj m_termePrcActiviteConservee = null;
  private boolean m_apprenti;
  private String m_nomReglementApplicable = null;
  private String m_identifiantBne = null;
  private Collection m_listePeriodesRepriseActiviteMemeEmployeur = null;
  
  public ElementBaseActiviteReduite() {}
  
  public ElementBaseActiviteReduite(ElementBaseActiviteReduite p_elementActiviteReduite)
  {
    setSjc(p_elementActiviteReduite.getSjc());
    setListeSjrActiviteConservee(p_elementActiviteReduite.getListeSjrActiviteConservee());
    setTermePrcActiviteConservee(p_elementActiviteReduite.getTermePrcActiviteConservee());
    setIdentifiantBne(p_elementActiviteReduite.getIdentifiantBne());
    setNomReglementApplicable(p_elementActiviteReduite.getNomReglementApplicable());
    setListePeriodesRepriseActiviteMemeEmployeur(p_elementActiviteReduite.getListePeriodesRepriseActiviteMemeEmployeur());
  }
  
  public ObjetMetierSpec copie()
  {
    ElementBaseActiviteReduite copie = new ElementBaseActiviteReduite();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ElementBaseActiviteReduite copie = (ElementBaseActiviteReduite)p_copie;
    if (getSjc() != null) {
      m_sjc = ((Sjc)getSjc().copie());
    }
    if (getTermePrcActiviteConservee() != null) {
      m_termePrcActiviteConservee = getTermePrcActiviteConservee();
    }
    if (getListeSjrActiviteConservee() != null) {
      copie.setListeSjrActiviteConservee(getListeSjrActiviteConservee());
    }
    if (getIdentifiantBne() != null) {
      copie.setIdentifiantBne(getIdentifiantBne());
    }
    if (getListePeriodesRepriseActiviteMemeEmployeur() != null) {
      copie.setListePeriodesRepriseActiviteMemeEmployeur(getListePeriodesRepriseActiviteMemeEmployeur());
    }
    if (getNomReglementApplicable() != null) {
      copie.setNomReglementApplicable(getNomReglementApplicable());
    }
    copie.setApprenti(isApprenti());
  }
  
  public Collection getListeSjrActiviteConservee()
  {
    return m_listeSjrActiviteConservee;
  }
  
  public Sjc getSjc()
  {
    return m_sjc;
  }
  
  public Damj getTermePrcActiviteConservee()
  {
    return m_termePrcActiviteConservee;
  }
  
  public void setListeSjrActiviteConservee(Collection p_listeSjrActiviteConservee)
  {
    m_listeSjrActiviteConservee = p_listeSjrActiviteConservee;
  }
  
  public void setSjc(Sjc p_sjc)
  {
    m_sjc = p_sjc;
  }
  
  public void setTermePrcActiviteConservee(Damj p_termePrcActiviteConservee)
  {
    m_termePrcActiviteConservee = p_termePrcActiviteConservee;
  }
  
  public Chronologie getListeActiviteConservee()
  {
    Chronologie chronoActiviteConservee = new ChronologiePeriodes();
    
    Collection listeActiviteConservees = getListeSjrActiviteConservee();
    if (listeActiviteConservees != null)
    {
      Iterator iteratorActiviteConservee = listeActiviteConservees.iterator();
      SjrActiviteConserveeSpec activiteConserveCourante = null;
      while (iteratorActiviteConservee.hasNext())
      {
        activiteConserveCourante = (SjrActiviteConserveeSpec)iteratorActiviteConservee.next();
        
        TravailSpec activiteConservee = activiteConserveCourante.getPeriodeActiviteConservee();
        chronoActiviteConservee.ajouter(activiteConservee);
      }
    }
    return chronoActiviteConservee;
  }
  
  public boolean isApprenti()
  {
    return m_apprenti;
  }
  
  public void setApprenti(boolean p_apprenti)
  {
    m_apprenti = p_apprenti;
  }
  
  public String getNomReglementApplicable()
  {
    return m_nomReglementApplicable;
  }
  
  public void setNomReglementApplicable(String p_nomReglementApplicable)
  {
    m_nomReglementApplicable = p_nomReglementApplicable;
  }
  
  public Collection getListePeriodesRepriseActiviteMemeEmployeur()
  {
    return m_listePeriodesRepriseActiviteMemeEmployeur;
  }
  
  public void setListePeriodesRepriseActiviteMemeEmployeur(Collection p_listePeriodesRepriseActiviteMemeEmployeur)
  {
    m_listePeriodesRepriseActiviteMemeEmployeur = p_listePeriodesRepriseActiviteMemeEmployeur;
  }
  
  public String getIdentifiantBne()
  {
    return m_identifiantBne;
  }
  
  public void setIdentifiantBne(String p_identifiantBne)
  {
    m_identifiantBne = p_identifiantBne;
  }
}

/* Location:
 * Qualified Name:     ElementBaseActiviteReduite
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */