package fr.unedic.cali.asu.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.dom.pc.AffiliationAssimileePC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.Periode;

public abstract class AffiliationAssimileeGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_affiliationAssimileePC;
  private String m_idPeriodeActivite;
  private Periode m_periodeAssimilation;
  private Quantite m_quantiteAssimilation;
  
  public AffiliationAssimileeGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public AffiliationAssimileeGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new AffiliationAssimileePC();
  }
  
  public DomPCSpec getPC()
  {
    return m_affiliationAssimileePC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_affiliationAssimileePC)
  {
    m_affiliationAssimileePC = p_affiliationAssimileePC;
  }
  
  protected String rawGetIdPeriodeActivite()
  {
    return ((AffiliationAssimileePC)getPC()).getIdPeriodeActivite();
  }
  
  public String getIdPeriodeActivite()
  {
    return ((AffiliationAssimileePC)getPC()).getIdPeriodeActivite();
  }
  
  public void setIdPeriodeActivite(String p_idPeriodeActivite)
  {
    if ((m_idPeriodeActivite == null) || (p_idPeriodeActivite == null))
    {
      m_idPeriodeActivite = p_idPeriodeActivite;
      ((AffiliationAssimileePC)getPC()).setIdPeriodeActivite(p_idPeriodeActivite);
    }
    else if ((m_idPeriodeActivite != null) && (p_idPeriodeActivite != null) && (!p_idPeriodeActivite.equals(m_idPeriodeActivite)))
    {
      m_idPeriodeActivite = p_idPeriodeActivite;
      ((AffiliationAssimileePC)getPC()).setIdPeriodeActivite(p_idPeriodeActivite);
    }
  }
  
  protected Periode rawGetPeriodeAssimilation()
  {
    return ((AffiliationAssimileePC)getPC()).getPeriodeAssimilation();
  }
  
  public Periode getPeriodeAssimilation()
  {
    return ((AffiliationAssimileePC)getPC()).getPeriodeAssimilation();
  }
  
  public void setPeriodeAssimilation(Periode p_periodeAssimilation)
  {
    if ((m_periodeAssimilation == null) || (p_periodeAssimilation == null))
    {
      m_periodeAssimilation = p_periodeAssimilation;
      ((AffiliationAssimileePC)getPC()).setPeriodeAssimilation(p_periodeAssimilation);
    }
    else if ((m_periodeAssimilation != null) && (p_periodeAssimilation != null) && (!p_periodeAssimilation.equals(m_periodeAssimilation)))
    {
      m_periodeAssimilation = p_periodeAssimilation;
      ((AffiliationAssimileePC)getPC()).setPeriodeAssimilation(p_periodeAssimilation);
    }
  }
  
  protected int rawGetNature()
  {
    return ((AffiliationAssimileePC)getPC()).getNature();
  }
  
  public int getNature()
  {
    return ((AffiliationAssimileePC)getPC()).getNature();
  }
  
  public void setNature(int p_nature)
  {
    ((AffiliationAssimileePC)getPC()).setNature(p_nature);
  }
  
  protected Quantite rawGetQuantiteAssimilation()
  {
    return ((AffiliationAssimileePC)getPC()).getQuantiteAssimilation();
  }
  
  public Quantite getQuantiteAssimilation()
  {
    return ((AffiliationAssimileePC)getPC()).getQuantiteAssimilation();
  }
  
  public void setQuantiteAssimilation(Quantite p_quantiteAssimilation)
  {
    if ((m_quantiteAssimilation == null) || (p_quantiteAssimilation == null))
    {
      m_quantiteAssimilation = p_quantiteAssimilation;
      ((AffiliationAssimileePC)getPC()).setQuantiteAssimilation(p_quantiteAssimilation);
    }
    else if ((m_quantiteAssimilation != null) && (p_quantiteAssimilation != null) && (!p_quantiteAssimilation.equals(m_quantiteAssimilation)))
    {
      m_quantiteAssimilation = p_quantiteAssimilation;
      ((AffiliationAssimileePC)getPC()).setQuantiteAssimilation(p_quantiteAssimilation);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     AffiliationAssimileeGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */