package fr.unedic.cali.asu.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.dom.PensionInvaliditeChainee;
import fr.unedic.cali.asu.dom.PeriodeRepriseActiviteMemeEmployeurPossible;
import fr.unedic.cali.asu.dom.pc.DemandePC;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.QuantiteJour;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;

public abstract class DonneesTemporairesGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_demandePC;
  private Damj m_termePrc = null;
  private DureeCalendaire m_allongementDelaiDecheance = null;
  private DureeCalendaire m_allongementDelaiForclusion = null;
  private BigDecimal m_coefficientSaisonnier = null;
  private BigDecimal m_coefficientTempsPartiel = null;
  private Quantite m_sjc = null;
  private Quantite m_sjr = null;
  private Quantite m_capitalReliquatSecteurPublic = null;
  private Damj m_dateDebutPI = null;
  private Damj m_dateFinPI = null;
  private String m_identifiantPeriodeFctARetenir;
  private Quantite m_quantiteAffiliation;
  private Damj m_dateAttributionDroitAnterieurSp = null;
  private Damj m_dateFgDroitAnterieurSp = null;
  private BigDecimal m_montantAide = null;
  private QuantiteJour m_quantiteJoursDiffereIccpConservatoire;
  private BigDecimal m_coefficientSaisonnierSp = null;
  private BigDecimal m_coefficientTempsPartielSp = null;
  private Quantite m_sjrSP = null;
  private Damj m_termePrcSp = null;
  private Damj m_finPmc;
  private String m_indentifiantFctPMC;
  private Damj m_dateAttributionCPChomageTotalSansRupture;
  private Damj m_dateChomageTotalSansRupture;
  private Damj m_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture;
  private Damj m_nouvelleDateAttributionChomageTotalSansRupture;
  private String m_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture;
  private QuantiteJour m_quantiteJoursDiffereChomageTotalSansRupture;
  private Quantite m_sjrPerteActConservee = null;
  private Quantite m_sjcPerteActConservee = null;
  private BigDecimal m_coefficientTempsPartielActConservee = null;
  private String m_identifiantPeriodeActiviteConserveePerdue;
  private BigDecimal m_nbJourImputer;
  private String m_reglementApplicableSpectacle;
  private Integer m_rangAllongementPraSpectacle;
  private QuantiteEuro m_sripSpectacle = null;
  private QuantiteEuro m_totalRemunerationDansPRC = null;
  private Quantite m_nbHeuresTravailEtenduSpectacle = null;
  private Quantite m_nbHeuresTravailPlafonneSpectacle = null;
  private Quantite m_nbJourContratSurPraSpectacle = null;
  private Integer m_dureeAncienneteIntermittantSpectacle;
  private Damj m_dateFinDroitSpecNonMigre;
  private QuantiteJour m_quantiteJourICCP;
  private QuantiteJour m_quantiteJourISLR;
  private String m_identifiantFCTCarenceExpatries;
  private BigDecimal m_nbJourImputationDroitPrecedent;
  private BigDecimal m_montantContributionPourNonCTP;
  private Damj m_dateAttributionAide;
  private Damj m_dateFinEvenement;
  private Damj m_dateEffetActConserveeDonneesTemporaire;
  private String m_typeContexteDemandeDonneesTemporaires;
  private Damj m_dateFinPreavisLegal;
  private BigDecimal m_dureeFinancement;
  private String m_etatForcageDelaiAttente;
  private String m_numeroConventionPE;
  private String m_codeAffectationConvention;
  private BigDecimal m_dureeImputationSP;
  private Damj m_djiSpFinDroit;
  private String m_idExterneEmployeurSp;
  private BigDecimal m_nbjImputationDroitAServir;
  private BigDecimal m_montantImputationDroitAServir;
  private Damj m_dateDepartICCP;
  private Quantite m_dureeTheoriqueForcee;
  private Damj m_dateExamenForcee;
  private Damj m_dateAttributionForcee;
  private Boolean m_delaiAttenteForce;
  private Damj m_djiDroitSpContexteRechargement;
  private Damj m_fgdDroitSpContexteRechargement;
  private Boolean m_estDesactivationPnds;
  private BigDecimal m_dureeImputation;
  private BigDecimal m_nbJoursAllongement;
  private Damj m_dateLimiteIndemnisationDonneeForcee;
  private Boolean m_conditionAffiliationSatisfaiteForcee;
  private Boolean m_conditionAncienneteSatisfaiteForcee;
  private Damj m_dateFinPeriodeAncienneteForcee;
  private BigDecimal m_nombreJourTotalA8A10Force;
  private String m_competenceFinanciere;
  private String m_employeurSecteurPublicCompetent;
  private BigDecimal m_montantIndemnitePreavisContrib;
  private BigDecimal m_contributionAdhesionVolontaire;
  private BigDecimal m_nombreMoisPreavis;
  private BigDecimal m_diviseurSjrForce;
  private BigDecimal m_dureeAllongementAREFForcee;
  private Boolean m_leverConditionBeneficeAutreProduit;
  private Collection m_listePeriodesRepriseActiviteMemeEmployeur = null;
  private Collection m_listePensionInvalidite;
  
  public DonneesTemporairesGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public DonneesTemporairesGen() {}
  
  public DomPCSpec getPC()
  {
    return m_demandePC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_demandePC)
  {
    m_demandePC = p_demandePC;
  }
  
  protected Damj rawGetTermePrc()
  {
    return ((DemandePC)getPC()).getTermePrcDonneesTemporaire();
  }
  
  public Damj getTermePrc()
  {
    return ((DemandePC)getPC()).getTermePrcDonneesTemporaire();
  }
  
  public void setTermePrc(Damj p_termePrc)
  {
    if ((m_termePrc == null) || (p_termePrc == null))
    {
      m_termePrc = p_termePrc;
      ((DemandePC)getPC()).setTermePrcDonneesTemporaire(p_termePrc);
    }
    else if ((m_termePrc != null) && (p_termePrc != null) && (!p_termePrc.equals(m_termePrc)))
    {
      m_termePrc = p_termePrc;
      ((DemandePC)getPC()).setTermePrcDonneesTemporaire(p_termePrc);
    }
  }
  
  protected DureeCalendaire rawGetAllongementDelaiDecheance()
  {
    return ((DemandePC)getPC()).getAllongementDelaiDecheanceDonneesTemporaire();
  }
  
  public DureeCalendaire getAllongementDelaiDecheance()
  {
    return ((DemandePC)getPC()).getAllongementDelaiDecheanceDonneesTemporaire();
  }
  
  public void setAllongementDelaiDecheance(DureeCalendaire p_allongementDelaiDecheance)
  {
    if ((m_allongementDelaiDecheance == null) || (p_allongementDelaiDecheance == null))
    {
      m_allongementDelaiDecheance = p_allongementDelaiDecheance;
      ((DemandePC)getPC()).setAllongementDelaiDecheanceDonneesTemporaire(p_allongementDelaiDecheance);
    }
    else if ((m_allongementDelaiDecheance != null) && (p_allongementDelaiDecheance != null) && (!p_allongementDelaiDecheance.equals(m_allongementDelaiDecheance)))
    {
      m_allongementDelaiDecheance = p_allongementDelaiDecheance;
      ((DemandePC)getPC()).setAllongementDelaiDecheanceDonneesTemporaire(p_allongementDelaiDecheance);
    }
  }
  
  protected DureeCalendaire rawGetAllongementDelaiForclusion()
  {
    return ((DemandePC)getPC()).getAllongementDelaiForclusionDonneesTemporaire();
  }
  
  public DureeCalendaire getAllongementDelaiForclusion()
  {
    return ((DemandePC)getPC()).getAllongementDelaiForclusionDonneesTemporaire();
  }
  
  public void setAllongementDelaiForclusion(DureeCalendaire p_allongementDelaiForclusion)
  {
    if ((m_allongementDelaiForclusion == null) || (p_allongementDelaiForclusion == null))
    {
      m_allongementDelaiForclusion = p_allongementDelaiForclusion;
      ((DemandePC)getPC()).setAllongementDelaiForclusionDonneesTemporaire(p_allongementDelaiForclusion);
    }
    else if ((m_allongementDelaiForclusion != null) && (p_allongementDelaiForclusion != null) && (!p_allongementDelaiForclusion.equals(m_allongementDelaiForclusion)))
    {
      m_allongementDelaiForclusion = p_allongementDelaiForclusion;
      ((DemandePC)getPC()).setAllongementDelaiForclusionDonneesTemporaire(p_allongementDelaiForclusion);
    }
  }
  
  protected boolean rawIsInopposabiliteDelaiDecheance()
  {
    return ((DemandePC)getPC()).isInopposabiliteDelaiDecheanceDonneesTemporaire();
  }
  
  public boolean isInopposabiliteDelaiDecheance()
  {
    return ((DemandePC)getPC()).isInopposabiliteDelaiDecheanceDonneesTemporaire();
  }
  
  public void setInopposabiliteDelaiDecheance(boolean p_inopposabiliteDelaiDecheance)
  {
    ((DemandePC)getPC()).setInopposabiliteDelaiDecheanceDonneesTemporaire(p_inopposabiliteDelaiDecheance);
  }
  
  protected BigDecimal rawGetCoefficientSaisonnier()
  {
    return ((DemandePC)getPC()).getCoefficientSaisonnierDonneesTemporaire();
  }
  
  public BigDecimal getCoefficientSaisonnier()
  {
    return ((DemandePC)getPC()).getCoefficientSaisonnierDonneesTemporaire();
  }
  
  public void setCoefficientSaisonnier(BigDecimal p_coefficientSaisonnier)
  {
    if ((m_coefficientSaisonnier == null) || (p_coefficientSaisonnier == null))
    {
      m_coefficientSaisonnier = p_coefficientSaisonnier;
      ((DemandePC)getPC()).setCoefficientSaisonnierDonneesTemporaire(p_coefficientSaisonnier);
    }
    else if ((m_coefficientSaisonnier != null) && (p_coefficientSaisonnier != null) && (!p_coefficientSaisonnier.equals(m_coefficientSaisonnier)))
    {
      m_coefficientSaisonnier = p_coefficientSaisonnier;
      ((DemandePC)getPC()).setCoefficientSaisonnierDonneesTemporaire(p_coefficientSaisonnier);
    }
  }
  
  protected BigDecimal rawGetCoefficientTempsPartiel()
  {
    return ((DemandePC)getPC()).getCoefficientTempsPartielDonneesTemporaire();
  }
  
  public BigDecimal getCoefficientTempsPartiel()
  {
    return ((DemandePC)getPC()).getCoefficientTempsPartielDonneesTemporaire();
  }
  
  public void setCoefficientTempsPartiel(BigDecimal p_coefficientTempsPartiel)
  {
    if ((m_coefficientTempsPartiel == null) || (p_coefficientTempsPartiel == null))
    {
      m_coefficientTempsPartiel = p_coefficientTempsPartiel;
      ((DemandePC)getPC()).setCoefficientTempsPartielDonneesTemporaire(p_coefficientTempsPartiel);
    }
    else if ((m_coefficientTempsPartiel != null) && (p_coefficientTempsPartiel != null) && (!p_coefficientTempsPartiel.equals(m_coefficientTempsPartiel)))
    {
      m_coefficientTempsPartiel = p_coefficientTempsPartiel;
      ((DemandePC)getPC()).setCoefficientTempsPartielDonneesTemporaire(p_coefficientTempsPartiel);
    }
  }
  
  protected Quantite rawGetSjc()
  {
    return ((DemandePC)getPC()).getSjcDonneesTemporaire();
  }
  
  public Quantite getSjc()
  {
    return ((DemandePC)getPC()).getSjcDonneesTemporaire();
  }
  
  public void setSjc(Quantite p_sjc)
  {
    if ((m_sjc == null) || (p_sjc == null))
    {
      m_sjc = p_sjc;
      ((DemandePC)getPC()).setSjcDonneesTemporaire(p_sjc);
    }
    else if ((m_sjc != null) && (p_sjc != null) && (!p_sjc.equals(m_sjc)))
    {
      m_sjc = p_sjc;
      ((DemandePC)getPC()).setSjcDonneesTemporaire(p_sjc);
    }
  }
  
  protected Quantite rawGetSjr()
  {
    return ((DemandePC)getPC()).getSjrDonneesTemporaire();
  }
  
  public Quantite getSjr()
  {
    return ((DemandePC)getPC()).getSjrDonneesTemporaire();
  }
  
  public void setSjr(Quantite p_sjr)
  {
    if ((m_sjr == null) || (p_sjr == null))
    {
      m_sjr = p_sjr;
      ((DemandePC)getPC()).setSjrDonneesTemporaire(p_sjr);
    }
    else if ((m_sjr != null) && (p_sjr != null) && (!p_sjr.equals(m_sjr)))
    {
      m_sjr = p_sjr;
      ((DemandePC)getPC()).setSjrDonneesTemporaire(p_sjr);
    }
  }
  
  protected boolean rawIsCanAvecCentVingtTrimestres()
  {
    return ((DemandePC)getPC()).isCanAvecCentVingtTrimestresDonneesTemporaire();
  }
  
  public boolean isCanAvecCentVingtTrimestres()
  {
    return ((DemandePC)getPC()).isCanAvecCentVingtTrimestresDonneesTemporaire();
  }
  
  public void setCanAvecCentVingtTrimestres(boolean p_canAvecCentVingtTrimestres)
  {
    ((DemandePC)getPC()).setCanAvecCentVingtTrimestresDonneesTemporaire(p_canAvecCentVingtTrimestres);
  }
  
  protected boolean rawIsCaractereSaisonnierForce()
  {
    return ((DemandePC)getPC()).isCaractereSaisonnierForceDonneesTemporaire();
  }
  
  public boolean isCaractereSaisonnierForce()
  {
    return ((DemandePC)getPC()).isCaractereSaisonnierForceDonneesTemporaire();
  }
  
  public void setCaractereSaisonnierForce(boolean p_caractereSaisonnierForce)
  {
    ((DemandePC)getPC()).setCaractereSaisonnierForceDonneesTemporaire(p_caractereSaisonnierForce);
  }
  
  protected boolean rawIsFortuiteCaractereSaisonnierParRythme()
  {
    return ((DemandePC)getPC()).isFortuiteCaractereSaisonnierParRythmeDonneesTemporaire();
  }
  
  public boolean isFortuiteCaractereSaisonnierParRythme()
  {
    return ((DemandePC)getPC()).isFortuiteCaractereSaisonnierParRythmeDonneesTemporaire();
  }
  
  public void setFortuiteCaractereSaisonnierParRythme(boolean p_fortuiteCaractereSaisonnierParRythme)
  {
    ((DemandePC)getPC()).setFortuiteCaractereSaisonnierParRythmeDonneesTemporaire(p_fortuiteCaractereSaisonnierParRythme);
  }
  
  protected boolean rawIsFortuiteCaractereSaisonnierParType()
  {
    return ((DemandePC)getPC()).isFortuiteCaractereSaisonnierParTypeDonneesTemporaire();
  }
  
  public boolean isFortuiteCaractereSaisonnierParType()
  {
    return ((DemandePC)getPC()).isFortuiteCaractereSaisonnierParTypeDonneesTemporaire();
  }
  
  public void setFortuiteCaractereSaisonnierParType(boolean p_fortuiteCaractereSaisonnierParType)
  {
    ((DemandePC)getPC()).setFortuiteCaractereSaisonnierParTypeDonneesTemporaire(p_fortuiteCaractereSaisonnierParType);
  }
  
  protected boolean rawIsPensionRaccordement()
  {
    return ((DemandePC)getPC()).isPensionRaccordementDonneesTemporaire();
  }
  
  public boolean isPensionRaccordement()
  {
    return ((DemandePC)getPC()).isPensionRaccordementDonneesTemporaire();
  }
  
  public void setPensionRaccordement(boolean p_pensionRaccordement)
  {
    ((DemandePC)getPC()).setPensionRaccordementDonneesTemporaire(p_pensionRaccordement);
  }
  
  protected int rawGetTypeCaractereSaisonnierForce()
  {
    return ((DemandePC)getPC()).getTypeCaractereSaisonnierForceDonneesTemporaire();
  }
  
  public int getTypeCaractereSaisonnierForce()
  {
    return ((DemandePC)getPC()).getTypeCaractereSaisonnierForceDonneesTemporaire();
  }
  
  public void setTypeCaractereSaisonnierForce(int p_typeCaractereSaisonnierForce)
  {
    ((DemandePC)getPC()).setTypeCaractereSaisonnierForceDonneesTemporaire(p_typeCaractereSaisonnierForce);
  }
  
  protected Quantite rawGetCapitalReliquatSecteurPublic()
  {
    return ((DemandePC)getPC()).getCapitalReliquatSecteurPublicDonneesTemporaire();
  }
  
  public Quantite getCapitalReliquatSecteurPublic()
  {
    return ((DemandePC)getPC()).getCapitalReliquatSecteurPublicDonneesTemporaire();
  }
  
  public void setCapitalReliquatSecteurPublic(Quantite p_capitalReliquatSecteurPublic)
  {
    if ((m_capitalReliquatSecteurPublic == null) || (p_capitalReliquatSecteurPublic == null))
    {
      m_capitalReliquatSecteurPublic = p_capitalReliquatSecteurPublic;
      ((DemandePC)getPC()).setCapitalReliquatSecteurPublicDonneesTemporaire(p_capitalReliquatSecteurPublic);
    }
    else if ((m_capitalReliquatSecteurPublic != null) && (p_capitalReliquatSecteurPublic != null) && (!p_capitalReliquatSecteurPublic.equals(m_capitalReliquatSecteurPublic)))
    {
      m_capitalReliquatSecteurPublic = p_capitalReliquatSecteurPublic;
      ((DemandePC)getPC()).setCapitalReliquatSecteurPublicDonneesTemporaire(p_capitalReliquatSecteurPublic);
    }
  }
  
  protected Damj rawGetDateDebutPI()
  {
    return ((DemandePC)getPC()).getDateDebutPIDonneesTemporaire();
  }
  
  public Damj getDateDebutPI()
  {
    return ((DemandePC)getPC()).getDateDebutPIDonneesTemporaire();
  }
  
  public void setDateDebutPI(Damj p_dateDebutPI)
  {
    if ((m_dateDebutPI == null) || (p_dateDebutPI == null))
    {
      m_dateDebutPI = p_dateDebutPI;
      ((DemandePC)getPC()).setDateDebutPIDonneesTemporaire(p_dateDebutPI);
    }
    else if ((m_dateDebutPI != null) && (p_dateDebutPI != null) && (!p_dateDebutPI.equals(m_dateDebutPI)))
    {
      m_dateDebutPI = p_dateDebutPI;
      ((DemandePC)getPC()).setDateDebutPIDonneesTemporaire(p_dateDebutPI);
    }
  }
  
  protected Damj rawGetDateFinPI()
  {
    return ((DemandePC)getPC()).getDateFinPIDonneesTemporaire();
  }
  
  public Damj getDateFinPI()
  {
    return ((DemandePC)getPC()).getDateFinPIDonneesTemporaire();
  }
  
  public void setDateFinPI(Damj p_dateFinPI)
  {
    if ((m_dateFinPI == null) || (p_dateFinPI == null))
    {
      m_dateFinPI = p_dateFinPI;
      ((DemandePC)getPC()).setDateFinPIDonneesTemporaire(p_dateFinPI);
    }
    else if ((m_dateFinPI != null) && (p_dateFinPI != null) && (!p_dateFinPI.equals(m_dateFinPI)))
    {
      m_dateFinPI = p_dateFinPI;
      ((DemandePC)getPC()).setDateFinPIDonneesTemporaire(p_dateFinPI);
    }
  }
  
  protected String rawGetIdentifiantPeriodeFctARetenir()
  {
    return ((DemandePC)getPC()).getIdentifiantPeriodeFctARetenirDonneesTemporaire();
  }
  
  public String getIdentifiantPeriodeFctARetenir()
  {
    return ((DemandePC)getPC()).getIdentifiantPeriodeFctARetenirDonneesTemporaire();
  }
  
  public void setIdentifiantPeriodeFctARetenir(String p_identifiantPeriodeFctARetenir)
  {
    if ((m_identifiantPeriodeFctARetenir == null) || (p_identifiantPeriodeFctARetenir == null))
    {
      m_identifiantPeriodeFctARetenir = p_identifiantPeriodeFctARetenir;
      ((DemandePC)getPC()).setIdentifiantPeriodeFctARetenirDonneesTemporaire(p_identifiantPeriodeFctARetenir);
    }
    else if ((m_identifiantPeriodeFctARetenir != null) && (p_identifiantPeriodeFctARetenir != null) && (!p_identifiantPeriodeFctARetenir.equals(m_identifiantPeriodeFctARetenir)))
    {
      m_identifiantPeriodeFctARetenir = p_identifiantPeriodeFctARetenir;
      ((DemandePC)getPC()).setIdentifiantPeriodeFctARetenirDonneesTemporaire(p_identifiantPeriodeFctARetenir);
    }
  }
  
  protected Quantite rawGetQuantiteAffiliation()
  {
    return ((DemandePC)getPC()).getQuantiteAffiliationDonneesTemporaire();
  }
  
  public Quantite getQuantiteAffiliation()
  {
    return ((DemandePC)getPC()).getQuantiteAffiliationDonneesTemporaire();
  }
  
  public void setQuantiteAffiliation(Quantite p_quantiteAffiliation)
  {
    if ((m_quantiteAffiliation == null) || (p_quantiteAffiliation == null))
    {
      m_quantiteAffiliation = p_quantiteAffiliation;
      ((DemandePC)getPC()).setQuantiteAffiliationDonneesTemporaire(p_quantiteAffiliation);
    }
    else if ((m_quantiteAffiliation != null) && (p_quantiteAffiliation != null) && (!p_quantiteAffiliation.equals(m_quantiteAffiliation)))
    {
      m_quantiteAffiliation = p_quantiteAffiliation;
      ((DemandePC)getPC()).setQuantiteAffiliationDonneesTemporaire(p_quantiteAffiliation);
    }
  }
  
  protected Damj rawGetDateAttributionDroitAnterieurSp()
  {
    return ((DemandePC)getPC()).getDateAttributionDroitAnterieurSpDonneesTemporaire();
  }
  
  public Damj getDateAttributionDroitAnterieurSp()
  {
    return ((DemandePC)getPC()).getDateAttributionDroitAnterieurSpDonneesTemporaire();
  }
  
  public void setDateAttributionDroitAnterieurSp(Damj p_dateAttributionDroitAnterieurSp)
  {
    if ((m_dateAttributionDroitAnterieurSp == null) || (p_dateAttributionDroitAnterieurSp == null))
    {
      m_dateAttributionDroitAnterieurSp = p_dateAttributionDroitAnterieurSp;
      ((DemandePC)getPC()).setDateAttributionDroitAnterieurSpDonneesTemporaire(p_dateAttributionDroitAnterieurSp);
    }
    else if ((m_dateAttributionDroitAnterieurSp != null) && (p_dateAttributionDroitAnterieurSp != null) && (!p_dateAttributionDroitAnterieurSp.equals(m_dateAttributionDroitAnterieurSp)))
    {
      m_dateAttributionDroitAnterieurSp = p_dateAttributionDroitAnterieurSp;
      ((DemandePC)getPC()).setDateAttributionDroitAnterieurSpDonneesTemporaire(p_dateAttributionDroitAnterieurSp);
    }
  }
  
  protected Damj rawGetDateFgDroitAnterieurSp()
  {
    return ((DemandePC)getPC()).getDateFgDroitAnterieurSpDonneesTemporaire();
  }
  
  public Damj getDateFgDroitAnterieurSp()
  {
    return ((DemandePC)getPC()).getDateFgDroitAnterieurSpDonneesTemporaire();
  }
  
  public void setDateFgDroitAnterieurSp(Damj p_dateFgDroitAnterieurSp)
  {
    if ((m_dateFgDroitAnterieurSp == null) || (p_dateFgDroitAnterieurSp == null))
    {
      m_dateFgDroitAnterieurSp = p_dateFgDroitAnterieurSp;
      ((DemandePC)getPC()).setDateFgDroitAnterieurSpDonneesTemporaire(p_dateFgDroitAnterieurSp);
    }
    else if ((m_dateFgDroitAnterieurSp != null) && (p_dateFgDroitAnterieurSp != null) && (!p_dateFgDroitAnterieurSp.equals(m_dateFgDroitAnterieurSp)))
    {
      m_dateFgDroitAnterieurSp = p_dateFgDroitAnterieurSp;
      ((DemandePC)getPC()).setDateFgDroitAnterieurSpDonneesTemporaire(p_dateFgDroitAnterieurSp);
    }
  }
  
  protected int rawGetDureeInitialeDroitAnterieurSp()
  {
    return ((DemandePC)getPC()).getDureeInitialeDroitAnterieurSpDonneesTemporaire();
  }
  
  public int getDureeInitialeDroitAnterieurSp()
  {
    return ((DemandePC)getPC()).getDureeInitialeDroitAnterieurSpDonneesTemporaire();
  }
  
  public void setDureeInitialeDroitAnterieurSp(int p_dureeInitialeDroitAnterieurSp)
  {
    ((DemandePC)getPC()).setDureeInitialeDroitAnterieurSpDonneesTemporaire(p_dureeInitialeDroitAnterieurSp);
  }
  
  protected short rawGetAvisCommissionParitaire()
  {
    return ((DemandePC)getPC()).getAvisCommissionParitaireDonneesTemporaire();
  }
  
  public short getAvisCommissionParitaire()
  {
    return ((DemandePC)getPC()).getAvisCommissionParitaireDonneesTemporaire();
  }
  
  public void setAvisCommissionParitaire(short p_avisCommissionParitaire)
  {
    ((DemandePC)getPC()).setAvisCommissionParitaireDonneesTemporaire(p_avisCommissionParitaire);
  }
  
  protected BigDecimal rawGetMontantAide()
  {
    return ((DemandePC)getPC()).getMontantAideDonneesTemporaire();
  }
  
  public BigDecimal getMontantAide()
  {
    return ((DemandePC)getPC()).getMontantAideDonneesTemporaire();
  }
  
  public void setMontantAide(BigDecimal p_montantAide)
  {
    if ((m_montantAide == null) || (p_montantAide == null))
    {
      m_montantAide = p_montantAide;
      ((DemandePC)getPC()).setMontantAideDonneesTemporaire(p_montantAide);
    }
    else if ((m_montantAide != null) && (p_montantAide != null) && (!p_montantAide.equals(m_montantAide)))
    {
      m_montantAide = p_montantAide;
      ((DemandePC)getPC()).setMontantAideDonneesTemporaire(p_montantAide);
    }
  }
  
  protected int rawGetNatureMontantAide()
  {
    return ((DemandePC)getPC()).getNatureMontantAideDonneesTemporaire();
  }
  
  public int getNatureMontantAide()
  {
    return ((DemandePC)getPC()).getNatureMontantAideDonneesTemporaire();
  }
  
  public void setNatureMontantAide(int p_natureMontantAide)
  {
    ((DemandePC)getPC()).setNatureMontantAideDonneesTemporaire(p_natureMontantAide);
  }
  
  protected QuantiteJour rawGetQuantiteJoursDiffereIccpConservatoire()
  {
    return ((DemandePC)getPC()).getQuantiteJoursDiffereIccpConservatoireDonneesTemporaire();
  }
  
  public QuantiteJour getQuantiteJoursDiffereIccpConservatoire()
  {
    return ((DemandePC)getPC()).getQuantiteJoursDiffereIccpConservatoireDonneesTemporaire();
  }
  
  public void setQuantiteJoursDiffereIccpConservatoire(QuantiteJour p_quantiteJoursDiffereIccpConservatoire)
  {
    if ((m_quantiteJoursDiffereIccpConservatoire == null) || (p_quantiteJoursDiffereIccpConservatoire == null))
    {
      m_quantiteJoursDiffereIccpConservatoire = p_quantiteJoursDiffereIccpConservatoire;
      ((DemandePC)getPC()).setQuantiteJoursDiffereIccpConservatoireDonneesTemporaire(p_quantiteJoursDiffereIccpConservatoire);
    }
    else if ((m_quantiteJoursDiffereIccpConservatoire != null) && (p_quantiteJoursDiffereIccpConservatoire != null) && (!p_quantiteJoursDiffereIccpConservatoire.equals(m_quantiteJoursDiffereIccpConservatoire)))
    {
      m_quantiteJoursDiffereIccpConservatoire = p_quantiteJoursDiffereIccpConservatoire;
      ((DemandePC)getPC()).setQuantiteJoursDiffereIccpConservatoireDonneesTemporaire(p_quantiteJoursDiffereIccpConservatoire);
    }
  }
  
  protected BigDecimal rawGetCoefficientSaisonnierSp()
  {
    return ((DemandePC)getPC()).getCoefficientSaisonnierSpDonneesTemporaire();
  }
  
  public BigDecimal getCoefficientSaisonnierSp()
  {
    return ((DemandePC)getPC()).getCoefficientSaisonnierSpDonneesTemporaire();
  }
  
  public void setCoefficientSaisonnierSp(BigDecimal p_coefficientSaisonnierSp)
  {
    if ((m_coefficientSaisonnierSp == null) || (p_coefficientSaisonnierSp == null))
    {
      m_coefficientSaisonnierSp = p_coefficientSaisonnierSp;
      ((DemandePC)getPC()).setCoefficientSaisonnierSpDonneesTemporaire(p_coefficientSaisonnierSp);
    }
    else if ((m_coefficientSaisonnierSp != null) && (p_coefficientSaisonnierSp != null) && (!p_coefficientSaisonnierSp.equals(m_coefficientSaisonnierSp)))
    {
      m_coefficientSaisonnierSp = p_coefficientSaisonnierSp;
      ((DemandePC)getPC()).setCoefficientSaisonnierSpDonneesTemporaire(p_coefficientSaisonnierSp);
    }
  }
  
  protected BigDecimal rawGetCoefficientTempsPartielSp()
  {
    return ((DemandePC)getPC()).getCoefficientTempsPartielSpDonneesTemporaire();
  }
  
  public BigDecimal getCoefficientTempsPartielSp()
  {
    return ((DemandePC)getPC()).getCoefficientTempsPartielSpDonneesTemporaire();
  }
  
  public void setCoefficientTempsPartielSp(BigDecimal p_coefficientTempsPartielSp)
  {
    if ((m_coefficientTempsPartielSp == null) || (p_coefficientTempsPartielSp == null))
    {
      m_coefficientTempsPartielSp = p_coefficientTempsPartielSp;
      ((DemandePC)getPC()).setCoefficientTempsPartielSpDonneesTemporaire(p_coefficientTempsPartielSp);
    }
    else if ((m_coefficientTempsPartielSp != null) && (p_coefficientTempsPartielSp != null) && (!p_coefficientTempsPartielSp.equals(m_coefficientTempsPartielSp)))
    {
      m_coefficientTempsPartielSp = p_coefficientTempsPartielSp;
      ((DemandePC)getPC()).setCoefficientTempsPartielSpDonneesTemporaire(p_coefficientTempsPartielSp);
    }
  }
  
  protected Quantite rawGetSjrSP()
  {
    return ((DemandePC)getPC()).getSjrSPDonneesTemporaire();
  }
  
  public Quantite getSjrSP()
  {
    return ((DemandePC)getPC()).getSjrSPDonneesTemporaire();
  }
  
  public void setSjrSP(Quantite p_sjrSP)
  {
    if ((m_sjrSP == null) || (p_sjrSP == null))
    {
      m_sjrSP = p_sjrSP;
      ((DemandePC)getPC()).setSjrSPDonneesTemporaire(p_sjrSP);
    }
    else if ((m_sjrSP != null) && (p_sjrSP != null) && (!p_sjrSP.equals(m_sjrSP)))
    {
      m_sjrSP = p_sjrSP;
      ((DemandePC)getPC()).setSjrSPDonneesTemporaire(p_sjrSP);
    }
  }
  
  protected Damj rawGetTermePrcSp()
  {
    return ((DemandePC)getPC()).getTermePrcSpDonneesTemporaire();
  }
  
  public Damj getTermePrcSp()
  {
    return ((DemandePC)getPC()).getTermePrcSpDonneesTemporaire();
  }
  
  public void setTermePrcSp(Damj p_termePrcSp)
  {
    if ((m_termePrcSp == null) || (p_termePrcSp == null))
    {
      m_termePrcSp = p_termePrcSp;
      ((DemandePC)getPC()).setTermePrcSpDonneesTemporaire(p_termePrcSp);
    }
    else if ((m_termePrcSp != null) && (p_termePrcSp != null) && (!p_termePrcSp.equals(m_termePrcSp)))
    {
      m_termePrcSp = p_termePrcSp;
      ((DemandePC)getPC()).setTermePrcSpDonneesTemporaire(p_termePrcSp);
    }
  }
  
  protected boolean rawIsConditionCumulActiviteConserveeRemplie()
  {
    return ((DemandePC)getPC()).isConditionCumulActiviteConserveeRemplieDonneesTemporaire();
  }
  
  public boolean isConditionCumulActiviteConserveeRemplie()
  {
    return ((DemandePC)getPC()).isConditionCumulActiviteConserveeRemplieDonneesTemporaire();
  }
  
  public void setConditionCumulActiviteConserveeRemplie(boolean p_conditionCumulActiviteConserveeRemplie)
  {
    ((DemandePC)getPC()).setConditionCumulActiviteConserveeRemplieDonneesTemporaire(p_conditionCumulActiviteConserveeRemplie);
  }
  
  protected Damj rawGetFinPmc()
  {
    return ((DemandePC)getPC()).getFinPmcDonneesTemporaire();
  }
  
  public Damj getFinPmc()
  {
    return ((DemandePC)getPC()).getFinPmcDonneesTemporaire();
  }
  
  public void setFinPmc(Damj p_finPmc)
  {
    if ((m_finPmc == null) || (p_finPmc == null))
    {
      m_finPmc = p_finPmc;
      ((DemandePC)getPC()).setFinPmcDonneesTemporaire(p_finPmc);
    }
    else if ((m_finPmc != null) && (p_finPmc != null) && (!p_finPmc.equals(m_finPmc)))
    {
      m_finPmc = p_finPmc;
      ((DemandePC)getPC()).setFinPmcDonneesTemporaire(p_finPmc);
    }
  }
  
  protected String rawGetIndentifiantFctPMC()
  {
    return ((DemandePC)getPC()).getIndentifiantFctPMCDonneesTemporaire();
  }
  
  public String getIndentifiantFctPMC()
  {
    return ((DemandePC)getPC()).getIndentifiantFctPMCDonneesTemporaire();
  }
  
  public void setIndentifiantFctPMC(String p_indentifiantFctPMC)
  {
    if ((m_indentifiantFctPMC == null) || (p_indentifiantFctPMC == null))
    {
      m_indentifiantFctPMC = p_indentifiantFctPMC;
      ((DemandePC)getPC()).setIndentifiantFctPMCDonneesTemporaire(p_indentifiantFctPMC);
    }
    else if ((m_indentifiantFctPMC != null) && (p_indentifiantFctPMC != null) && (!p_indentifiantFctPMC.equals(m_indentifiantFctPMC)))
    {
      m_indentifiantFctPMC = p_indentifiantFctPMC;
      ((DemandePC)getPC()).setIndentifiantFctPMCDonneesTemporaire(p_indentifiantFctPMC);
    }
  }
  
  protected boolean rawIsPmcIndemnisable()
  {
    return ((DemandePC)getPC()).isPmcIndemnisableDonneesTemporaire();
  }
  
  public boolean isPmcIndemnisable()
  {
    return ((DemandePC)getPC()).isPmcIndemnisableDonneesTemporaire();
  }
  
  public void setPmcIndemnisable(boolean p_pmcIndemnisable)
  {
    ((DemandePC)getPC()).setPmcIndemnisableDonneesTemporaire(p_pmcIndemnisable);
  }
  
  protected boolean rawIsAccordPoursuite182JoursChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).isAccordPoursuite182JoursChomageTotalSansRupture();
  }
  
  public boolean isAccordPoursuite182JoursChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).isAccordPoursuite182JoursChomageTotalSansRupture();
  }
  
  public void setAccordPoursuite182JoursChomageTotalSansRupture(boolean p_accordPoursuite182JoursChomageTotalSansRupture)
  {
    ((DemandePC)getPC()).setAccordPoursuite182JoursChomageTotalSansRupture(p_accordPoursuite182JoursChomageTotalSansRupture);
  }
  
  protected Damj rawGetDateAttributionCPChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).getDateAttributionCPChomageTotalSansRupture();
  }
  
  public Damj getDateAttributionCPChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).getDateAttributionCPChomageTotalSansRupture();
  }
  
  public void setDateAttributionCPChomageTotalSansRupture(Damj p_dateAttributionCPChomageTotalSansRupture)
  {
    if ((m_dateAttributionCPChomageTotalSansRupture == null) || (p_dateAttributionCPChomageTotalSansRupture == null))
    {
      m_dateAttributionCPChomageTotalSansRupture = p_dateAttributionCPChomageTotalSansRupture;
      ((DemandePC)getPC()).setDateAttributionCPChomageTotalSansRupture(p_dateAttributionCPChomageTotalSansRupture);
    }
    else if ((m_dateAttributionCPChomageTotalSansRupture != null) && (p_dateAttributionCPChomageTotalSansRupture != null) && (!p_dateAttributionCPChomageTotalSansRupture.equals(m_dateAttributionCPChomageTotalSansRupture)))
    {
      m_dateAttributionCPChomageTotalSansRupture = p_dateAttributionCPChomageTotalSansRupture;
      ((DemandePC)getPC()).setDateAttributionCPChomageTotalSansRupture(p_dateAttributionCPChomageTotalSansRupture);
    }
  }
  
  protected Damj rawGetDateChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).getDateChomageTotalSansRupture();
  }
  
  public Damj getDateChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).getDateChomageTotalSansRupture();
  }
  
  public void setDateChomageTotalSansRupture(Damj p_dateChomageTotalSansRupture)
  {
    if ((m_dateChomageTotalSansRupture == null) || (p_dateChomageTotalSansRupture == null))
    {
      m_dateChomageTotalSansRupture = p_dateChomageTotalSansRupture;
      ((DemandePC)getPC()).setDateChomageTotalSansRupture(p_dateChomageTotalSansRupture);
    }
    else if ((m_dateChomageTotalSansRupture != null) && (p_dateChomageTotalSansRupture != null) && (!p_dateChomageTotalSansRupture.equals(m_dateChomageTotalSansRupture)))
    {
      m_dateChomageTotalSansRupture = p_dateChomageTotalSansRupture;
      ((DemandePC)getPC()).setDateChomageTotalSansRupture(p_dateChomageTotalSansRupture);
    }
  }
  
  protected Damj rawGetDateMaximumPoursuiteIndeminisationChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).getDateMaximumPoursuiteIndeminisationChomageTotalSansRupture();
  }
  
  public Damj getDateMaximumPoursuiteIndeminisationChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).getDateMaximumPoursuiteIndeminisationChomageTotalSansRupture();
  }
  
  public void setDateMaximumPoursuiteIndeminisationChomageTotalSansRupture(Damj p_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture)
  {
    if ((m_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture == null) || (p_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture == null))
    {
      m_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture = p_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture;
      ((DemandePC)getPC()).setDateMaximumPoursuiteIndeminisationChomageTotalSansRupture(p_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture);
    }
    else if ((m_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture != null) && (p_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture != null) && (!p_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture.equals(m_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture)))
    {
      m_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture = p_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture;
      ((DemandePC)getPC()).setDateMaximumPoursuiteIndeminisationChomageTotalSansRupture(p_dateMaximumPoursuiteIndeminisationChomageTotalSansRupture);
    }
  }
  
  protected boolean rawIsAvisFavorableCPChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).isAvisFavorableCPChomageTotalSansRupture();
  }
  
  public boolean isAvisFavorableCPChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).isAvisFavorableCPChomageTotalSansRupture();
  }
  
  public void setAvisFavorableCPChomageTotalSansRupture(boolean p_avisFavorableCPChomageTotalSansRupture)
  {
    ((DemandePC)getPC()).setAvisFavorableCPChomageTotalSansRupture(p_avisFavorableCPChomageTotalSansRupture);
  }
  
  protected boolean rawIsDecisionCPRenseigneeChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).isDecisionCPRenseigneeChomageTotalSansRupture();
  }
  
  public boolean isDecisionCPRenseigneeChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).isDecisionCPRenseigneeChomageTotalSansRupture();
  }
  
  public void setDecisionCPRenseigneeChomageTotalSansRupture(boolean p_decisionCPRenseigneeChomageTotalSansRupture)
  {
    ((DemandePC)getPC()).setDecisionCPRenseigneeChomageTotalSansRupture(p_decisionCPRenseigneeChomageTotalSansRupture);
  }
  
  protected boolean rawIsLeveeCondition28JoursChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).isLeveeCondition28JoursChomageTotalSansRupture();
  }
  
  public boolean isLeveeCondition28JoursChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).isLeveeCondition28JoursChomageTotalSansRupture();
  }
  
  public void setLeveeCondition28JoursChomageTotalSansRupture(boolean p_leveeCondition28JoursChomageTotalSansRupture)
  {
    ((DemandePC)getPC()).setLeveeCondition28JoursChomageTotalSansRupture(p_leveeCondition28JoursChomageTotalSansRupture);
  }
  
  protected boolean rawIsSinistreOuCalamiteNaturelleChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).isSinistreOuCalamiteNaturelleChomageTotalSansRupture();
  }
  
  public boolean isSinistreOuCalamiteNaturelleChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).isSinistreOuCalamiteNaturelleChomageTotalSansRupture();
  }
  
  public void setSinistreOuCalamiteNaturelleChomageTotalSansRupture(boolean p_sinistreOuCalamiteNaturelleChomageTotalSansRupture)
  {
    ((DemandePC)getPC()).setSinistreOuCalamiteNaturelleChomageTotalSansRupture(p_sinistreOuCalamiteNaturelleChomageTotalSansRupture);
  }
  
  protected Damj rawGetNouvelleDateAttributionChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).getNouvelleDateAttributionChomageTotalSansRupture();
  }
  
  public Damj getNouvelleDateAttributionChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).getNouvelleDateAttributionChomageTotalSansRupture();
  }
  
  public void setNouvelleDateAttributionChomageTotalSansRupture(Damj p_nouvelleDateAttributionChomageTotalSansRupture)
  {
    if ((m_nouvelleDateAttributionChomageTotalSansRupture == null) || (p_nouvelleDateAttributionChomageTotalSansRupture == null))
    {
      m_nouvelleDateAttributionChomageTotalSansRupture = p_nouvelleDateAttributionChomageTotalSansRupture;
      ((DemandePC)getPC()).setNouvelleDateAttributionChomageTotalSansRupture(p_nouvelleDateAttributionChomageTotalSansRupture);
    }
    else if ((m_nouvelleDateAttributionChomageTotalSansRupture != null) && (p_nouvelleDateAttributionChomageTotalSansRupture != null) && (!p_nouvelleDateAttributionChomageTotalSansRupture.equals(m_nouvelleDateAttributionChomageTotalSansRupture)))
    {
      m_nouvelleDateAttributionChomageTotalSansRupture = p_nouvelleDateAttributionChomageTotalSansRupture;
      ((DemandePC)getPC()).setNouvelleDateAttributionChomageTotalSansRupture(p_nouvelleDateAttributionChomageTotalSansRupture);
    }
  }
  
  protected String rawGetIdentifiantPeriodeFinContratDeTravailChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).getIdentifiantPeriodeFinContratDeTravailChomageTotalSansRupture();
  }
  
  public String getIdentifiantPeriodeFinContratDeTravailChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).getIdentifiantPeriodeFinContratDeTravailChomageTotalSansRupture();
  }
  
  public void setIdentifiantPeriodeFinContratDeTravailChomageTotalSansRupture(String p_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture)
  {
    if ((m_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture == null) || (p_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture == null))
    {
      m_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture = p_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture;
      ((DemandePC)getPC()).setIdentifiantPeriodeFinContratDeTravailChomageTotalSansRupture(p_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture);
    }
    else if ((m_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture != null) && (p_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture != null) && (!p_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture.equals(m_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture)))
    {
      m_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture = p_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture;
      ((DemandePC)getPC()).setIdentifiantPeriodeFinContratDeTravailChomageTotalSansRupture(p_identifiantPeriodeFinContratDeTravailChomageTotalSansRupture);
    }
  }
  
  protected QuantiteJour rawGetQuantiteJoursDiffereChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).getQuantiteJoursDiffereChomageTotalSansRupture();
  }
  
  public QuantiteJour getQuantiteJoursDiffereChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).getQuantiteJoursDiffereChomageTotalSansRupture();
  }
  
  public void setQuantiteJoursDiffereChomageTotalSansRupture(QuantiteJour p_quantiteJoursDiffereChomageTotalSansRupture)
  {
    if ((m_quantiteJoursDiffereChomageTotalSansRupture == null) || (p_quantiteJoursDiffereChomageTotalSansRupture == null))
    {
      m_quantiteJoursDiffereChomageTotalSansRupture = p_quantiteJoursDiffereChomageTotalSansRupture;
      ((DemandePC)getPC()).setQuantiteJoursDiffereChomageTotalSansRupture(p_quantiteJoursDiffereChomageTotalSansRupture);
    }
    else if ((m_quantiteJoursDiffereChomageTotalSansRupture != null) && (p_quantiteJoursDiffereChomageTotalSansRupture != null) && (!p_quantiteJoursDiffereChomageTotalSansRupture.equals(m_quantiteJoursDiffereChomageTotalSansRupture)))
    {
      m_quantiteJoursDiffereChomageTotalSansRupture = p_quantiteJoursDiffereChomageTotalSansRupture;
      ((DemandePC)getPC()).setQuantiteJoursDiffereChomageTotalSansRupture(p_quantiteJoursDiffereChomageTotalSansRupture);
    }
  }
  
  protected Quantite rawGetSjrPerteActConservee()
  {
    return ((DemandePC)getPC()).getSjrPerteActConserveeDonneesTemporaire();
  }
  
  public Quantite getSjrPerteActConservee()
  {
    return ((DemandePC)getPC()).getSjrPerteActConserveeDonneesTemporaire();
  }
  
  public void setSjrPerteActConservee(Quantite p_sjrPerteActConservee)
  {
    if ((m_sjrPerteActConservee == null) || (p_sjrPerteActConservee == null))
    {
      m_sjrPerteActConservee = p_sjrPerteActConservee;
      ((DemandePC)getPC()).setSjrPerteActConserveeDonneesTemporaire(p_sjrPerteActConservee);
    }
    else if ((m_sjrPerteActConservee != null) && (p_sjrPerteActConservee != null) && (!p_sjrPerteActConservee.equals(m_sjrPerteActConservee)))
    {
      m_sjrPerteActConservee = p_sjrPerteActConservee;
      ((DemandePC)getPC()).setSjrPerteActConserveeDonneesTemporaire(p_sjrPerteActConservee);
    }
  }
  
  protected Quantite rawGetSjcPerteActConservee()
  {
    return ((DemandePC)getPC()).getSjcPerteActConserveeDonneesTemporaire();
  }
  
  public Quantite getSjcPerteActConservee()
  {
    return ((DemandePC)getPC()).getSjcPerteActConserveeDonneesTemporaire();
  }
  
  public void setSjcPerteActConservee(Quantite p_sjcPerteActConservee)
  {
    if ((m_sjcPerteActConservee == null) || (p_sjcPerteActConservee == null))
    {
      m_sjcPerteActConservee = p_sjcPerteActConservee;
      ((DemandePC)getPC()).setSjcPerteActConserveeDonneesTemporaire(p_sjcPerteActConservee);
    }
    else if ((m_sjcPerteActConservee != null) && (p_sjcPerteActConservee != null) && (!p_sjcPerteActConservee.equals(m_sjcPerteActConservee)))
    {
      m_sjcPerteActConservee = p_sjcPerteActConservee;
      ((DemandePC)getPC()).setSjcPerteActConserveeDonneesTemporaire(p_sjcPerteActConservee);
    }
  }
  
  protected BigDecimal rawGetCoefficientTempsPartielActConservee()
  {
    return ((DemandePC)getPC()).getCoefficientTempsPartielActConserveeDonneesTemporaire();
  }
  
  public BigDecimal getCoefficientTempsPartielActConservee()
  {
    return ((DemandePC)getPC()).getCoefficientTempsPartielActConserveeDonneesTemporaire();
  }
  
  public void setCoefficientTempsPartielActConservee(BigDecimal p_coefficientTempsPartielActConservee)
  {
    if ((m_coefficientTempsPartielActConservee == null) || (p_coefficientTempsPartielActConservee == null))
    {
      m_coefficientTempsPartielActConservee = p_coefficientTempsPartielActConservee;
      ((DemandePC)getPC()).setCoefficientTempsPartielActConserveeDonneesTemporaire(p_coefficientTempsPartielActConservee);
    }
    else if ((m_coefficientTempsPartielActConservee != null) && (p_coefficientTempsPartielActConservee != null) && (!p_coefficientTempsPartielActConservee.equals(m_coefficientTempsPartielActConservee)))
    {
      m_coefficientTempsPartielActConservee = p_coefficientTempsPartielActConservee;
      ((DemandePC)getPC()).setCoefficientTempsPartielActConserveeDonneesTemporaire(p_coefficientTempsPartielActConservee);
    }
  }
  
  protected String rawGetIdentifiantPeriodeActiviteConserveePerdue()
  {
    return ((DemandePC)getPC()).getIdentifiantPeriodeActiviteConserveePerdue();
  }
  
  public String getIdentifiantPeriodeActiviteConserveePerdue()
  {
    return ((DemandePC)getPC()).getIdentifiantPeriodeActiviteConserveePerdue();
  }
  
  public void setIdentifiantPeriodeActiviteConserveePerdue(String p_identifiantPeriodeActiviteConserveePerdue)
  {
    if ((m_identifiantPeriodeActiviteConserveePerdue == null) || (p_identifiantPeriodeActiviteConserveePerdue == null))
    {
      m_identifiantPeriodeActiviteConserveePerdue = p_identifiantPeriodeActiviteConserveePerdue;
      ((DemandePC)getPC()).setIdentifiantPeriodeActiviteConserveePerdue(p_identifiantPeriodeActiviteConserveePerdue);
    }
    else if ((m_identifiantPeriodeActiviteConserveePerdue != null) && (p_identifiantPeriodeActiviteConserveePerdue != null) && (!p_identifiantPeriodeActiviteConserveePerdue.equals(m_identifiantPeriodeActiviteConserveePerdue)))
    {
      m_identifiantPeriodeActiviteConserveePerdue = p_identifiantPeriodeActiviteConserveePerdue;
      ((DemandePC)getPC()).setIdentifiantPeriodeActiviteConserveePerdue(p_identifiantPeriodeActiviteConserveePerdue);
    }
  }
  
  protected boolean rawIsEstPrimoDemandeurA3A4A5()
  {
    return ((DemandePC)getPC()).isEstPrimoDemandeurA3A4A5();
  }
  
  public boolean isEstPrimoDemandeurA3A4A5()
  {
    return ((DemandePC)getPC()).isEstPrimoDemandeurA3A4A5();
  }
  
  public void setEstPrimoDemandeurA3A4A5(boolean p_estPrimoDemandeurA3A4A5)
  {
    ((DemandePC)getPC()).setEstPrimoDemandeurA3A4A5(p_estPrimoDemandeurA3A4A5);
  }
  
  protected boolean rawIsPrimoDemandeurA3A4A5Renseignee()
  {
    return ((DemandePC)getPC()).isPrimoDemandeurA3A4A5Renseignee();
  }
  
  public boolean isPrimoDemandeurA3A4A5Renseignee()
  {
    return ((DemandePC)getPC()).isPrimoDemandeurA3A4A5Renseignee();
  }
  
  public void setPrimoDemandeurA3A4A5Renseignee(boolean p_primoDemandeurA3A4A5Renseignee)
  {
    ((DemandePC)getPC()).setPrimoDemandeurA3A4A5Renseignee(p_primoDemandeurA3A4A5Renseignee);
  }
  
  protected int rawGetTypeCoordinationEuropeenne()
  {
    return ((DemandePC)getPC()).getTypeCoordinationEuropeenne();
  }
  
  public int getTypeCoordinationEuropeenne()
  {
    return ((DemandePC)getPC()).getTypeCoordinationEuropeenne();
  }
  
  public void setTypeCoordinationEuropeenne(int p_typeCoordinationEuropeenne)
  {
    ((DemandePC)getPC()).setTypeCoordinationEuropeenne(p_typeCoordinationEuropeenne);
  }
  
  protected BigDecimal rawGetNbJourImputer()
  {
    return ((DemandePC)getPC()).getNbJourImputer();
  }
  
  public BigDecimal getNbJourImputer()
  {
    return ((DemandePC)getPC()).getNbJourImputer();
  }
  
  public void setNbJourImputer(BigDecimal p_nbJourImputer)
  {
    if ((m_nbJourImputer == null) || (p_nbJourImputer == null))
    {
      m_nbJourImputer = p_nbJourImputer;
      ((DemandePC)getPC()).setNbJourImputer(p_nbJourImputer);
    }
    else if ((m_nbJourImputer != null) && (p_nbJourImputer != null) && (!p_nbJourImputer.equals(m_nbJourImputer)))
    {
      m_nbJourImputer = p_nbJourImputer;
      ((DemandePC)getPC()).setNbJourImputer(p_nbJourImputer);
    }
  }
  
  protected String rawGetReglementApplicableSpectacle()
  {
    return ((DemandePC)getPC()).getReglementApplicableSpectacleDonneesTemporaire();
  }
  
  public String getReglementApplicableSpectacle()
  {
    return ((DemandePC)getPC()).getReglementApplicableSpectacleDonneesTemporaire();
  }
  
  public void setReglementApplicableSpectacle(String p_reglementApplicableSpectacle)
  {
    if ((m_reglementApplicableSpectacle == null) || (p_reglementApplicableSpectacle == null))
    {
      m_reglementApplicableSpectacle = p_reglementApplicableSpectacle;
      ((DemandePC)getPC()).setReglementApplicableSpectacleDonneesTemporaire(p_reglementApplicableSpectacle);
    }
    else if ((m_reglementApplicableSpectacle != null) && (p_reglementApplicableSpectacle != null) && (!p_reglementApplicableSpectacle.equals(m_reglementApplicableSpectacle)))
    {
      m_reglementApplicableSpectacle = p_reglementApplicableSpectacle;
      ((DemandePC)getPC()).setReglementApplicableSpectacleDonneesTemporaire(p_reglementApplicableSpectacle);
    }
  }
  
  protected Integer rawGetRangAllongementPraSpectacle()
  {
    return ((DemandePC)getPC()).getRangAllongementPraSpectacleDonneesTemporaire();
  }
  
  public Integer getRangAllongementPraSpectacle()
  {
    return ((DemandePC)getPC()).getRangAllongementPraSpectacleDonneesTemporaire();
  }
  
  public void setRangAllongementPraSpectacle(Integer p_rangAllongementPraSpectacle)
  {
    if ((m_rangAllongementPraSpectacle == null) || (p_rangAllongementPraSpectacle == null))
    {
      m_rangAllongementPraSpectacle = p_rangAllongementPraSpectacle;
      ((DemandePC)getPC()).setRangAllongementPraSpectacleDonneesTemporaire(p_rangAllongementPraSpectacle);
    }
    else if ((m_rangAllongementPraSpectacle != null) && (p_rangAllongementPraSpectacle != null) && (!p_rangAllongementPraSpectacle.equals(m_rangAllongementPraSpectacle)))
    {
      m_rangAllongementPraSpectacle = p_rangAllongementPraSpectacle;
      ((DemandePC)getPC()).setRangAllongementPraSpectacleDonneesTemporaire(p_rangAllongementPraSpectacle);
    }
  }
  
  protected QuantiteEuro rawGetSripSpectacle()
  {
    return ((DemandePC)getPC()).getSripSpectacleDonneesTemporaire();
  }
  
  public QuantiteEuro getSripSpectacle()
  {
    return ((DemandePC)getPC()).getSripSpectacleDonneesTemporaire();
  }
  
  public void setSripSpectacle(QuantiteEuro p_sripSpectacle)
  {
    if ((m_sripSpectacle == null) || (p_sripSpectacle == null))
    {
      m_sripSpectacle = p_sripSpectacle;
      ((DemandePC)getPC()).setSripSpectacleDonneesTemporaire(p_sripSpectacle);
    }
    else if ((m_sripSpectacle != null) && (p_sripSpectacle != null) && (!p_sripSpectacle.equals(m_sripSpectacle)))
    {
      m_sripSpectacle = p_sripSpectacle;
      ((DemandePC)getPC()).setSripSpectacleDonneesTemporaire(p_sripSpectacle);
    }
  }
  
  protected QuantiteEuro rawGetTotalRemunerationDansPRC()
  {
    return ((DemandePC)getPC()).getTotalRemunerationDansPRCDonneesTemporaire();
  }
  
  public QuantiteEuro getTotalRemunerationDansPRC()
  {
    return ((DemandePC)getPC()).getTotalRemunerationDansPRCDonneesTemporaire();
  }
  
  public void setTotalRemunerationDansPRC(QuantiteEuro p_totalRemunerationDansPRC)
  {
    if ((m_totalRemunerationDansPRC == null) || (p_totalRemunerationDansPRC == null))
    {
      m_totalRemunerationDansPRC = p_totalRemunerationDansPRC;
      ((DemandePC)getPC()).setTotalRemunerationDansPRCDonneesTemporaire(p_totalRemunerationDansPRC);
    }
    else if ((m_totalRemunerationDansPRC != null) && (p_totalRemunerationDansPRC != null) && (!p_totalRemunerationDansPRC.equals(m_totalRemunerationDansPRC)))
    {
      m_totalRemunerationDansPRC = p_totalRemunerationDansPRC;
      ((DemandePC)getPC()).setTotalRemunerationDansPRCDonneesTemporaire(p_totalRemunerationDansPRC);
    }
  }
  
  protected Quantite rawGetNbHeuresTravailEtenduSpectacle()
  {
    return ((DemandePC)getPC()).getNbHeuresTravailEtenduSpectacleDonneesTemporaire();
  }
  
  public Quantite getNbHeuresTravailEtenduSpectacle()
  {
    return ((DemandePC)getPC()).getNbHeuresTravailEtenduSpectacleDonneesTemporaire();
  }
  
  public void setNbHeuresTravailEtenduSpectacle(Quantite p_nbHeuresTravailEtenduSpectacle)
  {
    if ((m_nbHeuresTravailEtenduSpectacle == null) || (p_nbHeuresTravailEtenduSpectacle == null))
    {
      m_nbHeuresTravailEtenduSpectacle = p_nbHeuresTravailEtenduSpectacle;
      ((DemandePC)getPC()).setNbHeuresTravailEtenduSpectacleDonneesTemporaire(p_nbHeuresTravailEtenduSpectacle);
    }
    else if ((m_nbHeuresTravailEtenduSpectacle != null) && (p_nbHeuresTravailEtenduSpectacle != null) && (!p_nbHeuresTravailEtenduSpectacle.equals(m_nbHeuresTravailEtenduSpectacle)))
    {
      m_nbHeuresTravailEtenduSpectacle = p_nbHeuresTravailEtenduSpectacle;
      ((DemandePC)getPC()).setNbHeuresTravailEtenduSpectacleDonneesTemporaire(p_nbHeuresTravailEtenduSpectacle);
    }
  }
  
  protected Quantite rawGetNbHeuresTravailPlafonneSpectacle()
  {
    return ((DemandePC)getPC()).getNbHeuresTravailPlafonneSpectacleDonneesTemporaire();
  }
  
  public Quantite getNbHeuresTravailPlafonneSpectacle()
  {
    return ((DemandePC)getPC()).getNbHeuresTravailPlafonneSpectacleDonneesTemporaire();
  }
  
  public void setNbHeuresTravailPlafonneSpectacle(Quantite p_nbHeuresTravailPlafonneSpectacle)
  {
    if ((m_nbHeuresTravailPlafonneSpectacle == null) || (p_nbHeuresTravailPlafonneSpectacle == null))
    {
      m_nbHeuresTravailPlafonneSpectacle = p_nbHeuresTravailPlafonneSpectacle;
      ((DemandePC)getPC()).setNbHeuresTravailPlafonneSpectacleDonneesTemporaire(p_nbHeuresTravailPlafonneSpectacle);
    }
    else if ((m_nbHeuresTravailPlafonneSpectacle != null) && (p_nbHeuresTravailPlafonneSpectacle != null) && (!p_nbHeuresTravailPlafonneSpectacle.equals(m_nbHeuresTravailPlafonneSpectacle)))
    {
      m_nbHeuresTravailPlafonneSpectacle = p_nbHeuresTravailPlafonneSpectacle;
      ((DemandePC)getPC()).setNbHeuresTravailPlafonneSpectacleDonneesTemporaire(p_nbHeuresTravailPlafonneSpectacle);
    }
  }
  
  protected Quantite rawGetNbJourContratSurPraSpectacle()
  {
    return ((DemandePC)getPC()).getNbJourContratSurPraSpectacleDonneesTemporaire();
  }
  
  public Quantite getNbJourContratSurPraSpectacle()
  {
    return ((DemandePC)getPC()).getNbJourContratSurPraSpectacleDonneesTemporaire();
  }
  
  public void setNbJourContratSurPraSpectacle(Quantite p_nbJourContratSurPraSpectacle)
  {
    if ((m_nbJourContratSurPraSpectacle == null) || (p_nbJourContratSurPraSpectacle == null))
    {
      m_nbJourContratSurPraSpectacle = p_nbJourContratSurPraSpectacle;
      ((DemandePC)getPC()).setNbJourContratSurPraSpectacleDonneesTemporaire(p_nbJourContratSurPraSpectacle);
    }
    else if ((m_nbJourContratSurPraSpectacle != null) && (p_nbJourContratSurPraSpectacle != null) && (!p_nbJourContratSurPraSpectacle.equals(m_nbJourContratSurPraSpectacle)))
    {
      m_nbJourContratSurPraSpectacle = p_nbJourContratSurPraSpectacle;
      ((DemandePC)getPC()).setNbJourContratSurPraSpectacleDonneesTemporaire(p_nbJourContratSurPraSpectacle);
    }
  }
  
  protected boolean rawIsSaisieCasGeneralDonneesTemporaire()
  {
    return ((DemandePC)getPC()).isSaisieCasGeneralDonneesTemporaire();
  }
  
  public boolean isSaisieCasGeneralDonneesTemporaire()
  {
    return ((DemandePC)getPC()).isSaisieCasGeneralDonneesTemporaire();
  }
  
  public void setSaisieCasGeneralDonneesTemporaire(boolean p_saisieCasGeneralDonneesTemporaire)
  {
    ((DemandePC)getPC()).setSaisieCasGeneralDonneesTemporaire(p_saisieCasGeneralDonneesTemporaire);
  }
  
  protected boolean rawIsSaisieCasSpectacleDonneesTemporaire()
  {
    return ((DemandePC)getPC()).isSaisieCasSpectacleDonneesTemporaire();
  }
  
  public boolean isSaisieCasSpectacleDonneesTemporaire()
  {
    return ((DemandePC)getPC()).isSaisieCasSpectacleDonneesTemporaire();
  }
  
  public void setSaisieCasSpectacleDonneesTemporaire(boolean p_saisieCasSpectacleDonneesTemporaire)
  {
    ((DemandePC)getPC()).setSaisieCasSpectacleDonneesTemporaire(p_saisieCasSpectacleDonneesTemporaire);
  }
  
  protected boolean rawIsLeveePmc()
  {
    return ((DemandePC)getPC()).isLeveePmcDonneesTemporaires();
  }
  
  public boolean isLeveePmc()
  {
    return ((DemandePC)getPC()).isLeveePmcDonneesTemporaires();
  }
  
  public void setLeveePmc(boolean p_leveePmc)
  {
    ((DemandePC)getPC()).setLeveePmcDonneesTemporaires(p_leveePmc);
  }
  
  protected boolean rawIsABeneficeDroitAt12Mois()
  {
    return ((DemandePC)getPC()).isABeneficeDroitAt12MoisDonneesTemporaires();
  }
  
  public boolean isABeneficeDroitAt12Mois()
  {
    return ((DemandePC)getPC()).isABeneficeDroitAt12MoisDonneesTemporaires();
  }
  
  public void setABeneficeDroitAt12Mois(boolean p_aBeneficeDroitAt12Mois)
  {
    ((DemandePC)getPC()).setABeneficeDroitAt12MoisDonneesTemporaires(p_aBeneficeDroitAt12Mois);
  }
  
  protected Integer rawGetDureeAncienneteIntermittantSpectacle()
  {
    return ((DemandePC)getPC()).getDureeAncienneteIntermittantSpectacleDonneesTemporaires();
  }
  
  public Integer getDureeAncienneteIntermittantSpectacle()
  {
    return ((DemandePC)getPC()).getDureeAncienneteIntermittantSpectacleDonneesTemporaires();
  }
  
  public void setDureeAncienneteIntermittantSpectacle(Integer p_dureeAncienneteIntermittantSpectacle)
  {
    if ((m_dureeAncienneteIntermittantSpectacle == null) || (p_dureeAncienneteIntermittantSpectacle == null))
    {
      m_dureeAncienneteIntermittantSpectacle = p_dureeAncienneteIntermittantSpectacle;
      ((DemandePC)getPC()).setDureeAncienneteIntermittantSpectacleDonneesTemporaires(p_dureeAncienneteIntermittantSpectacle);
    }
    else if ((m_dureeAncienneteIntermittantSpectacle != null) && (p_dureeAncienneteIntermittantSpectacle != null) && (!p_dureeAncienneteIntermittantSpectacle.equals(m_dureeAncienneteIntermittantSpectacle)))
    {
      m_dureeAncienneteIntermittantSpectacle = p_dureeAncienneteIntermittantSpectacle;
      ((DemandePC)getPC()).setDureeAncienneteIntermittantSpectacleDonneesTemporaires(p_dureeAncienneteIntermittantSpectacle);
    }
  }
  
  protected boolean rawIsEstDemandeAt()
  {
    return ((DemandePC)getPC()).isEstDemandeAtDonneesTemporaires();
  }
  
  public boolean isEstDemandeAt()
  {
    return ((DemandePC)getPC()).isEstDemandeAtDonneesTemporaires();
  }
  
  public void setEstDemandeAt(boolean p_estDemandeAt)
  {
    ((DemandePC)getPC()).setEstDemandeAtDonneesTemporaires(p_estDemandeAt);
  }
  
  protected boolean rawIsEstDemandeAfd()
  {
    return ((DemandePC)getPC()).isEstDemandeAfdDonneesTemporaires();
  }
  
  public boolean isEstDemandeAfd()
  {
    return ((DemandePC)getPC()).isEstDemandeAfdDonneesTemporaires();
  }
  
  public void setEstDemandeAfd(boolean p_estDemandeAfd)
  {
    ((DemandePC)getPC()).setEstDemandeAfdDonneesTemporaires(p_estDemandeAfd);
  }
  
  protected Damj rawGetDateFinDroitSpecNonMigre()
  {
    return ((DemandePC)getPC()).getDateFinDroitSpecNonMigre();
  }
  
  public Damj getDateFinDroitSpecNonMigre()
  {
    return ((DemandePC)getPC()).getDateFinDroitSpecNonMigre();
  }
  
  public void setDateFinDroitSpecNonMigre(Damj p_dateFinDroitSpecNonMigre)
  {
    if ((m_dateFinDroitSpecNonMigre == null) || (p_dateFinDroitSpecNonMigre == null))
    {
      m_dateFinDroitSpecNonMigre = p_dateFinDroitSpecNonMigre;
      ((DemandePC)getPC()).setDateFinDroitSpecNonMigre(p_dateFinDroitSpecNonMigre);
    }
    else if ((m_dateFinDroitSpecNonMigre != null) && (p_dateFinDroitSpecNonMigre != null) && (!p_dateFinDroitSpecNonMigre.equals(m_dateFinDroitSpecNonMigre)))
    {
      m_dateFinDroitSpecNonMigre = p_dateFinDroitSpecNonMigre;
      ((DemandePC)getPC()).setDateFinDroitSpecNonMigre(p_dateFinDroitSpecNonMigre);
    }
  }
  
  protected boolean rawIsSaisieCasExpatriesDonneesTemporaire()
  {
    return ((DemandePC)getPC()).isSaisieCasExpatriesDonneesTemporaire();
  }
  
  public boolean isSaisieCasExpatriesDonneesTemporaire()
  {
    return ((DemandePC)getPC()).isSaisieCasExpatriesDonneesTemporaire();
  }
  
  public void setSaisieCasExpatriesDonneesTemporaire(boolean p_saisieCasExpatriesDonneesTemporaire)
  {
    ((DemandePC)getPC()).setSaisieCasExpatriesDonneesTemporaire(p_saisieCasExpatriesDonneesTemporaire);
  }
  
  protected boolean rawIsRejetChomageVolontaireGARP()
  {
    return ((DemandePC)getPC()).isRejetChomageVolontaireGARP();
  }
  
  public boolean isRejetChomageVolontaireGARP()
  {
    return ((DemandePC)getPC()).isRejetChomageVolontaireGARP();
  }
  
  public void setRejetChomageVolontaireGARP(boolean p_rejetChomageVolontaireGARP)
  {
    ((DemandePC)getPC()).setRejetChomageVolontaireGARP(p_rejetChomageVolontaireGARP);
  }
  
  protected QuantiteJour rawGetQuantiteJourICCP()
  {
    return ((DemandePC)getPC()).getQuantiteJourICCP();
  }
  
  public QuantiteJour getQuantiteJourICCP()
  {
    return ((DemandePC)getPC()).getQuantiteJourICCP();
  }
  
  public void setQuantiteJourICCP(QuantiteJour p_quantiteJourICCP)
  {
    if ((m_quantiteJourICCP == null) || (p_quantiteJourICCP == null))
    {
      m_quantiteJourICCP = p_quantiteJourICCP;
      ((DemandePC)getPC()).setQuantiteJourICCP(p_quantiteJourICCP);
    }
    else if ((m_quantiteJourICCP != null) && (p_quantiteJourICCP != null) && (!p_quantiteJourICCP.equals(m_quantiteJourICCP)))
    {
      m_quantiteJourICCP = p_quantiteJourICCP;
      ((DemandePC)getPC()).setQuantiteJourICCP(p_quantiteJourICCP);
    }
  }
  
  protected QuantiteJour rawGetQuantiteJourISLR()
  {
    return ((DemandePC)getPC()).getQuantiteJourISLR();
  }
  
  public QuantiteJour getQuantiteJourISLR()
  {
    return ((DemandePC)getPC()).getQuantiteJourISLR();
  }
  
  public void setQuantiteJourISLR(QuantiteJour p_quantiteJourISLR)
  {
    if ((m_quantiteJourISLR == null) || (p_quantiteJourISLR == null))
    {
      m_quantiteJourISLR = p_quantiteJourISLR;
      ((DemandePC)getPC()).setQuantiteJourISLR(p_quantiteJourISLR);
    }
    else if ((m_quantiteJourISLR != null) && (p_quantiteJourISLR != null) && (!p_quantiteJourISLR.equals(m_quantiteJourISLR)))
    {
      m_quantiteJourISLR = p_quantiteJourISLR;
      ((DemandePC)getPC()).setQuantiteJourISLR(p_quantiteJourISLR);
    }
  }
  
  protected String rawGetIdentifiantFCTCarenceExpatries()
  {
    return ((DemandePC)getPC()).getIdentifiantFCTCarenceExpatries();
  }
  
  public String getIdentifiantFCTCarenceExpatries()
  {
    return ((DemandePC)getPC()).getIdentifiantFCTCarenceExpatries();
  }
  
  public void setIdentifiantFCTCarenceExpatries(String p_identifiantFCTCarenceExpatries)
  {
    if ((m_identifiantFCTCarenceExpatries == null) || (p_identifiantFCTCarenceExpatries == null))
    {
      m_identifiantFCTCarenceExpatries = p_identifiantFCTCarenceExpatries;
      ((DemandePC)getPC()).setIdentifiantFCTCarenceExpatries(p_identifiantFCTCarenceExpatries);
    }
    else if ((m_identifiantFCTCarenceExpatries != null) && (p_identifiantFCTCarenceExpatries != null) && (!p_identifiantFCTCarenceExpatries.equals(m_identifiantFCTCarenceExpatries)))
    {
      m_identifiantFCTCarenceExpatries = p_identifiantFCTCarenceExpatries;
      ((DemandePC)getPC()).setIdentifiantFCTCarenceExpatries(p_identifiantFCTCarenceExpatries);
    }
  }
  
  protected BigDecimal rawGetNbJourImputationDroitPrecedent()
  {
    return ((DemandePC)getPC()).getNbJourImputationDroitPrecedent();
  }
  
  public BigDecimal getNbJourImputationDroitPrecedent()
  {
    return ((DemandePC)getPC()).getNbJourImputationDroitPrecedent();
  }
  
  public void setNbJourImputationDroitPrecedent(BigDecimal p_nbJourImputationDroitPrecedent)
  {
    if ((m_nbJourImputationDroitPrecedent == null) || (p_nbJourImputationDroitPrecedent == null))
    {
      m_nbJourImputationDroitPrecedent = p_nbJourImputationDroitPrecedent;
      ((DemandePC)getPC()).setNbJourImputationDroitPrecedent(p_nbJourImputationDroitPrecedent);
    }
    else if ((m_nbJourImputationDroitPrecedent != null) && (p_nbJourImputationDroitPrecedent != null) && (!p_nbJourImputationDroitPrecedent.equals(m_nbJourImputationDroitPrecedent)))
    {
      m_nbJourImputationDroitPrecedent = p_nbJourImputationDroitPrecedent;
      ((DemandePC)getPC()).setNbJourImputationDroitPrecedent(p_nbJourImputationDroitPrecedent);
    }
  }
  
  protected int rawGetTopPremiereODARE()
  {
    return ((DemandePC)getPC()).getTopPremiereODARE();
  }
  
  public int getTopPremiereODARE()
  {
    return ((DemandePC)getPC()).getTopPremiereODARE();
  }
  
  public void setTopPremiereODARE(int p_topPremiereODARE)
  {
    ((DemandePC)getPC()).setTopPremiereODARE(p_topPremiereODARE);
  }
  
  protected BigDecimal rawGetMontantContributionPourNonCTP()
  {
    return ((DemandePC)getPC()).getMontantContributionPourNonCTP();
  }
  
  public BigDecimal getMontantContributionPourNonCTP()
  {
    return ((DemandePC)getPC()).getMontantContributionPourNonCTP();
  }
  
  public void setMontantContributionPourNonCTP(BigDecimal p_montantContributionPourNonCTP)
  {
    if ((m_montantContributionPourNonCTP == null) || (p_montantContributionPourNonCTP == null))
    {
      m_montantContributionPourNonCTP = p_montantContributionPourNonCTP;
      ((DemandePC)getPC()).setMontantContributionPourNonCTP(p_montantContributionPourNonCTP);
    }
    else if ((m_montantContributionPourNonCTP != null) && (p_montantContributionPourNonCTP != null) && (!p_montantContributionPourNonCTP.equals(m_montantContributionPourNonCTP)))
    {
      m_montantContributionPourNonCTP = p_montantContributionPourNonCTP;
      ((DemandePC)getPC()).setMontantContributionPourNonCTP(p_montantContributionPourNonCTP);
    }
  }
  
  protected Damj rawGetDateAttributionAide()
  {
    return ((DemandePC)getPC()).getDateAttributionAide();
  }
  
  public Damj getDateAttributionAide()
  {
    return ((DemandePC)getPC()).getDateAttributionAide();
  }
  
  public void setDateAttributionAide(Damj p_dateAttributionAide)
  {
    if ((m_dateAttributionAide == null) || (p_dateAttributionAide == null))
    {
      m_dateAttributionAide = p_dateAttributionAide;
      ((DemandePC)getPC()).setDateAttributionAide(p_dateAttributionAide);
    }
    else if ((m_dateAttributionAide != null) && (p_dateAttributionAide != null) && (!p_dateAttributionAide.equals(m_dateAttributionAide)))
    {
      m_dateAttributionAide = p_dateAttributionAide;
      ((DemandePC)getPC()).setDateAttributionAide(p_dateAttributionAide);
    }
  }
  
  protected boolean rawIsEstRetenirActSectPrive()
  {
    return ((DemandePC)getPC()).isEstRetenirActSectPrive();
  }
  
  public boolean isEstRetenirActSectPrive()
  {
    return ((DemandePC)getPC()).isEstRetenirActSectPrive();
  }
  
  public void setEstRetenirActSectPrive(boolean p_estRetenirActSectPrive)
  {
    ((DemandePC)getPC()).setEstRetenirActSectPrive(p_estRetenirActSectPrive);
  }
  
  protected int rawGetMotifExamen()
  {
    return ((DemandePC)getPC()).getMotifExamen();
  }
  
  public int getMotifExamen()
  {
    return ((DemandePC)getPC()).getMotifExamen();
  }
  
  public void setMotifExamen(int p_motifExamen)
  {
    ((DemandePC)getPC()).setMotifExamen(p_motifExamen);
  }
  
  protected Damj rawGetDateFinEvenement()
  {
    return ((DemandePC)getPC()).getDateFinEvenement();
  }
  
  public Damj getDateFinEvenement()
  {
    return ((DemandePC)getPC()).getDateFinEvenement();
  }
  
  public void setDateFinEvenement(Damj p_dateFinEvenement)
  {
    if ((m_dateFinEvenement == null) || (p_dateFinEvenement == null))
    {
      m_dateFinEvenement = p_dateFinEvenement;
      ((DemandePC)getPC()).setDateFinEvenement(p_dateFinEvenement);
    }
    else if ((m_dateFinEvenement != null) && (p_dateFinEvenement != null) && (!p_dateFinEvenement.equals(m_dateFinEvenement)))
    {
      m_dateFinEvenement = p_dateFinEvenement;
      ((DemandePC)getPC()).setDateFinEvenement(p_dateFinEvenement);
    }
  }
  
  protected boolean rawIsLeverBornageDureeEffectiveRetraite()
  {
    return ((DemandePC)getPC()).isLeverBornageDureeEffectiveRetraite();
  }
  
  public boolean isLeverBornageDureeEffectiveRetraite()
  {
    return ((DemandePC)getPC()).isLeverBornageDureeEffectiveRetraite();
  }
  
  public void setLeverBornageDureeEffectiveRetraite(boolean p_leverBornageDureeEffectiveRetraite)
  {
    ((DemandePC)getPC()).setLeverBornageDureeEffectiveRetraite(p_leverBornageDureeEffectiveRetraite);
  }
  
  protected Damj rawGetDateEffetActConserveeDonneesTemporaire()
  {
    return ((DemandePC)getPC()).getDateEffetActConserveeDonneesTemporaire();
  }
  
  public Damj getDateEffetActConserveeDonneesTemporaire()
  {
    return ((DemandePC)getPC()).getDateEffetActConserveeDonneesTemporaire();
  }
  
  public void setDateEffetActConserveeDonneesTemporaire(Damj p_dateEffetActConserveeDonneesTemporaire)
  {
    if ((m_dateEffetActConserveeDonneesTemporaire == null) || (p_dateEffetActConserveeDonneesTemporaire == null))
    {
      m_dateEffetActConserveeDonneesTemporaire = p_dateEffetActConserveeDonneesTemporaire;
      ((DemandePC)getPC()).setDateEffetActConserveeDonneesTemporaire(p_dateEffetActConserveeDonneesTemporaire);
    }
    else if ((m_dateEffetActConserveeDonneesTemporaire != null) && (p_dateEffetActConserveeDonneesTemporaire != null) && (!p_dateEffetActConserveeDonneesTemporaire.equals(m_dateEffetActConserveeDonneesTemporaire)))
    {
      m_dateEffetActConserveeDonneesTemporaire = p_dateEffetActConserveeDonneesTemporaire;
      ((DemandePC)getPC()).setDateEffetActConserveeDonneesTemporaire(p_dateEffetActConserveeDonneesTemporaire);
    }
  }
  
  protected String rawGetTypeContexteDemandeDonneesTemporaires()
  {
    return ((DemandePC)getPC()).getTypeContexteDemandeDonneesTemporaires();
  }
  
  public String getTypeContexteDemandeDonneesTemporaires()
  {
    return ((DemandePC)getPC()).getTypeContexteDemandeDonneesTemporaires();
  }
  
  public void setTypeContexteDemandeDonneesTemporaires(String p_typeContexteDemandeDonneesTemporaires)
  {
    if ((m_typeContexteDemandeDonneesTemporaires == null) || (p_typeContexteDemandeDonneesTemporaires == null))
    {
      m_typeContexteDemandeDonneesTemporaires = p_typeContexteDemandeDonneesTemporaires;
      ((DemandePC)getPC()).setTypeContexteDemandeDonneesTemporaires(p_typeContexteDemandeDonneesTemporaires);
    }
    else if ((m_typeContexteDemandeDonneesTemporaires != null) && (p_typeContexteDemandeDonneesTemporaires != null) && (!p_typeContexteDemandeDonneesTemporaires.equals(m_typeContexteDemandeDonneesTemporaires)))
    {
      m_typeContexteDemandeDonneesTemporaires = p_typeContexteDemandeDonneesTemporaires;
      ((DemandePC)getPC()).setTypeContexteDemandeDonneesTemporaires(p_typeContexteDemandeDonneesTemporaires);
    }
  }
  
  protected Damj rawGetDateFinPreavisLegal()
  {
    return ((DemandePC)getPC()).getDateFinPreavisLegal();
  }
  
  public Damj getDateFinPreavisLegal()
  {
    return ((DemandePC)getPC()).getDateFinPreavisLegal();
  }
  
  public void setDateFinPreavisLegal(Damj p_dateFinPreavisLegal)
  {
    if ((m_dateFinPreavisLegal == null) || (p_dateFinPreavisLegal == null))
    {
      m_dateFinPreavisLegal = p_dateFinPreavisLegal;
      ((DemandePC)getPC()).setDateFinPreavisLegal(p_dateFinPreavisLegal);
    }
    else if ((m_dateFinPreavisLegal != null) && (p_dateFinPreavisLegal != null) && (!p_dateFinPreavisLegal.equals(m_dateFinPreavisLegal)))
    {
      m_dateFinPreavisLegal = p_dateFinPreavisLegal;
      ((DemandePC)getPC()).setDateFinPreavisLegal(p_dateFinPreavisLegal);
    }
  }
  
  protected BigDecimal rawGetDureeFinancement()
  {
    return ((DemandePC)getPC()).getDureeFinancement();
  }
  
  public BigDecimal getDureeFinancement()
  {
    return ((DemandePC)getPC()).getDureeFinancement();
  }
  
  public void setDureeFinancement(BigDecimal p_dureeFinancement)
  {
    if ((m_dureeFinancement == null) || (p_dureeFinancement == null))
    {
      m_dureeFinancement = p_dureeFinancement;
      ((DemandePC)getPC()).setDureeFinancement(p_dureeFinancement);
    }
    else if ((m_dureeFinancement != null) && (p_dureeFinancement != null) && (!p_dureeFinancement.equals(m_dureeFinancement)))
    {
      m_dureeFinancement = p_dureeFinancement;
      ((DemandePC)getPC()).setDureeFinancement(p_dureeFinancement);
    }
  }
  
  protected boolean rawIsSaisieCasFinancementDonneesTemporaire()
  {
    return ((DemandePC)getPC()).isSaisieCasFinancementDonneesTemporaire();
  }
  
  public boolean isSaisieCasFinancementDonneesTemporaire()
  {
    return ((DemandePC)getPC()).isSaisieCasFinancementDonneesTemporaire();
  }
  
  public void setSaisieCasFinancementDonneesTemporaire(boolean p_saisieCasFinancementDonneesTemporaire)
  {
    ((DemandePC)getPC()).setSaisieCasFinancementDonneesTemporaire(p_saisieCasFinancementDonneesTemporaire);
  }
  
  protected boolean rawIsFctDansLesDeuxMoisAvantFddAre()
  {
    return ((DemandePC)getPC()).isFctDansLesDeuxMoisAvantFddAre();
  }
  
  public boolean isFctDansLesDeuxMoisAvantFddAre()
  {
    return ((DemandePC)getPC()).isFctDansLesDeuxMoisAvantFddAre();
  }
  
  public void setFctDansLesDeuxMoisAvantFddAre(boolean p_fctDansLesDeuxMoisAvantFddAre)
  {
    ((DemandePC)getPC()).setFctDansLesDeuxMoisAvantFddAre(p_fctDansLesDeuxMoisAvantFddAre);
  }
  
  protected String rawGetEtatForcageDelaiAttente()
  {
    return ((DemandePC)getPC()).getEtatForcageDelaiAttente();
  }
  
  public String getEtatForcageDelaiAttente()
  {
    return ((DemandePC)getPC()).getEtatForcageDelaiAttente();
  }
  
  public void setEtatForcageDelaiAttente(String p_etatForcageDelaiAttente)
  {
    if ((m_etatForcageDelaiAttente == null) || (p_etatForcageDelaiAttente == null))
    {
      m_etatForcageDelaiAttente = p_etatForcageDelaiAttente;
      ((DemandePC)getPC()).setEtatForcageDelaiAttente(p_etatForcageDelaiAttente);
    }
    else if ((m_etatForcageDelaiAttente != null) && (p_etatForcageDelaiAttente != null) && (!p_etatForcageDelaiAttente.equals(m_etatForcageDelaiAttente)))
    {
      m_etatForcageDelaiAttente = p_etatForcageDelaiAttente;
      ((DemandePC)getPC()).setEtatForcageDelaiAttente(p_etatForcageDelaiAttente);
    }
  }
  
  protected String rawGetNumeroConventionPE()
  {
    return ((DemandePC)getPC()).getNumeroConventionPE();
  }
  
  public String getNumeroConventionPE()
  {
    return ((DemandePC)getPC()).getNumeroConventionPE();
  }
  
  public void setNumeroConventionPE(String p_numeroConventionPE)
  {
    if ((m_numeroConventionPE == null) || (p_numeroConventionPE == null))
    {
      m_numeroConventionPE = p_numeroConventionPE;
      ((DemandePC)getPC()).setNumeroConventionPE(p_numeroConventionPE);
    }
    else if ((m_numeroConventionPE != null) && (p_numeroConventionPE != null) && (!p_numeroConventionPE.equals(m_numeroConventionPE)))
    {
      m_numeroConventionPE = p_numeroConventionPE;
      ((DemandePC)getPC()).setNumeroConventionPE(p_numeroConventionPE);
    }
  }
  
  protected String rawGetCodeAffectationConvention()
  {
    return ((DemandePC)getPC()).getCodeAffectationConvention();
  }
  
  public String getCodeAffectationConvention()
  {
    return ((DemandePC)getPC()).getCodeAffectationConvention();
  }
  
  public void setCodeAffectationConvention(String p_codeAffectationConvention)
  {
    if ((m_codeAffectationConvention == null) || (p_codeAffectationConvention == null))
    {
      m_codeAffectationConvention = p_codeAffectationConvention;
      ((DemandePC)getPC()).setCodeAffectationConvention(p_codeAffectationConvention);
    }
    else if ((m_codeAffectationConvention != null) && (p_codeAffectationConvention != null) && (!p_codeAffectationConvention.equals(m_codeAffectationConvention)))
    {
      m_codeAffectationConvention = p_codeAffectationConvention;
      ((DemandePC)getPC()).setCodeAffectationConvention(p_codeAffectationConvention);
    }
  }
  
  protected boolean rawIsEstDerogationCsp()
  {
    return ((DemandePC)getPC()).isEstDerogationCspDonneesTemporaire();
  }
  
  public boolean isEstDerogationCsp()
  {
    return ((DemandePC)getPC()).isEstDerogationCspDonneesTemporaire();
  }
  
  public void setEstDerogationCsp(boolean p_estDerogationCsp)
  {
    ((DemandePC)getPC()).setEstDerogationCspDonneesTemporaire(p_estDerogationCsp);
  }
  
  protected boolean rawIsEstSalarieHandicapeChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).isEstSalarieHandicapeChomageTotalSansRupture();
  }
  
  public boolean isEstSalarieHandicapeChomageTotalSansRupture()
  {
    return ((DemandePC)getPC()).isEstSalarieHandicapeChomageTotalSansRupture();
  }
  
  public void setEstSalarieHandicapeChomageTotalSansRupture(boolean p_estSalarieHandicapeChomageTotalSansRupture)
  {
    ((DemandePC)getPC()).setEstSalarieHandicapeChomageTotalSansRupture(p_estSalarieHandicapeChomageTotalSansRupture);
  }
  
  protected BigDecimal rawGetDureeImputationSP()
  {
    return ((DemandePC)getPC()).getDureeImputationSP();
  }
  
  public BigDecimal getDureeImputationSP()
  {
    return ((DemandePC)getPC()).getDureeImputationSP();
  }
  
  public void setDureeImputationSP(BigDecimal p_dureeImputationSP)
  {
    if ((m_dureeImputationSP == null) || (p_dureeImputationSP == null))
    {
      m_dureeImputationSP = p_dureeImputationSP;
      ((DemandePC)getPC()).setDureeImputationSP(p_dureeImputationSP);
    }
    else if ((m_dureeImputationSP != null) && (p_dureeImputationSP != null) && (!p_dureeImputationSP.equals(m_dureeImputationSP)))
    {
      m_dureeImputationSP = p_dureeImputationSP;
      ((DemandePC)getPC()).setDureeImputationSP(p_dureeImputationSP);
    }
  }
  
  protected Damj rawGetDjiSpFinDroit()
  {
    return ((DemandePC)getPC()).getDjiSpFinDroit();
  }
  
  public Damj getDjiSpFinDroit()
  {
    return ((DemandePC)getPC()).getDjiSpFinDroit();
  }
  
  public void setDjiSpFinDroit(Damj p_djiSpFinDroit)
  {
    if ((m_djiSpFinDroit == null) || (p_djiSpFinDroit == null))
    {
      m_djiSpFinDroit = p_djiSpFinDroit;
      ((DemandePC)getPC()).setDjiSpFinDroit(p_djiSpFinDroit);
    }
    else if ((m_djiSpFinDroit != null) && (p_djiSpFinDroit != null) && (!p_djiSpFinDroit.equals(m_djiSpFinDroit)))
    {
      m_djiSpFinDroit = p_djiSpFinDroit;
      ((DemandePC)getPC()).setDjiSpFinDroit(p_djiSpFinDroit);
    }
  }
  
  protected String rawGetIdExterneEmployeurSp()
  {
    return ((DemandePC)getPC()).getIdExterneEmployeurSp();
  }
  
  public String getIdExterneEmployeurSp()
  {
    return ((DemandePC)getPC()).getIdExterneEmployeurSp();
  }
  
  public void setIdExterneEmployeurSp(String p_idExterneEmployeurSp)
  {
    if ((m_idExterneEmployeurSp == null) || (p_idExterneEmployeurSp == null))
    {
      m_idExterneEmployeurSp = p_idExterneEmployeurSp;
      ((DemandePC)getPC()).setIdExterneEmployeurSp(p_idExterneEmployeurSp);
    }
    else if ((m_idExterneEmployeurSp != null) && (p_idExterneEmployeurSp != null) && (!p_idExterneEmployeurSp.equals(m_idExterneEmployeurSp)))
    {
      m_idExterneEmployeurSp = p_idExterneEmployeurSp;
      ((DemandePC)getPC()).setIdExterneEmployeurSp(p_idExterneEmployeurSp);
    }
  }
  
  protected boolean rawIsEstLeveeControlePANSSuiteARCE()
  {
    return ((DemandePC)getPC()).isEstLeveeControlePANSSuiteARCEDonneesTemporaires();
  }
  
  public boolean isEstLeveeControlePANSSuiteARCE()
  {
    return ((DemandePC)getPC()).isEstLeveeControlePANSSuiteARCEDonneesTemporaires();
  }
  
  public void setEstLeveeControlePANSSuiteARCE(boolean p_estLeveeControlePANSSuiteARCE)
  {
    ((DemandePC)getPC()).setEstLeveeControlePANSSuiteARCEDonneesTemporaires(p_estLeveeControlePANSSuiteARCE);
  }
  
  protected boolean rawIsEstLeveeConditionACMemeEmployeur()
  {
    return ((DemandePC)getPC()).isEstLeveeConditionACMemeEmployeur();
  }
  
  public boolean isEstLeveeConditionACMemeEmployeur()
  {
    return ((DemandePC)getPC()).isEstLeveeConditionACMemeEmployeur();
  }
  
  public void setEstLeveeConditionACMemeEmployeur(boolean p_estLeveeConditionACMemeEmployeur)
  {
    ((DemandePC)getPC()).setEstLeveeConditionACMemeEmployeur(p_estLeveeConditionACMemeEmployeur);
  }
  
  protected BigDecimal rawGetNbjImputationDroitAServir()
  {
    return ((DemandePC)getPC()).getNbjImputationDroitAServir();
  }
  
  public BigDecimal getNbjImputationDroitAServir()
  {
    return ((DemandePC)getPC()).getNbjImputationDroitAServir();
  }
  
  public void setNbjImputationDroitAServir(BigDecimal p_nbjImputationDroitAServir)
  {
    if ((m_nbjImputationDroitAServir == null) || (p_nbjImputationDroitAServir == null))
    {
      m_nbjImputationDroitAServir = p_nbjImputationDroitAServir;
      ((DemandePC)getPC()).setNbjImputationDroitAServir(p_nbjImputationDroitAServir);
    }
    else if ((m_nbjImputationDroitAServir != null) && (p_nbjImputationDroitAServir != null) && (!p_nbjImputationDroitAServir.equals(m_nbjImputationDroitAServir)))
    {
      m_nbjImputationDroitAServir = p_nbjImputationDroitAServir;
      ((DemandePC)getPC()).setNbjImputationDroitAServir(p_nbjImputationDroitAServir);
    }
  }
  
  protected int rawGetMotifNbJourImputationDroitAServir()
  {
    return ((DemandePC)getPC()).getMotifNbJourImputationDroitAServir();
  }
  
  public int getMotifNbJourImputationDroitAServir()
  {
    return ((DemandePC)getPC()).getMotifNbJourImputationDroitAServir();
  }
  
  public void setMotifNbJourImputationDroitAServir(int p_motifNbJourImputationDroitAServir)
  {
    ((DemandePC)getPC()).setMotifNbJourImputationDroitAServir(p_motifNbJourImputationDroitAServir);
  }
  
  protected int rawGetMotifNbJourImputationDroitCourant()
  {
    return ((DemandePC)getPC()).getMotifNbJourImputationDroitCourant();
  }
  
  public int getMotifNbJourImputationDroitCourant()
  {
    return ((DemandePC)getPC()).getMotifNbJourImputationDroitCourant();
  }
  
  public void setMotifNbJourImputationDroitCourant(int p_motifNbJourImputationDroitCourant)
  {
    ((DemandePC)getPC()).setMotifNbJourImputationDroitCourant(p_motifNbJourImputationDroitCourant);
  }
  
  protected int rawGetMotifNbJourImputationDroitPrecedent()
  {
    return ((DemandePC)getPC()).getMotifNbJourImputationDroitPrecedent();
  }
  
  public int getMotifNbJourImputationDroitPrecedent()
  {
    return ((DemandePC)getPC()).getMotifNbJourImputationDroitPrecedent();
  }
  
  public void setMotifNbJourImputationDroitPrecedent(int p_motifNbJourImputationDroitPrecedent)
  {
    ((DemandePC)getPC()).setMotifNbJourImputationDroitPrecedent(p_motifNbJourImputationDroitPrecedent);
  }
  
  protected int rawGetMotifMontantImputationDroitAServir()
  {
    return ((DemandePC)getPC()).getMotifMontantImputationDroitAServir();
  }
  
  public int getMotifMontantImputationDroitAServir()
  {
    return ((DemandePC)getPC()).getMotifMontantImputationDroitAServir();
  }
  
  public void setMotifMontantImputationDroitAServir(int p_motifMontantImputationDroitAServir)
  {
    ((DemandePC)getPC()).setMotifMontantImputationDroitAServir(p_motifMontantImputationDroitAServir);
  }
  
  protected BigDecimal rawGetMontantImputationDroitAServir()
  {
    return ((DemandePC)getPC()).getMontantImputationDroitAServir();
  }
  
  public BigDecimal getMontantImputationDroitAServir()
  {
    return ((DemandePC)getPC()).getMontantImputationDroitAServir();
  }
  
  public void setMontantImputationDroitAServir(BigDecimal p_montantImputationDroitAServir)
  {
    if ((m_montantImputationDroitAServir == null) || (p_montantImputationDroitAServir == null))
    {
      m_montantImputationDroitAServir = p_montantImputationDroitAServir;
      ((DemandePC)getPC()).setMontantImputationDroitAServir(p_montantImputationDroitAServir);
    }
    else if ((m_montantImputationDroitAServir != null) && (p_montantImputationDroitAServir != null) && (!p_montantImputationDroitAServir.equals(m_montantImputationDroitAServir)))
    {
      m_montantImputationDroitAServir = p_montantImputationDroitAServir;
      ((DemandePC)getPC()).setMontantImputationDroitAServir(p_montantImputationDroitAServir);
    }
  }
  
  protected boolean rawIsEstIgnorerAttribPrecCSR()
  {
    return ((DemandePC)getPC()).isEstIgnorerAttribPrecCSR();
  }
  
  public boolean isEstIgnorerAttribPrecCSR()
  {
    return ((DemandePC)getPC()).isEstIgnorerAttribPrecCSR();
  }
  
  public void setEstIgnorerAttribPrecCSR(boolean p_estIgnorerAttribPrecCSR)
  {
    ((DemandePC)getPC()).setEstIgnorerAttribPrecCSR(p_estIgnorerAttribPrecCSR);
  }
  
  protected boolean rawIsEstPCRCForceDroitCourant()
  {
    return ((DemandePC)getPC()).isEstPCRCForceDroitCourant();
  }
  
  public boolean isEstPCRCForceDroitCourant()
  {
    return ((DemandePC)getPC()).isEstPCRCForceDroitCourant();
  }
  
  public void setEstPCRCForceDroitCourant(boolean p_estPCRCForceDroitCourant)
  {
    ((DemandePC)getPC()).setEstPCRCForceDroitCourant(p_estPCRCForceDroitCourant);
  }
  
  protected boolean rawIsEstPCRCForceDroitPrecedent()
  {
    return ((DemandePC)getPC()).isEstPCRCForceDroitPrecedent();
  }
  
  public boolean isEstPCRCForceDroitPrecedent()
  {
    return ((DemandePC)getPC()).isEstPCRCForceDroitPrecedent();
  }
  
  public void setEstPCRCForceDroitPrecedent(boolean p_estPCRCForceDroitPrecedent)
  {
    ((DemandePC)getPC()).setEstPCRCForceDroitPrecedent(p_estPCRCForceDroitPrecedent);
  }
  
  protected Damj rawGetDateDepartICCP()
  {
    return ((DemandePC)getPC()).getDateDepartICCP();
  }
  
  public Damj getDateDepartICCP()
  {
    return ((DemandePC)getPC()).getDateDepartICCP();
  }
  
  public void setDateDepartICCP(Damj p_dateDepartICCP)
  {
    if ((m_dateDepartICCP == null) || (p_dateDepartICCP == null))
    {
      m_dateDepartICCP = p_dateDepartICCP;
      ((DemandePC)getPC()).setDateDepartICCP(p_dateDepartICCP);
    }
    else if ((m_dateDepartICCP != null) && (p_dateDepartICCP != null) && (!p_dateDepartICCP.equals(m_dateDepartICCP)))
    {
      m_dateDepartICCP = p_dateDepartICCP;
      ((DemandePC)getPC()).setDateDepartICCP(p_dateDepartICCP);
    }
  }
  
  protected boolean rawIsEstDemarcheReintegrationEffectuee()
  {
    return ((DemandePC)getPC()).isEstDemarcheReintegrationEffectuee();
  }
  
  public boolean isEstDemarcheReintegrationEffectuee()
  {
    return ((DemandePC)getPC()).isEstDemarcheReintegrationEffectuee();
  }
  
  public void setEstDemarcheReintegrationEffectuee(boolean p_estDemarcheReintegrationEffectuee)
  {
    ((DemandePC)getPC()).setEstDemarcheReintegrationEffectuee(p_estDemarcheReintegrationEffectuee);
  }
  
  protected Quantite rawGetDureeTheoriqueForcee()
  {
    return ((DemandePC)getPC()).getDureeTheoriqueForcee();
  }
  
  public Quantite getDureeTheoriqueForcee()
  {
    return ((DemandePC)getPC()).getDureeTheoriqueForcee();
  }
  
  public void setDureeTheoriqueForcee(Quantite p_dureeTheoriqueForcee)
  {
    if ((m_dureeTheoriqueForcee == null) || (p_dureeTheoriqueForcee == null))
    {
      m_dureeTheoriqueForcee = p_dureeTheoriqueForcee;
      ((DemandePC)getPC()).setDureeTheoriqueForcee(p_dureeTheoriqueForcee);
    }
    else if ((m_dureeTheoriqueForcee != null) && (p_dureeTheoriqueForcee != null) && (!p_dureeTheoriqueForcee.equals(m_dureeTheoriqueForcee)))
    {
      m_dureeTheoriqueForcee = p_dureeTheoriqueForcee;
      ((DemandePC)getPC()).setDureeTheoriqueForcee(p_dureeTheoriqueForcee);
    }
  }
  
  protected Damj rawGetDateExamenForcee()
  {
    return ((DemandePC)getPC()).getDateExamenForcee();
  }
  
  public Damj getDateExamenForcee()
  {
    return ((DemandePC)getPC()).getDateExamenForcee();
  }
  
  public void setDateExamenForcee(Damj p_dateExamenForcee)
  {
    if ((m_dateExamenForcee == null) || (p_dateExamenForcee == null))
    {
      m_dateExamenForcee = p_dateExamenForcee;
      ((DemandePC)getPC()).setDateExamenForcee(p_dateExamenForcee);
    }
    else if ((m_dateExamenForcee != null) && (p_dateExamenForcee != null) && (!p_dateExamenForcee.equals(m_dateExamenForcee)))
    {
      m_dateExamenForcee = p_dateExamenForcee;
      ((DemandePC)getPC()).setDateExamenForcee(p_dateExamenForcee);
    }
  }
  
  protected Damj rawGetDateAttributionForcee()
  {
    return ((DemandePC)getPC()).getDateAttributionForcee();
  }
  
  public Damj getDateAttributionForcee()
  {
    return ((DemandePC)getPC()).getDateAttributionForcee();
  }
  
  public void setDateAttributionForcee(Damj p_dateAttributionForcee)
  {
    if ((m_dateAttributionForcee == null) || (p_dateAttributionForcee == null))
    {
      m_dateAttributionForcee = p_dateAttributionForcee;
      ((DemandePC)getPC()).setDateAttributionForcee(p_dateAttributionForcee);
    }
    else if ((m_dateAttributionForcee != null) && (p_dateAttributionForcee != null) && (!p_dateAttributionForcee.equals(m_dateAttributionForcee)))
    {
      m_dateAttributionForcee = p_dateAttributionForcee;
      ((DemandePC)getPC()).setDateAttributionForcee(p_dateAttributionForcee);
    }
  }
  
  protected Boolean rawIsDelaiAttenteForce()
  {
    return ((DemandePC)getPC()).isDelaiAttenteForce();
  }
  
  public Boolean isDelaiAttenteForce()
  {
    return ((DemandePC)getPC()).isDelaiAttenteForce();
  }
  
  public void setDelaiAttenteForce(Boolean p_delaiAttenteForce)
  {
    if ((m_delaiAttenteForce == null) || (p_delaiAttenteForce == null))
    {
      m_delaiAttenteForce = p_delaiAttenteForce;
      ((DemandePC)getPC()).setDelaiAttenteForce(p_delaiAttenteForce);
    }
    else if ((m_delaiAttenteForce != null) && (p_delaiAttenteForce != null) && (!p_delaiAttenteForce.equals(m_delaiAttenteForce)))
    {
      m_delaiAttenteForce = p_delaiAttenteForce;
      ((DemandePC)getPC()).setDelaiAttenteForce(p_delaiAttenteForce);
    }
  }
  
  protected boolean rawIsConditionChomageInvolontaireSatistaite()
  {
    return ((DemandePC)getPC()).isConditionChomageInvolontaireSatistaite();
  }
  
  public boolean isConditionChomageInvolontaireSatistaite()
  {
    return ((DemandePC)getPC()).isConditionChomageInvolontaireSatistaite();
  }
  
  public void setConditionChomageInvolontaireSatistaite(boolean p_conditionChomageInvolontaireSatistaite)
  {
    ((DemandePC)getPC()).setConditionChomageInvolontaireSatistaite(p_conditionChomageInvolontaireSatistaite);
  }
  
  protected boolean rawIsDroitOptionForce()
  {
    return ((DemandePC)getPC()).isDroitOptionForce();
  }
  
  public boolean isDroitOptionForce()
  {
    return ((DemandePC)getPC()).isDroitOptionForce();
  }
  
  public void setDroitOptionForce(boolean p_droitOptionForce)
  {
    ((DemandePC)getPC()).setDroitOptionForce(p_droitOptionForce);
  }
  
  protected Damj rawGetDjiDroitSpContexteRechargement()
  {
    return ((DemandePC)getPC()).getDjiDroitSpContexteRechargement();
  }
  
  public Damj getDjiDroitSpContexteRechargement()
  {
    return ((DemandePC)getPC()).getDjiDroitSpContexteRechargement();
  }
  
  public void setDjiDroitSpContexteRechargement(Damj p_djiDroitSpContexteRechargement)
  {
    if ((m_djiDroitSpContexteRechargement == null) || (p_djiDroitSpContexteRechargement == null))
    {
      m_djiDroitSpContexteRechargement = p_djiDroitSpContexteRechargement;
      ((DemandePC)getPC()).setDjiDroitSpContexteRechargement(p_djiDroitSpContexteRechargement);
    }
    else if ((m_djiDroitSpContexteRechargement != null) && (p_djiDroitSpContexteRechargement != null) && (!p_djiDroitSpContexteRechargement.equals(m_djiDroitSpContexteRechargement)))
    {
      m_djiDroitSpContexteRechargement = p_djiDroitSpContexteRechargement;
      ((DemandePC)getPC()).setDjiDroitSpContexteRechargement(p_djiDroitSpContexteRechargement);
    }
  }
  
  protected Damj rawGetFgdDroitSpContexteRechargement()
  {
    return ((DemandePC)getPC()).getFgdDroitSpContexteRechargement();
  }
  
  public Damj getFgdDroitSpContexteRechargement()
  {
    return ((DemandePC)getPC()).getFgdDroitSpContexteRechargement();
  }
  
  public void setFgdDroitSpContexteRechargement(Damj p_fgdDroitSpContexteRechargement)
  {
    if ((m_fgdDroitSpContexteRechargement == null) || (p_fgdDroitSpContexteRechargement == null))
    {
      m_fgdDroitSpContexteRechargement = p_fgdDroitSpContexteRechargement;
      ((DemandePC)getPC()).setFgdDroitSpContexteRechargement(p_fgdDroitSpContexteRechargement);
    }
    else if ((m_fgdDroitSpContexteRechargement != null) && (p_fgdDroitSpContexteRechargement != null) && (!p_fgdDroitSpContexteRechargement.equals(m_fgdDroitSpContexteRechargement)))
    {
      m_fgdDroitSpContexteRechargement = p_fgdDroitSpContexteRechargement;
      ((DemandePC)getPC()).setFgdDroitSpContexteRechargement(p_fgdDroitSpContexteRechargement);
    }
  }
  
  protected boolean rawIsRepriseForceeSurDemandeExpresse()
  {
    return ((DemandePC)getPC()).isRepriseForceeSurDemandeExpresse();
  }
  
  public boolean isRepriseForceeSurDemandeExpresse()
  {
    return ((DemandePC)getPC()).isRepriseForceeSurDemandeExpresse();
  }
  
  public void setRepriseForceeSurDemandeExpresse(boolean p_repriseForceeSurDemandeExpresse)
  {
    ((DemandePC)getPC()).setRepriseForceeSurDemandeExpresse(p_repriseForceeSurDemandeExpresse);
  }
  
  protected Boolean rawIsEstDesactivationPnds()
  {
    return ((DemandePC)getPC()).isEstDesactivationPnds();
  }
  
  public Boolean isEstDesactivationPnds()
  {
    return ((DemandePC)getPC()).isEstDesactivationPnds();
  }
  
  public void setEstDesactivationPnds(Boolean p_estDesactivationPnds)
  {
    if ((m_estDesactivationPnds == null) || (p_estDesactivationPnds == null))
    {
      m_estDesactivationPnds = p_estDesactivationPnds;
      ((DemandePC)getPC()).setEstDesactivationPnds(p_estDesactivationPnds);
    }
    else if ((m_estDesactivationPnds != null) && (p_estDesactivationPnds != null) && (!p_estDesactivationPnds.equals(m_estDesactivationPnds)))
    {
      m_estDesactivationPnds = p_estDesactivationPnds;
      ((DemandePC)getPC()).setEstDesactivationPnds(p_estDesactivationPnds);
    }
  }
  
  protected BigDecimal rawGetDureeImputation()
  {
    return ((DemandePC)getPC()).getDureeImputation();
  }
  
  public BigDecimal getDureeImputation()
  {
    return ((DemandePC)getPC()).getDureeImputation();
  }
  
  public void setDureeImputation(BigDecimal p_dureeImputation)
  {
    if ((m_dureeImputation == null) || (p_dureeImputation == null))
    {
      m_dureeImputation = p_dureeImputation;
      ((DemandePC)getPC()).setDureeImputation(p_dureeImputation);
    }
    else if ((m_dureeImputation != null) && (p_dureeImputation != null) && (!p_dureeImputation.equals(m_dureeImputation)))
    {
      m_dureeImputation = p_dureeImputation;
      ((DemandePC)getPC()).setDureeImputation(p_dureeImputation);
    }
  }
  
  protected BigDecimal rawGetNbJoursAllongement()
  {
    return ((DemandePC)getPC()).getNbJoursAllongement();
  }
  
  public BigDecimal getNbJoursAllongement()
  {
    return ((DemandePC)getPC()).getNbJoursAllongement();
  }
  
  public void setNbJoursAllongement(BigDecimal p_nbJoursAllongement)
  {
    if ((m_nbJoursAllongement == null) || (p_nbJoursAllongement == null))
    {
      m_nbJoursAllongement = p_nbJoursAllongement;
      ((DemandePC)getPC()).setNbJoursAllongement(p_nbJoursAllongement);
    }
    else if ((m_nbJoursAllongement != null) && (p_nbJoursAllongement != null) && (!p_nbJoursAllongement.equals(m_nbJoursAllongement)))
    {
      m_nbJoursAllongement = p_nbJoursAllongement;
      ((DemandePC)getPC()).setNbJoursAllongement(p_nbJoursAllongement);
    }
  }
  
  protected Damj rawGetDateLimiteIndemnisationDonneeForcee()
  {
    return ((DemandePC)getPC()).getDateLimiteIndemnisationDonneeForcee();
  }
  
  public Damj getDateLimiteIndemnisationDonneeForcee()
  {
    return ((DemandePC)getPC()).getDateLimiteIndemnisationDonneeForcee();
  }
  
  public void setDateLimiteIndemnisationDonneeForcee(Damj p_dateLimiteIndemnisationDonneeForcee)
  {
    if ((m_dateLimiteIndemnisationDonneeForcee == null) || (p_dateLimiteIndemnisationDonneeForcee == null))
    {
      m_dateLimiteIndemnisationDonneeForcee = p_dateLimiteIndemnisationDonneeForcee;
      ((DemandePC)getPC()).setDateLimiteIndemnisationDonneeForcee(p_dateLimiteIndemnisationDonneeForcee);
    }
    else if ((m_dateLimiteIndemnisationDonneeForcee != null) && (p_dateLimiteIndemnisationDonneeForcee != null) && (!p_dateLimiteIndemnisationDonneeForcee.equals(m_dateLimiteIndemnisationDonneeForcee)))
    {
      m_dateLimiteIndemnisationDonneeForcee = p_dateLimiteIndemnisationDonneeForcee;
      ((DemandePC)getPC()).setDateLimiteIndemnisationDonneeForcee(p_dateLimiteIndemnisationDonneeForcee);
    }
  }
  
  protected boolean rawIsReliquatSecteurPublicEteint()
  {
    return ((DemandePC)getPC()).isReliquatSecteurPublicEteintDonneesComplementaires();
  }
  
  public boolean isReliquatSecteurPublicEteint()
  {
    return ((DemandePC)getPC()).isReliquatSecteurPublicEteintDonneesComplementaires();
  }
  
  public void setReliquatSecteurPublicEteint(boolean p_reliquatSecteurPublicEteint)
  {
    ((DemandePC)getPC()).setReliquatSecteurPublicEteintDonneesComplementaires(p_reliquatSecteurPublicEteint);
  }
  
  protected boolean rawIsReliquatSecteurPublicPrescritRejete()
  {
    return ((DemandePC)getPC()).isReliquatSecteurPublicPrescritRejete();
  }
  
  public boolean isReliquatSecteurPublicPrescritRejete()
  {
    return ((DemandePC)getPC()).isReliquatSecteurPublicPrescritRejete();
  }
  
  public void setReliquatSecteurPublicPrescritRejete(boolean p_reliquatSecteurPublicPrescritRejete)
  {
    ((DemandePC)getPC()).setReliquatSecteurPublicPrescritRejete(p_reliquatSecteurPublicPrescritRejete);
  }
  
  protected boolean rawIsLeveeConditionCLCA()
  {
    return ((DemandePC)getPC()).isLeveeConditionCLCA();
  }
  
  public boolean isLeveeConditionCLCA()
  {
    return ((DemandePC)getPC()).isLeveeConditionCLCA();
  }
  
  public void setLeveeConditionCLCA(boolean p_leveeConditionCLCA)
  {
    ((DemandePC)getPC()).setLeveeConditionCLCA(p_leveeConditionCLCA);
  }
  
  protected Boolean rawIsConditionAffiliationSatisfaiteForcee()
  {
    return ((DemandePC)getPC()).isConditionAffiliationSatisfaiteForcee();
  }
  
  public Boolean isConditionAffiliationSatisfaiteForcee()
  {
    return ((DemandePC)getPC()).isConditionAffiliationSatisfaiteForcee();
  }
  
  public void setConditionAffiliationSatisfaiteForcee(Boolean p_conditionAffiliationSatisfaiteForcee)
  {
    if ((m_conditionAffiliationSatisfaiteForcee == null) || (p_conditionAffiliationSatisfaiteForcee == null))
    {
      m_conditionAffiliationSatisfaiteForcee = p_conditionAffiliationSatisfaiteForcee;
      ((DemandePC)getPC()).setConditionAffiliationSatisfaiteForcee(p_conditionAffiliationSatisfaiteForcee);
    }
    else if ((m_conditionAffiliationSatisfaiteForcee != null) && (p_conditionAffiliationSatisfaiteForcee != null) && (!p_conditionAffiliationSatisfaiteForcee.equals(m_conditionAffiliationSatisfaiteForcee)))
    {
      m_conditionAffiliationSatisfaiteForcee = p_conditionAffiliationSatisfaiteForcee;
      ((DemandePC)getPC()).setConditionAffiliationSatisfaiteForcee(p_conditionAffiliationSatisfaiteForcee);
    }
  }
  
  protected Boolean rawIsConditionAncienneteSatisfaiteForcee()
  {
    return ((DemandePC)getPC()).isConditionAncienneteSatisfaiteForcee();
  }
  
  public Boolean isConditionAncienneteSatisfaiteForcee()
  {
    return ((DemandePC)getPC()).isConditionAncienneteSatisfaiteForcee();
  }
  
  public void setConditionAncienneteSatisfaiteForcee(Boolean p_conditionAncienneteSatisfaiteForcee)
  {
    if ((m_conditionAncienneteSatisfaiteForcee == null) || (p_conditionAncienneteSatisfaiteForcee == null))
    {
      m_conditionAncienneteSatisfaiteForcee = p_conditionAncienneteSatisfaiteForcee;
      ((DemandePC)getPC()).setConditionAncienneteSatisfaiteForcee(p_conditionAncienneteSatisfaiteForcee);
    }
    else if ((m_conditionAncienneteSatisfaiteForcee != null) && (p_conditionAncienneteSatisfaiteForcee != null) && (!p_conditionAncienneteSatisfaiteForcee.equals(m_conditionAncienneteSatisfaiteForcee)))
    {
      m_conditionAncienneteSatisfaiteForcee = p_conditionAncienneteSatisfaiteForcee;
      ((DemandePC)getPC()).setConditionAncienneteSatisfaiteForcee(p_conditionAncienneteSatisfaiteForcee);
    }
  }
  
  protected Damj rawGetDateFinPeriodeAncienneteForcee()
  {
    return ((DemandePC)getPC()).getDateFinPeriodeAncienneteForcee();
  }
  
  public Damj getDateFinPeriodeAncienneteForcee()
  {
    return ((DemandePC)getPC()).getDateFinPeriodeAncienneteForcee();
  }
  
  public void setDateFinPeriodeAncienneteForcee(Damj p_dateFinPeriodeAncienneteForcee)
  {
    if ((m_dateFinPeriodeAncienneteForcee == null) || (p_dateFinPeriodeAncienneteForcee == null))
    {
      m_dateFinPeriodeAncienneteForcee = p_dateFinPeriodeAncienneteForcee;
      ((DemandePC)getPC()).setDateFinPeriodeAncienneteForcee(p_dateFinPeriodeAncienneteForcee);
    }
    else if ((m_dateFinPeriodeAncienneteForcee != null) && (p_dateFinPeriodeAncienneteForcee != null) && (!p_dateFinPeriodeAncienneteForcee.equals(m_dateFinPeriodeAncienneteForcee)))
    {
      m_dateFinPeriodeAncienneteForcee = p_dateFinPeriodeAncienneteForcee;
      ((DemandePC)getPC()).setDateFinPeriodeAncienneteForcee(p_dateFinPeriodeAncienneteForcee);
    }
  }
  
  protected BigDecimal rawGetNombreJourTotalA8A10Force()
  {
    return ((DemandePC)getPC()).getNombreJourTotalA8A10Force();
  }
  
  public BigDecimal getNombreJourTotalA8A10Force()
  {
    return ((DemandePC)getPC()).getNombreJourTotalA8A10Force();
  }
  
  public void setNombreJourTotalA8A10Force(BigDecimal p_nombreJourTotalA8A10Force)
  {
    if ((m_nombreJourTotalA8A10Force == null) || (p_nombreJourTotalA8A10Force == null))
    {
      m_nombreJourTotalA8A10Force = p_nombreJourTotalA8A10Force;
      ((DemandePC)getPC()).setNombreJourTotalA8A10Force(p_nombreJourTotalA8A10Force);
    }
    else if ((m_nombreJourTotalA8A10Force != null) && (p_nombreJourTotalA8A10Force != null) && (!p_nombreJourTotalA8A10Force.equals(m_nombreJourTotalA8A10Force)))
    {
      m_nombreJourTotalA8A10Force = p_nombreJourTotalA8A10Force;
      ((DemandePC)getPC()).setNombreJourTotalA8A10Force(p_nombreJourTotalA8A10Force);
    }
  }
  
  protected String rawGetCompetenceFinanciere()
  {
    return ((DemandePC)getPC()).getCompetenceFinanciereDonneesTemporaires();
  }
  
  public String getCompetenceFinanciere()
  {
    return ((DemandePC)getPC()).getCompetenceFinanciereDonneesTemporaires();
  }
  
  public void setCompetenceFinanciere(String p_competenceFinanciere)
  {
    if ((m_competenceFinanciere == null) || (p_competenceFinanciere == null))
    {
      m_competenceFinanciere = p_competenceFinanciere;
      ((DemandePC)getPC()).setCompetenceFinanciereDonneesTemporaires(p_competenceFinanciere);
    }
    else if ((m_competenceFinanciere != null) && (p_competenceFinanciere != null) && (!p_competenceFinanciere.equals(m_competenceFinanciere)))
    {
      m_competenceFinanciere = p_competenceFinanciere;
      ((DemandePC)getPC()).setCompetenceFinanciereDonneesTemporaires(p_competenceFinanciere);
    }
  }
  
  protected String rawGetEmployeurSecteurPublicCompetent()
  {
    return ((DemandePC)getPC()).getEmployeurSecteurPublicCompetentDonneesTemporaires();
  }
  
  public String getEmployeurSecteurPublicCompetent()
  {
    return ((DemandePC)getPC()).getEmployeurSecteurPublicCompetentDonneesTemporaires();
  }
  
  public void setEmployeurSecteurPublicCompetent(String p_employeurSecteurPublicCompetent)
  {
    if ((m_employeurSecteurPublicCompetent == null) || (p_employeurSecteurPublicCompetent == null))
    {
      m_employeurSecteurPublicCompetent = p_employeurSecteurPublicCompetent;
      ((DemandePC)getPC()).setEmployeurSecteurPublicCompetentDonneesTemporaires(p_employeurSecteurPublicCompetent);
    }
    else if ((m_employeurSecteurPublicCompetent != null) && (p_employeurSecteurPublicCompetent != null) && (!p_employeurSecteurPublicCompetent.equals(m_employeurSecteurPublicCompetent)))
    {
      m_employeurSecteurPublicCompetent = p_employeurSecteurPublicCompetent;
      ((DemandePC)getPC()).setEmployeurSecteurPublicCompetentDonneesTemporaires(p_employeurSecteurPublicCompetent);
    }
  }
  
  protected BigDecimal rawGetMontantIndemnitePreavisContrib()
  {
    return ((DemandePC)getPC()).getMontantIndemnitePreavisContribDonneesTemporaires();
  }
  
  public BigDecimal getMontantIndemnitePreavisContrib()
  {
    return ((DemandePC)getPC()).getMontantIndemnitePreavisContribDonneesTemporaires();
  }
  
  public void setMontantIndemnitePreavisContrib(BigDecimal p_montantIndemnitePreavisContrib)
  {
    if ((m_montantIndemnitePreavisContrib == null) || (p_montantIndemnitePreavisContrib == null))
    {
      m_montantIndemnitePreavisContrib = p_montantIndemnitePreavisContrib;
      ((DemandePC)getPC()).setMontantIndemnitePreavisContribDonneesTemporaires(p_montantIndemnitePreavisContrib);
    }
    else if ((m_montantIndemnitePreavisContrib != null) && (p_montantIndemnitePreavisContrib != null) && (!p_montantIndemnitePreavisContrib.equals(m_montantIndemnitePreavisContrib)))
    {
      m_montantIndemnitePreavisContrib = p_montantIndemnitePreavisContrib;
      ((DemandePC)getPC()).setMontantIndemnitePreavisContribDonneesTemporaires(p_montantIndemnitePreavisContrib);
    }
  }
  
  protected BigDecimal rawGetContributionAdhesionVolontaire()
  {
    return ((DemandePC)getPC()).getContributionAdhesionVolontaireDonneesTemporaires();
  }
  
  public BigDecimal getContributionAdhesionVolontaire()
  {
    return ((DemandePC)getPC()).getContributionAdhesionVolontaireDonneesTemporaires();
  }
  
  public void setContributionAdhesionVolontaire(BigDecimal p_contributionAdhesionVolontaire)
  {
    if ((m_contributionAdhesionVolontaire == null) || (p_contributionAdhesionVolontaire == null))
    {
      m_contributionAdhesionVolontaire = p_contributionAdhesionVolontaire;
      ((DemandePC)getPC()).setContributionAdhesionVolontaireDonneesTemporaires(p_contributionAdhesionVolontaire);
    }
    else if ((m_contributionAdhesionVolontaire != null) && (p_contributionAdhesionVolontaire != null) && (!p_contributionAdhesionVolontaire.equals(m_contributionAdhesionVolontaire)))
    {
      m_contributionAdhesionVolontaire = p_contributionAdhesionVolontaire;
      ((DemandePC)getPC()).setContributionAdhesionVolontaireDonneesTemporaires(p_contributionAdhesionVolontaire);
    }
  }
  
  protected BigDecimal rawGetNombreMoisPreavis()
  {
    return ((DemandePC)getPC()).getNombreMoisPreavisDonneesTemporaires();
  }
  
  public BigDecimal getNombreMoisPreavis()
  {
    return ((DemandePC)getPC()).getNombreMoisPreavisDonneesTemporaires();
  }
  
  public void setNombreMoisPreavis(BigDecimal p_nombreMoisPreavis)
  {
    if ((m_nombreMoisPreavis == null) || (p_nombreMoisPreavis == null))
    {
      m_nombreMoisPreavis = p_nombreMoisPreavis;
      ((DemandePC)getPC()).setNombreMoisPreavisDonneesTemporaires(p_nombreMoisPreavis);
    }
    else if ((m_nombreMoisPreavis != null) && (p_nombreMoisPreavis != null) && (!p_nombreMoisPreavis.equals(m_nombreMoisPreavis)))
    {
      m_nombreMoisPreavis = p_nombreMoisPreavis;
      ((DemandePC)getPC()).setNombreMoisPreavisDonneesTemporaires(p_nombreMoisPreavis);
    }
  }
  
  protected boolean rawIsPresenceDerniersSalaires()
  {
    return ((DemandePC)getPC()).isPresenceDerniersSalairesDonneesTemporaires();
  }
  
  public boolean isPresenceDerniersSalaires()
  {
    return ((DemandePC)getPC()).isPresenceDerniersSalairesDonneesTemporaires();
  }
  
  public void setPresenceDerniersSalaires(boolean p_presenceDerniersSalaires)
  {
    ((DemandePC)getPC()).setPresenceDerniersSalairesDonneesTemporaires(p_presenceDerniersSalaires);
  }
  
  protected boolean rawIsDroitInterimaireForce()
  {
    return ((DemandePC)getPC()).isDroitInterimaireDonneesTemporaires();
  }
  
  public boolean isDroitInterimaireForce()
  {
    return ((DemandePC)getPC()).isDroitInterimaireDonneesTemporaires();
  }
  
  public void setDroitInterimaireForce(boolean p_droitInterimaireForce)
  {
    ((DemandePC)getPC()).setDroitInterimaireDonneesTemporaires(p_droitInterimaireForce);
  }
  
  protected BigDecimal rawGetDiviseurSjrForce()
  {
    return ((DemandePC)getPC()).getDiviseurSjrDonneesTemporaires();
  }
  
  public BigDecimal getDiviseurSjrForce()
  {
    return ((DemandePC)getPC()).getDiviseurSjrDonneesTemporaires();
  }
  
  public void setDiviseurSjrForce(BigDecimal p_diviseurSjrForce)
  {
    if ((m_diviseurSjrForce == null) || (p_diviseurSjrForce == null))
    {
      m_diviseurSjrForce = p_diviseurSjrForce;
      ((DemandePC)getPC()).setDiviseurSjrDonneesTemporaires(p_diviseurSjrForce);
    }
    else if ((m_diviseurSjrForce != null) && (p_diviseurSjrForce != null) && (!p_diviseurSjrForce.equals(m_diviseurSjrForce)))
    {
      m_diviseurSjrForce = p_diviseurSjrForce;
      ((DemandePC)getPC()).setDiviseurSjrDonneesTemporaires(p_diviseurSjrForce);
    }
  }
  
  protected BigDecimal rawGetDureeAllongementAREFForcee()
  {
    return ((DemandePC)getPC()).getDureeAllongementAREFDonneesTemporaires();
  }
  
  public BigDecimal getDureeAllongementAREFForcee()
  {
    return ((DemandePC)getPC()).getDureeAllongementAREFDonneesTemporaires();
  }
  
  public void setDureeAllongementAREFForcee(BigDecimal p_dureeAllongementAREFForcee)
  {
    if ((m_dureeAllongementAREFForcee == null) || (p_dureeAllongementAREFForcee == null))
    {
      m_dureeAllongementAREFForcee = p_dureeAllongementAREFForcee;
      ((DemandePC)getPC()).setDureeAllongementAREFDonneesTemporaires(p_dureeAllongementAREFForcee);
    }
    else if ((m_dureeAllongementAREFForcee != null) && (p_dureeAllongementAREFForcee != null) && (!p_dureeAllongementAREFForcee.equals(m_dureeAllongementAREFForcee)))
    {
      m_dureeAllongementAREFForcee = p_dureeAllongementAREFForcee;
      ((DemandePC)getPC()).setDureeAllongementAREFDonneesTemporaires(p_dureeAllongementAREFForcee);
    }
  }
  
  protected boolean rawIsRejetConditionChomageInvolontaire()
  {
    return ((DemandePC)getPC()).isRejetConditionChomageInvolontaire();
  }
  
  public boolean isRejetConditionChomageInvolontaire()
  {
    return ((DemandePC)getPC()).isRejetConditionChomageInvolontaire();
  }
  
  public void setRejetConditionChomageInvolontaire(boolean p_rejetConditionChomageInvolontaire)
  {
    ((DemandePC)getPC()).setRejetConditionChomageInvolontaire(p_rejetConditionChomageInvolontaire);
  }
  
  protected Boolean rawIsLeverConditionBeneficeAutreProduit()
  {
    return ((DemandePC)getPC()).isLeverConditionBeneficeAutreProduit();
  }
  
  public Boolean isLeverConditionBeneficeAutreProduit()
  {
    return ((DemandePC)getPC()).isLeverConditionBeneficeAutreProduit();
  }
  
  public void setLeverConditionBeneficeAutreProduit(Boolean p_leverConditionBeneficeAutreProduit)
  {
    if ((m_leverConditionBeneficeAutreProduit == null) || (p_leverConditionBeneficeAutreProduit == null))
    {
      m_leverConditionBeneficeAutreProduit = p_leverConditionBeneficeAutreProduit;
      ((DemandePC)getPC()).setLeverConditionBeneficeAutreProduit(p_leverConditionBeneficeAutreProduit);
    }
    else if ((m_leverConditionBeneficeAutreProduit != null) && (p_leverConditionBeneficeAutreProduit != null) && (!p_leverConditionBeneficeAutreProduit.equals(m_leverConditionBeneficeAutreProduit)))
    {
      m_leverConditionBeneficeAutreProduit = p_leverConditionBeneficeAutreProduit;
      ((DemandePC)getPC()).setLeverConditionBeneficeAutreProduit(p_leverConditionBeneficeAutreProduit);
    }
  }
  
  private final Collection getCollectionModifiablePeriodeRepriseActiviteMemeEmployeurPossible()
  {
    Iterator itCollectionPC;
    if (m_listePeriodesRepriseActiviteMemeEmployeur == null)
    {
      m_listePeriodesRepriseActiviteMemeEmployeur = new ArrayList();
      for (itCollectionPC = ((DemandePC)getPC()).getCollectionPeriodeRepriseActiviteMemeEmployeurPossible().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_listePeriodesRepriseActiviteMemeEmployeur.add(currentOM);
      }
    }
    return m_listePeriodesRepriseActiviteMemeEmployeur;
  }
  
  public Collection getCollectionPeriodeRepriseActiviteMemeEmployeurPossible()
  {
    return Collections.unmodifiableCollection(getCollectionModifiablePeriodeRepriseActiviteMemeEmployeurPossible());
  }
  
  public List getListPeriodeRepriseActiviteMemeEmployeurPossible()
  {
    return Collections.unmodifiableList((List)getCollectionModifiablePeriodeRepriseActiviteMemeEmployeurPossible());
  }
  
  public void remplacerCollectionPeriodeRepriseActiviteMemeEmployeurPossible(Collection p_collectionACopier)
  {
    clearCollectionPeriodeRepriseActiviteMemeEmployeurPossible();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      PeriodeRepriseActiviteMemeEmployeurPossible objet = (PeriodeRepriseActiviteMemeEmployeurPossible)i.next();
      ajouterPeriodeRepriseActiviteMemeEmployeurPossible(objet);
    }
  }
  
  public void supprimerSousCollectionPeriodeRepriseActiviteMemeEmployeurPossible(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      PeriodeRepriseActiviteMemeEmployeurPossible objet = (PeriodeRepriseActiviteMemeEmployeurPossible)i.next();
      supprimerPeriodeRepriseActiviteMemeEmployeurPossible(objet);
    }
  }
  
  public void ajouterPeriodeRepriseActiviteMemeEmployeurPossible(PeriodeRepriseActiviteMemeEmployeurPossible p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire)
    throws NullPointerException
  {
    if (p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire ne devrait pas être nul.", p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire);
    }
    getCollectionModifiablePeriodeRepriseActiviteMemeEmployeurPossible().add(p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire);
    ((DemandePC)getPC()).ajouterPeriodeRepriseActiviteMemeEmployeurPossible(p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire.getPC());
  }
  
  public void supprimerPeriodeRepriseActiviteMemeEmployeurPossible(PeriodeRepriseActiviteMemeEmployeurPossible p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire)
    throws NullPointerException
  {
    if (p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire ne devrait pas être nul.", p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire);
    }
    getCollectionModifiablePeriodeRepriseActiviteMemeEmployeurPossible().remove(p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire);
    ((DemandePC)getPC()).supprimerPeriodeRepriseActiviteMemeEmployeurPossible(p_periodesRepriseActiviteMemeEmployeurDonneesTemporaire.getPC());
  }
  
  public void recopierCollectionPeriodeRepriseActiviteMemeEmployeurPossibleVers(ObjetMetierSpec p_copie)
  {
    DonneesTemporairesGen copie = (DonneesTemporairesGen)p_copie;
    Collection listeACopier = getCollectionPeriodeRepriseActiviteMemeEmployeurPossible();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterPeriodeRepriseActiviteMemeEmployeurPossible((PeriodeRepriseActiviteMemeEmployeurPossible)objet);
    }
  }
  
  public void clearCollectionPeriodeRepriseActiviteMemeEmployeurPossible()
  {
    getCollectionModifiablePeriodeRepriseActiviteMemeEmployeurPossible().clear();
    ((DemandePC)getPC()).getCollectionPeriodeRepriseActiviteMemeEmployeurPossible().clear();
  }
  
  private final Collection getCollectionModifiablePensionInvalidite()
  {
    Iterator itCollectionPC;
    if (m_listePensionInvalidite == null)
    {
      m_listePensionInvalidite = new ArrayList();
      for (itCollectionPC = ((DemandePC)getPC()).getCollectionPensionInvalidite().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_listePensionInvalidite.add(currentOM);
      }
    }
    return m_listePensionInvalidite;
  }
  
  public Collection getCollectionPensionInvalidite()
  {
    return Collections.unmodifiableCollection(getCollectionModifiablePensionInvalidite());
  }
  
  public List getListPensionInvalidite()
  {
    return Collections.unmodifiableList((List)getCollectionModifiablePensionInvalidite());
  }
  
  public void remplacerCollectionPensionInvalidite(Collection p_collectionACopier)
  {
    clearCollectionPensionInvalidite();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      PensionInvaliditeChainee objet = (PensionInvaliditeChainee)i.next();
      ajouterPensionInvalidite(objet);
    }
  }
  
  public void supprimerSousCollectionPensionInvalidite(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      PensionInvaliditeChainee objet = (PensionInvaliditeChainee)i.next();
      supprimerPensionInvalidite(objet);
    }
  }
  
  public void ajouterPensionInvalidite(PensionInvaliditeChainee p_pensionInvaliditeDonneeForcee)
    throws NullPointerException
  {
    if (p_pensionInvaliditeDonneeForcee == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_pensionInvaliditeDonneeForcee ne devrait pas être nul.", p_pensionInvaliditeDonneeForcee);
    }
    getCollectionModifiablePensionInvalidite().add(p_pensionInvaliditeDonneeForcee);
    ((DemandePC)getPC()).ajouterPensionInvalidite(p_pensionInvaliditeDonneeForcee.getPC());
  }
  
  public void supprimerPensionInvalidite(PensionInvaliditeChainee p_pensionInvaliditeDonneeForcee)
    throws NullPointerException
  {
    if (p_pensionInvaliditeDonneeForcee == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_pensionInvaliditeDonneeForcee ne devrait pas être nul.", p_pensionInvaliditeDonneeForcee);
    }
    getCollectionModifiablePensionInvalidite().remove(p_pensionInvaliditeDonneeForcee);
    ((DemandePC)getPC()).supprimerPensionInvalidite(p_pensionInvaliditeDonneeForcee.getPC());
  }
  
  public void recopierCollectionPensionInvaliditeVers(ObjetMetierSpec p_copie)
  {
    DonneesTemporairesGen copie = (DonneesTemporairesGen)p_copie;
    Collection listeACopier = getCollectionPensionInvalidite();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterPensionInvalidite((PensionInvaliditeChainee)objet);
    }
  }
  
  public void clearCollectionPensionInvalidite()
  {
    getCollectionModifiablePensionInvalidite().clear();
    ((DemandePC)getPC()).getCollectionPensionInvalidite().clear();
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    for (Iterator iter = getCollectionPeriodeRepriseActiviteMemeEmployeurPossible().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
    for (Iterator iter = getCollectionPensionInvalidite().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    setTermePrc(null);
    setAllongementDelaiDecheance(null);
    setAllongementDelaiForclusion(null);
    setInopposabiliteDelaiDecheance(false);
    setCoefficientSaisonnier(null);
    setCoefficientTempsPartiel(null);
    setSjc(null);
    setSjr(null);
    setCanAvecCentVingtTrimestres(false);
    setCaractereSaisonnierForce(false);
    setFortuiteCaractereSaisonnierParRythme(false);
    setFortuiteCaractereSaisonnierParType(false);
    setPensionRaccordement(false);
    setTypeCaractereSaisonnierForce(0);
    setCapitalReliquatSecteurPublic(null);
    setDateDebutPI(null);
    setDateFinPI(null);
    setIdentifiantPeriodeFctARetenir(null);
    setQuantiteAffiliation(null);
    setDateAttributionDroitAnterieurSp(null);
    setDateFgDroitAnterieurSp(null);
    setDureeInitialeDroitAnterieurSp(0);
    setAvisCommissionParitaire((short)0);
    setMontantAide(null);
    setNatureMontantAide(0);
    setQuantiteJoursDiffereIccpConservatoire(null);
    setCoefficientSaisonnierSp(null);
    setCoefficientTempsPartielSp(null);
    setSjrSP(null);
    setTermePrcSp(null);
    setConditionCumulActiviteConserveeRemplie(false);
    setFinPmc(null);
    setIndentifiantFctPMC(null);
    setPmcIndemnisable(false);
    setAccordPoursuite182JoursChomageTotalSansRupture(false);
    setDateAttributionCPChomageTotalSansRupture(null);
    setDateChomageTotalSansRupture(null);
    setDateMaximumPoursuiteIndeminisationChomageTotalSansRupture(null);
    setAvisFavorableCPChomageTotalSansRupture(false);
    setDecisionCPRenseigneeChomageTotalSansRupture(false);
    setLeveeCondition28JoursChomageTotalSansRupture(false);
    setSinistreOuCalamiteNaturelleChomageTotalSansRupture(false);
    setNouvelleDateAttributionChomageTotalSansRupture(null);
    setIdentifiantPeriodeFinContratDeTravailChomageTotalSansRupture(null);
    setQuantiteJoursDiffereChomageTotalSansRupture(null);
    setSjrPerteActConservee(null);
    setSjcPerteActConservee(null);
    setCoefficientTempsPartielActConservee(null);
    setIdentifiantPeriodeActiviteConserveePerdue(null);
    setEstPrimoDemandeurA3A4A5(false);
    setPrimoDemandeurA3A4A5Renseignee(false);
    setTypeCoordinationEuropeenne(0);
    setNbJourImputer(null);
    setReglementApplicableSpectacle(null);
    setRangAllongementPraSpectacle(null);
    setSripSpectacle(null);
    setTotalRemunerationDansPRC(null);
    setNbHeuresTravailEtenduSpectacle(null);
    setNbHeuresTravailPlafonneSpectacle(null);
    setNbJourContratSurPraSpectacle(null);
    setSaisieCasGeneralDonneesTemporaire(false);
    setSaisieCasSpectacleDonneesTemporaire(false);
    setLeveePmc(false);
    setABeneficeDroitAt12Mois(false);
    setDureeAncienneteIntermittantSpectacle(null);
    setEstDemandeAt(false);
    setEstDemandeAfd(false);
    setDateFinDroitSpecNonMigre(null);
    setSaisieCasExpatriesDonneesTemporaire(false);
    setRejetChomageVolontaireGARP(false);
    setQuantiteJourICCP(null);
    setQuantiteJourISLR(null);
    setIdentifiantFCTCarenceExpatries(null);
    setNbJourImputationDroitPrecedent(null);
    setTopPremiereODARE(0);
    setMontantContributionPourNonCTP(null);
    setDateAttributionAide(null);
    setEstRetenirActSectPrive(false);
    setMotifExamen(0);
    setDateFinEvenement(null);
    setLeverBornageDureeEffectiveRetraite(false);
    setDateEffetActConserveeDonneesTemporaire(null);
    setTypeContexteDemandeDonneesTemporaires(null);
    setDateFinPreavisLegal(null);
    setDureeFinancement(null);
    setSaisieCasFinancementDonneesTemporaire(false);
    setFctDansLesDeuxMoisAvantFddAre(true);
    setEtatForcageDelaiAttente(null);
    setNumeroConventionPE(null);
    setCodeAffectationConvention(null);
    setEstDerogationCsp(false);
    setEstSalarieHandicapeChomageTotalSansRupture(false);
    setDureeImputationSP(null);
    setDjiSpFinDroit(null);
    setIdExterneEmployeurSp(null);
    setEstLeveeControlePANSSuiteARCE(false);
    setEstLeveeConditionACMemeEmployeur(false);
    setNbjImputationDroitAServir(null);
    setMotifNbJourImputationDroitAServir(0);
    setMotifNbJourImputationDroitCourant(0);
    setMotifNbJourImputationDroitPrecedent(0);
    setMotifMontantImputationDroitAServir(0);
    setMontantImputationDroitAServir(null);
    setEstIgnorerAttribPrecCSR(false);
    setEstPCRCForceDroitCourant(false);
    setEstPCRCForceDroitPrecedent(false);
    setDateDepartICCP(null);
    setEstDemarcheReintegrationEffectuee(false);
    setDureeTheoriqueForcee(null);
    setDateExamenForcee(null);
    setDateAttributionForcee(null);
    setDelaiAttenteForce(null);
    setConditionChomageInvolontaireSatistaite(false);
    setDroitOptionForce(false);
    setDjiDroitSpContexteRechargement(null);
    setFgdDroitSpContexteRechargement(null);
    setRepriseForceeSurDemandeExpresse(false);
    setEstDesactivationPnds(null);
    setDureeImputation(null);
    setNbJoursAllongement(null);
    setDateLimiteIndemnisationDonneeForcee(null);
    setReliquatSecteurPublicEteint(false);
    setReliquatSecteurPublicPrescritRejete(false);
    setLeveeConditionCLCA(false);
    setConditionAffiliationSatisfaiteForcee(null);
    setConditionAncienneteSatisfaiteForcee(null);
    setDateFinPeriodeAncienneteForcee(null);
    setNombreJourTotalA8A10Force(null);
    setEmployeurSecteurPublicCompetent(null);
    setMontantIndemnitePreavisContrib(null);
    setContributionAdhesionVolontaire(null);
    setNombreMoisPreavis(null);
    setPresenceDerniersSalaires(false);
    setDroitInterimaireForce(false);
    setDiviseurSjrForce(null);
    setDureeAllongementAREFForcee(null);
    setRejetConditionChomageInvolontaire(false);
    setLeverConditionBeneficeAutreProduit(null);
    for (Iterator iter = getCollectionPeriodeRepriseActiviteMemeEmployeurPossible().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if (item != null) {
        DomManager.supprimer(item);
      }
    }
    clearCollectionPeriodeRepriseActiviteMemeEmployeurPossible();
    for (Iterator iter = getCollectionPensionInvalidite().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if (item != null) {
        DomManager.supprimer(item);
      }
    }
    clearCollectionPensionInvalidite();
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     DonneesTemporairesGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */