package fr.unedic.cali.asu.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.dom.DelaiRechercheProduit;
import fr.unedic.cali.asu.dom.ValidationProduit;
import fr.unedic.cali.asu.dom.pc.DossierAffectationPC;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public abstract class DossierAffectationGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_dossierAffectationPC;
  private DemandeSpec m_demande;
  private ValidationProduit m_validationProduit = null;
  private String m_identifiantSinistre = null;
  private DelaiRechercheProduit m_delaiRecherche = null;
  private String m_idDecorReglementaire;
  private String m_typeDossierExamen = null;
  
  public DossierAffectationGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public DossierAffectationGen()
  {
    setPC(createPC());
  }
  
  protected abstract DomPCSpec createPC();
  
  public DomPCSpec getPC()
  {
    return m_dossierAffectationPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_dossierAffectationPC)
  {
    m_dossierAffectationPC = p_dossierAffectationPC;
  }
  
  public DemandeSpec getDemande()
  {
    if (m_demande == null)
    {
      DomPCSpec demandePC = ((DossierAffectationPC)getPC()).getDemande();
      if (demandePC != null) {
        m_demande = ((DemandeSpec)demandePC.createOM());
      }
    }
    return m_demande;
  }
  
  public void setDemande(DemandeSpec p_demande)
  {
    if (p_demande == null)
    {
      ((DossierAffectationPC)getPC()).setDemande(null);
      m_demande = p_demande;
    }
    else if (!p_demande.equals(m_demande))
    {
      ((DossierAffectationPC)getPC()).setDemande(((DomGenSpec)p_demande).getPC());
      m_demande = p_demande;
    }
  }
  
  public ValidationProduit getValidationProduit()
  {
    if (m_validationProduit == null)
    {
      DomPCSpec validationProduitPC = ((DossierAffectationPC)getPC()).getValidationProduit();
      if (validationProduitPC != null) {
        m_validationProduit = ((ValidationProduit)validationProduitPC.createOM());
      }
    }
    return m_validationProduit;
  }
  
  public void setValidationProduit(ValidationProduit p_validationProduit)
  {
    if (p_validationProduit == null)
    {
      ((DossierAffectationPC)getPC()).setValidationProduit(null);
      m_validationProduit = p_validationProduit;
    }
    else if (!p_validationProduit.equals(m_validationProduit))
    {
      ((DossierAffectationPC)getPC()).setValidationProduit(p_validationProduit.getPC());
      m_validationProduit = p_validationProduit;
    }
  }
  
  protected String rawGetIdentifiantSinistre()
  {
    return ((DossierAffectationPC)getPC()).getIdentifiantSinistre();
  }
  
  public String getIdentifiantSinistre()
  {
    return ((DossierAffectationPC)getPC()).getIdentifiantSinistre();
  }
  
  public void setIdentifiantSinistre(String p_identifiantSinistre)
  {
    if ((m_identifiantSinistre == null) || (p_identifiantSinistre == null))
    {
      m_identifiantSinistre = p_identifiantSinistre;
      ((DossierAffectationPC)getPC()).setIdentifiantSinistre(p_identifiantSinistre);
    }
    else if ((m_identifiantSinistre != null) && (p_identifiantSinistre != null) && (!p_identifiantSinistre.equals(m_identifiantSinistre)))
    {
      m_identifiantSinistre = p_identifiantSinistre;
      ((DossierAffectationPC)getPC()).setIdentifiantSinistre(p_identifiantSinistre);
    }
  }
  
  public DelaiRechercheProduit getDelaiRecherche()
  {
    if (m_delaiRecherche == null)
    {
      DomPCSpec delaiRecherchePC = ((DossierAffectationPC)getPC()).getDelaiRecherche();
      if (delaiRecherchePC != null) {
        m_delaiRecherche = ((DelaiRechercheProduit)delaiRecherchePC.createOM());
      }
    }
    return m_delaiRecherche;
  }
  
  public void setDelaiRecherche(DelaiRechercheProduit p_delaiRecherche)
  {
    if (p_delaiRecherche == null)
    {
      ((DossierAffectationPC)getPC()).setDelaiRecherche(null);
      m_delaiRecherche = p_delaiRecherche;
    }
    else if (!p_delaiRecherche.equals(m_delaiRecherche))
    {
      ((DossierAffectationPC)getPC()).setDelaiRecherche(p_delaiRecherche.getPC());
      m_delaiRecherche = p_delaiRecherche;
    }
  }
  
  protected String rawGetIdDecorReglementaire()
  {
    return ((DossierAffectationPC)getPC()).getIdDecorReglementaire();
  }
  
  public String getIdDecorReglementaire()
  {
    return ((DossierAffectationPC)getPC()).getIdDecorReglementaire();
  }
  
  public void setIdDecorReglementaire(String p_idDecorReglementaire)
  {
    if ((m_idDecorReglementaire == null) || (p_idDecorReglementaire == null))
    {
      m_idDecorReglementaire = p_idDecorReglementaire;
      ((DossierAffectationPC)getPC()).setIdDecorReglementaire(p_idDecorReglementaire);
    }
    else if ((m_idDecorReglementaire != null) && (p_idDecorReglementaire != null) && (!p_idDecorReglementaire.equals(m_idDecorReglementaire)))
    {
      m_idDecorReglementaire = p_idDecorReglementaire;
      ((DossierAffectationPC)getPC()).setIdDecorReglementaire(p_idDecorReglementaire);
    }
  }
  
  protected int rawGetCodeProduitSecours()
  {
    return ((DossierAffectationPC)getPC()).getCodeProduitSecours();
  }
  
  public int getCodeProduitSecours()
  {
    return ((DossierAffectationPC)getPC()).getCodeProduitSecours();
  }
  
  public void setCodeProduitSecours(int p_codeProduitSecours)
  {
    ((DossierAffectationPC)getPC()).setCodeProduitSecours(p_codeProduitSecours);
  }
  
  protected int rawGetJustificationAffectation()
  {
    return ((DossierAffectationPC)getPC()).getJustificationAffectation();
  }
  
  public int getJustificationAffectation()
  {
    return ((DossierAffectationPC)getPC()).getJustificationAffectation();
  }
  
  public void setJustificationAffectation(int p_justificationAffectation)
  {
    ((DossierAffectationPC)getPC()).setJustificationAffectation(p_justificationAffectation);
  }
  
  protected int rawGetTypeDossier()
  {
    return ((DossierAffectationPC)getPC()).getTypeDossier();
  }
  
  public int getTypeDossier()
  {
    return ((DossierAffectationPC)getPC()).getTypeDossier();
  }
  
  public void setTypeDossier(int p_typeDossier)
  {
    ((DossierAffectationPC)getPC()).setTypeDossier(p_typeDossier);
  }
  
  protected String rawGetTypeDossierExamen()
  {
    return ((DossierAffectationPC)getPC()).getTypeDossierExamen();
  }
  
  public String getTypeDossierExamen()
  {
    return ((DossierAffectationPC)getPC()).getTypeDossierExamen();
  }
  
  public void setTypeDossierExamen(String p_typeDossierExamen)
  {
    if ((m_typeDossierExamen == null) || (p_typeDossierExamen == null))
    {
      m_typeDossierExamen = p_typeDossierExamen;
      ((DossierAffectationPC)getPC()).setTypeDossierExamen(p_typeDossierExamen);
    }
    else if ((m_typeDossierExamen != null) && (p_typeDossierExamen != null) && (!p_typeDossierExamen.equals(m_typeDossierExamen)))
    {
      m_typeDossierExamen = p_typeDossierExamen;
      ((DossierAffectationPC)getPC()).setTypeDossierExamen(p_typeDossierExamen);
    }
  }
  
  protected int rawGetCodeProduitExecutable()
  {
    return ((DossierAffectationPC)getPC()).getCodeProduitExecutable();
  }
  
  public int getCodeProduitExecutable()
  {
    return ((DossierAffectationPC)getPC()).getCodeProduitExecutable();
  }
  
  public void setCodeProduitExecutable(int p_codeProduitExecutable)
  {
    ((DossierAffectationPC)getPC()).setCodeProduitExecutable(p_codeProduitExecutable);
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    Object validationProduit = getValidationProduit();
    if ((validationProduit != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(validationProduit))) {
      DomManager.supprimer(getValidationProduit(), p_contexteSuppression);
    }
    Object delaiRecherche = getDelaiRecherche();
    if ((delaiRecherche != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(delaiRecherche))) {
      DomManager.supprimer(getDelaiRecherche(), p_contexteSuppression);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     DossierAffectationGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */