package fr.unedic.cali.asu.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.dom.PeriodeChomageSaisonnier;
import fr.unedic.cali.asu.dom.pc.DemandePC;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Periode;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;

public abstract class ElementJustificationGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_demandePC;
  private Periode m_prsRepriseContextuelle;
  private Collection m_listePeriodesChomageSaisonnierRepContextuelle = null;
  
  public ElementJustificationGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ElementJustificationGen() {}
  
  public DomPCSpec getPC()
  {
    return m_demandePC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_demandePC)
  {
    m_demandePC = p_demandePC;
  }
  
  protected Periode rawGetPrsRepriseContextuelle()
  {
    return ((DemandePC)getPC()).getPrsRepriseContextuelleElementJustification();
  }
  
  public Periode getPrsRepriseContextuelle()
  {
    return ((DemandePC)getPC()).getPrsRepriseContextuelleElementJustification();
  }
  
  public void setPrsRepriseContextuelle(Periode p_prsRepriseContextuelle)
  {
    if ((m_prsRepriseContextuelle == null) || (p_prsRepriseContextuelle == null))
    {
      m_prsRepriseContextuelle = p_prsRepriseContextuelle;
      ((DemandePC)getPC()).setPrsRepriseContextuelleElementJustification(p_prsRepriseContextuelle);
    }
    else if ((m_prsRepriseContextuelle != null) && (p_prsRepriseContextuelle != null) && (!p_prsRepriseContextuelle.equals(m_prsRepriseContextuelle)))
    {
      m_prsRepriseContextuelle = p_prsRepriseContextuelle;
      ((DemandePC)getPC()).setPrsRepriseContextuelleElementJustification(p_prsRepriseContextuelle);
    }
  }
  
  private final Collection getCollectionModifiablePeriodeChomageSaisonnierRepContextuelle()
  {
    Iterator itCollectionPC;
    if (m_listePeriodesChomageSaisonnierRepContextuelle == null)
    {
      m_listePeriodesChomageSaisonnierRepContextuelle = new ArrayList();
      for (itCollectionPC = ((DemandePC)getPC()).getCollectionPeriodeChomageSaisonnierRepContextuelle().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_listePeriodesChomageSaisonnierRepContextuelle.add(currentOM);
      }
    }
    return m_listePeriodesChomageSaisonnierRepContextuelle;
  }
  
  public Collection getCollectionPeriodeChomageSaisonnierRepContextuelle()
  {
    return Collections.unmodifiableCollection(getCollectionModifiablePeriodeChomageSaisonnierRepContextuelle());
  }
  
  public List getListPeriodeChomageSaisonnierRepContextuelle()
  {
    return Collections.unmodifiableList((List)getCollectionModifiablePeriodeChomageSaisonnierRepContextuelle());
  }
  
  public void remplacerCollectionPeriodeChomageSaisonnierRepContextuelle(Collection p_collectionACopier)
  {
    clearCollectionPeriodeChomageSaisonnierRepContextuelle();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      PeriodeChomageSaisonnier objet = (PeriodeChomageSaisonnier)i.next();
      ajouterPeriodeChomageSaisonnierRepContextuelle(objet);
    }
  }
  
  public void supprimerSousCollectionPeriodeChomageSaisonnierRepContextuelle(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      PeriodeChomageSaisonnier objet = (PeriodeChomageSaisonnier)i.next();
      supprimerPeriodeChomageSaisonnierRepContextuelle(objet);
    }
  }
  
  public void ajouterPeriodeChomageSaisonnierRepContextuelle(PeriodeChomageSaisonnier p_periodesChomageSaisonnierRepContextuelleElementJustification)
    throws NullPointerException
  {
    if (p_periodesChomageSaisonnierRepContextuelleElementJustification == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodesChomageSaisonnierRepContextuelleElementJustification ne devrait pas être nul.", p_periodesChomageSaisonnierRepContextuelleElementJustification);
    }
    getCollectionModifiablePeriodeChomageSaisonnierRepContextuelle().add(p_periodesChomageSaisonnierRepContextuelleElementJustification);
    ((DemandePC)getPC()).ajouterPeriodeChomageSaisonnierRepContextuelle(p_periodesChomageSaisonnierRepContextuelleElementJustification.getPC());
  }
  
  public void supprimerPeriodeChomageSaisonnierRepContextuelle(PeriodeChomageSaisonnier p_periodesChomageSaisonnierRepContextuelleElementJustification)
    throws NullPointerException
  {
    if (p_periodesChomageSaisonnierRepContextuelleElementJustification == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodesChomageSaisonnierRepContextuelleElementJustification ne devrait pas être nul.", p_periodesChomageSaisonnierRepContextuelleElementJustification);
    }
    getCollectionModifiablePeriodeChomageSaisonnierRepContextuelle().remove(p_periodesChomageSaisonnierRepContextuelleElementJustification);
    ((DemandePC)getPC()).supprimerPeriodeChomageSaisonnierRepContextuelle(p_periodesChomageSaisonnierRepContextuelleElementJustification.getPC());
  }
  
  public void recopierCollectionPeriodeChomageSaisonnierRepContextuelleVers(ObjetMetierSpec p_copie)
  {
    ElementJustificationGen copie = (ElementJustificationGen)p_copie;
    Collection listeACopier = getCollectionPeriodeChomageSaisonnierRepContextuelle();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterPeriodeChomageSaisonnierRepContextuelle((PeriodeChomageSaisonnier)objet);
    }
  }
  
  public void clearCollectionPeriodeChomageSaisonnierRepContextuelle()
  {
    getCollectionModifiablePeriodeChomageSaisonnierRepContextuelle().clear();
    ((DemandePC)getPC()).getCollectionPeriodeChomageSaisonnierRepContextuelle().clear();
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    for (Iterator iter = getCollectionPeriodeChomageSaisonnierRepContextuelle().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    setPrsRepriseContextuelle(null);
    for (Iterator iter = getCollectionPeriodeChomageSaisonnierRepContextuelle().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if (item != null) {
        DomManager.supprimer(item);
      }
    }
    clearCollectionPeriodeChomageSaisonnierRepContextuelle();
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ElementJustificationGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */