package fr.unedic.cali.asu.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.dom.pc.ElementSemaineCivilePC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Periode;

public abstract class ElementSemaineCivileGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_elementSemaineCivilePC;
  private String m_identifiantContrat;
  private Periode m_periodeContrat;
  private String m_raisonSociale;
  private String m_nomReglement;
  
  public ElementSemaineCivileGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ElementSemaineCivileGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new ElementSemaineCivilePC();
  }
  
  public DomPCSpec getPC()
  {
    return m_elementSemaineCivilePC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_elementSemaineCivilePC)
  {
    m_elementSemaineCivilePC = p_elementSemaineCivilePC;
  }
  
  protected String rawGetIdentifiantContrat()
  {
    return ((ElementSemaineCivilePC)getPC()).getIdentifiantContrat();
  }
  
  public String getIdentifiantContrat()
  {
    return ((ElementSemaineCivilePC)getPC()).getIdentifiantContrat();
  }
  
  public void setIdentifiantContrat(String p_identifiantContrat)
  {
    if ((m_identifiantContrat == null) || (p_identifiantContrat == null))
    {
      m_identifiantContrat = p_identifiantContrat;
      ((ElementSemaineCivilePC)getPC()).setIdentifiantContrat(p_identifiantContrat);
    }
    else if ((m_identifiantContrat != null) && (p_identifiantContrat != null) && (!p_identifiantContrat.equals(m_identifiantContrat)))
    {
      m_identifiantContrat = p_identifiantContrat;
      ((ElementSemaineCivilePC)getPC()).setIdentifiantContrat(p_identifiantContrat);
    }
  }
  
  protected Periode rawGetPeriodeContrat()
  {
    return ((ElementSemaineCivilePC)getPC()).getPeriodeContrat();
  }
  
  public Periode getPeriodeContrat()
  {
    return ((ElementSemaineCivilePC)getPC()).getPeriodeContrat();
  }
  
  public void setPeriodeContrat(Periode p_periodeContrat)
  {
    if ((m_periodeContrat == null) || (p_periodeContrat == null))
    {
      m_periodeContrat = p_periodeContrat;
      ((ElementSemaineCivilePC)getPC()).setPeriodeContrat(p_periodeContrat);
    }
    else if ((m_periodeContrat != null) && (p_periodeContrat != null) && (!p_periodeContrat.equals(m_periodeContrat)))
    {
      m_periodeContrat = p_periodeContrat;
      ((ElementSemaineCivilePC)getPC()).setPeriodeContrat(p_periodeContrat);
    }
  }
  
  protected String rawGetRaisonSociale()
  {
    return ((ElementSemaineCivilePC)getPC()).getRaisonSociale();
  }
  
  public String getRaisonSociale()
  {
    return ((ElementSemaineCivilePC)getPC()).getRaisonSociale();
  }
  
  public void setRaisonSociale(String p_raisonSociale)
  {
    if ((m_raisonSociale == null) || (p_raisonSociale == null))
    {
      m_raisonSociale = p_raisonSociale;
      ((ElementSemaineCivilePC)getPC()).setRaisonSociale(p_raisonSociale);
    }
    else if ((m_raisonSociale != null) && (p_raisonSociale != null) && (!p_raisonSociale.equals(m_raisonSociale)))
    {
      m_raisonSociale = p_raisonSociale;
      ((ElementSemaineCivilePC)getPC()).setRaisonSociale(p_raisonSociale);
    }
  }
  
  protected String rawGetNomReglement()
  {
    return ((ElementSemaineCivilePC)getPC()).getNomReglement();
  }
  
  public String getNomReglement()
  {
    return ((ElementSemaineCivilePC)getPC()).getNomReglement();
  }
  
  public void setNomReglement(String p_nomReglement)
  {
    if ((m_nomReglement == null) || (p_nomReglement == null))
    {
      m_nomReglement = p_nomReglement;
      ((ElementSemaineCivilePC)getPC()).setNomReglement(p_nomReglement);
    }
    else if ((m_nomReglement != null) && (p_nomReglement != null) && (!p_nomReglement.equals(m_nomReglement)))
    {
      m_nomReglement = p_nomReglement;
      ((ElementSemaineCivilePC)getPC()).setNomReglement(p_nomReglement);
    }
  }
  
  protected int rawGetNature()
  {
    return ((ElementSemaineCivilePC)getPC()).getNature();
  }
  
  public int getNature()
  {
    return ((ElementSemaineCivilePC)getPC()).getNature();
  }
  
  public void setNature(int p_nature)
  {
    ((ElementSemaineCivilePC)getPC()).setNature(p_nature);
  }
  
  protected boolean rawIsEstSanctione()
  {
    return ((ElementSemaineCivilePC)getPC()).isEstSanctione();
  }
  
  public boolean isEstSanctione()
  {
    return ((ElementSemaineCivilePC)getPC()).isEstSanctione();
  }
  
  public void setEstSanctione(boolean p_estSanctione)
  {
    ((ElementSemaineCivilePC)getPC()).setEstSanctione(p_estSanctione);
  }
  
  protected int rawGetNombreJoursTravailles()
  {
    return ((ElementSemaineCivilePC)getPC()).getNombreJoursTravailles();
  }
  
  public int getNombreJoursTravailles()
  {
    return ((ElementSemaineCivilePC)getPC()).getNombreJoursTravailles();
  }
  
  public void setNombreJoursTravailles(int p_nombreJoursTravailles)
  {
    ((ElementSemaineCivilePC)getPC()).setNombreJoursTravailles(p_nombreJoursTravailles);
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ElementSemaineCivileGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */