package fr.unedic.cali.asu.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.dom.pc.PeriodeAssimileePC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;

public abstract class PeriodeAssimileeGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_periodeAssimileePC;
  private Periode m_periode;
  private String m_libelle;
  private BigDecimal m_heuresInitiales;
  private BigDecimal m_heuresRetenues;
  
  public PeriodeAssimileeGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public PeriodeAssimileeGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new PeriodeAssimileePC();
  }
  
  public DomPCSpec getPC()
  {
    return m_periodeAssimileePC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_periodeAssimileePC)
  {
    m_periodeAssimileePC = p_periodeAssimileePC;
  }
  
  protected Periode rawGetPeriode()
  {
    return ((PeriodeAssimileePC)getPC()).getPeriode();
  }
  
  public Periode getPeriode()
  {
    return ((PeriodeAssimileePC)getPC()).getPeriode();
  }
  
  public void setPeriode(Periode p_periode)
  {
    if ((m_periode == null) || (p_periode == null))
    {
      m_periode = p_periode;
      ((PeriodeAssimileePC)getPC()).setPeriode(p_periode);
    }
    else if ((m_periode != null) && (p_periode != null) && (!p_periode.equals(m_periode)))
    {
      m_periode = p_periode;
      ((PeriodeAssimileePC)getPC()).setPeriode(p_periode);
    }
  }
  
  protected String rawGetLibelle()
  {
    return ((PeriodeAssimileePC)getPC()).getLibelle();
  }
  
  public String getLibelle()
  {
    return ((PeriodeAssimileePC)getPC()).getLibelle();
  }
  
  public void setLibelle(String p_libelle)
  {
    if ((m_libelle == null) || (p_libelle == null))
    {
      m_libelle = p_libelle;
      ((PeriodeAssimileePC)getPC()).setLibelle(p_libelle);
    }
    else if ((m_libelle != null) && (p_libelle != null) && (!p_libelle.equals(m_libelle)))
    {
      m_libelle = p_libelle;
      ((PeriodeAssimileePC)getPC()).setLibelle(p_libelle);
    }
  }
  
  protected BigDecimal rawGetHeuresInitiales()
  {
    return ((PeriodeAssimileePC)getPC()).getHeuresInitiales();
  }
  
  public BigDecimal getHeuresInitiales()
  {
    return ((PeriodeAssimileePC)getPC()).getHeuresInitiales();
  }
  
  public void setHeuresInitiales(BigDecimal p_heuresInitiales)
  {
    if ((m_heuresInitiales == null) || (p_heuresInitiales == null))
    {
      m_heuresInitiales = p_heuresInitiales;
      ((PeriodeAssimileePC)getPC()).setHeuresInitiales(p_heuresInitiales);
    }
    else if ((m_heuresInitiales != null) && (p_heuresInitiales != null) && (!p_heuresInitiales.equals(m_heuresInitiales)))
    {
      m_heuresInitiales = p_heuresInitiales;
      ((PeriodeAssimileePC)getPC()).setHeuresInitiales(p_heuresInitiales);
    }
  }
  
  protected BigDecimal rawGetHeuresRetenues()
  {
    return ((PeriodeAssimileePC)getPC()).getHeuresRetenues();
  }
  
  public BigDecimal getHeuresRetenues()
  {
    return ((PeriodeAssimileePC)getPC()).getHeuresRetenues();
  }
  
  public void setHeuresRetenues(BigDecimal p_heuresRetenues)
  {
    if ((m_heuresRetenues == null) || (p_heuresRetenues == null))
    {
      m_heuresRetenues = p_heuresRetenues;
      ((PeriodeAssimileePC)getPC()).setHeuresRetenues(p_heuresRetenues);
    }
    else if ((m_heuresRetenues != null) && (p_heuresRetenues != null) && (!p_heuresRetenues.equals(m_heuresRetenues)))
    {
      m_heuresRetenues = p_heuresRetenues;
      ((PeriodeAssimileePC)getPC()).setHeuresRetenues(p_heuresRetenues);
    }
  }
  
  protected int rawGetNombreJoursTravailles()
  {
    return ((PeriodeAssimileePC)getPC()).getNombreJoursTravailles();
  }
  
  public int getNombreJoursTravailles()
  {
    return ((PeriodeAssimileePC)getPC()).getNombreJoursTravailles();
  }
  
  public void setNombreJoursTravailles(int p_nombreJoursTravailles)
  {
    ((PeriodeAssimileePC)getPC()).setNombreJoursTravailles(p_nombreJoursTravailles);
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     PeriodeAssimileeGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */