package fr.unedic.cali.asu.dom.pc;

import fr.unedic.cali.asu.dom.PlafonnementAffiliation;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.temps.Periode;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.math.BigDecimal;
import javax.jdo.JDOFatalInternalException;
import javax.jdo.JDOUnsupportedOptionException;
import javax.jdo.JDOUserException;
import javax.jdo.PersistenceManager;
import javax.jdo.spi.JDOImplHelper;
import javax.jdo.spi.JDOPermission;
import javax.jdo.spi.PersistenceCapable;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldConsumer;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldSupplier;
import javax.jdo.spi.StateManager;
import xcalia.lido.internal.sm.CommonStateManager;

public class PlafonnementAffiliationPC
  implements DomPCSpec, PersistenceCapable
{
  private transient PlafonnementAffiliation m_plafonnementAffiliationOM;
  private Periode m_moisCivil;
  protected BigDecimal m_coefficientReducteurAffiliation;
  protected BigDecimal m_coefficientReducteurAffiliationSupplementaire;
  protected transient byte jdoFlags;
  protected transient StateManager jdoStateManager;
  private static int jdoInheritedFieldCount = 0;
  private static String[] jdoFieldNames = { "m_moisCivil", "m_coefficientReducteurAffiliation", "m_coefficientReducteurAffiliationSupplementaire" };
  private static Class[] jdoFieldTypes = { Periode.class, BigDecimal.class, BigDecimal.class };
  private static byte[] jdoFieldFlags = { (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE) };
  private static Class jdoPersistenceCapableSuperclass = null;
  
  public Object createOM()
  {
    if (m_plafonnementAffiliationOM == null) {
      m_plafonnementAffiliationOM = new PlafonnementAffiliation(this);
    }
    return m_plafonnementAffiliationOM;
  }
  
  public Periode getMoisCivil()
  {
    return jdoGetm_moisCivil(this);
  }
  
  public final void setMoisCivil(Periode p_moisCivil)
  {
    jdoSetm_moisCivil(this, p_moisCivil);
  }
  
  public BigDecimal getCoefficientReducteurAffiliation()
  {
    return jdoGetm_coefficientReducteurAffiliation(this);
  }
  
  public final void setCoefficientReducteurAffiliation(BigDecimal p_coefficientReducteurAffiliation)
  {
    jdoSetm_coefficientReducteurAffiliation(this, p_coefficientReducteurAffiliation);
  }
  
  public BigDecimal getCoefficientReducteurAffiliationSupplementaire()
  {
    return jdoGetm_coefficientReducteurAffiliationSupplementaire(this);
  }
  
  public final void setCoefficientReducteurAffiliationSupplementaire(BigDecimal p_coefficientReducteurAffiliationSupplementaire)
  {
    jdoSetm_coefficientReducteurAffiliationSupplementaire(this, p_coefficientReducteurAffiliationSupplementaire);
  }
  
  static
  {
    JDOImplHelper.registerClass(PlafonnementAffiliationPC.class, jdoFieldNames, jdoFieldTypes, jdoFieldFlags, jdoPersistenceCapableSuperclass, new PlafonnementAffiliationPC());
  }
  
  private static final Periode jdoGetm_moisCivil(PlafonnementAffiliationPC pc)
  {
    if (jdoFlags <= 0) {
      return m_moisCivil;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 0)) {
        return m_moisCivil;
      }
      return (Periode)sm.getObjectField(pc, jdoInheritedFieldCount + 0, m_moisCivil);
    }
    return m_moisCivil;
  }
  
  protected static final BigDecimal jdoGetm_coefficientReducteurAffiliation(PlafonnementAffiliationPC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefficientReducteurAffiliation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 1)) {
        return m_coefficientReducteurAffiliation;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 1, m_coefficientReducteurAffiliation);
    }
    return m_coefficientReducteurAffiliation;
  }
  
  protected static final BigDecimal jdoGetm_coefficientReducteurAffiliationSupplementaire(PlafonnementAffiliationPC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefficientReducteurAffiliationSupplementaire;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 2)) {
        return m_coefficientReducteurAffiliationSupplementaire;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 2, m_coefficientReducteurAffiliationSupplementaire);
    }
    return m_coefficientReducteurAffiliationSupplementaire;
  }
  
  private static final void jdoSetm_moisCivil(PlafonnementAffiliationPC pc, Periode newValue)
  {
    if (jdoFlags == 0)
    {
      m_moisCivil = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 0, m_moisCivil, newValue);
    } else {
      m_moisCivil = newValue;
    }
  }
  
  protected static final void jdoSetm_coefficientReducteurAffiliation(PlafonnementAffiliationPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefficientReducteurAffiliation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 1, m_coefficientReducteurAffiliation, newValue);
    } else {
      m_coefficientReducteurAffiliation = newValue;
    }
  }
  
  protected static final void jdoSetm_coefficientReducteurAffiliationSupplementaire(PlafonnementAffiliationPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefficientReducteurAffiliationSupplementaire = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 2, m_coefficientReducteurAffiliationSupplementaire, newValue);
    } else {
      m_coefficientReducteurAffiliationSupplementaire = newValue;
    }
  }
  
  public void jdoProvideField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_moisCivil);
      break;
    case 1: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coefficientReducteurAffiliation);
      break;
    case 2: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coefficientReducteurAffiliationSupplementaire);
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoReplaceField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      m_moisCivil = ((Periode)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 1: 
      m_coefficientReducteurAffiliation = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 2: 
      m_coefficientReducteurAffiliationSupplementaire = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoProvideFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoProvideField(fieldNumber);
    }
  }
  
  public void jdoReplaceFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoReplaceField(fieldNumber);
    }
  }
  
  public synchronized void jdoReplaceStateManager(StateManager sm)
  {
    if (jdoStateManager != null)
    {
      jdoStateManager = jdoStateManager.replacingStateManager(this, sm);
    }
    else
    {
      SecurityManager securityManager = System.getSecurityManager();
      if (securityManager != null) {
        securityManager.checkPermission(JDOPermission.SET_STATE_MANAGER);
      }
      jdoStateManager = sm;
    }
  }
  
  public boolean jdoIsPersistent()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isPersistent(this);
    }
    return false;
  }
  
  public boolean jdoIsTransactional()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isTransactional(this);
    }
    return false;
  }
  
  public boolean jdoIsNew()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isNew(this);
    }
    return false;
  }
  
  public boolean jdoIsDirty()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDirty(this);
    }
    return false;
  }
  
  public boolean jdoIsDeleted()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDeleted(this);
    }
    return false;
  }
  
  public void jdoMakeDirty(String fieldName)
  {
    if (jdoStateManager != null) {
      jdoStateManager.makeDirty(this, fieldName);
    }
  }
  
  public void jdoReplaceFlags()
  {
    if (jdoStateManager != null)
    {
      jdoFlags = jdoStateManager.replacingFlags(this);
      return;
      jdoFlags = 0;
    }
  }
  
  public boolean jdoIsDetached()
  {
    if (jdoStateManager != null) {
      return ((CommonStateManager)jdoStateManager).isDetached();
    }
    return false;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm)
  {
    PlafonnementAffiliationPC pc = new PlafonnementAffiliationPC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    return pc;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm, Object oid)
  {
    PlafonnementAffiliationPC pc = new PlafonnementAffiliationPC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    pc.jdoCopyKeyFieldsFromObjectId(oid);
    return pc;
  }
  
  public static int jdoGetManagedFieldCount()
  {
    return jdoInheritedFieldCount + 3;
  }
  
  public void jdoCopyFields(Object pc, int[] fieldNumbers)
  {
    if (!(pc instanceof PlafonnementAffiliationPC)) {
      throw new JDOFatalInternalException("Can't copy fields from a different class");
    }
    PlafonnementAffiliationPC other = (PlafonnementAffiliationPC)pc;
    if (jdoStateManager != jdoStateManager) {
      throw new JDOUserException("Source object should have the same StateManager");
    }
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int relativeField = fieldNumbers[i] - jdoInheritedFieldCount;
      switch (relativeField)
      {
      case 0: 
        m_moisCivil = m_moisCivil;
        break;
      case 1: 
        m_coefficientReducteurAffiliation = m_coefficientReducteurAffiliation;
        break;
      case 2: 
        m_coefficientReducteurAffiliationSupplementaire = m_coefficientReducteurAffiliationSupplementaire;
      }
    }
  }
  
  public void jdoCopyKeyFieldsToObjectId(Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public void jdoCopyKeyFieldsToObjectId(PersistenceCapable.ObjectIdFieldSupplier supplier, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  protected void jdoCopyKeyFieldsFromObjectId(Object object) {}
  
  public void jdoCopyKeyFieldsFromObjectId(PersistenceCapable.ObjectIdFieldConsumer consumer, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public Object jdoNewObjectIdInstance()
  {
    return null;
  }
  
  public Object jdoNewObjectIdInstance(Object str)
  {
    return null;
  }
  
  public Object jdoGetObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getObjectId(this);
    }
    return null;
  }
  
  public PersistenceManager jdoGetPersistenceManager()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getPersistenceManager(this);
    }
    return null;
  }
  
  private void jdoPreSerialize()
  {
    if (jdoStateManager != null) {
      jdoStateManager.preSerialize(this);
    }
  }
  
  private void writeObject(ObjectOutputStream out)
    throws IOException
  {
    jdoPreSerialize();
    out.defaultWriteObject();
  }
  
  public Object jdoGetTransactionalObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getTransactionalObjectId(this);
    }
    return null;
  }
}

/* Location:
 * Qualified Name:     PlafonnementAffiliationPC
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */