package fr.unedic.cali.asu.dom.pc;

import fr.unedic.cali.asu.dom.SaisieAntecedent;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.temps.Damj;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.math.BigDecimal;
import javax.jdo.JDOFatalInternalException;
import javax.jdo.JDOUnsupportedOptionException;
import javax.jdo.JDOUserException;
import javax.jdo.PersistenceManager;
import javax.jdo.spi.JDOImplHelper;
import javax.jdo.spi.JDOPermission;
import javax.jdo.spi.PersistenceCapable;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldConsumer;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldSupplier;
import javax.jdo.spi.StateManager;
import xcalia.lido.internal.sm.CommonStateManager;

public class SaisieAntecedentPC
  implements DomPCSpec, PersistenceCapable
{
  private transient SaisieAntecedent m_saisieAntecedentOM;
  private Integer m_contexteDemande;
  private Integer m_codeProduit;
  private String m_nomReglementApplicable;
  private Damj m_dateAttribution;
  private String m_identifiantFaitGenerateur;
  private String m_identifiantFCTRetenue;
  private Quantite m_salaireJournalierReferencePlafonne;
  private Damj m_termePRC;
  private Quantite m_salaireJournalierConservePlafonne;
  private Quantite m_dureeInitialeDroit;
  private BigDecimal m_coefficientTempsPartiel;
  private BigDecimal m_coefficientSaisonnier;
  private Integer m_typeCaractereSaisonnier;
  private boolean m_a3ansActiviteEn5ans;
  private boolean m_salaireReferenceSurBaseSMIC;
  private Integer m_codeEmploiA2B;
  private Integer m_rangAllongementPraSpectacle;
  private Quantite m_salaireReferenceInitialPlafonne;
  private BigDecimal m_nbHeuresTravailEtendu;
  private BigDecimal m_nbHeuresTravailPlafonne;
  private Integer m_nbJourContratSurPra;
  private Damj m_dateDernierJourCalcule;
  private Integer m_nombreJourIndemniseARE;
  private Integer m_nombreJourIndemniseAREF;
  private Damj m_premierJourIndemnisable;
  private Quantite m_reliquatDuree;
  private Integer m_cumulMoisActiviteReduite;
  private Integer m_nombreMoisIndemnisationAssurance;
  private Quantite m_reliquatDureeRenouvellement;
  private boolean m_estDroitMaintenu;
  private boolean m_estEnFormationAuDJC;
  private Damj m_dateFinPMC;
  private Integer m_reliquatJoursICCP;
  private Integer m_reliquatJoursISLR;
  private Integer m_reliquatJoursDelaiAttente;
  private Integer m_reliquatJourDiffereStandard;
  private int m_typeCoordinationEuropeenne;
  private String m_identifiantCompetence;
  private Damj m_dateDebutPRC;
  private Damj m_dateBanalisee1;
  private Damj m_dateBanalisee2;
  private Damj m_dateBanalisee3;
  private Quantite m_quantiteBanalisee1;
  private Quantite m_quantiteBanalisee2;
  private Quantite m_quantiteBanalisee3;
  private String m_chaineBanalisee1;
  private String m_chaineBanalisee2;
  private String m_chaineBanalisee3;
  private boolean m_topBanalise1;
  private boolean m_topBanalise2;
  private boolean m_topBanalise3;
  private boolean m_delaiAttente;
  private String m_etablissementFinanceur;
  private String m_codeAffectation;
  private boolean m_estSituationParticuliereAre2001;
  private String m_montantReadmissionRetenu;
  private String m_idExterneEmployeurSp;
  private BigDecimal m_revenuMensuelANSConservee;
  private Damj m_dateAdmission;
  protected int m_nbMoisCivilsNonPayes;
  private String m_contexteLimiteIndemnisation;
  private Damj m_dateLimite;
  private boolean m_entreeCra;
  private QuantiteEuro m_montantCra;
  private QuantiteEuro m_sjmCra;
  private int m_franchiseCPTotale;
  private int m_franchiseCPMensuelle;
  private int m_franchiseSalaireTotale;
  private int m_franchiseSalaireMensuelle;
  private boolean m_sortieCra;
  private int m_reliquatFCPDJC;
  private int m_reliquatFSDJC;
  private int m_quantiteFCPConsoDJC;
  private int m_quantiteFSConsoDJC;
  private int m_quantiteReportFCP;
  private int m_quantiteReportFS;
  private int m_dureeAllongementAREF;
  private int m_reliquatDureeAllongementAREF;
  protected transient byte jdoFlags;
  protected transient StateManager jdoStateManager;
  private static int jdoInheritedFieldCount = 0;
  private static String[] jdoFieldNames = { "m_contexteDemande", "m_codeProduit", "m_nomReglementApplicable", "m_dateAttribution", "m_identifiantFaitGenerateur", "m_identifiantFCTRetenue", "m_salaireJournalierReferencePlafonne", "m_termePRC", "m_salaireJournalierConservePlafonne", "m_dureeInitialeDroit", "m_coefficientTempsPartiel", "m_coefficientSaisonnier", "m_typeCaractereSaisonnier", "m_a3ansActiviteEn5ans", "m_salaireReferenceSurBaseSMIC", "m_codeEmploiA2B", "m_rangAllongementPraSpectacle", "m_salaireReferenceInitialPlafonne", "m_nbHeuresTravailEtendu", "m_nbHeuresTravailPlafonne", "m_nbJourContratSurPra", "m_dateDernierJourCalcule", "m_nombreJourIndemniseARE", "m_nombreJourIndemniseAREF", "m_premierJourIndemnisable", "m_reliquatDuree", "m_cumulMoisActiviteReduite", "m_nombreMoisIndemnisationAssurance", "m_reliquatDureeRenouvellement", "m_estDroitMaintenu", "m_estEnFormationAuDJC", "m_dateFinPMC", "m_reliquatJoursICCP", "m_reliquatJoursISLR", "m_reliquatJoursDelaiAttente", "m_reliquatJourDiffereStandard", "m_typeCoordinationEuropeenne", "m_identifiantCompetence", "m_dateDebutPRC", "m_dateBanalisee1", "m_dateBanalisee2", "m_dateBanalisee3", "m_quantiteBanalisee1", "m_quantiteBanalisee2", "m_quantiteBanalisee3", "m_chaineBanalisee1", "m_chaineBanalisee2", "m_chaineBanalisee3", "m_topBanalise1", "m_topBanalise2", "m_topBanalise3", "m_delaiAttente", "m_etablissementFinanceur", "m_codeAffectation", "m_estSituationParticuliereAre2001", "m_montantReadmissionRetenu", "m_idExterneEmployeurSp", "m_revenuMensuelANSConservee", "m_dateAdmission", "m_nbMoisCivilsNonPayes", "m_contexteLimiteIndemnisation", "m_dateLimite", "m_entreeCra", "m_montantCra", "m_sjmCra", "m_franchiseCPTotale", "m_franchiseCPMensuelle", "m_franchiseSalaireTotale", "m_franchiseSalaireMensuelle", "m_sortieCra", "m_reliquatFCPDJC", "m_reliquatFSDJC", "m_quantiteFCPConsoDJC", "m_quantiteFSConsoDJC", "m_quantiteReportFCP", "m_quantiteReportFS", "m_dureeAllongementAREF", "m_reliquatDureeAllongementAREF" };
  private static Class[] jdoFieldTypes = { Integer.class, Integer.class, String.class, Damj.class, String.class, String.class, Quantite.class, Damj.class, Quantite.class, Quantite.class, BigDecimal.class, BigDecimal.class, Integer.class, Boolean.TYPE, Boolean.TYPE, Integer.class, Integer.class, Quantite.class, BigDecimal.class, BigDecimal.class, Integer.class, Damj.class, Integer.class, Integer.class, Damj.class, Quantite.class, Integer.class, Integer.class, Quantite.class, Boolean.TYPE, Boolean.TYPE, Damj.class, Integer.class, Integer.class, Integer.class, Integer.class, Integer.TYPE, String.class, Damj.class, Damj.class, Damj.class, Damj.class, Quantite.class, Quantite.class, Quantite.class, String.class, String.class, String.class, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, String.class, String.class, Boolean.TYPE, String.class, String.class, BigDecimal.class, Damj.class, Integer.TYPE, String.class, Damj.class, Boolean.TYPE, QuantiteEuro.class, QuantiteEuro.class, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Boolean.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE };
  private static byte[] jdoFieldFlags = { (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE) };
  private static Class jdoPersistenceCapableSuperclass = null;
  
  public Object createOM()
  {
    if (m_saisieAntecedentOM == null) {
      m_saisieAntecedentOM = new SaisieAntecedent(this);
    }
    return m_saisieAntecedentOM;
  }
  
  public Integer getContexteDemande()
  {
    return jdoGetm_contexteDemande(this);
  }
  
  public final void setContexteDemande(Integer p_contexteDemande)
  {
    jdoSetm_contexteDemande(this, p_contexteDemande);
  }
  
  public Integer getCodeProduit()
  {
    return jdoGetm_codeProduit(this);
  }
  
  public final void setCodeProduit(Integer p_codeProduit)
  {
    jdoSetm_codeProduit(this, p_codeProduit);
  }
  
  public String getNomReglementApplicable()
  {
    return jdoGetm_nomReglementApplicable(this);
  }
  
  public final void setNomReglementApplicable(String p_nomReglementApplicable)
  {
    jdoSetm_nomReglementApplicable(this, p_nomReglementApplicable);
  }
  
  public Damj getDateAttribution()
  {
    return jdoGetm_dateAttribution(this);
  }
  
  public final void setDateAttribution(Damj p_dateAttribution)
  {
    jdoSetm_dateAttribution(this, p_dateAttribution);
  }
  
  public String getIdentifiantFaitGenerateur()
  {
    return jdoGetm_identifiantFaitGenerateur(this);
  }
  
  public final void setIdentifiantFaitGenerateur(String p_identifiantFaitGenerateur)
  {
    jdoSetm_identifiantFaitGenerateur(this, p_identifiantFaitGenerateur);
  }
  
  public String getIdentifiantFCTRetenue()
  {
    return jdoGetm_identifiantFCTRetenue(this);
  }
  
  public final void setIdentifiantFCTRetenue(String p_identifiantFCTRetenue)
  {
    jdoSetm_identifiantFCTRetenue(this, p_identifiantFCTRetenue);
  }
  
  public Quantite getSalaireJournalierReferencePlafonne()
  {
    return jdoGetm_salaireJournalierReferencePlafonne(this);
  }
  
  public final void setSalaireJournalierReferencePlafonne(Quantite p_salaireJournalierReferencePlafonne)
  {
    jdoSetm_salaireJournalierReferencePlafonne(this, p_salaireJournalierReferencePlafonne);
  }
  
  public Damj getTermePRC()
  {
    return jdoGetm_termePRC(this);
  }
  
  public final void setTermePRC(Damj p_termePRC)
  {
    jdoSetm_termePRC(this, p_termePRC);
  }
  
  public Quantite getSalaireJournalierConservePlafonne()
  {
    return jdoGetm_salaireJournalierConservePlafonne(this);
  }
  
  public final void setSalaireJournalierConservePlafonne(Quantite p_salaireJournalierConservePlafonne)
  {
    jdoSetm_salaireJournalierConservePlafonne(this, p_salaireJournalierConservePlafonne);
  }
  
  public Quantite getDureeInitialeDroit()
  {
    return jdoGetm_dureeInitialeDroit(this);
  }
  
  public final void setDureeInitialeDroit(Quantite p_dureeInitialeDroit)
  {
    jdoSetm_dureeInitialeDroit(this, p_dureeInitialeDroit);
  }
  
  public BigDecimal getCoefficientTempsPartiel()
  {
    return jdoGetm_coefficientTempsPartiel(this);
  }
  
  public final void setCoefficientTempsPartiel(BigDecimal p_coefficientTempsPartiel)
  {
    jdoSetm_coefficientTempsPartiel(this, p_coefficientTempsPartiel);
  }
  
  public BigDecimal getCoefficientSaisonnier()
  {
    return jdoGetm_coefficientSaisonnier(this);
  }
  
  public final void setCoefficientSaisonnier(BigDecimal p_coefficientSaisonnier)
  {
    jdoSetm_coefficientSaisonnier(this, p_coefficientSaisonnier);
  }
  
  public Integer getTypeCaractereSaisonnier()
  {
    return jdoGetm_typeCaractereSaisonnier(this);
  }
  
  public final void setTypeCaractereSaisonnier(Integer p_typeCaractereSaisonnier)
  {
    jdoSetm_typeCaractereSaisonnier(this, p_typeCaractereSaisonnier);
  }
  
  public boolean isA3ansActiviteEn5ans()
  {
    return jdoGetm_a3ansActiviteEn5ans(this);
  }
  
  public final void setA3ansActiviteEn5ans(boolean p_a3ansActiviteEn5ans)
  {
    jdoSetm_a3ansActiviteEn5ans(this, p_a3ansActiviteEn5ans);
  }
  
  public boolean isSalaireReferenceSurBaseSMIC()
  {
    return jdoGetm_salaireReferenceSurBaseSMIC(this);
  }
  
  public final void setSalaireReferenceSurBaseSMIC(boolean p_salaireReferenceSurBaseSMIC)
  {
    jdoSetm_salaireReferenceSurBaseSMIC(this, p_salaireReferenceSurBaseSMIC);
  }
  
  public Integer getCodeEmploiA2B()
  {
    return jdoGetm_codeEmploiA2B(this);
  }
  
  public final void setCodeEmploiA2B(Integer p_codeEmploiA2B)
  {
    jdoSetm_codeEmploiA2B(this, p_codeEmploiA2B);
  }
  
  public Integer getRangAllongementPraSpectacle()
  {
    return jdoGetm_rangAllongementPraSpectacle(this);
  }
  
  public final void setRangAllongementPraSpectacle(Integer p_rangAllongementPraSpectacle)
  {
    jdoSetm_rangAllongementPraSpectacle(this, p_rangAllongementPraSpectacle);
  }
  
  public Quantite getSalaireReferenceInitialPlafonne()
  {
    return jdoGetm_salaireReferenceInitialPlafonne(this);
  }
  
  public final void setSalaireReferenceInitialPlafonne(Quantite p_salaireReferenceInitialPlafonne)
  {
    jdoSetm_salaireReferenceInitialPlafonne(this, p_salaireReferenceInitialPlafonne);
  }
  
  public BigDecimal getNbHeuresTravailEtendu()
  {
    return jdoGetm_nbHeuresTravailEtendu(this);
  }
  
  public final void setNbHeuresTravailEtendu(BigDecimal p_nbHeuresTravailEtendu)
  {
    jdoSetm_nbHeuresTravailEtendu(this, p_nbHeuresTravailEtendu);
  }
  
  public BigDecimal getNbHeuresTravailPlafonne()
  {
    return jdoGetm_nbHeuresTravailPlafonne(this);
  }
  
  public final void setNbHeuresTravailPlafonne(BigDecimal p_nbHeuresTravailPlafonne)
  {
    jdoSetm_nbHeuresTravailPlafonne(this, p_nbHeuresTravailPlafonne);
  }
  
  public Integer getNbJourContratSurPra()
  {
    return jdoGetm_nbJourContratSurPra(this);
  }
  
  public final void setNbJourContratSurPra(Integer p_nbJourContratSurPra)
  {
    jdoSetm_nbJourContratSurPra(this, p_nbJourContratSurPra);
  }
  
  public Damj getDateDernierJourCalcule()
  {
    return jdoGetm_dateDernierJourCalcule(this);
  }
  
  public final void setDateDernierJourCalcule(Damj p_dateDernierJourCalcule)
  {
    jdoSetm_dateDernierJourCalcule(this, p_dateDernierJourCalcule);
  }
  
  public Integer getNombreJourIndemniseARE()
  {
    return jdoGetm_nombreJourIndemniseARE(this);
  }
  
  public final void setNombreJourIndemniseARE(Integer p_nombreJourIndemniseARE)
  {
    jdoSetm_nombreJourIndemniseARE(this, p_nombreJourIndemniseARE);
  }
  
  public Integer getNombreJourIndemniseAREF()
  {
    return jdoGetm_nombreJourIndemniseAREF(this);
  }
  
  public final void setNombreJourIndemniseAREF(Integer p_nombreJourIndemniseAREF)
  {
    jdoSetm_nombreJourIndemniseAREF(this, p_nombreJourIndemniseAREF);
  }
  
  public Damj getPremierJourIndemnisable()
  {
    return jdoGetm_premierJourIndemnisable(this);
  }
  
  public final void setPremierJourIndemnisable(Damj p_premierJourIndemnisable)
  {
    jdoSetm_premierJourIndemnisable(this, p_premierJourIndemnisable);
  }
  
  public Quantite getReliquatDuree()
  {
    return jdoGetm_reliquatDuree(this);
  }
  
  public final void setReliquatDuree(Quantite p_reliquatDuree)
  {
    jdoSetm_reliquatDuree(this, p_reliquatDuree);
  }
  
  public Integer getCumulMoisActiviteReduite()
  {
    return jdoGetm_cumulMoisActiviteReduite(this);
  }
  
  public final void setCumulMoisActiviteReduite(Integer p_cumulMoisActiviteReduite)
  {
    jdoSetm_cumulMoisActiviteReduite(this, p_cumulMoisActiviteReduite);
  }
  
  public Integer getNombreMoisIndemnisationAssurance()
  {
    return jdoGetm_nombreMoisIndemnisationAssurance(this);
  }
  
  public final void setNombreMoisIndemnisationAssurance(Integer p_nombreMoisIndemnisationAssurance)
  {
    jdoSetm_nombreMoisIndemnisationAssurance(this, p_nombreMoisIndemnisationAssurance);
  }
  
  public Quantite getReliquatDureeRenouvellement()
  {
    return jdoGetm_reliquatDureeRenouvellement(this);
  }
  
  public final void setReliquatDureeRenouvellement(Quantite p_reliquatDureeRenouvellement)
  {
    jdoSetm_reliquatDureeRenouvellement(this, p_reliquatDureeRenouvellement);
  }
  
  public boolean isEstDroitMaintenu()
  {
    return jdoGetm_estDroitMaintenu(this);
  }
  
  public final void setEstDroitMaintenu(boolean p_estDroitMaintenu)
  {
    jdoSetm_estDroitMaintenu(this, p_estDroitMaintenu);
  }
  
  public boolean isEstEnFormationAuDJC()
  {
    return jdoGetm_estEnFormationAuDJC(this);
  }
  
  public final void setEstEnFormationAuDJC(boolean p_estEnFormationAuDJC)
  {
    jdoSetm_estEnFormationAuDJC(this, p_estEnFormationAuDJC);
  }
  
  public Damj getDateFinPMC()
  {
    return jdoGetm_dateFinPMC(this);
  }
  
  public final void setDateFinPMC(Damj p_dateFinPMC)
  {
    jdoSetm_dateFinPMC(this, p_dateFinPMC);
  }
  
  public Integer getReliquatJoursICCP()
  {
    return jdoGetm_reliquatJoursICCP(this);
  }
  
  public final void setReliquatJoursICCP(Integer p_reliquatJoursICCP)
  {
    jdoSetm_reliquatJoursICCP(this, p_reliquatJoursICCP);
  }
  
  public Integer getReliquatJoursISLR()
  {
    return jdoGetm_reliquatJoursISLR(this);
  }
  
  public final void setReliquatJoursISLR(Integer p_reliquatJoursISLR)
  {
    jdoSetm_reliquatJoursISLR(this, p_reliquatJoursISLR);
  }
  
  public Integer getReliquatJoursDelaiAttente()
  {
    return jdoGetm_reliquatJoursDelaiAttente(this);
  }
  
  public final void setReliquatJoursDelaiAttente(Integer p_reliquatJoursDelaiAttente)
  {
    jdoSetm_reliquatJoursDelaiAttente(this, p_reliquatJoursDelaiAttente);
  }
  
  public Integer getReliquatJourDiffereStandard()
  {
    return jdoGetm_reliquatJourDiffereStandard(this);
  }
  
  public final void setReliquatJourDiffereStandard(Integer p_reliquatJourDiffereStandard)
  {
    jdoSetm_reliquatJourDiffereStandard(this, p_reliquatJourDiffereStandard);
  }
  
  public int getTypeCoordinationEuropeenne()
  {
    return jdoGetm_typeCoordinationEuropeenne(this);
  }
  
  public final void setTypeCoordinationEuropeenne(int p_typeCoordinationEuropeenne)
  {
    jdoSetm_typeCoordinationEuropeenne(this, p_typeCoordinationEuropeenne);
  }
  
  public String getIdentifiantCompetence()
  {
    return jdoGetm_identifiantCompetence(this);
  }
  
  public final void setIdentifiantCompetence(String p_identifiantCompetence)
  {
    jdoSetm_identifiantCompetence(this, p_identifiantCompetence);
  }
  
  public Damj getDateDebutPRC()
  {
    return jdoGetm_dateDebutPRC(this);
  }
  
  public final void setDateDebutPRC(Damj p_dateDebutPRC)
  {
    jdoSetm_dateDebutPRC(this, p_dateDebutPRC);
  }
  
  public Damj getDateBanalisee1()
  {
    return jdoGetm_dateBanalisee1(this);
  }
  
  public final void setDateBanalisee1(Damj p_dateBanalisee1)
  {
    jdoSetm_dateBanalisee1(this, p_dateBanalisee1);
  }
  
  public Damj getDateBanalisee2()
  {
    return jdoGetm_dateBanalisee2(this);
  }
  
  public final void setDateBanalisee2(Damj p_dateBanalisee2)
  {
    jdoSetm_dateBanalisee2(this, p_dateBanalisee2);
  }
  
  public Damj getDateBanalisee3()
  {
    return jdoGetm_dateBanalisee3(this);
  }
  
  public final void setDateBanalisee3(Damj p_dateBanalisee3)
  {
    jdoSetm_dateBanalisee3(this, p_dateBanalisee3);
  }
  
  public Quantite getQuantiteBanalisee1()
  {
    return jdoGetm_quantiteBanalisee1(this);
  }
  
  public final void setQuantiteBanalisee1(Quantite p_quantiteBanalisee1)
  {
    jdoSetm_quantiteBanalisee1(this, p_quantiteBanalisee1);
  }
  
  public Quantite getQuantiteBanalisee2()
  {
    return jdoGetm_quantiteBanalisee2(this);
  }
  
  public final void setQuantiteBanalisee2(Quantite p_quantiteBanalisee2)
  {
    jdoSetm_quantiteBanalisee2(this, p_quantiteBanalisee2);
  }
  
  public Quantite getQuantiteBanalisee3()
  {
    return jdoGetm_quantiteBanalisee3(this);
  }
  
  public final void setQuantiteBanalisee3(Quantite p_quantiteBanalisee3)
  {
    jdoSetm_quantiteBanalisee3(this, p_quantiteBanalisee3);
  }
  
  public String getChaineBanalisee1()
  {
    return jdoGetm_chaineBanalisee1(this);
  }
  
  public final void setChaineBanalisee1(String p_chaineBanalisee1)
  {
    jdoSetm_chaineBanalisee1(this, p_chaineBanalisee1);
  }
  
  public String getChaineBanalisee2()
  {
    return jdoGetm_chaineBanalisee2(this);
  }
  
  public final void setChaineBanalisee2(String p_chaineBanalisee2)
  {
    jdoSetm_chaineBanalisee2(this, p_chaineBanalisee2);
  }
  
  public String getChaineBanalisee3()
  {
    return jdoGetm_chaineBanalisee3(this);
  }
  
  public final void setChaineBanalisee3(String p_chaineBanalisee3)
  {
    jdoSetm_chaineBanalisee3(this, p_chaineBanalisee3);
  }
  
  public boolean isTopBanalise1()
  {
    return jdoGetm_topBanalise1(this);
  }
  
  public final void setTopBanalise1(boolean p_topBanalise1)
  {
    jdoSetm_topBanalise1(this, p_topBanalise1);
  }
  
  public boolean isTopBanalise2()
  {
    return jdoGetm_topBanalise2(this);
  }
  
  public final void setTopBanalise2(boolean p_topBanalise2)
  {
    jdoSetm_topBanalise2(this, p_topBanalise2);
  }
  
  public boolean isTopBanalise3()
  {
    return jdoGetm_topBanalise3(this);
  }
  
  public final void setTopBanalise3(boolean p_topBanalise3)
  {
    jdoSetm_topBanalise3(this, p_topBanalise3);
  }
  
  public boolean isDelaiAttente()
  {
    return jdoGetm_delaiAttente(this);
  }
  
  public final void setDelaiAttente(boolean p_delaiAttente)
  {
    jdoSetm_delaiAttente(this, p_delaiAttente);
  }
  
  public String getEtablissementFinanceur()
  {
    return jdoGetm_etablissementFinanceur(this);
  }
  
  public final void setEtablissementFinanceur(String p_etablissementFinanceur)
  {
    jdoSetm_etablissementFinanceur(this, p_etablissementFinanceur);
  }
  
  public String getCodeAffectation()
  {
    return jdoGetm_codeAffectation(this);
  }
  
  public final void setCodeAffectation(String p_codeAffectation)
  {
    jdoSetm_codeAffectation(this, p_codeAffectation);
  }
  
  public boolean isEstSituationParticuliereAre2001()
  {
    return jdoGetm_estSituationParticuliereAre2001(this);
  }
  
  public final void setEstSituationParticuliereAre2001(boolean p_estSituationParticuliereAre2001)
  {
    jdoSetm_estSituationParticuliereAre2001(this, p_estSituationParticuliereAre2001);
  }
  
  public String getMontantReadmissionRetenu()
  {
    return jdoGetm_montantReadmissionRetenu(this);
  }
  
  public final void setMontantReadmissionRetenu(String p_montantReadmissionRetenu)
  {
    jdoSetm_montantReadmissionRetenu(this, p_montantReadmissionRetenu);
  }
  
  public String getIdExterneEmployeurSp()
  {
    return jdoGetm_idExterneEmployeurSp(this);
  }
  
  public final void setIdExterneEmployeurSp(String p_idExterneEmployeurSp)
  {
    jdoSetm_idExterneEmployeurSp(this, p_idExterneEmployeurSp);
  }
  
  public BigDecimal getRevenuMensuelANSConservee()
  {
    return jdoGetm_revenuMensuelANSConservee(this);
  }
  
  public final void setRevenuMensuelANSConservee(BigDecimal p_revenuMensuelANSConservee)
  {
    jdoSetm_revenuMensuelANSConservee(this, p_revenuMensuelANSConservee);
  }
  
  public Damj getDateAdmission()
  {
    return jdoGetm_dateAdmission(this);
  }
  
  public final void setDateAdmission(Damj p_dateAdmission)
  {
    jdoSetm_dateAdmission(this, p_dateAdmission);
  }
  
  public int getNbMoisCivilsNonPayes()
  {
    return jdoGetm_nbMoisCivilsNonPayes(this);
  }
  
  public final void setNbMoisCivilsNonPayes(int p_nbMoisCivilsNonPayes)
  {
    jdoSetm_nbMoisCivilsNonPayes(this, p_nbMoisCivilsNonPayes);
  }
  
  public String getContexteLimiteIndemnisation()
  {
    return jdoGetm_contexteLimiteIndemnisation(this);
  }
  
  public final void setContexteLimiteIndemnisation(String p_contexteLimiteIndemnisation)
  {
    jdoSetm_contexteLimiteIndemnisation(this, p_contexteLimiteIndemnisation);
  }
  
  public Damj getDateLimite()
  {
    return jdoGetm_dateLimite(this);
  }
  
  public final void setDateLimite(Damj p_dateLimite)
  {
    jdoSetm_dateLimite(this, p_dateLimite);
  }
  
  public boolean isEntreeCra()
  {
    return jdoGetm_entreeCra(this);
  }
  
  public final void setEntreeCra(boolean p_entreeCra)
  {
    jdoSetm_entreeCra(this, p_entreeCra);
  }
  
  public QuantiteEuro getMontantCra()
  {
    return jdoGetm_montantCra(this);
  }
  
  public final void setMontantCra(QuantiteEuro p_montantCra)
  {
    jdoSetm_montantCra(this, p_montantCra);
  }
  
  public QuantiteEuro getSjmCra()
  {
    return jdoGetm_sjmCra(this);
  }
  
  public final void setSjmCra(QuantiteEuro p_sjmCra)
  {
    jdoSetm_sjmCra(this, p_sjmCra);
  }
  
  public int getFranchiseCPTotale()
  {
    return jdoGetm_franchiseCPTotale(this);
  }
  
  public final void setFranchiseCPTotale(int p_franchiseCPTotale)
  {
    jdoSetm_franchiseCPTotale(this, p_franchiseCPTotale);
  }
  
  public int getFranchiseCPMensuelle()
  {
    return jdoGetm_franchiseCPMensuelle(this);
  }
  
  public final void setFranchiseCPMensuelle(int p_franchiseCPMensuelle)
  {
    jdoSetm_franchiseCPMensuelle(this, p_franchiseCPMensuelle);
  }
  
  public int getFranchiseSalaireTotale()
  {
    return jdoGetm_franchiseSalaireTotale(this);
  }
  
  public final void setFranchiseSalaireTotale(int p_franchiseSalaireTotale)
  {
    jdoSetm_franchiseSalaireTotale(this, p_franchiseSalaireTotale);
  }
  
  public int getFranchiseSalaireMensuelle()
  {
    return jdoGetm_franchiseSalaireMensuelle(this);
  }
  
  public final void setFranchiseSalaireMensuelle(int p_franchiseSalaireMensuelle)
  {
    jdoSetm_franchiseSalaireMensuelle(this, p_franchiseSalaireMensuelle);
  }
  
  public boolean isSortieCra()
  {
    return jdoGetm_sortieCra(this);
  }
  
  public final void setSortieCra(boolean p_sortieCra)
  {
    jdoSetm_sortieCra(this, p_sortieCra);
  }
  
  public int getReliquatFCPDJC()
  {
    return jdoGetm_reliquatFCPDJC(this);
  }
  
  public final void setReliquatFCPDJC(int p_reliquatFCPDJC)
  {
    jdoSetm_reliquatFCPDJC(this, p_reliquatFCPDJC);
  }
  
  public int getReliquatFSDJC()
  {
    return jdoGetm_reliquatFSDJC(this);
  }
  
  public final void setReliquatFSDJC(int p_reliquatFSDJC)
  {
    jdoSetm_reliquatFSDJC(this, p_reliquatFSDJC);
  }
  
  public int getQuantiteFCPConsoDJC()
  {
    return jdoGetm_quantiteFCPConsoDJC(this);
  }
  
  public final void setQuantiteFCPConsoDJC(int p_quantiteFCPConsoDJC)
  {
    jdoSetm_quantiteFCPConsoDJC(this, p_quantiteFCPConsoDJC);
  }
  
  public int getQuantiteFSConsoDJC()
  {
    return jdoGetm_quantiteFSConsoDJC(this);
  }
  
  public final void setQuantiteFSConsoDJC(int p_quantiteFSConsoDJC)
  {
    jdoSetm_quantiteFSConsoDJC(this, p_quantiteFSConsoDJC);
  }
  
  public int getQuantiteReportFCP()
  {
    return jdoGetm_quantiteReportFCP(this);
  }
  
  public final void setQuantiteReportFCP(int p_quantiteReportFCP)
  {
    jdoSetm_quantiteReportFCP(this, p_quantiteReportFCP);
  }
  
  public int getQuantiteReportFS()
  {
    return jdoGetm_quantiteReportFS(this);
  }
  
  public final void setQuantiteReportFS(int p_quantiteReportFS)
  {
    jdoSetm_quantiteReportFS(this, p_quantiteReportFS);
  }
  
  public int getDureeAllongementAREF()
  {
    return jdoGetm_dureeAllongementAREF(this);
  }
  
  public final void setDureeAllongementAREF(int p_dureeAllongementAREF)
  {
    jdoSetm_dureeAllongementAREF(this, p_dureeAllongementAREF);
  }
  
  public int getReliquatDureeAllongementAREF()
  {
    return jdoGetm_reliquatDureeAllongementAREF(this);
  }
  
  public final void setReliquatDureeAllongementAREF(int p_reliquatDureeAllongementAREF)
  {
    jdoSetm_reliquatDureeAllongementAREF(this, p_reliquatDureeAllongementAREF);
  }
  
  static
  {
    JDOImplHelper.registerClass(SaisieAntecedentPC.class, jdoFieldNames, jdoFieldTypes, jdoFieldFlags, jdoPersistenceCapableSuperclass, new SaisieAntecedentPC());
  }
  
  private static final Integer jdoGetm_contexteDemande(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_contexteDemande;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 0)) {
        return m_contexteDemande;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 0, m_contexteDemande);
    }
    return m_contexteDemande;
  }
  
  private static final Integer jdoGetm_codeProduit(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeProduit;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 1)) {
        return m_codeProduit;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 1, m_codeProduit);
    }
    return m_codeProduit;
  }
  
  private static final String jdoGetm_nomReglementApplicable(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nomReglementApplicable;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 2)) {
        return m_nomReglementApplicable;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 2, m_nomReglementApplicable);
    }
    return m_nomReglementApplicable;
  }
  
  private static final Damj jdoGetm_dateAttribution(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateAttribution;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 3)) {
        return m_dateAttribution;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 3, m_dateAttribution);
    }
    return m_dateAttribution;
  }
  
  private static final String jdoGetm_identifiantFaitGenerateur(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_identifiantFaitGenerateur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 4)) {
        return m_identifiantFaitGenerateur;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 4, m_identifiantFaitGenerateur);
    }
    return m_identifiantFaitGenerateur;
  }
  
  private static final String jdoGetm_identifiantFCTRetenue(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_identifiantFCTRetenue;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 5)) {
        return m_identifiantFCTRetenue;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 5, m_identifiantFCTRetenue);
    }
    return m_identifiantFCTRetenue;
  }
  
  private static final Quantite jdoGetm_salaireJournalierReferencePlafonne(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_salaireJournalierReferencePlafonne;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 6)) {
        return m_salaireJournalierReferencePlafonne;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 6, m_salaireJournalierReferencePlafonne);
    }
    return m_salaireJournalierReferencePlafonne;
  }
  
  private static final Damj jdoGetm_termePRC(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_termePRC;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 7)) {
        return m_termePRC;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 7, m_termePRC);
    }
    return m_termePRC;
  }
  
  private static final Quantite jdoGetm_salaireJournalierConservePlafonne(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_salaireJournalierConservePlafonne;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 8)) {
        return m_salaireJournalierConservePlafonne;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 8, m_salaireJournalierConservePlafonne);
    }
    return m_salaireJournalierConservePlafonne;
  }
  
  private static final Quantite jdoGetm_dureeInitialeDroit(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeInitialeDroit;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 9)) {
        return m_dureeInitialeDroit;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 9, m_dureeInitialeDroit);
    }
    return m_dureeInitialeDroit;
  }
  
  private static final BigDecimal jdoGetm_coefficientTempsPartiel(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefficientTempsPartiel;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 10)) {
        return m_coefficientTempsPartiel;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 10, m_coefficientTempsPartiel);
    }
    return m_coefficientTempsPartiel;
  }
  
  private static final BigDecimal jdoGetm_coefficientSaisonnier(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefficientSaisonnier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 11)) {
        return m_coefficientSaisonnier;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 11, m_coefficientSaisonnier);
    }
    return m_coefficientSaisonnier;
  }
  
  private static final Integer jdoGetm_typeCaractereSaisonnier(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_typeCaractereSaisonnier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 12)) {
        return m_typeCaractereSaisonnier;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 12, m_typeCaractereSaisonnier);
    }
    return m_typeCaractereSaisonnier;
  }
  
  private static final boolean jdoGetm_a3ansActiviteEn5ans(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_a3ansActiviteEn5ans;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 13)) {
        return m_a3ansActiviteEn5ans;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 13, m_a3ansActiviteEn5ans);
    }
    return m_a3ansActiviteEn5ans;
  }
  
  private static final boolean jdoGetm_salaireReferenceSurBaseSMIC(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_salaireReferenceSurBaseSMIC;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 14)) {
        return m_salaireReferenceSurBaseSMIC;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 14, m_salaireReferenceSurBaseSMIC);
    }
    return m_salaireReferenceSurBaseSMIC;
  }
  
  private static final Integer jdoGetm_codeEmploiA2B(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeEmploiA2B;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 15)) {
        return m_codeEmploiA2B;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 15, m_codeEmploiA2B);
    }
    return m_codeEmploiA2B;
  }
  
  private static final Integer jdoGetm_rangAllongementPraSpectacle(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_rangAllongementPraSpectacle;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 16)) {
        return m_rangAllongementPraSpectacle;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 16, m_rangAllongementPraSpectacle);
    }
    return m_rangAllongementPraSpectacle;
  }
  
  private static final Quantite jdoGetm_salaireReferenceInitialPlafonne(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_salaireReferenceInitialPlafonne;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 17)) {
        return m_salaireReferenceInitialPlafonne;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 17, m_salaireReferenceInitialPlafonne);
    }
    return m_salaireReferenceInitialPlafonne;
  }
  
  private static final BigDecimal jdoGetm_nbHeuresTravailEtendu(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbHeuresTravailEtendu;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 18)) {
        return m_nbHeuresTravailEtendu;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 18, m_nbHeuresTravailEtendu);
    }
    return m_nbHeuresTravailEtendu;
  }
  
  private static final BigDecimal jdoGetm_nbHeuresTravailPlafonne(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbHeuresTravailPlafonne;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 19)) {
        return m_nbHeuresTravailPlafonne;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 19, m_nbHeuresTravailPlafonne);
    }
    return m_nbHeuresTravailPlafonne;
  }
  
  private static final Integer jdoGetm_nbJourContratSurPra(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJourContratSurPra;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 20)) {
        return m_nbJourContratSurPra;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 20, m_nbJourContratSurPra);
    }
    return m_nbJourContratSurPra;
  }
  
  private static final Damj jdoGetm_dateDernierJourCalcule(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateDernierJourCalcule;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 21)) {
        return m_dateDernierJourCalcule;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 21, m_dateDernierJourCalcule);
    }
    return m_dateDernierJourCalcule;
  }
  
  private static final Integer jdoGetm_nombreJourIndemniseARE(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nombreJourIndemniseARE;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 22)) {
        return m_nombreJourIndemniseARE;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 22, m_nombreJourIndemniseARE);
    }
    return m_nombreJourIndemniseARE;
  }
  
  private static final Integer jdoGetm_nombreJourIndemniseAREF(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nombreJourIndemniseAREF;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 23)) {
        return m_nombreJourIndemniseAREF;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 23, m_nombreJourIndemniseAREF);
    }
    return m_nombreJourIndemniseAREF;
  }
  
  private static final Damj jdoGetm_premierJourIndemnisable(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_premierJourIndemnisable;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 24)) {
        return m_premierJourIndemnisable;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 24, m_premierJourIndemnisable);
    }
    return m_premierJourIndemnisable;
  }
  
  private static final Quantite jdoGetm_reliquatDuree(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_reliquatDuree;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 25)) {
        return m_reliquatDuree;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 25, m_reliquatDuree);
    }
    return m_reliquatDuree;
  }
  
  private static final Integer jdoGetm_cumulMoisActiviteReduite(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_cumulMoisActiviteReduite;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 26)) {
        return m_cumulMoisActiviteReduite;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 26, m_cumulMoisActiviteReduite);
    }
    return m_cumulMoisActiviteReduite;
  }
  
  private static final Integer jdoGetm_nombreMoisIndemnisationAssurance(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nombreMoisIndemnisationAssurance;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 27)) {
        return m_nombreMoisIndemnisationAssurance;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 27, m_nombreMoisIndemnisationAssurance);
    }
    return m_nombreMoisIndemnisationAssurance;
  }
  
  private static final Quantite jdoGetm_reliquatDureeRenouvellement(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_reliquatDureeRenouvellement;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 28)) {
        return m_reliquatDureeRenouvellement;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 28, m_reliquatDureeRenouvellement);
    }
    return m_reliquatDureeRenouvellement;
  }
  
  private static final boolean jdoGetm_estDroitMaintenu(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_estDroitMaintenu;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 29)) {
        return m_estDroitMaintenu;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 29, m_estDroitMaintenu);
    }
    return m_estDroitMaintenu;
  }
  
  private static final boolean jdoGetm_estEnFormationAuDJC(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_estEnFormationAuDJC;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 30)) {
        return m_estEnFormationAuDJC;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 30, m_estEnFormationAuDJC);
    }
    return m_estEnFormationAuDJC;
  }
  
  private static final Damj jdoGetm_dateFinPMC(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateFinPMC;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 31)) {
        return m_dateFinPMC;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 31, m_dateFinPMC);
    }
    return m_dateFinPMC;
  }
  
  private static final Integer jdoGetm_reliquatJoursICCP(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_reliquatJoursICCP;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 32)) {
        return m_reliquatJoursICCP;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 32, m_reliquatJoursICCP);
    }
    return m_reliquatJoursICCP;
  }
  
  private static final Integer jdoGetm_reliquatJoursISLR(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_reliquatJoursISLR;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 33)) {
        return m_reliquatJoursISLR;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 33, m_reliquatJoursISLR);
    }
    return m_reliquatJoursISLR;
  }
  
  private static final Integer jdoGetm_reliquatJoursDelaiAttente(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_reliquatJoursDelaiAttente;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 34)) {
        return m_reliquatJoursDelaiAttente;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 34, m_reliquatJoursDelaiAttente);
    }
    return m_reliquatJoursDelaiAttente;
  }
  
  private static final Integer jdoGetm_reliquatJourDiffereStandard(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_reliquatJourDiffereStandard;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 35)) {
        return m_reliquatJourDiffereStandard;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 35, m_reliquatJourDiffereStandard);
    }
    return m_reliquatJourDiffereStandard;
  }
  
  private static final int jdoGetm_typeCoordinationEuropeenne(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_typeCoordinationEuropeenne;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 36)) {
        return m_typeCoordinationEuropeenne;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 36, m_typeCoordinationEuropeenne);
    }
    return m_typeCoordinationEuropeenne;
  }
  
  private static final String jdoGetm_identifiantCompetence(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_identifiantCompetence;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 37)) {
        return m_identifiantCompetence;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 37, m_identifiantCompetence);
    }
    return m_identifiantCompetence;
  }
  
  private static final Damj jdoGetm_dateDebutPRC(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateDebutPRC;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 38)) {
        return m_dateDebutPRC;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 38, m_dateDebutPRC);
    }
    return m_dateDebutPRC;
  }
  
  private static final Damj jdoGetm_dateBanalisee1(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateBanalisee1;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 39)) {
        return m_dateBanalisee1;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 39, m_dateBanalisee1);
    }
    return m_dateBanalisee1;
  }
  
  private static final Damj jdoGetm_dateBanalisee2(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateBanalisee2;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 40)) {
        return m_dateBanalisee2;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 40, m_dateBanalisee2);
    }
    return m_dateBanalisee2;
  }
  
  private static final Damj jdoGetm_dateBanalisee3(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateBanalisee3;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 41)) {
        return m_dateBanalisee3;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 41, m_dateBanalisee3);
    }
    return m_dateBanalisee3;
  }
  
  private static final Quantite jdoGetm_quantiteBanalisee1(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteBanalisee1;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 42)) {
        return m_quantiteBanalisee1;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 42, m_quantiteBanalisee1);
    }
    return m_quantiteBanalisee1;
  }
  
  private static final Quantite jdoGetm_quantiteBanalisee2(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteBanalisee2;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 43)) {
        return m_quantiteBanalisee2;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 43, m_quantiteBanalisee2);
    }
    return m_quantiteBanalisee2;
  }
  
  private static final Quantite jdoGetm_quantiteBanalisee3(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteBanalisee3;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 44)) {
        return m_quantiteBanalisee3;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 44, m_quantiteBanalisee3);
    }
    return m_quantiteBanalisee3;
  }
  
  private static final String jdoGetm_chaineBanalisee1(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_chaineBanalisee1;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 45)) {
        return m_chaineBanalisee1;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 45, m_chaineBanalisee1);
    }
    return m_chaineBanalisee1;
  }
  
  private static final String jdoGetm_chaineBanalisee2(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_chaineBanalisee2;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 46)) {
        return m_chaineBanalisee2;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 46, m_chaineBanalisee2);
    }
    return m_chaineBanalisee2;
  }
  
  private static final String jdoGetm_chaineBanalisee3(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_chaineBanalisee3;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 47)) {
        return m_chaineBanalisee3;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 47, m_chaineBanalisee3);
    }
    return m_chaineBanalisee3;
  }
  
  private static final boolean jdoGetm_topBanalise1(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_topBanalise1;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 48)) {
        return m_topBanalise1;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 48, m_topBanalise1);
    }
    return m_topBanalise1;
  }
  
  private static final boolean jdoGetm_topBanalise2(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_topBanalise2;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 49)) {
        return m_topBanalise2;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 49, m_topBanalise2);
    }
    return m_topBanalise2;
  }
  
  private static final boolean jdoGetm_topBanalise3(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_topBanalise3;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 50)) {
        return m_topBanalise3;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 50, m_topBanalise3);
    }
    return m_topBanalise3;
  }
  
  private static final boolean jdoGetm_delaiAttente(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_delaiAttente;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 51)) {
        return m_delaiAttente;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 51, m_delaiAttente);
    }
    return m_delaiAttente;
  }
  
  private static final String jdoGetm_etablissementFinanceur(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_etablissementFinanceur;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 52)) {
        return m_etablissementFinanceur;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 52, m_etablissementFinanceur);
    }
    return m_etablissementFinanceur;
  }
  
  private static final String jdoGetm_codeAffectation(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeAffectation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 53)) {
        return m_codeAffectation;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 53, m_codeAffectation);
    }
    return m_codeAffectation;
  }
  
  private static final boolean jdoGetm_estSituationParticuliereAre2001(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_estSituationParticuliereAre2001;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 54)) {
        return m_estSituationParticuliereAre2001;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 54, m_estSituationParticuliereAre2001);
    }
    return m_estSituationParticuliereAre2001;
  }
  
  private static final String jdoGetm_montantReadmissionRetenu(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantReadmissionRetenu;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 55)) {
        return m_montantReadmissionRetenu;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 55, m_montantReadmissionRetenu);
    }
    return m_montantReadmissionRetenu;
  }
  
  private static final String jdoGetm_idExterneEmployeurSp(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_idExterneEmployeurSp;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 56)) {
        return m_idExterneEmployeurSp;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 56, m_idExterneEmployeurSp);
    }
    return m_idExterneEmployeurSp;
  }
  
  private static final BigDecimal jdoGetm_revenuMensuelANSConservee(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_revenuMensuelANSConservee;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 57)) {
        return m_revenuMensuelANSConservee;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 57, m_revenuMensuelANSConservee);
    }
    return m_revenuMensuelANSConservee;
  }
  
  private static final Damj jdoGetm_dateAdmission(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateAdmission;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 58)) {
        return m_dateAdmission;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 58, m_dateAdmission);
    }
    return m_dateAdmission;
  }
  
  protected static final int jdoGetm_nbMoisCivilsNonPayes(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbMoisCivilsNonPayes;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 59)) {
        return m_nbMoisCivilsNonPayes;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 59, m_nbMoisCivilsNonPayes);
    }
    return m_nbMoisCivilsNonPayes;
  }
  
  private static final String jdoGetm_contexteLimiteIndemnisation(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_contexteLimiteIndemnisation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 60)) {
        return m_contexteLimiteIndemnisation;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 60, m_contexteLimiteIndemnisation);
    }
    return m_contexteLimiteIndemnisation;
  }
  
  private static final Damj jdoGetm_dateLimite(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateLimite;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 61)) {
        return m_dateLimite;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 61, m_dateLimite);
    }
    return m_dateLimite;
  }
  
  private static final boolean jdoGetm_entreeCra(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_entreeCra;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 62)) {
        return m_entreeCra;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 62, m_entreeCra);
    }
    return m_entreeCra;
  }
  
  private static final QuantiteEuro jdoGetm_montantCra(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantCra;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 63)) {
        return m_montantCra;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 63, m_montantCra);
    }
    return m_montantCra;
  }
  
  private static final QuantiteEuro jdoGetm_sjmCra(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjmCra;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 64)) {
        return m_sjmCra;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 64, m_sjmCra);
    }
    return m_sjmCra;
  }
  
  private static final int jdoGetm_franchiseCPTotale(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_franchiseCPTotale;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 65)) {
        return m_franchiseCPTotale;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 65, m_franchiseCPTotale);
    }
    return m_franchiseCPTotale;
  }
  
  private static final int jdoGetm_franchiseCPMensuelle(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_franchiseCPMensuelle;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 66)) {
        return m_franchiseCPMensuelle;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 66, m_franchiseCPMensuelle);
    }
    return m_franchiseCPMensuelle;
  }
  
  private static final int jdoGetm_franchiseSalaireTotale(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_franchiseSalaireTotale;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 67)) {
        return m_franchiseSalaireTotale;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 67, m_franchiseSalaireTotale);
    }
    return m_franchiseSalaireTotale;
  }
  
  private static final int jdoGetm_franchiseSalaireMensuelle(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_franchiseSalaireMensuelle;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 68)) {
        return m_franchiseSalaireMensuelle;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 68, m_franchiseSalaireMensuelle);
    }
    return m_franchiseSalaireMensuelle;
  }
  
  private static final boolean jdoGetm_sortieCra(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_sortieCra;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 69)) {
        return m_sortieCra;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 69, m_sortieCra);
    }
    return m_sortieCra;
  }
  
  private static final int jdoGetm_reliquatFCPDJC(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_reliquatFCPDJC;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 70)) {
        return m_reliquatFCPDJC;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 70, m_reliquatFCPDJC);
    }
    return m_reliquatFCPDJC;
  }
  
  private static final int jdoGetm_reliquatFSDJC(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_reliquatFSDJC;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 71)) {
        return m_reliquatFSDJC;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 71, m_reliquatFSDJC);
    }
    return m_reliquatFSDJC;
  }
  
  private static final int jdoGetm_quantiteFCPConsoDJC(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteFCPConsoDJC;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 72)) {
        return m_quantiteFCPConsoDJC;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 72, m_quantiteFCPConsoDJC);
    }
    return m_quantiteFCPConsoDJC;
  }
  
  private static final int jdoGetm_quantiteFSConsoDJC(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteFSConsoDJC;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 73)) {
        return m_quantiteFSConsoDJC;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 73, m_quantiteFSConsoDJC);
    }
    return m_quantiteFSConsoDJC;
  }
  
  private static final int jdoGetm_quantiteReportFCP(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteReportFCP;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 74)) {
        return m_quantiteReportFCP;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 74, m_quantiteReportFCP);
    }
    return m_quantiteReportFCP;
  }
  
  private static final int jdoGetm_quantiteReportFS(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteReportFS;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 75)) {
        return m_quantiteReportFS;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 75, m_quantiteReportFS);
    }
    return m_quantiteReportFS;
  }
  
  private static final int jdoGetm_dureeAllongementAREF(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeAllongementAREF;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 76)) {
        return m_dureeAllongementAREF;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 76, m_dureeAllongementAREF);
    }
    return m_dureeAllongementAREF;
  }
  
  private static final int jdoGetm_reliquatDureeAllongementAREF(SaisieAntecedentPC pc)
  {
    if (jdoFlags <= 0) {
      return m_reliquatDureeAllongementAREF;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 77)) {
        return m_reliquatDureeAllongementAREF;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 77, m_reliquatDureeAllongementAREF);
    }
    return m_reliquatDureeAllongementAREF;
  }
  
  private static final void jdoSetm_contexteDemande(SaisieAntecedentPC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_contexteDemande = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 0, m_contexteDemande, newValue);
    } else {
      m_contexteDemande = newValue;
    }
  }
  
  private static final void jdoSetm_codeProduit(SaisieAntecedentPC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeProduit = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 1, m_codeProduit, newValue);
    } else {
      m_codeProduit = newValue;
    }
  }
  
  private static final void jdoSetm_nomReglementApplicable(SaisieAntecedentPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_nomReglementApplicable = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 2, m_nomReglementApplicable, newValue);
    } else {
      m_nomReglementApplicable = newValue;
    }
  }
  
  private static final void jdoSetm_dateAttribution(SaisieAntecedentPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateAttribution = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 3, m_dateAttribution, newValue);
    } else {
      m_dateAttribution = newValue;
    }
  }
  
  private static final void jdoSetm_identifiantFaitGenerateur(SaisieAntecedentPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_identifiantFaitGenerateur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 4, m_identifiantFaitGenerateur, newValue);
    } else {
      m_identifiantFaitGenerateur = newValue;
    }
  }
  
  private static final void jdoSetm_identifiantFCTRetenue(SaisieAntecedentPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_identifiantFCTRetenue = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 5, m_identifiantFCTRetenue, newValue);
    } else {
      m_identifiantFCTRetenue = newValue;
    }
  }
  
  private static final void jdoSetm_salaireJournalierReferencePlafonne(SaisieAntecedentPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_salaireJournalierReferencePlafonne = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 6, m_salaireJournalierReferencePlafonne, newValue);
    } else {
      m_salaireJournalierReferencePlafonne = newValue;
    }
  }
  
  private static final void jdoSetm_termePRC(SaisieAntecedentPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_termePRC = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 7, m_termePRC, newValue);
    } else {
      m_termePRC = newValue;
    }
  }
  
  private static final void jdoSetm_salaireJournalierConservePlafonne(SaisieAntecedentPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_salaireJournalierConservePlafonne = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 8, m_salaireJournalierConservePlafonne, newValue);
    } else {
      m_salaireJournalierConservePlafonne = newValue;
    }
  }
  
  private static final void jdoSetm_dureeInitialeDroit(SaisieAntecedentPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeInitialeDroit = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 9, m_dureeInitialeDroit, newValue);
    } else {
      m_dureeInitialeDroit = newValue;
    }
  }
  
  private static final void jdoSetm_coefficientTempsPartiel(SaisieAntecedentPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefficientTempsPartiel = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 10, m_coefficientTempsPartiel, newValue);
    } else {
      m_coefficientTempsPartiel = newValue;
    }
  }
  
  private static final void jdoSetm_coefficientSaisonnier(SaisieAntecedentPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefficientSaisonnier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 11, m_coefficientSaisonnier, newValue);
    } else {
      m_coefficientSaisonnier = newValue;
    }
  }
  
  private static final void jdoSetm_typeCaractereSaisonnier(SaisieAntecedentPC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_typeCaractereSaisonnier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 12, m_typeCaractereSaisonnier, newValue);
    } else {
      m_typeCaractereSaisonnier = newValue;
    }
  }
  
  private static final void jdoSetm_a3ansActiviteEn5ans(SaisieAntecedentPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_a3ansActiviteEn5ans = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 13, m_a3ansActiviteEn5ans, newValue);
    } else {
      m_a3ansActiviteEn5ans = newValue;
    }
  }
  
  private static final void jdoSetm_salaireReferenceSurBaseSMIC(SaisieAntecedentPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_salaireReferenceSurBaseSMIC = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 14, m_salaireReferenceSurBaseSMIC, newValue);
    } else {
      m_salaireReferenceSurBaseSMIC = newValue;
    }
  }
  
  private static final void jdoSetm_codeEmploiA2B(SaisieAntecedentPC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeEmploiA2B = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 15, m_codeEmploiA2B, newValue);
    } else {
      m_codeEmploiA2B = newValue;
    }
  }
  
  private static final void jdoSetm_rangAllongementPraSpectacle(SaisieAntecedentPC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_rangAllongementPraSpectacle = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 16, m_rangAllongementPraSpectacle, newValue);
    } else {
      m_rangAllongementPraSpectacle = newValue;
    }
  }
  
  private static final void jdoSetm_salaireReferenceInitialPlafonne(SaisieAntecedentPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_salaireReferenceInitialPlafonne = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 17, m_salaireReferenceInitialPlafonne, newValue);
    } else {
      m_salaireReferenceInitialPlafonne = newValue;
    }
  }
  
  private static final void jdoSetm_nbHeuresTravailEtendu(SaisieAntecedentPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbHeuresTravailEtendu = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 18, m_nbHeuresTravailEtendu, newValue);
    } else {
      m_nbHeuresTravailEtendu = newValue;
    }
  }
  
  private static final void jdoSetm_nbHeuresTravailPlafonne(SaisieAntecedentPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbHeuresTravailPlafonne = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 19, m_nbHeuresTravailPlafonne, newValue);
    } else {
      m_nbHeuresTravailPlafonne = newValue;
    }
  }
  
  private static final void jdoSetm_nbJourContratSurPra(SaisieAntecedentPC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJourContratSurPra = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 20, m_nbJourContratSurPra, newValue);
    } else {
      m_nbJourContratSurPra = newValue;
    }
  }
  
  private static final void jdoSetm_dateDernierJourCalcule(SaisieAntecedentPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateDernierJourCalcule = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 21, m_dateDernierJourCalcule, newValue);
    } else {
      m_dateDernierJourCalcule = newValue;
    }
  }
  
  private static final void jdoSetm_nombreJourIndemniseARE(SaisieAntecedentPC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_nombreJourIndemniseARE = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 22, m_nombreJourIndemniseARE, newValue);
    } else {
      m_nombreJourIndemniseARE = newValue;
    }
  }
  
  private static final void jdoSetm_nombreJourIndemniseAREF(SaisieAntecedentPC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_nombreJourIndemniseAREF = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 23, m_nombreJourIndemniseAREF, newValue);
    } else {
      m_nombreJourIndemniseAREF = newValue;
    }
  }
  
  private static final void jdoSetm_premierJourIndemnisable(SaisieAntecedentPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_premierJourIndemnisable = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 24, m_premierJourIndemnisable, newValue);
    } else {
      m_premierJourIndemnisable = newValue;
    }
  }
  
  private static final void jdoSetm_reliquatDuree(SaisieAntecedentPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_reliquatDuree = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 25, m_reliquatDuree, newValue);
    } else {
      m_reliquatDuree = newValue;
    }
  }
  
  private static final void jdoSetm_cumulMoisActiviteReduite(SaisieAntecedentPC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_cumulMoisActiviteReduite = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 26, m_cumulMoisActiviteReduite, newValue);
    } else {
      m_cumulMoisActiviteReduite = newValue;
    }
  }
  
  private static final void jdoSetm_nombreMoisIndemnisationAssurance(SaisieAntecedentPC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_nombreMoisIndemnisationAssurance = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 27, m_nombreMoisIndemnisationAssurance, newValue);
    } else {
      m_nombreMoisIndemnisationAssurance = newValue;
    }
  }
  
  private static final void jdoSetm_reliquatDureeRenouvellement(SaisieAntecedentPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_reliquatDureeRenouvellement = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 28, m_reliquatDureeRenouvellement, newValue);
    } else {
      m_reliquatDureeRenouvellement = newValue;
    }
  }
  
  private static final void jdoSetm_estDroitMaintenu(SaisieAntecedentPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estDroitMaintenu = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 29, m_estDroitMaintenu, newValue);
    } else {
      m_estDroitMaintenu = newValue;
    }
  }
  
  private static final void jdoSetm_estEnFormationAuDJC(SaisieAntecedentPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estEnFormationAuDJC = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 30, m_estEnFormationAuDJC, newValue);
    } else {
      m_estEnFormationAuDJC = newValue;
    }
  }
  
  private static final void jdoSetm_dateFinPMC(SaisieAntecedentPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateFinPMC = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 31, m_dateFinPMC, newValue);
    } else {
      m_dateFinPMC = newValue;
    }
  }
  
  private static final void jdoSetm_reliquatJoursICCP(SaisieAntecedentPC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_reliquatJoursICCP = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 32, m_reliquatJoursICCP, newValue);
    } else {
      m_reliquatJoursICCP = newValue;
    }
  }
  
  private static final void jdoSetm_reliquatJoursISLR(SaisieAntecedentPC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_reliquatJoursISLR = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 33, m_reliquatJoursISLR, newValue);
    } else {
      m_reliquatJoursISLR = newValue;
    }
  }
  
  private static final void jdoSetm_reliquatJoursDelaiAttente(SaisieAntecedentPC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_reliquatJoursDelaiAttente = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 34, m_reliquatJoursDelaiAttente, newValue);
    } else {
      m_reliquatJoursDelaiAttente = newValue;
    }
  }
  
  private static final void jdoSetm_reliquatJourDiffereStandard(SaisieAntecedentPC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_reliquatJourDiffereStandard = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 35, m_reliquatJourDiffereStandard, newValue);
    } else {
      m_reliquatJourDiffereStandard = newValue;
    }
  }
  
  private static final void jdoSetm_typeCoordinationEuropeenne(SaisieAntecedentPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_typeCoordinationEuropeenne = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 36, m_typeCoordinationEuropeenne, newValue);
    } else {
      m_typeCoordinationEuropeenne = newValue;
    }
  }
  
  private static final void jdoSetm_identifiantCompetence(SaisieAntecedentPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_identifiantCompetence = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 37, m_identifiantCompetence, newValue);
    } else {
      m_identifiantCompetence = newValue;
    }
  }
  
  private static final void jdoSetm_dateDebutPRC(SaisieAntecedentPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateDebutPRC = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 38, m_dateDebutPRC, newValue);
    } else {
      m_dateDebutPRC = newValue;
    }
  }
  
  private static final void jdoSetm_dateBanalisee1(SaisieAntecedentPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateBanalisee1 = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 39, m_dateBanalisee1, newValue);
    } else {
      m_dateBanalisee1 = newValue;
    }
  }
  
  private static final void jdoSetm_dateBanalisee2(SaisieAntecedentPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateBanalisee2 = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 40, m_dateBanalisee2, newValue);
    } else {
      m_dateBanalisee2 = newValue;
    }
  }
  
  private static final void jdoSetm_dateBanalisee3(SaisieAntecedentPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateBanalisee3 = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 41, m_dateBanalisee3, newValue);
    } else {
      m_dateBanalisee3 = newValue;
    }
  }
  
  private static final void jdoSetm_quantiteBanalisee1(SaisieAntecedentPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteBanalisee1 = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 42, m_quantiteBanalisee1, newValue);
    } else {
      m_quantiteBanalisee1 = newValue;
    }
  }
  
  private static final void jdoSetm_quantiteBanalisee2(SaisieAntecedentPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteBanalisee2 = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 43, m_quantiteBanalisee2, newValue);
    } else {
      m_quantiteBanalisee2 = newValue;
    }
  }
  
  private static final void jdoSetm_quantiteBanalisee3(SaisieAntecedentPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteBanalisee3 = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 44, m_quantiteBanalisee3, newValue);
    } else {
      m_quantiteBanalisee3 = newValue;
    }
  }
  
  private static final void jdoSetm_chaineBanalisee1(SaisieAntecedentPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_chaineBanalisee1 = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 45, m_chaineBanalisee1, newValue);
    } else {
      m_chaineBanalisee1 = newValue;
    }
  }
  
  private static final void jdoSetm_chaineBanalisee2(SaisieAntecedentPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_chaineBanalisee2 = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 46, m_chaineBanalisee2, newValue);
    } else {
      m_chaineBanalisee2 = newValue;
    }
  }
  
  private static final void jdoSetm_chaineBanalisee3(SaisieAntecedentPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_chaineBanalisee3 = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 47, m_chaineBanalisee3, newValue);
    } else {
      m_chaineBanalisee3 = newValue;
    }
  }
  
  private static final void jdoSetm_topBanalise1(SaisieAntecedentPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_topBanalise1 = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 48, m_topBanalise1, newValue);
    } else {
      m_topBanalise1 = newValue;
    }
  }
  
  private static final void jdoSetm_topBanalise2(SaisieAntecedentPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_topBanalise2 = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 49, m_topBanalise2, newValue);
    } else {
      m_topBanalise2 = newValue;
    }
  }
  
  private static final void jdoSetm_topBanalise3(SaisieAntecedentPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_topBanalise3 = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 50, m_topBanalise3, newValue);
    } else {
      m_topBanalise3 = newValue;
    }
  }
  
  private static final void jdoSetm_delaiAttente(SaisieAntecedentPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_delaiAttente = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 51, m_delaiAttente, newValue);
    } else {
      m_delaiAttente = newValue;
    }
  }
  
  private static final void jdoSetm_etablissementFinanceur(SaisieAntecedentPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_etablissementFinanceur = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 52, m_etablissementFinanceur, newValue);
    } else {
      m_etablissementFinanceur = newValue;
    }
  }
  
  private static final void jdoSetm_codeAffectation(SaisieAntecedentPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeAffectation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 53, m_codeAffectation, newValue);
    } else {
      m_codeAffectation = newValue;
    }
  }
  
  private static final void jdoSetm_estSituationParticuliereAre2001(SaisieAntecedentPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_estSituationParticuliereAre2001 = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 54, m_estSituationParticuliereAre2001, newValue);
    } else {
      m_estSituationParticuliereAre2001 = newValue;
    }
  }
  
  private static final void jdoSetm_montantReadmissionRetenu(SaisieAntecedentPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantReadmissionRetenu = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 55, m_montantReadmissionRetenu, newValue);
    } else {
      m_montantReadmissionRetenu = newValue;
    }
  }
  
  private static final void jdoSetm_idExterneEmployeurSp(SaisieAntecedentPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_idExterneEmployeurSp = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 56, m_idExterneEmployeurSp, newValue);
    } else {
      m_idExterneEmployeurSp = newValue;
    }
  }
  
  private static final void jdoSetm_revenuMensuelANSConservee(SaisieAntecedentPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_revenuMensuelANSConservee = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 57, m_revenuMensuelANSConservee, newValue);
    } else {
      m_revenuMensuelANSConservee = newValue;
    }
  }
  
  private static final void jdoSetm_dateAdmission(SaisieAntecedentPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateAdmission = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 58, m_dateAdmission, newValue);
    } else {
      m_dateAdmission = newValue;
    }
  }
  
  protected static final void jdoSetm_nbMoisCivilsNonPayes(SaisieAntecedentPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbMoisCivilsNonPayes = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 59, m_nbMoisCivilsNonPayes, newValue);
    } else {
      m_nbMoisCivilsNonPayes = newValue;
    }
  }
  
  private static final void jdoSetm_contexteLimiteIndemnisation(SaisieAntecedentPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_contexteLimiteIndemnisation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 60, m_contexteLimiteIndemnisation, newValue);
    } else {
      m_contexteLimiteIndemnisation = newValue;
    }
  }
  
  private static final void jdoSetm_dateLimite(SaisieAntecedentPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateLimite = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 61, m_dateLimite, newValue);
    } else {
      m_dateLimite = newValue;
    }
  }
  
  private static final void jdoSetm_entreeCra(SaisieAntecedentPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_entreeCra = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 62, m_entreeCra, newValue);
    } else {
      m_entreeCra = newValue;
    }
  }
  
  private static final void jdoSetm_montantCra(SaisieAntecedentPC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantCra = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 63, m_montantCra, newValue);
    } else {
      m_montantCra = newValue;
    }
  }
  
  private static final void jdoSetm_sjmCra(SaisieAntecedentPC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjmCra = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 64, m_sjmCra, newValue);
    } else {
      m_sjmCra = newValue;
    }
  }
  
  private static final void jdoSetm_franchiseCPTotale(SaisieAntecedentPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_franchiseCPTotale = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 65, m_franchiseCPTotale, newValue);
    } else {
      m_franchiseCPTotale = newValue;
    }
  }
  
  private static final void jdoSetm_franchiseCPMensuelle(SaisieAntecedentPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_franchiseCPMensuelle = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 66, m_franchiseCPMensuelle, newValue);
    } else {
      m_franchiseCPMensuelle = newValue;
    }
  }
  
  private static final void jdoSetm_franchiseSalaireTotale(SaisieAntecedentPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_franchiseSalaireTotale = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 67, m_franchiseSalaireTotale, newValue);
    } else {
      m_franchiseSalaireTotale = newValue;
    }
  }
  
  private static final void jdoSetm_franchiseSalaireMensuelle(SaisieAntecedentPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_franchiseSalaireMensuelle = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 68, m_franchiseSalaireMensuelle, newValue);
    } else {
      m_franchiseSalaireMensuelle = newValue;
    }
  }
  
  private static final void jdoSetm_sortieCra(SaisieAntecedentPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_sortieCra = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 69, m_sortieCra, newValue);
    } else {
      m_sortieCra = newValue;
    }
  }
  
  private static final void jdoSetm_reliquatFCPDJC(SaisieAntecedentPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_reliquatFCPDJC = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 70, m_reliquatFCPDJC, newValue);
    } else {
      m_reliquatFCPDJC = newValue;
    }
  }
  
  private static final void jdoSetm_reliquatFSDJC(SaisieAntecedentPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_reliquatFSDJC = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 71, m_reliquatFSDJC, newValue);
    } else {
      m_reliquatFSDJC = newValue;
    }
  }
  
  private static final void jdoSetm_quantiteFCPConsoDJC(SaisieAntecedentPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteFCPConsoDJC = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 72, m_quantiteFCPConsoDJC, newValue);
    } else {
      m_quantiteFCPConsoDJC = newValue;
    }
  }
  
  private static final void jdoSetm_quantiteFSConsoDJC(SaisieAntecedentPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteFSConsoDJC = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 73, m_quantiteFSConsoDJC, newValue);
    } else {
      m_quantiteFSConsoDJC = newValue;
    }
  }
  
  private static final void jdoSetm_quantiteReportFCP(SaisieAntecedentPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteReportFCP = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 74, m_quantiteReportFCP, newValue);
    } else {
      m_quantiteReportFCP = newValue;
    }
  }
  
  private static final void jdoSetm_quantiteReportFS(SaisieAntecedentPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteReportFS = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 75, m_quantiteReportFS, newValue);
    } else {
      m_quantiteReportFS = newValue;
    }
  }
  
  private static final void jdoSetm_dureeAllongementAREF(SaisieAntecedentPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeAllongementAREF = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 76, m_dureeAllongementAREF, newValue);
    } else {
      m_dureeAllongementAREF = newValue;
    }
  }
  
  private static final void jdoSetm_reliquatDureeAllongementAREF(SaisieAntecedentPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_reliquatDureeAllongementAREF = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 77, m_reliquatDureeAllongementAREF, newValue);
    } else {
      m_reliquatDureeAllongementAREF = newValue;
    }
  }
  
  public void jdoProvideField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_contexteDemande);
      break;
    case 1: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_codeProduit);
      break;
    case 2: 
      jdoStateManager.providedStringField(this, fieldNumber, m_nomReglementApplicable);
      break;
    case 3: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateAttribution);
      break;
    case 4: 
      jdoStateManager.providedStringField(this, fieldNumber, m_identifiantFaitGenerateur);
      break;
    case 5: 
      jdoStateManager.providedStringField(this, fieldNumber, m_identifiantFCTRetenue);
      break;
    case 6: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_salaireJournalierReferencePlafonne);
      break;
    case 7: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_termePRC);
      break;
    case 8: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_salaireJournalierConservePlafonne);
      break;
    case 9: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeInitialeDroit);
      break;
    case 10: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coefficientTempsPartiel);
      break;
    case 11: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coefficientSaisonnier);
      break;
    case 12: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_typeCaractereSaisonnier);
      break;
    case 13: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_a3ansActiviteEn5ans);
      break;
    case 14: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_salaireReferenceSurBaseSMIC);
      break;
    case 15: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_codeEmploiA2B);
      break;
    case 16: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_rangAllongementPraSpectacle);
      break;
    case 17: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_salaireReferenceInitialPlafonne);
      break;
    case 18: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nbHeuresTravailEtendu);
      break;
    case 19: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nbHeuresTravailPlafonne);
      break;
    case 20: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nbJourContratSurPra);
      break;
    case 21: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateDernierJourCalcule);
      break;
    case 22: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nombreJourIndemniseARE);
      break;
    case 23: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nombreJourIndemniseAREF);
      break;
    case 24: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_premierJourIndemnisable);
      break;
    case 25: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_reliquatDuree);
      break;
    case 26: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_cumulMoisActiviteReduite);
      break;
    case 27: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_nombreMoisIndemnisationAssurance);
      break;
    case 28: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_reliquatDureeRenouvellement);
      break;
    case 29: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estDroitMaintenu);
      break;
    case 30: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estEnFormationAuDJC);
      break;
    case 31: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateFinPMC);
      break;
    case 32: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_reliquatJoursICCP);
      break;
    case 33: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_reliquatJoursISLR);
      break;
    case 34: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_reliquatJoursDelaiAttente);
      break;
    case 35: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_reliquatJourDiffereStandard);
      break;
    case 36: 
      jdoStateManager.providedIntField(this, fieldNumber, m_typeCoordinationEuropeenne);
      break;
    case 37: 
      jdoStateManager.providedStringField(this, fieldNumber, m_identifiantCompetence);
      break;
    case 38: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateDebutPRC);
      break;
    case 39: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateBanalisee1);
      break;
    case 40: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateBanalisee2);
      break;
    case 41: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateBanalisee3);
      break;
    case 42: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteBanalisee1);
      break;
    case 43: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteBanalisee2);
      break;
    case 44: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteBanalisee3);
      break;
    case 45: 
      jdoStateManager.providedStringField(this, fieldNumber, m_chaineBanalisee1);
      break;
    case 46: 
      jdoStateManager.providedStringField(this, fieldNumber, m_chaineBanalisee2);
      break;
    case 47: 
      jdoStateManager.providedStringField(this, fieldNumber, m_chaineBanalisee3);
      break;
    case 48: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_topBanalise1);
      break;
    case 49: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_topBanalise2);
      break;
    case 50: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_topBanalise3);
      break;
    case 51: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_delaiAttente);
      break;
    case 52: 
      jdoStateManager.providedStringField(this, fieldNumber, m_etablissementFinanceur);
      break;
    case 53: 
      jdoStateManager.providedStringField(this, fieldNumber, m_codeAffectation);
      break;
    case 54: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_estSituationParticuliereAre2001);
      break;
    case 55: 
      jdoStateManager.providedStringField(this, fieldNumber, m_montantReadmissionRetenu);
      break;
    case 56: 
      jdoStateManager.providedStringField(this, fieldNumber, m_idExterneEmployeurSp);
      break;
    case 57: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_revenuMensuelANSConservee);
      break;
    case 58: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateAdmission);
      break;
    case 59: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nbMoisCivilsNonPayes);
      break;
    case 60: 
      jdoStateManager.providedStringField(this, fieldNumber, m_contexteLimiteIndemnisation);
      break;
    case 61: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateLimite);
      break;
    case 62: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_entreeCra);
      break;
    case 63: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantCra);
      break;
    case 64: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjmCra);
      break;
    case 65: 
      jdoStateManager.providedIntField(this, fieldNumber, m_franchiseCPTotale);
      break;
    case 66: 
      jdoStateManager.providedIntField(this, fieldNumber, m_franchiseCPMensuelle);
      break;
    case 67: 
      jdoStateManager.providedIntField(this, fieldNumber, m_franchiseSalaireTotale);
      break;
    case 68: 
      jdoStateManager.providedIntField(this, fieldNumber, m_franchiseSalaireMensuelle);
      break;
    case 69: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_sortieCra);
      break;
    case 70: 
      jdoStateManager.providedIntField(this, fieldNumber, m_reliquatFCPDJC);
      break;
    case 71: 
      jdoStateManager.providedIntField(this, fieldNumber, m_reliquatFSDJC);
      break;
    case 72: 
      jdoStateManager.providedIntField(this, fieldNumber, m_quantiteFCPConsoDJC);
      break;
    case 73: 
      jdoStateManager.providedIntField(this, fieldNumber, m_quantiteFSConsoDJC);
      break;
    case 74: 
      jdoStateManager.providedIntField(this, fieldNumber, m_quantiteReportFCP);
      break;
    case 75: 
      jdoStateManager.providedIntField(this, fieldNumber, m_quantiteReportFS);
      break;
    case 76: 
      jdoStateManager.providedIntField(this, fieldNumber, m_dureeAllongementAREF);
      break;
    case 77: 
      jdoStateManager.providedIntField(this, fieldNumber, m_reliquatDureeAllongementAREF);
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoReplaceField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      m_contexteDemande = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 1: 
      m_codeProduit = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 2: 
      m_nomReglementApplicable = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 3: 
      m_dateAttribution = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 4: 
      m_identifiantFaitGenerateur = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 5: 
      m_identifiantFCTRetenue = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 6: 
      m_salaireJournalierReferencePlafonne = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 7: 
      m_termePRC = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 8: 
      m_salaireJournalierConservePlafonne = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 9: 
      m_dureeInitialeDroit = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 10: 
      m_coefficientTempsPartiel = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 11: 
      m_coefficientSaisonnier = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 12: 
      m_typeCaractereSaisonnier = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 13: 
      m_a3ansActiviteEn5ans = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 14: 
      m_salaireReferenceSurBaseSMIC = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 15: 
      m_codeEmploiA2B = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 16: 
      m_rangAllongementPraSpectacle = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 17: 
      m_salaireReferenceInitialPlafonne = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 18: 
      m_nbHeuresTravailEtendu = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 19: 
      m_nbHeuresTravailPlafonne = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 20: 
      m_nbJourContratSurPra = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 21: 
      m_dateDernierJourCalcule = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 22: 
      m_nombreJourIndemniseARE = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 23: 
      m_nombreJourIndemniseAREF = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 24: 
      m_premierJourIndemnisable = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 25: 
      m_reliquatDuree = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 26: 
      m_cumulMoisActiviteReduite = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 27: 
      m_nombreMoisIndemnisationAssurance = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 28: 
      m_reliquatDureeRenouvellement = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 29: 
      m_estDroitMaintenu = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 30: 
      m_estEnFormationAuDJC = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 31: 
      m_dateFinPMC = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 32: 
      m_reliquatJoursICCP = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 33: 
      m_reliquatJoursISLR = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 34: 
      m_reliquatJoursDelaiAttente = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 35: 
      m_reliquatJourDiffereStandard = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 36: 
      m_typeCoordinationEuropeenne = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 37: 
      m_identifiantCompetence = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 38: 
      m_dateDebutPRC = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 39: 
      m_dateBanalisee1 = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 40: 
      m_dateBanalisee2 = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 41: 
      m_dateBanalisee3 = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 42: 
      m_quantiteBanalisee1 = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 43: 
      m_quantiteBanalisee2 = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 44: 
      m_quantiteBanalisee3 = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 45: 
      m_chaineBanalisee1 = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 46: 
      m_chaineBanalisee2 = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 47: 
      m_chaineBanalisee3 = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 48: 
      m_topBanalise1 = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 49: 
      m_topBanalise2 = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 50: 
      m_topBanalise3 = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 51: 
      m_delaiAttente = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 52: 
      m_etablissementFinanceur = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 53: 
      m_codeAffectation = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 54: 
      m_estSituationParticuliereAre2001 = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 55: 
      m_montantReadmissionRetenu = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 56: 
      m_idExterneEmployeurSp = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 57: 
      m_revenuMensuelANSConservee = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 58: 
      m_dateAdmission = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 59: 
      m_nbMoisCivilsNonPayes = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 60: 
      m_contexteLimiteIndemnisation = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 61: 
      m_dateLimite = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 62: 
      m_entreeCra = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 63: 
      m_montantCra = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 64: 
      m_sjmCra = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 65: 
      m_franchiseCPTotale = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 66: 
      m_franchiseCPMensuelle = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 67: 
      m_franchiseSalaireTotale = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 68: 
      m_franchiseSalaireMensuelle = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 69: 
      m_sortieCra = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 70: 
      m_reliquatFCPDJC = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 71: 
      m_reliquatFSDJC = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 72: 
      m_quantiteFCPConsoDJC = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 73: 
      m_quantiteFSConsoDJC = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 74: 
      m_quantiteReportFCP = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 75: 
      m_quantiteReportFS = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 76: 
      m_dureeAllongementAREF = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 77: 
      m_reliquatDureeAllongementAREF = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoProvideFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoProvideField(fieldNumber);
    }
  }
  
  public void jdoReplaceFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoReplaceField(fieldNumber);
    }
  }
  
  public synchronized void jdoReplaceStateManager(StateManager sm)
  {
    if (jdoStateManager != null)
    {
      jdoStateManager = jdoStateManager.replacingStateManager(this, sm);
    }
    else
    {
      SecurityManager securityManager = System.getSecurityManager();
      if (securityManager != null) {
        securityManager.checkPermission(JDOPermission.SET_STATE_MANAGER);
      }
      jdoStateManager = sm;
    }
  }
  
  public boolean jdoIsPersistent()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isPersistent(this);
    }
    return false;
  }
  
  public boolean jdoIsTransactional()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isTransactional(this);
    }
    return false;
  }
  
  public boolean jdoIsNew()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isNew(this);
    }
    return false;
  }
  
  public boolean jdoIsDirty()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDirty(this);
    }
    return false;
  }
  
  public boolean jdoIsDeleted()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDeleted(this);
    }
    return false;
  }
  
  public void jdoMakeDirty(String fieldName)
  {
    if (jdoStateManager != null) {
      jdoStateManager.makeDirty(this, fieldName);
    }
  }
  
  public void jdoReplaceFlags()
  {
    if (jdoStateManager != null)
    {
      jdoFlags = jdoStateManager.replacingFlags(this);
      return;
      jdoFlags = 0;
    }
  }
  
  public boolean jdoIsDetached()
  {
    if (jdoStateManager != null) {
      return ((CommonStateManager)jdoStateManager).isDetached();
    }
    return false;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm)
  {
    SaisieAntecedentPC pc = new SaisieAntecedentPC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    return pc;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm, Object oid)
  {
    SaisieAntecedentPC pc = new SaisieAntecedentPC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    pc.jdoCopyKeyFieldsFromObjectId(oid);
    return pc;
  }
  
  public static int jdoGetManagedFieldCount()
  {
    return jdoInheritedFieldCount + 78;
  }
  
  public void jdoCopyFields(Object pc, int[] fieldNumbers)
  {
    if (!(pc instanceof SaisieAntecedentPC)) {
      throw new JDOFatalInternalException("Can't copy fields from a different class");
    }
    SaisieAntecedentPC other = (SaisieAntecedentPC)pc;
    if (jdoStateManager != jdoStateManager) {
      throw new JDOUserException("Source object should have the same StateManager");
    }
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int relativeField = fieldNumbers[i] - jdoInheritedFieldCount;
      switch (relativeField)
      {
      case 0: 
        m_contexteDemande = m_contexteDemande;
        break;
      case 1: 
        m_codeProduit = m_codeProduit;
        break;
      case 2: 
        m_nomReglementApplicable = m_nomReglementApplicable;
        break;
      case 3: 
        m_dateAttribution = m_dateAttribution;
        break;
      case 4: 
        m_identifiantFaitGenerateur = m_identifiantFaitGenerateur;
        break;
      case 5: 
        m_identifiantFCTRetenue = m_identifiantFCTRetenue;
        break;
      case 6: 
        m_salaireJournalierReferencePlafonne = m_salaireJournalierReferencePlafonne;
        break;
      case 7: 
        m_termePRC = m_termePRC;
        break;
      case 8: 
        m_salaireJournalierConservePlafonne = m_salaireJournalierConservePlafonne;
        break;
      case 9: 
        m_dureeInitialeDroit = m_dureeInitialeDroit;
        break;
      case 10: 
        m_coefficientTempsPartiel = m_coefficientTempsPartiel;
        break;
      case 11: 
        m_coefficientSaisonnier = m_coefficientSaisonnier;
        break;
      case 12: 
        m_typeCaractereSaisonnier = m_typeCaractereSaisonnier;
        break;
      case 13: 
        m_a3ansActiviteEn5ans = m_a3ansActiviteEn5ans;
        break;
      case 14: 
        m_salaireReferenceSurBaseSMIC = m_salaireReferenceSurBaseSMIC;
        break;
      case 15: 
        m_codeEmploiA2B = m_codeEmploiA2B;
        break;
      case 16: 
        m_rangAllongementPraSpectacle = m_rangAllongementPraSpectacle;
        break;
      case 17: 
        m_salaireReferenceInitialPlafonne = m_salaireReferenceInitialPlafonne;
        break;
      case 18: 
        m_nbHeuresTravailEtendu = m_nbHeuresTravailEtendu;
        break;
      case 19: 
        m_nbHeuresTravailPlafonne = m_nbHeuresTravailPlafonne;
        break;
      case 20: 
        m_nbJourContratSurPra = m_nbJourContratSurPra;
        break;
      case 21: 
        m_dateDernierJourCalcule = m_dateDernierJourCalcule;
        break;
      case 22: 
        m_nombreJourIndemniseARE = m_nombreJourIndemniseARE;
        break;
      case 23: 
        m_nombreJourIndemniseAREF = m_nombreJourIndemniseAREF;
        break;
      case 24: 
        m_premierJourIndemnisable = m_premierJourIndemnisable;
        break;
      case 25: 
        m_reliquatDuree = m_reliquatDuree;
        break;
      case 26: 
        m_cumulMoisActiviteReduite = m_cumulMoisActiviteReduite;
        break;
      case 27: 
        m_nombreMoisIndemnisationAssurance = m_nombreMoisIndemnisationAssurance;
        break;
      case 28: 
        m_reliquatDureeRenouvellement = m_reliquatDureeRenouvellement;
        break;
      case 29: 
        m_estDroitMaintenu = m_estDroitMaintenu;
        break;
      case 30: 
        m_estEnFormationAuDJC = m_estEnFormationAuDJC;
        break;
      case 31: 
        m_dateFinPMC = m_dateFinPMC;
        break;
      case 32: 
        m_reliquatJoursICCP = m_reliquatJoursICCP;
        break;
      case 33: 
        m_reliquatJoursISLR = m_reliquatJoursISLR;
        break;
      case 34: 
        m_reliquatJoursDelaiAttente = m_reliquatJoursDelaiAttente;
        break;
      case 35: 
        m_reliquatJourDiffereStandard = m_reliquatJourDiffereStandard;
        break;
      case 36: 
        m_typeCoordinationEuropeenne = m_typeCoordinationEuropeenne;
        break;
      case 37: 
        m_identifiantCompetence = m_identifiantCompetence;
        break;
      case 38: 
        m_dateDebutPRC = m_dateDebutPRC;
        break;
      case 39: 
        m_dateBanalisee1 = m_dateBanalisee1;
        break;
      case 40: 
        m_dateBanalisee2 = m_dateBanalisee2;
        break;
      case 41: 
        m_dateBanalisee3 = m_dateBanalisee3;
        break;
      case 42: 
        m_quantiteBanalisee1 = m_quantiteBanalisee1;
        break;
      case 43: 
        m_quantiteBanalisee2 = m_quantiteBanalisee2;
        break;
      case 44: 
        m_quantiteBanalisee3 = m_quantiteBanalisee3;
        break;
      case 45: 
        m_chaineBanalisee1 = m_chaineBanalisee1;
        break;
      case 46: 
        m_chaineBanalisee2 = m_chaineBanalisee2;
        break;
      case 47: 
        m_chaineBanalisee3 = m_chaineBanalisee3;
        break;
      case 48: 
        m_topBanalise1 = m_topBanalise1;
        break;
      case 49: 
        m_topBanalise2 = m_topBanalise2;
        break;
      case 50: 
        m_topBanalise3 = m_topBanalise3;
        break;
      case 51: 
        m_delaiAttente = m_delaiAttente;
        break;
      case 52: 
        m_etablissementFinanceur = m_etablissementFinanceur;
        break;
      case 53: 
        m_codeAffectation = m_codeAffectation;
        break;
      case 54: 
        m_estSituationParticuliereAre2001 = m_estSituationParticuliereAre2001;
        break;
      case 55: 
        m_montantReadmissionRetenu = m_montantReadmissionRetenu;
        break;
      case 56: 
        m_idExterneEmployeurSp = m_idExterneEmployeurSp;
        break;
      case 57: 
        m_revenuMensuelANSConservee = m_revenuMensuelANSConservee;
        break;
      case 58: 
        m_dateAdmission = m_dateAdmission;
        break;
      case 59: 
        m_nbMoisCivilsNonPayes = m_nbMoisCivilsNonPayes;
        break;
      case 60: 
        m_contexteLimiteIndemnisation = m_contexteLimiteIndemnisation;
        break;
      case 61: 
        m_dateLimite = m_dateLimite;
        break;
      case 62: 
        m_entreeCra = m_entreeCra;
        break;
      case 63: 
        m_montantCra = m_montantCra;
        break;
      case 64: 
        m_sjmCra = m_sjmCra;
        break;
      case 65: 
        m_franchiseCPTotale = m_franchiseCPTotale;
        break;
      case 66: 
        m_franchiseCPMensuelle = m_franchiseCPMensuelle;
        break;
      case 67: 
        m_franchiseSalaireTotale = m_franchiseSalaireTotale;
        break;
      case 68: 
        m_franchiseSalaireMensuelle = m_franchiseSalaireMensuelle;
        break;
      case 69: 
        m_sortieCra = m_sortieCra;
        break;
      case 70: 
        m_reliquatFCPDJC = m_reliquatFCPDJC;
        break;
      case 71: 
        m_reliquatFSDJC = m_reliquatFSDJC;
        break;
      case 72: 
        m_quantiteFCPConsoDJC = m_quantiteFCPConsoDJC;
        break;
      case 73: 
        m_quantiteFSConsoDJC = m_quantiteFSConsoDJC;
        break;
      case 74: 
        m_quantiteReportFCP = m_quantiteReportFCP;
        break;
      case 75: 
        m_quantiteReportFS = m_quantiteReportFS;
        break;
      case 76: 
        m_dureeAllongementAREF = m_dureeAllongementAREF;
        break;
      case 77: 
        m_reliquatDureeAllongementAREF = m_reliquatDureeAllongementAREF;
      }
    }
  }
  
  public void jdoCopyKeyFieldsToObjectId(Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public void jdoCopyKeyFieldsToObjectId(PersistenceCapable.ObjectIdFieldSupplier supplier, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  protected void jdoCopyKeyFieldsFromObjectId(Object object) {}
  
  public void jdoCopyKeyFieldsFromObjectId(PersistenceCapable.ObjectIdFieldConsumer consumer, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public Object jdoNewObjectIdInstance()
  {
    return null;
  }
  
  public Object jdoNewObjectIdInstance(Object str)
  {
    return null;
  }
  
  public Object jdoGetObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getObjectId(this);
    }
    return null;
  }
  
  public PersistenceManager jdoGetPersistenceManager()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getPersistenceManager(this);
    }
    return null;
  }
  
  private void jdoPreSerialize()
  {
    if (jdoStateManager != null) {
      jdoStateManager.preSerialize(this);
    }
  }
  
  private void writeObject(ObjectOutputStream out)
    throws IOException
  {
    jdoPreSerialize();
    out.defaultWriteObject();
  }
  
  public Object jdoGetTransactionalObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getTransactionalObjectId(this);
    }
    return null;
  }
}

/* Location:
 * Qualified Name:     SaisieAntecedentPC
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */