package fr.unedic.cali.asu.dom.persistance;

import fr.unedic.cali.asu.dom.EreAntecedentAssuranceEnCoursDossier;
import fr.unedic.cali.asu.dom.EreApsFdd;
import fr.unedic.cali.asu.dom.EreApsSuiteRejetAsu;
import fr.unedic.cali.asu.dom.EreAspSuiteIDE;
import fr.unedic.cali.asu.dom.EreAsrSuiteIDE;
import fr.unedic.cali.asu.dom.EreAtAfdFdd;
import fr.unedic.cali.asu.dom.EreAtAfdSuiteRejetAsu;
import fr.unedic.cali.asu.dom.EreClauseRattrapageSpectacle;
import fr.unedic.cali.asu.dom.EreDemandeApsEfe;
import fr.unedic.cali.asu.dom.EreDemandeAreEfe;
import fr.unedic.cali.asu.dom.EreDemandeAssociee;
import fr.unedic.cali.asu.dom.EreDemandeAtAfdEfe;
import fr.unedic.cali.asu.dom.EreDemandeExpresse;
import fr.unedic.cali.asu.dom.EreDvAuFilEau;
import fr.unedic.cali.asu.dom.EreFinDroitSpectacle;
import fr.unedic.cali.asu.dom.EreFinDroitSuiteRepriseNonSaisonniere;
import fr.unedic.cali.asu.dom.EreGammeAsu;
import fr.unedic.cali.asu.dom.EreIdeAtp;
import fr.unedic.cali.asu.dom.EreIdeAtpSuiteBascule;
import fr.unedic.cali.asu.dom.EreInscriptionDemandeurEmploi;
import fr.unedic.cali.asu.dom.ErePassageCPSuiteRejetDV;
import fr.unedic.cali.asu.dom.EreRechargement;
import fr.unedic.cali.asu.dom.EreRepriseVersement;
import fr.unedic.cali.asu.dom.EreRevisionConvention2014;
import fr.unedic.cali.asu.dom.EreRevisionSuitePerteActiviteConservee;
import fr.unedic.cali.asu.dom.EreSaisieAntecedent;
import fr.unedic.cali.asu.dom.EreSuiteFinDroitAsp;
import fr.unedic.cali.asu.dom.EreSuiteFinDroitAsr;
import fr.unedic.cali.asu.dom.EreSuiteFinDroitAtp;
import fr.unedic.cali.dom.EvenementReferenceExamenSpec;
import fr.unedic.util.services.ApplicativeRuntimeException;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;
import org.apache.commons.lang.StringUtils;
import xcalia.lido.api.mapper.CustomMapper;

public class EvenementReferenceExamenMultiCustomMapper
  implements CustomMapper
{
  private static final String VALEUR_ERE_DEMANDE_EXPRESSE = "0389";
  private static final String VALEUR_ERE_FIN_DROIT_SUITE_REPRISE_NON_SAISONNIERE = "0390";
  private static final String VALEUR_ERE_INSCRIPTION_DEMANDEUR_EMPLOI = "0392";
  private static final String VALEUR_ERE_PASSAGE_CP_SUITE_REJET_DV = "0393";
  private static final String VALEUR_ERE_REVISION_SUITE_PERTE_ACTIVITE_CONSERVEE = "0607";
  private static final String VALEUR_ERE_FIN_DROIT_SPECTACLE = "0612";
  private static final String VALEUR_ERE_APS_EFE = "0654";
  private static final String VALEUR_ERE_APS_FDD = "0655";
  private static final String VALEUR_ERE_APS_IDE = "0656";
  private static final String VALEUR_ERE_AT_AFD_EFE = "0657";
  private static final String VALEUR_ERE_AT_AFD_FDD = "0658";
  private static final String VALEUR_ERE_AT_AFD_IDE = "0659";
  private static final String VALEUR_ERE_ARE_EFE = "0660";
  private static final String VALEUR_ERE_ASR_SUITE_IDE = "0806";
  private static final String VALEUR_ERE_SUITE_FIN_DROIT_ASR = "0807";
  private static final String VALEUR_ERE_SUITE_FIN_DROIT_ATP = "0848";
  private static final String VALEUR_ERE_IDE_ATP_SUITE_BASCULE = "0849";
  private static final String VALEUR_ERE_IDE_ATP = "0850";
  private static final String VALEUR_ERE_FINANCEMENT = "0851";
  private static final String VALEUR_ERE_ANTECEDENT = "0914";
  private static final String VALEUR_ERE_ANTECEDENT_ASSURANCE_EN_COURS_DOSSIER = "0923";
  private static final String VALEUR_ERE_IDE_ASP = "0988";
  private static final String VALEUR_ERE_SUITE_FIN_DROIT_ASP = "0989";
  private static final String VALEUR_ERE_RECHARGEMENT = "1392";
  private static final String VALEUR_ERE_REVISION_2014 = "1393";
  private static final String VALEUR_ERE_REPRISE_VERSEMENT = "1394";
  private static final String VALEUR_ERE_DV_FIL_EAU = "1437";
  private static final String VALEUR_ERE_CLAUSE_RATTRAPAGE_SPECTACLE = "1459";
  private static final String TYPE = "{type}";
  private static final String DATE = "{date}";
  
  public Object fromStorage(Object obj)
  {
    EvenementReferenceExamenSpec evenementReferenceExamen = null;
    if (obj != null)
    {
      Map subFieldValues = (Map)obj;
      
      String type = (String)subFieldValues.get("{type}");
      Date date = (Date)subFieldValues.get("{date}");
      evenementReferenceExamen = creerInstanceEvenementReferenceExamen(type);
      evenementReferenceExamen.setDateEvenement(Damj.dateVersDamj(date));
    }
    return evenementReferenceExamen;
  }
  
  public Class getStorageType()
  {
    return EvenementReferenceExamenMultiCustomMapper.EvenementReferenceExamenMultiCustomSubTypes.class;
  }
  
  public Object toStorage(Object obj)
  {
    Map valuesToWrite = new HashMap();
    if (obj != null)
    {
      if (!(obj instanceof EreGammeAsu)) {
        throw new ApplicativeRuntimeException("PR_UTIL_L_MAPPING", "Mauvais mapping ! type de classe attendu en paramètre et type effectivement passé en paramètre : fr.unedic.cali.asu.dom.EreGammeAsu " + obj.getClass().getName(), new CoucheLogiqueException("PR_UTIL_L_MAPPING", "Mauvais mapping ! type de classe attendu en paramètre et type effectivement passé en paramètre : fr.unedic.cali.asu.dom.EreGammeAsu  " + obj.getClass().getName()));
      }
      valuesToWrite.put("{date}", Damj.damjVersDate(((EreGammeAsu)obj).getDateEvenement()));
      valuesToWrite.put("{type}", definirTypeObjet((EreGammeAsu)obj));
    }
    else
    {
      valuesToWrite.put("{date}", null);
      valuesToWrite.put("{type}", null);
    }
    return valuesToWrite;
  }
  
  private String definirTypeObjet(EreGammeAsu ereGammeASU)
  {
    if ((ereGammeASU instanceof EreDemandeExpresse)) {
      return "0389";
    }
    if ((ereGammeASU instanceof EreFinDroitSuiteRepriseNonSaisonniere)) {
      return "0390";
    }
    if ((ereGammeASU instanceof EreInscriptionDemandeurEmploi)) {
      return "0392";
    }
    if ((ereGammeASU instanceof ErePassageCPSuiteRejetDV)) {
      return "0393";
    }
    if ((ereGammeASU instanceof EreRevisionSuitePerteActiviteConservee)) {
      return "0607";
    }
    if ((ereGammeASU instanceof EreFinDroitSpectacle)) {
      return "0612";
    }
    if ((ereGammeASU instanceof EreDemandeApsEfe)) {
      return "0654";
    }
    if ((ereGammeASU instanceof EreApsFdd)) {
      return "0655";
    }
    if ((ereGammeASU instanceof EreApsSuiteRejetAsu)) {
      return "0656";
    }
    if ((ereGammeASU instanceof EreDemandeAtAfdEfe)) {
      return "0657";
    }
    if ((ereGammeASU instanceof EreAtAfdFdd)) {
      return "0658";
    }
    if ((ereGammeASU instanceof EreAtAfdSuiteRejetAsu)) {
      return "0659";
    }
    if ((ereGammeASU instanceof EreDemandeAreEfe)) {
      return "0660";
    }
    if ((ereGammeASU instanceof EreAsrSuiteIDE)) {
      return "0806";
    }
    if ((ereGammeASU instanceof EreSuiteFinDroitAsr)) {
      return "0807";
    }
    if ((ereGammeASU instanceof EreSuiteFinDroitAtp)) {
      return "0848";
    }
    if ((ereGammeASU instanceof EreIdeAtpSuiteBascule)) {
      return "0849";
    }
    if ((ereGammeASU instanceof EreIdeAtp)) {
      return "0850";
    }
    if ((ereGammeASU instanceof EreDemandeAssociee)) {
      return "0851";
    }
    if ((ereGammeASU instanceof EreSaisieAntecedent)) {
      return "0914";
    }
    if ((ereGammeASU instanceof EreAntecedentAssuranceEnCoursDossier)) {
      return "0923";
    }
    if ((ereGammeASU instanceof EreAspSuiteIDE)) {
      return "0988";
    }
    if ((ereGammeASU instanceof EreSuiteFinDroitAsp)) {
      return "0989";
    }
    if ((ereGammeASU instanceof EreRechargement)) {
      return "1392";
    }
    if ((ereGammeASU instanceof EreRevisionConvention2014)) {
      return "1393";
    }
    if ((ereGammeASU instanceof EreRepriseVersement)) {
      return "1394";
    }
    if ((ereGammeASU instanceof EreDvAuFilEau)) {
      return "1437";
    }
    if ((ereGammeASU instanceof EreClauseRattrapageSpectacle)) {
      return "1459";
    }
    return null;
  }
  
  private EvenementReferenceExamenSpec creerInstanceEvenementReferenceExamen(String type)
  {
    if (StringUtils.equals(type, "0389")) {
      return new EreDemandeExpresse();
    }
    if (StringUtils.equals(type, "0390")) {
      return new EreFinDroitSuiteRepriseNonSaisonniere();
    }
    if (StringUtils.equals(type, "0392")) {
      return new EreInscriptionDemandeurEmploi();
    }
    if (StringUtils.equals(type, "0393")) {
      return new ErePassageCPSuiteRejetDV();
    }
    if (StringUtils.equals(type, "0607")) {
      return new EreRevisionSuitePerteActiviteConservee();
    }
    if (StringUtils.equals(type, "0612")) {
      return new EreFinDroitSpectacle();
    }
    if (StringUtils.equals(type, "0654")) {
      return new EreDemandeApsEfe();
    }
    if (StringUtils.equals(type, "0655")) {
      return new EreApsFdd();
    }
    if (StringUtils.equals(type, "0656")) {
      return new EreApsSuiteRejetAsu();
    }
    if (StringUtils.equals(type, "0657")) {
      return new EreDemandeAtAfdEfe();
    }
    if (StringUtils.equals(type, "0658")) {
      return new EreAtAfdFdd();
    }
    if (StringUtils.equals(type, "0659")) {
      return new EreAtAfdSuiteRejetAsu();
    }
    if (StringUtils.equals(type, "0660")) {
      return new EreDemandeAreEfe();
    }
    if (StringUtils.equals(type, "0806")) {
      return new EreAsrSuiteIDE();
    }
    if (StringUtils.equals(type, "0807")) {
      return new EreSuiteFinDroitAsr();
    }
    if (StringUtils.equals(type, "0848")) {
      return new EreSuiteFinDroitAtp();
    }
    if (StringUtils.equals(type, "0849")) {
      return new EreIdeAtpSuiteBascule();
    }
    if (StringUtils.equals(type, "0850")) {
      return new EreIdeAtp();
    }
    if (StringUtils.equals(type, "0851")) {
      return new EreDemandeAssociee();
    }
    if (StringUtils.equals(type, "0914")) {
      return new EreSaisieAntecedent();
    }
    if (StringUtils.equals(type, "0923")) {
      return new EreAntecedentAssuranceEnCoursDossier();
    }
    if (StringUtils.equals(type, "0988")) {
      return new EreAspSuiteIDE();
    }
    if (StringUtils.equals(type, "0989")) {
      return new EreSuiteFinDroitAsp();
    }
    if (StringUtils.equals(type, "1392")) {
      return new EreRechargement();
    }
    if (StringUtils.equals(type, "1393")) {
      return new EreRevisionConvention2014();
    }
    if (StringUtils.equals(type, "1394")) {
      return new EreRepriseVersement();
    }
    if (StringUtils.equals(type, "1437")) {
      return new EreDvAuFilEau();
    }
    if (StringUtils.equals(type, "1459")) {
      return new EreClauseRattrapageSpectacle();
    }
    return null;
  }
}

/* Location:
 * Qualified Name:     EvenementReferenceExamenMultiCustomMapper
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */