package fr.unedic.cali.asu.eur05.p01.calcul.outilsfonctionnels;

import fr.unedic.cali.calcul.outilsfonctionnels.dom.ResultatActiviteReduite;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.ObjetChronoPeriodeConcrete;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;
import java.util.Iterator;

public class ActiviteReduite
{
  private static final BigDecimal ZERO = BigDecimal.ZERO;
  
  public static ResultatActiviteReduite genererEvenementActiviteReduite(ChronologiePeriodes p_periodesDecalantesGelantes, ChronologiePeriodes p_periodesSuspensives)
  {
    ResultatActiviteReduite evtRetour = new ResultatActiviteReduite();
    
    BigDecimal cumulJoursARSurUT = ZERO;
    
    ChronologiePeriodes copieChronologiePeriodesDecalantesGelantes = (ChronologiePeriodes)p_periodesDecalantesGelantes.copie();
    if (!copieChronologiePeriodesDecalantesGelantes.estVide()) {
      copieChronologiePeriodesDecalantesGelantes = copieChronologiePeriodesDecalantesGelantes.fusionnerChevauchementPeriodes();
    }
    ChronologiePeriodes copieChronologiePeriodesSuspensives = (ChronologiePeriodes)p_periodesSuspensives.copie();
    if (!copieChronologiePeriodesSuspensives.estVide())
    {
      copieChronologiePeriodesSuspensives = copieChronologiePeriodesSuspensives.fusionnerChevauchementPeriodes();
      Iterator iterator = copieChronologiePeriodesSuspensives.iterer();
      while (iterator.hasNext())
      {
        ObjetChronoPeriode periodeSuspensive = (ObjetChronoPeriode)iterator.next();
        tronquerPeriodesDecalantesGelantes(new Periode(periodeSuspensive.getDateDebut(), periodeSuspensive.getDateFin()), copieChronologiePeriodesDecalantesGelantes);
      }
    }
    cumulJoursARSurUT = calculerNombreJoursActiviteSurUT(copieChronologiePeriodesDecalantesGelantes);
    if (cumulJoursARSurUT != null) {
      evtRetour.setCreditDecalage(cumulJoursARSurUT);
    }
    return evtRetour;
  }
  
  private static void tronquerPeriodesDecalantesGelantes(Periode p_periodeSuspensive, ChronologiePeriodes p_chronologiePeriodesDecalantesGelantes)
  {
    ChronologiePeriodes nouvelleChronologiePeriodesDecalantesGelantes = new ChronologiePeriodes();
    Iterator iterator = p_chronologiePeriodesDecalantesGelantes.iterer();
    while (iterator.hasNext())
    {
      ObjetChronoPeriode periode = (ObjetChronoPeriode)iterator.next();
      if (periode.chevauche(p_periodeSuspensive)) {
        if ((p_periodeSuspensive.getDebut().estApres(periode.getDateDebut())) && (p_periodeSuspensive.getFin().estAvant(periode.getDateFin())))
        {
          iterator.remove();
          nouvelleChronologiePeriodesDecalantesGelantes.ajouter(new ObjetChronoPeriodeConcrete(periode.getDateDebut(), p_periodeSuspensive.getDebut().veille()));
          
          nouvelleChronologiePeriodesDecalantesGelantes.ajouter(new ObjetChronoPeriodeConcrete(p_periodeSuspensive.getFin().lendemain(), periode.getDateFin()));
        }
        else if ((p_periodeSuspensive.getDebut().estAvantOuCoincideAvec(periode.getDateDebut())) && (p_periodeSuspensive.getFin().estApresOuCoincideAvec(periode.getDateFin())))
        {
          iterator.remove();
        }
        else
        {
          if (p_periodeSuspensive.getDebut().estApres(periode.getDateDebut())) {
            periode.setDateFin(p_periodeSuspensive.getDebut().veille());
          }
          if (p_periodeSuspensive.getFin().estAvant(periode.getDateFin())) {
            periode.setDateDebut(p_periodeSuspensive.getFin().lendemain());
          }
        }
      }
    }
    p_chronologiePeriodesDecalantesGelantes.ajouter(nouvelleChronologiePeriodesDecalantesGelantes);
  }
  
  protected static BigDecimal calculerNombreJoursActiviteSurUT(ChronologiePeriodes p_periodesDecalantesGelantes)
  {
    ObjetChronoPeriode periodeDecalanteGelante = null;
    int nombreTotalJoursDecalage = 0;
    if (!p_periodesDecalantesGelantes.estVide())
    {
      p_periodesDecalantesGelantes.iterer();
      while (p_periodesDecalantesGelantes.encoreSuivant())
      {
        periodeDecalanteGelante = (ObjetChronoPeriode)p_periodesDecalantesGelantes.elementSuivant();
        nombreTotalJoursDecalage += periodeDecalanteGelante.getDuree();
      }
    }
    return new BigDecimal(nombreTotalJoursDecalage);
  }
}

/* Location:
 * Qualified Name:     ActiviteReduite
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */