package fr.unedic.cali.asu.fds12.p02.calcul.outisfonctionnels;

import fr.unedic.cali.asu.calcul.outilsfonctionnels.CreationPeriodeNonDeclareeSanction;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Attribution;
import fr.unedic.cali.calcul.dom.SyntheseARsurUT;
import fr.unedic.cali.calcul.dom.UniteTraitement;
import fr.unedic.cali.calcul.dom.periode.DsmTravail;
import fr.unedic.cali.calcul.dom.periode.PeriodePrime;
import fr.unedic.cali.calcul.dom.periode.PeriodeTravailJustifiee;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeCalcul;
import fr.unedic.cali.calcul.outilsfonctionnels.DeterminationActiviteConserveeReprise;
import fr.unedic.cali.calcul.outilsfonctionnels.DeterminerJustificatifsRevenusAR;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.ResultatActiviteReduite;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.UniteMonaitaire;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.UniteDuree;
import java.math.BigDecimal;
import java.util.Collection;

public class TraitementActiviteReduite
  extends fr.unedic.cali.asu.spe02.p03.calcul.outilsfonctionnels.TraitementActiviteReduite
{
  public void traitementPeriodesGelantes(AttributionSpec p_attribution, ChronologiePeriodes p_periodesGelantes, UniteTraitement p_ut)
    throws CoucheLogiqueException
  {
    ChronologiePeriodes periodesGelantesDeclareees = new ChronologiePeriodes();
    ChronologiePeriodes periodesGelantesJustifiees = new ChronologiePeriodes();
    
    boolean traitementActiviteReduite = preTraitementPeriodesGelantes(p_attribution, p_ut, p_periodesGelantes, periodesGelantesDeclareees, periodesGelantesJustifiees);
    if (traitementActiviteReduite)
    {
      if (periodesGelantesJustifiees.getTaille() != 0)
      {
        ResultatActiviteReduite resultatActiviteReduite = appelleActiviteReduite(periodesGelantesJustifiees, p_ut);
        
        postTraitementPeriodesGelantes(p_ut, resultatActiviteReduite);
        
        appliquerRegleSurUTPP(p_ut);
      }
      if (periodesGelantesDeclareees.getTaille() != 0)
      {
        ResultatActiviteReduite resultatActiviteReduite = appelleActiviteReduite(periodesGelantesDeclareees, p_ut);
        postTraitementPeriodesGelantes(p_ut, resultatActiviteReduite);
      }
    }
  }
  
  public void traitementPeriodesDecalantes(AttributionSpec p_attribution, ChronologiePeriodes p_periodesDecalantes, UniteTraitement p_ut)
    throws CoucheLogiqueException
  {
    ChronologiePeriodes periodesDecalantesDeclareees = new ChronologiePeriodes();
    ChronologiePeriodes periodesDecalantesJustifiees = new ChronologiePeriodes();
    ChronologiePeriodes periodeNonDeclareeSanction = null;
    ObjetChronoPeriodeCalcul periodeTravailCalcul = null;
    Chronologie chronoPeriodesConserveesLiq = null;
    
    boolean traitementActiviteReduite = preTraitementPeriodesDecalantes(p_attribution, p_periodesDecalantes, p_ut, periodesDecalantesDeclareees, periodesDecalantesJustifiees, periodeNonDeclareeSanction, periodeTravailCalcul, chronoPeriodesConserveesLiq);
    if (traitementActiviteReduite)
    {
      if (periodesDecalantesJustifiees.getTaille() != 0)
      {
        ResultatActiviteReduite resultatActiviteReduite = appelleActiviteReduite(periodesDecalantesJustifiees, p_ut);
        postTraitementPeriodesDecalantes(p_ut, resultatActiviteReduite);
      }
      if (periodesDecalantesDeclareees.getTaille() != 0)
      {
        ResultatActiviteReduite resultatActiviteReduite = appelleActiviteReduite(periodesDecalantesDeclareees, p_ut);
        
        postTraitementPeriodesDecalantes(p_ut, resultatActiviteReduite);
        
        appliquerRegleSurUTPP(p_ut);
      }
    }
  }
  
  private ResultatActiviteReduite appelleActiviteReduite(ChronologiePeriodes p_periodesEmploi, UniteTraitement p_ut)
    throws CoucheLogiqueException
  {
    DeterminerJustificatifsRevenusAR.traitementRevenusBS(p_periodesEmploi, p_ut.getDateDebut(), null);
    
    return ActiviteReduite.genererEvenementActiviteReduite(p_periodesEmploi);
  }
  
  protected static boolean preTraitementPeriodesDecalantes(AttributionSpec p_attribution, ChronologiePeriodes p_periodesDecalantes, UniteTraitement p_ut, ChronologiePeriodes p_periodesDecalantesDeclareees, ChronologiePeriodes p_periodesDecalantesJustifiees, ChronologiePeriodes p_periodeNonDeclareeSanction, ObjetChronoPeriodeCalcul p_periodeTravailCalcul, Chronologie p_chronoPeriodesConserveesLiq)
    throws CoucheLogiqueException
  {
    boolean traitementActiviteReduite = false;
    switch (p_ut.getStatut())
    {
    case 1: 
    case 2: 
      throw new CoucheLogiqueException("HG_PR_CALI_L_ACTIVITE_REDUITE_STATUT_UT_INATTENDU", "Erreur sur le statut de l'Unité de Traitement lors du traitement de l'activité réduite.", null);
    case 3: 
    case 7: 
      p_periodesDecalantes.iterer();
      while (p_periodesDecalantes.encoreSuivant())
      {
        p_periodeTravailCalcul = (ObjetChronoPeriodeCalcul)p_periodesDecalantes.elementSuivant();
        if (((p_periodeTravailCalcul instanceof PeriodeTravailJustifiee)) || ((p_periodeTravailCalcul instanceof PeriodePrime)))
        {
          p_chronoPeriodesConserveesLiq = ((Attribution)p_attribution).getListeActiviteConservee();
          
          boolean periodeAIgnorer = DeterminationActiviteConserveeReprise.determinerTypeActivite(p_chronoPeriodesConserveesLiq, p_ut, p_periodeTravailCalcul, p_attribution);
          if (!periodeAIgnorer) {
            p_periodesDecalantesJustifiees.ajouter(p_periodeTravailCalcul);
          }
        }
      }
      if (p_periodesDecalantesJustifiees.getTaille() != 0) {
        traitementActiviteReduite = true;
      }
      p_periodeNonDeclareeSanction = CreationPeriodeNonDeclareeSanction.creerPeriodeNonDeclareeSanction(p_attribution.getDemandeur(), p_ut.getDateDebut(), p_periodesDecalantes, false);
      
      ChronologiePeriodes pndSanctionsConverties = new ChronologiePeriodes();
      p_periodeNonDeclareeSanction.iterer();
      while (p_periodeNonDeclareeSanction.encoreSuivant())
      {
        fr.unedic.cali.asu.calcul.dom.periode.PeriodeNonDeclareeSanction pndSanctionAsu = (fr.unedic.cali.asu.calcul.dom.periode.PeriodeNonDeclareeSanction)p_periodeNonDeclareeSanction.elementSuivant();
        fr.unedic.cali.asu.spe02.p03.calcul.dom.periode.PeriodeNonDeclareeSanction pndSanctionProduit = new fr.unedic.cali.asu.spe02.p03.calcul.dom.periode.PeriodeNonDeclareeSanction(pndSanctionAsu);
        
        pndSanctionsConverties.ajouter(pndSanctionProduit);
      }
      if ((p_periodeNonDeclareeSanction != null) && (!p_periodeNonDeclareeSanction.estVide())) {
        p_ut.getListePNDs().add(p_periodeNonDeclareeSanction);
      }
      break;
    case 4: 
      BigDecimal gains = new BigDecimal("0");
      BigDecimal heures = new BigDecimal("0");
      BigDecimal totalNbJourTravail = new BigDecimal("0");
      p_periodesDecalantes.iterer();
      while (p_periodesDecalantes.encoreSuivant())
      {
        p_periodeTravailCalcul = (ObjetChronoPeriodeCalcul)p_periodesDecalantes.elementSuivant();
        if ((p_periodeTravailCalcul instanceof DsmTravail))
        {
          if (((DsmTravail)p_periodeTravailCalcul).getGain() != null) {
            gains = gains.add(((DsmTravail)p_periodeTravailCalcul).getGain());
          }
          if (((DsmTravail)p_periodeTravailCalcul).getNombreHeures() != null) {
            heures = heures.add(((DsmTravail)p_periodeTravailCalcul).getNombreHeures());
          }
          totalNbJourTravail = totalNbJourTravail.add(new BigDecimal(p_periodeTravailCalcul.getDuree()));
        }
      }
      SyntheseARsurUT syntheseARsurUT = p_ut.getSyntheseARsurUT();
      syntheseARsurUT.setTotalGainUtilisePourDecalage(new QuantiteEuro(gains));
      syntheseARsurUT.setTotalHeureUtilisePourDecalage(new QuantiteEuro(heures));
      syntheseARsurUT.setCumulJourDeTravailAR(new Quantite(totalNbJourTravail, p_ut.getUniteParDefautQuantites()));
      break;
    case 6: 
      break;
    case 5: 
      p_periodesDecalantes.iterer();
      while (p_periodesDecalantes.encoreSuivant())
      {
        p_periodeTravailCalcul = (ObjetChronoPeriodeCalcul)p_periodesDecalantes.elementSuivant();
        if ((p_periodeTravailCalcul instanceof DsmTravail)) {
          p_periodesDecalantesDeclareees.ajouter(p_periodeTravailCalcul);
        }
      }
      if (p_periodesDecalantesDeclareees.getTaille() != 0) {
        traitementActiviteReduite = true;
      }
      break;
    default: 
      throw new CoucheLogiqueException("HG_PR_CALI_L_ACTIVITE_REDUITE_STATUT_UT_INATTENDU", "Erreur sur le statut de l'Unité de Traitement lors du traitement de l'activité réduite.", null);
    }
    return traitementActiviteReduite;
  }
  
  protected static void postTraitementPeriodesDecalantes(UniteTraitement p_ut, ResultatActiviteReduite p_resultatActiviteReduite)
    throws CoucheLogiqueException
  {
    p_ut.getSyntheseARsurUT().setTotalGainUtilisePourDecalage(new Quantite(p_resultatActiviteReduite.getGainPrisEnCompte(), UniteMonaitaire.EUROS));
    p_ut.getSyntheseARsurUT().setTotalHeureUtilisePourDecalage(new Quantite(p_resultatActiviteReduite.getNbHeuresPrisesEnCompte(), UniteDuree.HEURE));
    
    p_ut.getSyntheseARsurUT().setCumulJourDeTravailAR(new Quantite(p_resultatActiviteReduite.getCumulJourDeTravail(), UniteDuree.JOUR));
    
    p_ut.getSyntheseARsurUT().setTotalGainActiviteReduiteJustifie(new Quantite(p_resultatActiviteReduite.getCumulGainJustifie(), UniteMonaitaire.EUROS));
    
    p_ut.getSyntheseARsurUT().setTotalNbHeureActiviteReduiteJustifie(new Quantite(p_resultatActiviteReduite.getCumulNbHeuresJustifiees(), UniteDuree.HEURE));
    if (!p_resultatActiviteReduite.isNeutralise())
    {
      Quantite qteDecalage = new Quantite(p_resultatActiviteReduite.getCreditDecalage(), p_ut.getUniteParDefautQuantites());
      p_ut.setCreditDecalage(p_ut.getCreditDecalage() == null ? qteDecalage : p_ut.getCreditDecalage().ajouter(qteDecalage));
    }
    else
    {
      p_ut.setTypeNeutralisation(p_resultatActiviteReduite.getTypeNeutralisation());
    }
    BigDecimal decalageDuree = p_resultatActiviteReduite.getDecalageDuree();
    if (decalageDuree != null)
    {
      Quantite qteDecalageDuree = new Quantite(decalageDuree, p_ut.getUniteParDefautQuantites());
      p_ut.getSyntheseARsurUT().setDecalageDureeUT(qteDecalageDuree);
      Quantite qteDecalageDureeDureeCourant = p_ut.getCreditDecalageDuree();
      if (qteDecalageDureeDureeCourant != null) {
        qteDecalageDuree = qteDecalageDuree.ajouter(qteDecalageDureeDureeCourant);
      }
      p_ut.setCreditDecalageDuree(qteDecalageDuree);
    }
  }
  
  protected static void postTraitementPeriodesGelantes(UniteTraitement p_ut, ResultatActiviteReduite p_resultatActiviteReduite)
  {
    p_ut.setNeutralisee(p_resultatActiviteReduite.isNeutralise());
    p_ut.setTypeNeutralisation(p_resultatActiviteReduite.getTypeNeutralisation());
  }
  
  protected static void appliquerRegleSurUTPP(UniteTraitement p_ut)
  {
    Quantite creditDecalageCalcule = p_ut.getCreditDecalage() != null ? p_ut.getCreditDecalage() : new Quantite(new BigDecimal(0), p_ut.getUniteParDefautQuantites());
    if (!p_ut.isNeutralisee())
    {
      Quantite creditDecalagePP = new Quantite(new BigDecimal(Math.floor(creditDecalageCalcule.getValeur().doubleValue())), creditDecalageCalcule.getUnite());
      
      p_ut.setCreditDecalage(creditDecalagePP);
    }
    else
    {
      p_ut.setCreditDecalage(creditDecalageCalcule);
    }
  }
}

/* Location:
 * Qualified Name:     TraitementActiviteReduite
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */