package fr.unedic.cali.asu.fds12.p03;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.fds12.p02.liquidation.outilsfonctionnels.RecuperationFormuleMontant;
import fr.unedic.cali.asu.fds12.p03.liquidation.dom.FabriqueObjectifExamen;
import fr.unedic.cali.asu.fds12.p03.liquidation.dom.ObjectifExamenAdmission;
import fr.unedic.cali.asu.fps.liquidation.outilsaffiliation.convention2017.ParametresAffiliationConvention2017;
import fr.unedic.cali.asu.fps.liquidation.outilsfonctionnels.convention17.OutilCalculDiffereStandardFps17;
import fr.unedic.cali.asu.fps.liquidation.parcours.ParcoursDeterminationOrdreObjectifs;
import fr.unedic.cali.asu.outilsfonctionnels.VerificationDonneesForcees;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ObjectifExamenSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Pra;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ValidationProduit;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.VerificationDonneesForceesPostLiquidation;
import fr.unedic.cali.asu.spe02.p05.liquidation.dom.FabriqueObjectifExamenSpec;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.ElementBaseIndemnisationSpec;
import fr.unedic.cali.dom.FormuleMontantSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.SalaireJournalierSpec;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuFds12P03;
import fr.unedic.cali.dom.affectation.ValidationProduitSpec;
import fr.unedic.cali.liquidation.outilsfonctionnels.spec.OutilCalculDiffereStandardSpec;
import fr.unedic.cali.parcours.DomLiquidationDemande;
import fr.unedic.cali.parcours.ResultatExecutionCalculSpec;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Parcours;
import fr.unedic.util.services.Resultat;
import fr.unedic.util.temps.CalculDelais;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;
import java.util.List;

public class ProduitDelegue
  extends fr.unedic.cali.asu.spe02.p05.ProduitDelegue
{
  public void determinerOrdreObjectifs(Contexte contexte)
    throws ApplicativeException
  {
    ParcoursDeterminationOrdreObjectifs parcours = new ParcoursDeterminationOrdreObjectifs();
    parcours.effectuerParcours(contexte);
  }
  
  public Object creerObjectifExamen(int sousType, List<ContexteDemandeSpec> contexteDemande)
  {
    FabriqueObjectifExamenSpec fabrique = FabriqueObjectifExamen.getInstance();
    return fabrique.creerObjectif(sousType, contexteDemande);
  }
  
  public ValidationProduitSpec obtenirValidationProduit(ActiviteSalarie activiteSalarie, IndividuSpec individu, DemandeSpec demande, boolean avecPeriodeNonAttestee)
    throws ApplicativeException
  {
    ValidationProduit validationProduit = new ValidationProduit();
    validationProduit.setProduitValide(ProduitAsuFds12P03.getInstance());
    validationProduit.setEstProduitValide(true);
    return validationProduit;
  }
  
  public Resultat traiterReliquat(ResultatExecutionCalculSpec resultatExecutionCalcul, Damj dateEtude)
    throws ApplicativeException
  {
    return fr.unedic.cali.asu.fds12.p02.liquidation.outilsfonctionnels.OutilTraitementReliquat.getInstance().traiterReliquat(resultatExecutionCalcul, dateEtude);
  }
  
  public boolean estUnProduitLevantAlerteA8A10()
  {
    return true;
  }
  
  public void controlerContexteDonneesForceesPostLiquidation(Contexte contexte)
    throws ApplicativeException
  {
    Demande demande = (Demande)((DomLiquidationDemande)contexte.getDonnees()).getDemandeSpec();
    
    VerificationDonneesForceesPostLiquidation.verifierDonneesForceesPostLiquidationSpectacle(demande);
    VerificationDonneesForcees.getInstance().verifierDonneesForceesPostLiquidation(demande);
  }
  
  public SalaireJournalierSpec revaloriserSalaireJournalier(ElementBaseIndemnisationSpec ebi, Damj date)
  {
    return null;
  }
  
  public FormuleMontantSpec getFormuleMontant(String code)
  {
    return RecuperationFormuleMontant.getInstanceFormuleMontant(code);
  }
  
  public Periode determinerPraLaPlusLongue(DemandeSpec demandeCourante, ActiviteSalarie periodeFctCourante)
    throws CoucheLogiqueException
  {
    ParametresAffiliationConvention2017 parametres = new ParametresAffiliationConvention2017();
    Periode periodePra = CalculDelais.determinerDelaiCalendaire(periodeFctCourante.getDateFin(), parametres.determinerDureePeriodeReferenceInitialPourReglement(null));
    return new Pra(periodePra);
  }
  
  public Resultat verifierConditionBeneficeAutreProduit(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenAdmission objectifExamenAdmission = (ObjectifExamenAdmission)recupererObjectifCourant(contexte);
    Parcours parcours = objectifExamenAdmission.creerParcoursConditionBeneficeAutreProduit();
    return effectuerParcours(parcours, contexte);
  }
  
  public Resultat constituerDureeEffective(Contexte contexte)
    throws ApplicativeException
  {
    ObjectifExamenSpec objectifExamen = recupererObjectifCourant(contexte);
    Parcours parcours = objectifExamen.creerParcoursDureeEffective();
    return effectuerParcours(parcours, contexte);
  }
  
  public OutilCalculDiffereStandardSpec getOutilCalculDiffereStandard()
  {
    return new OutilCalculDiffereStandardFps17();
  }
}

/* Location:
 * Qualified Name:     ProduitDelegue
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */