package fr.unedic.cali.asu.mnt;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.mnt.dom.DemandeMaintien;
import fr.unedic.cali.asu.mnt.dom.FormulaireMaintien;
import fr.unedic.cali.asu.mnt.occasionnel.FabriqueExecutionPopulation;
import fr.unedic.cali.asu.mnt.occasionnel.FabriqueTraitementPopulation;
import fr.unedic.cali.asu.mnt.outilsfonctionnels.AlimenterBaseEchanges;
import fr.unedic.cali.asu.mnt.outilsfonctionnels.CREM;
import fr.unedic.cali.asu.mnt.parcours.CreerDemandeMaintien;
import fr.unedic.cali.asu.mnt.parcours.DomLiquidationMaintien;
import fr.unedic.cali.asu.mnt.parcours.FabriquerFormulaireMaintien;
import fr.unedic.cali.asu.mnt.parcours.ParcoursExaminerMaintien;
import fr.unedic.cali.asu.outilsfonctionnels.AlimentationBasePivot;
import fr.unedic.cali.asu.outilsfonctionnels.ControleAnnulerReexamen;
import fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreurMnt;
import fr.unedic.cali.autresdoms.cohab.dom.DonneesAuDJIMigration;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.FormulaireSpec;
import fr.unedic.cali.dom.Individu;
import fr.unedic.cali.dom.affectation.GammeDelegueAbstrait;
import fr.unedic.cali.dom.affectation.GammeMntDelegueSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.dom.echange.Decision;
import fr.unedic.cali.occasionnel.outilsfonctionnels.CriteresExecutionPopulation;
import fr.unedic.cali.occasionnel.outilsfonctionnels.ExecutionPopulationSpec;
import fr.unedic.cali.occasionnel.outilsfonctionnels.FabriqueTraitementPopulationSpec;
import fr.unedic.cali.outilsfonctionnels.IOutilFonctionnelTraitementsErreurs;
import fr.unedic.cali.parcours.DomLiquidationDemande;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.cali.parcours.ParcoursLiquidation;
import fr.unedic.cali.parcours.ResultatMigrationCalculProduit;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Parcours;
import java.util.ArrayList;
import java.util.Hashtable;
import java.util.List;

public class GammeMntDelegue
  extends GammeDelegueAbstrait
  implements GammeMntDelegueSpec
{
  private FabriqueExecutionPopulation fabriqueExecutionPopulation;
  private FabriqueTraitementPopulation fabriqueTraitementPopulation;
  
  public ParcoursLiquidation getParcoursLiquidation(fr.unedic.cali.dom.DemandeSpec demande)
  {
    return new ParcoursExaminerMaintien();
  }
  
  public DomLiquidationDemande creerDomLiquidationDemande()
  {
    return new DomLiquidationMaintien();
  }
  
  public FormulaireSpec creerFormulaire(fr.unedic.cali.autresdoms.cohab.sigma.demande.dom.spec.DemandeSpec demande)
  {
    FormulaireMaintien formulaire = new FormulaireMaintien();
    formulaire.setReferenceExterne(demande.getIdentifiantDemande());
    formulaire.setDateDepot(demande.getDateDepot());
    formulaire.setRsodMaintenu(Integer.toString(demande.getIdentifiantPec()));
    
    super.creerFormulaire(demande, formulaire);
    
    return formulaire;
  }
  
  public Hashtable<String, String> getElementsConstituantVides()
    throws CoucheLogiqueException
  {
    return CREM.getElementsConstitutantVides();
  }
  
  public Hashtable<String, String> getElementsDecisionVides()
    throws CoucheLogiqueException
  {
    return CREM.getElementsDecisionVides();
  }
  
  public Hashtable<String, String> recupererElementsDecision(fr.unedic.cali.dom.DemandeSpec demande)
    throws CoucheLogiqueException
  {
    return CREM.recupererElementsDecision((DemandeMaintien)demande);
  }
  
  public Hashtable<String, String> getElementsDonneesImposeesVides()
    throws CoucheLogiqueException
  {
    return CREM.getElementsDonneesImposeesVides();
  }
  
  public ParcoursCali getParcoursCreationDemande()
  {
    return new CreerDemandeMaintien();
  }
  
  public Parcours getParcoursCreationFormulaire()
  {
    return new FabriquerFormulaireMaintien();
  }
  
  public Hashtable<String, String> recupererDonneesImposees(fr.unedic.cali.dom.DemandeSpec demande)
    throws CoucheLogiqueException
  {
    return CREM.recupererDonneesImposees(demande);
  }
  
  public void alimenterBaseEchanges(fr.unedic.cali.dom.DemandeSpec demande, Decision decision)
    throws ApplicativeException
  {
    AlimenterBaseEchanges.alimenterDonneesGamme(demande, decision);
  }
  
  public void stockerIdDecorSurDemande(fr.unedic.cali.dom.DemandeSpec demande, String idDecor) {}
  
  public void alimenterDomResultatMigrationCalcul(ResultatMigrationCalculProduit resultatMigration, DonneesAuDJIMigration donneeAuDJI) {}
  
  public boolean contientAlerteNonBloquanteProvoquantRemiseEnCause(fr.unedic.cali.dom.DemandeSpec demande)
  {
    return false;
  }
  
  public void enregistrerBasePivot(fr.unedic.cali.dom.DemandeSpec demande)
    throws ApplicativeException
  {
    AlimentationBasePivot.enregistrerBasePivotGamme(demande);
  }
  
  public boolean estDecisionRenoncement(fr.unedic.cali.dom.DemandeSpec demande)
  {
    return false;
  }
  
  public void setTopRenoncementDecision(fr.unedic.cali.dom.DemandeSpec demande, boolean top) {}
  
  public void verifierPossibiliteAnnulerReexamen(fr.unedic.cali.dom.DemandeSpec demande)
    throws CoucheLogiqueException
  {
    ControleAnnulerReexamen.verifierAnnulerReexamen(demande);
  }
  
  public ArrayList getParametres()
  {
    return null;
  }
  
  public boolean estReexecutable(CriteresExecutionPopulation criteres)
  {
    ExecutionPopulationSpec outil = getFabriqueExecutionPopulation().getInstance(criteres.getNomPopulation());
    if (outil != null) {
      return outil.estExecutable(criteres);
    }
    return false;
  }
  
  private FabriqueExecutionPopulation getFabriqueExecutionPopulation()
  {
    if (fabriqueExecutionPopulation == null) {
      fabriqueExecutionPopulation = new FabriqueExecutionPopulation();
    }
    return fabriqueExecutionPopulation;
  }
  
  public void recalculerSurAnnulerReexamen(fr.unedic.cali.dom.DemandeSpec demande)
    throws CoucheLogiqueException
  {}
  
  protected FabriqueTraitementPopulationSpec getFabriqueTraitementPopulation()
  {
    if (fabriqueTraitementPopulation == null) {
      fabriqueTraitementPopulation = new FabriqueTraitementPopulation();
    }
    return fabriqueTraitementPopulation;
  }
  
  public void mettreEnReexamen(fr.unedic.cali.dom.DemandeSpec demande)
    throws CoucheLogiqueException
  {}
  
  public void initialiserDemandeAssociee(Individu individu, fr.unedic.cali.dom.DemandeSpec demande) {}
  
  public ProduitSpec determinerProduitDemandeMaintenue(fr.unedic.cali.dom.DemandeSpec demande)
  {
    if (!(demande instanceof DemandeMaintien)) {
      return null;
    }
    DemandeAssuranceSpec demandeMaintenue = ((DemandeMaintien)demande).getDemandeMaintenue();
    if (demandeMaintenue == null) {
      return null;
    }
    DossierAffectationSpec dossierAffectation = demandeMaintenue.getDossierAffectation();
    if (dossierAffectation == null) {
      return null;
    }
    return dossierAffectation.getProduit();
  }
  
  public void enregistrerBasePivotAides(fr.unedic.cali.dom.DemandeSpec demande)
    throws ApplicativeException, CoucheLogiqueException
  {}
  
  public Class getClassGestionnaireErreur()
  {
    return GestionnaireErreurMnt.getClassInstance();
  }
  
  public void traiterMiseEnReexamen(fr.unedic.cali.dom.DemandeSpec demande, List listeElementsComparaison) {}
  
  public IOutilFonctionnelTraitementsErreurs getOutilFonctionnelTraitementErreurLiquidationAutomatique()
  {
    return null;
  }
  
  public void traitementPostValidation(fr.unedic.cali.dom.DemandeSpec demande)
    throws ApplicativeException
  {}
}

/* Location:
 * Qualified Name:     GammeMntDelegue
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */