package fr.unedic.cali.asu.mnt.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.mnt.dom.pc.ConditionActiviteMaintienPC;
import fr.unedic.cali.dom.ResultatElementDroit;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;

public abstract class ConditionActiviteMaintienGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_conditionActiviteMaintienPC;
  private Quantite m_quantiteActiviteContinueRequise;
  private Quantite m_quantiteActiviteContinueCalculee;
  private Quantite m_quantiteActiviteContinueImposee;
  private Quantite m_quantiteActiviteDiscontinueRequise;
  private Quantite m_quantiteActiviteDiscontinueCalculee;
  private Quantite m_quantiteActiviteDiscontinueImposee;
  private ResultatElementDroit m_resultatElementDroit;
  private Quantite m_quantiteActiviteEmploiSalarieRequise;
  private Quantite m_quantiteActiviteEmploiSalarieCalculee;
  private Quantite m_quantiteActiviteEmploiSalarieImposee;
  private Quantite m_quantiteActiviteIntermittentRequise;
  private Quantite m_quantiteActiviteIntermittentCalculee;
  private Quantite m_quantiteActiviteIntermittentImposee;
  
  public ConditionActiviteMaintienGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConditionActiviteMaintienGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new ConditionActiviteMaintienPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_conditionActiviteMaintienPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_conditionActiviteMaintienPC)
  {
    m_conditionActiviteMaintienPC = p_conditionActiviteMaintienPC;
  }
  
  protected Quantite rawGetQuantiteActiviteContinueRequise()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteContinueRequise();
  }
  
  public Quantite getQuantiteActiviteContinueRequise()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteContinueRequise();
  }
  
  public void setQuantiteActiviteContinueRequise(Quantite p_quantiteActiviteContinueRequise)
  {
    if ((m_quantiteActiviteContinueRequise == null) || (p_quantiteActiviteContinueRequise == null))
    {
      m_quantiteActiviteContinueRequise = p_quantiteActiviteContinueRequise;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteContinueRequise(p_quantiteActiviteContinueRequise);
    }
    else if ((m_quantiteActiviteContinueRequise != null) && (p_quantiteActiviteContinueRequise != null) && (!p_quantiteActiviteContinueRequise.equals(m_quantiteActiviteContinueRequise)))
    {
      m_quantiteActiviteContinueRequise = p_quantiteActiviteContinueRequise;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteContinueRequise(p_quantiteActiviteContinueRequise);
    }
  }
  
  protected Quantite rawGetQuantiteActiviteContinueCalculee()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteContinueCalculee();
  }
  
  public Quantite getQuantiteActiviteContinueCalculee()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteContinueCalculee();
  }
  
  public void setQuantiteActiviteContinueCalculee(Quantite p_quantiteActiviteContinueCalculee)
  {
    if ((m_quantiteActiviteContinueCalculee == null) || (p_quantiteActiviteContinueCalculee == null))
    {
      m_quantiteActiviteContinueCalculee = p_quantiteActiviteContinueCalculee;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteContinueCalculee(p_quantiteActiviteContinueCalculee);
    }
    else if ((m_quantiteActiviteContinueCalculee != null) && (p_quantiteActiviteContinueCalculee != null) && (!p_quantiteActiviteContinueCalculee.equals(m_quantiteActiviteContinueCalculee)))
    {
      m_quantiteActiviteContinueCalculee = p_quantiteActiviteContinueCalculee;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteContinueCalculee(p_quantiteActiviteContinueCalculee);
    }
  }
  
  protected Quantite rawGetQuantiteActiviteContinueImposee()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteContinueImposee();
  }
  
  public Quantite getQuantiteActiviteContinueImposee()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteContinueImposee();
  }
  
  public void setQuantiteActiviteContinueImposee(Quantite p_quantiteActiviteContinueImposee)
  {
    if ((m_quantiteActiviteContinueImposee == null) || (p_quantiteActiviteContinueImposee == null))
    {
      m_quantiteActiviteContinueImposee = p_quantiteActiviteContinueImposee;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteContinueImposee(p_quantiteActiviteContinueImposee);
    }
    else if ((m_quantiteActiviteContinueImposee != null) && (p_quantiteActiviteContinueImposee != null) && (!p_quantiteActiviteContinueImposee.equals(m_quantiteActiviteContinueImposee)))
    {
      m_quantiteActiviteContinueImposee = p_quantiteActiviteContinueImposee;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteContinueImposee(p_quantiteActiviteContinueImposee);
    }
  }
  
  protected Quantite rawGetQuantiteActiviteDiscontinueRequise()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteDiscontinueRequise();
  }
  
  public Quantite getQuantiteActiviteDiscontinueRequise()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteDiscontinueRequise();
  }
  
  public void setQuantiteActiviteDiscontinueRequise(Quantite p_quantiteActiviteDiscontinueRequise)
  {
    if ((m_quantiteActiviteDiscontinueRequise == null) || (p_quantiteActiviteDiscontinueRequise == null))
    {
      m_quantiteActiviteDiscontinueRequise = p_quantiteActiviteDiscontinueRequise;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteDiscontinueRequise(p_quantiteActiviteDiscontinueRequise);
    }
    else if ((m_quantiteActiviteDiscontinueRequise != null) && (p_quantiteActiviteDiscontinueRequise != null) && (!p_quantiteActiviteDiscontinueRequise.equals(m_quantiteActiviteDiscontinueRequise)))
    {
      m_quantiteActiviteDiscontinueRequise = p_quantiteActiviteDiscontinueRequise;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteDiscontinueRequise(p_quantiteActiviteDiscontinueRequise);
    }
  }
  
  protected Quantite rawGetQuantiteActiviteDiscontinueCalculee()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteDiscontinueCalculee();
  }
  
  public Quantite getQuantiteActiviteDiscontinueCalculee()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteDiscontinueCalculee();
  }
  
  public void setQuantiteActiviteDiscontinueCalculee(Quantite p_quantiteActiviteDiscontinueCalculee)
  {
    if ((m_quantiteActiviteDiscontinueCalculee == null) || (p_quantiteActiviteDiscontinueCalculee == null))
    {
      m_quantiteActiviteDiscontinueCalculee = p_quantiteActiviteDiscontinueCalculee;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteDiscontinueCalculee(p_quantiteActiviteDiscontinueCalculee);
    }
    else if ((m_quantiteActiviteDiscontinueCalculee != null) && (p_quantiteActiviteDiscontinueCalculee != null) && (!p_quantiteActiviteDiscontinueCalculee.equals(m_quantiteActiviteDiscontinueCalculee)))
    {
      m_quantiteActiviteDiscontinueCalculee = p_quantiteActiviteDiscontinueCalculee;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteDiscontinueCalculee(p_quantiteActiviteDiscontinueCalculee);
    }
  }
  
  protected Quantite rawGetQuantiteActiviteDiscontinueImposee()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteDiscontinueImposee();
  }
  
  public Quantite getQuantiteActiviteDiscontinueImposee()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteDiscontinueImposee();
  }
  
  public void setQuantiteActiviteDiscontinueImposee(Quantite p_quantiteActiviteDiscontinueImposee)
  {
    if ((m_quantiteActiviteDiscontinueImposee == null) || (p_quantiteActiviteDiscontinueImposee == null))
    {
      m_quantiteActiviteDiscontinueImposee = p_quantiteActiviteDiscontinueImposee;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteDiscontinueImposee(p_quantiteActiviteDiscontinueImposee);
    }
    else if ((m_quantiteActiviteDiscontinueImposee != null) && (p_quantiteActiviteDiscontinueImposee != null) && (!p_quantiteActiviteDiscontinueImposee.equals(m_quantiteActiviteDiscontinueImposee)))
    {
      m_quantiteActiviteDiscontinueImposee = p_quantiteActiviteDiscontinueImposee;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteDiscontinueImposee(p_quantiteActiviteDiscontinueImposee);
    }
  }
  
  public ResultatElementDroit getResultatElementDroit()
  {
    if (m_resultatElementDroit == null)
    {
      DomPCSpec resultatElementDroitPC = ((ConditionActiviteMaintienPC)getPC()).getResultatElementDroit();
      if (resultatElementDroitPC != null) {
        m_resultatElementDroit = ((ResultatElementDroit)resultatElementDroitPC.createOM());
      }
    }
    return m_resultatElementDroit;
  }
  
  public void setResultatElementDroit(ResultatElementDroit p_resultatElementDroit)
  {
    if (p_resultatElementDroit == null)
    {
      ((ConditionActiviteMaintienPC)getPC()).setResultatElementDroit(null);
      m_resultatElementDroit = p_resultatElementDroit;
    }
    else if (!p_resultatElementDroit.equals(m_resultatElementDroit))
    {
      ((ConditionActiviteMaintienPC)getPC()).setResultatElementDroit(p_resultatElementDroit.getPC());
      m_resultatElementDroit = p_resultatElementDroit;
    }
  }
  
  protected Quantite rawGetQuantiteActiviteEmploiSalarieRequise()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteEmploiSalarieRequise();
  }
  
  public Quantite getQuantiteActiviteEmploiSalarieRequise()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteEmploiSalarieRequise();
  }
  
  public void setQuantiteActiviteEmploiSalarieRequise(Quantite p_quantiteActiviteEmploiSalarieRequise)
  {
    if ((m_quantiteActiviteEmploiSalarieRequise == null) || (p_quantiteActiviteEmploiSalarieRequise == null))
    {
      m_quantiteActiviteEmploiSalarieRequise = p_quantiteActiviteEmploiSalarieRequise;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteEmploiSalarieRequise(p_quantiteActiviteEmploiSalarieRequise);
    }
    else if ((m_quantiteActiviteEmploiSalarieRequise != null) && (p_quantiteActiviteEmploiSalarieRequise != null) && (!p_quantiteActiviteEmploiSalarieRequise.equals(m_quantiteActiviteEmploiSalarieRequise)))
    {
      m_quantiteActiviteEmploiSalarieRequise = p_quantiteActiviteEmploiSalarieRequise;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteEmploiSalarieRequise(p_quantiteActiviteEmploiSalarieRequise);
    }
  }
  
  protected Quantite rawGetQuantiteActiviteEmploiSalarieCalculee()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteEmploiSalarieCalculee();
  }
  
  public Quantite getQuantiteActiviteEmploiSalarieCalculee()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteEmploiSalarieCalculee();
  }
  
  public void setQuantiteActiviteEmploiSalarieCalculee(Quantite p_quantiteActiviteEmploiSalarieCalculee)
  {
    if ((m_quantiteActiviteEmploiSalarieCalculee == null) || (p_quantiteActiviteEmploiSalarieCalculee == null))
    {
      m_quantiteActiviteEmploiSalarieCalculee = p_quantiteActiviteEmploiSalarieCalculee;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteEmploiSalarieCalculee(p_quantiteActiviteEmploiSalarieCalculee);
    }
    else if ((m_quantiteActiviteEmploiSalarieCalculee != null) && (p_quantiteActiviteEmploiSalarieCalculee != null) && (!p_quantiteActiviteEmploiSalarieCalculee.equals(m_quantiteActiviteEmploiSalarieCalculee)))
    {
      m_quantiteActiviteEmploiSalarieCalculee = p_quantiteActiviteEmploiSalarieCalculee;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteEmploiSalarieCalculee(p_quantiteActiviteEmploiSalarieCalculee);
    }
  }
  
  protected Quantite rawGetQuantiteActiviteEmploiSalarieImposee()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteEmploiSalarieImposee();
  }
  
  public Quantite getQuantiteActiviteEmploiSalarieImposee()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteEmploiSalarieImposee();
  }
  
  public void setQuantiteActiviteEmploiSalarieImposee(Quantite p_quantiteActiviteEmploiSalarieImposee)
  {
    if ((m_quantiteActiviteEmploiSalarieImposee == null) || (p_quantiteActiviteEmploiSalarieImposee == null))
    {
      m_quantiteActiviteEmploiSalarieImposee = p_quantiteActiviteEmploiSalarieImposee;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteEmploiSalarieImposee(p_quantiteActiviteEmploiSalarieImposee);
    }
    else if ((m_quantiteActiviteEmploiSalarieImposee != null) && (p_quantiteActiviteEmploiSalarieImposee != null) && (!p_quantiteActiviteEmploiSalarieImposee.equals(m_quantiteActiviteEmploiSalarieImposee)))
    {
      m_quantiteActiviteEmploiSalarieImposee = p_quantiteActiviteEmploiSalarieImposee;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteEmploiSalarieImposee(p_quantiteActiviteEmploiSalarieImposee);
    }
  }
  
  protected Quantite rawGetQuantiteActiviteIntermittentRequise()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteIntermittentRequise();
  }
  
  public Quantite getQuantiteActiviteIntermittentRequise()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteIntermittentRequise();
  }
  
  public void setQuantiteActiviteIntermittentRequise(Quantite p_quantiteActiviteIntermittentRequise)
  {
    if ((m_quantiteActiviteIntermittentRequise == null) || (p_quantiteActiviteIntermittentRequise == null))
    {
      m_quantiteActiviteIntermittentRequise = p_quantiteActiviteIntermittentRequise;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteIntermittentRequise(p_quantiteActiviteIntermittentRequise);
    }
    else if ((m_quantiteActiviteIntermittentRequise != null) && (p_quantiteActiviteIntermittentRequise != null) && (!p_quantiteActiviteIntermittentRequise.equals(m_quantiteActiviteIntermittentRequise)))
    {
      m_quantiteActiviteIntermittentRequise = p_quantiteActiviteIntermittentRequise;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteIntermittentRequise(p_quantiteActiviteIntermittentRequise);
    }
  }
  
  protected Quantite rawGetQuantiteActiviteIntermittentCalculee()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteIntermittentCalculee();
  }
  
  public Quantite getQuantiteActiviteIntermittentCalculee()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteIntermittentCalculee();
  }
  
  public void setQuantiteActiviteIntermittentCalculee(Quantite p_quantiteActiviteIntermittentCalculee)
  {
    if ((m_quantiteActiviteIntermittentCalculee == null) || (p_quantiteActiviteIntermittentCalculee == null))
    {
      m_quantiteActiviteIntermittentCalculee = p_quantiteActiviteIntermittentCalculee;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteIntermittentCalculee(p_quantiteActiviteIntermittentCalculee);
    }
    else if ((m_quantiteActiviteIntermittentCalculee != null) && (p_quantiteActiviteIntermittentCalculee != null) && (!p_quantiteActiviteIntermittentCalculee.equals(m_quantiteActiviteIntermittentCalculee)))
    {
      m_quantiteActiviteIntermittentCalculee = p_quantiteActiviteIntermittentCalculee;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteIntermittentCalculee(p_quantiteActiviteIntermittentCalculee);
    }
  }
  
  protected Quantite rawGetQuantiteActiviteIntermittentImposee()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteIntermittentImposee();
  }
  
  public Quantite getQuantiteActiviteIntermittentImposee()
  {
    return ((ConditionActiviteMaintienPC)getPC()).getQuantiteActiviteIntermittentImposee();
  }
  
  public void setQuantiteActiviteIntermittentImposee(Quantite p_quantiteActiviteIntermittentImposee)
  {
    if ((m_quantiteActiviteIntermittentImposee == null) || (p_quantiteActiviteIntermittentImposee == null))
    {
      m_quantiteActiviteIntermittentImposee = p_quantiteActiviteIntermittentImposee;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteIntermittentImposee(p_quantiteActiviteIntermittentImposee);
    }
    else if ((m_quantiteActiviteIntermittentImposee != null) && (p_quantiteActiviteIntermittentImposee != null) && (!p_quantiteActiviteIntermittentImposee.equals(m_quantiteActiviteIntermittentImposee)))
    {
      m_quantiteActiviteIntermittentImposee = p_quantiteActiviteIntermittentImposee;
      ((ConditionActiviteMaintienPC)getPC()).setQuantiteActiviteIntermittentImposee(p_quantiteActiviteIntermittentImposee);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    Object resultatElementDroit = getResultatElementDroit();
    if ((resultatElementDroit != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(resultatElementDroit))) {
      DomManager.supprimer(getResultatElementDroit(), p_contexteSuppression);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConditionActiviteMaintienGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */