package fr.unedic.cali.asu.mnt.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.mnt.dom.DonneesForcees;
import fr.unedic.cali.asu.mnt.dom.DossierExamen;
import fr.unedic.cali.asu.mnt.dom.pc.DemandeMaintienPC;
import fr.unedic.cali.dom.ClassementAdministratif;
import fr.unedic.cali.dom.DemandeAbstraite;
import fr.unedic.cali.dom.EvenementReferenceExamenSpec;
import fr.unedic.cali.dom.FormulaireSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.Damj;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;

public abstract class DemandeMaintienGen
  extends DemandeAbstraite
  implements DomGenSpec
{
  private Quantite m_quantiteJourReliquat = null;
  private DossierExamen m_dossierExamen = null;
  private DonneesForcees m_donneesForcees = null;
  private ClassementAdministratif m_classementAdministratif = null;
  private String m_motifReexamenPrincipal;
  private FormulaireSpec m_formulaire = null;
  private DemandeAssuranceSpec m_demandeMaintenue = null;
  private Damj m_datePremiereValidation;
  private Damj m_dateDerniereValidation;
  private EvenementReferenceExamenSpec m_evenementReferenceExamen;
  private Damj m_dateAnnulationReexamen;
  private Collection m_listeMotifsReexamen = null;
  
  public DemandeMaintienGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public DemandeMaintienGen() {}
  
  protected DomPCSpec createPC()
  {
    return new DemandeMaintienPC();
  }
  
  protected Quantite rawGetQuantiteJourReliquat()
  {
    return ((DemandeMaintienPC)getPC()).getQuantiteJourReliquat();
  }
  
  public Quantite getQuantiteJourReliquat()
  {
    return ((DemandeMaintienPC)getPC()).getQuantiteJourReliquat();
  }
  
  public void setQuantiteJourReliquat(Quantite p_quantiteJourReliquat)
  {
    if ((m_quantiteJourReliquat == null) || (p_quantiteJourReliquat == null))
    {
      m_quantiteJourReliquat = p_quantiteJourReliquat;
      ((DemandeMaintienPC)getPC()).setQuantiteJourReliquat(p_quantiteJourReliquat);
    }
    else if ((m_quantiteJourReliquat != null) && (p_quantiteJourReliquat != null) && (!p_quantiteJourReliquat.equals(m_quantiteJourReliquat)))
    {
      m_quantiteJourReliquat = p_quantiteJourReliquat;
      ((DemandeMaintienPC)getPC()).setQuantiteJourReliquat(p_quantiteJourReliquat);
    }
  }
  
  public DossierExamen getDossierExamen()
  {
    if (m_dossierExamen == null)
    {
      DomPCSpec dossierExamenPC = ((DemandeMaintienPC)getPC()).getDossierExamen();
      if (dossierExamenPC != null) {
        m_dossierExamen = ((DossierExamen)dossierExamenPC.createOM());
      }
    }
    return m_dossierExamen;
  }
  
  public void setDossierExamen(DossierExamen p_dossierExamen)
  {
    if (p_dossierExamen == null)
    {
      ((DemandeMaintienPC)getPC()).setDossierExamen(null);
      m_dossierExamen = p_dossierExamen;
    }
    else if (!p_dossierExamen.equals(m_dossierExamen))
    {
      ((DemandeMaintienPC)getPC()).setDossierExamen(p_dossierExamen.getPC());
      m_dossierExamen = p_dossierExamen;
    }
  }
  
  public DonneesForcees getDonneesForcees()
  {
    if (m_donneesForcees == null)
    {
      DomPCSpec donneesForceesPC = ((DemandeMaintienPC)getPC()).getDonneesForcees();
      if (donneesForceesPC != null) {
        m_donneesForcees = ((DonneesForcees)donneesForceesPC.createOM());
      }
    }
    return m_donneesForcees;
  }
  
  public void setDonneesForcees(DonneesForcees p_donneesForcees)
  {
    if (p_donneesForcees == null)
    {
      ((DemandeMaintienPC)getPC()).setDonneesForcees(null);
      m_donneesForcees = p_donneesForcees;
    }
    else if (!p_donneesForcees.equals(m_donneesForcees))
    {
      ((DemandeMaintienPC)getPC()).setDonneesForcees(p_donneesForcees.getPC());
      m_donneesForcees = p_donneesForcees;
    }
  }
  
  public ClassementAdministratif getClassementAdministratif()
  {
    if (m_classementAdministratif == null)
    {
      DomPCSpec classementAdministratifPC = ((DemandeMaintienPC)getPC()).getClassementAdministratif();
      if (classementAdministratifPC != null) {
        m_classementAdministratif = ((ClassementAdministratif)classementAdministratifPC.createOM());
      }
    }
    return m_classementAdministratif;
  }
  
  public void setClassementAdministratif(ClassementAdministratif p_classementAdministratif)
  {
    if (p_classementAdministratif == null)
    {
      ((DemandeMaintienPC)getPC()).setClassementAdministratif(null);
      m_classementAdministratif = p_classementAdministratif;
    }
    else if (!p_classementAdministratif.equals(m_classementAdministratif))
    {
      ((DemandeMaintienPC)getPC()).setClassementAdministratif(p_classementAdministratif.getPC());
      m_classementAdministratif = p_classementAdministratif;
    }
  }
  
  protected String rawGetMotifReexamenPrincipal()
  {
    return ((DemandeMaintienPC)getPC()).getMotifReexamenPrincipal();
  }
  
  public String getMotifReexamenPrincipal()
  {
    return ((DemandeMaintienPC)getPC()).getMotifReexamenPrincipal();
  }
  
  public void setMotifReexamenPrincipal(String p_motifReexamenPrincipal)
  {
    if ((m_motifReexamenPrincipal == null) || (p_motifReexamenPrincipal == null))
    {
      m_motifReexamenPrincipal = p_motifReexamenPrincipal;
      ((DemandeMaintienPC)getPC()).setMotifReexamenPrincipal(p_motifReexamenPrincipal);
    }
    else if ((m_motifReexamenPrincipal != null) && (p_motifReexamenPrincipal != null) && (!p_motifReexamenPrincipal.equals(m_motifReexamenPrincipal)))
    {
      m_motifReexamenPrincipal = p_motifReexamenPrincipal;
      ((DemandeMaintienPC)getPC()).setMotifReexamenPrincipal(p_motifReexamenPrincipal);
    }
  }
  
  public FormulaireSpec getFormulaire()
  {
    if (m_formulaire == null)
    {
      DomPCSpec formulairePC = ((DemandeMaintienPC)getPC()).getFormulaire();
      if (formulairePC != null) {
        m_formulaire = ((FormulaireSpec)formulairePC.createOM());
      }
    }
    return m_formulaire;
  }
  
  public void setFormulaire(FormulaireSpec p_formulaire)
  {
    if (p_formulaire == null)
    {
      ((DemandeMaintienPC)getPC()).setFormulaire(null);
      m_formulaire = p_formulaire;
    }
    else if (!p_formulaire.equals(m_formulaire))
    {
      ((DemandeMaintienPC)getPC()).setFormulaire(((DomGenSpec)p_formulaire).getPC());
      m_formulaire = p_formulaire;
    }
  }
  
  public DemandeAssuranceSpec getDemandeMaintenue()
  {
    if (m_demandeMaintenue == null)
    {
      DomPCSpec demandeMaintenuePC = ((DemandeMaintienPC)getPC()).getDemandeMaintenue();
      if (demandeMaintenuePC != null) {
        m_demandeMaintenue = ((DemandeAssuranceSpec)demandeMaintenuePC.createOM());
      }
    }
    return m_demandeMaintenue;
  }
  
  public void setDemandeMaintenue(DemandeAssuranceSpec p_demandeMaintenue)
  {
    if (p_demandeMaintenue == null)
    {
      ((DemandeMaintienPC)getPC()).setDemandeMaintenue(null);
      m_demandeMaintenue = p_demandeMaintenue;
    }
    else if (!p_demandeMaintenue.equals(m_demandeMaintenue))
    {
      ((DemandeMaintienPC)getPC()).setDemandeMaintenue(((DomGenSpec)p_demandeMaintenue).getPC());
      m_demandeMaintenue = p_demandeMaintenue;
    }
  }
  
  protected int rawGetEstMigree()
  {
    return ((DemandeMaintienPC)getPC()).getEstMigree();
  }
  
  public int getEstMigree()
  {
    return ((DemandeMaintienPC)getPC()).getEstMigree();
  }
  
  public void setEstMigree(int p_estMigree)
  {
    ((DemandeMaintienPC)getPC()).setEstMigree(p_estMigree);
  }
  
  protected boolean rawIsEstDeneutralisable()
  {
    return ((DemandeMaintienPC)getPC()).isEstDeneutralisable();
  }
  
  public boolean isEstDeneutralisable()
  {
    return ((DemandeMaintienPC)getPC()).isEstDeneutralisable();
  }
  
  public void setEstDeneutralisable(boolean p_estDeneutralisable)
  {
    ((DemandeMaintienPC)getPC()).setEstDeneutralisable(p_estDeneutralisable);
  }
  
  protected boolean rawIsEstNeutraliseeLiquidation()
  {
    return ((DemandeMaintienPC)getPC()).isEstNeutraliseeLiquidation();
  }
  
  public boolean isEstNeutraliseeLiquidation()
  {
    return ((DemandeMaintienPC)getPC()).isEstNeutraliseeLiquidation();
  }
  
  public void setEstNeutraliseeLiquidation(boolean p_estNeutraliseeLiquidation)
  {
    ((DemandeMaintienPC)getPC()).setEstNeutraliseeLiquidation(p_estNeutraliseeLiquidation);
  }
  
  protected boolean rawIsEstNeutraliseeCalcul()
  {
    return ((DemandeMaintienPC)getPC()).isEstNeutraliseeCalcul();
  }
  
  public boolean isEstNeutraliseeCalcul()
  {
    return ((DemandeMaintienPC)getPC()).isEstNeutraliseeCalcul();
  }
  
  public void setEstNeutraliseeCalcul(boolean p_estNeutraliseeCalcul)
  {
    ((DemandeMaintienPC)getPC()).setEstNeutraliseeCalcul(p_estNeutraliseeCalcul);
  }
  
  protected boolean rawIsEstLiquidable()
  {
    return ((DemandeMaintienPC)getPC()).isEstLiquidable();
  }
  
  public boolean isEstLiquidable()
  {
    return ((DemandeMaintienPC)getPC()).isEstLiquidable();
  }
  
  public void setEstLiquidable(boolean p_estLiquidable)
  {
    ((DemandeMaintienPC)getPC()).setEstLiquidable(p_estLiquidable);
  }
  
  protected Damj rawGetDatePremiereValidation()
  {
    return ((DemandeMaintienPC)getPC()).getDatePremiereValidation();
  }
  
  public Damj getDatePremiereValidation()
  {
    return ((DemandeMaintienPC)getPC()).getDatePremiereValidation();
  }
  
  public void setDatePremiereValidation(Damj p_datePremiereValidation)
  {
    if ((m_datePremiereValidation == null) || (p_datePremiereValidation == null))
    {
      m_datePremiereValidation = p_datePremiereValidation;
      ((DemandeMaintienPC)getPC()).setDatePremiereValidation(p_datePremiereValidation);
    }
    else if ((m_datePremiereValidation != null) && (p_datePremiereValidation != null) && (!p_datePremiereValidation.equals(m_datePremiereValidation)))
    {
      m_datePremiereValidation = p_datePremiereValidation;
      ((DemandeMaintienPC)getPC()).setDatePremiereValidation(p_datePremiereValidation);
    }
  }
  
  protected Damj rawGetDateDerniereValidation()
  {
    return ((DemandeMaintienPC)getPC()).getDateDerniereValidation();
  }
  
  public Damj getDateDerniereValidation()
  {
    return ((DemandeMaintienPC)getPC()).getDateDerniereValidation();
  }
  
  public void setDateDerniereValidation(Damj p_dateDerniereValidation)
  {
    if ((m_dateDerniereValidation == null) || (p_dateDerniereValidation == null))
    {
      m_dateDerniereValidation = p_dateDerniereValidation;
      ((DemandeMaintienPC)getPC()).setDateDerniereValidation(p_dateDerniereValidation);
    }
    else if ((m_dateDerniereValidation != null) && (p_dateDerniereValidation != null) && (!p_dateDerniereValidation.equals(m_dateDerniereValidation)))
    {
      m_dateDerniereValidation = p_dateDerniereValidation;
      ((DemandeMaintienPC)getPC()).setDateDerniereValidation(p_dateDerniereValidation);
    }
  }
  
  public EvenementReferenceExamenSpec getEvenementReferenceExamen()
  {
    if (m_evenementReferenceExamen == null)
    {
      DomPCSpec evenementReferenceExamenPC = ((DemandeMaintienPC)getPC()).getEvenementReferenceExamen();
      if (evenementReferenceExamenPC != null) {
        m_evenementReferenceExamen = ((EvenementReferenceExamenSpec)evenementReferenceExamenPC.createOM());
      }
    }
    return m_evenementReferenceExamen;
  }
  
  public void setEvenementReferenceExamen(EvenementReferenceExamenSpec p_evenementReferenceExamen)
  {
    if (p_evenementReferenceExamen == null)
    {
      ((DemandeMaintienPC)getPC()).setEvenementReferenceExamen(null);
      m_evenementReferenceExamen = p_evenementReferenceExamen;
    }
    else if (!p_evenementReferenceExamen.equals(m_evenementReferenceExamen))
    {
      ((DemandeMaintienPC)getPC()).setEvenementReferenceExamen(((DomGenSpec)p_evenementReferenceExamen).getPC());
      m_evenementReferenceExamen = p_evenementReferenceExamen;
    }
  }
  
  protected Damj rawGetDateAnnulationReexamen()
  {
    return ((DemandeMaintienPC)getPC()).getDateAnnulationReexamen();
  }
  
  public Damj getDateAnnulationReexamen()
  {
    return ((DemandeMaintienPC)getPC()).getDateAnnulationReexamen();
  }
  
  public void setDateAnnulationReexamen(Damj p_dateAnnulationReexamen)
  {
    if ((m_dateAnnulationReexamen == null) || (p_dateAnnulationReexamen == null))
    {
      m_dateAnnulationReexamen = p_dateAnnulationReexamen;
      ((DemandeMaintienPC)getPC()).setDateAnnulationReexamen(p_dateAnnulationReexamen);
    }
    else if ((m_dateAnnulationReexamen != null) && (p_dateAnnulationReexamen != null) && (!p_dateAnnulationReexamen.equals(m_dateAnnulationReexamen)))
    {
      m_dateAnnulationReexamen = p_dateAnnulationReexamen;
      ((DemandeMaintienPC)getPC()).setDateAnnulationReexamen(p_dateAnnulationReexamen);
    }
  }
  
  private final Collection getCollectionModifiableMotifReexamen()
  {
    return ((DemandeMaintienPC)getPC()).getCollectionMotifReexamen();
  }
  
  public Collection getCollectionMotifReexamen()
  {
    return Collections.unmodifiableCollection(getCollectionModifiableMotifReexamen());
  }
  
  public List getListMotifReexamen()
  {
    return Collections.unmodifiableList((List)getCollectionModifiableMotifReexamen());
  }
  
  public void remplacerCollectionMotifReexamen(Collection p_collectionACopier)
  {
    clearCollectionMotifReexamen();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      String objet = (String)i.next();
      ajouterMotifReexamen(objet);
    }
  }
  
  public void supprimerSousCollectionMotifReexamen(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      String objet = (String)i.next();
      supprimerMotifReexamen(objet);
    }
  }
  
  public void ajouterMotifReexamen(String p_motifReexamen)
    throws NullPointerException
  {
    if (p_motifReexamen == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_motifReexamen ne devrait pas être nul.", p_motifReexamen);
    }
    getCollectionModifiableMotifReexamen().add(p_motifReexamen);
    ((DemandeMaintienPC)getPC()).ajouterMotifReexamen(p_motifReexamen);
  }
  
  public void supprimerMotifReexamen(String p_motifReexamen)
    throws NullPointerException
  {
    if (p_motifReexamen == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_motifReexamen ne devrait pas être nul.", p_motifReexamen);
    }
    getCollectionModifiableMotifReexamen().remove(p_motifReexamen);
    ((DemandeMaintienPC)getPC()).supprimerMotifReexamen(p_motifReexamen);
  }
  
  public void recopierCollectionMotifReexamenVers(ObjetMetierSpec p_copie)
  {
    DemandeMaintienGen copie = (DemandeMaintienGen)p_copie;
    Collection listeACopier = getCollectionMotifReexamen();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      String objet = (String)i.next();
      copie.ajouterMotifReexamen(objet);
    }
  }
  
  public void clearCollectionMotifReexamen()
  {
    getCollectionModifiableMotifReexamen().clear();
    ((DemandeMaintienPC)getPC()).getCollectionMotifReexamen().clear();
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
    
    Object dossierExamen = getDossierExamen();
    if ((dossierExamen != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(dossierExamen))) {
      DomManager.supprimer(getDossierExamen(), p_contexteSuppression);
    }
    Object donneesForcees = getDonneesForcees();
    if ((donneesForcees != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(donneesForcees))) {
      DomManager.supprimer(getDonneesForcees(), p_contexteSuppression);
    }
    Object classementAdministratif = getClassementAdministratif();
    if ((classementAdministratif != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(classementAdministratif))) {
      DomManager.supprimer(getClassementAdministratif(), p_contexteSuppression);
    }
    Object formulaire = getFormulaire();
    if ((formulaire != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(formulaire))) {
      DomManager.supprimer(getFormulaire(), p_contexteSuppression);
    }
    Object demandeMaintenue = getDemandeMaintenue();
    if ((demandeMaintenue != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(demandeMaintenue))) {
      DomManager.supprimer(getDemandeMaintenue(), p_contexteSuppression);
    }
    Object evenementReferenceExamen = getEvenementReferenceExamen();
    if ((evenementReferenceExamen != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(evenementReferenceExamen))) {
      DomManager.supprimer(getEvenementReferenceExamen(), p_contexteSuppression);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     DemandeMaintienGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */