package fr.unedic.cali.asu.mnt.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.mnt.dom.pc.DonneesForceesPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;

public abstract class DonneesForceesGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_donneesForceesPC;
  private Quantite m_quantiteAppartenance;
  private Quantite m_quantiteActiviteTroisAns;
  private Quantite m_quantiteActiviteCinqAns;
  
  public DonneesForceesGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public DonneesForceesGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new DonneesForceesPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_donneesForceesPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_donneesForceesPC)
  {
    m_donneesForceesPC = p_donneesForceesPC;
  }
  
  protected Quantite rawGetQuantiteAppartenance()
  {
    return ((DonneesForceesPC)getPC()).getQuantiteAppartenance();
  }
  
  public Quantite getQuantiteAppartenance()
  {
    return ((DonneesForceesPC)getPC()).getQuantiteAppartenance();
  }
  
  public void setQuantiteAppartenance(Quantite p_quantiteAppartenance)
  {
    if ((m_quantiteAppartenance == null) || (p_quantiteAppartenance == null))
    {
      m_quantiteAppartenance = p_quantiteAppartenance;
      ((DonneesForceesPC)getPC()).setQuantiteAppartenance(p_quantiteAppartenance);
    }
    else if ((m_quantiteAppartenance != null) && (p_quantiteAppartenance != null) && (!p_quantiteAppartenance.equals(m_quantiteAppartenance)))
    {
      m_quantiteAppartenance = p_quantiteAppartenance;
      ((DonneesForceesPC)getPC()).setQuantiteAppartenance(p_quantiteAppartenance);
    }
  }
  
  protected Quantite rawGetQuantiteActiviteTroisAns()
  {
    return ((DonneesForceesPC)getPC()).getQuantiteActiviteTroisAns();
  }
  
  public Quantite getQuantiteActiviteTroisAns()
  {
    return ((DonneesForceesPC)getPC()).getQuantiteActiviteTroisAns();
  }
  
  public void setQuantiteActiviteTroisAns(Quantite p_quantiteActiviteTroisAns)
  {
    if ((m_quantiteActiviteTroisAns == null) || (p_quantiteActiviteTroisAns == null))
    {
      m_quantiteActiviteTroisAns = p_quantiteActiviteTroisAns;
      ((DonneesForceesPC)getPC()).setQuantiteActiviteTroisAns(p_quantiteActiviteTroisAns);
    }
    else if ((m_quantiteActiviteTroisAns != null) && (p_quantiteActiviteTroisAns != null) && (!p_quantiteActiviteTroisAns.equals(m_quantiteActiviteTroisAns)))
    {
      m_quantiteActiviteTroisAns = p_quantiteActiviteTroisAns;
      ((DonneesForceesPC)getPC()).setQuantiteActiviteTroisAns(p_quantiteActiviteTroisAns);
    }
  }
  
  protected Quantite rawGetQuantiteActiviteCinqAns()
  {
    return ((DonneesForceesPC)getPC()).getQuantiteActiviteCinqAns();
  }
  
  public Quantite getQuantiteActiviteCinqAns()
  {
    return ((DonneesForceesPC)getPC()).getQuantiteActiviteCinqAns();
  }
  
  public void setQuantiteActiviteCinqAns(Quantite p_quantiteActiviteCinqAns)
  {
    if ((m_quantiteActiviteCinqAns == null) || (p_quantiteActiviteCinqAns == null))
    {
      m_quantiteActiviteCinqAns = p_quantiteActiviteCinqAns;
      ((DonneesForceesPC)getPC()).setQuantiteActiviteCinqAns(p_quantiteActiviteCinqAns);
    }
    else if ((m_quantiteActiviteCinqAns != null) && (p_quantiteActiviteCinqAns != null) && (!p_quantiteActiviteCinqAns.equals(m_quantiteActiviteCinqAns)))
    {
      m_quantiteActiviteCinqAns = p_quantiteActiviteCinqAns;
      ((DonneesForceesPC)getPC()).setQuantiteActiviteCinqAns(p_quantiteActiviteCinqAns);
    }
  }
  
  protected int rawGetActiviteContinue()
  {
    return ((DonneesForceesPC)getPC()).getActiviteContinue();
  }
  
  public int getActiviteContinue()
  {
    return ((DonneesForceesPC)getPC()).getActiviteContinue();
  }
  
  public void setActiviteContinue(int p_activiteContinue)
  {
    ((DonneesForceesPC)getPC()).setActiviteContinue(p_activiteContinue);
  }
  
  protected int rawGetDecisionCPFavorable()
  {
    return ((DonneesForceesPC)getPC()).getDecisionCPFavorable();
  }
  
  public int getDecisionCPFavorable()
  {
    return ((DonneesForceesPC)getPC()).getDecisionCPFavorable();
  }
  
  public void setDecisionCPFavorable(int p_decisionCPFavorable)
  {
    ((DonneesForceesPC)getPC()).setDecisionCPFavorable(p_decisionCPFavorable);
  }
  
  protected int rawGetMotifDecisionCP()
  {
    return ((DonneesForceesPC)getPC()).getMotifDecisionCP();
  }
  
  public int getMotifDecisionCP()
  {
    return ((DonneesForceesPC)getPC()).getMotifDecisionCP();
  }
  
  public void setMotifDecisionCP(int p_motifDecisionCP)
  {
    ((DonneesForceesPC)getPC()).setMotifDecisionCP(p_motifDecisionCP);
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     DonneesForceesGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */