package fr.unedic.cali.asu.parametres;

import fr.unedic.archi.util.trace.Log;
import fr.unedic.archi.util.trace.Niveau;
import fr.unedic.util.temps.ChronologieStandard;
import fr.unedic.util.temps.Damj;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.NoSuchElementException;
import java.util.Set;

public abstract class AccesParametreIdemnisation
  extends AccesPersistanceParametre
{
  protected static final Damj JUILLET_2017 = new Damj(2017, 7, 1);
  protected static final Damj JUILLET_2015 = new Damj(2015, 7, 1);
  protected static final Damj JUILLET_2014 = new Damj(2014, 7, 1);
  protected static final Damj JUILLET_2013 = new Damj(2013, 7, 1);
  protected static final Damj JUILLET_2012 = new Damj(2012, 7, 1);
  protected static final Damj JUILLET_2011 = new Damj(2011, 7, 1);
  protected static final Damj JUILLET_2010 = new Damj(2010, 7, 1);
  protected static final Damj JUILLET_2009 = new Damj(2009, 7, 1);
  protected static final Damj JUILLET_2008 = new Damj(2008, 7, 1);
  protected static final Damj JUILLET_2007 = new Damj(2007, 7, 1);
  protected static final Damj JUILLET_2006 = new Damj(2006, 7, 1);
  protected static final Damj JUILLET_2005 = new Damj(2005, 7, 1);
  protected static final Damj JUILLET_2004 = new Damj(2004, 7, 1);
  protected static final Damj JUILLET_2003 = new Damj(2003, 7, 1);
  protected static final Damj JUILLET_2002 = new Damj(2002, 7, 1);
  protected static final Damj JUILLET_2001 = new Damj(2001, 7, 1);
  protected static final Damj JUILLET_2000 = new Damj(2000, 7, 1);
  protected static final Damj JUILLET_1999 = new Damj(1999, 7, 1);
  protected static final Damj JUILLET_1998 = new Damj(1998, 7, 1);
  protected static final Damj JUILLET_1997 = new Damj(1997, 7, 1);
  protected static final Damj JUILLET_1996 = new Damj(1996, 7, 1);
  protected static final Damj JUILLET_1995 = new Damj(1995, 7, 1);
  protected static final Damj JUILLET_1994 = new Damj(1994, 7, 1);
  protected static final Damj JUILLET_1993 = new Damj(1993, 7, 1);
  protected static final Damj JUILLET_1992 = new Damj(1992, 7, 1);
  protected static final Damj JUILLET_1991 = new Damj(1991, 7, 1);
  protected static final Damj JUILLET_1990 = new Damj(1990, 7, 1);
  protected static final Damj JANVIER_2015 = new Damj(2015, 1, 1);
  protected static final Damj JANVIER_2013 = new Damj(2013, 1, 1);
  protected static final Damj JANVIER_2001 = new Damj(2001, 1, 1);
  protected static final Damj JANVIER_2000 = new Damj(2000, 1, 1);
  
  public ChronologieStandard getChronoValeursParametre()
  {
    try
    {
      ChronologieStandard monRetour = new ChronologieStandard();
      
      Iterator mesCles = m_table.keySet().iterator();
      while (mesCles.hasNext())
      {
        DateAcces maCle = (DateAcces)mesCles.next();
        
        EvenementParametre monEvenement = new EvenementParametre(maCle.getDateEffet());
        remplir(monEvenement, maCle);
        monRetour.ajouter(monEvenement);
      }
      return monRetour;
    }
    catch (Exception e)
    {
      if (Log.isTraceActive(AccesParametreIdemnisation.class, Niveau.DEBUG)) {
        Log.ecritTrace(Niveau.DEBUG, AccesParametreIdemnisation.class, "getChronoValeursParametre", e);
      }
    }
    return null;
  }
  
  public ArrayList getListeValeursParametre()
  {
    ArrayList monRetour = new ArrayList();
    
    Iterator mesCles = m_table.keySet().iterator();
    while (mesCles.hasNext())
    {
      DateAcces maCle = (DateAcces)mesCles.next();
      
      EvenementParametre monEvenement = new EvenementParametre(maCle.getDateEffet());
      remplir(monEvenement, maCle);
      monRetour.add(monEvenement);
    }
    return monRetour;
  }
  
  public ArrayList getListeValeursParametre(CleAcces p_cle)
  {
    throw new NoSuchElementException();
  }
  
  protected abstract void initialiser();
  
  public abstract void remplir(EvenementParametre paramEvenementParametre, DateAcces paramDateAcces);
}

/* Location:
 * Qualified Name:     AccesParametreIdemnisation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */