package fr.unedic.cali.asu.parcours;

import fr.pe.cali.liquidation.outilsfonctionnels.dom.ResultatImputationSuiteArce;
import fr.unedic.cali.asu.calcul.parcours.ResultatDeterminationEtatDroit;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierExamenAssuranceSpec;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.DecisionSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.OdSpec;
import fr.unedic.cali.dom.RevisionSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.parcours.DomLiquidationDemande;
import fr.unedic.cali.parcours.ResultatAvant;
import fr.unedic.cali.parcours.ResultatExecutionCalculSpec;
import fr.unedic.util.services.Contexte;
import java.util.List;

public class DomLiquidationAssurance
  extends DomLiquidationDemande
{
  private ResultatDeterminationEtatDroit etatDroitPrecedent = null;
  private ResultatAvant resultatAvantDroitPrecedent = null;
  private ResultatExecutionCalculSpec resultatExecutionCalculDroitPrecedent = null;
  private ResultatContexteExamen contexteExamen = new ResultatContexteExamen();
  private boolean estRepriseContextuelle = false;
  private int typeRepriseContextuelle;
  private boolean contexteOuvertureDroitAuPlusTot;
  private boolean continuerEtudeFctEre = true;
  private boolean etudeDerniereFct;
  private int contexteExamenDdeExpresse;
  private boolean estContexteAppelServiceDepuisInternet = false;
  private boolean calculSurPrf = false;
  private ResultatImputationSuiteArce resultatImputationArce;
  
  public DecisionSpec getDecisionPrecedente()
  {
    if (resultatExecutionCalculDroitPrecedent == null) {
      return null;
    }
    return resultatExecutionCalculDroitPrecedent.getAttributionEtudiee();
  }
  
  public AttributionAssuranceSpec getAttributionPrecedente()
  {
    DecisionSpec decision = getDecisionPrecedente();
    if (!(decision instanceof AttributionAssuranceSpec)) {
      return null;
    }
    return (AttributionAssuranceSpec)decision;
  }
  
  public ResultatDeterminationEtatDroit getEtatDroitPrecedent()
  {
    return etatDroitPrecedent;
  }
  
  public void setEtatDroitPrecedent(ResultatDeterminationEtatDroit etatDroitPrecedent)
  {
    this.etatDroitPrecedent = etatDroitPrecedent;
  }
  
  public ResultatExecutionCalculSpec getResultatExecutionCalculDroitPrecedent()
  {
    return resultatExecutionCalculDroitPrecedent;
  }
  
  public void setResultatExecutionCalculDroitPrecedent(ResultatExecutionCalculSpec resultatExecutionCalculDroitPrecedent)
  {
    this.resultatExecutionCalculDroitPrecedent = resultatExecutionCalculDroitPrecedent;
  }
  
  public int getContexteExamen()
  {
    return contexteExamen.getContexteExamen();
  }
  
  public void setContexteExamen(int contexteExamen)
  {
    this.contexteExamen.setContexteExamen(contexteExamen);
  }
  
  public boolean estEnRepriseContextuelle()
  {
    return estRepriseContextuelle;
  }
  
  public void setEstRepriseContextuelle(boolean estEnRepriseContextuelle)
  {
    estRepriseContextuelle = estEnRepriseContextuelle;
  }
  
  public Demande getDemande()
  {
    return (Demande)getDemandeSpec();
  }
  
  public static Demande getDemande(Contexte contexte)
  {
    return ((DomLiquidationAssurance)contexte.getDonnees()).getDemande();
  }
  
  public ProduitAsuSpec getProduitPrecedent()
  {
    DecisionSpec decision = getDecisionPrecedente();
    if (decision == null) {
      return null;
    }
    return (ProduitAsuSpec)decision.getDossierAffecte().getProduit();
  }
  
  public int getTypeRepriseContextuelle()
  {
    return typeRepriseContextuelle;
  }
  
  public void setTypeRepriseContextuelle(int typeRepriseContextuelle)
  {
    this.typeRepriseContextuelle = typeRepriseContextuelle;
  }
  
  public boolean isContexteOuvertureDroitAuPlusTot()
  {
    return contexteOuvertureDroitAuPlusTot;
  }
  
  public void setContexteOuvertureDroitAuPlusTot(boolean contexteOuvertureDroitAuPlusTot)
  {
    this.contexteOuvertureDroitAuPlusTot = contexteOuvertureDroitAuPlusTot;
  }
  
  public boolean continuerEtudeFctEre()
  {
    return continuerEtudeFctEre;
  }
  
  public void setContinuerEtudeFctEre(boolean continuerEtudeFctEre)
  {
    this.continuerEtudeFctEre = continuerEtudeFctEre;
  }
  
  public boolean isEtudeDerniereFct()
  {
    return etudeDerniereFct;
  }
  
  public void setEtudeDerniereFct(boolean etudeDerniereFct)
  {
    this.etudeDerniereFct = etudeDerniereFct;
  }
  
  public int getContexteExamenDdeExpresse()
  {
    return contexteExamenDdeExpresse;
  }
  
  public void setContexteExamenDdeExpresse(int contexteExamenDdeExpresse)
  {
    this.contexteExamenDdeExpresse = contexteExamenDdeExpresse;
  }
  
  public ResultatAvant getResultatAvantDroitPrecedent()
  {
    return resultatAvantDroitPrecedent;
  }
  
  public void setResultatAvantDroitPrecedent(ResultatAvant resultatAvantDroitPrecedent)
  {
    this.resultatAvantDroitPrecedent = resultatAvantDroitPrecedent;
  }
  
  public int getCauseNonValidite()
  {
    return contexteExamen.getCauseNonValidite();
  }
  
  public void setCauseNonValidite(int causeNonValidite)
  {
    contexteExamen.setCauseNonValidite(causeNonValidite);
  }
  
  public boolean estDemandeAvantReexamenDeCompetenceAdministrativeRac()
  {
    boolean competenceAdministrative = true;
    DemandeSpec demandeAvantReexamen = getDemandeAvantReexamen();
    if ((demandeAvantReexamen != null) && (!demandeAvantReexamen.getListeDossiersExamen().isEmpty()))
    {
      DossierExamenSpec dossierExamen = (DossierExamenSpec)demandeAvantReexamen.getListeDossiersExamen().get(0);
      if (((dossierExamen instanceof OdSpec)) && (dossierExamen.getDossierAffecte() != null) && (dossierExamen.getDossierAffecte().getProduit() != null))
      {
        ProduitAsuSpec produit = (ProduitAsuSpec)dossierExamen.getDossierAffecte().getProduit();
        competenceAdministrative = produit.estCompetenceAdministrativeRac((AttributionSpec)dossierExamen);
      }
    }
    return competenceAdministrative;
  }
  
  public void setEstContexteAppelServiceSimulationDroit(boolean estContexteAppelServiceSimulationDroit)
  {
    estContexteAppelServiceDepuisInternet = estContexteAppelServiceSimulationDroit;
  }
  
  public boolean estContexteAppelServiceSimulationDroit()
  {
    return estContexteAppelServiceDepuisInternet;
  }
  
  public ResultatImputationSuiteArce getResultatImputationArce()
  {
    return resultatImputationArce;
  }
  
  public void setResultatImputationArce(ResultatImputationSuiteArce resultatImputationArce)
  {
    this.resultatImputationArce = resultatImputationArce;
  }
  
  public boolean estNouvelleRevisionRejetDv()
  {
    boolean estRevisionRejetDv = false;
    DemandeSpec demandeAvantReexamen = getDemandeAvantReexamen();
    if ((demandeAvantReexamen != null) && (!demandeAvantReexamen.getListeDossiersExamen().isEmpty()))
    {
      DossierExamenAssuranceSpec dossierExamen = (DossierExamenAssuranceSpec)demandeAvantReexamen.getListeDossiersExamen().get(0);
      boolean estNouvelleRevision = ((dossierExamen instanceof RevisionSpec)) && (((RevisionSpec)dossierExamen).getType() == 2);
      boolean estRejetDv = dossierExamen.estRejetDV();
      estRevisionRejetDv = (estNouvelleRevision) && (estRejetDv);
    }
    return estRevisionRejetDv;
  }
  
  public boolean isCalculSurPrf()
  {
    return calculSurPrf;
  }
  
  public void setCalculSurPrf(boolean calculSurPrf)
  {
    this.calculSurPrf = calculSurPrf;
  }
}

/* Location:
 * Qualified Name:     DomLiquidationAssurance
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */