package fr.unedic.cali.asu.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierExamenAssuranceSpec;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.cali.dom.DecisionSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.NaturesDecisions;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.outilsfonctionnels.OutilVerificationPreconditions;
import fr.unedic.cali.outilsfonctionnels.OutilVerificationPreconditionsFinancement;
import fr.unedic.cali.parcours.DomLiquidationDemande;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteService;
import fr.unedic.util.services.CoucheLogiqueException;

public class ParcoursLiquidationAssuranceFinancement
  extends ParcoursLiquidationAssuranceClassique
{
  protected void proposerAttribution(Contexte contexte)
    throws ApplicativeException
  {
    Demande demande = getDemandeAsu(contexte);
    if (NaturesDecisions.estdeTypeReprise(demande.getObjectifDecisionne().getSousType()))
    {
      demande.getDossierAffectation().getDossierExamen().changerEtat(46);
      ((DecisionSpec)demande.getDossierAffectation().getDossierExamen()).setNatureDecision(46);
    }
    else
    {
      demande.getDossierAffectation().getDossierExamen().changerEtat(35);
      ((DecisionSpec)demande.getDossierAffectation().getDossierExamen()).setNatureDecision(35);
    }
    DossierExamenSpec dossierExamen = demande.getDossierAffectation().getDossierExamen();
    
    ((ProduitAsuSpec)dossierExamen.getDossierAffecte().getProduit()).verifierPropositionAttribution(demande);
    if (!OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(demande.getListContexteDemande(), "ARESJASPDC")) {
      ((ProduitAsuSpec)dossierExamen.getDossierAffecte().getProduit()).detecterContributionParticuliere(contexte);
    }
    demande.setListeMotifsReexamen(null);
    
    getDom(contexte).setContinuerEtudeFctEre(false);
    
    alimenterTranchesExecutables(contexte);
    
    demande.setObjectifCourant(null);
    postTraiterJustificationAffiliation(getDemandeAsu(contexte));
    
    ContexteService contexteService = ((DomLiquidationDemande)contexte.getDonnees()).getContexteService();
    demande.definirDateValidation(contexteService.getDateTraitement());
  }
  
  protected void proposerRejet(Contexte contexte)
    throws CoucheLogiqueException
  {
    Demande demande = getDemandeAsu(contexte);
    
    demande.setListeMotifsReexamen(null);
    
    DossierExamenSpec dossierExamen = demande.getDossierAffectation().getDossierExamen();
    ((DossierExamenAssuranceSpec)dossierExamen).setContributionParticuliere(null);
    
    demande.getDossierAffectation().getDossierExamen().changerEtat(36);
    ((DecisionSpec)demande.getDossierAffectation().getDossierExamen()).setNatureDecision(36);
    
    demande.setDemandeOrigine(null);
    
    demande.setObjectifCourant(null);
    postTraiterJustificationAffiliation(getDemandeAsu(contexte));
    
    ContexteService contexteService = ((DomLiquidationDemande)contexte.getDonnees()).getContexteService();
    demande.definirDateValidation(contexteService.getDateTraitement());
  }
  
  protected void verifierPreconditions(Contexte contexte)
    throws CoucheLogiqueException
  {
    DemandeSpec demandePrestationsCourante = getDemande(contexte);
    
    OutilVerificationPreconditionsFinancement.getInstance().verifierPreconditions(demandePrestationsCourante);
  }
  
  protected void detecterModeSimulation(DemandeSpec demande, DomLiquidationDemande dom)
  {
    dom.setModeSimulation(false);
  }
  
  protected void detecterIncoherenceRessortissant(Demande demande) {}
}

/* Location:
 * Qualified Name:     ParcoursLiquidationAssuranceFinancement
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */