package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.produits.liquidation.dom.gen.ConditionsAttributionRevisionGen;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConditionsAttributionSpec;
import fr.unedic.cali.dom.ElementDroitSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class ConditionsAttributionRevision
  extends ConditionsAttributionRevisionGen
  implements ConditionsAttributionSpec
{
  private static final long serialVersionUID = -7961160888049998176L;
  private static final String MESSAGE_ERREUR = "Cette méthode ne devrait pas être appelée dans le contexte de Revision";
  
  public ConditionsAttributionRevision(DomPCSpec pc)
  {
    super(pc);
  }
  
  public ConditionsAttributionRevision() {}
  
  public List getListeConditionsAttribution()
  {
    List listeConditions = new ArrayList();
    listeConditions.add(getConditionMontantRevise());
    return listeConditions;
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getConditionMontantRevise());
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec pCopie)
  {
    ConditionsAttributionRevision copie = (ConditionsAttributionRevision)pCopie;
    
    super.copieElements(copie);
    if (getConditionMontantRevise() != null)
    {
      ConditionMontantRevise copieCondition = copie.createConditionMontantRevise();
      getConditionMontantRevise().copieElements(copieCondition);
    }
  }
  
  public ConditionAge createConditionAge()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appelée dans le contexte de Revision");
  }
  
  public ConditionChomageInvolontaire createConditionChomageInvolontaire()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appelée dans le contexte de Revision");
  }
  
  public ConditionCumulPrestationFamiliale createConditionCumulPrestationFamiliale()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appelée dans le contexte de Revision");
  }
  
  public ConditionMontantNonNul createConditionMontantNonNul()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appelée dans le contexte de Revision");
  }
  
  public ConditionRechercheEmploi createConditionRechercheEmploi()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appelée dans le contexte de Revision");
  }
  
  public ConditionAge getConditionAge()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appelée dans le contexte de Revision");
  }
  
  public ConditionChomageInvolontaire getConditionChomageInvolontaire()
  {
    return null;
  }
  
  public ConditionCumulPrestationFamiliale getConditionCumulPrestationFamiliale()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appelée dans le contexte de Revision");
  }
  
  public ConditionMontantNonNul getConditionMontantNonNul()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appelée dans le contexte de Revision");
  }
  
  public ConditionRechercheEmploi getConditionRechercheEmploi()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appelée dans le contexte de Revision");
  }
  
  public ConditionAnciennete createConditionAnciennete()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appelée dans le contexte de Revision");
  }
  
  public ConditionValiditeReliquat createConditionValiditeReliquat()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appelée dans le contexte de Revision");
  }
  
  public ConditionValiditeReliquat getConditionValiditeReliquat()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appelée dans le contexte de Revision");
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public boolean estSatisfait()
  {
    for (Iterator iter = getListeConditionsAttribution().iterator(); iter.hasNext();)
    {
      ElementDroitSpec droit = (ElementDroitSpec)iter.next();
      if ((droit != null) && (!droit.estSatisfait())) {
        return false;
      }
    }
    return true;
  }
  
  public ConditionCSRAccordCP createConditionCSRAccordCP()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appelée dans le contexte de Revision");
  }
  
  public ConditionCSRAccordCP getConditionCSRAccordCP()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appelée dans le contexte de Revision");
  }
  
  public ConditionDureeNonNulle getConditionDureeNonNulle()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appelée dans le contexte de Revision");
  }
  
  public ConditionDureeNonNulle createConditionDureeNonNulle()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appelée dans le contexte de Revision");
  }
  
  public ConditionActiviteConservee createConditionActiviteConservee()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appelée dans le contexte de Revision");
  }
  
  public ConditionActiviteConservee getConditionActiviteConservee()
  {
    throw new UnsupportedOperationException("Cette méthode ne devrait pas être appelée dans le contexte de Revision");
  }
}

/* Location:
 * Qualified Name:     ConditionsAttributionRevision
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */