package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.produits.liquidation.dom.gen.DureeIndemnisationGen;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;

public class DureeIndemnisation
  extends DureeIndemnisationGen
{
  private static final long serialVersionUID = -7623505149540779996L;
  private transient Quantite mDureeServieSurAsr = null;
  private transient Quantite mDureeRestantAImputer = null;
  private transient boolean estDureeNulle = false;
  
  protected DureeIndemnisation() {}
  
  public DureeIndemnisation(DomPCSpec pc)
  {
    super(pc);
  }
  
  public DureeIndemnisation(int dureeTheorique, int dureeImputation, DomPCSpec cepAbstraitPC)
  {
    super(cepAbstraitPC);
    setDureeTheorique(new Quantite(dureeTheorique, UNITE_DEFAUT));
    setDureeImputation(new Quantite(dureeImputation, UNITE_DEFAUT));
  }
  
  public Quantite getDureeImputation()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeImputationConstitutionDurees();
  }
  
  public Quantite getDureeTheorique()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeTheoriqueConstitutionDurees();
  }
  
  public void setDureeImputation(Quantite dureeImputation)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setDureeImputationConstitutionDurees(dureeImputation);
  }
  
  public void setDureeTheorique(Quantite dureeTheorique)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setDureeTheoriqueConstitutionDurees(dureeTheorique);
  }
  
  public void setDureeServieSurAsr(Quantite dureeServieSurAsr)
  {
    mDureeServieSurAsr = dureeServieSurAsr;
  }
  
  public Quantite getDureeServieSurAsr()
  {
    return mDureeServieSurAsr;
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec copie)
  {
    DureeIndemnisation copieDureeIndemnisation = (DureeIndemnisation)copie;
    
    copieDureeIndemnisation.setDureeEffective(getDureeEffective());
    copieDureeIndemnisation.setDureeImputation(getDureeImputation());
    copieDureeIndemnisation.setDureeTheorique(getDureeTheorique());
    copieDureeIndemnisation.setQuantiteJourImputationForce(getQuantiteJourImputationForce());
    copieDureeIndemnisation.setQuantiteTotalJourImputation(getQuantiteTotalJourImputation());
    copieDureeIndemnisation.setDateMaxiIndemnisationCsr(getDateMaxiIndemnisationCsr());
    copieDureeIndemnisation.setEstAccordPlusDe182jCsr(isEstAccordPlusDe182jCsr());
    copieDureeIndemnisation.setDureeServieSurAsr(getDureeServieSurAsr());
    copieDureeIndemnisation.setEstDureeTheoriquePlafonnee(isEstDureeTheoriquePlafonnee());
    copieDureeIndemnisation.setDureeRestantAImputer(getDureeRestantAImputer());
    copieDureeIndemnisation.setDureePostPrimeCspConstitutionDurees(getDureePostPrimeCspConstitutionDurees());
    copieDureeIndemnisation.setDureeImputationPostPrime(getDureeImputationPostPrime());
    copieDureeIndemnisation.setDureeAllongementAREF(getDureeAllongementAREF());
    copieDureeIndemnisation.setEligibleAllongementAREF(isEligibleAllongementAREF());
    copieDureeIndemnisation.setDureeAllongementAREFSousJacent(getDureeAllongementAREFSousJacent());
    copieDureeIndemnisation.setDureeCalculee(getDureeCalculee());
    copieDureeIndemnisation.setDureeMaximale(getDureeMaximale());
    copieDureeIndemnisation.setDureeMinimale(getDureeMinimale());
  }
  
  @Deprecated
  public void marquerGraphePersistant() {}
  
  public Quantite getDureeEffective()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeEffectiveConstitutionDurees();
  }
  
  public void setDureeEffective(Quantite dureeEffective)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setDureeEffectiveConstitutionDurees(dureeEffective);
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public Quantite getDureeRestantAImputer()
  {
    return mDureeRestantAImputer;
  }
  
  public void setDureeRestantAImputer(Quantite dureeRestantAImputer)
  {
    mDureeRestantAImputer = dureeRestantAImputer;
  }
  
  public void setDureeNulle(boolean pDureeNulle)
  {
    estDureeNulle = pDureeNulle;
  }
  
  public boolean isDureeNulle()
  {
    return estDureeNulle;
  }
}

/* Location:
 * Qualified Name:     DureeIndemnisation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */