package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.pe.cali.reglementaire.regles.assurance.affiliation.dom.SemaineCivile;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import java.math.BigDecimal;
import java.util.List;

public class JustificationDiviseur
  implements ObjetMetierSpec
{
  private static final long serialVersionUID = 6038869100299509396L;
  private transient boolean m_primoDemandeurA3A4A5;
  private transient int m_diviseurMinimal;
  private transient int m_premiereValeurFormule;
  private transient Chronologie m_listePeriodesParticipantes;
  private transient List<SemaineCivile> justificationJoursTravailles = null;
  private transient int nombreJourEmploi = 0;
  private transient int nombreJoursContratPlafonnes = 0;
  private transient BigDecimal nombreJoursAbsence;
  private transient BigDecimal coefficientAbsence;
  private transient BigDecimal diviseur;
  private transient BigDecimal diviseurTravaille;
  private transient String formuleDiviseur;
  private transient String formuleCoefficientAbsence;
  
  public int getDiviseurMinimal()
  {
    return m_diviseurMinimal;
  }
  
  public void setDiviseurMinimal(int p_diviseurMinimal)
  {
    m_diviseurMinimal = p_diviseurMinimal;
  }
  
  public Chronologie getListePeriodesParticipantes()
  {
    if (m_listePeriodesParticipantes == null) {
      m_listePeriodesParticipantes = new ChronologiePeriodes();
    }
    return m_listePeriodesParticipantes;
  }
  
  public void setListePeriodesParticipantes(Chronologie p_listePeriodesParticipantes)
  {
    m_listePeriodesParticipantes = p_listePeriodesParticipantes;
  }
  
  public int getPremiereValeurFormule()
  {
    return m_premiereValeurFormule;
  }
  
  public void setPremiereValeurFormule(int p_premiereValeurFormule)
  {
    m_premiereValeurFormule = p_premiereValeurFormule;
  }
  
  public boolean isPrimoDemandeurA3A4A5()
  {
    return m_primoDemandeurA3A4A5;
  }
  
  public void setPrimoDemandeurA3A4A5(boolean p_primoDemandeurA3A4A5)
  {
    m_primoDemandeurA3A4A5 = p_primoDemandeurA3A4A5;
  }
  
  public ObjetMetierSpec copie()
  {
    JustificationDiviseur copie = new JustificationDiviseur();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    JustificationDiviseur copie = (JustificationDiviseur)p_copie;
    copie.setDiviseurMinimal(getDiviseurMinimal());
    copie.setListePeriodesParticipantes((Chronologie)getListePeriodesParticipantes().copie());
    copie.setPremiereValeurFormule(getPremiereValeurFormule());
    copie.setPrimoDemandeurA3A4A5(isPrimoDemandeurA3A4A5());
  }
  
  public List<SemaineCivile> getJustificationJoursTravailles()
  {
    return justificationJoursTravailles;
  }
  
  public void setJustificationJoursTravailles(List<SemaineCivile> justificationJoursTravailles)
  {
    this.justificationJoursTravailles = justificationJoursTravailles;
  }
  
  public int getNombreJourEmploi()
  {
    return nombreJourEmploi;
  }
  
  public void setNombreJourEmploi(int nombreJourEmploi)
  {
    this.nombreJourEmploi = nombreJourEmploi;
  }
  
  public int getNombreJoursContratPlafonnes()
  {
    return nombreJoursContratPlafonnes;
  }
  
  public void setNombreJoursContratPlafonnes(int nombreJoursContratPlafonnes)
  {
    this.nombreJoursContratPlafonnes = nombreJoursContratPlafonnes;
  }
  
  public BigDecimal getCoefficientAbsence()
  {
    return coefficientAbsence;
  }
  
  public void setCoefficientAbsence(BigDecimal coefficientAbsence)
  {
    this.coefficientAbsence = coefficientAbsence;
  }
  
  public BigDecimal getDiviseur()
  {
    return diviseur;
  }
  
  public void setDiviseur(BigDecimal diviseur)
  {
    this.diviseur = diviseur;
  }
  
  public String getFormuleDiviseur()
  {
    return formuleDiviseur;
  }
  
  public void setFormuleDiviseur(String formuleDiviseur)
  {
    this.formuleDiviseur = formuleDiviseur;
  }
  
  public String getFormuleCoefficientAbsence()
  {
    return formuleCoefficientAbsence;
  }
  
  public void setFormuleCoefficientAbsence(String formuleCoefficientAbsence)
  {
    this.formuleCoefficientAbsence = formuleCoefficientAbsence;
  }
  
  public BigDecimal getNombreJoursAbsence()
  {
    return nombreJoursAbsence;
  }
  
  public void setNombreJoursAbsence(BigDecimal nombreJoursAbsence)
  {
    this.nombreJoursAbsence = nombreJoursAbsence;
  }
  
  public BigDecimal getDiviseurTravaille()
  {
    return diviseurTravaille;
  }
  
  public void setDiviseurTravaille(BigDecimal diviseurTravaille)
  {
    this.diviseurTravaille = diviseurTravaille;
  }
}

/* Location:
 * Qualified Name:     JustificationDiviseur
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */