package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.Entreprise;
import fr.unedic.cali.autresdoms.ga.dom.PeriodeEvenementPersonnel;
import fr.unedic.cali.autresdoms.ga.dom.PeriodeFormationAssimilable;
import fr.unedic.cali.dom.PeriodeChomageAtteste;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.util.OutillageChronologiePeriodes;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;

public class JustificationDiviseurPeriodeParticipante
  extends ObjetChronoPeriode
  implements ObjetMetierSpec
{
  private static final long serialVersionUID = -3367261226456031202L;
  public static final int NATURE_INCONNUE = 0;
  public static final int NATURE_RG = 1;
  public static final int NATURE_A1 = 2;
  public static final int NATURE_A2A = 3;
  public static final int NATURE_A3 = 4;
  public static final int NATURE_A4 = 5;
  public static final int NATURE_A5 = 6;
  public static final int NATURE_A2B = 7;
  public static final int NATURE_A9A = 8;
  public static final int NATURE_A9B = 9;
  public static final int NATURE_INACTIVITE = 10;
  public static final int NATURE_FORMATION = 11;
  public static final int NATURE_MALADIE = 12;
  public static final int NATURE_CHOMAGE_ATTESTE = 13;
  public static final int NATURE_SERVICE_NATIONAL = 14;
  public static final int NATURE_PNDS = 15;
  public static final int NATURE_A5A = 16;
  public static final int NATURE_A5B = 17;
  public static final int NATURE_MULTIPLE = 99;
  private transient int nature = 0;
  private transient Periode periodeActiviteSalarieParticipante = null;
  private transient String raisonSociale = null;
  private transient Chronologie listeNatureMultiple = new ChronologiePeriodes();
  private transient int nombreJoursInappartenance = 0;
  private transient int nombreJoursDeductibles = 0;
  private transient int nombreHeuresTotal = 0;
  private transient int nombreHeuresDroitAConges = 0;
  private transient BigDecimal nombreJourAbsence = new BigDecimal("0");
  
  public JustificationDiviseurPeriodeParticipante() {}
  
  public JustificationDiviseurPeriodeParticipante(Damj dateDebut, Damj dateFin)
  {
    super(dateDebut, dateFin);
  }
  
  public JustificationDiviseurPeriodeParticipante(Periode periode)
  {
    super(periode);
  }
  
  public Chronologie getListeNatureMultiple()
  {
    return listeNatureMultiple;
  }
  
  public void setListeNatureMultiple(Chronologie listeNatureMultipleParam)
  {
    listeNatureMultiple = listeNatureMultipleParam;
  }
  
  public int getNature()
  {
    return nature;
  }
  
  public void setNature(int naturePeriode)
  {
    nature = naturePeriode;
  }
  
  public int getNombreHeuresTotal()
  {
    return nombreHeuresTotal;
  }
  
  public void setNombreHeuresTotal(int nombreHeuresAuTotal)
  {
    nombreHeuresTotal = nombreHeuresAuTotal;
  }
  
  public int getNombreHeuresDroitAConges()
  {
    return nombreHeuresDroitAConges;
  }
  
  public void setNombreHeuresDroitAConges(int nombreHeuresDonnantDroitAConges)
  {
    nombreHeuresDroitAConges = nombreHeuresDonnantDroitAConges;
  }
  
  public BigDecimal getNombreJourAbsence()
  {
    return nombreJourAbsence;
  }
  
  public void setNombreJourAbsence(BigDecimal nombreJoursAbsence)
  {
    nombreJourAbsence = nombreJoursAbsence;
  }
  
  public int getNombreJoursDeductibles()
  {
    return nombreJoursDeductibles;
  }
  
  public void setNombreJoursDeductibles(int nombreJoursPouvantEtreDeduit)
  {
    nombreJoursDeductibles = nombreJoursPouvantEtreDeduit;
  }
  
  public int getNombreJoursInappartenance()
  {
    return nombreJoursInappartenance;
  }
  
  public void setNombreJoursInappartenance(int nombreJoursTotalInnapartenance)
  {
    nombreJoursInappartenance = nombreJoursTotalInnapartenance;
  }
  
  public Periode getPeriodeActiviteSalarieParticipante()
  {
    return periodeActiviteSalarieParticipante;
  }
  
  public void setPeriodeActiviteSalarieParticipante(Periode periodeActiviteSalarieParticipanteAuSjr)
  {
    periodeActiviteSalarieParticipante = periodeActiviteSalarieParticipanteAuSjr;
  }
  
  public String getRaisonSociale()
  {
    return raisonSociale;
  }
  
  public void setRaisonSociale(String raisonSocialeActivite)
  {
    raisonSociale = raisonSocialeActivite;
  }
  
  public ObjetMetierSpec copie()
  {
    JustificationDiviseurPeriodeParticipante copie = new JustificationDiviseurPeriodeParticipante();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec elementACopier)
  {
    super.copieElements(elementACopier);
    JustificationDiviseurPeriodeParticipante copie = (JustificationDiviseurPeriodeParticipante)elementACopier;
    copie.setListeNatureMultiple((Chronologie)getListeNatureMultiple().copie());
    copie.setNature(getNature());
    copie.setNombreHeuresDroitAConges(getNombreHeuresDroitAConges());
    copie.setNombreHeuresTotal(getNombreHeuresTotal());
    copie.setNombreJourAbsence(getNombreJourAbsence());
    copie.setNombreJourAbsence(getNombreJourAbsence());
    copie.setNombreJoursDeductibles(getNombreJoursDeductibles());
    copie.setNombreJoursInappartenance(getNombreJoursInappartenance());
    if (getPeriodeActiviteSalarieParticipante() != null) {
      copie.setPeriodeActiviteSalarieParticipante((Periode)getPeriodeActiviteSalarieParticipante().copie());
    }
    copie.setRaisonSociale(getRaisonSociale());
  }
  
  public void renseignerNaturePeriode(ObjetChronoPeriode objetChronoPeriodeParticipant)
  {
    Periode periodeParticipanteCourante = new Periode(objetChronoPeriodeParticipant.getDateDebut(), objetChronoPeriodeParticipant.getDateFin());
    if ((objetChronoPeriodeParticipant instanceof ActiviteSalarie)) {
      periodeActiviteSalarieParticipante = periodeParticipanteCourante;
    }
    nature = donnerCodeNaturePeriode(objetChronoPeriodeParticipant);
    
    raisonSociale = donnerRaisonSocialePeriode(objetChronoPeriodeParticipant);
    
    JustificationDiviseurNatureMultiple justificationDiviseurNatureMultipleCourant = new JustificationDiviseurNatureMultiple(periodeParticipanteCourante);
    
    justificationDiviseurNatureMultipleCourant.setNature(nature);
    justificationDiviseurNatureMultipleCourant.setRaisonSociale(raisonSociale);
    listeNatureMultiple.ajouter(justificationDiviseurNatureMultipleCourant);
  }
  
  public void renseignerNatureMultiplePeriode(ChronologiePeriodes chronoPeriodesNatureMultiple)
  {
    nature = 99;
    
    chronoPeriodesNatureMultiple.iterer();
    while (chronoPeriodesNatureMultiple.encoreSuivant())
    {
      ObjetChronoPeriode objetChronoPeriodeParticipant = (ObjetChronoPeriode)chronoPeriodesNatureMultiple.elementSuivant();
      
      Periode periodeParticipanteCourante = new Periode(objetChronoPeriodeParticipant.getDateDebut(), objetChronoPeriodeParticipant.getDateFin());
      
      int codeNaturePeriodeParticipante = donnerCodeNaturePeriode(objetChronoPeriodeParticipant);
      String raisonSocialePeriodeParticipante = donnerRaisonSocialePeriode(objetChronoPeriodeParticipant);
      
      JustificationDiviseurNatureMultiple justificationDiviseurNatureMultipleCourant = new JustificationDiviseurNatureMultiple(periodeParticipanteCourante);
      justificationDiviseurNatureMultipleCourant.setNature(codeNaturePeriodeParticipante);
      justificationDiviseurNatureMultipleCourant.setRaisonSociale(raisonSocialePeriodeParticipante);
      listeNatureMultiple.ajouter(justificationDiviseurNatureMultipleCourant);
    }
  }
  
  public void completerNatureMultiplePeriodeInactivite(ChronologiePeriodes chronoPeriodesNatureMultiple)
  {
    Periode periodeInappartenanceCourante = getPeriode();
    ChronologiePeriodes chronoPeriodesNatureMultipleFusionnees;
    ChronologiePeriodes chronoPeriodesNatureMultipleFusionnees;
    if ((chronoPeriodesNatureMultiple != null) && (chronoPeriodesNatureMultiple.contientChevauchementElements())) {
      chronoPeriodesNatureMultipleFusionnees = chronoPeriodesNatureMultiple.fusionnerChevauchementPeriodes();
    } else {
      chronoPeriodesNatureMultipleFusionnees = chronoPeriodesNatureMultiple;
    }
    ChronologiePeriodes chronoPeriodesInactivite = OutillageChronologiePeriodes.donnerPeriodesComplementaires(chronoPeriodesNatureMultipleFusionnees, periodeInappartenanceCourante);
    
    chronoPeriodesInactivite.iterer();
    while (chronoPeriodesInactivite.encoreSuivant())
    {
      ObjetChronoPeriode objetChronoPeriodeInactivite = (ObjetChronoPeriode)chronoPeriodesInactivite.elementSuivant();
      
      Periode periodeInactiviteCourante = new Periode(objetChronoPeriodeInactivite.getDateDebut(), objetChronoPeriodeInactivite.getDateFin());
      
      JustificationDiviseurNatureMultiple justificationDiviseurNatureMultipleCourant = new JustificationDiviseurNatureMultiple(periodeInactiviteCourante);
      justificationDiviseurNatureMultipleCourant.setNature(10);
      listeNatureMultiple.ajouter(justificationDiviseurNatureMultipleCourant);
    }
  }
  
  private int retrouverNaturePeriodePourPeriodeActiviteSalarie(ActiviteSalarie periodeActivite)
  {
    int naturePeriode = 0;
    Reglement reglement = periodeActivite.getReglement();
    if (reglement != null) {
      naturePeriode = retrouverNaturePeriodePourReglement(reglement);
    }
    return naturePeriode;
  }
  
  private int retrouverNaturePeriodePourReglement(Reglement reglement)
  {
    int naturePeriode = 0;
    if (estReglementRGouRPOP(reglement)) {
      naturePeriode = 1;
    } else if (reglement.estNomReglementIdentique("A1")) {
      naturePeriode = 2;
    } else if (reglement.estNomReglementIdentique("A2a")) {
      naturePeriode = 3;
    } else if (reglement.estNomReglementIdentique("A2b")) {
      naturePeriode = 7;
    } else if (reglement.estNomReglementIdentique("A3")) {
      naturePeriode = 4;
    } else if (reglement.estNomReglementIdentique("A4")) {
      naturePeriode = 5;
    } else if (reglement.estNomReglementIdentique("A5")) {
      naturePeriode = 6;
    } else if (reglement.estNomReglementIdentique("A9A")) {
      naturePeriode = 8;
    } else if (reglement.estNomReglementIdentique("A9B")) {
      naturePeriode = 9;
    }
    return naturePeriode;
  }
  
  private boolean estReglementRGouRPOP(Reglement reglement)
  {
    return (reglement.estNomReglementIdentique("RG")) || (reglement.equals("OP"));
  }
  
  private int donnerCodeNaturePeriode(ObjetChronoPeriode objetChronoPeriodeParticipant)
  {
    int codeNatureRetourne = 0;
    if ((objetChronoPeriodeParticipant instanceof ActiviteSalarie))
    {
      codeNatureRetourne = retrouverNaturePeriodePourPeriodeActiviteSalarie((ActiviteSalarie)objetChronoPeriodeParticipant);
    }
    else if ((objetChronoPeriodeParticipant instanceof PeriodeFormationAssimilable))
    {
      codeNatureRetourne = 11;
    }
    else if ((objetChronoPeriodeParticipant instanceof PeriodeEvenementPersonnel))
    {
      PeriodeEvenementPersonnel periode = (PeriodeEvenementPersonnel)objetChronoPeriodeParticipant;
      if ((periode.getTypePep() == 2) || (periode.getTypePep() == 3)) {
        codeNatureRetourne = 12;
      }
    }
    else if ((objetChronoPeriodeParticipant instanceof PeriodeChomageAtteste))
    {
      codeNatureRetourne = 13;
    }
    return codeNatureRetourne;
  }
  
  private String donnerRaisonSocialePeriode(ObjetChronoPeriode objetChronoPeriodeParticipant)
  {
    String raisonSocialeRetournee = null;
    if ((objetChronoPeriodeParticipant instanceof ActiviteSalarie)) {
      raisonSocialeRetournee = ((ActiviteSalarie)objetChronoPeriodeParticipant).getEntreprise().getLibelleEntreprise();
    } else if ((objetChronoPeriodeParticipant instanceof PeriodeFormationAssimilable)) {
      raisonSocialeRetournee = ((PeriodeFormationAssimilable)objetChronoPeriodeParticipant).getNomOrganismeFormation();
    }
    return raisonSocialeRetournee;
  }
}

/* Location:
 * Qualified Name:     JustificationDiviseurPeriodeParticipante
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */