package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.cge01.liquidation.parcours.revision.ConstitutionNouvelleRevisionAutomatiqueFinAsp;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.cali.asu.parcours.ParcoursObjectifReprise;
import fr.unedic.cali.asu.produits.liquidation.dom.gen.ObjectifExamenRepriseGen;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ObjectifExamenSpec;
import fr.unedic.cali.asu.produits.liquidation.parcours.ConstitutionCapitalAvecDureeEffective;
import fr.unedic.cali.asu.produits.liquidation.parcours.ConstitutionDateAttributionReprise;
import fr.unedic.cali.asu.produits.liquidation.parcours.ConstitutionPointDepartIndemnisation;
import fr.unedic.cali.asu.produits.liquidation.parcours.DeterminationConditionAgeReprise;
import fr.unedic.cali.asu.produits.liquidation.parcours.DeterminationConditionCumulPrestationFamiliale;
import fr.unedic.cali.asu.produits.liquidation.parcours.DeterminationConditionMontantProduitNonNul;
import fr.unedic.cali.asu.produits.liquidation.parcours.DeterminationConditionRechercheEmploi;
import fr.unedic.cali.asu.produits.liquidation.parcours.DeterminationConditionValiditeReliquat;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.cali.parcours.ParcoursTraitementSatisfait;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Parcours;
import java.util.List;

public class ObjectifExamenReprise
  extends ObjectifExamenRepriseGen
  implements ObjectifExamenSpec
{
  private static final long serialVersionUID = -6733999135279668707L;
  private List<ContexteDemandeSpec> contexteDemande = null;
  
  public ObjectifExamenReprise(DomPCSpec pc)
  {
    super(pc);
  }
  
  public ObjectifExamenReprise() {}
  
  public ObjectifExamenReprise(List<ContexteDemandeSpec> contexteDemande)
  {
    this.contexteDemande = contexteDemande;
  }
  
  public Parcours creerParcoursObjectif()
  {
    return new ParcoursObjectifReprise();
  }
  
  public ObjectifExamen getObjectifSauvegarde()
    throws CoucheLogiqueException
  {
    return null;
  }
  
  public int getType()
  {
    return 2;
  }
  
  public void copieElements(ObjetMetierSpec copie)
  {
    super.copieElements(copie);
  }
  
  public ObjetMetierSpec copie()
  {
    ObjectifExamenReprise copie = new ObjectifExamenReprise();
    copieElements(copie);
    return copie;
  }
  
  /**
   * @deprecated
   */
  public void marquerGraphePersistant() {}
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public Parcours creerParcoursCapitalAvecDureeEffective()
  {
    return new ConstitutionCapitalAvecDureeEffective();
  }
  
  public Parcours creerParcoursCaractereSaisonnier()
  {
    return null;
  }
  
  public Parcours creerParcoursCoefficientSaisonnier()
  {
    return null;
  }
  
  public Parcours creerParcoursCoefficientTempsPartiel()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionAge()
  {
    return new DeterminationConditionAgeReprise();
  }
  
  public Parcours creerParcoursConditionChomageInvolontaire()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionChomageTotal()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionCumulActiviteConservee()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionCumulAvantageVieillesse()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionCumulPrestationFamiliale()
  {
    return new DeterminationConditionCumulPrestationFamiliale();
  }
  
  public Parcours creerParcoursConditionFaitGenerateur()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionMontant()
  {
    return new DeterminationConditionMontantProduitNonNul();
  }
  
  public Parcours creerParcoursConditionQuantiteAffiliation()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionDureeNonNulle()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionRechercheEmploi()
  {
    return new DeterminationConditionRechercheEmploi();
  }
  
  public Parcours creerParcoursDateAttribution()
  {
    return new ConstitutionDateAttributionReprise();
  }
  
  public Parcours creerParcoursDelaisReports()
  {
    return null;
  }
  
  public Parcours creerParcoursDeterminationCompetenceFinanceAdmDroitResultant()
  {
    return null;
  }
  
  public Parcours creerParcoursDeterminationCompetencesFinanceAdmDroitCourant()
  {
    return null;
  }
  
  public Parcours creerParcoursDureeEffective()
  {
    return null;
  }
  
  public Parcours creerParcoursDureesReglementaires()
  {
    return null;
  }
  
  public Parcours creerParcoursPointDeDepart()
  {
    return new ConstitutionPointDepartIndemnisation();
  }
  
  public Parcours creerParcoursProduitResultant()
  {
    return null;
  }
  
  public Parcours creerParcoursQuantiteAffiliation()
  {
    return null;
  }
  
  public Parcours creerParcoursReglementApplicable()
  {
    return null;
  }
  
  public Parcours creerParcoursSalaireJournalierConserve()
  {
    return null;
  }
  
  public Parcours creerParcoursSalaireJournalierDeReference()
  {
    return null;
  }
  
  public Parcours creerParcoursMontantsBruts()
  {
    return null;
  }
  
  public Parcours creerParcoursDateLimiteIndemnisation()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionAnciennete()
  {
    return null;
  }
  
  public Parcours creerParcoursRevisionAutomatique()
  {
    return null;
  }
  
  public Parcours creerParcoursLiquidationDemandeAssociee()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionCsrAccordCp()
  {
    return new ParcoursTraitementSatisfait();
  }
  
  public Parcours creerParcoursCondition28JSuspension()
  {
    return new ParcoursTraitementSatisfait();
  }
  
  public Parcours creerParcoursConditionValiditeReliquat()
  {
    return new DeterminationConditionValiditeReliquat();
  }
  
  public Parcours creerParcoursDetectionContributionParticuliere(Demande demande)
  {
    return null;
  }
  
  public Parcours creerParcoursCapitalDroitCourant()
  {
    return null;
  }
  
  public Parcours creerParcoursMontantsEffectifs()
  {
    return null;
  }
  
  public Parcours creerParcoursNouvelleRevisionAutomatique()
  {
    if (OutilGestionContexteDemande.estContextePresentDansRegroupement(contexteDemande, 5)) {
      return new ConstitutionNouvelleRevisionAutomatiqueFinAsp();
    }
    return null;
  }
  
  public Parcours creerParcoursConstitutionDureePostPrime()
  {
    return null;
  }
  
  protected List<ContexteDemandeSpec> getContexteDemande()
  {
    return contexteDemande;
  }
  
  protected void setContexteDemande(List<ContexteDemandeSpec> contexteDemande)
  {
    this.contexteDemande = contexteDemande;
  }
}

/* Location:
 * Qualified Name:     ObjectifExamenReprise
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */