package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.dom.JustificationAffiliationSpec;
import fr.unedic.cali.dom.spec.QuantitesAppartenanceSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import java.util.Enumeration;
import java.util.Hashtable;

public class QuantitesAppartenance
  implements ObjetMetierSpec, QuantitesAppartenanceSpec
{
  private static final long serialVersionUID = -5947173593309207634L;
  private Hashtable m_tableQtesAffiliation = new Hashtable();
  private Hashtable m_tableQtesAssimiliation = new Hashtable();
  private Hashtable m_tableJustificationAffiliation = new Hashtable();
  private boolean m_enConflit;
  private Unite m_uniteAppartenancePrincipale;
  private Unite m_uniteAppartenanceSecondaire;
  
  public Unite getUniteAppartenancePrincipale()
  {
    return m_uniteAppartenancePrincipale;
  }
  
  public void setUniteAppartenancePrincipale(Unite p_uniteAppartenancePrincipale)
  {
    m_uniteAppartenancePrincipale = p_uniteAppartenancePrincipale;
  }
  
  public Unite getUniteAppartenanceSecondaire()
  {
    return m_uniteAppartenanceSecondaire;
  }
  
  public void setUniteAppartenanceSecondaire(Unite p_uniteAppartenanceSecondaire)
  {
    m_uniteAppartenanceSecondaire = p_uniteAppartenanceSecondaire;
  }
  
  public void putQuantiteAffiliation(Quantite p_quantite)
  {
    m_tableQtesAffiliation.put(p_quantite.getUnite(), p_quantite);
  }
  
  public Quantite getQuantiteAffiliation(Unite p_unite)
  {
    return (Quantite)m_tableQtesAffiliation.get(p_unite);
  }
  
  public void putJustificationAffiliation(JustificationAffiliationSpec p_justification, Unite p_unite)
  {
    m_tableJustificationAffiliation.put(p_unite, p_justification);
  }
  
  public JustificationAffiliationSpec getJustificationAffiliation(Unite p_unite)
  {
    return (JustificationAffiliationSpec)m_tableJustificationAffiliation.get(p_unite);
  }
  
  public Enumeration getListUnitesCalculees()
  {
    return m_tableQtesAffiliation.keys();
  }
  
  public Quantite getQuantiteAppartenance(Unite p_unite)
  {
    Quantite total = new Quantite("0", p_unite);
    total = m_tableQtesAffiliation.get(p_unite) != null ? total.ajouter((Quantite)m_tableQtesAffiliation.get(p_unite)) : total;
    total = m_tableQtesAssimiliation.get(p_unite) != null ? total.ajouter((Quantite)m_tableQtesAssimiliation.get(p_unite)) : total;
    return total;
  }
  
  public void putQuantiteAssimilation(Quantite p_quantite)
  {
    m_tableQtesAssimiliation.put(p_quantite.getUnite(), p_quantite);
  }
  
  public Quantite getQuantiteAssimilation(Unite p_unite)
  {
    return (Quantite)m_tableQtesAssimiliation.get(p_unite);
  }
  
  public void setListeQuantitesAffiliation(Hashtable p_tableQtesAffiliation)
  {
    m_tableQtesAffiliation = p_tableQtesAffiliation;
  }
  
  private Hashtable getListeQuantitesAffiliation()
  {
    return m_tableQtesAffiliation;
  }
  
  public void setListeQuantitesAssimilation(Hashtable p_tableQtesAssimiliation)
  {
    m_tableQtesAssimiliation = p_tableQtesAssimiliation;
  }
  
  private Hashtable getListeQuantitesAssimilation()
  {
    return m_tableQtesAssimiliation;
  }
  
  public boolean estEnConflit()
  {
    return m_enConflit;
  }
  
  public void setEnConflit(boolean p_enConflit)
  {
    m_enConflit = p_enConflit;
  }
  
  public ObjetMetierSpec copie()
  {
    QuantitesAppartenance copie = new QuantitesAppartenance();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    QuantitesAppartenance copie = (QuantitesAppartenance)p_copie;
    copie.setEnConflit(estEnConflit());
    copie.setListeQuantitesAffiliation(getListeQuantitesAffiliation());
    copie.setListeQuantitesAssimilation(getListeQuantitesAssimilation());
    copie.setUniteAppartenancePrincipale(getUniteAppartenancePrincipale());
    copie.setUniteAppartenanceSecondaire(getUniteAppartenanceSecondaire());
  }
}

/* Location:
 * Qualified Name:     QuantitesAppartenance
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */