package fr.unedic.cali.asu.produits.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.produits.liquidation.dom.SjrActiviteConservee;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConditionsAttributionAbstraitPC;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;

public abstract class ConditionActiviteConserveeGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_conditionsAttributionAbstraitPC;
  private BigDecimal m_nombreHeuresMensuelActiviteConservee;
  private BigDecimal m_montantMensuelActiviteConservee;
  private BigDecimal m_seuilMontantMensuelActiviteConservee;
  private BigDecimal m_seuilMensuelPansConditionActiviteConservee;
  private Collection m_listeSjrActiviteConservee;
  
  public ConditionActiviteConserveeGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConditionActiviteConserveeGen() {}
  
  public DomPCSpec getPC()
  {
    return m_conditionsAttributionAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_conditionsAttributionAbstraitPC)
  {
    m_conditionsAttributionAbstraitPC = p_conditionsAttributionAbstraitPC;
  }
  
  protected int rawGetSituationConditionActiviteConservee()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getSituationConditionActiviteConservee();
  }
  
  public int getSituationConditionActiviteConservee()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getSituationConditionActiviteConservee();
  }
  
  public void setSituationConditionActiviteConservee(int p_situationConditionActiviteConservee)
  {
    ((ConditionsAttributionAbstraitPC)getPC()).setSituationConditionActiviteConservee(p_situationConditionActiviteConservee);
  }
  
  protected int rawGetCodeMotifEchec()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getCodeMotifEchecConditionActiviteConservee();
  }
  
  public int getCodeMotifEchec()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getCodeMotifEchecConditionActiviteConservee();
  }
  
  public void setCodeMotifEchec(int p_codeMotifEchec)
  {
    ((ConditionsAttributionAbstraitPC)getPC()).setCodeMotifEchecConditionActiviteConservee(p_codeMotifEchec);
  }
  
  protected int rawGetEtat()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getEtatConditionActiviteConservee();
  }
  
  public int getEtat()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getEtatConditionActiviteConservee();
  }
  
  public void setEtat(int p_etat)
  {
    ((ConditionsAttributionAbstraitPC)getPC()).setEtatConditionActiviteConservee(p_etat);
  }
  
  protected BigDecimal rawGetNombreHeuresMensuelActiviteConservee()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getNombreHeuresMensuelActiviteConserveeConditionActiviteConservee();
  }
  
  public BigDecimal getNombreHeuresMensuelActiviteConservee()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getNombreHeuresMensuelActiviteConserveeConditionActiviteConservee();
  }
  
  public void setNombreHeuresMensuelActiviteConservee(BigDecimal p_nombreHeuresMensuelActiviteConservee)
  {
    if ((m_nombreHeuresMensuelActiviteConservee == null) || (p_nombreHeuresMensuelActiviteConservee == null))
    {
      m_nombreHeuresMensuelActiviteConservee = p_nombreHeuresMensuelActiviteConservee;
      ((ConditionsAttributionAbstraitPC)getPC()).setNombreHeuresMensuelActiviteConserveeConditionActiviteConservee(p_nombreHeuresMensuelActiviteConservee);
    }
    else if ((m_nombreHeuresMensuelActiviteConservee != null) && (p_nombreHeuresMensuelActiviteConservee != null) && (!p_nombreHeuresMensuelActiviteConservee.equals(m_nombreHeuresMensuelActiviteConservee)))
    {
      m_nombreHeuresMensuelActiviteConservee = p_nombreHeuresMensuelActiviteConservee;
      ((ConditionsAttributionAbstraitPC)getPC()).setNombreHeuresMensuelActiviteConserveeConditionActiviteConservee(p_nombreHeuresMensuelActiviteConservee);
    }
  }
  
  protected BigDecimal rawGetMontantMensuelActiviteConservee()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getMontantMensuelActiviteConserveeConditionActiviteConservee();
  }
  
  public BigDecimal getMontantMensuelActiviteConservee()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getMontantMensuelActiviteConserveeConditionActiviteConservee();
  }
  
  public void setMontantMensuelActiviteConservee(BigDecimal p_montantMensuelActiviteConservee)
  {
    if ((m_montantMensuelActiviteConservee == null) || (p_montantMensuelActiviteConservee == null))
    {
      m_montantMensuelActiviteConservee = p_montantMensuelActiviteConservee;
      ((ConditionsAttributionAbstraitPC)getPC()).setMontantMensuelActiviteConserveeConditionActiviteConservee(p_montantMensuelActiviteConservee);
    }
    else if ((m_montantMensuelActiviteConservee != null) && (p_montantMensuelActiviteConservee != null) && (!p_montantMensuelActiviteConservee.equals(m_montantMensuelActiviteConservee)))
    {
      m_montantMensuelActiviteConservee = p_montantMensuelActiviteConservee;
      ((ConditionsAttributionAbstraitPC)getPC()).setMontantMensuelActiviteConserveeConditionActiviteConservee(p_montantMensuelActiviteConservee);
    }
  }
  
  protected BigDecimal rawGetSeuilMontantMensuelActiviteConservee()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getSeuilMontantMensuelActiviteConserveeConditionActiviteConservee();
  }
  
  public BigDecimal getSeuilMontantMensuelActiviteConservee()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getSeuilMontantMensuelActiviteConserveeConditionActiviteConservee();
  }
  
  public void setSeuilMontantMensuelActiviteConservee(BigDecimal p_seuilMontantMensuelActiviteConservee)
  {
    if ((m_seuilMontantMensuelActiviteConservee == null) || (p_seuilMontantMensuelActiviteConservee == null))
    {
      m_seuilMontantMensuelActiviteConservee = p_seuilMontantMensuelActiviteConservee;
      ((ConditionsAttributionAbstraitPC)getPC()).setSeuilMontantMensuelActiviteConserveeConditionActiviteConservee(p_seuilMontantMensuelActiviteConservee);
    }
    else if ((m_seuilMontantMensuelActiviteConservee != null) && (p_seuilMontantMensuelActiviteConservee != null) && (!p_seuilMontantMensuelActiviteConservee.equals(m_seuilMontantMensuelActiviteConservee)))
    {
      m_seuilMontantMensuelActiviteConservee = p_seuilMontantMensuelActiviteConservee;
      ((ConditionsAttributionAbstraitPC)getPC()).setSeuilMontantMensuelActiviteConserveeConditionActiviteConservee(p_seuilMontantMensuelActiviteConservee);
    }
  }
  
  protected BigDecimal rawGetSeuilMensuelPansConditionActiviteConservee()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getSeuilMensuelPansConditionActiviteConservee();
  }
  
  public BigDecimal getSeuilMensuelPansConditionActiviteConservee()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getSeuilMensuelPansConditionActiviteConservee();
  }
  
  public void setSeuilMensuelPansConditionActiviteConservee(BigDecimal p_seuilMensuelPansConditionActiviteConservee)
  {
    if ((m_seuilMensuelPansConditionActiviteConservee == null) || (p_seuilMensuelPansConditionActiviteConservee == null))
    {
      m_seuilMensuelPansConditionActiviteConservee = p_seuilMensuelPansConditionActiviteConservee;
      ((ConditionsAttributionAbstraitPC)getPC()).setSeuilMensuelPansConditionActiviteConservee(p_seuilMensuelPansConditionActiviteConservee);
    }
    else if ((m_seuilMensuelPansConditionActiviteConservee != null) && (p_seuilMensuelPansConditionActiviteConservee != null) && (!p_seuilMensuelPansConditionActiviteConservee.equals(m_seuilMensuelPansConditionActiviteConservee)))
    {
      m_seuilMensuelPansConditionActiviteConservee = p_seuilMensuelPansConditionActiviteConservee;
      ((ConditionsAttributionAbstraitPC)getPC()).setSeuilMensuelPansConditionActiviteConservee(p_seuilMensuelPansConditionActiviteConservee);
    }
  }
  
  private final Collection getCollectionModifiableSjrActiviteConservee()
  {
    Iterator itCollectionPC;
    if (m_listeSjrActiviteConservee == null)
    {
      m_listeSjrActiviteConservee = new ArrayList();
      for (itCollectionPC = ((ConditionsAttributionAbstraitPC)getPC()).getCollectionSjrActiviteConservee().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_listeSjrActiviteConservee.add(currentOM);
      }
    }
    return m_listeSjrActiviteConservee;
  }
  
  public Collection getCollectionSjrActiviteConservee()
  {
    return Collections.unmodifiableCollection(getCollectionModifiableSjrActiviteConservee());
  }
  
  public List getListSjrActiviteConservee()
  {
    return Collections.unmodifiableList((List)getCollectionModifiableSjrActiviteConservee());
  }
  
  public void remplacerCollectionSjrActiviteConservee(Collection p_collectionACopier)
  {
    clearCollectionSjrActiviteConservee();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      SjrActiviteConservee objet = (SjrActiviteConservee)i.next();
      ajouterSjrActiviteConservee(objet);
    }
  }
  
  public void supprimerSousCollectionSjrActiviteConservee(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      SjrActiviteConservee objet = (SjrActiviteConservee)i.next();
      supprimerSjrActiviteConservee(objet);
    }
  }
  
  public void ajouterSjrActiviteConservee(SjrActiviteConservee p_sjrActiviteConserveeConditionActiviteConservee)
    throws NullPointerException
  {
    if (p_sjrActiviteConserveeConditionActiviteConservee == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_sjrActiviteConserveeConditionActiviteConservee ne devrait pas être nul.", p_sjrActiviteConserveeConditionActiviteConservee);
    }
    getCollectionModifiableSjrActiviteConservee().add(p_sjrActiviteConserveeConditionActiviteConservee);
    ((ConditionsAttributionAbstraitPC)getPC()).ajouterSjrActiviteConservee(p_sjrActiviteConserveeConditionActiviteConservee.getPC());
  }
  
  public void supprimerSjrActiviteConservee(SjrActiviteConservee p_sjrActiviteConserveeConditionActiviteConservee)
    throws NullPointerException
  {
    if (p_sjrActiviteConserveeConditionActiviteConservee == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_sjrActiviteConserveeConditionActiviteConservee ne devrait pas être nul.", p_sjrActiviteConserveeConditionActiviteConservee);
    }
    getCollectionModifiableSjrActiviteConservee().remove(p_sjrActiviteConserveeConditionActiviteConservee);
    ((ConditionsAttributionAbstraitPC)getPC()).supprimerSjrActiviteConservee(p_sjrActiviteConserveeConditionActiviteConservee.getPC());
  }
  
  public void recopierCollectionSjrActiviteConserveeVers(ObjetMetierSpec p_copie)
  {
    ConditionActiviteConserveeGen copie = (ConditionActiviteConserveeGen)p_copie;
    Collection listeACopier = getCollectionSjrActiviteConservee();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterSjrActiviteConservee((SjrActiviteConservee)objet);
    }
  }
  
  public void clearCollectionSjrActiviteConservee()
  {
    getCollectionModifiableSjrActiviteConservee().clear();
    ((ConditionsAttributionAbstraitPC)getPC()).getCollectionSjrActiviteConservee().clear();
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    for (Iterator iter = getCollectionSjrActiviteConservee().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    setSituationConditionActiviteConservee(0);
    setCodeMotifEchec(0);
    setEtat(0);
    setNombreHeuresMensuelActiviteConservee(null);
    setMontantMensuelActiviteConservee(null);
    setSeuilMontantMensuelActiviteConservee(null);
    setSeuilMensuelPansConditionActiviteConservee(null);
    for (Iterator iter = getCollectionSjrActiviteConservee().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if (item != null) {
        DomManager.supprimer(item);
      }
    }
    clearCollectionSjrActiviteConservee();
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConditionActiviteConserveeGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */