package fr.unedic.cali.asu.produits.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConditionsAttributionAbstraitPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import fr.unedic.util.temps.ObjetChronoEvenementDebutCREM;

public abstract class ConditionFaitGenerateurGen
  extends ObjetChronoEvenementDebutCREM
  implements DomGenSpec
{
  private String m_identifiantPeriodeFaitGenerateur;
  private Damj m_dateEvenement;
  private DureeCalendaire m_ageIndividuDateFG;
  private String m_motifFinPeriode;
  private Damj m_dateFaitGenerateur;
  private Damj m_dateEngagementProcedure;
  private String m_refusAdhesionFne;
  
  public ConditionFaitGenerateurGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ConditionFaitGenerateurGen() {}
  
  protected String rawGetIdentifiantPeriodeFaitGenerateur()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getIdentifiantPeriodeFaitGenerateurConditionFaitGenerateur();
  }
  
  public String getIdentifiantPeriodeFaitGenerateur()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getIdentifiantPeriodeFaitGenerateurConditionFaitGenerateur();
  }
  
  public void setIdentifiantPeriodeFaitGenerateur(String p_identifiantPeriodeFaitGenerateur)
  {
    if ((m_identifiantPeriodeFaitGenerateur == null) || (p_identifiantPeriodeFaitGenerateur == null))
    {
      m_identifiantPeriodeFaitGenerateur = p_identifiantPeriodeFaitGenerateur;
      ((ConditionsAttributionAbstraitPC)getPC()).setIdentifiantPeriodeFaitGenerateurConditionFaitGenerateur(p_identifiantPeriodeFaitGenerateur);
    }
    else if ((m_identifiantPeriodeFaitGenerateur != null) && (p_identifiantPeriodeFaitGenerateur != null) && (!p_identifiantPeriodeFaitGenerateur.equals(m_identifiantPeriodeFaitGenerateur)))
    {
      m_identifiantPeriodeFaitGenerateur = p_identifiantPeriodeFaitGenerateur;
      ((ConditionsAttributionAbstraitPC)getPC()).setIdentifiantPeriodeFaitGenerateurConditionFaitGenerateur(p_identifiantPeriodeFaitGenerateur);
    }
  }
  
  protected int rawGetEtat()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getEtatConditionFaitGenerateur();
  }
  
  public int getEtat()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getEtatConditionFaitGenerateur();
  }
  
  public void setEtat(int p_etat)
  {
    ((ConditionsAttributionAbstraitPC)getPC()).setEtatConditionFaitGenerateur(p_etat);
  }
  
  protected int rawGetCodeMotifEchec()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getCodeMotifEchecConditionFaitGenerateur();
  }
  
  public int getCodeMotifEchec()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getCodeMotifEchecConditionFaitGenerateur();
  }
  
  public void setCodeMotifEchec(int p_codeMotifEchec)
  {
    ((ConditionsAttributionAbstraitPC)getPC()).setCodeMotifEchecConditionFaitGenerateur(p_codeMotifEchec);
  }
  
  protected Damj rawGetDateEvenement()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getDateEvenementConditionFaitGenerateur();
  }
  
  public Damj getDateEvenement()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getDateEvenementConditionFaitGenerateur();
  }
  
  public void setDateEvenement(Damj p_dateEvenement)
  {
    if ((m_dateEvenement == null) || (p_dateEvenement == null))
    {
      m_dateEvenement = p_dateEvenement;
      ((ConditionsAttributionAbstraitPC)getPC()).setDateEvenementConditionFaitGenerateur(p_dateEvenement);
    }
    else if ((m_dateEvenement != null) && (p_dateEvenement != null) && (!p_dateEvenement.equals(m_dateEvenement)))
    {
      m_dateEvenement = p_dateEvenement;
      ((ConditionsAttributionAbstraitPC)getPC()).setDateEvenementConditionFaitGenerateur(p_dateEvenement);
    }
  }
  
  protected DureeCalendaire rawGetAgeIndividuDateFG()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getAgeIndividuDateFGConditionFaitGenerateur();
  }
  
  public DureeCalendaire getAgeIndividuDateFG()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getAgeIndividuDateFGConditionFaitGenerateur();
  }
  
  public void setAgeIndividuDateFG(DureeCalendaire p_ageIndividuDateFG)
  {
    if ((m_ageIndividuDateFG == null) || (p_ageIndividuDateFG == null))
    {
      m_ageIndividuDateFG = p_ageIndividuDateFG;
      ((ConditionsAttributionAbstraitPC)getPC()).setAgeIndividuDateFGConditionFaitGenerateur(p_ageIndividuDateFG);
    }
    else if ((m_ageIndividuDateFG != null) && (p_ageIndividuDateFG != null) && (!p_ageIndividuDateFG.equals(m_ageIndividuDateFG)))
    {
      m_ageIndividuDateFG = p_ageIndividuDateFG;
      ((ConditionsAttributionAbstraitPC)getPC()).setAgeIndividuDateFGConditionFaitGenerateur(p_ageIndividuDateFG);
    }
  }
  
  protected String rawGetMotifFinPeriode()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getMotifFinPeriodeConditionFaitGenerateur();
  }
  
  public String getMotifFinPeriode()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getMotifFinPeriodeConditionFaitGenerateur();
  }
  
  public void setMotifFinPeriode(String p_motifFinPeriode)
  {
    if ((m_motifFinPeriode == null) || (p_motifFinPeriode == null))
    {
      m_motifFinPeriode = p_motifFinPeriode;
      ((ConditionsAttributionAbstraitPC)getPC()).setMotifFinPeriodeConditionFaitGenerateur(p_motifFinPeriode);
    }
    else if ((m_motifFinPeriode != null) && (p_motifFinPeriode != null) && (!p_motifFinPeriode.equals(m_motifFinPeriode)))
    {
      m_motifFinPeriode = p_motifFinPeriode;
      ((ConditionsAttributionAbstraitPC)getPC()).setMotifFinPeriodeConditionFaitGenerateur(p_motifFinPeriode);
    }
  }
  
  protected Damj rawGetDateFaitGenerateur()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getDateFGConditionFaitGenerateur();
  }
  
  public Damj getDateFaitGenerateur()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getDateFGConditionFaitGenerateur();
  }
  
  public void setDateFaitGenerateur(Damj p_dateFaitGenerateur)
  {
    if ((m_dateFaitGenerateur == null) || (p_dateFaitGenerateur == null))
    {
      m_dateFaitGenerateur = p_dateFaitGenerateur;
      ((ConditionsAttributionAbstraitPC)getPC()).setDateFGConditionFaitGenerateur(p_dateFaitGenerateur);
    }
    else if ((m_dateFaitGenerateur != null) && (p_dateFaitGenerateur != null) && (!p_dateFaitGenerateur.equals(m_dateFaitGenerateur)))
    {
      m_dateFaitGenerateur = p_dateFaitGenerateur;
      ((ConditionsAttributionAbstraitPC)getPC()).setDateFGConditionFaitGenerateur(p_dateFaitGenerateur);
    }
  }
  
  protected Damj rawGetDateEngagementProcedure()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getDateEngagementProcedureConditionFaitGenerateur();
  }
  
  public Damj getDateEngagementProcedure()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getDateEngagementProcedureConditionFaitGenerateur();
  }
  
  public void setDateEngagementProcedure(Damj p_dateEngagementProcedure)
  {
    if ((m_dateEngagementProcedure == null) || (p_dateEngagementProcedure == null))
    {
      m_dateEngagementProcedure = p_dateEngagementProcedure;
      ((ConditionsAttributionAbstraitPC)getPC()).setDateEngagementProcedureConditionFaitGenerateur(p_dateEngagementProcedure);
    }
    else if ((m_dateEngagementProcedure != null) && (p_dateEngagementProcedure != null) && (!p_dateEngagementProcedure.equals(m_dateEngagementProcedure)))
    {
      m_dateEngagementProcedure = p_dateEngagementProcedure;
      ((ConditionsAttributionAbstraitPC)getPC()).setDateEngagementProcedureConditionFaitGenerateur(p_dateEngagementProcedure);
    }
  }
  
  protected int rawGetCodeBassinCtp()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getCodeBassinCtp();
  }
  
  public int getCodeBassinCtp()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getCodeBassinCtp();
  }
  
  public void setCodeBassinCtp(int p_codeBassinCtp)
  {
    ((ConditionsAttributionAbstraitPC)getPC()).setCodeBassinCtp(p_codeBassinCtp);
  }
  
  protected String rawGetRefusAdhesionFne()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getRefusFneConditionFaitGenerateur();
  }
  
  public String getRefusAdhesionFne()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getRefusFneConditionFaitGenerateur();
  }
  
  public void setRefusAdhesionFne(String p_refusAdhesionFne)
  {
    if ((m_refusAdhesionFne == null) || (p_refusAdhesionFne == null))
    {
      m_refusAdhesionFne = p_refusAdhesionFne;
      ((ConditionsAttributionAbstraitPC)getPC()).setRefusFneConditionFaitGenerateur(p_refusAdhesionFne);
    }
    else if ((m_refusAdhesionFne != null) && (p_refusAdhesionFne != null) && (!p_refusAdhesionFne.equals(m_refusAdhesionFne)))
    {
      m_refusAdhesionFne = p_refusAdhesionFne;
      ((ConditionsAttributionAbstraitPC)getPC()).setRefusFneConditionFaitGenerateur(p_refusAdhesionFne);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    super.initEnProfondeur();
    
    setIdentifiantPeriodeFaitGenerateur(null);
    setEtat(0);
    setCodeMotifEchec(0);
    setDateEvenement(null);
    setAgeIndividuDateFG(null);
    setMotifFinPeriode(null);
    setDateFaitGenerateur(null);
    setDateEngagementProcedure(null);
    setCodeBassinCtp(0);
    setRefusAdhesionFne(null);
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     ConditionFaitGenerateurGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */