package fr.unedic.cali.asu.produits.liquidation.dom.pc;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.calcul.dom.pc.CalendrierExecutionCalculPC;
import fr.unedic.cali.calcul.dom.pc.CalendrierExecutionAvantPC;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import javax.jdo.JDOFatalInternalException;
import javax.jdo.JDOUserException;
import javax.jdo.spi.JDOImplHelper;
import javax.jdo.spi.PersistenceCapable;
import javax.jdo.spi.StateManager;

public abstract class AttributionPC
  extends DecisionPC
  implements DomPCSpec, PersistenceCapable
{
  protected String m_referenceExterne;
  protected boolean m_regimeFinancementParticulierCaCae;
  protected boolean m_topRenoncement;
  protected int m_nbJoursActiviteCourrierASS;
  protected BigDecimal m_cumulMoisActiviteReduite;
  protected CalendrierExecutionAvantPC m_calendrierExecutionAvant;
  public CalendrierExecutionCalculPC m_calendrierExecutionCalcul;
  public Collection m_listeTranchesExecutables;
  private static int jdoInheritedFieldCount = ;
  private static String[] jdoFieldNames = { "m_referenceExterne", "m_regimeFinancementParticulierCaCae", "m_topRenoncement", "m_nbJoursActiviteCourrierASS", "m_cumulMoisActiviteReduite", "m_calendrierExecutionAvant", "m_calendrierExecutionCalcul", "m_listeTranchesExecutables" };
  private static Class[] jdoFieldTypes = { String.class, Boolean.TYPE, Boolean.TYPE, Integer.TYPE, BigDecimal.class, CalendrierExecutionAvantPC.class, CalendrierExecutionCalculPC.class, Collection.class };
  private static byte[] jdoFieldFlags = { (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE) };
  private static Class jdoPersistenceCapableSuperclass = class$("fr.unedic.cali.asu.produits.liquidation.dom.pc.DecisionPC");
  static final long serialVersionUID = 6982994436848621995L;
  
  public AttributionPC()
  {
    jdoSetm_nbJoursActiviteCourrierASS(this, 0);
  }
  
  public abstract Object createOM();
  
  public String getReferenceExterne()
  {
    return jdoGetm_referenceExterne(this);
  }
  
  public final void setReferenceExterne(String p_referenceExterne)
  {
    jdoSetm_referenceExterne(this, p_referenceExterne);
  }
  
  public boolean isRegimeFinancementParticulierCaCae()
  {
    return jdoGetm_regimeFinancementParticulierCaCae(this);
  }
  
  public final void setRegimeFinancementParticulierCaCae(boolean p_regimeFinancementParticulierCaCae)
  {
    jdoSetm_regimeFinancementParticulierCaCae(this, p_regimeFinancementParticulierCaCae);
  }
  
  public boolean isTopRenoncement()
  {
    return jdoGetm_topRenoncement(this);
  }
  
  public final void setTopRenoncement(boolean p_topRenoncement)
  {
    jdoSetm_topRenoncement(this, p_topRenoncement);
  }
  
  public int getNbJoursActiviteCourrierASS()
  {
    return jdoGetm_nbJoursActiviteCourrierASS(this);
  }
  
  public final void setNbJoursActiviteCourrierASS(int p_nbJoursActiviteCourrierASS)
  {
    jdoSetm_nbJoursActiviteCourrierASS(this, p_nbJoursActiviteCourrierASS);
  }
  
  public BigDecimal getCumulMoisActiviteReduite()
  {
    return jdoGetm_cumulMoisActiviteReduite(this);
  }
  
  public final void setCumulMoisActiviteReduite(BigDecimal p_cumulMoisActiviteReduite)
  {
    jdoSetm_cumulMoisActiviteReduite(this, p_cumulMoisActiviteReduite);
  }
  
  public DomPCSpec getCalendrierExecutionAvant()
  {
    return jdoGetm_calendrierExecutionAvant(this);
  }
  
  public final void setCalendrierExecutionAvant(DomPCSpec p_calendrierExecutionAvant)
  {
    jdoSetm_calendrierExecutionAvant(this, (CalendrierExecutionAvantPC)p_calendrierExecutionAvant);
  }
  
  public DomPCSpec getCalendrierExecutionCalcul()
  {
    return jdoGetm_calendrierExecutionCalcul(this);
  }
  
  public final void setCalendrierExecutionCalcul(DomPCSpec p_calendrierExecutionCalcul)
  {
    jdoSetm_calendrierExecutionCalcul(this, (CalendrierExecutionCalculPC)p_calendrierExecutionCalcul);
  }
  
  public final Collection getCollectionTranchesExecutables()
  {
    if (jdoGetm_listeTranchesExecutables(this) == null) {
      jdoSetm_listeTranchesExecutables(this, new ArrayList());
    }
    return jdoGetm_listeTranchesExecutables(this);
  }
  
  public final void ajouterTranchesExecutables(DomPCSpec p_tranchesExecutables)
    throws NullPointerException
  {
    if (p_tranchesExecutables == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_tranchesExecutables ne devrait pas être nul.", p_tranchesExecutables);
    }
    getCollectionTranchesExecutables().add(p_tranchesExecutables);
  }
  
  public final void supprimerTranchesExecutables(DomPCSpec p_tranchesExecutables)
    throws NullPointerException
  {
    if (p_tranchesExecutables == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_tranchesExecutables ne devrait pas être nul.", p_tranchesExecutables);
    }
    getCollectionTranchesExecutables().remove(p_tranchesExecutables);
  }
  
  static
  {
    JDOImplHelper.registerClass(AttributionPC.class, jdoFieldNames, jdoFieldTypes, jdoFieldFlags, jdoPersistenceCapableSuperclass, null);
  }
  
  protected static final String jdoGetm_referenceExterne(AttributionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_referenceExterne;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 0)) {
        return m_referenceExterne;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 0, m_referenceExterne);
    }
    return m_referenceExterne;
  }
  
  protected static final boolean jdoGetm_regimeFinancementParticulierCaCae(AttributionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_regimeFinancementParticulierCaCae;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 1)) {
        return m_regimeFinancementParticulierCaCae;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 1, m_regimeFinancementParticulierCaCae);
    }
    return m_regimeFinancementParticulierCaCae;
  }
  
  protected static final boolean jdoGetm_topRenoncement(AttributionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_topRenoncement;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 2)) {
        return m_topRenoncement;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 2, m_topRenoncement);
    }
    return m_topRenoncement;
  }
  
  protected static final int jdoGetm_nbJoursActiviteCourrierASS(AttributionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJoursActiviteCourrierASS;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 3)) {
        return m_nbJoursActiviteCourrierASS;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 3, m_nbJoursActiviteCourrierASS);
    }
    return m_nbJoursActiviteCourrierASS;
  }
  
  protected static final BigDecimal jdoGetm_cumulMoisActiviteReduite(AttributionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_cumulMoisActiviteReduite;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 4)) {
        return m_cumulMoisActiviteReduite;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 4, m_cumulMoisActiviteReduite);
    }
    return m_cumulMoisActiviteReduite;
  }
  
  protected static final CalendrierExecutionAvantPC jdoGetm_calendrierExecutionAvant(AttributionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_calendrierExecutionAvant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 5)) {
        return m_calendrierExecutionAvant;
      }
      return (CalendrierExecutionAvantPC)sm.getObjectField(pc, jdoInheritedFieldCount + 5, m_calendrierExecutionAvant);
    }
    return m_calendrierExecutionAvant;
  }
  
  public static final CalendrierExecutionCalculPC jdoGetm_calendrierExecutionCalcul(AttributionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_calendrierExecutionCalcul;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 6)) {
        return m_calendrierExecutionCalcul;
      }
      return (CalendrierExecutionCalculPC)sm.getObjectField(pc, jdoInheritedFieldCount + 6, m_calendrierExecutionCalcul);
    }
    return m_calendrierExecutionCalcul;
  }
  
  public static final Collection jdoGetm_listeTranchesExecutables(AttributionPC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 7)) {
        return m_listeTranchesExecutables;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 7, m_listeTranchesExecutables);
    }
    return m_listeTranchesExecutables;
  }
  
  protected static final void jdoSetm_referenceExterne(AttributionPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_referenceExterne = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 0, m_referenceExterne, newValue);
    } else {
      m_referenceExterne = newValue;
    }
  }
  
  protected static final void jdoSetm_regimeFinancementParticulierCaCae(AttributionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_regimeFinancementParticulierCaCae = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 1, m_regimeFinancementParticulierCaCae, newValue);
    } else {
      m_regimeFinancementParticulierCaCae = newValue;
    }
  }
  
  protected static final void jdoSetm_topRenoncement(AttributionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_topRenoncement = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 2, m_topRenoncement, newValue);
    } else {
      m_topRenoncement = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJoursActiviteCourrierASS(AttributionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJoursActiviteCourrierASS = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 3, m_nbJoursActiviteCourrierASS, newValue);
    } else {
      m_nbJoursActiviteCourrierASS = newValue;
    }
  }
  
  protected static final void jdoSetm_cumulMoisActiviteReduite(AttributionPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_cumulMoisActiviteReduite = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 4, m_cumulMoisActiviteReduite, newValue);
    } else {
      m_cumulMoisActiviteReduite = newValue;
    }
  }
  
  protected static final void jdoSetm_calendrierExecutionAvant(AttributionPC pc, CalendrierExecutionAvantPC newValue)
  {
    if (jdoFlags == 0)
    {
      m_calendrierExecutionAvant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 5, m_calendrierExecutionAvant, newValue);
    } else {
      m_calendrierExecutionAvant = newValue;
    }
  }
  
  public static final void jdoSetm_calendrierExecutionCalcul(AttributionPC pc, CalendrierExecutionCalculPC newValue)
  {
    if (jdoFlags == 0)
    {
      m_calendrierExecutionCalcul = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 6, m_calendrierExecutionCalcul, newValue);
    } else {
      m_calendrierExecutionCalcul = newValue;
    }
  }
  
  public static final void jdoSetm_listeTranchesExecutables(AttributionPC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 7, m_listeTranchesExecutables, newValue);
    } else {
      m_listeTranchesExecutables = newValue;
    }
  }
  
  public void jdoProvideField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      jdoStateManager.providedStringField(this, fieldNumber, m_referenceExterne);
      break;
    case 1: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_regimeFinancementParticulierCaCae);
      break;
    case 2: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_topRenoncement);
      break;
    case 3: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nbJoursActiviteCourrierASS);
      break;
    case 4: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_cumulMoisActiviteReduite);
      break;
    case 5: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_calendrierExecutionAvant);
      break;
    case 6: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_calendrierExecutionCalcul);
      break;
    case 7: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listeTranchesExecutables);
      break;
    default: 
      if (relativeField < 0) {
        super.jdoProvideField(fieldNumber);
      } else {
        throw new JDOFatalInternalException("index of field is out of bound");
      }
      break;
    }
  }
  
  public void jdoReplaceField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      m_referenceExterne = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 1: 
      m_regimeFinancementParticulierCaCae = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 2: 
      m_topRenoncement = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 3: 
      m_nbJoursActiviteCourrierASS = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 4: 
      m_cumulMoisActiviteReduite = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 5: 
      m_calendrierExecutionAvant = ((CalendrierExecutionAvantPC)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 6: 
      m_calendrierExecutionCalcul = ((CalendrierExecutionCalculPC)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 7: 
      m_listeTranchesExecutables = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    default: 
      if (relativeField < 0) {
        super.jdoReplaceField(fieldNumber);
      } else {
        throw new JDOFatalInternalException("index of field is out of bound");
      }
      break;
    }
  }
  
  /* Error */
  public PersistenceCapable jdoNewInstance(StateManager sm)
  {
    // Byte code:
    //   0: new 121	javax/jdo/JDOFatalInternalException
    //   3: dup
    //   4: ldc_w 405
    //   7: invokespecial 383	javax/jdo/JDOFatalInternalException:<init>	(Ljava/lang/String;)V
    //   10: athrow
    //   11: areturn
    // Local variable table:
    //   start	length	slot	name	signature
    //   0	12	0	this	AttributionPC
    //   0	12	1	sm	StateManager
  }
  
  /* Error */
  public PersistenceCapable jdoNewInstance(StateManager sm, Object oid)
  {
    // Byte code:
    //   0: new 121	javax/jdo/JDOFatalInternalException
    //   3: dup
    //   4: ldc_w 405
    //   7: invokespecial 383	javax/jdo/JDOFatalInternalException:<init>	(Ljava/lang/String;)V
    //   10: athrow
    //   11: areturn
    // Local variable table:
    //   start	length	slot	name	signature
    //   0	12	0	this	AttributionPC
    //   0	12	1	sm	StateManager
    //   0	12	2	oid	Object
  }
  
  public static int jdoGetManagedFieldCount()
  {
    return jdoInheritedFieldCount + 8;
  }
  
  public void jdoCopyFields(Object pc, int[] fieldNumbers)
  {
    if (!(pc instanceof AttributionPC)) {
      throw new JDOFatalInternalException("Can't copy fields from a different class");
    }
    AttributionPC other = (AttributionPC)pc;
    if (jdoStateManager != jdoStateManager) {
      throw new JDOUserException("Source object should have the same StateManager");
    }
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int relativeField = fieldNumbers[i] - jdoInheritedFieldCount;
      switch (relativeField)
      {
      case 0: 
        m_referenceExterne = m_referenceExterne;
        break;
      case 1: 
        m_regimeFinancementParticulierCaCae = m_regimeFinancementParticulierCaCae;
        break;
      case 2: 
        m_topRenoncement = m_topRenoncement;
        break;
      case 3: 
        m_nbJoursActiviteCourrierASS = m_nbJoursActiviteCourrierASS;
        break;
      case 4: 
        m_cumulMoisActiviteReduite = m_cumulMoisActiviteReduite;
        break;
      case 5: 
        m_calendrierExecutionAvant = m_calendrierExecutionAvant;
        break;
      case 6: 
        m_calendrierExecutionCalcul = m_calendrierExecutionCalcul;
        break;
      case 7: 
        m_listeTranchesExecutables = m_listeTranchesExecutables;
      }
    }
    super.jdoCopyFields(pc, fieldNumbers);
  }
}

/* Location:
 * Qualified Name:     AttributionPC
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */