package fr.unedic.cali.asu.produits.liquidation.dom.spec;

import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.QuantiteJourTravailDansSemaineSpec;
import fr.unedic.util.temps.Damj;

public abstract class BaseDelaiReportAbstrait
  implements ObjetMetierSpec
{
  private static final long serialVersionUID = -1384064099526403086L;
  protected ActiviteSalarie periodeActiviteSalarieOrigine = null;
  protected boolean licenciementEconomique = false;
  protected QuantiteJourTravailDansSemaineSpec quantiteJourIccp = null;
  protected QuantiteEuro quantiteEuroIccp = null;
  protected QuantiteEuro quantiteEuroIslr = null;
  protected QuantiteEuro quantiteEuroIndemniteLicenciementTotale = null;
  protected Sjr sjrrp = null;
  protected Damj dateFg = null;
  protected boolean estTopContratsRemuneresBaseSmic;
  protected int nombreCongesPris = 0;
  private int motifRupture = 0;
  private boolean estPresenceMontantIccpAvantPriseEnCompteAR = false;
  private Damj dateExamen = null;
  private boolean estMontantIccpProratise = false;
  private int sousTypeObjectif = 0;
  
  public BaseDelaiReportAbstrait() {}
  
  public BaseDelaiReportAbstrait(ActiviteSalarie periodeActiviteSalarieOrigine)
  {
    this.periodeActiviteSalarieOrigine = periodeActiviteSalarieOrigine;
  }
  
  public ActiviteSalarie getPeriodeActiviteSalarieOrigine()
  {
    return periodeActiviteSalarieOrigine;
  }
  
  public QuantiteEuro getQuantiteEuroIccp()
  {
    return quantiteEuroIccp;
  }
  
  public QuantiteEuro getQuantiteEuroIndemniteLicenciementTotale()
  {
    return quantiteEuroIndemniteLicenciementTotale;
  }
  
  public abstract QuantiteEuro getQuantiteEuroIslr();
  
  public QuantiteJourTravailDansSemaineSpec getQuantiteJourIccp()
  {
    return quantiteJourIccp;
  }
  
  public boolean isLicenciementEconomique()
  {
    return licenciementEconomique;
  }
  
  public void setLicenciementEconomique(boolean licenciementEconomique)
  {
    this.licenciementEconomique = licenciementEconomique;
  }
  
  public void setPeriodeActiviteSalarieOrigine(ActiviteSalarie periodeActiviteSalarieOrigine)
  {
    this.periodeActiviteSalarieOrigine = periodeActiviteSalarieOrigine;
  }
  
  public void setQuantiteEuroIccp(QuantiteEuro quantiteEuroIccp)
  {
    this.quantiteEuroIccp = quantiteEuroIccp;
  }
  
  public void setQuantiteEuroIndemniteLicenciementTotale(QuantiteEuro quantiteEuroIndemniteLicenciementTotale)
  {
    this.quantiteEuroIndemniteLicenciementTotale = quantiteEuroIndemniteLicenciementTotale;
  }
  
  public void setQuantiteEuroIslr(QuantiteEuro quantiteEuroIslr)
  {
    this.quantiteEuroIslr = quantiteEuroIslr;
  }
  
  public void setQuantiteJourIccp(QuantiteJourTravailDansSemaineSpec quantiteJourIccp)
  {
    this.quantiteJourIccp = quantiteJourIccp;
  }
  
  public Sjr getSjrrp()
  {
    return sjrrp;
  }
  
  public void setSjrrp(Sjr sjrrp)
  {
    this.sjrrp = sjrrp;
  }
  
  public Damj getDateFg()
  {
    return dateFg;
  }
  
  public void setDateFg(Damj dateFg)
  {
    this.dateFg = dateFg;
  }
  
  public boolean estTopContratsRemuneresBaseSmic()
  {
    return estTopContratsRemuneresBaseSmic;
  }
  
  public void setEstTopContratsRemuneresBaseSmic(boolean estTopContratsRemuneresBaseSmic)
  {
    this.estTopContratsRemuneresBaseSmic = estTopContratsRemuneresBaseSmic;
  }
  
  public int getNombreCongesPris()
  {
    return nombreCongesPris;
  }
  
  public void setNombreCongesPris(int nombreCongesPris)
  {
    this.nombreCongesPris = nombreCongesPris;
  }
  
  public int getMotifRupture()
  {
    return motifRupture;
  }
  
  public void setMotifRupture(int motifRupture)
  {
    this.motifRupture = motifRupture;
  }
  
  public boolean estPresenceMontantIccpAvantPriseEnCompteAR()
  {
    return estPresenceMontantIccpAvantPriseEnCompteAR;
  }
  
  public void setPresenceMontantIccpAvantPriseEnCompteAR(boolean estPresenceMontantIccpAvantPriseEnCompteAR)
  {
    this.estPresenceMontantIccpAvantPriseEnCompteAR = estPresenceMontantIccpAvantPriseEnCompteAR;
  }
  
  public boolean isEstTopContratsRemuneresBaseSmic()
  {
    return estTopContratsRemuneresBaseSmic;
  }
  
  public Damj getDateExamen()
  {
    return dateExamen;
  }
  
  public void setDateExamen(Damj dateExamen)
  {
    this.dateExamen = dateExamen;
  }
  
  public void setMontantIccpProratise(boolean estMontantIccpProratise)
  {
    this.estMontantIccpProratise = estMontantIccpProratise;
  }
  
  public boolean estMontantIccpProratise()
  {
    return estMontantIccpProratise;
  }
  
  public void setSousTypeObjectif(int sousTypeObjectif)
  {
    this.sousTypeObjectif = sousTypeObjectif;
  }
  
  public int getSousTypeObjectif()
  {
    return sousTypeObjectif;
  }
}

/* Location:
 * Qualified Name:     BaseDelaiReportAbstrait
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */