package fr.unedic.cali.asu.spe02.p03.calcul.pbjc;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.calcul.dom.ConstituantsCalculActiviteReduiteGamme;
import fr.unedic.cali.asu.calcul.dom.EtatAuDjiGamme;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeDebutPec;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeFinDureeMaintienDroit;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeRejetDVDemandeExpresse;
import fr.unedic.cali.asu.calcul.outilsfonctionnels.OutilsMaintienEuropeenEessiASU;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.dom.MontantAsuSpec;
import fr.unedic.cali.asu.dom.OdAssuranceSpec;
import fr.unedic.cali.asu.dom.ReglementApplicableSpec;
import fr.unedic.cali.asu.dom.Sjm;
import fr.unedic.cali.asu.mnt.dom.Accord;
import fr.unedic.cali.asu.mnt.dom.DemandeMaintien;
import fr.unedic.cali.asu.mnt.dom.DossierExamen;
import fr.unedic.cali.asu.outilsfonctionnels.OutilAsr;
import fr.unedic.cali.asu.spe02.p03.calcul.dom.ConstituantsCalculActiviteReduiteProduit;
import fr.unedic.cali.asu.spe02.p03.calcul.outilsfonctionnels.RevalorisationSalaire;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Attribution;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Readmission;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Reprise;
import fr.unedic.cali.autresdoms.cohab.dom.ObjetChronoPeriodePriseEnCharge;
import fr.unedic.cali.autresdoms.cohab.dom.PeriodeSousPensionInvaliditeChainee;
import fr.unedic.cali.calcul.OutillagePeriodes;
import fr.unedic.cali.calcul.OutillageQuantites;
import fr.unedic.cali.calcul.dom.ArretProduitAvecRaison;
import fr.unedic.cali.calcul.dom.CalendrierExecutionAvant;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculSpec;
import fr.unedic.cali.calcul.dom.ConsommationPeriodes;
import fr.unedic.cali.calcul.dom.ConstituantsCalculActiviteReduiteSpec;
import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.calcul.dom.DureeConsommableAvant;
import fr.unedic.cali.calcul.dom.EvenementCalculSpec;
import fr.unedic.cali.calcul.dom.EvenementChangementParametre;
import fr.unedic.cali.calcul.dom.EvenementFinCumul;
import fr.unedic.cali.calcul.dom.QualificationPeriodes;
import fr.unedic.cali.calcul.dom.Somme;
import fr.unedic.cali.calcul.dom.UniteTraitement;
import fr.unedic.cali.calcul.dom.UniteTraitementAvant;
import fr.unedic.cali.calcul.dom.periode.ActionFormation;
import fr.unedic.cali.calcul.dom.periode.DsmAbsenceAuPointage;
import fr.unedic.cali.calcul.dom.periode.DsmMaladie;
import fr.unedic.cali.calcul.dom.periode.FinActionFormation;
import fr.unedic.cali.calcul.dom.periode.PeriodeAbsenceAuPointage;
import fr.unedic.cali.calcul.dom.periode.PeriodeActiviteEmploiCalcul;
import fr.unedic.cali.calcul.dom.periode.PeriodeAvantageVieillesse;
import fr.unedic.cali.calcul.dom.periode.PeriodeBlocageIndemnisation;
import fr.unedic.cali.calcul.dom.periode.PeriodeEvenementPersonnel;
import fr.unedic.cali.calcul.dom.periode.PeriodeExclusionDefinitiveDDTE;
import fr.unedic.cali.calcul.dom.periode.PeriodeFormation;
import fr.unedic.cali.calcul.dom.periode.PeriodeInterStageFormation;
import fr.unedic.cali.calcul.dom.periode.PeriodePensionInvalidite;
import fr.unedic.cali.calcul.dom.periode.PeriodeSanctionReductionMontant;
import fr.unedic.cali.calcul.dom.periode.PeriodeServiceCivique;
import fr.unedic.cali.calcul.dom.periode.PeriodeSuspensionDDTEAvecImputation;
import fr.unedic.cali.calcul.dom.periode.PeriodeSuspensionDDTESansImputation;
import fr.unedic.cali.calcul.dom.periode.PeriodeSuspensionTitreConservatoire;
import fr.unedic.cali.calcul.dom.periode.PeriodeTravailJustifiee;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoAnniversaire50Ans;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoAnniversaire55Ans;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoAnniversaire60Ans;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeFinPec;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeInterProduits;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeRadiation;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeRetraite;
import fr.unedic.cali.calcul.parametres.AccesTauxCotisationAccidentTravail;
import fr.unedic.cali.calcul.pbjc.FacadePBJCProduitSpec;
import fr.unedic.cali.calcul.pbjc.dom.PbjcNcp;
import fr.unedic.cali.calcul.pbjc.outilsfonctionnels.GenerateurPBJCs;
import fr.unedic.cali.dom.AntecedentSpec;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.MontantBaseSpec;
import fr.unedic.cali.dom.Prescription;
import fr.unedic.cali.dom.QuantiteDroitSpec;
import fr.unedic.cali.dom.ReadmissionSpec;
import fr.unedic.cali.dom.RepriseSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.fabriques.FabriqueStrategieCotisationsGeneralesForfaitaires;
import fr.unedic.cali.outilsfonctionnels.OutilDemande;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieCotisationsGeneralesForfaitairesSpec;
import fr.unedic.cali.parcours.DomAvantPilotage;
import fr.unedic.cali.parcours.ParcoursAvantPilotageElementsIndemnisation;
import fr.unedic.cali.parcours.ResultatAvant;
import fr.unedic.cali.utilitaire.filtres.generiques.FiltreAttributionSurDecisions;
import fr.unedic.cali.utilitaire.filtres.generiques.FiltreDecisionPourProduit;
import fr.unedic.cali.utilitaire.filtres.logiques.FiltreET;
import fr.unedic.cali.utilitaire.filtres.logiques.FiltreOU;
import fr.unedic.cali.utilitaire.outils.OutilRecherche;
import fr.unedic.util.Mathematiques;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Parcours;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.ChronologieStandard;
import fr.unedic.util.temps.ComparateurTemporelsSurDateDebut;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import fr.unedic.util.temps.FiltreChevauchePeriode;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;
import fr.unedic.util.temps.Temporel;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;

public class FacadePBJCProduitImpl
  implements FacadePBJCProduitSpec
{
  public static final int REDUCTION_50_POURCENT = 50;
  public static final int REDUCTION_20_POURCENT = 20;
  public static final int REF_BASE_CALCUL_OUVERTURE_DROIT = 1;
  public static final int REF_BASE_CALCUL_READ_SUR_DROIT_ANTECEDENT = 2;
  private static final BigDecimal ZERO = BigDecimal.ZERO;
  private static final int AGE_50_ANS = 50;
  private static final int AGE_55_ANS = 55;
  private static final int AGE_60_ANS = 60;
  
  public void ajouterGroupeMontantProduit(PbjcNcp pbjcNcp, AttributionSpec attribution, Somme somme, UniteTraitement ut)
  {
    if ((somme.getMontant().getType().equals("FORMATION EFFECTIVE")) || ((somme.getMontant().getType().equals("FORMATION PREVISIONNELLE")) && (OutilsMaintienEuropeenEessiASU.ajouterGroupeMontantFormation(ut.getConstituantsIndemnisationEnFinUT(), pbjcNcp.getDateFin())))) {
      ajouterGroupeMontantAREF(pbjcNcp, attribution.getProduit().getNom(), somme, ut);
    } else {
      pbjcNcp.ajouterGroupeMontants(attribution.getProduit().getNom(), 0, BigDecimal.ZERO, somme.getMontant().getMontantBrut().getValeur(), BigDecimal.ONE, somme.getMontant().getMontantBrut().getValeur(), "");
    }
    if (pbjcNcp.isTopApplicationCRC()) {
      ajouterGroupeMontantPCRC(pbjcNcp, somme.getMontant());
    }
  }
  
  public boolean controlerExecutionPBJCs(AttributionSpec attribution)
  {
    return true;
  }
  
  public ChronologiePeriodes creerChronologiePBJCsAvant(AttributionSpec attributionParam, Damj dateGeneration, Damj dateBlocageActualisation, String libelleBlocageActualisation)
    throws ApplicativeException
  {
    ChronologiePeriodes pbjcsAvant = new ChronologiePeriodes();
    IndividuSpec individu = attributionParam.getDemandeur();
    Periode periodeAvant = null;
    ObjetChronoPeriodePriseEnCharge periodePEC = null;
    ResultatAvant resultatAvant = null;
    PbjcNcp pbjcNcpAvant = null;
    ChronologiePeriodes periodesFormation = new ChronologiePeriodes();
    ChronologiePeriodes actionsFormation = new ChronologiePeriodes();
    ObjetChronoPeriode periode = null;
    AccesTauxCotisationAccidentTravail acces = new AccesTauxCotisationAccidentTravail();
    ChronologieStandard valeursParametre = null;
    List datesChgtTauxCADT = new ArrayList();
    Damj dateChtTaux = null;
    ObjetChronoPeriode laPeriodeInterruptive = null;
    List datesDeDecoupageDesPBJCs = null;
    periodePEC = OutillagePeriodes.recupererPeriodePECContenant(individu, attributionParam.getDateEffet());
    resultatAvant = retournerResultatCalculAvant(attributionParam, periodePEC);
    
    CalendrierExecutionAvant calendrierAvant = (CalendrierExecutionAvant)attributionParam.getCalendrierExecutionAvant();
    if (calendrierAvant == null) {
      return pbjcsAvant;
    }
    periodeAvant = calendrierAvant.getPeriode();
    periodeAvant.setDebut(attributionParam.getDateAttribution());
    
    valeursParametre = acces.getChronoValeursParametre();
    valeursParametre.iterer();
    while (valeursParametre.encoreSuivant())
    {
      dateChtTaux = ((fr.unedic.cali.calcul.dom.EvenementParametre)valeursParametre.elementSuivant()).getDateEvenement();
      if (dateChtTaux.estStrictementContenueDans(periodeAvant)) {
        datesChgtTauxCADT.add(dateChtTaux);
      }
    }
    Collection periodesAER = new ArrayList();
    Damj datePivot = periodeAvant.getFin();
    while (datePivot.estApres(attributionParam.getDateAttribution()))
    {
      FiltreET filtreCali = new FiltreET();
      filtreCali.ajouterFiltre(new FiltreAttributionSurDecisions());
      FiltreOU filtreProduit = new FiltreOU();
      filtreProduit.ajouterFiltre(new FiltreDecisionPourProduit(12));
      filtreProduit.ajouterFiltre(new FiltreDecisionPourProduit(52));
      filtreProduit.ajouterFiltre(new FiltreDecisionPourProduit(55));
      filtreCali.ajouterFiltre(filtreProduit);
      AttributionSpec attribution = (AttributionSpec)OutilRecherche.rechercherDecisionPrecedente(attributionParam.getDemandeur().getChronoDemandesNonTriees(), datePivot, filtreCali);
      if (attribution != null)
      {
        Periode periodeAER = new Periode(attribution.getPji(), attribution.getPji().deplacerVersAvant(new DureeCalendaire(1, 0, 0)));
        if (periodeAER.chevauche(periodeAvant))
        {
          periodesAER.add(periodeAER);
          datePivot = attribution.getDateAttribution().veille();
          if (periodeAER.getDebut().estStrictementContenueDans(periodeAvant)) {
            datesChgtTauxCADT.add(periodeAER.getDebut());
          }
          if (periodeAER.getFin().lendemain().estStrictementContenueDans(periodeAvant)) {
            datesChgtTauxCADT.add(periodeAER.getFin().lendemain());
          }
        }
        else
        {
          datePivot = Damj.NUIT_DES_TEMPS;
        }
      }
      else
      {
        datePivot = Damj.NUIT_DES_TEMPS;
      }
    }
    ChronologiePeriodes periodesGAEC = OutillagePeriodes.recupererPeriodesGAEC(individu, attributionParam.getDateAttribution(), attributionParam.getPji());
    
    periodesGAEC.iterer();
    while (periodesGAEC.encoreSuivant())
    {
      periode = (ObjetChronoPeriode)periodesGAEC.elementSuivant();
      if ((periode instanceof PeriodeFormation))
      {
        PeriodeFormation periodeFormationCalcul = (PeriodeFormation)periode;
        if ((periodeFormationCalcul.getPeriodeEffectiveInitiale() != null) && (periodeFormationCalcul.getPeriodeEffectiveInitiale().chevauche(periodeAvant)))
        {
          periodesFormation.ajouter(periode);
          if (periodeFormationCalcul.getPeriodeEffectiveInitiale().getDebut().estStrictementContenueDans(periodeAvant)) {
            datesChgtTauxCADT.add(periode.getDateDebut());
          }
          if (periodeFormationCalcul.getPeriodeEffectiveInitiale().getFin().estStrictementContenueDans(periodeAvant)) {
            datesChgtTauxCADT.add(periode.getDateFin().lendemain());
          }
        }
      }
      else if ((periode instanceof ActionFormation))
      {
        ActionFormation actionFormationCalcul = (ActionFormation)periode;
        if ((actionFormationCalcul.getPeriode() != null) && (actionFormationCalcul.getPeriode().chevauche(periodeAvant))) {
          actionsFormation.ajouter(periode);
        }
      }
    }
    if (resultatAvant.getListeCarencesEffectives().size() > 0) {
      traiterLesPBJCsSurLAvant(attributionParam, periodeAvant, datesDeDecoupageDesPBJCs, dateBlocageActualisation, datesChgtTauxCADT, periodesAER, periodesFormation, actionsFormation, dateGeneration, libelleBlocageActualisation, pbjcsAvant);
    }
    pbjcsAvant = GenerateurPBJCs.decouperEnPBJCsDisjointes(pbjcsAvant, true, false);
    if (!pbjcsAvant.estVide())
    {
      pbjcNcpAvant = (PbjcNcp)pbjcsAvant.dernierElement();
      if ((resultatAvant.getPji() == null) && (pbjcNcpAvant.getDateFin().coincideAvec(periodePEC.getDateFin())))
      {
        String motifRadiation = periodePEC.getMotifAnnulation();
        pbjcNcpAvant.setCodeRadiationLendemainPeriode(motifRadiation);
        pbjcNcpAvant.ajouterComplementDeJustification("TD");
        if ((motifRadiation != null) && (motifRadiation.equals("73"))) {
          pbjcNcpAvant.ajouterComplementDeJustification("OH");
        }
      }
      if ((laPeriodeInterruptive != null) && (laPeriodeInterruptive.getDateDebut().coincideAvec(pbjcNcpAvant.getDateFin().lendemain()))) {
        if ((laPeriodeInterruptive instanceof ObjetChronoPeriodeRetraite))
        {
          pbjcNcpAvant.ajouterComplementDeJustification("OD");
        }
        else if ((laPeriodeInterruptive instanceof PeriodeExclusionDefinitiveDDTE))
        {
          String codeSanction = ((PeriodeExclusionDefinitiveDDTE)laPeriodeInterruptive).getCodeSanction();
          if (codeSanction.equals("ED")) {
            pbjcNcpAvant.ajouterComplementDeJustification("SJ");
          } else if (codeSanction.equals("EX")) {
            pbjcNcpAvant.ajouterComplementDeJustification("SI");
          }
        }
        else if ((laPeriodeInterruptive instanceof ObjetChronoPeriodeRejetDVDemandeExpresse))
        {
          pbjcNcpAvant.ajouterComplementDeJustification("ST");
        }
        else if ((laPeriodeInterruptive instanceof PeriodeBlocageIndemnisation))
        {
          pbjcNcpAvant.ajouterComplementDeJustification("OM");
        }
      }
    }
    return pbjcsAvant;
  }
  
  public void traiterLesPBJCsSurLAvant(AttributionSpec attribution, Periode periodeAvant, List datesDeDecoupageDesPBJCs, Damj dateBlocageActualisation, List datesChgtTauxCADT, Collection periodesAER, ChronologiePeriodes periodesFormation, ChronologiePeriodes actionsFormation, Damj dateGeneration, String libelleBlocageActualisation, ChronologiePeriodes pbjcsAvant)
  {
    ChronologiePeriodes periodes = null;
    ChronologiePeriodes periodesInterruptives = null;
    ObjetChronoPeriode laPeriodeInterruptive = null;
    PbjcNcp pbjcsAvantSusp = null;
    
    List listePeriode = new ArrayList();
    List listeConstantesPBJC = new ArrayList();
    
    CalendrierExecutionAvant calendrierAvant = (CalendrierExecutionAvant)attribution.getCalendrierExecutionAvant();
    Chronologie listUtAvant = calendrierAvant.getChronologieUnitesTraitements();
    listUtAvant.iterer();
    while (listUtAvant.encoreSuivant())
    {
      UniteTraitementAvant utAvant = (UniteTraitementAvant)listUtAvant.elementSuivant();
      if ((attribution.getDateAttribution().estContenueDans(new Periode(utAvant.getDateDebut(), utAvant.getDateFin()))) || (attribution.getDateAttribution().estAvant(utAvant.getDateDebut())))
      {
        periodes = (ChronologiePeriodes)utAvant.getQualificationPeriodes().getPeriodesSuspensives().copier(new FiltreChevauchePeriode(periodeAvant));
        
        periodesInterruptives = utAvant.getQualificationPeriodes().getPeriodesInterruptives();
        periodesInterruptives.setComparateur(new ComparateurTemporelsSurDateDebut());
        periodes.iterer();
        while (periodes.encoreSuivant())
        {
          ObjetChronoPeriode periode = (ObjetChronoPeriode)periodes.elementSuivant().copie();
          if (periode.getDateDebut().estAvant(periodeAvant.getDebut())) {
            periode.setDateDebut(periodeAvant.getDebut());
          }
          if (periode.getDateFin().estApres(periodeAvant.getFin())) {
            periode.setDateFin(periodeAvant.getFin());
          }
          boolean peutAjouter = true;
          for (int i = 0; i < listePeriode.size(); i++)
          {
            ObjetChronoPeriode periodeTmp = (ObjetChronoPeriode)listePeriode.get(i);
            if ((periode.getDateDebut().coincideAvec(periodeTmp.getDateDebut())) && (periode.getDateFin().coincideAvec(periodeTmp.getDateFin()))) {
              peutAjouter = false;
            }
          }
          if (peutAjouter)
          {
            listePeriode.add(periode);
            if (((periode instanceof PeriodeEvenementPersonnel)) && (((PeriodeEvenementPersonnel)periode).getNature() == 38)) {
              listeConstantesPBJC.add("CA");
            } else if (((periode instanceof DsmMaladie)) || (((periode instanceof PeriodeEvenementPersonnel)) && (((PeriodeEvenementPersonnel)periode).getNature() != 38))) {
              listeConstantesPBJC.add("MA");
            } else if (((periode instanceof DsmAbsenceAuPointage)) || ((periode instanceof PeriodeAbsenceAuPointage))) {
              listeConstantesPBJC.add("AB");
            } else if (((periode instanceof PeriodeTravailJustifiee)) || ((periode instanceof PeriodeActiviteEmploiCalcul))) {
              listeConstantesPBJC.add("CT");
            } else if ((periode instanceof PeriodeSuspensionDDTEAvecImputation)) {
              listePeriode.remove(periode);
            } else {
              listeConstantesPBJC.add("CT");
            }
          }
        }
        listePeriode = filtrerPeriodesSuspensivesPeriodesInterruptives(listePeriode, periodesInterruptives);
        for (int i = 0; i < listePeriode.size(); i++)
        {
          ObjetChronoPeriode periode = (ObjetChronoPeriode)listePeriode.get(i);
          if (periode.chevauche(new Periode(utAvant.getDateDebut(), Damj.min(utAvant.getDateFin(), calendrierAvant.getDernierJourAvant()))))
          {
            Damj dateFinPeriodeSusp = Damj.min(Damj.min(periode.getDateFin(), utAvant.getDateFin()), calendrierAvant.getDernierJourAvant());
            
            pbjcsAvantSusp = creerPBJCSuspensivePourLAvant(Damj.max(periode.getDateDebut(), utAvant.getDateDebut()), dateFinPeriodeSusp, periode, attribution, (String)listeConstantesPBJC.get(i));
            
            ajouterPBJCSurLAvant(pbjcsAvant, pbjcsAvantSusp, dateGeneration);
          }
        }
        DureeConsommableAvant dureePmc = (DureeConsommableAvant)utAvant.getDureePmcEnDebutUT().copie();
        DureeConsommableAvant dureeDiffereStandard = (DureeConsommableAvant)utAvant.getDureeDiffereStandardEnDebutUT().copie();
        DureeConsommableAvant dureeDiffereSpecifique = (DureeConsommableAvant)utAvant.getDureeDiffereSpecifiqueEnDebutUT().copie();
        DureeConsommableAvant dureeDelaiAttente = (DureeConsommableAvant)utAvant.getDureeDelaiAttenteEnDebutUT().copie();
        DureeConsommableAvant dureeDiffereStandardFin = (DureeConsommableAvant)utAvant.getDureeDiffereStandardEnFinUT().copie();
        DureeConsommableAvant dureeDiffereSpecifiqueFin = (DureeConsommableAvant)utAvant.getDureeDiffereSpecifiqueEnFinUT().copie();
        DureeConsommableAvant dureeDelaiAttenteFin = (DureeConsommableAvant)utAvant.getDureeDelaiAttenteEnFinUT().copie();
        ConsommationPeriodes consoPeriode = utAvant.getConsommationPeriodes();
        
        periodesInterruptives.iterer();
        if (periodesInterruptives.encoreSuivant()) {
          laPeriodeInterruptive = (ObjetChronoPeriode)periodesInterruptives.elementSuivant();
        }
        Periode periodeUtAvant = new Periode(Damj.max(utAvant.getDateDebut(), periodeAvant.getDebut()), utAvant.getDateFin());
        if ((consoPeriode.getPeriodePmc() != null) && (consoPeriode.getPeriodePmc().chevauche(periodeUtAvant))) {
          traiterLesPBJCsAvant(dureePmc, periodeAvant, datesDeDecoupageDesPBJCs, dateBlocageActualisation, datesChgtTauxCADT, attribution, periodesAER, periodesFormation, actionsFormation, dateGeneration, libelleBlocageActualisation, pbjcsAvant, consoPeriode.getPeriodePmc(), false, false, false, periodesInterruptives, laPeriodeInterruptive);
        }
        if ((consoPeriode.getPeriodeDiffereSpecifique() != null) && (consoPeriode.getPeriodeDiffereSpecifique().chevauche(periodeUtAvant)))
        {
          boolean positionJustifFermeture;
          boolean positionJustifFermeture;
          if ((dureeDiffereSpecifiqueFin.getQuantiteCourante() != null) && (!dureeDiffereSpecifiqueFin.getQuantiteCourante().getValeur().equals(ZERO))) {
            positionJustifFermeture = false;
          } else {
            positionJustifFermeture = true;
          }
          boolean positionJustifOuverture;
          boolean positionJustifOuverture;
          if ((dureeDiffereSpecifique.getQuantiteCourante() != null) && (!dureeDiffereSpecifique.getQuantiteCourante().getValeur().equals(dureeDiffereSpecifique.getQuantiteInitial().getValeur()))) {
            positionJustifOuverture = false;
          } else {
            positionJustifOuverture = true;
          }
          traiterLesPBJCsAvant(dureeDiffereSpecifique, periodeAvant, datesDeDecoupageDesPBJCs, dateBlocageActualisation, datesChgtTauxCADT, attribution, periodesAER, periodesFormation, actionsFormation, dateGeneration, libelleBlocageActualisation, pbjcsAvant, consoPeriode.getPeriodeDiffereSpecifique(), false, positionJustifOuverture, positionJustifFermeture, periodesInterruptives, laPeriodeInterruptive);
        }
        if ((consoPeriode.getPeriodeDiffereStandard() != null) && (consoPeriode.getPeriodeDiffereStandard().chevauche(periodeUtAvant)))
        {
          boolean positionJustifFermeture;
          boolean positionJustifFermeture;
          if ((dureeDiffereStandardFin.getQuantiteCourante() != null) && (!dureeDiffereStandardFin.getQuantiteCourante().getValeur().equals(ZERO))) {
            positionJustifFermeture = false;
          } else {
            positionJustifFermeture = true;
          }
          boolean positionJustifOuverture;
          boolean positionJustifOuverture;
          if ((dureeDiffereStandard.getQuantiteCourante() != null) && (!dureeDiffereStandard.getQuantiteCourante().getValeur().equals(dureeDiffereStandard.getQuantiteInitial().getValeur()))) {
            positionJustifOuverture = false;
          } else {
            positionJustifOuverture = true;
          }
          traiterLesPBJCsAvant(dureeDiffereStandard, periodeAvant, datesDeDecoupageDesPBJCs, dateBlocageActualisation, datesChgtTauxCADT, attribution, periodesAER, periodesFormation, actionsFormation, dateGeneration, libelleBlocageActualisation, pbjcsAvant, consoPeriode.getPeriodeDiffereStandard(), false, positionJustifOuverture, positionJustifFermeture, periodesInterruptives, laPeriodeInterruptive);
        }
        if ((consoPeriode.getPeriodeDelaiAttente() != null) && (consoPeriode.getPeriodeDelaiAttente().chevauche(periodeUtAvant)))
        {
          boolean positionJustifFermeture;
          boolean positionJustifFermeture;
          if ((!consoPeriode.getPeriodeDelaiAttente().getFin().coincideAvec(periodeAvant.getFin())) && (dureeDelaiAttenteFin.getQuantiteCourante() != null) && (!dureeDelaiAttenteFin.getQuantiteCourante().getValeur().equals(ZERO))) {
            positionJustifFermeture = false;
          } else {
            positionJustifFermeture = true;
          }
          boolean positionJustifOuverture;
          boolean positionJustifOuverture;
          if ((dureeDelaiAttente.getQuantiteCourante() != null) && (!dureeDelaiAttente.getQuantiteCourante().getValeur().equals(dureeDelaiAttente.getQuantiteInitial().getValeur()))) {
            positionJustifOuverture = false;
          } else {
            positionJustifOuverture = true;
          }
          traiterLesPBJCsAvant(dureeDelaiAttente, periodeAvant, datesDeDecoupageDesPBJCs, dateBlocageActualisation, datesChgtTauxCADT, attribution, periodesAER, periodesFormation, actionsFormation, dateGeneration, libelleBlocageActualisation, pbjcsAvant, consoPeriode.getPeriodeDelaiAttente(), true, positionJustifOuverture, positionJustifFermeture, periodesInterruptives, laPeriodeInterruptive);
        }
        filtrerPbjcAvantPeriodesInterruptives(periodesInterruptives, pbjcsAvant);
      }
    }
  }
  
  public void traiterLesPBJCsAvant(DureeConsommableAvant duree, Periode periodeAvant, List dateDecoupagePBJC, Damj dateBlocageActualisation, List dateChgtTauxCADT, AttributionSpec attribution, Collection periodesAER, ChronologiePeriodes periodesFormation, ChronologiePeriodes actionsFormation, Damj dateGeneration, String libelleBlocageActualisation, ChronologiePeriodes pbjcsAvant, Periode periodeConso, boolean estDelaiAttente, boolean positionJustifOuverture, boolean positionJustifFermeture, ChronologiePeriodes periodesInterruptives, ObjetChronoPeriode periodeInterruptive)
  {
    if (estDelaiAttente) {
      traiterLesPBJCsAvantDelaiAttente(periodeAvant, dateDecoupagePBJC, dateBlocageActualisation, dateChgtTauxCADT, attribution, periodesAER, periodesFormation, actionsFormation, dateGeneration, libelleBlocageActualisation, pbjcsAvant, periodeConso, positionJustifOuverture, positionJustifFermeture, periodesInterruptives, periodeInterruptive);
    } else {
      traiterLesPBJCsAvantHorsDelaiAttente(duree, periodeAvant, dateDecoupagePBJC, dateBlocageActualisation, dateChgtTauxCADT, attribution, periodesAER, periodesFormation, actionsFormation, dateGeneration, libelleBlocageActualisation, pbjcsAvant, periodeConso, positionJustifOuverture, positionJustifFermeture, periodesInterruptives, periodeInterruptive);
    }
  }
  
  private void traiterLesPBJCsAvantDelaiAttente(Periode periodeAvant, List dateDecoupagePBJC, Damj dateBlocageActualisation, List dateChgtTauxCADT, AttributionSpec attribution, Collection periodesAER, ChronologiePeriodes periodesFormation, ChronologiePeriodes actionsFormation, Damj dateGeneration, String libelleBlocageActualisation, ChronologiePeriodes pbjcsAvant, Periode periodeConso, boolean positionJustifOuverture, boolean positionJustifFermeture, ChronologiePeriodes periodesInterruptives, ObjetChronoPeriode periodeInterruptive)
  {
    Damj dateDebut = null;
    Damj date = null;
    Iterator iteratorDatesDecoupage = null;
    
    Periode periodeDiffere = new Periode(periodeConso.getDebut(), Damj.min(periodeConso.getFin(), periodeAvant.getFin()));
    
    dateDecoupagePBJC = retournerDatesDeRupturePBJCsAvant(dateChgtTauxCADT, periodeDiffere, dateBlocageActualisation);
    
    dateDebut = periodeDiffere.getDebut();
    iteratorDatesDecoupage = dateDecoupagePBJC.iterator();
    while (iteratorDatesDecoupage.hasNext())
    {
      date = (Damj)iteratorDatesDecoupage.next();
      dateDebut = creationPbjcAvantCarenceGestionMaintienEuropeen(attribution, periodesAER, periodesFormation, actionsFormation, dateDebut, date.veille(), null, periodesInterruptives, periodeInterruptive, dateBlocageActualisation, libelleBlocageActualisation, pbjcsAvant, dateGeneration, true, periodeDiffere, positionJustifOuverture, positionJustifFermeture);
    }
    creationPbjcAvantCarenceGestionMaintienEuropeen(attribution, periodesAER, periodesFormation, actionsFormation, dateDebut, periodeDiffere.getFin(), null, periodesInterruptives, periodeInterruptive, dateBlocageActualisation, libelleBlocageActualisation, pbjcsAvant, dateGeneration, true, periodeDiffere, positionJustifOuverture, positionJustifFermeture);
  }
  
  private void traiterLesPBJCsAvantHorsDelaiAttente(DureeConsommableAvant duree, Periode periodeAvant, List dateDecoupagePBJC, Damj dateBlocageActualisation, List dateChgtTauxCADT, AttributionSpec attribution, Collection periodesAER, ChronologiePeriodes periodesFormation, ChronologiePeriodes actionsFormation, Damj dateGeneration, String libelleBlocageActualisation, ChronologiePeriodes pbjcsAvant, Periode periodeConso, boolean positionJustifOuverture, boolean positionJustifFermeture, ChronologiePeriodes periodesInterruptives, ObjetChronoPeriode periodeInterruptive)
  {
    Damj dateDebut = null;
    Damj date = null;
    Iterator iteratorDatesDecoupage = null;
    Periode periodeDiff = new Periode(Damj.max(periodeConso.getDebut(), periodeAvant.getDebut()), Damj.min(periodeConso.getFin(), periodeAvant.getFin()));
    
    dateDecoupagePBJC = retournerDatesDeRupturePBJCsAvant(dateChgtTauxCADT, periodeDiff, dateBlocageActualisation);
    
    dateDebut = periodeDiff.getDebut();
    iteratorDatesDecoupage = dateDecoupagePBJC.iterator();
    while (iteratorDatesDecoupage.hasNext())
    {
      date = (Damj)iteratorDatesDecoupage.next();
      dateDebut = creationPbjcAvantCarenceGestionMaintienEuropeen(attribution, periodesAER, periodesFormation, actionsFormation, dateDebut, date.veille(), duree, periodesInterruptives, periodeInterruptive, dateBlocageActualisation, libelleBlocageActualisation, pbjcsAvant, dateGeneration, false, periodeDiff, positionJustifOuverture, positionJustifFermeture);
    }
    creationPbjcAvantCarenceGestionMaintienEuropeen(attribution, periodesAER, periodesFormation, actionsFormation, dateDebut, periodeDiff.getFin(), duree, periodesInterruptives, periodeInterruptive, dateBlocageActualisation, libelleBlocageActualisation, pbjcsAvant, dateGeneration, false, periodeDiff, positionJustifOuverture, positionJustifFermeture);
  }
  
  public boolean creerPBJCsurUT(AttributionSpec attribution, UniteTraitement ut)
  {
    return true;
  }
  
  public void positionnerActiviteReduite(PbjcNcp pbjcNcp, ConstituantsCalculActiviteReduiteSpec constituantsCalculActiviteReduite)
  {
    pbjcNcp.setNbMoisActiviteReduite(((ConstituantsCalculActiviteReduiteProduit)constituantsCalculActiviteReduite).getCumul());
  }
  
  public void positionnerCoefficientTempsPartiel(PbjcNcp pbjcNcp, UniteTraitement ut, AttributionSpec attribution) {}
  
  public void positionnerComplementJustification(PbjcNcp pbjcNcp, UniteTraitement ut, AttributionSpec attribution)
    throws CoucheLogiqueException
  {
    Collection collectionEvtsChangementParametre = null;
    Collection collectionEvenements = null;
    Iterator iterateur = null;
    EvenementChangementParametre evenementChangementParametre = null;
    
    EvenementCalculSpec evtCalcul = null;
    ChronologiePeriodes periodes = null;
    ObjetChronoPeriode objetChronoPeriode = null;
    
    collectionEvtsChangementParametre = getEvtsChangementParametre(pbjcNcp.getDateDebut());
    if (collectionEvtsChangementParametre != null)
    {
      iterateur = collectionEvtsChangementParametre.iterator();
      while (iterateur.hasNext())
      {
        evenementChangementParametre = (EvenementChangementParametre)iterateur.next();
        if (evenementChangementParametre.getNomParametre().equals("REVALORISATION")) {
          if (evenementChangementParametre.getDateEffet().coincideAvec(pbjcNcp.getDateDebut())) {
            pbjcNcp.ajouterComplementDeJustification("CD");
          }
        }
        if ((evenementChangementParametre.getNomParametre().equals("NV PARAMETRE")) && 
        
          (evenementChangementParametre.getDateEffet().coincideAvec(pbjcNcp.getDateDebut()))) {
          pbjcNcp.ajouterComplementDeJustification("DH");
        }
      }
    }
    if (ut.isNeutralisee())
    {
      int typeNeutralisation = ut.getTypeNeutralisation();
      if ((typeNeutralisation == 0) || (typeNeutralisation == 7)) {
        pbjcNcp.ajouterComplementDeJustification("GC");
      } else if ((typeNeutralisation == 1) || (typeNeutralisation == 2)) {
        pbjcNcp.ajouterComplementDeJustification("GD");
      } else if (typeNeutralisation == 6) {
        pbjcNcp.ajouterComplementDeJustification("GE");
      }
    }
    collectionEvenements = ut.getCollectionEvenements();
    if (collectionEvenements != null)
    {
      iterateur = collectionEvenements.iterator();
      while (iterateur.hasNext())
      {
        evtCalcul = (EvenementCalculSpec)iterateur.next();
        if (((evtCalcul instanceof EvenementFinCumul)) && 
          (((EvenementFinCumul)evtCalcul).getDateEvenement().coincideAvec(pbjcNcp.getDateDebut()))) {
          pbjcNcp.ajouterComplementDeJustification("G7");
        }
      }
    }
    periodes = ut.getQualificationPeriodes().getPeriodesSegmentantes();
    periodes.iterer();
    while (periodes.encoreSuivant())
    {
      objetChronoPeriode = (ObjetChronoPeriode)periodes.elementSuivant();
      if (objetChronoPeriode.getDateDebut().coincideAvec(pbjcNcp.getDateDebut())) {
        if (((objetChronoPeriode instanceof ObjetChronoAnniversaire50Ans)) || ((objetChronoPeriode instanceof ObjetChronoAnniversaire55Ans)) || ((objetChronoPeriode instanceof ObjetChronoAnniversaire60Ans)))
        {
          if ((objetChronoPeriode instanceof ObjetChronoAnniversaire50Ans)) {
            pbjcNcp.setCoefAvantageVieillesse(fr.unedic.cali.asu.spe02.p03.parametres.ParametresIndemnisation.getParametresIndemnisation().getTauxAvantageViellesse(new DureeCalendaire(50)));
          } else if ((objetChronoPeriode instanceof ObjetChronoAnniversaire55Ans)) {
            pbjcNcp.setCoefAvantageVieillesse(fr.unedic.cali.asu.spe02.p03.parametres.ParametresIndemnisation.getParametresIndemnisation().getTauxAvantageViellesse(new DureeCalendaire(55)));
          } else if ((objetChronoPeriode instanceof ObjetChronoAnniversaire60Ans)) {
            pbjcNcp.setCoefAvantageVieillesse(fr.unedic.cali.asu.spe02.p03.parametres.ParametresIndemnisation.getParametresIndemnisation().getTauxAvantageViellesse(new DureeCalendaire(60)));
          }
          if (pbjcNcp.getCoefAvantageVieillesse().compareTo(new BigDecimal("0")) == 1) {
            pbjcNcp.ajouterComplementDeJustification("DF");
          }
        }
        else if (((objetChronoPeriode instanceof PeriodePensionInvalidite)) || ((objetChronoPeriode instanceof PeriodeSousPensionInvaliditeChainee)))
        {
          pbjcNcp.ajouterComplementDeJustification("FR");
        }
        else if ((objetChronoPeriode instanceof PeriodeAvantageVieillesse))
        {
          pbjcNcp.ajouterComplementDeJustification("DG");
          if (objetChronoPeriode.getDateDebut().estApres(PeriodeAvantageVieillesse.DATE_BASCULE_AV)) {
            pbjcNcp.ajouterComplementDeJustification("DJ");
          } else {
            pbjcNcp.ajouterComplementDeJustification("DI");
          }
        }
        else if (((objetChronoPeriode instanceof PeriodeInterStageFormation)) || ((objetChronoPeriode instanceof FinActionFormation)))
        {
          pbjcNcp.ajouterComplementDeJustification("E2");
        }
        else if ((objetChronoPeriode instanceof ObjetChronoPeriodeDebutPec))
        {
          if (pbjcNcp.getDateDebut().coincideAvec(OutilsMaintienEuropeenEessiASU.getDateMaintienEuropeen(ut.getConstituantsIndemnisationEnFinUT()))) {
            pbjcNcp.ajouterComplementDeJustification("CY");
          }
          pbjcNcp.ajouterComplementDeJustification("E9");
          
          ObjetChronoPeriodePriseEnCharge pec = OutillagePeriodes.recupererPeriodePECContenant(attribution.getDemandeur(), pbjcNcp.getDateDebut());
          
          mapperPecSurPbjc(pbjcNcp, pec);
        }
      }
    }
    Chronologie radiations = OutillagePeriodes.recupererRadiations(attribution.getDemandeur());
    radiations.iterer();
    while (radiations.encoreSuivant())
    {
      objetChronoPeriode = (ObjetChronoPeriodeRadiation)radiations.elementSuivant();
      if (((objetChronoPeriode instanceof ObjetChronoPeriodeRadiation)) && (objetChronoPeriode.getDateDebut().coincideAvec(pbjcNcp.getDateFin().lendemain())))
      {
        String motifRadiation = ((ObjetChronoPeriodeRadiation)objetChronoPeriode).getMotifAnnulationPEC();
        
        pbjcNcp.setCodeRadiationLendemainPeriode(motifRadiation);
        
        pbjcNcp.ajouterComplementDeJustification("TD");
      }
    }
  }
  
  public void positionnerDonneesAvantageVieillesse(PbjcNcp pbjcNcp, UniteTraitement ut, AttributionSpec attribution)
  {
    ElementBaseIndemnisation elementBaseIndemnisationFinUT = null;
    ElementBaseIndemnisation elementBaseIndemnisationDebutUT = null;
    ChronologiePeriodes chronoPeriodesSegmentantes = null;
    PeriodeAvantageVieillesse periodeAvantageVieillesse = null;
    fr.unedic.cali.asu.spe02.p03.parametres.ParametresIndemnisation parametresIndemnisation = fr.unedic.cali.asu.spe02.p03.parametres.ParametresIndemnisation.getParametresIndemnisation();
    BigDecimal montantAVAPositionner = null;
    
    elementBaseIndemnisationDebutUT = (ElementBaseIndemnisation)ut.getConstituantsIndemnisationEnDebutUT().getElementBaseIndemnisationCourant();
    elementBaseIndemnisationFinUT = (ElementBaseIndemnisation)ut.getConstituantsIndemnisationEnFinUT().getElementBaseIndemnisationCourant();
    
    chronoPeriodesSegmentantes = ut.getQualificationPeriodes().getPeriodesSegmentantes();
    if ((chronoPeriodesSegmentantes != null) && (!chronoPeriodesSegmentantes.estVide()))
    {
      chronoPeriodesSegmentantes.iterer();
      while (chronoPeriodesSegmentantes.encoreSuivant())
      {
        ObjetChronoPeriode periode = (ObjetChronoPeriode)chronoPeriodesSegmentantes.elementSuivant();
        if (((periode instanceof PeriodeAvantageVieillesse)) && (periode.chevauche(new Periode(pbjcNcp.getDateDebut(), pbjcNcp.getDateFin())))) {
          periodeAvantageVieillesse = (PeriodeAvantageVieillesse)periode;
        }
      }
    }
    pbjcNcp.setCoefAvantageVieillesse(parametresIndemnisation.getTauxAvantageViellesse(attribution.getDemandeur().getAgeALaDate(pbjcNcp.getDateDebut())));
    if (periodeAvantageVieillesse != null)
    {
      BigDecimal sjmDebutUt = RevalorisationSalaire.determinerSjmrp(elementBaseIndemnisationDebutUT.getSalaireReference(), elementBaseIndemnisationDebutUT.getCoefficientHoraireJour(), elementBaseIndemnisationDebutUT.getNombreHeuresTravailleesPlafonnees(), ut.getDateDebut()).getSalaire();
      
      BigDecimal sjmFinUt = RevalorisationSalaire.determinerSjmrp(elementBaseIndemnisationFinUT.getSalaireReference(), elementBaseIndemnisationFinUT.getCoefficientHoraireJour(), elementBaseIndemnisationFinUT.getNombreHeuresTravailleesPlafonnees(), ut.getDateFin()).getSalaire();
      if ((periodeAvantageVieillesse.getDateDebut().estAvant(ut.getDateDebut().getDebutMois())) && (periodeAvantageVieillesse.getDateFin().estAvant(ut.getDateFin())))
      {
        if (sjmDebutUt.compareTo(sjmFinUt) != 0) {
          montantAVAPositionner = elementBaseIndemnisationDebutUT.getMontantAvantageVieillesse().multiply(sjmFinUt).divide(sjmDebutUt, 2);
        } else {
          montantAVAPositionner = elementBaseIndemnisationDebutUT.getMontantAvantageVieillesse();
        }
      }
      else if ((periodeAvantageVieillesse.getDateDebut().estApres(ut.getDateDebut())) && (periodeAvantageVieillesse.getDateFin().estAvant(ut.getDateFin()))) {
        montantAVAPositionner = periodeAvantageVieillesse.getQuantiteEuro().getValeurMontant();
      } else if ((elementBaseIndemnisationFinUT.getMontantAvantageVieillesse() != null) && (elementBaseIndemnisationFinUT.getMontantAvantageVieillesse().compareTo(new BigDecimal("0")) > 0)) {
        montantAVAPositionner = elementBaseIndemnisationFinUT.getMontantAvantageVieillesse();
      } else if ((elementBaseIndemnisationDebutUT.getMontantAvantageVieillesse() != null) && (elementBaseIndemnisationDebutUT.getMontantAvantageVieillesse().compareTo(new BigDecimal("0")) > 0)) {
        montantAVAPositionner = elementBaseIndemnisationDebutUT.getMontantAvantageVieillesse();
      } else {
        montantAVAPositionner = periodeAvantageVieillesse.getQuantiteEuro().getValeurMontant();
      }
      pbjcNcp.setMontantCumuleRevaloriseAV(Mathematiques.arrondiASup(montantAVAPositionner, 2));
    }
    else
    {
      pbjcNcp.setMontantCumuleRevaloriseAV(new BigDecimal("0"));
    }
  }
  
  public void positionnerEtatsReglementaireEtAdministratif(PbjcNcp pbjcNcp)
  {
    pbjcNcp.setEtatReglementaireOd("1");
    
    pbjcNcp.setEtatAdministratifOd("1");
  }
  
  public void positionnerIndicateurInterruptionIndemnisationParPensionInvalidite(PbjcNcp pbjcNcp)
  {
    if (pbjcNcp.getMontantPensionInvalidite().compareTo(new BigDecimal("0")) > 0)
    {
      pbjcNcp.setInterrupIndemParPensionInvalidite("N");
      if (pbjcNcp.getEtatAdministratifOd().equals("1")) {
        if (pbjcNcp.getCodeTypeMontant1().equals(pbjcNcp.getProduit()))
        {
          if (pbjcNcp.getResultatCalcul1().compareTo(new BigDecimal("0")) == 0) {
            pbjcNcp.setInterrupIndemParPensionInvalidite("O");
          }
        }
        else if (pbjcNcp.getCodeTypeMontant2().equals(pbjcNcp.getProduit()))
        {
          if (pbjcNcp.getResultatCalcul2().compareTo(new BigDecimal("0")) == 0) {
            pbjcNcp.setInterrupIndemParPensionInvalidite("O");
          }
        }
        else if (pbjcNcp.getCodeTypeMontant3().equals(pbjcNcp.getProduit()))
        {
          if (pbjcNcp.getResultatCalcul3().compareTo(new BigDecimal("0")) == 0) {
            pbjcNcp.setInterrupIndemParPensionInvalidite("O");
          }
        }
        else if (pbjcNcp.getCodeTypeMontant4().equals(pbjcNcp.getProduit()))
        {
          if (pbjcNcp.getResultatCalcul4().compareTo(new BigDecimal("0")) == 0) {
            pbjcNcp.setInterrupIndemParPensionInvalidite("O");
          }
        }
        else if (pbjcNcp.getCodeTypeMontant5().equals(pbjcNcp.getProduit()))
        {
          if (pbjcNcp.getResultatCalcul5().compareTo(new BigDecimal("0")) == 0) {
            pbjcNcp.setInterrupIndemParPensionInvalidite("O");
          }
        }
        else if (pbjcNcp.getCodeTypeMontant6().equals(pbjcNcp.getProduit()))
        {
          if (pbjcNcp.getResultatCalcul6().compareTo(new BigDecimal("0")) == 0) {
            pbjcNcp.setInterrupIndemParPensionInvalidite("O");
          }
        }
        else if (pbjcNcp.getCodeTypeMontant7().equals(pbjcNcp.getProduit())) {
          if (pbjcNcp.getResultatCalcul7().compareTo(new BigDecimal("0")) == 0) {
            pbjcNcp.setInterrupIndemParPensionInvalidite("O");
          }
        }
      }
    }
  }
  
  public void positionnerInformationDecisionSanction(PbjcNcp pbjcNcp, UniteTraitement ut)
  {
    ChronologiePeriodes periodes = null;
    ObjetChronoPeriode objetChronoPeriode = null;
    
    periodes = ut.getQualificationPeriodes().getPeriodesSuspensives();
    periodes.iterer();
    while (periodes.encoreSuivant())
    {
      objetChronoPeriode = (ObjetChronoPeriode)periodes.elementSuivant();
      if ((objetChronoPeriode.chevauche(new Periode(pbjcNcp.getDateDebut(), pbjcNcp.getDateFin()))) && (((objetChronoPeriode instanceof PeriodeSuspensionDDTEAvecImputation)) || ((objetChronoPeriode instanceof PeriodeSuspensionDDTESansImputation)))) {
        positionnerInformationDecisionSanction(pbjcNcp, objetChronoPeriode);
      }
    }
    periodes = ut.getQualificationPeriodes().getPeriodesSegmentantes();
    periodes.iterer();
    while (periodes.encoreSuivant())
    {
      objetChronoPeriode = (ObjetChronoPeriode)periodes.elementSuivant();
      if (((objetChronoPeriode instanceof PeriodeSanctionReductionMontant)) && (objetChronoPeriode.chevauche(new Periode(pbjcNcp.getDateDebut(), pbjcNcp.getDateFin())))) {
        positionnerInformationDecisionSanction(pbjcNcp, objetChronoPeriode);
      }
    }
  }
  
  public void positionnerInformationDecisionSanction(PbjcNcp pbjcNcp, ObjetChronoPeriode periode)
  {
    String codeSanction = null;
    Periode periodeInitiale = null;
    if ((periode instanceof PeriodeSuspensionDDTEAvecImputation))
    {
      periodeInitiale = ((PeriodeSuspensionDDTEAvecImputation)periode).getPeriodeInitiale();
      codeSanction = ((PeriodeSuspensionDDTEAvecImputation)periode).getCodeSanction();
      if (periodeInitiale.getDebut().coincideAvec(pbjcNcp.getDateDebut())) {
        if (codeSanction.equals("SD")) {
          pbjcNcp.ajouterComplementDeJustification("EG");
        } else if (codeSanction.equals("SE")) {
          pbjcNcp.ajouterComplementDeJustification("EI");
        } else if (codeSanction.equals("SF")) {
          pbjcNcp.ajouterComplementDeJustification("EN");
        }
      }
      if (periodeInitiale.getFin().coincideAvec(pbjcNcp.getDateFin())) {
        if (codeSanction.equals("SD")) {
          pbjcNcp.ajouterComplementDeJustification("SG");
        } else if (codeSanction.equals("SE")) {
          pbjcNcp.ajouterComplementDeJustification("SH");
        } else if (codeSanction.equals("SF")) {
          pbjcNcp.ajouterComplementDeJustification("SN");
        }
      }
    }
    else if ((periode instanceof PeriodeSuspensionDDTESansImputation))
    {
      periodeInitiale = ((PeriodeSuspensionDDTESansImputation)periode).getPeriodeInitiale();
      codeSanction = ((PeriodeSuspensionDDTESansImputation)periode).getCodeSanction();
      if (periodeInitiale.getDebut().coincideAvec(pbjcNcp.getDateDebut())) {
        if (codeSanction.equals("SD")) {
          pbjcNcp.ajouterComplementDeJustification("EH");
        } else if (codeSanction.equals("SE")) {
          pbjcNcp.ajouterComplementDeJustification("EJ");
        } else if (codeSanction.equals("SF")) {
          pbjcNcp.ajouterComplementDeJustification("EO");
        }
      }
      if (periodeInitiale.getFin().coincideAvec(pbjcNcp.getDateFin())) {
        if (codeSanction.equals("SD")) {
          pbjcNcp.ajouterComplementDeJustification("SG");
        } else if (codeSanction.equals("SE")) {
          pbjcNcp.ajouterComplementDeJustification("SH");
        } else if (codeSanction.equals("SF")) {
          pbjcNcp.ajouterComplementDeJustification("SO");
        }
      }
    }
    else if ((periode instanceof PeriodeSanctionReductionMontant))
    {
      periodeInitiale = ((PeriodeSanctionReductionMontant)periode).getPeriodeInitiale();
      codeSanction = ((PeriodeSanctionReductionMontant)periode).getCodeSanction();
      if (codeSanction.equals("R1")) {
        pbjcNcp.setTxSanction(20);
      } else if (codeSanction.equals("R2")) {
        pbjcNcp.setTxSanction(50);
      }
      if (periodeInitiale.getDebut().coincideAvec(pbjcNcp.getDateDebut())) {
        if (codeSanction.equals("R1")) {
          pbjcNcp.ajouterComplementDeJustification("ES");
        } else if (codeSanction.equals("R2")) {
          pbjcNcp.ajouterComplementDeJustification("ET");
        }
      }
      if (periodeInitiale.getFin().coincideAvec(pbjcNcp.getDateFin())) {
        pbjcNcp.ajouterComplementDeJustification("SS");
      }
    }
    else if ((periode instanceof PeriodeSuspensionTitreConservatoire))
    {
      periodeInitiale = ((PeriodeSuspensionTitreConservatoire)periode).getPeriodeInitiale();
      if (periodeInitiale.getDebut().coincideAvec(pbjcNcp.getDateDebut())) {
        pbjcNcp.ajouterComplementDeJustification("EC");
      }
      if (periodeInitiale.getFin().coincideAvec(pbjcNcp.getDateFin())) {
        pbjcNcp.ajouterComplementDeJustification("SG");
      }
    }
  }
  
  public void positionnerInformationSuspension(PbjcNcp pbjcNcp, UniteTraitement ut)
  {
    ChronologiePeriodes periodes = null;
    ObjetChronoPeriode objetChronoPeriode = null;
    
    periodes = ut.getQualificationPeriodes().getPeriodesSuspensives();
    periodes.iterer();
    while (periodes.encoreSuivant())
    {
      objetChronoPeriode = (ObjetChronoPeriode)periodes.elementSuivant();
      if ((objetChronoPeriode instanceof PeriodeServiceCivique))
      {
        PeriodeServiceCivique periodeServiceCivique = (PeriodeServiceCivique)objetChronoPeriode;
        if (periodeServiceCivique.getPeriodeInitiale().commenceAvec(pbjcNcp.getDateDebut())) {
          pbjcNcp.ajouterComplementDeJustification("I1");
        }
        if (periodeServiceCivique.getPeriodeInitiale().finitAvec(pbjcNcp.getDateFin())) {
          pbjcNcp.ajouterComplementDeJustification("U1");
        }
      }
    }
  }
  
  public void positionnerJustificationFermetureDJI(PbjcNcp pbjcNcp, AttributionSpec attribution, UniteTraitement ut)
  {
    if (ut.getArretProduitAvecRaison().isRaisonsContientRaison(1))
    {
      pbjcNcp.ajouterComplementDeJustification("ND");
      if (pbjcNcp.estEnAref()) {
        pbjcNcp.ajouterComplementDeJustification("NI");
      }
    }
    if (ut.getArretProduitAvecRaison().isRaisonsContientRaison(4))
    {
      Iterator iterateurPeriodesInterruptives = ut.getArretProduitAvecRaison().getPeriodesInterruptivesDefinitives().iterator();
      while (iterateurPeriodesInterruptives.hasNext())
      {
        ObjetChronoPeriode objetChronoPeriode = (ObjetChronoPeriode)iterateurPeriodesInterruptives.next();
        if ((objetChronoPeriode instanceof ObjetChronoPeriodeFinPec))
        {
          if (OutillagePeriodes.estRadiationFaisantSuitePecCA(attribution, objetChronoPeriode.getDateDebut())) {
            pbjcNcp.ajouterComplementDeJustification("RF");
          }
          String motifRadiation = ((ObjetChronoPeriodeFinPec)objetChronoPeriode).getMotifAnnulationPEC();
          
          pbjcNcp.setCodeRadiationLendemainPeriode(motifRadiation);
          
          pbjcNcp.ajouterComplementDeJustification("TD");
          if ((motifRadiation != null) && (motifRadiation.equals("73"))) {
            pbjcNcp.ajouterComplementDeJustification("OH");
          }
        }
        else if ((objetChronoPeriode instanceof ObjetChronoPeriodeRetraite))
        {
          pbjcNcp.ajouterComplementDeJustification("OD");
        }
        else if ((objetChronoPeriode instanceof PeriodeExclusionDefinitiveDDTE))
        {
          String codeSanction = ((PeriodeExclusionDefinitiveDDTE)objetChronoPeriode).getCodeSanction();
          if (codeSanction.equals("ED")) {
            pbjcNcp.ajouterComplementDeJustification("SJ");
          } else if (codeSanction.equals("EX")) {
            pbjcNcp.ajouterComplementDeJustification("SI");
          }
        }
        else if ((objetChronoPeriode instanceof ObjetChronoPeriodeRejetDVDemandeExpresse))
        {
          pbjcNcp.ajouterComplementDeJustification("ST");
        }
        else if ((objetChronoPeriode instanceof PeriodeBlocageIndemnisation))
        {
          pbjcNcp.ajouterComplementDeJustification("OM");
        }
        else if ((objetChronoPeriode instanceof ObjetChronoPeriodeFinDureeMaintienDroit))
        {
          pbjcNcp.ajouterComplementDeJustification("R9");
        }
      }
    }
  }
  
  public void positionnerJustificationOuverturePJI(PbjcNcp pbjcNcp, AttributionSpec attribution)
  {
    if ((attribution instanceof RepriseSpec))
    {
      Reprise reprise = (Reprise)attribution;
      
      pbjcNcp.ajouterComplementDeJustification("BP");
      if (reprise.getDateAttribution().coincideAvec(reprise.getPji()))
      {
        AttributionAssuranceSpec assurancePrecedente = ((AttributionAssuranceSpec)attribution).getAttributionPrecedente();
        if ((assurancePrecedente != null) && (OutilDemande.estUneDemandeFinDroitAsr(assurancePrecedente.getDemande()))) {
          pbjcNcp.ajouterComplementDeJustification("BV");
        }
      }
      Collection collectionEvtsChangementParametre = null;
      Iterator iterateur = null;
      EvenementChangementParametre evenementChangementParametre = null;
      Damj dateDerniereRevalorisationAvantCessation = Damj.NUIT_DES_TEMPS;
      Damj dateDerniereRevalorisationAvantReprise = Damj.NUIT_DES_TEMPS;
      
      CalendrierExecutionCalculSpec calendrier = reprise.getAttributionPrecedente().getCalendrierExecutionCalcul();
      Damj dateFinAttributionPrecedente;
      Damj dateFinAttributionPrecedente;
      if ((calendrier != null) && (calendrier.getEtatAttribution() != 4)) {
        dateFinAttributionPrecedente = calendrier.getDernierJourIndemnisable();
      } else {
        dateFinAttributionPrecedente = reprise.getAttributionPrecedente().getDateAttribution();
      }
      collectionEvtsChangementParametre = getEvtsChangementParametre(dateFinAttributionPrecedente);
      if (collectionEvtsChangementParametre != null)
      {
        iterateur = collectionEvtsChangementParametre.iterator();
        while (iterateur.hasNext())
        {
          evenementChangementParametre = (EvenementChangementParametre)iterateur.next();
          if (evenementChangementParametre.getNomParametre().equals("REVALORISATION")) {
            dateDerniereRevalorisationAvantCessation = evenementChangementParametre.getDateEffet();
          }
        }
      }
      collectionEvtsChangementParametre = getEvtsChangementParametre(dateFinAttributionPrecedente, attribution.getCalendrierExecutionCalcul().getPremierJourIndemnisable(), attribution);
      if (collectionEvtsChangementParametre != null)
      {
        iterateur = collectionEvtsChangementParametre.iterator();
        while (iterateur.hasNext())
        {
          evenementChangementParametre = (EvenementChangementParametre)iterateur.next();
          if (evenementChangementParametre.getNomParametre().equals("REVALORISATION")) {
            dateDerniereRevalorisationAvantReprise = evenementChangementParametre.getDateEffet();
          }
        }
      }
      if (dateDerniereRevalorisationAvantCessation.estAvant(dateDerniereRevalorisationAvantReprise)) {
        pbjcNcp.ajouterComplementDeJustification("CD");
      }
    }
    else if ((attribution instanceof ReadmissionSpec))
    {
      pbjcNcp.ajouterComplementDeJustification("BH");
    }
    else
    {
      pbjcNcp.ajouterComplementDeJustification("BD");
    }
    if ((OutilsMaintienEuropeenEessiASU.getPjiMaintienEuropeenDuDroit(attribution) != null) && (pbjcNcp.getDateDebut().equals(OutilsMaintienEuropeenEessiASU.getPjiMaintienEuropeenDuDroit(attribution)))) {
      pbjcNcp.ajouterComplementDeJustification("CY");
    }
  }
  
  public void positionnerMontantSalaireRevalorisePlafonne(PbjcNcp pbjcNcp, AttributionSpec attribution, ConstituantsIndemnisation constituantsIndemnisation, MontantBaseSpec montant)
    throws CoucheLogiqueException
  {
    ElementBaseIndemnisation ebi = (ElementBaseIndemnisation)constituantsIndemnisation.getElementBaseIndemnisationCourant();
    BigDecimal sjm = RevalorisationSalaire.determinerSjmrp(ebi.getSalaireReference(), ebi.getCoefficientHoraireJour(), ebi.getNombreHeuresTravailleesPlafonnees(), pbjcNcp.getDateDebut()).getSalaire();
    
    pbjcNcp.setMontantSalaireRevalorisePlafonne(sjm.setScale(2, 3));
  }
  
  public void positionnerMontantSjc(PbjcNcp pbjcNcp, AttributionSpec attribution, ConstituantsIndemnisation constituantsIndemnisation)
    throws CoucheLogiqueException
  {}
  
  public void positionnerNombreMoisEnPaiementProvisoire(PbjcNcp pbjcNcp, UniteTraitement ut)
  {
    pbjcNcp.setNbMoisPaiementProvis(((ConstituantsCalculActiviteReduiteGamme)ut.getConstituantsCalculActiviteReduiteEnFinUT()).getNbMoisEnPPA());
  }
  
  public void positionnerPBJCASupprimer(PbjcNcp pbjcNcp, ObjetChronoPeriode periode)
  {
    if (((periode instanceof ObjetChronoPeriodeInterProduits)) && ("FOR_RFP04_01".equals(((ObjetChronoPeriodeInterProduits)periode).getNomProduit()))) {
      pbjcNcp.setQualificationPeriode(3);
    }
  }
  
  public void positionnerPriseEnChargeAER(PbjcNcp pbjcNcp, Collection periodesAER)
  {
    boolean chevauchementAER = false;
    Iterator iterator = periodesAER.iterator();
    while ((iterator.hasNext()) && (!chevauchementAER)) {
      chevauchementAER = pbjcNcp.chevauche((Periode)iterator.next());
    }
    pbjcNcp.setPriseEnChargeAERC(chevauchementAER);
  }
  
  public void positionnerPriseEnChargeAER(PbjcNcp pbjcNcp, UniteTraitement ut)
  {
    ChronologiePeriodes periodesSegmentantes = null;
    ObjetChronoPeriode periode = null;
    ObjetChronoPeriodeInterProduits periodeInterProduit = null;
    ObjetChronoPeriodeInterProduits periodeRetenue = null;
    
    periodesSegmentantes = ut.getQualificationPeriodes().getPeriodesSegmentantes();
    periodesSegmentantes.iterer();
    while (periodesSegmentantes.encoreSuivant())
    {
      periode = (ObjetChronoPeriode)periodesSegmentantes.elementSuivant();
      if (((periode instanceof ObjetChronoPeriodeInterProduits)) && ((((ObjetChronoPeriodeInterProduits)periode).getNomProduit().equals("SOL_AER05_01")) || (((ObjetChronoPeriodeInterProduits)periode).getNomProduit().equals("SOL_AER05_02")) || (((ObjetChronoPeriodeInterProduits)periode).getNomProduit().equals("SOL_AER05_03"))))
      {
        periodeInterProduit = (ObjetChronoPeriodeInterProduits)periode;
        if (pbjcNcp.chevauche(periodeInterProduit.getPeriode())) {
          if (periodeRetenue == null) {
            periodeRetenue = periodeInterProduit;
          } else if (periodeInterProduit.getDateDebut().estApresOuCoincideAvec(periodeRetenue.getDateDebut())) {
            periodeRetenue = periodeInterProduit;
          }
        }
      }
    }
    if (periodeRetenue != null) {
      pbjcNcp.setPriseEnChargeAERC((periodeRetenue.getTypePeriode() == 2) || (periodeRetenue.getTypePeriode() == 1));
    }
  }
  
  public void positionnerReferencesOuvertureDroit(PbjcNcp pbjcNcp, AttributionSpec attribution)
  {
    pbjcNcp.setIdentifiantReprise(new Integer(attribution.getRsrp()).intValue());
    
    pbjcNcp.setRefOdPjcFaitGenerateurOrigine(new Integer(attribution.getRsod()).intValue());
    
    pbjcNcp.setRefOdPjcPremierFaitGenerateur(pbjcNcp.getRefOdPjcFaitGenerateurOrigine());
  }
  
  public void positionnerRessources(PbjcNcp pbjcNcp, AttributionSpec attribution) {}
  
  public int retournerMaxDureeReglementaireCourante(AttributionSpec attribution)
  {
    return 0;
  }
  
  public Quantite retournerQuantiteIndemnisationInitialeDroit(AttributionSpec attribution, UniteTraitement ut)
  {
    if ((attribution instanceof Reprise))
    {
      Quantite dureeOdOrigine = dureeIndemnisationTheorique((Attribution)((Reprise)attribution).getAttributionOrigine());
      
      return dureeOdOrigine;
    }
    return dureeIndemnisationTheorique((Attribution)attribution);
  }
  
  public int retournerReferenceBaseCalcul(AttributionSpec attribution)
  {
    if (attribution.getNatureDecision() == 11) {
      return 2;
    }
    if ((attribution instanceof RepriseSpec))
    {
      AttributionAssuranceSpec attributionOrigine = (AttributionAssuranceSpec)((AttributionAssuranceSpec)attribution).getOuvertureDroit();
      if (attributionOrigine.getNatureDecision() == 11) {
        return 2;
      }
    }
    return 1;
  }
  
  public String retournerReglementApplicable(AttributionSpec attribution)
  {
    return ((Attribution)attribution).getConstitutionReglementApplicable().getReglement().getNomReglement();
  }
  
  public int retournerReliquatDureeMax(UniteTraitement ut, ChronologiePeriodes chronoPBJCs, AttributionSpec attributionSpec)
  {
    int reliquatARetourner = 0;
    QuantiteDroitSpec quantiteIndemnisation = null;
    PbjcNcp pbjcNcp = null;
    if (chronoPBJCs.estVide())
    {
      quantiteIndemnisation = OutillageQuantites.recupererPremiereQuantiteIndemnisationActive(ut.getConstituantsIndemnisationEnDebutUT().getCollectionQuantiteDroit());
      if (quantiteIndemnisation != null) {
        reliquatARetourner = quantiteIndemnisation.getQuantiteCourante().getValeurEntiere();
      }
    }
    else
    {
      pbjcNcp = (PbjcNcp)chronoPBJCs.dernierElement();
      reliquatARetourner = pbjcNcp.getReliquatDureeMax() - pbjcNcp.getNbJoursImputes();
    }
    return reliquatARetourner;
  }
  
  public int retournerReliquatDureeReglementaireCourante(UniteTraitement ut)
  {
    return 0;
  }
  
  public boolean retournerTopPlafonnementDureeDroitParDate()
  {
    return false;
  }
  
  public ChronologiePeriodes supprimerPBJCsANePasPrendreEnCompte(ChronologiePeriodes chronoPBJCs)
  {
    ChronologiePeriodes chronoTemp = null;
    PbjcNcp pbjcNcp = null;
    
    chronoTemp = new ChronologiePeriodes();
    chronoPBJCs.iterer();
    while (chronoPBJCs.encoreSuivant())
    {
      pbjcNcp = (PbjcNcp)chronoPBJCs.elementSuivant();
      if (pbjcNcp.getQualificationPeriode() != 3) {
        chronoTemp.ajouter(pbjcNcp);
      }
    }
    return chronoTemp;
  }
  
  public void traiterBlocageActuPourLAvant(PbjcNcp pbjcNcpAvant, Damj dateBlocageActualisation, String libelleBlocageActualisation)
  {
    if ((dateBlocageActualisation != null) && (dateBlocageActualisation.veille().equals(pbjcNcpAvant.getDateFin())) && 
      (libelleBlocageActualisation != null) && (libelleBlocageActualisation.length() != 0)) {
      if (libelleBlocageActualisation.equals("blocage pour signal. pension d'inval. sur le DSM")) {
        pbjcNcpAvant.ajouterComplementDeJustification("HH");
      } else if (libelleBlocageActualisation.equals("blocage pour signal. pension de retraite sur le DSM")) {
        pbjcNcpAvant.ajouterComplementDeJustification("HI");
      } else if (libelleBlocageActualisation.equals("blocage pour arret recherche d'empl. sign. sur le DSM")) {
        pbjcNcpAvant.ajouterComplementDeJustification("HJ");
      } else if (libelleBlocageActualisation.equals("blocage pour signal maternité sans date sur le DSM")) {
        pbjcNcpAvant.ajouterComplementDeJustification("HK");
      } else if (libelleBlocageActualisation.equals("DSM en multi-déclaration recyclée")) {
        pbjcNcpAvant.ajouterComplementDeJustification("HL");
      } else if (libelleBlocageActualisation.equals("blocage pour motif divers")) {
        pbjcNcpAvant.ajouterComplementDeJustification("HN");
      } else if (libelleBlocageActualisation.equals("blocage ADE si actu sans déclaration TO")) {
        pbjcNcpAvant.ajouterComplementDeJustification("HO");
      } else if (libelleBlocageActualisation.equals("blocage pour signal formation")) {
        pbjcNcpAvant.ajouterComplementDeJustification("HM");
      } else if (libelleBlocageActualisation.equals("Blocage indemnisation pour DE en fin de formation")) {
        pbjcNcpAvant.ajouterComplementDeJustification("HR");
      }
    }
  }
  
  public void traiterPBJCsAPosteriori(ChronologiePeriodes chronoPBJCs, AttributionSpec attribution, Chronologie chronoUT)
    throws CoucheLogiqueException
  {
    PbjcNcp pbjcNcp = null;
    PbjcNcp pbjcNcpAvant = null;
    DossierExamen dossierExamen = null;
    Damj dateMaintien = null;
    
    Chronologie demandes = attribution.getDemandeur().getChronoDemandeMaintien();
    demandes.iterer();
    while (demandes.encoreSuivant())
    {
      DemandeSpec demandeMaintien = (DemandeSpec)demandes.elementSuivant();
      if (((demandeMaintien instanceof DemandeMaintien)) && (!demandeMaintien.estEnReExamen()) && ((demandeMaintien.getClassementAdministratif() == null) || (((demandeMaintien.getClassementAdministratif() instanceof Prescription)) && (!((Prescription)demandeMaintien.getClassementAdministratif()).isValidite()))))
      {
        dossierExamen = ((DemandeMaintien)demandeMaintien).getDossierExamen();
        if ((dossierExamen != null) && ((dossierExamen instanceof Accord))) {
          dateMaintien = demandeMaintien.getDateEffet();
        }
      }
    }
    if ((dateMaintien == null) && (((AttributionAssuranceSpec)attribution).getOuvertureDroitCapitalRetenu() != null) && (!((AttributionAssuranceSpec)attribution).getOuvertureDroitCapitalRetenu().estEnReexamen()) && ((((AttributionAssuranceSpec)attribution).getOuvertureDroitCapitalRetenu() instanceof AntecedentSpec)))
    {
      AntecedentSpec attributionMaitre = (AntecedentSpec)((AttributionAssuranceSpec)attribution).getOuvertureDroitCapitalRetenu();
      dateMaintien = attributionMaitre.getCalendrierExecutionCalcul().getDernierJourIndemnisable().veille();
    }
    ChronologiePeriodes chronologiePeriodesRadiationPEC = OutillagePeriodes.recupererPecsRadiationSuiteEntreeFormation(attribution.getDemandeur());
    
    chronoPBJCs.iterer();
    while (chronoPBJCs.encoreSuivant())
    {
      pbjcNcp = (PbjcNcp)chronoPBJCs.elementSuivant();
      if ((dateMaintien != null) && (((AttributionAssuranceSpec)attribution).estMaintenue()))
      {
        if (pbjcNcp.getDateDebut().coincideAvec(dateMaintien)) {
          pbjcNcp.ajouterComplementDeJustification("B1");
        }
        if (pbjcNcp.getDateDebut().estApresOuCoincideAvec(dateMaintien)) {
          pbjcNcp.setEtatReglementaireOd("5");
        }
      }
      chronologiePeriodesRadiationPEC.iterer();
      while (chronologiePeriodesRadiationPEC.encoreSuivant())
      {
        ObjetChronoPeriodeRadiation periodeRadiation = (ObjetChronoPeriodeRadiation)chronologiePeriodesRadiationPEC.elementSuivant();
        if (periodeRadiation.getDateDebut().veille().coincideAvec(pbjcNcp.getDateFin()))
        {
          pbjcNcp.ajouterComplementDeJustification("TD");
          
          pbjcNcp.setCodeRadiationLendemainPeriode("31");
        }
      }
      if (pbjcNcpAvant != null)
      {
        if (pbjcNcpAvant.getDateFin().coincideAvec(pbjcNcp.getDateDebut().veille()))
        {
          if (pbjcNcp.contientComplementDeJustification("FR")) {
            pbjcNcpAvant.ajouterComplementDeJustification("QF");
          }
          if ((pbjcNcp.getInterrupIndemParPensionInvalidite() != null) && (pbjcNcpAvant.getInterrupIndemParPensionInvalidite() != null))
          {
            if ((pbjcNcp.getInterrupIndemParPensionInvalidite().equals("O")) && 
              (pbjcNcpAvant.getInterrupIndemParPensionInvalidite().equals("N"))) {
              pbjcNcp.ajouterComplementDeJustification("FN");
            }
            if ((pbjcNcp.getInterrupIndemParPensionInvalidite().equals("N")) && 
              (pbjcNcpAvant.getInterrupIndemParPensionInvalidite().equals("O"))) {
              pbjcNcp.ajouterComplementDeJustification("FO");
            }
          }
        }
        if ((pbjcNcpAvant.getMontantCumuleRevaloriseAV() != null) && (pbjcNcpAvant.getMontantCumuleRevaloriseAV().compareTo(new BigDecimal("0")) > 0)) {
          if ((pbjcNcp.getMontantCumuleRevaloriseAV() != null) && (pbjcNcp.getMontantCumuleRevaloriseAV().compareTo(new BigDecimal("0")) > 0) && 
            (pbjcNcp.getMontantCumuleRevaloriseAV().compareTo(pbjcNcpAvant.getMontantCumuleRevaloriseAV()) != 0) && (!pbjcNcp.contientComplementDeJustification("DG"))) {
            pbjcNcp.ajouterComplementDeJustification("DH");
          }
        }
      }
      if ((pbjcNcp.contientComplementDeJustification("FR")) && (pbjcNcp.getInterrupIndemParPensionInvalidite() != null) && (pbjcNcp.getInterrupIndemParPensionInvalidite().equals("O"))) {
        pbjcNcp.ajouterComplementDeJustification("FN");
      }
      if ((((Attribution)attribution).getDureeIndemnisationTheorique().getValeurEntiere() == pbjcNcp.getReliquatDureeMax()) && (pbjcNcp.getNbJoursImputes() != 0)) {
        positionnerJustificationOuverturePJI(pbjcNcp, attribution);
      }
      if (attribution.getDateAttribution().coincideAvec(pbjcNcp.getDateDebut())) {
        if ((attribution instanceof Reprise)) {
          pbjcNcp.ajouterComplementDeJustification("BO");
        } else if ((attribution instanceof Readmission)) {
          pbjcNcp.ajouterComplementDeJustification("BG");
        } else {
          pbjcNcp.ajouterComplementDeJustification("BB");
        }
      }
      if (pbjcNcpAvant != null) {
        pbjcNcp.setNbJoursAREF(pbjcNcpAvant.getNbJoursAREF());
      }
      if ((pbjcNcp.estEnAref()) && (pbjcNcp.getEtatIndemnisation().compareTo("AVANT") != 0)) {
        pbjcNcp.setNbJoursAREF(pbjcNcp.getNbJoursAREF() + pbjcNcp.getNbJoursImputes());
      }
      pbjcNcpAvant = pbjcNcp;
    }
  }
  
  public void positionnerRangProlongation(PbjcNcp pbjcNcp, UniteTraitement ut, AttributionSpec attribution) {}
  
  public ResultatAvant retournerResultatCalculAvant(AttributionSpec attribution, ObjetChronoPeriodePriseEnCharge periodePEC)
    throws ApplicativeException
  {
    IndividuSpec individu = attribution.getDemandeur();
    
    periodePEC = OutillagePeriodes.recupererPeriodePECContenant(individu, attribution.getDateEffet());
    if (periodePEC == null) {
      throw new CoucheLogiqueException("HG_PR_CALI_L_PAS_DE_PEC_POUR_EXECUTION_AVANT", "Attention lors de l'execution de l'avant, impossible de retrouver une periode de prise en charge.", null);
    }
    DomAvantPilotage domAvantPilotage = new DomAvantPilotage(attribution);
    domAvantPilotage.setAvecPriseEnCompteEvenement(true);
    domAvantPilotage.setExecutionPersistante(true);
    Contexte contexteCalcul = new Contexte();
    contexteCalcul.setDonnees(domAvantPilotage);
    
    Parcours parcoursAvant = new ParcoursAvantPilotageElementsIndemnisation();
    ResultatAvant resultatAvant = (ResultatAvant)parcoursAvant.effectuerParcours(contexteCalcul);
    return resultatAvant;
  }
  
  private List retournerDatesDeRupturePBJCsAvant(List datesChgtTauxCADT, Periode periodeDeReference, Damj dateBlocageActualisation)
  {
    List listeARetourner = null;
    Damj dateChtTaux = null;
    Iterator iterateurDatesChtTaux = null;
    Damj date = null;
    listeARetourner = new ArrayList();
    iterateurDatesChtTaux = datesChgtTauxCADT.iterator();
    while (iterateurDatesChtTaux.hasNext())
    {
      dateChtTaux = (Damj)iterateurDatesChtTaux.next();
      if ((dateChtTaux.estApres(periodeDeReference.getDebut())) && (dateChtTaux.estAvantOuCoincideAvec(periodeDeReference.getFin())) && (!listeARetourner.contains(dateChtTaux))) {
        listeARetourner.add(dateChtTaux);
      }
    }
    date = periodeDeReference.getDebut();
    while (date.estAvant(periodeDeReference.getFin()))
    {
      date = date.getFinMois().lendemain();
      if ((date.estContenueDans(periodeDeReference)) && (!listeARetourner.contains(date))) {
        listeARetourner.add(date);
      }
    }
    if ((dateBlocageActualisation != null) && (dateBlocageActualisation.estContenueDans(periodeDeReference)) && (!listeARetourner.contains(dateBlocageActualisation))) {
      listeARetourner.add(dateBlocageActualisation);
    }
    Collections.sort(listeARetourner);
    return listeARetourner;
  }
  
  private PbjcNcp creerPBJCAvantTypeCarence(AttributionSpec attribution, Collection periodesAER, ChronologiePeriodes periodesFormation, ChronologiePeriodes actionsFormation, Damj debutPBJC, Damj finPBJC, DureeConsommableAvant duree, Periode periodeDuree, boolean positionJustifOuverture, boolean positionJustifFermeture)
  {
    PbjcNcp pbjcNcpAvant = creerPBJCAvant(attribution, periodesAER, periodesFormation, actionsFormation, debutPBJC, finPBJC);
    
    pbjcNcpAvant.setEtatReglementaireOd("3");
    if ((duree != null) && (duree.getTypeDureeConsommable() == 0))
    {
      pbjcNcpAvant.setEtatReglementaireOd("7");
    }
    else if ((duree != null) && (duree.getTypeDureeConsommable() == 2))
    {
      pbjcNcpAvant.setTypeCarence("IR");
      if (((debutPBJC.coincideAvec(periodeDuree.getDebut())) || (debutPBJC.coincideAvec(attribution.getDateEffet()))) && (positionJustifOuverture)) {
        pbjcNcpAvant.ajouterComplementDeJustification("AG");
      }
      if ((finPBJC.coincideAvec(periodeDuree.getFin())) && (positionJustifFermeture)) {
        pbjcNcpAvant.ajouterComplementDeJustification("MG");
      }
    }
    else if ((duree != null) && (duree.getTypeDureeConsommable() == 1))
    {
      pbjcNcpAvant.setTypeCarence("CP");
      if (((debutPBJC.coincideAvec(periodeDuree.getDebut())) || (debutPBJC.coincideAvec(attribution.getDateEffet()))) && (positionJustifOuverture)) {
        pbjcNcpAvant.ajouterComplementDeJustification("AH");
      }
      if ((finPBJC.coincideAvec(periodeDuree.getFin())) && (positionJustifFermeture)) {
        pbjcNcpAvant.ajouterComplementDeJustification("MH");
      }
    }
    return pbjcNcpAvant;
  }
  
  private void ajouterPBJCSurLAvant(ChronologiePeriodes chronoAvant, PbjcNcp pbjcNcp, Damj dateGeneration)
  {
    if (pbjcNcp.getDateDebut().estApresOuCoincideAvec(dateGeneration))
    {
      chronoAvant.ajouter(pbjcNcp);
    }
    else if (pbjcNcp.getDateFin().estApres(dateGeneration))
    {
      pbjcNcp.setDateDebutPbjcsTrans(dateGeneration.lendemain());
      chronoAvant.ajouter(pbjcNcp);
    }
  }
  
  private PbjcNcp creerPBJCAvantTypeDiffere(AttributionSpec attribution, Collection periodesAER, ChronologiePeriodes periodesFormation, ChronologiePeriodes actionsFormation, Damj debut, Damj fin, Periode periode, boolean positionJustifOuverture, boolean positionJustifFermeture)
  {
    PbjcNcp pbjcNcpAvant = creerPBJCAvant(attribution, periodesAER, periodesFormation, actionsFormation, debut, fin);
    
    pbjcNcpAvant.setEtatReglementaireOd("9");
    if ((debut.coincideAvec(periode.getDebut())) && (positionJustifOuverture)) {
      pbjcNcpAvant.ajouterComplementDeJustification("AF");
    }
    if ((fin.coincideAvec(periode.getFin())) && (positionJustifFermeture)) {
      pbjcNcpAvant.ajouterComplementDeJustification("MF");
    }
    return pbjcNcpAvant;
  }
  
  private PbjcNcp creerPBJCAvant(AttributionSpec attribution, Collection periodesAER, ChronologiePeriodes periodesFormation, ChronologiePeriodes actionsFormation, Damj dateDebut, Damj dateFin)
  {
    PbjcNcp pbjcNcp = null;
    ObjetChronoPeriodePriseEnCharge pec = null;
    PeriodeFormation periodeFormationCalcul = null;
    pbjcNcp = new PbjcNcp(dateDebut, dateFin);
    
    positionnerReferencesOuvertureDroit(pbjcNcp, attribution);
    
    pbjcNcp.setRefBaseCalculMontantBrut(retournerReferenceBaseCalcul(attribution));
    
    pbjcNcp.setProduit(attribution.getProduit().getNom());
    
    pbjcNcp.setNaturePBJC("CA");
    
    pbjcNcp.setEtatIndemnisation("AVANT");
    
    pbjcNcp.setEtatAdministratifOd("1");
    
    pbjcNcp.setRegimeApplicable(retournerReglementApplicable(attribution));
    
    pbjcNcp.setCodeMotifNonPaiement("00");
    
    pbjcNcp.setRangProlongation(0);
    
    pbjcNcp.setReliquatDureeMax(dureeIndemnisationTheorique((Attribution)attribution).getValeurEntiere());
    
    pbjcNcp.setCumulCourant(retournerQuantiteIndemnisationInitialeDroit(attribution, null).getValeurEntiere() - pbjcNcp.getReliquatDureeMax());
    
    positionnerPriseEnChargeAER(pbjcNcp, periodesAER);
    
    pec = OutillagePeriodes.recupererPeriodePECContenant(attribution.getDemandeur(), dateDebut);
    if (pec != null) {
      pbjcNcp.setAleIndividu(pec.getAleIndividu());
    }
    positionnerInfoConventionGestion(pbjcNcp, attribution);
    
    periodesFormation.iterer();
    while (periodesFormation.encoreSuivant())
    {
      periodeFormationCalcul = (PeriodeFormation)periodesFormation.elementSuivant();
      if ((periodeFormationCalcul.getPeriodeEffectiveInitiale() != null) && 
        (periodeFormationCalcul.getPeriodeEffectiveInitiale().chevauche(new Periode(dateDebut, dateFin))))
      {
        ajouterGroupeMontantCGF(pbjcNcp, periodeFormationCalcul);
        pbjcNcp.setIdStageFormation(periodeFormationCalcul.getIdentifiantPeriodeFormation());
        pbjcNcp.setTypeMesurePourLEmploi(periodeFormationCalcul.getTypeMesureEmploi());
      }
    }
    actionsFormation.iterer();
    while (actionsFormation.encoreSuivant())
    {
      ActionFormation actionFormationCalcul = (ActionFormation)actionsFormation.elementSuivant();
      if (pbjcNcp.chevauche(new Periode(actionFormationCalcul.getDateDebut(), actionFormationCalcul.getDateFin())))
      {
        pbjcNcp.setIdPlanFormation(actionFormationCalcul.getIdentifiantActionFormation());
        
        pbjcNcp.setTypeDePlan(actionFormationCalcul.getTypePlan());
      }
    }
    pbjcNcp.setNbJoursAREF(initialiserCompteurFormation(attribution));
    
    return pbjcNcp;
  }
  
  protected Quantite dureeIndemnisationTheorique(Attribution attribution)
  {
    return attribution.getDureeIndemnisationTheorique();
  }
  
  private void ajouterGroupeMontantCGF(PbjcNcp pbjcNcp, PeriodeFormation periodeFormationCalcul)
  {
    BigDecimal nbHeuresTotal = null;
    BigDecimal nbDuree = null;
    BigDecimal nbHeuresStageParJour = null;
    BigDecimal tauxCotisationAccidentTravail = null;
    fr.unedic.cali.calcul.dom.EvenementParametre evenementParametre = null;
    
    nbHeuresTotal = periodeFormationCalcul.getActionFormation().getQuantiteHoraireTotal().getValeur();
    
    CritereStrategie critereStrategie = new CritereStrategie();
    critereStrategie.setDatePivot(pbjcNcp.getDateDebut());
    StrategieCotisationsGeneralesForfaitairesSpec strategieCotisationsGeneralesForfaitaires = (StrategieCotisationsGeneralesForfaitairesSpec)FabriqueStrategieCotisationsGeneralesForfaitaires.getInstance().getStrategie(critereStrategie);
    
    nbDuree = strategieCotisationsGeneralesForfaitaires.determinerNombreJourFormation(periodeFormationCalcul.getActionFormation());
    nbHeuresStageParJour = Mathematiques.diviseASup(nbHeuresTotal, nbDuree, 2);
    
    evenementParametre = fr.unedic.cali.calcul.parametres.ParametresIndemnisation.getParametresIndemnisation().getElementActif(pbjcNcp.getDateDebut());
    
    tauxCotisationAccidentTravail = evenementParametre.getTauxAccidentTravail();
    if ((nbHeuresStageParJour != null) && (tauxCotisationAccidentTravail != null)) {
      pbjcNcp.ajouterGroupeMontants("CADT", 1, new BigDecimal("0"), nbHeuresStageParJour, tauxCotisationAccidentTravail, Mathematiques.arrondiASup(nbHeuresStageParJour.multiply(tauxCotisationAccidentTravail), 2), "");
    }
  }
  
  protected void ajouterGroupeMontantAREF(PbjcNcp pbjcNcp, String nomProduit, Somme somme, UniteTraitement ut)
  {
    ChronologiePeriodes periodes = null;
    ObjetChronoPeriode objetChronoPeriode = null;
    PeriodeFormation periodeFormationCalcul = null;
    
    pbjcNcp.ajouterGroupeMontants(nomProduit, 1, new BigDecimal("0"), somme.getMontant().getMontantBrut().getValeur(), new BigDecimal("1"), somme.getMontant().getMontantBrut().getValeur(), "");
    
    periodes = ut.getQualificationPeriodes().getPeriodesSegmentantes();
    periodes.iterer();
    while (periodes.encoreSuivant())
    {
      objetChronoPeriode = (ObjetChronoPeriode)periodes.elementSuivant();
      if ((objetChronoPeriode instanceof PeriodeFormation))
      {
        if (objetChronoPeriode.getDateDebut().equals(pbjcNcp.getDateDebut())) {
          if (((PeriodeFormation)objetChronoPeriode).getIdentifiantPeriodeFormation() == 1) {
            pbjcNcp.ajouterComplementDeJustification("BF");
          } else {
            pbjcNcp.ajouterComplementDeJustification("BA");
          }
        }
        if (objetChronoPeriode.getDateFin().equals(pbjcNcp.getDateFin()))
        {
          pbjcNcp.ajouterComplementDeJustification("TH");
          pbjcNcp.ajouterComplementDeJustification("TD");
          
          pbjcNcp.setCodeRadiationLendemainPeriode("31");
        }
        if (pbjcNcp.chevauche(new Periode(objetChronoPeriode.getDateDebut(), objetChronoPeriode.getDateFin())))
        {
          periodeFormationCalcul = (PeriodeFormation)objetChronoPeriode;
          pbjcNcp.setIdStageFormation(periodeFormationCalcul.getIdentifiantPeriodeFormation());
          pbjcNcp.setTypeMesurePourLEmploi(periodeFormationCalcul.getTypeMesureEmploi());
        }
      }
      else if (((objetChronoPeriode instanceof PeriodeInterStageFormation)) && 
        (objetChronoPeriode.getDateDebut().veille().equals(pbjcNcp.getDateFin())))
      {
        pbjcNcp.ajouterComplementDeJustification("TH");
        pbjcNcp.ajouterComplementDeJustification("TD");
      }
    }
    periodes = ut.getQualificationPeriodes().getPeriodesNonQualifiees();
    periodes.iterer();
    while (periodes.encoreSuivant())
    {
      objetChronoPeriode = (ObjetChronoPeriode)periodes.elementSuivant();
      if (((objetChronoPeriode instanceof ActionFormation)) && 
        (pbjcNcp.chevauche(new Periode(objetChronoPeriode.getDateDebut(), objetChronoPeriode.getDateFin()))))
      {
        pbjcNcp.setIdPlanFormation(((ActionFormation)objetChronoPeriode).getIdentifiantActionFormation());
        
        pbjcNcp.setTypeDePlan(((ActionFormation)objetChronoPeriode).getTypePlan());
      }
    }
    if ((periodeFormationCalcul != null) && (periodeFormationCalcul.getPeriodeEffectiveInitiale() != null)) {
      ajouterGroupeMontantCGF(pbjcNcp, periodeFormationCalcul);
    }
  }
  
  protected void ajouterGroupeMontantPCRC(PbjcNcp pbjcNcp, MontantBaseSpec montantBaseSpec)
  {
    MontantAsuSpec montant = (MontantAsuSpec)montantBaseSpec;
    
    pbjcNcp.ajouterGroupeMontants("PCRC", 0, montant.getSjrNonReduit(), montant.getBaseCalculCrc().setScale(2, 3), Mathematiques.arrondiASup(montant.getTauxCrc().multiply(new BigDecimal("100")), 2), Mathematiques.arrondiASup(montant.getCrc().getValeur(), 2), montant.getPositionExonerationCrc());
    if (montant.getPensionInvaliditeADeduirePriseEnCompte() != null) {
      pbjcNcp.setMontantPensionInvalidite(montant.getPensionInvaliditeADeduirePriseEnCompte().getValeur());
    }
  }
  
  private Collection getEvtsChangementParametre(Damj date)
  {
    List evtsRetour = new ArrayList();
    fr.unedic.cali.asu.spe02.p03.parametres.EvenementParametre evtParam = fr.unedic.cali.asu.spe02.p03.parametres.ParametresIndemnisation.getParametresIndemnisation().getElementActif(date);
    fr.unedic.cali.asu.parametres.EvenementParametre evtParamAsu = fr.unedic.cali.asu.parametres.ParametresIndemnisation.getParametresIndemnisation().getElementActif(date);
    
    EvenementChangementParametre evt = null;
    if (evtParamAsu.isNouveauRevalorisationSjr())
    {
      evt = new EvenementChangementParametre("REVALORISATION", evtParam.getDateEvenement());
      evtsRetour.add(evt);
    }
    if ((evtParam.isNouveauAllocationMinimale()) || (evtParam.isNouveauCotisationRetraiteComplementaire()) || (evtParamAsu.isNouveauPlafond()) || (evtParamAsu.isNouveauSeuilMinimalAREF()) || (evtParamAsu.isNouveauSmicHoraire()))
    {
      evt = new EvenementChangementParametre("NV PARAMETRE", evtParam.getDateEvenement());
      evtsRetour.add(evt);
    }
    return evtsRetour;
  }
  
  public Collection getEvtsChangementParametre(Damj dateDebut, Damj dateFin, AttributionSpec attribution)
  {
    List evtsRetour = new ArrayList();
    Chronologie chronoEvtParam = fr.unedic.cali.asu.spe02.p03.parametres.ParametresIndemnisation.getParametresIndemnisation().getParametresActifs(new Periode(dateDebut, dateFin));
    Chronologie chronoEvtParamAsu = fr.unedic.cali.asu.parametres.ParametresIndemnisation.getParametresIndemnisation().getParametresActifs(new Periode(dateDebut, dateFin));
    
    EvenementChangementParametre evt = null;
    Iterator iterateur = chronoEvtParam.iterer();
    while (iterateur.hasNext())
    {
      fr.unedic.cali.asu.spe02.p03.parametres.EvenementParametre evtParam = (fr.unedic.cali.asu.spe02.p03.parametres.EvenementParametre)iterateur.next();
      if ((evtParam.isNouveauAllocationMinimale()) || (evtParam.isNouveauCotisationRetraiteComplementaire()))
      {
        evt = new EvenementChangementParametre("NV PARAMETRE", evtParam.getDateEvenement());
        evtsRetour.add(evt);
      }
    }
    iterateur = chronoEvtParamAsu.iterer();
    while (iterateur.hasNext())
    {
      fr.unedic.cali.asu.parametres.EvenementParametre evtParamAsu = (fr.unedic.cali.asu.parametres.EvenementParametre)iterateur.next();
      if (evtParamAsu.isNouveauRevalorisationSjr())
      {
        evt = new EvenementChangementParametre("REVALORISATION", evtParamAsu.getDateEvenement());
        evtsRetour.add(evt);
      }
      else if ((evtParamAsu.isNouveauSmicHoraire()) || (evtParamAsu.isNouveauPlafond()) || (evtParamAsu.isNouveauSeuilMinimalAREF()))
      {
        evt = new EvenementChangementParametre("NV PARAMETRE", evtParamAsu.getDateEvenement());
        evtsRetour.add(evt);
      }
    }
    return evtsRetour;
  }
  
  public void qualifierPbjcSuspensive(PbjcNcp pbjcNcp, ObjetChronoPeriode periode) {}
  
  public void miseAJourNombreJoursImputes(UniteTraitement ut, PbjcNcp pbjcNcp) {}
  
  public void positionnerCategorieAttribution(PbjcNcp pbjcNcp, AttributionSpec attribution, UniteTraitement ut) {}
  
  public boolean retournerTopPeriodeRessourcesSuperieuresPlafond(Somme somme)
  {
    return false;
  }
  
  public void positionnerSituationParticuliere(PbjcNcp pbjcNcp, AttributionSpec attribution, UniteTraitement ut)
  {
    pbjcNcp.setSituationParticuliere(attribution.getSituationParticuliere());
  }
  
  public ChronologiePeriodes traitementPeriodesSuspensives(ChronologiePeriodes periodesSuspensives, UniteTraitement ut)
  {
    return periodesSuspensives;
  }
  
  public void mapperPecSurPbjc(PbjcNcp pbjc, ObjetChronoPeriodePriseEnCharge pec)
  {
    OutilsMaintienEuropeenEessiASU.mapperPecSurPbjc(pbjc, pec);
  }
  
  private Damj creationPbjcAvantCarenceGestionMaintienEuropeen(AttributionSpec attribution, Collection periodesAER, ChronologiePeriodes periodesFormation, ChronologiePeriodes actionsFormation, Damj dateDebut, Damj dateFin, DureeConsommableAvant duree, ChronologiePeriodes periodesInterruptives, ObjetChronoPeriode periodeInterruptive, Damj dateBlocageActualisation, String libelleBlocageActualisation, ChronologiePeriodes chronologiePbjcs, Damj dateGeneration, boolean isDiffere, Periode periodeCarence, boolean positionJustifOuverture, boolean positionJustifFermeture)
  {
    PbjcNcp pbjcNcpAvant = null;
    Damj dateRetournee = dateFin.lendemain();
    if (periodeInterruptive != null)
    {
      if (dateFin.estAvant(periodeInterruptive.getDateDebut()))
      {
        if (!isDiffere) {
          pbjcNcpAvant = creerPBJCAvantTypeCarence(attribution, periodesAER, periodesFormation, actionsFormation, dateDebut, dateFin, duree, periodeCarence, positionJustifOuverture, positionJustifFermeture);
        } else {
          pbjcNcpAvant = creerPBJCAvantTypeDiffere(attribution, periodesAER, periodesFormation, actionsFormation, dateDebut, dateFin, periodeCarence, positionJustifOuverture, positionJustifFermeture);
        }
        traiterBlocageActuPourLAvant(pbjcNcpAvant, dateBlocageActualisation, libelleBlocageActualisation);
        ajouterPBJCSurLAvant(chronologiePbjcs, pbjcNcpAvant, dateGeneration);
        dateRetournee = dateFin.lendemain();
      }
      else if ((dateFin.estAvantOuCoincideAvec(periodeInterruptive.getDateFin())) && (dateDebut.estAvantOuCoincideAvec(periodeInterruptive.getDateDebut().veille())))
      {
        if (periodeCarence.getFin().estApres(periodeInterruptive.getDateFin())) {
          positionJustifFermeture = false;
        }
        if (!isDiffere) {
          pbjcNcpAvant = creerPBJCAvantTypeCarence(attribution, periodesAER, periodesFormation, actionsFormation, dateDebut, periodeInterruptive.getDateDebut().veille(), duree, periodeCarence, positionJustifOuverture, positionJustifFermeture);
        } else {
          pbjcNcpAvant = creerPBJCAvantTypeDiffere(attribution, periodesAER, periodesFormation, actionsFormation, dateDebut, periodeInterruptive.getDateDebut().veille(), periodeCarence, positionJustifOuverture, positionJustifFermeture);
        }
        traiterBlocageActuPourLAvant(pbjcNcpAvant, dateBlocageActualisation, libelleBlocageActualisation);
        ajouterPBJCSurLAvant(chronologiePbjcs, pbjcNcpAvant, dateGeneration);
        dateRetournee = dateFin.lendemain();
      }
      else if (dateFin.estApres(periodeInterruptive.getDateFin()))
      {
        if (dateDebut.estAvantOuCoincideAvec(periodeInterruptive.getDateDebut().veille()))
        {
          if (!isDiffere) {
            pbjcNcpAvant = creerPBJCAvantTypeCarence(attribution, periodesAER, periodesFormation, actionsFormation, dateDebut, periodeInterruptive.getDateDebut().veille(), duree, periodeCarence, positionJustifOuverture, false);
          } else {
            pbjcNcpAvant = creerPBJCAvantTypeDiffere(attribution, periodesAER, periodesFormation, actionsFormation, dateDebut, periodeInterruptive.getDateDebut().veille(), periodeCarence, positionJustifOuverture, false);
          }
          traiterBlocageActuPourLAvant(pbjcNcpAvant, dateBlocageActualisation, libelleBlocageActualisation);
          ajouterPBJCSurLAvant(chronologiePbjcs, pbjcNcpAvant, dateGeneration);
          
          positionJustifOuverture = false;
        }
        Damj dateDebutPbjcSup = periodeInterruptive.getDateFin().lendemain();
        if (periodesInterruptives.encoreSuivant()) {
          periodeInterruptive = (ObjetChronoPeriode)periodesInterruptives.elementSuivant();
        } else {
          periodeInterruptive = null;
        }
        while ((periodeInterruptive != null) && (dateFin.estApresOuCoincideAvec(periodeInterruptive.getDateDebut())))
        {
          if (dateFin.estAvant(periodeInterruptive.getDateFin())) {
            positionJustifFermeture = true;
          }
          if (!isDiffere) {
            pbjcNcpAvant = creerPBJCAvantTypeCarence(attribution, periodesAER, periodesFormation, actionsFormation, dateDebutPbjcSup, periodeInterruptive.getDateDebut().veille(), duree, periodeCarence, positionJustifOuverture, positionJustifFermeture);
          } else {
            pbjcNcpAvant = creerPBJCAvantTypeDiffere(attribution, periodesAER, periodesFormation, actionsFormation, dateDebutPbjcSup, periodeInterruptive.getDateDebut().veille(), periodeCarence, positionJustifOuverture, positionJustifFermeture);
          }
          pbjcNcpAvant.ajouterComplementDeJustification("E9");
          
          dateDebutPbjcSup = periodeInterruptive.getDateFin().lendemain();
          if (periodesInterruptives.encoreSuivant()) {
            periodeInterruptive = (ObjetChronoPeriode)periodesInterruptives.elementSuivant();
          } else {
            periodeInterruptive = null;
          }
          traiterBlocageActuPourLAvant(pbjcNcpAvant, dateBlocageActualisation, libelleBlocageActualisation);
          ajouterPBJCSurLAvant(chronologiePbjcs, pbjcNcpAvant, dateGeneration);
        }
        dateDebutPbjcSup = Damj.max(dateDebutPbjcSup, dateDebut);
        if (dateDebutPbjcSup.estAvantOuCoincideAvec(dateFin))
        {
          if (!isDiffere) {
            pbjcNcpAvant = creerPBJCAvantTypeCarence(attribution, periodesAER, periodesFormation, actionsFormation, dateDebutPbjcSup, dateFin, duree, periodeCarence, positionJustifOuverture, positionJustifFermeture);
          } else {
            pbjcNcpAvant = creerPBJCAvantTypeDiffere(attribution, periodesAER, periodesFormation, actionsFormation, dateDebutPbjcSup, dateFin, periodeCarence, positionJustifOuverture, positionJustifFermeture);
          }
          pbjcNcpAvant.ajouterComplementDeJustification("E9");
          pbjcNcpAvant.ajouterComplementDeJustification("R9");
          traiterBlocageActuPourLAvant(pbjcNcpAvant, dateBlocageActualisation, libelleBlocageActualisation);
          ajouterPBJCSurLAvant(chronologiePbjcs, pbjcNcpAvant, dateGeneration);
        }
        dateRetournee = dateFin.lendemain();
      }
    }
    else
    {
      if (!isDiffere) {
        pbjcNcpAvant = creerPBJCAvantTypeCarence(attribution, periodesAER, periodesFormation, actionsFormation, dateDebut, dateFin, duree, periodeCarence, positionJustifOuverture, positionJustifFermeture);
      } else {
        pbjcNcpAvant = creerPBJCAvantTypeDiffere(attribution, periodesAER, periodesFormation, actionsFormation, dateDebut, dateFin, periodeCarence, positionJustifOuverture, positionJustifFermeture);
      }
      traiterBlocageActuPourLAvant(pbjcNcpAvant, dateBlocageActualisation, libelleBlocageActualisation);
      ajouterPBJCSurLAvant(chronologiePbjcs, pbjcNcpAvant, dateGeneration);
      dateRetournee = dateFin.lendemain();
    }
    return dateRetournee;
  }
  
  public List filtrerPeriodesSuspensivesPeriodesInterruptives(List periodesSuspensives, ChronologiePeriodes periodesInterruptives)
  {
    List chronoARetourner = new ArrayList();
    ObjetChronoPeriode periodeSuspensive = null;
    ObjetChronoPeriode periodeSuspensiveCopie = null;
    ObjetChronoPeriode periodeInterruptive = null;
    
    Iterator iterateurPeriodesSuspensives = periodesSuspensives.iterator();
    while (iterateurPeriodesSuspensives.hasNext())
    {
      boolean continueParcours = true;
      periodeSuspensive = (ObjetChronoPeriode)((ObjetChronoPeriode)iterateurPeriodesSuspensives.next()).copie();
      if (periodesInterruptives.getTaille() > 0)
      {
        periodesInterruptives.iterer();
        while ((periodesInterruptives.encoreSuivant()) && (continueParcours))
        {
          periodeInterruptive = (ObjetChronoPeriode)periodesInterruptives.elementSuivant().copie();
          if (periodeSuspensive.getDateDebut().estAvant(periodeInterruptive.getDateDebut()))
          {
            if (periodeSuspensive.getDateFin().estAvant(periodeInterruptive.getDateDebut()))
            {
              chronoARetourner.add(periodeSuspensive);
              continueParcours = false;
            }
            else if (periodeSuspensive.getDateFin().estApresOuCoincideAvec(periodeInterruptive.getDateDebut()))
            {
              periodeSuspensiveCopie = (ObjetChronoPeriode)periodeSuspensive.copie();
              periodeSuspensiveCopie.setDateFin(periodeInterruptive.getDateDebut().veille());
              if (periodeSuspensive.getDateFin().estAvantOuCoincideAvec(periodeInterruptive.getDateFin())) {
                continueParcours = false;
              } else {
                periodeSuspensive.setDateDebut(periodeInterruptive.getDateFin().lendemain());
              }
            }
          }
          else if (periodeSuspensive.getDateDebut().estAvant(periodeInterruptive.getDateFin())) {
            if (periodeSuspensive.getDateFin().estAvantOuCoincideAvec(periodeInterruptive.getDateFin())) {
              continueParcours = false;
            } else {
              periodeSuspensive.setDateDebut(periodeInterruptive.getDateFin().lendemain());
            }
          }
        }
      }
      chronoARetourner = periodesSuspensives;
    }
    return chronoARetourner;
  }
  
  public void filtrerPbjcAvantPeriodesInterruptives(ChronologiePeriodes periodesInterruptives, ChronologiePeriodes pbjcsAvant)
  {
    ChronologiePeriodes chronologiePbjcsARetourner = new ChronologiePeriodes();
    chronologiePbjcsARetourner.setComparateur(new ComparateurTemporelsSurDateDebut());
    
    pbjcsAvant.iterer();
    while (pbjcsAvant.encoreSuivant())
    {
      boolean aAjouter = true;
      PbjcNcp pbjc = (PbjcNcp)pbjcsAvant.elementSuivant();
      periodesInterruptives.iterer();
      while (periodesInterruptives.encoreSuivant())
      {
        ObjetChronoPeriode periodeInterruptive = (ObjetChronoPeriode)periodesInterruptives.elementSuivant().copie();
        if (pbjc.getDateDebut().estAvant(periodeInterruptive.getDateDebut()))
        {
          if ((pbjc.getDateFin().estAvantOuCoincideAvec(periodeInterruptive.getDateFin())) && (pbjc.getDateFin().estApresOuCoincideAvec(periodeInterruptive.getDateDebut())))
          {
            pbjc.setDateFinPbjcsTrans(periodeInterruptive.getDateDebut().veille());
          }
          else if (pbjc.getDateFin().estApres(periodeInterruptive.getDateFin()))
          {
            PbjcNcp pbjcAvantDecoupe = (PbjcNcp)pbjc.copie();
            pbjcAvantDecoupe.setDateFinPbjcsTrans(periodeInterruptive.getDateDebut().veille());
            chronologiePbjcsARetourner.ajouter(pbjcAvantDecoupe);
            pbjc.setDateDebutPbjcsTrans(periodeInterruptive.getDateFin().lendemain());
          }
        }
        else if (pbjc.getDateDebut().estAvantOuCoincideAvec(periodeInterruptive.getDateFin())) {
          if (pbjc.getDateFin().estApres(periodeInterruptive.getDateFin())) {
            pbjc.setDateDebutPbjcsTrans(periodeInterruptive.getDateFin().lendemain());
          } else {
            aAjouter = false;
          }
        }
      }
      if (aAjouter) {
        chronologiePbjcsARetourner.ajouter(pbjc);
      }
    }
    pbjcsAvant.vider();
    pbjcsAvant.ajouter(chronologiePbjcsARetourner);
  }
  
  public void positionnerInfoConventionGestion(PbjcNcp pbjcNcp, AttributionSpec attribution)
  {
    pbjcNcp.setTopApplicationCRC(true);
  }
  
  private PbjcNcp creerPBJCSuspensivePourLAvant(Damj debut, Damj fin, ObjetChronoPeriode periode, AttributionSpec attribution, String naturePbjc)
  {
    PbjcNcp pbjcNcp = null;
    ObjetChronoPeriodePriseEnCharge pec = null;
    
    pbjcNcp = new PbjcNcp(debut, fin);
    
    pbjcNcp.setProduit(attribution.getProduit().getNom());
    
    pbjcNcp.setRegimeApplicable(retournerReglementApplicable(attribution));
    
    pbjcNcp.setStatutPaiement(1);
    
    pbjcNcp.setNaturePBJC(naturePbjc);
    
    positionnerReferencesOuvertureDroit(pbjcNcp, attribution);
    
    pbjcNcp.setRefBaseCalculMontantBrut(retournerReferenceBaseCalcul(attribution));
    
    positionnerRessources(pbjcNcp, attribution);
    
    positionnerEtatsReglementaireEtAdministratif(pbjcNcp);
    
    pbjcNcp.setEtatIndemnisation("AVANT");
    
    pec = OutillagePeriodes.recupererPeriodePECContenant(attribution.getDemandeur(), debut);
    if (pec != null) {
      pbjcNcp.setAleIndividu(pec.getAleIndividu());
    }
    if ((debut.coincideAvec(periode.getDateDebut())) && ((naturePbjc.equals("MA")) || (naturePbjc.equals("AB")))) {
      pbjcNcp.ajouterComplementDeJustification("HD");
    }
    positionnerInfoConventionGestion(pbjcNcp, attribution);
    
    pbjcNcp.setQualificationPeriode(1);
    
    pbjcNcp.setReliquatDureeMax(dureeIndemnisationTheorique((Attribution)attribution).getValeurEntiere());
    return pbjcNcp;
  }
  
  public boolean creerPBJCsurSomme(AttributionSpec attribution, Somme somme)
  {
    return true;
  }
  
  private int initialiserCompteurFormation(AttributionSpec attributionParam)
  {
    int nbJourFormation = 0;
    Attribution attribution = (Attribution)attributionParam;
    if ((attribution instanceof RepriseSpec))
    {
      AttributionSpec attributionPrecedente = attribution.getAttributionPrecedente();
      if ((attribution.getAttributionPrecedente() != null) && (attribution.getAttributionPrecedente().getTypeExamen().equals("ASU_17"))) {
        attributionPrecedente = OutilAsr.rechercherDernierDroitAsr(attributionPrecedente.getDemande());
      }
      if ((attributionPrecedente != null) && (attributionPrecedente.getCalendrierExecutionCalcul() != null) && (attributionPrecedente.getCalendrierExecutionCalcul().getEtatAuDJI() != null))
      {
        EtatAuDjiGamme etatAuDji = (EtatAuDjiGamme)attributionPrecedente.getCalendrierExecutionCalcul().getEtatAuDJI();
        nbJourFormation = etatAuDji.getNbJourAREF();
      }
    }
    return nbJourFormation;
  }
}

/* Location:
 * Qualified Name:     FacadePBJCProduitImpl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */