package fr.unedic.cali.asu.spe02.p03.liquidation.dom;

import fr.unedic.cali.asu.dom.PreavisMesureConservatoireIndemnisableSpec;
import fr.unedic.cali.asu.dom.PreavisMesureConservatoireNonIndemnisableSpec;
import fr.unedic.cali.asu.outilsfonctionnels.OutilCarence;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen.ConstitutionDelaisReportGen;
import fr.unedic.cali.dom.ConstitutionDroitSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;

public class ConstitutionDelaisReport
  extends ConstitutionDelaisReportGen
  implements ConstitutionDroitSpec
{
  private static final long serialVersionUID = -3971504002511824721L;
  
  public ConstitutionDelaisReport() {}
  
  public ConstitutionDelaisReport(DomPCSpec pc)
  {
    super(pc);
  }
  
  public Collection getListeCarencesAAppliquer()
  {
    Collection toutesLesCarences = new ArrayList();
    Iterator iterCarence = getListCarence().iterator();
    while (iterCarence.hasNext())
    {
      CarencePrefixeAFixer carence = (CarencePrefixeAFixer)iterCarence.next();
      if (!OutilCarence.estCarenceDeType(carence, "2")) {
        toutesLesCarences.add(carence);
      }
    }
    return Collections.unmodifiableCollection(toutesLesCarences);
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec pCopie)
  {
    ConstitutionDelaisReport copie = (ConstitutionDelaisReport)pCopie;
    super.copieElements(copie);
    copie.setNbJoursPMCNonIndemn(getNbJoursPMCNonIndemn());
    copie.setDebutPMCNonIndemn(getDebutPMCNonIndemn());
    copie.setTermePMCNonIndemn(getTermePMCNonIndemn());
    copie.setNbJoursPMCIndemn(getNbJoursPMCIndemn());
    copie.setDebutPMCIndemn(getDebutPMCIndemn());
    copie.setTermePMCIndemn(getTermePMCIndemn());
    copie.setNbJoursCarenceStandard(getNbJoursCarenceStandard());
    copie.setDebutCarenceStandard(getDebutCarenceStandard());
    copie.setTermeCarenceStandard(getTermeCarenceStandard());
    copie.setNbJoursCarenceISLR(getNbJoursCarenceISLR());
    copie.setDebutCarenceISLR(getDebutCarenceISLR());
    copie.setTermeCarenceISLR(getTermeCarenceISLR());
    copie.setNbJoursDelaiReport(getNbJoursDelaiReport());
    copie.setDebutDelaiReport(getDebutDelaiReport());
    copie.setTermeDelaiReport(getTermeDelaiReport());
    Iterator iter = getCollectionCarence().iterator();
    while (iter.hasNext())
    {
      CarencePrefixeAFixer carencesACloner = (CarencePrefixeAFixer)iter.next();
      if (carencesACloner != null)
      {
        CarencePrefixeAFixer carencesClone = (CarencePrefixeAFixer)carencesACloner.copie();
        copie.ajouterCarence(carencesClone);
      }
    }
    if (getJustificationDiffere() != null)
    {
      JustificationDiffere copieJustifDiffere = copie.createJustificationDiffere();
      getJustificationDiffere().copieElements(copieJustifDiffere);
    }
    if (getJustificationFranchiseCongesPayes() != null) {
      copie.setJustificationFranchiseCongesPayes((JustificationFranchiseCongesPayes)getJustificationFranchiseCongesPayes().copie());
    }
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(getCollectionCarence());
    DomManager.persisterEnProfondeur(getJustificationDiffere());
    DomManager.persisterEnProfondeur(getJustificationFranchiseCongesPayes());
  }
  
  public void remplacerCollectionCarence(Collection collectionACopier)
  {
    for (Iterator iter = super.getCollectionCarence().iterator(); iter.hasNext();)
    {
      CarencePrefixeAFixer element = (CarencePrefixeAFixer)iter.next();
      DomManager.supprimer(element);
    }
    super.remplacerCollectionCarence(collectionACopier);
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void ajouterCarence(PreavisMesureConservatoireIndemnisableSpec carences)
    throws NullPointerException
  {
    super.ajouterCarence((CarencePrefixeAFixer)carences);
  }
  
  public void ajouterCarence(PreavisMesureConservatoireNonIndemnisableSpec carences)
    throws NullPointerException
  {
    super.ajouterCarence((CarencePrefixeAFixer)carences);
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public void setJustificationFranchiseCongesPayes(JustificationFranchiseCongesPayes justif)
  {
    DomManager.supprimer(super.getJustificationFranchiseCongesPayes(), justif);
    super.setJustificationFranchiseCongesPayes(justif);
  }
}

/* Location:
 * Qualified Name:     ConstitutionDelaisReport
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */