package fr.unedic.cali.asu.spe02.p03.liquidation.dom;

import fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen.ConstitutionElementsRepriseGen;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public class ConstitutionElementsReprise
  extends ConstitutionElementsRepriseGen
  implements ConstitutionElementsSpec
{
  private static final long serialVersionUID = 8114410056443528414L;
  
  public ConstitutionElementsReprise() {}
  
  public ConstitutionElementsReprise(DomPCSpec pc)
  {
    super(pc);
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec pCopie)
  {
    ConstitutionElementsReprise copie = (ConstitutionElementsReprise)pCopie;
    super.copieElements(copie);
    if (getConstitutionDateAttribution() != null)
    {
      ConstitutionDateAttribution copieCepa = copie.createConstitutionDateAttribution();
      getConstitutionDateAttribution().copieElements(copieCepa);
    }
    if (getConstitutionReglementApplicable() != null)
    {
      ConstitutionReglementApplicable copieCepa = copie.createConstitutionReglementApplicable();
      getConstitutionReglementApplicable().copieElements(copieCepa);
    }
    if (getConstitutionDelaisReport() != null)
    {
      ConstitutionDelaisReport copieCepa = copie.createConstitutionDelaisReport();
      getConstitutionDelaisReport().copieElements(copieCepa);
    }
    if (getConstitutionSalaireJournalierMoyen() != null)
    {
      ConstitutionSalaireJournalierMoyen copieCepa = copie.createConstitutionSalaireJournalierMoyen();
      getConstitutionSalaireJournalierMoyen().copieElements(copieCepa);
    }
    if (getConstitutionDurees() != null)
    {
      ConstitutionDurees copieCepa = copie.createConstitutionDurees();
      getConstitutionDurees().copieElements(copieCepa);
    }
    if (getConstitutionMontantsBruts() != null)
    {
      ConstitutionMontantsBruts copieCepa = copie.createConstitutionMontantsBruts();
      getConstitutionMontantsBruts().copieElements(copieCepa);
    }
    if (getConstitutionPointDepartIndemnisation() != null)
    {
      ConstitutionPointDepartIndemnisation copieCepa = copie.createConstitutionPointDepartIndemnisation();
      getConstitutionPointDepartIndemnisation().copieElements(copieCepa);
    }
    if (getConstitutionDateLimiteIndemnisation() != null)
    {
      ConstitutionDateLimiteIndemnisation copieCepa = copie.createConstitutionDateLimiteIndemnisation();
      getConstitutionDateLimiteIndemnisation().copieElements(copieCepa);
    }
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getConstitutionDurees());
    DomManager.persisterEnProfondeur(super.getConstitutionMontantsBruts());
    DomManager.persisterEnProfondeur(super.getConstitutionSalaireJournalierMoyen());
    DomManager.persisterEnProfondeur(super.getConstitutionDelaisReport());
    DomManager.persisterEnProfondeur(super.getConstitutionReglementApplicable());
    DomManager.persisterEnProfondeur(super.getConstitutionDateAttribution());
    DomManager.persisterEnProfondeur(super.getConstitutionPointDepartIndemnisation());
    DomManager.persisterEnProfondeur(super.getConstitutionDateLimiteIndemnisation());
  }
  
  public ConstitutionNbHeuresTravaillees createConstitutionNbHeuresTravaillees()
  {
    return null;
  }
  
  public ConstitutionSalaireReference createConstitutionSalaireReference()
  {
    return null;
  }
  
  public ConstitutionSalaireReference getConstitutionSalaireReference()
  {
    return null;
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
}

/* Location:
 * Qualified Name:     ConstitutionElementsReprise
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */