package fr.unedic.cali.asu.spe02.p03.liquidation.dom;

import fr.unedic.cali.asu.dom.ConditionQuantiteAffiliationSpec;
import fr.unedic.cali.asu.dom.DecisionAssuranceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen.DecisionGen;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.Damj;
import java.util.ArrayList;
import java.util.List;

public abstract class Decision
  extends DecisionGen
  implements DecisionAssuranceSpec
{
  private static final long serialVersionUID = 1L;
  
  public Decision(DomPCSpec pc)
  {
    super(pc);
  }
  
  public Decision() {}
  
  public Decision(Damj dateEvenement)
  {
    super(dateEvenement);
  }
  
  public void copieElements(ObjetMetierSpec copieMetier)
  {
    Decision copie = (Decision)copieMetier;
    super.copieElements(copie);
    copie.setValidee(isValidee());
    copie.setNatureDecision(getNatureDecision());
    copie.setInvestigationFraude(isInvestigationFraude());
  }
  
  public boolean estValidee()
  {
    return isValidee();
  }
  
  public ConditionsAttributionSpec getConditionsAttributionActives()
  {
    ObjectifExamen objectifCourant = ((Demande)getDemande()).getObjectifCourant();
    ConditionsAttributionSpec conditionsAttributionActivesRetourne;
    ConditionsAttributionSpec conditionsAttributionActivesRetourne;
    if (objectifCourant != null)
    {
      ConditionsAttributionSpec conditionsAttributionActivesRetourne;
      if (objectifCourant.getType() == 2) {
        conditionsAttributionActivesRetourne = getConditionAttributionReprise();
      } else {
        conditionsAttributionActivesRetourne = getConditionAttributionAdmission();
      }
    }
    else
    {
      ObjectifExamen objectifDecisionne = ((Demande)getDemande()).getObjectifDecisionne();
      ConditionsAttributionSpec conditionsAttributionActivesRetourne;
      if (objectifDecisionne.getType() == 2) {
        conditionsAttributionActivesRetourne = getConditionAttributionReprise();
      } else {
        conditionsAttributionActivesRetourne = getConditionAttributionAdmission();
      }
    }
    return conditionsAttributionActivesRetourne;
  }
  
  public ConstitutionElementsSpec getConstitutionElementsActifs()
  {
    ObjectifExamen objectifCourant = ((Demande)getDemande()).getObjectifCourant();
    ConstitutionElementsSpec constitutionElementsActifsRetourne;
    ConstitutionElementsSpec constitutionElementsActifsRetourne;
    if (objectifCourant != null)
    {
      ConstitutionElementsSpec constitutionElementsActifsRetourne;
      if (objectifCourant.getType() == 2) {
        constitutionElementsActifsRetourne = getConstitutionElementsReprise();
      } else {
        constitutionElementsActifsRetourne = getConstitutionElementsAdmission();
      }
    }
    else
    {
      ObjectifExamen objectifDecisionne = ((Demande)getDemande()).getObjectifDecisionne();
      ConstitutionElementsSpec constitutionElementsActifsRetourne;
      if (objectifDecisionne.getType() == 2) {
        constitutionElementsActifsRetourne = getConstitutionElementsReprise();
      } else {
        constitutionElementsActifsRetourne = getConstitutionElementsAdmission();
      }
    }
    return constitutionElementsActifsRetourne;
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public Chronologie getListeActiviteConservee()
  {
    return null;
  }
  
  public Chronologie getListeActiviteConserveePerdues()
  {
    return null;
  }
  
  public int getCompetenceAdministrative()
  {
    return 1;
  }
  
  public int getCompetenceFinanciere()
  {
    return 1;
  }
  
  public List<TravailSpec> getListeActiviteConserveePerduesRevisees()
  {
    return new ArrayList();
  }
  
  public Damj getDateEffetDecision()
  {
    return null;
  }
  
  public ConditionQuantiteAffiliationSpec getConditionAffiliation()
  {
    ConditionQuantiteAffiliationSpec condition = null;
    if (getConditionAttributionAdmission() != null) {
      condition = getConditionAttributionAdmission().getConditionQuantiteAffiliation();
    }
    return condition;
  }
  
  public String determinerCodeSousProduitPourSigma()
  {
    return null;
  }
}

/* Location:
 * Qualified Name:     Decision
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */