package fr.unedic.cali.asu.spe02.p03.liquidation.dom;

import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.asu.parcours.ParcoursObjectifReprise;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen.ObjectifExamenRepriseGen;
import fr.unedic.cali.asu.spe02.p03.liquidation.parcours.ConstitutionCapitalAvecDureeEffective;
import fr.unedic.cali.asu.spe02.p03.liquidation.parcours.ConstitutionDateAttributionPourReprise;
import fr.unedic.cali.asu.spe02.p03.liquidation.parcours.ConstitutionDelaisReportPourReprise;
import fr.unedic.cali.asu.spe02.p03.liquidation.parcours.ConstitutionDureeEffectivePourReprise;
import fr.unedic.cali.asu.spe02.p03.liquidation.parcours.ConstitutionDureesPourReprise;
import fr.unedic.cali.asu.spe02.p03.liquidation.parcours.ConstitutionMontantsBrutsPourReprise;
import fr.unedic.cali.asu.spe02.p03.liquidation.parcours.ConstitutionPointDepartIndemnisation;
import fr.unedic.cali.asu.spe02.p03.liquidation.parcours.ConstitutionReglementApplicablePourReprise;
import fr.unedic.cali.asu.spe02.p03.liquidation.parcours.ConstitutionSjmPourReprise;
import fr.unedic.cali.asu.spe02.p03.liquidation.parcours.DeterminationConditionAgePourReprise;
import fr.unedic.cali.asu.spe02.p03.liquidation.parcours.DeterminationConditionChomageInvolontairePourReprise;
import fr.unedic.cali.asu.spe02.p03.liquidation.parcours.DeterminationConditionCumulPrestationFamiliale;
import fr.unedic.cali.asu.spe02.p03.liquidation.parcours.DeterminationConditionMontantProduitNonNulPourReprise;
import fr.unedic.cali.asu.spe02.p03.liquidation.parcours.DeterminationConditionRechercheEmploi;
import fr.unedic.cali.asu.spe02.p03.liquidation.parcours.DeterminationConditionValiditeReliquat;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Parcours;
import java.util.List;

public class ObjectifExamenReprise
  extends ObjectifExamenRepriseGen
  implements ObjectifExamenSpec
{
  private static final long serialVersionUID = 1L;
  private List<ContexteDemandeSpec> contexteDemande;
  
  public ObjectifExamenReprise(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ObjectifExamenReprise() {}
  
  public ObjectifExamenReprise(List<ContexteDemandeSpec> contexteDemande)
  {
    this.contexteDemande = contexteDemande;
  }
  
  public ObjetMetierSpec copie()
  {
    ObjectifExamenReprise copie = new ObjectifExamenReprise();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ObjectifExamenReprise copie = (ObjectifExamenReprise)p_copie;
    super.copieElements(copie);
  }
  
  public void marquerGraphePersistant() {}
  
  public Parcours creerParcoursObjectif()
  {
    return new ParcoursObjectifReprise();
  }
  
  public ObjectifExamen getObjectifSauvegarde()
    throws CoucheLogiqueException
  {
    ObjectifExamen objectif = null;
    objectif = (ObjectifExamen)copie();
    return objectif;
  }
  
  public int getType()
  {
    return 2;
  }
  
  public Parcours creerParcoursConditionAffiliation()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionAge()
  {
    return new DeterminationConditionAgePourReprise();
  }
  
  public Parcours creerParcoursConditionChomageInvolontaire()
  {
    return new DeterminationConditionChomageInvolontairePourReprise();
  }
  
  public Parcours creerParcoursConditionCumulPrestationFamiliale()
  {
    return new DeterminationConditionCumulPrestationFamiliale();
  }
  
  public Parcours creerParcoursConditionFaitGenerateur()
  {
    return null;
  }
  
  public Parcours creerParcoursConditionMontantProduitNonNul()
  {
    return new DeterminationConditionMontantProduitNonNulPourReprise();
  }
  
  public Parcours creerParcoursConditionRechercheEmploi()
  {
    return new DeterminationConditionRechercheEmploi();
  }
  
  public Parcours creerParcoursConditionValiditeReliquat()
  {
    return new DeterminationConditionValiditeReliquat();
  }
  
  public Parcours creerParcoursConditionDureeNonNulle()
  {
    return null;
  }
  
  public Parcours creerParcoursDateAttribution()
  {
    return new ConstitutionDateAttributionPourReprise();
  }
  
  public Parcours creerParcoursDelaisReports()
  {
    return new ConstitutionDelaisReportPourReprise();
  }
  
  public Parcours creerParcoursDurees()
  {
    return new ConstitutionDureesPourReprise();
  }
  
  public Parcours creerParcoursMontantsBruts()
  {
    return new ConstitutionMontantsBrutsPourReprise();
  }
  
  public Parcours creerParcoursNbHeuresTravaillees()
  {
    return null;
  }
  
  public Parcours creerParcoursPointDeDepart()
  {
    return new ConstitutionPointDepartIndemnisation();
  }
  
  public Parcours creerParcoursReglementApplicable()
  {
    return new ConstitutionReglementApplicablePourReprise();
  }
  
  public Parcours creerParcoursSalaireJournalierMoyen()
  {
    return new ConstitutionSjmPourReprise();
  }
  
  public Parcours creerParcoursDureeEffective()
  {
    return new ConstitutionDureeEffectivePourReprise();
  }
  
  public Parcours creerParcoursCapitalAvecDureeEffective()
  {
    return new ConstitutionCapitalAvecDureeEffective();
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public Parcours creerParcoursConditionBeneficeAutreProduit()
  {
    return null;
  }
  
  public Parcours creerParcoursConstitutionDureePostPrime()
  {
    return null;
  }
  
  public List<ContexteDemandeSpec> getContexteDemande()
  {
    return contexteDemande;
  }
  
  public void setContexteDemande(List<ContexteDemandeSpec> contexteDemande)
  {
    this.contexteDemande = contexteDemande;
  }
  
  public Parcours creerParcoursDateLimiteIndemnisation()
  {
    return null;
  }
}

/* Location:
 * Qualified Name:     ObjectifExamenReprise
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */