package fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.pc.ActiviteParticipantePC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.Periode;

public abstract class ActiviteParticipanteGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_activiteParticipantePC;
  private Periode m_periodeActivite;
  private String m_raisonSociale;
  private Quantite m_quantiteTotaleTravaillee;
  
  public ActiviteParticipanteGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ActiviteParticipanteGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new ActiviteParticipantePC();
  }
  
  public DomPCSpec getPC()
  {
    return m_activiteParticipantePC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_activiteParticipantePC)
  {
    m_activiteParticipantePC = p_activiteParticipantePC;
  }
  
  protected Periode rawGetPeriodeActivite()
  {
    return ((ActiviteParticipantePC)getPC()).getPeriodeActivite();
  }
  
  public Periode getPeriodeActivite()
  {
    return ((ActiviteParticipantePC)getPC()).getPeriodeActivite();
  }
  
  public void setPeriodeActivite(Periode p_periodeActivite)
  {
    if ((m_periodeActivite == null) || (p_periodeActivite == null))
    {
      m_periodeActivite = p_periodeActivite;
      ((ActiviteParticipantePC)getPC()).setPeriodeActivite(p_periodeActivite);
    }
    else if ((m_periodeActivite != null) && (p_periodeActivite != null) && (!p_periodeActivite.equals(m_periodeActivite)))
    {
      m_periodeActivite = p_periodeActivite;
      ((ActiviteParticipantePC)getPC()).setPeriodeActivite(p_periodeActivite);
    }
  }
  
  protected int rawGetNature()
  {
    return ((ActiviteParticipantePC)getPC()).getNature();
  }
  
  public int getNature()
  {
    return ((ActiviteParticipantePC)getPC()).getNature();
  }
  
  public void setNature(int p_nature)
  {
    ((ActiviteParticipantePC)getPC()).setNature(p_nature);
  }
  
  protected String rawGetRaisonSociale()
  {
    return ((ActiviteParticipantePC)getPC()).getRaisonSociale();
  }
  
  public String getRaisonSociale()
  {
    return ((ActiviteParticipantePC)getPC()).getRaisonSociale();
  }
  
  public void setRaisonSociale(String p_raisonSociale)
  {
    if ((m_raisonSociale == null) || (p_raisonSociale == null))
    {
      m_raisonSociale = p_raisonSociale;
      ((ActiviteParticipantePC)getPC()).setRaisonSociale(p_raisonSociale);
    }
    else if ((m_raisonSociale != null) && (p_raisonSociale != null) && (!p_raisonSociale.equals(m_raisonSociale)))
    {
      m_raisonSociale = p_raisonSociale;
      ((ActiviteParticipantePC)getPC()).setRaisonSociale(p_raisonSociale);
    }
  }
  
  protected Quantite rawGetQuantiteTotaleTravaillee()
  {
    return ((ActiviteParticipantePC)getPC()).getQuantiteTotaleTravaillee();
  }
  
  public Quantite getQuantiteTotaleTravaillee()
  {
    return ((ActiviteParticipantePC)getPC()).getQuantiteTotaleTravaillee();
  }
  
  public void setQuantiteTotaleTravaillee(Quantite p_quantiteTotaleTravaillee)
  {
    if ((m_quantiteTotaleTravaillee == null) || (p_quantiteTotaleTravaillee == null))
    {
      m_quantiteTotaleTravaillee = p_quantiteTotaleTravaillee;
      ((ActiviteParticipantePC)getPC()).setQuantiteTotaleTravaillee(p_quantiteTotaleTravaillee);
    }
    else if ((m_quantiteTotaleTravaillee != null) && (p_quantiteTotaleTravaillee != null) && (!p_quantiteTotaleTravaillee.equals(m_quantiteTotaleTravaillee)))
    {
      m_quantiteTotaleTravaillee = p_quantiteTotaleTravaillee;
      ((ActiviteParticipantePC)getPC()).setQuantiteTotaleTravaillee(p_quantiteTotaleTravaillee);
    }
  }
  
  protected boolean rawIsPresencePNDSSurActivite()
  {
    return ((ActiviteParticipantePC)getPC()).isPresencePNDSSurActivite();
  }
  
  public boolean isPresencePNDSSurActivite()
  {
    return ((ActiviteParticipantePC)getPC()).isPresencePNDSSurActivite();
  }
  
  public void setPresencePNDSSurActivite(boolean p_presencePNDSSurActivite)
  {
    ((ActiviteParticipantePC)getPC()).setPresencePNDSSurActivite(p_presencePNDSSurActivite);
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ActiviteParticipanteGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */