package fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.pc.CarencePrefixeAFixerPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;

public abstract class CarencePrefixeAFixerGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_carencePrefixeAFixerPC;
  private String m_identifiantPeriodeOrigine = null;
  private Periode m_periodeApplicationCarence = null;
  private Quantite m_quantiteInitiale = null;
  private Damj m_dateFinPeriodeOrigine;
  
  public CarencePrefixeAFixerGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public CarencePrefixeAFixerGen()
  {
    setPC(createPC());
  }
  
  protected abstract DomPCSpec createPC();
  
  public DomPCSpec getPC()
  {
    return m_carencePrefixeAFixerPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_carencePrefixeAFixerPC)
  {
    m_carencePrefixeAFixerPC = p_carencePrefixeAFixerPC;
  }
  
  protected String rawGetIdentifiantPeriodeOrigine()
  {
    return ((CarencePrefixeAFixerPC)getPC()).getIdentifiantPeriodeOrigine();
  }
  
  public String getIdentifiantPeriodeOrigine()
  {
    return ((CarencePrefixeAFixerPC)getPC()).getIdentifiantPeriodeOrigine();
  }
  
  public void setIdentifiantPeriodeOrigine(String p_identifiantPeriodeOrigine)
  {
    if ((m_identifiantPeriodeOrigine == null) || (p_identifiantPeriodeOrigine == null))
    {
      m_identifiantPeriodeOrigine = p_identifiantPeriodeOrigine;
      ((CarencePrefixeAFixerPC)getPC()).setIdentifiantPeriodeOrigine(p_identifiantPeriodeOrigine);
    }
    else if ((m_identifiantPeriodeOrigine != null) && (p_identifiantPeriodeOrigine != null) && (!p_identifiantPeriodeOrigine.equals(m_identifiantPeriodeOrigine)))
    {
      m_identifiantPeriodeOrigine = p_identifiantPeriodeOrigine;
      ((CarencePrefixeAFixerPC)getPC()).setIdentifiantPeriodeOrigine(p_identifiantPeriodeOrigine);
    }
  }
  
  protected Periode rawGetPeriodeApplicationCarence()
  {
    return ((CarencePrefixeAFixerPC)getPC()).getPeriodeApplicationCarence();
  }
  
  public Periode getPeriodeApplicationCarence()
  {
    return ((CarencePrefixeAFixerPC)getPC()).getPeriodeApplicationCarence();
  }
  
  public void setPeriodeApplicationCarence(Periode p_periodeApplicationCarence)
  {
    if ((m_periodeApplicationCarence == null) || (p_periodeApplicationCarence == null))
    {
      m_periodeApplicationCarence = p_periodeApplicationCarence;
      ((CarencePrefixeAFixerPC)getPC()).setPeriodeApplicationCarence(p_periodeApplicationCarence);
    }
    else if ((m_periodeApplicationCarence != null) && (p_periodeApplicationCarence != null) && (!p_periodeApplicationCarence.equals(m_periodeApplicationCarence)))
    {
      m_periodeApplicationCarence = p_periodeApplicationCarence;
      ((CarencePrefixeAFixerPC)getPC()).setPeriodeApplicationCarence(p_periodeApplicationCarence);
    }
  }
  
  protected Quantite rawGetQuantiteInitiale()
  {
    return ((CarencePrefixeAFixerPC)getPC()).getQuantiteInitiale();
  }
  
  public Quantite getQuantiteInitiale()
  {
    return ((CarencePrefixeAFixerPC)getPC()).getQuantiteInitiale();
  }
  
  public void setQuantiteInitiale(Quantite p_quantiteInitiale)
  {
    if ((m_quantiteInitiale == null) || (p_quantiteInitiale == null))
    {
      m_quantiteInitiale = p_quantiteInitiale;
      ((CarencePrefixeAFixerPC)getPC()).setQuantiteInitiale(p_quantiteInitiale);
    }
    else if ((m_quantiteInitiale != null) && (p_quantiteInitiale != null) && (!p_quantiteInitiale.equals(m_quantiteInitiale)))
    {
      m_quantiteInitiale = p_quantiteInitiale;
      ((CarencePrefixeAFixerPC)getPC()).setQuantiteInitiale(p_quantiteInitiale);
    }
  }
  
  protected Damj rawGetDateFinPeriodeOrigine()
  {
    return ((CarencePrefixeAFixerPC)getPC()).getDateFinPeriodeOrigine();
  }
  
  public Damj getDateFinPeriodeOrigine()
  {
    return ((CarencePrefixeAFixerPC)getPC()).getDateFinPeriodeOrigine();
  }
  
  public void setDateFinPeriodeOrigine(Damj p_dateFinPeriodeOrigine)
  {
    if ((m_dateFinPeriodeOrigine == null) || (p_dateFinPeriodeOrigine == null))
    {
      m_dateFinPeriodeOrigine = p_dateFinPeriodeOrigine;
      ((CarencePrefixeAFixerPC)getPC()).setDateFinPeriodeOrigine(p_dateFinPeriodeOrigine);
    }
    else if ((m_dateFinPeriodeOrigine != null) && (p_dateFinPeriodeOrigine != null) && (!p_dateFinPeriodeOrigine.equals(m_dateFinPeriodeOrigine)))
    {
      m_dateFinPeriodeOrigine = p_dateFinPeriodeOrigine;
      ((CarencePrefixeAFixerPC)getPC()).setDateFinPeriodeOrigine(p_dateFinPeriodeOrigine);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     CarencePrefixeAFixerGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */