package fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.spec.ConditionsAttributionAbstraitPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;

public abstract class ConditionAgeGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_conditionsAttributionAbstraitPC;
  private Damj m_datePensionRetraite;
  private DureeCalendaire m_ageDateAttribution;
  
  public ConditionAgeGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConditionAgeGen() {}
  
  public DomPCSpec getPC()
  {
    return m_conditionsAttributionAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_conditionsAttributionAbstraitPC)
  {
    m_conditionsAttributionAbstraitPC = p_conditionsAttributionAbstraitPC;
  }
  
  protected int rawGetEtat()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getEtatConditionAge();
  }
  
  public int getEtat()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getEtatConditionAge();
  }
  
  public void setEtat(int p_etat)
  {
    ((ConditionsAttributionAbstraitPC)getPC()).setEtatConditionAge(p_etat);
  }
  
  protected int rawGetCodeMotifEchec()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getCodeMotifEchecConditionAge();
  }
  
  public int getCodeMotifEchec()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getCodeMotifEchecConditionAge();
  }
  
  public void setCodeMotifEchec(int p_codeMotifEchec)
  {
    ((ConditionsAttributionAbstraitPC)getPC()).setCodeMotifEchecConditionAge(p_codeMotifEchec);
  }
  
  protected Damj rawGetDatePensionRetraite()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getDatePensionRetraiteConditionAge();
  }
  
  public Damj getDatePensionRetraite()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getDatePensionRetraiteConditionAge();
  }
  
  public void setDatePensionRetraite(Damj p_datePensionRetraite)
  {
    if ((m_datePensionRetraite == null) || (p_datePensionRetraite == null))
    {
      m_datePensionRetraite = p_datePensionRetraite;
      ((ConditionsAttributionAbstraitPC)getPC()).setDatePensionRetraiteConditionAge(p_datePensionRetraite);
    }
    else if ((m_datePensionRetraite != null) && (p_datePensionRetraite != null) && (!p_datePensionRetraite.equals(m_datePensionRetraite)))
    {
      m_datePensionRetraite = p_datePensionRetraite;
      ((ConditionsAttributionAbstraitPC)getPC()).setDatePensionRetraiteConditionAge(p_datePensionRetraite);
    }
  }
  
  protected DureeCalendaire rawGetAgeDateAttribution()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getAgeDateAttributionConditionAge();
  }
  
  public DureeCalendaire getAgeDateAttribution()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getAgeDateAttributionConditionAge();
  }
  
  public void setAgeDateAttribution(DureeCalendaire p_ageDateAttribution)
  {
    if ((m_ageDateAttribution == null) || (p_ageDateAttribution == null))
    {
      m_ageDateAttribution = p_ageDateAttribution;
      ((ConditionsAttributionAbstraitPC)getPC()).setAgeDateAttributionConditionAge(p_ageDateAttribution);
    }
    else if ((m_ageDateAttribution != null) && (p_ageDateAttribution != null) && (!p_ageDateAttribution.equals(m_ageDateAttribution)))
    {
      m_ageDateAttribution = p_ageDateAttribution;
      ((ConditionsAttributionAbstraitPC)getPC()).setAgeDateAttributionConditionAge(p_ageDateAttribution);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    setEtat(0);
    setCodeMotifEchec(0);
    setDatePensionRetraite(null);
    setAgeDateAttribution(null);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConditionAgeGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */