package fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionAdhesionDispositif;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionAge;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionAnciennete;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionBeneficeAutreProduit;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionChomageInvolontaire;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionCumulAvantageVieillesse;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionCumulPrestationFamiliale;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionFaitGenerateur;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionMontantNonNul;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionQuantiteAffiliation;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionRechercheEmploi;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionValiditeReliquat;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.pc.ConditionsAttributionAdmissionPC;
import fr.unedic.cali.dom.ConditionsAttributionAbstrait;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.services.ApplicativeRuntimeException;

public abstract class ConditionsAttributionAdmissionGen
  extends ConditionsAttributionAbstrait
  implements DomGenSpec
{
  protected transient DomPCSpec m_conditionsAttributionAdmissionPC;
  private transient ConditionRechercheEmploi m_conditionRechercheEmploi = null;
  private transient ConditionAdhesionDispositif m_conditionAdhesionDispositif = null;
  private transient ConditionFaitGenerateur m_conditionFaitGenerateur = null;
  private transient ConditionAge m_conditionAge = null;
  private transient ConditionQuantiteAffiliation m_conditionQuantiteAffiliation = null;
  private transient ConditionChomageInvolontaire m_conditionChomageInvolontaire = null;
  private transient ConditionCumulAvantageVieillesse m_conditionCumulAvantageVieillesse = null;
  private transient ConditionCumulPrestationFamiliale m_conditionCumulPrestationFamiliale = null;
  private transient ConditionMontantNonNul m_conditionMontantNonNul = null;
  private ConditionBeneficeAutreProduit m_conditionBeneficeAutreProduit;
  public transient ConditionValiditeReliquat m_conditionValiditeReliquat = null;
  private transient ConditionAnciennete m_conditionAnciennete = null;
  
  public ConditionsAttributionAdmissionGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConditionsAttributionAdmissionGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new ConditionsAttributionAdmissionPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_conditionsAttributionAdmissionPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_conditionsAttributionAdmissionPC)
  {
    m_conditionsAttributionAdmissionPC = p_conditionsAttributionAdmissionPC;
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    if (getConditionRechercheEmploi() != null)
    {
      getConditionRechercheEmploi().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionRechercheEmploi = null;
    }
    if (getConditionAdhesionDispositif() != null)
    {
      getConditionAdhesionDispositif().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionAdhesionDispositif = null;
    }
    if (getConditionFaitGenerateur() != null)
    {
      getConditionFaitGenerateur().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionFaitGenerateur = null;
    }
    if (getConditionAge() != null)
    {
      getConditionAge().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionAge = null;
    }
    if (getConditionQuantiteAffiliation() != null)
    {
      getConditionQuantiteAffiliation().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionQuantiteAffiliation = null;
    }
    if (getConditionChomageInvolontaire() != null)
    {
      getConditionChomageInvolontaire().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionChomageInvolontaire = null;
    }
    if (getConditionCumulAvantageVieillesse() != null)
    {
      getConditionCumulAvantageVieillesse().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionCumulAvantageVieillesse = null;
    }
    if (getConditionCumulPrestationFamiliale() != null)
    {
      getConditionCumulPrestationFamiliale().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionCumulPrestationFamiliale = null;
    }
    if (getConditionMontantNonNul() != null)
    {
      getConditionMontantNonNul().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionMontantNonNul = null;
    }
    if (getConditionBeneficeAutreProduit() != null)
    {
      getConditionBeneficeAutreProduit().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionBeneficeAutreProduit = null;
    }
    if (getConditionValiditeReliquat() != null)
    {
      getConditionValiditeReliquat().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionValiditeReliquat = null;
    }
    if (getConditionAnciennete() != null)
    {
      getConditionAnciennete().supprimerEnProfondeur(p_contexteSuppression);
      m_conditionAnciennete = null;
    }
  }
  
  public ConditionRechercheEmploi getConditionRechercheEmploi()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionRechercheEmploi()) && (m_conditionRechercheEmploi == null)) {
      m_conditionRechercheEmploi = new ConditionRechercheEmploi(getPC());
    }
    return m_conditionRechercheEmploi;
  }
  
  public ConditionRechercheEmploi createConditionRechercheEmploi()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionRechercheEmploi(true);
    if (m_conditionRechercheEmploi == null) {
      m_conditionRechercheEmploi = new ConditionRechercheEmploi(getPC());
    }
    try
    {
      m_conditionRechercheEmploi.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionRechercheEmploi;
  }
  
  public void removeConditionRechercheEmploi()
  {
    try
    {
      m_conditionRechercheEmploi.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionRechercheEmploi(false);
  }
  
  public ConditionAdhesionDispositif getConditionAdhesionDispositif()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionAdhesionDispositif()) && (m_conditionAdhesionDispositif == null)) {
      m_conditionAdhesionDispositif = new ConditionAdhesionDispositif(getPC());
    }
    return m_conditionAdhesionDispositif;
  }
  
  public ConditionAdhesionDispositif createConditionAdhesionDispositif()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionAdhesionDispositif(true);
    if (m_conditionAdhesionDispositif == null) {
      m_conditionAdhesionDispositif = new ConditionAdhesionDispositif(getPC());
    }
    try
    {
      m_conditionAdhesionDispositif.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionAdhesionDispositif;
  }
  
  public void removeConditionAdhesionDispositif()
  {
    try
    {
      m_conditionAdhesionDispositif.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionAdhesionDispositif(false);
  }
  
  public ConditionFaitGenerateur getConditionFaitGenerateur()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionFaitGenerateur()) && (m_conditionFaitGenerateur == null)) {
      m_conditionFaitGenerateur = new ConditionFaitGenerateur(getPC());
    }
    return m_conditionFaitGenerateur;
  }
  
  public ConditionFaitGenerateur createConditionFaitGenerateur()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionFaitGenerateur(true);
    if (m_conditionFaitGenerateur == null) {
      m_conditionFaitGenerateur = new ConditionFaitGenerateur(getPC());
    }
    try
    {
      m_conditionFaitGenerateur.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionFaitGenerateur;
  }
  
  public void removeConditionFaitGenerateur()
  {
    try
    {
      m_conditionFaitGenerateur.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionFaitGenerateur(false);
  }
  
  public ConditionAge getConditionAge()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionAge()) && (m_conditionAge == null)) {
      m_conditionAge = new ConditionAge(getPC());
    }
    return m_conditionAge;
  }
  
  public ConditionAge createConditionAge()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionAge(true);
    if (m_conditionAge == null) {
      m_conditionAge = new ConditionAge(getPC());
    }
    try
    {
      m_conditionAge.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionAge;
  }
  
  public void removeConditionAge()
  {
    try
    {
      m_conditionAge.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionAge(false);
  }
  
  public ConditionQuantiteAffiliation getConditionQuantiteAffiliation()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionQuantiteAffiliation()) && (m_conditionQuantiteAffiliation == null)) {
      m_conditionQuantiteAffiliation = new ConditionQuantiteAffiliation(getPC());
    }
    return m_conditionQuantiteAffiliation;
  }
  
  public ConditionQuantiteAffiliation createConditionQuantiteAffiliation()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionQuantiteAffiliation(true);
    if (m_conditionQuantiteAffiliation == null) {
      m_conditionQuantiteAffiliation = new ConditionQuantiteAffiliation(getPC());
    }
    try
    {
      m_conditionQuantiteAffiliation.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionQuantiteAffiliation;
  }
  
  public void removeConditionQuantiteAffiliation()
  {
    try
    {
      m_conditionQuantiteAffiliation.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionQuantiteAffiliation(false);
  }
  
  public ConditionChomageInvolontaire getConditionChomageInvolontaire()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionChomageInvolontaire()) && (m_conditionChomageInvolontaire == null)) {
      m_conditionChomageInvolontaire = new ConditionChomageInvolontaire(getPC());
    }
    return m_conditionChomageInvolontaire;
  }
  
  public ConditionChomageInvolontaire createConditionChomageInvolontaire()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionChomageInvolontaire(true);
    if (m_conditionChomageInvolontaire == null) {
      m_conditionChomageInvolontaire = new ConditionChomageInvolontaire(getPC());
    }
    try
    {
      m_conditionChomageInvolontaire.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionChomageInvolontaire;
  }
  
  public void removeConditionChomageInvolontaire()
  {
    try
    {
      m_conditionChomageInvolontaire.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionChomageInvolontaire(false);
  }
  
  public ConditionCumulAvantageVieillesse getConditionCumulAvantageVieillesse()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionCumulAvantageVieillesse()) && (m_conditionCumulAvantageVieillesse == null)) {
      m_conditionCumulAvantageVieillesse = new ConditionCumulAvantageVieillesse(getPC());
    }
    return m_conditionCumulAvantageVieillesse;
  }
  
  public ConditionCumulAvantageVieillesse createConditionCumulAvantageVieillesse()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionCumulAvantageVieillesse(true);
    if (m_conditionCumulAvantageVieillesse == null) {
      m_conditionCumulAvantageVieillesse = new ConditionCumulAvantageVieillesse(getPC());
    }
    try
    {
      m_conditionCumulAvantageVieillesse.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionCumulAvantageVieillesse;
  }
  
  public void removeConditionCumulAvantageVieillesse()
  {
    try
    {
      m_conditionCumulAvantageVieillesse.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionCumulAvantageVieillesse(false);
  }
  
  public ConditionCumulPrestationFamiliale getConditionCumulPrestationFamiliale()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionCumulPrestationFamiliale()) && (m_conditionCumulPrestationFamiliale == null)) {
      m_conditionCumulPrestationFamiliale = new ConditionCumulPrestationFamiliale(getPC());
    }
    return m_conditionCumulPrestationFamiliale;
  }
  
  public ConditionCumulPrestationFamiliale createConditionCumulPrestationFamiliale()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionCumulPrestationFamiliale(true);
    if (m_conditionCumulPrestationFamiliale == null) {
      m_conditionCumulPrestationFamiliale = new ConditionCumulPrestationFamiliale(getPC());
    }
    try
    {
      m_conditionCumulPrestationFamiliale.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionCumulPrestationFamiliale;
  }
  
  public void removeConditionCumulPrestationFamiliale()
  {
    try
    {
      m_conditionCumulPrestationFamiliale.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionCumulPrestationFamiliale(false);
  }
  
  public ConditionMontantNonNul getConditionMontantNonNul()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionMontantNonNul()) && (m_conditionMontantNonNul == null)) {
      m_conditionMontantNonNul = new ConditionMontantNonNul(getPC());
    }
    return m_conditionMontantNonNul;
  }
  
  public ConditionMontantNonNul createConditionMontantNonNul()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionMontantNonNul(true);
    if (m_conditionMontantNonNul == null) {
      m_conditionMontantNonNul = new ConditionMontantNonNul(getPC());
    }
    try
    {
      m_conditionMontantNonNul.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionMontantNonNul;
  }
  
  public void removeConditionMontantNonNul()
  {
    try
    {
      m_conditionMontantNonNul.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionMontantNonNul(false);
  }
  
  public ConditionBeneficeAutreProduit getConditionBeneficeAutreProduit()
  {
    if (m_conditionBeneficeAutreProduit == null) {
      m_conditionBeneficeAutreProduit = new ConditionBeneficeAutreProduit(getPC());
    }
    return m_conditionBeneficeAutreProduit;
  }
  
  public ConditionBeneficeAutreProduit createConditionBeneficeAutreProduit()
  {
    if (m_conditionBeneficeAutreProduit == null) {
      m_conditionBeneficeAutreProduit = new ConditionBeneficeAutreProduit(getPC());
    }
    try
    {
      m_conditionBeneficeAutreProduit.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionBeneficeAutreProduit;
  }
  
  public void removeConditionBeneficeAutreProduit()
  {
    try
    {
      m_conditionBeneficeAutreProduit.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
  }
  
  public ConditionValiditeReliquat getConditionValiditeReliquat()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionValiditeReliquat()) && (m_conditionValiditeReliquat == null)) {
      m_conditionValiditeReliquat = new ConditionValiditeReliquat(getPC());
    }
    return m_conditionValiditeReliquat;
  }
  
  public ConditionValiditeReliquat createConditionValiditeReliquat()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionValiditeReliquat(true);
    if (m_conditionValiditeReliquat == null) {
      m_conditionValiditeReliquat = new ConditionValiditeReliquat(getPC());
    }
    try
    {
      m_conditionValiditeReliquat.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionValiditeReliquat;
  }
  
  public void removeConditionValiditeReliquat()
  {
    try
    {
      m_conditionValiditeReliquat.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionValiditeReliquat(false);
  }
  
  public ConditionAnciennete getConditionAnciennete()
  {
    if ((((ConditionsAttributionAdmissionPC)getPC()).isPresenceDonneesConditionAnciennete()) && (m_conditionAnciennete == null)) {
      m_conditionAnciennete = new ConditionAnciennete(getPC());
    }
    return m_conditionAnciennete;
  }
  
  public ConditionAnciennete createConditionAnciennete()
  {
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionAnciennete(true);
    if (m_conditionAnciennete == null) {
      m_conditionAnciennete = new ConditionAnciennete(getPC());
    }
    try
    {
      m_conditionAnciennete.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_conditionAnciennete;
  }
  
  public void removeConditionAnciennete()
  {
    try
    {
      m_conditionAnciennete.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    ((ConditionsAttributionAdmissionPC)getPC()).setPresenceDonneesConditionAnciennete(false);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConditionsAttributionAdmissionGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */