package fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;

public abstract class ConstitutionDureesGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionElementsAbstraitPC;
  private Quantite m_dureeEffective = null;
  private Quantite m_dureeImputation = null;
  private Quantite m_dureeTheorique = null;
  
  public ConstitutionDureesGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConstitutionDureesGen() {}
  
  public DomPCSpec getPC()
  {
    return m_constitutionElementsAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionElementsAbstraitPC)
  {
    m_constitutionElementsAbstraitPC = p_constitutionElementsAbstraitPC;
  }
  
  protected Quantite rawGetDureeEffective()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeEffectiveConstitutionDurees();
  }
  
  public Quantite getDureeEffective()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeEffectiveConstitutionDurees();
  }
  
  public void setDureeEffective(Quantite p_dureeEffective)
  {
    if ((m_dureeEffective == null) || (p_dureeEffective == null))
    {
      m_dureeEffective = p_dureeEffective;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeEffectiveConstitutionDurees(p_dureeEffective);
    }
    else if ((m_dureeEffective != null) && (p_dureeEffective != null) && (!p_dureeEffective.equals(m_dureeEffective)))
    {
      m_dureeEffective = p_dureeEffective;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeEffectiveConstitutionDurees(p_dureeEffective);
    }
  }
  
  protected Quantite rawGetDureeImputation()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeImputationConstitutionDurees();
  }
  
  public Quantite getDureeImputation()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeImputationConstitutionDurees();
  }
  
  public void setDureeImputation(Quantite p_dureeImputation)
  {
    if ((m_dureeImputation == null) || (p_dureeImputation == null))
    {
      m_dureeImputation = p_dureeImputation;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeImputationConstitutionDurees(p_dureeImputation);
    }
    else if ((m_dureeImputation != null) && (p_dureeImputation != null) && (!p_dureeImputation.equals(m_dureeImputation)))
    {
      m_dureeImputation = p_dureeImputation;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeImputationConstitutionDurees(p_dureeImputation);
    }
  }
  
  protected Quantite rawGetDureeTheorique()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeTheoriqueConstitutionDurees();
  }
  
  public Quantite getDureeTheorique()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDureeTheoriqueConstitutionDurees();
  }
  
  public void setDureeTheorique(Quantite p_dureeTheorique)
  {
    if ((m_dureeTheorique == null) || (p_dureeTheorique == null))
    {
      m_dureeTheorique = p_dureeTheorique;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeTheoriqueConstitutionDurees(p_dureeTheorique);
    }
    else if ((m_dureeTheorique != null) && (p_dureeTheorique != null) && (!p_dureeTheorique.equals(m_dureeTheorique)))
    {
      m_dureeTheorique = p_dureeTheorique;
      ((ConstitutionElementsAbstraitPC)getPC()).setDureeTheoriqueConstitutionDurees(p_dureeTheorique);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    setDureeEffective(null);
    setDureeImputation(null);
    setDureeTheorique(null);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConstitutionDureesGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */