package fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.temps.Damj;

public abstract class ConstitutionSalaireJournalierMoyenGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionElementsAbstraitPC;
  private Damj m_dateSalaireJournalierMoyenInitial;
  private QuantiteEuro m_montantSalaireJournalierMoyenInitial = null;
  private Damj m_dateSalaireJournalierMoyenRevalorisePlafonne;
  private QuantiteEuro m_montantSalaireJournalierMoyenRevalorisePlafonne = null;
  private QuantiteEuro m_montantPlafond = null;
  
  public ConstitutionSalaireJournalierMoyenGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConstitutionSalaireJournalierMoyenGen() {}
  
  public DomPCSpec getPC()
  {
    return m_constitutionElementsAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionElementsAbstraitPC)
  {
    m_constitutionElementsAbstraitPC = p_constitutionElementsAbstraitPC;
  }
  
  protected Damj rawGetDateSalaireJournalierMoyenInitial()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen();
  }
  
  public Damj getDateSalaireJournalierMoyenInitial()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen();
  }
  
  public void setDateSalaireJournalierMoyenInitial(Damj p_dateSalaireJournalierMoyenInitial)
  {
    if ((m_dateSalaireJournalierMoyenInitial == null) || (p_dateSalaireJournalierMoyenInitial == null))
    {
      m_dateSalaireJournalierMoyenInitial = p_dateSalaireJournalierMoyenInitial;
      ((ConstitutionElementsAbstraitPC)getPC()).setDateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen(p_dateSalaireJournalierMoyenInitial);
    }
    else if ((m_dateSalaireJournalierMoyenInitial != null) && (p_dateSalaireJournalierMoyenInitial != null) && (!p_dateSalaireJournalierMoyenInitial.equals(m_dateSalaireJournalierMoyenInitial)))
    {
      m_dateSalaireJournalierMoyenInitial = p_dateSalaireJournalierMoyenInitial;
      ((ConstitutionElementsAbstraitPC)getPC()).setDateSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen(p_dateSalaireJournalierMoyenInitial);
    }
  }
  
  protected QuantiteEuro rawGetMontantSalaireJournalierMoyenInitial()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen();
  }
  
  public QuantiteEuro getMontantSalaireJournalierMoyenInitial()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen();
  }
  
  public void setMontantSalaireJournalierMoyenInitial(QuantiteEuro p_montantSalaireJournalierMoyenInitial)
  {
    if ((m_montantSalaireJournalierMoyenInitial == null) || (p_montantSalaireJournalierMoyenInitial == null))
    {
      m_montantSalaireJournalierMoyenInitial = p_montantSalaireJournalierMoyenInitial;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen(p_montantSalaireJournalierMoyenInitial);
    }
    else if ((m_montantSalaireJournalierMoyenInitial != null) && (p_montantSalaireJournalierMoyenInitial != null) && (!p_montantSalaireJournalierMoyenInitial.equals(m_montantSalaireJournalierMoyenInitial)))
    {
      m_montantSalaireJournalierMoyenInitial = p_montantSalaireJournalierMoyenInitial;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantSalaireJournalierMoyenInitialConstitutionSalaireJournalierMoyen(p_montantSalaireJournalierMoyenInitial);
    }
  }
  
  protected Damj rawGetDateSalaireJournalierMoyenRevalorisePlafonne()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen();
  }
  
  public Damj getDateSalaireJournalierMoyenRevalorisePlafonne()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen();
  }
  
  public void setDateSalaireJournalierMoyenRevalorisePlafonne(Damj p_dateSalaireJournalierMoyenRevalorisePlafonne)
  {
    if ((m_dateSalaireJournalierMoyenRevalorisePlafonne == null) || (p_dateSalaireJournalierMoyenRevalorisePlafonne == null))
    {
      m_dateSalaireJournalierMoyenRevalorisePlafonne = p_dateSalaireJournalierMoyenRevalorisePlafonne;
      ((ConstitutionElementsAbstraitPC)getPC()).setDateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen(p_dateSalaireJournalierMoyenRevalorisePlafonne);
    }
    else if ((m_dateSalaireJournalierMoyenRevalorisePlafonne != null) && (p_dateSalaireJournalierMoyenRevalorisePlafonne != null) && (!p_dateSalaireJournalierMoyenRevalorisePlafonne.equals(m_dateSalaireJournalierMoyenRevalorisePlafonne)))
    {
      m_dateSalaireJournalierMoyenRevalorisePlafonne = p_dateSalaireJournalierMoyenRevalorisePlafonne;
      ((ConstitutionElementsAbstraitPC)getPC()).setDateSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen(p_dateSalaireJournalierMoyenRevalorisePlafonne);
    }
  }
  
  protected QuantiteEuro rawGetMontantSalaireJournalierMoyenRevalorisePlafonne()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen();
  }
  
  public QuantiteEuro getMontantSalaireJournalierMoyenRevalorisePlafonne()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen();
  }
  
  public void setMontantSalaireJournalierMoyenRevalorisePlafonne(QuantiteEuro p_montantSalaireJournalierMoyenRevalorisePlafonne)
  {
    if ((m_montantSalaireJournalierMoyenRevalorisePlafonne == null) || (p_montantSalaireJournalierMoyenRevalorisePlafonne == null))
    {
      m_montantSalaireJournalierMoyenRevalorisePlafonne = p_montantSalaireJournalierMoyenRevalorisePlafonne;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen(p_montantSalaireJournalierMoyenRevalorisePlafonne);
    }
    else if ((m_montantSalaireJournalierMoyenRevalorisePlafonne != null) && (p_montantSalaireJournalierMoyenRevalorisePlafonne != null) && (!p_montantSalaireJournalierMoyenRevalorisePlafonne.equals(m_montantSalaireJournalierMoyenRevalorisePlafonne)))
    {
      m_montantSalaireJournalierMoyenRevalorisePlafonne = p_montantSalaireJournalierMoyenRevalorisePlafonne;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantSalaireJournalierMoyenRevalorisePlafonneConstitutionSalaireJournalierMoyen(p_montantSalaireJournalierMoyenRevalorisePlafonne);
    }
  }
  
  protected QuantiteEuro rawGetMontantPlafond()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantPlafondConstitutionSalaireJournalierMoyen();
  }
  
  public QuantiteEuro getMontantPlafond()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantPlafondConstitutionSalaireJournalierMoyen();
  }
  
  public void setMontantPlafond(QuantiteEuro p_montantPlafond)
  {
    if ((m_montantPlafond == null) || (p_montantPlafond == null))
    {
      m_montantPlafond = p_montantPlafond;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantPlafondConstitutionSalaireJournalierMoyen(p_montantPlafond);
    }
    else if ((m_montantPlafond != null) && (p_montantPlafond != null) && (!p_montantPlafond.equals(m_montantPlafond)))
    {
      m_montantPlafond = p_montantPlafond;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantPlafondConstitutionSalaireJournalierMoyen(p_montantPlafond);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    setDateSalaireJournalierMoyenInitial(null);
    setMontantSalaireJournalierMoyenInitial(null);
    setDateSalaireJournalierMoyenRevalorisePlafonne(null);
    setMontantSalaireJournalierMoyenRevalorisePlafonne(null);
    setMontantPlafond(null);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConstitutionSalaireJournalierMoyenGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */