package fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.JustificationReductionSalaire;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.JustificationSalaireReference;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.services.ApplicativeRuntimeException;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;

public abstract class ConstitutionSalaireReferenceGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionElementsAbstraitPC;
  private QuantiteEuro m_salaireReferenceInitial = null;
  private QuantiteEuro m_salaireReferenceInitialPlafonne = null;
  private QuantiteEuro m_salaireReferenceRevalorisePlafonne = null;
  private Periode m_prc = null;
  private QuantiteEuro m_montantPlafond = null;
  private BigDecimal m_nombreJoursInactiviteDansPRC;
  private transient JustificationSalaireReference m_justificationSalaireReference;
  private transient JustificationReductionSalaire m_justificationReductionSalaire;
  
  public ConstitutionSalaireReferenceGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConstitutionSalaireReferenceGen() {}
  
  public DomPCSpec getPC()
  {
    return m_constitutionElementsAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionElementsAbstraitPC)
  {
    m_constitutionElementsAbstraitPC = p_constitutionElementsAbstraitPC;
  }
  
  protected QuantiteEuro rawGetSalaireReferenceInitial()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantSalaireReferenceInitialConstitutionSalaireReference();
  }
  
  public QuantiteEuro getSalaireReferenceInitial()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantSalaireReferenceInitialConstitutionSalaireReference();
  }
  
  public void setSalaireReferenceInitial(QuantiteEuro p_salaireReferenceInitial)
  {
    if ((m_salaireReferenceInitial == null) || (p_salaireReferenceInitial == null))
    {
      m_salaireReferenceInitial = p_salaireReferenceInitial;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantSalaireReferenceInitialConstitutionSalaireReference(p_salaireReferenceInitial);
    }
    else if ((m_salaireReferenceInitial != null) && (p_salaireReferenceInitial != null) && (!p_salaireReferenceInitial.equals(m_salaireReferenceInitial)))
    {
      m_salaireReferenceInitial = p_salaireReferenceInitial;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantSalaireReferenceInitialConstitutionSalaireReference(p_salaireReferenceInitial);
    }
  }
  
  protected QuantiteEuro rawGetSalaireReferenceInitialPlafonne()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantSalaireReferenceInitialPlafonneConstitutionSalaireReference();
  }
  
  public QuantiteEuro getSalaireReferenceInitialPlafonne()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantSalaireReferenceInitialPlafonneConstitutionSalaireReference();
  }
  
  public void setSalaireReferenceInitialPlafonne(QuantiteEuro p_salaireReferenceInitialPlafonne)
  {
    if ((m_salaireReferenceInitialPlafonne == null) || (p_salaireReferenceInitialPlafonne == null))
    {
      m_salaireReferenceInitialPlafonne = p_salaireReferenceInitialPlafonne;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantSalaireReferenceInitialPlafonneConstitutionSalaireReference(p_salaireReferenceInitialPlafonne);
    }
    else if ((m_salaireReferenceInitialPlafonne != null) && (p_salaireReferenceInitialPlafonne != null) && (!p_salaireReferenceInitialPlafonne.equals(m_salaireReferenceInitialPlafonne)))
    {
      m_salaireReferenceInitialPlafonne = p_salaireReferenceInitialPlafonne;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantSalaireReferenceInitialPlafonneConstitutionSalaireReference(p_salaireReferenceInitialPlafonne);
    }
  }
  
  protected QuantiteEuro rawGetSalaireReferenceRevalorisePlafonne()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantSalaireReferenceRevalorisePlafonneConstitutionSalaireReference();
  }
  
  public QuantiteEuro getSalaireReferenceRevalorisePlafonne()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantSalaireReferenceRevalorisePlafonneConstitutionSalaireReference();
  }
  
  public void setSalaireReferenceRevalorisePlafonne(QuantiteEuro p_salaireReferenceRevalorisePlafonne)
  {
    if ((m_salaireReferenceRevalorisePlafonne == null) || (p_salaireReferenceRevalorisePlafonne == null))
    {
      m_salaireReferenceRevalorisePlafonne = p_salaireReferenceRevalorisePlafonne;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantSalaireReferenceRevalorisePlafonneConstitutionSalaireReference(p_salaireReferenceRevalorisePlafonne);
    }
    else if ((m_salaireReferenceRevalorisePlafonne != null) && (p_salaireReferenceRevalorisePlafonne != null) && (!p_salaireReferenceRevalorisePlafonne.equals(m_salaireReferenceRevalorisePlafonne)))
    {
      m_salaireReferenceRevalorisePlafonne = p_salaireReferenceRevalorisePlafonne;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantSalaireReferenceRevalorisePlafonneConstitutionSalaireReference(p_salaireReferenceRevalorisePlafonne);
    }
  }
  
  protected Periode rawGetPrc()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getPrcConstitutionSalaireReference();
  }
  
  public Periode getPrc()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getPrcConstitutionSalaireReference();
  }
  
  public void setPrc(Periode p_prc)
  {
    if ((m_prc == null) || (p_prc == null))
    {
      m_prc = p_prc;
      ((ConstitutionElementsAbstraitPC)getPC()).setPrcConstitutionSalaireReference(p_prc);
    }
    else if ((m_prc != null) && (p_prc != null) && (!p_prc.equals(m_prc)))
    {
      m_prc = p_prc;
      ((ConstitutionElementsAbstraitPC)getPC()).setPrcConstitutionSalaireReference(p_prc);
    }
  }
  
  protected QuantiteEuro rawGetMontantPlafond()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantPlafondConstitutionSalaireReference();
  }
  
  public QuantiteEuro getMontantPlafond()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getMontantPlafondConstitutionSalaireReference();
  }
  
  public void setMontantPlafond(QuantiteEuro p_montantPlafond)
  {
    if ((m_montantPlafond == null) || (p_montantPlafond == null))
    {
      m_montantPlafond = p_montantPlafond;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantPlafondConstitutionSalaireReference(p_montantPlafond);
    }
    else if ((m_montantPlafond != null) && (p_montantPlafond != null) && (!p_montantPlafond.equals(m_montantPlafond)))
    {
      m_montantPlafond = p_montantPlafond;
      ((ConstitutionElementsAbstraitPC)getPC()).setMontantPlafondConstitutionSalaireReference(p_montantPlafond);
    }
  }
  
  protected int rawGetNombreJoursEmploiDansPRC()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getNombreJoursEmploiDansPRCConstitutionSalaireReference();
  }
  
  public int getNombreJoursEmploiDansPRC()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getNombreJoursEmploiDansPRCConstitutionSalaireReference();
  }
  
  public void setNombreJoursEmploiDansPRC(int p_nombreJoursEmploiDansPRC)
  {
    ((ConstitutionElementsAbstraitPC)getPC()).setNombreJoursEmploiDansPRCConstitutionSalaireReference(p_nombreJoursEmploiDansPRC);
  }
  
  protected BigDecimal rawGetNombreJoursInactiviteDansPRC()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getNombreJoursInactiviteDansPRCConstitutionSalaireReference();
  }
  
  public BigDecimal getNombreJoursInactiviteDansPRC()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getNombreJoursInactiviteDansPRCConstitutionSalaireReference();
  }
  
  public void setNombreJoursInactiviteDansPRC(BigDecimal p_nombreJoursInactiviteDansPRC)
  {
    if ((m_nombreJoursInactiviteDansPRC == null) || (p_nombreJoursInactiviteDansPRC == null))
    {
      m_nombreJoursInactiviteDansPRC = p_nombreJoursInactiviteDansPRC;
      ((ConstitutionElementsAbstraitPC)getPC()).setNombreJoursInactiviteDansPRCConstitutionSalaireReference(p_nombreJoursInactiviteDansPRC);
    }
    else if ((m_nombreJoursInactiviteDansPRC != null) && (p_nombreJoursInactiviteDansPRC != null) && (!p_nombreJoursInactiviteDansPRC.equals(m_nombreJoursInactiviteDansPRC)))
    {
      m_nombreJoursInactiviteDansPRC = p_nombreJoursInactiviteDansPRC;
      ((ConstitutionElementsAbstraitPC)getPC()).setNombreJoursInactiviteDansPRCConstitutionSalaireReference(p_nombreJoursInactiviteDansPRC);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    if (getJustificationSalaireReference() != null)
    {
      getJustificationSalaireReference().supprimerEnProfondeur(p_contexteSuppression);
      m_justificationSalaireReference = null;
    }
    if (getJustificationReductionSalaire() != null)
    {
      getJustificationReductionSalaire().supprimerEnProfondeur(p_contexteSuppression);
      m_justificationReductionSalaire = null;
    }
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    if (getJustificationSalaireReference() != null)
    {
      getJustificationSalaireReference().initEnProfondeur();
      m_justificationSalaireReference = null;
    }
    if (getJustificationReductionSalaire() != null)
    {
      getJustificationReductionSalaire().initEnProfondeur();
      m_justificationReductionSalaire = null;
    }
    setSalaireReferenceInitial(null);
    setSalaireReferenceInitialPlafonne(null);
    setSalaireReferenceRevalorisePlafonne(null);
    setPrc(null);
    setMontantPlafond(null);
    setNombreJoursEmploiDansPRC(0);
    setNombreJoursInactiviteDansPRC(null);
  }
  
  public JustificationSalaireReference getJustificationSalaireReference()
  {
    if (m_justificationSalaireReference == null) {
      m_justificationSalaireReference = new JustificationSalaireReference(getPC());
    }
    return m_justificationSalaireReference;
  }
  
  public JustificationSalaireReference createJustificationSalaireReference()
  {
    if (m_justificationSalaireReference == null) {
      m_justificationSalaireReference = new JustificationSalaireReference(getPC());
    }
    try
    {
      m_justificationSalaireReference.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_justificationSalaireReference;
  }
  
  public void removeJustificationSalaireReference()
  {
    try
    {
      m_justificationSalaireReference.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
  }
  
  public JustificationReductionSalaire getJustificationReductionSalaire()
  {
    if (m_justificationReductionSalaire == null) {
      m_justificationReductionSalaire = new JustificationReductionSalaire(getPC());
    }
    return m_justificationReductionSalaire;
  }
  
  public JustificationReductionSalaire createJustificationReductionSalaire()
  {
    if (m_justificationReductionSalaire == null) {
      m_justificationReductionSalaire = new JustificationReductionSalaire(getPC());
    }
    try
    {
      m_justificationReductionSalaire.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_justificationReductionSalaire;
  }
  
  public void removeJustificationReductionSalaire()
  {
    try
    {
      m_justificationReductionSalaire.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConstitutionSalaireReferenceGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */