package fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.PeriodeRetenue;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.QuantiteEuro;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;

public abstract class JustificationDiffereGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionElementsAbstraitPC;
  private QuantiteEuro m_totalSalairesNonPlafonnes;
  private QuantiteEuro m_smicMensuel = null;
  private QuantiteEuro m_smicJournalier = null;
  private String m_formule;
  private Collection m_listePeriodeRetenue;
  
  public JustificationDiffereGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public JustificationDiffereGen() {}
  
  public DomPCSpec getPC()
  {
    return m_constitutionElementsAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionElementsAbstraitPC)
  {
    m_constitutionElementsAbstraitPC = p_constitutionElementsAbstraitPC;
  }
  
  protected QuantiteEuro rawGetTotalSalairesNonPlafonnes()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getTotalSalairesNonPlafonnesJustificationDiffere();
  }
  
  public QuantiteEuro getTotalSalairesNonPlafonnes()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getTotalSalairesNonPlafonnesJustificationDiffere();
  }
  
  public void setTotalSalairesNonPlafonnes(QuantiteEuro p_totalSalairesNonPlafonnes)
  {
    if ((m_totalSalairesNonPlafonnes == null) || (p_totalSalairesNonPlafonnes == null))
    {
      m_totalSalairesNonPlafonnes = p_totalSalairesNonPlafonnes;
      ((ConstitutionElementsAbstraitPC)getPC()).setTotalSalairesNonPlafonnesJustificationDiffere(p_totalSalairesNonPlafonnes);
    }
    else if ((m_totalSalairesNonPlafonnes != null) && (p_totalSalairesNonPlafonnes != null) && (!p_totalSalairesNonPlafonnes.equals(m_totalSalairesNonPlafonnes)))
    {
      m_totalSalairesNonPlafonnes = p_totalSalairesNonPlafonnes;
      ((ConstitutionElementsAbstraitPC)getPC()).setTotalSalairesNonPlafonnesJustificationDiffere(p_totalSalairesNonPlafonnes);
    }
  }
  
  protected QuantiteEuro rawGetSmicMensuel()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getSmicMensuelJustificationDiffere();
  }
  
  public QuantiteEuro getSmicMensuel()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getSmicMensuelJustificationDiffere();
  }
  
  public void setSmicMensuel(QuantiteEuro p_smicMensuel)
  {
    if ((m_smicMensuel == null) || (p_smicMensuel == null))
    {
      m_smicMensuel = p_smicMensuel;
      ((ConstitutionElementsAbstraitPC)getPC()).setSmicMensuelJustificationDiffere(p_smicMensuel);
    }
    else if ((m_smicMensuel != null) && (p_smicMensuel != null) && (!p_smicMensuel.equals(m_smicMensuel)))
    {
      m_smicMensuel = p_smicMensuel;
      ((ConstitutionElementsAbstraitPC)getPC()).setSmicMensuelJustificationDiffere(p_smicMensuel);
    }
  }
  
  protected QuantiteEuro rawGetSmicJournalier()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getSmicJournalierJustificationDiffere();
  }
  
  public QuantiteEuro getSmicJournalier()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getSmicJournalierJustificationDiffere();
  }
  
  public void setSmicJournalier(QuantiteEuro p_smicJournalier)
  {
    if ((m_smicJournalier == null) || (p_smicJournalier == null))
    {
      m_smicJournalier = p_smicJournalier;
      ((ConstitutionElementsAbstraitPC)getPC()).setSmicJournalierJustificationDiffere(p_smicJournalier);
    }
    else if ((m_smicJournalier != null) && (p_smicJournalier != null) && (!p_smicJournalier.equals(m_smicJournalier)))
    {
      m_smicJournalier = p_smicJournalier;
      ((ConstitutionElementsAbstraitPC)getPC()).setSmicJournalierJustificationDiffere(p_smicJournalier);
    }
  }
  
  protected String rawGetFormule()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getFormuleJustificationDiffere();
  }
  
  public String getFormule()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getFormuleJustificationDiffere();
  }
  
  public void setFormule(String p_formule)
  {
    if ((m_formule == null) || (p_formule == null))
    {
      m_formule = p_formule;
      ((ConstitutionElementsAbstraitPC)getPC()).setFormuleJustificationDiffere(p_formule);
    }
    else if ((m_formule != null) && (p_formule != null) && (!p_formule.equals(m_formule)))
    {
      m_formule = p_formule;
      ((ConstitutionElementsAbstraitPC)getPC()).setFormuleJustificationDiffere(p_formule);
    }
  }
  
  private final Collection getCollectionModifiablePeriodeRetenue()
  {
    Iterator itCollectionPC;
    if (m_listePeriodeRetenue == null)
    {
      m_listePeriodeRetenue = new ArrayList();
      for (itCollectionPC = ((ConstitutionElementsAbstraitPC)getPC()).getCollectionPeriodeRetenue().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_listePeriodeRetenue.add(currentOM);
      }
    }
    return m_listePeriodeRetenue;
  }
  
  public Collection getCollectionPeriodeRetenue()
  {
    return Collections.unmodifiableCollection(getCollectionModifiablePeriodeRetenue());
  }
  
  public List getListPeriodeRetenue()
  {
    return Collections.unmodifiableList((List)getCollectionModifiablePeriodeRetenue());
  }
  
  public void remplacerCollectionPeriodeRetenue(Collection p_collectionACopier)
  {
    clearCollectionPeriodeRetenue();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      PeriodeRetenue objet = (PeriodeRetenue)i.next();
      ajouterPeriodeRetenue(objet);
    }
  }
  
  public void supprimerSousCollectionPeriodeRetenue(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      PeriodeRetenue objet = (PeriodeRetenue)i.next();
      supprimerPeriodeRetenue(objet);
    }
  }
  
  public void ajouterPeriodeRetenue(PeriodeRetenue p_periodeRetenueJustificationDiffere)
    throws NullPointerException
  {
    if (p_periodeRetenueJustificationDiffere == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodeRetenueJustificationDiffere ne devrait pas être nul.", p_periodeRetenueJustificationDiffere);
    }
    getCollectionModifiablePeriodeRetenue().add(p_periodeRetenueJustificationDiffere);
    ((ConstitutionElementsAbstraitPC)getPC()).ajouterPeriodeRetenue(p_periodeRetenueJustificationDiffere.getPC());
  }
  
  public void supprimerPeriodeRetenue(PeriodeRetenue p_periodeRetenueJustificationDiffere)
    throws NullPointerException
  {
    if (p_periodeRetenueJustificationDiffere == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodeRetenueJustificationDiffere ne devrait pas être nul.", p_periodeRetenueJustificationDiffere);
    }
    getCollectionModifiablePeriodeRetenue().remove(p_periodeRetenueJustificationDiffere);
    ((ConstitutionElementsAbstraitPC)getPC()).supprimerPeriodeRetenue(p_periodeRetenueJustificationDiffere.getPC());
  }
  
  public void recopierCollectionPeriodeRetenueVers(ObjetMetierSpec p_copie)
  {
    JustificationDiffereGen copie = (JustificationDiffereGen)p_copie;
    Collection listeACopier = getCollectionPeriodeRetenue();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterPeriodeRetenue((PeriodeRetenue)objet);
    }
  }
  
  public void clearCollectionPeriodeRetenue()
  {
    getCollectionModifiablePeriodeRetenue().clear();
    ((ConstitutionElementsAbstraitPC)getPC()).getCollectionPeriodeRetenue().clear();
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    for (Iterator iter = getCollectionPeriodeRetenue().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    setTotalSalairesNonPlafonnes(null);
    setSmicMensuel(null);
    setSmicJournalier(null);
    setFormule(null);
    for (Iterator iter = getCollectionPeriodeRetenue().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if (item != null) {
        DomManager.supprimer(item);
      }
    }
    clearCollectionPeriodeRetenue();
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     JustificationDiffereGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */