package fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.JustificationReductionSalairePeriodeActiviteSurMois;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.pc.JustificationReductionSalaireMoisCivilPC;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.ObjetChronoPeriodeCREM;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;

public abstract class JustificationReductionSalaireMoisCivilGen
  extends ObjetChronoPeriodeCREM
  implements DomGenSpec
{
  private BigDecimal m_coefficientEcretementHeures = new BigDecimal("1");
  private BigDecimal m_montantPlafondHeures = new BigDecimal("0");
  private BigDecimal m_totalHeures = new BigDecimal("0");
  private BigDecimal m_coefficientEcretementCachets = new BigDecimal("1");
  private BigDecimal m_montantPlafondCachets = new BigDecimal("0");
  private BigDecimal m_totalCachets = new BigDecimal("0");
  private BigDecimal m_heuresMulti = new BigDecimal("0");
  private BigDecimal m_plafondMulti;
  private Collection m_listePeriodeActiviteSurMois;
  
  public JustificationReductionSalaireMoisCivilGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public JustificationReductionSalaireMoisCivilGen() {}
  
  protected DomPCSpec createPC()
  {
    return new JustificationReductionSalaireMoisCivilPC();
  }
  
  protected BigDecimal rawGetCoefficientEcretementHeures()
  {
    return ((JustificationReductionSalaireMoisCivilPC)getPC()).getCoefficientEcretementHeures();
  }
  
  public BigDecimal getCoefficientEcretementHeures()
  {
    return ((JustificationReductionSalaireMoisCivilPC)getPC()).getCoefficientEcretementHeures();
  }
  
  public void setCoefficientEcretementHeures(BigDecimal p_coefficientEcretementHeures)
  {
    if ((m_coefficientEcretementHeures == null) || (p_coefficientEcretementHeures == null))
    {
      m_coefficientEcretementHeures = p_coefficientEcretementHeures;
      ((JustificationReductionSalaireMoisCivilPC)getPC()).setCoefficientEcretementHeures(p_coefficientEcretementHeures);
    }
    else if ((m_coefficientEcretementHeures != null) && (p_coefficientEcretementHeures != null) && (!p_coefficientEcretementHeures.equals(m_coefficientEcretementHeures)))
    {
      m_coefficientEcretementHeures = p_coefficientEcretementHeures;
      ((JustificationReductionSalaireMoisCivilPC)getPC()).setCoefficientEcretementHeures(p_coefficientEcretementHeures);
    }
  }
  
  protected BigDecimal rawGetMontantPlafondHeures()
  {
    return ((JustificationReductionSalaireMoisCivilPC)getPC()).getMontantPlafondHeures();
  }
  
  public BigDecimal getMontantPlafondHeures()
  {
    return ((JustificationReductionSalaireMoisCivilPC)getPC()).getMontantPlafondHeures();
  }
  
  public void setMontantPlafondHeures(BigDecimal p_montantPlafondHeures)
  {
    if ((m_montantPlafondHeures == null) || (p_montantPlafondHeures == null))
    {
      m_montantPlafondHeures = p_montantPlafondHeures;
      ((JustificationReductionSalaireMoisCivilPC)getPC()).setMontantPlafondHeures(p_montantPlafondHeures);
    }
    else if ((m_montantPlafondHeures != null) && (p_montantPlafondHeures != null) && (!p_montantPlafondHeures.equals(m_montantPlafondHeures)))
    {
      m_montantPlafondHeures = p_montantPlafondHeures;
      ((JustificationReductionSalaireMoisCivilPC)getPC()).setMontantPlafondHeures(p_montantPlafondHeures);
    }
  }
  
  protected BigDecimal rawGetTotalHeures()
  {
    return ((JustificationReductionSalaireMoisCivilPC)getPC()).getTotalHeures();
  }
  
  public BigDecimal getTotalHeures()
  {
    return ((JustificationReductionSalaireMoisCivilPC)getPC()).getTotalHeures();
  }
  
  public void setTotalHeures(BigDecimal p_totalHeures)
  {
    if ((m_totalHeures == null) || (p_totalHeures == null))
    {
      m_totalHeures = p_totalHeures;
      ((JustificationReductionSalaireMoisCivilPC)getPC()).setTotalHeures(p_totalHeures);
    }
    else if ((m_totalHeures != null) && (p_totalHeures != null) && (!p_totalHeures.equals(m_totalHeures)))
    {
      m_totalHeures = p_totalHeures;
      ((JustificationReductionSalaireMoisCivilPC)getPC()).setTotalHeures(p_totalHeures);
    }
  }
  
  protected BigDecimal rawGetCoefficientEcretementCachets()
  {
    return ((JustificationReductionSalaireMoisCivilPC)getPC()).getCoefficientEcretementCachets();
  }
  
  public BigDecimal getCoefficientEcretementCachets()
  {
    return ((JustificationReductionSalaireMoisCivilPC)getPC()).getCoefficientEcretementCachets();
  }
  
  public void setCoefficientEcretementCachets(BigDecimal p_coefficientEcretementCachets)
  {
    if ((m_coefficientEcretementCachets == null) || (p_coefficientEcretementCachets == null))
    {
      m_coefficientEcretementCachets = p_coefficientEcretementCachets;
      ((JustificationReductionSalaireMoisCivilPC)getPC()).setCoefficientEcretementCachets(p_coefficientEcretementCachets);
    }
    else if ((m_coefficientEcretementCachets != null) && (p_coefficientEcretementCachets != null) && (!p_coefficientEcretementCachets.equals(m_coefficientEcretementCachets)))
    {
      m_coefficientEcretementCachets = p_coefficientEcretementCachets;
      ((JustificationReductionSalaireMoisCivilPC)getPC()).setCoefficientEcretementCachets(p_coefficientEcretementCachets);
    }
  }
  
  protected BigDecimal rawGetMontantPlafondCachets()
  {
    return ((JustificationReductionSalaireMoisCivilPC)getPC()).getMontantPlafondCachets();
  }
  
  public BigDecimal getMontantPlafondCachets()
  {
    return ((JustificationReductionSalaireMoisCivilPC)getPC()).getMontantPlafondCachets();
  }
  
  public void setMontantPlafondCachets(BigDecimal p_montantPlafondCachets)
  {
    if ((m_montantPlafondCachets == null) || (p_montantPlafondCachets == null))
    {
      m_montantPlafondCachets = p_montantPlafondCachets;
      ((JustificationReductionSalaireMoisCivilPC)getPC()).setMontantPlafondCachets(p_montantPlafondCachets);
    }
    else if ((m_montantPlafondCachets != null) && (p_montantPlafondCachets != null) && (!p_montantPlafondCachets.equals(m_montantPlafondCachets)))
    {
      m_montantPlafondCachets = p_montantPlafondCachets;
      ((JustificationReductionSalaireMoisCivilPC)getPC()).setMontantPlafondCachets(p_montantPlafondCachets);
    }
  }
  
  protected BigDecimal rawGetTotalCachets()
  {
    return ((JustificationReductionSalaireMoisCivilPC)getPC()).getTotalCachets();
  }
  
  public BigDecimal getTotalCachets()
  {
    return ((JustificationReductionSalaireMoisCivilPC)getPC()).getTotalCachets();
  }
  
  public void setTotalCachets(BigDecimal p_totalCachets)
  {
    if ((m_totalCachets == null) || (p_totalCachets == null))
    {
      m_totalCachets = p_totalCachets;
      ((JustificationReductionSalaireMoisCivilPC)getPC()).setTotalCachets(p_totalCachets);
    }
    else if ((m_totalCachets != null) && (p_totalCachets != null) && (!p_totalCachets.equals(m_totalCachets)))
    {
      m_totalCachets = p_totalCachets;
      ((JustificationReductionSalaireMoisCivilPC)getPC()).setTotalCachets(p_totalCachets);
    }
  }
  
  protected BigDecimal rawGetHeuresMulti()
  {
    return ((JustificationReductionSalaireMoisCivilPC)getPC()).getHeuresMulti();
  }
  
  public BigDecimal getHeuresMulti()
  {
    return ((JustificationReductionSalaireMoisCivilPC)getPC()).getHeuresMulti();
  }
  
  public void setHeuresMulti(BigDecimal p_heuresMulti)
  {
    if ((m_heuresMulti == null) || (p_heuresMulti == null))
    {
      m_heuresMulti = p_heuresMulti;
      ((JustificationReductionSalaireMoisCivilPC)getPC()).setHeuresMulti(p_heuresMulti);
    }
    else if ((m_heuresMulti != null) && (p_heuresMulti != null) && (!p_heuresMulti.equals(m_heuresMulti)))
    {
      m_heuresMulti = p_heuresMulti;
      ((JustificationReductionSalaireMoisCivilPC)getPC()).setHeuresMulti(p_heuresMulti);
    }
  }
  
  protected BigDecimal rawGetPlafondMulti()
  {
    return ((JustificationReductionSalaireMoisCivilPC)getPC()).getPlafondMulti();
  }
  
  public BigDecimal getPlafondMulti()
  {
    return ((JustificationReductionSalaireMoisCivilPC)getPC()).getPlafondMulti();
  }
  
  public void setPlafondMulti(BigDecimal p_plafondMulti)
  {
    if ((m_plafondMulti == null) || (p_plafondMulti == null))
    {
      m_plafondMulti = p_plafondMulti;
      ((JustificationReductionSalaireMoisCivilPC)getPC()).setPlafondMulti(p_plafondMulti);
    }
    else if ((m_plafondMulti != null) && (p_plafondMulti != null) && (!p_plafondMulti.equals(m_plafondMulti)))
    {
      m_plafondMulti = p_plafondMulti;
      ((JustificationReductionSalaireMoisCivilPC)getPC()).setPlafondMulti(p_plafondMulti);
    }
  }
  
  private final Collection getCollectionModifiablePeriodeActiviteSurMois()
  {
    Iterator itCollectionPC;
    if (m_listePeriodeActiviteSurMois == null)
    {
      m_listePeriodeActiviteSurMois = new ArrayList();
      for (itCollectionPC = ((JustificationReductionSalaireMoisCivilPC)getPC()).getCollectionPeriodeActiviteSurMois().iterator(); itCollectionPC.hasNext();)
      {
        DomPCSpec currentPC = (DomPCSpec)itCollectionPC.next();
        Object currentOM = currentPC.createOM();
        m_listePeriodeActiviteSurMois.add(currentOM);
      }
    }
    return m_listePeriodeActiviteSurMois;
  }
  
  public Collection getCollectionPeriodeActiviteSurMois()
  {
    return Collections.unmodifiableCollection(getCollectionModifiablePeriodeActiviteSurMois());
  }
  
  public List getListPeriodeActiviteSurMois()
  {
    return Collections.unmodifiableList((List)getCollectionModifiablePeriodeActiviteSurMois());
  }
  
  public void remplacerCollectionPeriodeActiviteSurMois(Collection p_collectionACopier)
  {
    clearCollectionPeriodeActiviteSurMois();
    for (Iterator i = p_collectionACopier.iterator(); i.hasNext();)
    {
      JustificationReductionSalairePeriodeActiviteSurMois objet = (JustificationReductionSalairePeriodeActiviteSurMois)i.next();
      ajouterPeriodeActiviteSurMois(objet);
    }
  }
  
  public void supprimerSousCollectionPeriodeActiviteSurMois(Collection p_collectionASupprimer)
  {
    for (Iterator i = p_collectionASupprimer.iterator(); i.hasNext();)
    {
      JustificationReductionSalairePeriodeActiviteSurMois objet = (JustificationReductionSalairePeriodeActiviteSurMois)i.next();
      supprimerPeriodeActiviteSurMois(objet);
    }
  }
  
  public void ajouterPeriodeActiviteSurMois(JustificationReductionSalairePeriodeActiviteSurMois p_periodeActiviteSurMois)
    throws NullPointerException
  {
    if (p_periodeActiviteSurMois == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodeActiviteSurMois ne devrait pas être nul.", p_periodeActiviteSurMois);
    }
    getCollectionModifiablePeriodeActiviteSurMois().add(p_periodeActiviteSurMois);
    ((JustificationReductionSalaireMoisCivilPC)getPC()).ajouterPeriodeActiviteSurMois(p_periodeActiviteSurMois.getPC());
  }
  
  public void supprimerPeriodeActiviteSurMois(JustificationReductionSalairePeriodeActiviteSurMois p_periodeActiviteSurMois)
    throws NullPointerException
  {
    if (p_periodeActiviteSurMois == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodeActiviteSurMois ne devrait pas être nul.", p_periodeActiviteSurMois);
    }
    getCollectionModifiablePeriodeActiviteSurMois().remove(p_periodeActiviteSurMois);
    ((JustificationReductionSalaireMoisCivilPC)getPC()).supprimerPeriodeActiviteSurMois(p_periodeActiviteSurMois.getPC());
  }
  
  public void recopierCollectionPeriodeActiviteSurMoisVers(ObjetMetierSpec p_copie)
  {
    JustificationReductionSalaireMoisCivilGen copie = (JustificationReductionSalaireMoisCivilGen)p_copie;
    Collection listeACopier = getCollectionPeriodeActiviteSurMois();
    for (Iterator i = listeACopier.iterator(); i.hasNext();)
    {
      ObjetMetierSpec objet = ((ObjetMetierSpec)i.next()).copie();
      copie.ajouterPeriodeActiviteSurMois((JustificationReductionSalairePeriodeActiviteSurMois)objet);
    }
  }
  
  public void clearCollectionPeriodeActiviteSurMois()
  {
    getCollectionModifiablePeriodeActiviteSurMois().clear();
    ((JustificationReductionSalaireMoisCivilPC)getPC()).getCollectionPeriodeActiviteSurMois().clear();
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
    for (Iterator iter = getCollectionPeriodeActiviteSurMois().iterator(); iter.hasNext();)
    {
      DomGenSpec item = (DomGenSpec)iter.next();
      if ((item != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(item))) {
        DomManager.supprimer(item, p_contexteSuppression);
      }
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     JustificationReductionSalaireMoisCivilGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */