package fr.unedic.cali.asu.spe02.p03.liquidation.dom.pc;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.JustificationSRPeriodeActivite;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.temps.ObjetChronoPeriodePC;
import fr.unedic.util.temps.Periode;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.util.ArrayList;
import java.util.Collection;
import javax.jdo.JDOFatalInternalException;
import javax.jdo.JDOUnsupportedOptionException;
import javax.jdo.JDOUserException;
import javax.jdo.PersistenceManager;
import javax.jdo.spi.JDOImplHelper;
import javax.jdo.spi.JDOPermission;
import javax.jdo.spi.PersistenceCapable;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldConsumer;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldSupplier;
import javax.jdo.spi.StateManager;
import xcalia.lido.internal.sm.CommonStateManager;

public class JustificationSRPeriodeActivitePC
  extends ObjetChronoPeriodePC
  implements DomPCSpec, PersistenceCapable
{
  private transient JustificationSRPeriodeActivite m_justificationSRPeriodeActiviteOM;
  protected String m_raisonSociale;
  protected String m_reglement;
  protected QuantiteEuro m_montantPlafond;
  protected QuantiteEuro m_montantSalairePlafonne;
  protected QuantiteEuro m_montantSalaireNonPlafonne;
  protected Collection m_listePeriodeRemuneration;
  protected transient byte jdoFlags;
  protected transient StateManager jdoStateManager;
  private static int jdoInheritedFieldCount = 0;
  private static String[] jdoFieldNames = { "m_periode", "m_raisonSociale", "m_reglement", "m_montantPlafond", "m_montantSalairePlafonne", "m_montantSalaireNonPlafonne", "m_listePeriodeRemuneration" };
  private static Class[] jdoFieldTypes = { Periode.class, String.class, String.class, QuantiteEuro.class, QuantiteEuro.class, QuantiteEuro.class, Collection.class };
  private static byte[] jdoFieldFlags = { (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE) };
  private static Class jdoPersistenceCapableSuperclass = null;
  static final long serialVersionUID = 8392854220238281138L;
  
  public Object createOM()
  {
    if (m_justificationSRPeriodeActiviteOM == null) {
      m_justificationSRPeriodeActiviteOM = new JustificationSRPeriodeActivite(this);
    }
    return m_justificationSRPeriodeActiviteOM;
  }
  
  public String getRaisonSociale()
  {
    return jdoGetm_raisonSociale(this);
  }
  
  public final void setRaisonSociale(String p_raisonSociale)
  {
    jdoSetm_raisonSociale(this, p_raisonSociale);
  }
  
  public String getReglement()
  {
    return jdoGetm_reglement(this);
  }
  
  public final void setReglement(String p_reglement)
  {
    jdoSetm_reglement(this, p_reglement);
  }
  
  public QuantiteEuro getMontantPlafond()
  {
    return jdoGetm_montantPlafond(this);
  }
  
  public final void setMontantPlafond(QuantiteEuro p_montantPlafond)
  {
    jdoSetm_montantPlafond(this, p_montantPlafond);
  }
  
  public QuantiteEuro getMontantSalairePlafonne()
  {
    return jdoGetm_montantSalairePlafonne(this);
  }
  
  public final void setMontantSalairePlafonne(QuantiteEuro p_montantSalairePlafonne)
  {
    jdoSetm_montantSalairePlafonne(this, p_montantSalairePlafonne);
  }
  
  public QuantiteEuro getMontantSalaireNonPlafonne()
  {
    return jdoGetm_montantSalaireNonPlafonne(this);
  }
  
  public final void setMontantSalaireNonPlafonne(QuantiteEuro p_montantSalaireNonPlafonne)
  {
    jdoSetm_montantSalaireNonPlafonne(this, p_montantSalaireNonPlafonne);
  }
  
  public final Collection getCollectionPeriodeRemuneration()
  {
    if (jdoGetm_listePeriodeRemuneration(this) == null) {
      jdoSetm_listePeriodeRemuneration(this, new ArrayList());
    }
    return jdoGetm_listePeriodeRemuneration(this);
  }
  
  public final void ajouterPeriodeRemuneration(DomPCSpec p_periodeRemuneration)
    throws NullPointerException
  {
    if (p_periodeRemuneration == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodeRemuneration ne devrait pas être nul.", p_periodeRemuneration);
    }
    getCollectionPeriodeRemuneration().add(p_periodeRemuneration);
  }
  
  public final void supprimerPeriodeRemuneration(DomPCSpec p_periodeRemuneration)
    throws NullPointerException
  {
    if (p_periodeRemuneration == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodeRemuneration ne devrait pas être nul.", p_periodeRemuneration);
    }
    getCollectionPeriodeRemuneration().remove(p_periodeRemuneration);
  }
  
  static
  {
    JDOImplHelper.registerClass(JustificationSRPeriodeActivitePC.class, jdoFieldNames, jdoFieldTypes, jdoFieldFlags, jdoPersistenceCapableSuperclass, new JustificationSRPeriodeActivitePC());
  }
  
  protected static final Periode jdoGetm_periode(JustificationSRPeriodeActivitePC pc)
  {
    if (jdoFlags <= 0) {
      return m_periode;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 0)) {
        return m_periode;
      }
      return (Periode)sm.getObjectField(pc, jdoInheritedFieldCount + 0, m_periode);
    }
    return m_periode;
  }
  
  protected static final String jdoGetm_raisonSociale(JustificationSRPeriodeActivitePC pc)
  {
    if (jdoFlags <= 0) {
      return m_raisonSociale;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 1)) {
        return m_raisonSociale;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 1, m_raisonSociale);
    }
    return m_raisonSociale;
  }
  
  protected static final String jdoGetm_reglement(JustificationSRPeriodeActivitePC pc)
  {
    if (jdoFlags <= 0) {
      return m_reglement;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 2)) {
        return m_reglement;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 2, m_reglement);
    }
    return m_reglement;
  }
  
  protected static final QuantiteEuro jdoGetm_montantPlafond(JustificationSRPeriodeActivitePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantPlafond;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 3)) {
        return m_montantPlafond;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 3, m_montantPlafond);
    }
    return m_montantPlafond;
  }
  
  protected static final QuantiteEuro jdoGetm_montantSalairePlafonne(JustificationSRPeriodeActivitePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantSalairePlafonne;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 4)) {
        return m_montantSalairePlafonne;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 4, m_montantSalairePlafonne);
    }
    return m_montantSalairePlafonne;
  }
  
  protected static final QuantiteEuro jdoGetm_montantSalaireNonPlafonne(JustificationSRPeriodeActivitePC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantSalaireNonPlafonne;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 5)) {
        return m_montantSalaireNonPlafonne;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 5, m_montantSalaireNonPlafonne);
    }
    return m_montantSalaireNonPlafonne;
  }
  
  protected static final Collection jdoGetm_listePeriodeRemuneration(JustificationSRPeriodeActivitePC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 6)) {
        return m_listePeriodeRemuneration;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 6, m_listePeriodeRemuneration);
    }
    return m_listePeriodeRemuneration;
  }
  
  protected static final void jdoSetm_periode(JustificationSRPeriodeActivitePC pc, Periode newValue)
  {
    if (jdoFlags == 0)
    {
      m_periode = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 0, m_periode, newValue);
    } else {
      m_periode = newValue;
    }
  }
  
  protected static final void jdoSetm_raisonSociale(JustificationSRPeriodeActivitePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_raisonSociale = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 1, m_raisonSociale, newValue);
    } else {
      m_raisonSociale = newValue;
    }
  }
  
  protected static final void jdoSetm_reglement(JustificationSRPeriodeActivitePC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_reglement = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 2, m_reglement, newValue);
    } else {
      m_reglement = newValue;
    }
  }
  
  protected static final void jdoSetm_montantPlafond(JustificationSRPeriodeActivitePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantPlafond = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 3, m_montantPlafond, newValue);
    } else {
      m_montantPlafond = newValue;
    }
  }
  
  protected static final void jdoSetm_montantSalairePlafonne(JustificationSRPeriodeActivitePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantSalairePlafonne = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 4, m_montantSalairePlafonne, newValue);
    } else {
      m_montantSalairePlafonne = newValue;
    }
  }
  
  protected static final void jdoSetm_montantSalaireNonPlafonne(JustificationSRPeriodeActivitePC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantSalaireNonPlafonne = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 5, m_montantSalaireNonPlafonne, newValue);
    } else {
      m_montantSalaireNonPlafonne = newValue;
    }
  }
  
  protected static final void jdoSetm_listePeriodeRemuneration(JustificationSRPeriodeActivitePC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 6, m_listePeriodeRemuneration, newValue);
    } else {
      m_listePeriodeRemuneration = newValue;
    }
  }
  
  public void jdoProvideField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_periode);
      break;
    case 1: 
      jdoStateManager.providedStringField(this, fieldNumber, m_raisonSociale);
      break;
    case 2: 
      jdoStateManager.providedStringField(this, fieldNumber, m_reglement);
      break;
    case 3: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantPlafond);
      break;
    case 4: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantSalairePlafonne);
      break;
    case 5: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantSalaireNonPlafonne);
      break;
    case 6: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listePeriodeRemuneration);
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoReplaceField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      m_periode = ((Periode)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 1: 
      m_raisonSociale = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 2: 
      m_reglement = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 3: 
      m_montantPlafond = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 4: 
      m_montantSalairePlafonne = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 5: 
      m_montantSalaireNonPlafonne = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 6: 
      m_listePeriodeRemuneration = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoProvideFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoProvideField(fieldNumber);
    }
  }
  
  public void jdoReplaceFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoReplaceField(fieldNumber);
    }
  }
  
  public synchronized void jdoReplaceStateManager(StateManager sm)
  {
    if (jdoStateManager != null)
    {
      jdoStateManager = jdoStateManager.replacingStateManager(this, sm);
    }
    else
    {
      SecurityManager securityManager = System.getSecurityManager();
      if (securityManager != null) {
        securityManager.checkPermission(JDOPermission.SET_STATE_MANAGER);
      }
      jdoStateManager = sm;
    }
  }
  
  public boolean jdoIsPersistent()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isPersistent(this);
    }
    return false;
  }
  
  public boolean jdoIsTransactional()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isTransactional(this);
    }
    return false;
  }
  
  public boolean jdoIsNew()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isNew(this);
    }
    return false;
  }
  
  public boolean jdoIsDirty()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDirty(this);
    }
    return false;
  }
  
  public boolean jdoIsDeleted()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDeleted(this);
    }
    return false;
  }
  
  public void jdoMakeDirty(String fieldName)
  {
    if (jdoStateManager != null) {
      jdoStateManager.makeDirty(this, fieldName);
    }
  }
  
  public void jdoReplaceFlags()
  {
    if (jdoStateManager != null)
    {
      jdoFlags = jdoStateManager.replacingFlags(this);
      return;
      jdoFlags = 0;
    }
  }
  
  public boolean jdoIsDetached()
  {
    if (jdoStateManager != null) {
      return ((CommonStateManager)jdoStateManager).isDetached();
    }
    return false;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm)
  {
    JustificationSRPeriodeActivitePC pc = new JustificationSRPeriodeActivitePC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    return pc;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm, Object oid)
  {
    JustificationSRPeriodeActivitePC pc = new JustificationSRPeriodeActivitePC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    pc.jdoCopyKeyFieldsFromObjectId(oid);
    return pc;
  }
  
  public static int jdoGetManagedFieldCount()
  {
    return jdoInheritedFieldCount + 7;
  }
  
  public void jdoCopyFields(Object pc, int[] fieldNumbers)
  {
    if (!(pc instanceof JustificationSRPeriodeActivitePC)) {
      throw new JDOFatalInternalException("Can't copy fields from a different class");
    }
    JustificationSRPeriodeActivitePC other = (JustificationSRPeriodeActivitePC)pc;
    if (jdoStateManager != jdoStateManager) {
      throw new JDOUserException("Source object should have the same StateManager");
    }
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int relativeField = fieldNumbers[i] - jdoInheritedFieldCount;
      switch (relativeField)
      {
      case 0: 
        m_periode = m_periode;
        break;
      case 1: 
        m_raisonSociale = m_raisonSociale;
        break;
      case 2: 
        m_reglement = m_reglement;
        break;
      case 3: 
        m_montantPlafond = m_montantPlafond;
        break;
      case 4: 
        m_montantSalairePlafonne = m_montantSalairePlafonne;
        break;
      case 5: 
        m_montantSalaireNonPlafonne = m_montantSalaireNonPlafonne;
        break;
      case 6: 
        m_listePeriodeRemuneration = m_listePeriodeRemuneration;
      }
    }
  }
  
  public void jdoCopyKeyFieldsToObjectId(Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public void jdoCopyKeyFieldsToObjectId(PersistenceCapable.ObjectIdFieldSupplier supplier, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  protected void jdoCopyKeyFieldsFromObjectId(Object object) {}
  
  public void jdoCopyKeyFieldsFromObjectId(PersistenceCapable.ObjectIdFieldConsumer consumer, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public Object jdoNewObjectIdInstance()
  {
    return null;
  }
  
  public Object jdoNewObjectIdInstance(Object str)
  {
    return null;
  }
  
  public Object jdoGetObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getObjectId(this);
    }
    return null;
  }
  
  public PersistenceManager jdoGetPersistenceManager()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getPersistenceManager(this);
    }
    return null;
  }
  
  private void jdoPreSerialize()
  {
    if (jdoStateManager != null) {
      jdoStateManager.preSerialize(this);
    }
  }
  
  private void writeObject(ObjectOutputStream out)
    throws IOException
  {
    jdoPreSerialize();
    out.defaultWriteObject();
  }
  
  public Object jdoGetTransactionalObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getTransactionalObjectId(this);
    }
    return null;
  }
}

/* Location:
 * Qualified Name:     JustificationSRPeriodeActivitePC
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */