package fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.CodesMotifsEchec;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.asu.dom.ReglementApplicableSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Attribution;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionsAttributionAdmission;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionsAttributionReprise;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionDateLimiteIndemnisation;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionDurees;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionElementsSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionMontantsBruts;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionNbHeuresTravaillees;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionPointDepartIndemnisation;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionSalaireReference;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Decision;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Rejet;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Reprise;
import fr.unedic.cali.dom.ConditionAttributionSpec;
import fr.unedic.cali.dom.DecisionSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.ElementComparaisonReexamen;
import fr.unedic.cali.dom.ElementDroitSpec;
import fr.unedic.cali.dom.NaturesDecisions;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.util.Mathematiques;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.services.OutilFonctionnel;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

public class ComparateurDecision
  extends fr.unedic.cali.asu.liquidation.outilsfonctionnels.ComparateurDecision
  implements ComparateurDecisionSpeSpec, OutilFonctionnel
{
  private static ComparateurDecisionSpeSpec instance = null;
  
  public static ComparateurDecisionSpeSpec getInstance()
  {
    if (instance == null) {
      instance = new ComparateurDecision();
    }
    return instance;
  }
  
  public boolean estEgal(DecisionSpec decisionAvant, DecisionSpec decisionApres)
  {
    boolean resultat = false;
    if ((decisionAvant != null) && (decisionApres != null) && (verifierCoherenceDecisions(decisionAvant, decisionApres, null))) {
      resultat = (estProduitDecisionReglementEgal(decisionAvant, decisionApres)) && (motifRejetEgal(decisionAvant, decisionApres, null, false)) && (estconstituantsEgaux(decisionAvant, decisionApres)) && (estSalaireNhtEgal(decisionAvant, decisionApres));
    }
    return resultat;
  }
  
  private boolean estconstituantsEgaux(DecisionSpec decisionAvant, DecisionSpec decisionApres)
  {
    boolean estPjiEtDateAttribEgale = (pjiEgal(decisionAvant, decisionApres, null, false)) && (dateAttributionEgal(decisionAvant, decisionApres, null, false));
    
    return (dureeEffectiveEgale(decisionAvant, decisionApres, null, false)) && (estPjiEtDateAttribEgale) && (montantBrutEgal(decisionAvant, decisionApres, null, false)) && (dateLimiteEgale(decisionAvant, decisionApres, null, false));
  }
  
  private boolean estProduitDecisionReglementEgal(DecisionSpec decisionAvant, DecisionSpec decisionApres)
  {
    return (produitEgal(decisionAvant, decisionApres, null, false)) && (decisionEgal(decisionAvant, decisionApres, null, false)) && (reglementApplicableEgal(decisionAvant, decisionApres, null, false));
  }
  
  private boolean estSalaireNhtEgal(DecisionSpec decisionAvant, DecisionSpec decisionApres)
  {
    return (nhtPlafonneEgal(decisionAvant, decisionApres, null, false)) && (nhtEtenduEgal(decisionAvant, decisionApres, null, false)) && (salaireReferenceEgal(decisionAvant, decisionApres, null, false));
  }
  
  public ArrayList<ElementComparaisonReexamen> rechercheDifferencesComparaisonDecision(DecisionSpec decisionAvant, DecisionSpec decisionApres)
  {
    List<ElementComparaisonReexamen> listeDifferences = new ArrayList();
    List<ElementComparaisonReexamen> listeConstantesAfficheesSurDifference = new ArrayList();
    
    boolean produitEgal = produitEgal(decisionAvant, decisionApres, listeConstantesAfficheesSurDifference, false);
    boolean decisionEgal = true;
    if (produitEgal)
    {
      decisionEgal = decisionEgal(decisionAvant, decisionApres, listeConstantesAfficheesSurDifference, false);
      if ((decisionEgal) && (verifierCoherenceDecisions(decisionAvant, decisionApres, listeDifferences)))
      {
        reglementApplicableEgal(decisionAvant, decisionApres, listeDifferences, false);
        
        motifRejetEgal(decisionAvant, decisionApres, listeDifferences, false);
        
        dureeEffectiveEgale(decisionAvant, decisionApres, listeDifferences, false);
        
        pjiEgal(decisionAvant, decisionApres, listeDifferences, false);
        
        dateAttributionEgal(decisionAvant, decisionApres, listeDifferences, false);
        
        montantBrutEgal(decisionAvant, decisionApres, listeDifferences, false);
        
        nhtPlafonneEgal(decisionAvant, decisionApres, listeDifferences, false);
        
        nhtEtenduEgal(decisionAvant, decisionApres, listeDifferences, false);
        
        salaireReferenceEgal(decisionAvant, decisionApres, listeDifferences, false);
        
        dateLimiteEgale(decisionAvant, decisionApres, listeDifferences, false);
      }
    }
    if ((listeDifferences.size() > 0) || (!produitEgal) || (!decisionEgal))
    {
      listeConstantesAfficheesSurDifference.addAll(listeDifferences);
      listeDifferences = listeConstantesAfficheesSurDifference;
    }
    return (ArrayList)listeDifferences;
  }
  
  protected boolean verifierCoherenceDecisions(DecisionSpec decisionAvant, DecisionSpec decisionApres, List<ElementComparaisonReexamen> listeDifferences)
  {
    boolean estReprise = ((decisionAvant instanceof Reprise)) && ((decisionApres instanceof Reprise));
    if ((estReprise) && ((((Demande)decisionAvant.getDemande()).getDemandeOrigine().getAttribution() == null) || (((Demande)decisionApres.getDemande()).getDemandeOrigine().getAttribution() == null)))
    {
      String libelleElement = "Attribution précédente";
      String natureDecision2 = "";
      if ((decisionApres instanceof Decision))
      {
        AttributionAssuranceSpec attributionPrecDecisionDeux = ((Demande)decisionApres.getDemande()).getDemandeOrigine().getAttribution();
        if (attributionPrecDecisionDeux != null) {
          natureDecision2 = (String)NaturesDecisions.s_libelleObjectifDecision.get(new BigDecimal(attributionPrecDecisionDeux.getNatureDecision()));
        }
      }
      if (listeDifferences != null) {
        alimenterElementDifferent("Sans Objet", natureDecision2, libelleElement, listeDifferences);
      }
      return false;
    }
    return true;
  }
  
  protected void alimenterElementDifferent(Object valeurAvant, Object valeurApres, String libelleElement, List<ElementComparaisonReexamen> liste)
  {
    ElementComparaisonReexamen elementDecision = new ElementComparaisonReexamen(libelleElement, valeurAvant, valeurApres);
    liste.add(elementDecision);
  }
  
  protected boolean dureeEffectiveEgale(DecisionSpec decisionAvantSpec, DecisionSpec decisionApresSpec, List<ElementComparaisonReexamen> listeDifferences, boolean toujoursAlimenterListe)
  {
    Decision decisionAvant = (Decision)decisionAvantSpec;
    Decision decisionApres = (Decision)decisionApresSpec;
    
    boolean estEgal = comparaisonDureeEffective(decisionAvant, decisionApres);
    if ((listeDifferences != null) && ((!estEgal) || (toujoursAlimenterListe)))
    {
      String libelleElement = "Durée Effective";
      String dureeEffectiveAvant = null;
      String dureeEffectiveApres = null;
      if (decisionAvant != null)
      {
        dureeEffectiveAvant = Integer.toString(decisionAvant.getConstitutionDurees().getDureeEffective().getValeur().intValue());
        dureeEffectiveAvant = dureeEffectiveAvant + " jours";
      }
      if (decisionApres != null)
      {
        dureeEffectiveApres = Integer.toString(decisionApres.getConstitutionDurees().getDureeEffective().getValeur().intValue());
        dureeEffectiveApres = dureeEffectiveApres + " jours";
      }
      if ((dureeEffectiveAvant != null) || (dureeEffectiveApres != null)) {
        alimenterElementDifferent(dureeEffectiveAvant, dureeEffectiveApres, libelleElement, listeDifferences);
      }
    }
    return estEgal;
  }
  
  private boolean comparaisonDureeEffective(Decision decisionAvant, Decision decisionApres)
  {
    boolean estEgal = false;
    if (((decisionAvant instanceof Attribution)) && ((decisionApres instanceof Attribution)))
    {
      Quantite dureeInitialDecision1 = ((ProduitAsuSpec)((Attribution)decisionAvant).getProduit()).getDureeAServirEffective((Attribution)decisionAvant);
      
      Quantite dureeInitialDecision2 = ((ProduitAsuSpec)((Attribution)decisionApres).getProduit()).getDureeAServirEffective((Attribution)decisionApres);
      if ((dureeInitialDecision1 == null) && (dureeInitialDecision2 == null)) {
        estEgal = true;
      } else if ((dureeInitialDecision1 != null) && (dureeInitialDecision2 != null)) {
        estEgal = dureeInitialDecision1.equals(dureeInitialDecision2);
      } else {
        estEgal = false;
      }
    }
    else
    {
      estEgal = ((decisionAvant instanceof Rejet)) && ((decisionApres instanceof Rejet));
    }
    return estEgal;
  }
  
  protected boolean decisionEgal(DecisionSpec decisionAvant, DecisionSpec decisionApres, List<ElementComparaisonReexamen> listeDifferences, boolean toujoursAlimenterListe)
  {
    boolean estEgal = fr.unedic.cali.asu.liquidation.outilsfonctionnels.ComparateurDecision.decisionEgal(decisionAvant, decisionApres);
    if ((listeDifferences != null) && ((!estEgal) || (toujoursAlimenterListe)))
    {
      String libelleElement = "Libellé Décision";
      String typeDecisionAvant = null;
      String typeDecisionApres = null;
      String libelleDecisionAvant = null;
      String libelleDecisionApres = null;
      if (decisionAvant != null)
      {
        typeDecisionAvant = Integer.toString(decisionAvant.getNatureDecision());
        libelleDecisionAvant = (String)NaturesDecisions.s_libelleObjectifDecision.get(new BigDecimal(typeDecisionAvant));
      }
      if (decisionApres != null)
      {
        typeDecisionApres = Integer.toString(decisionApres.getNatureDecision());
        libelleDecisionApres = (String)NaturesDecisions.s_libelleObjectifDecision.get(new BigDecimal(typeDecisionApres));
      }
      if ((libelleDecisionAvant != null) || (libelleDecisionApres != null)) {
        alimenterElementDifferent(libelleDecisionAvant, libelleDecisionApres, libelleElement, listeDifferences);
      }
    }
    return estEgal;
  }
  
  protected boolean produitEgal(DecisionSpec decisionAvant, DecisionSpec decisionApres, List<ElementComparaisonReexamen> listeDifferences, boolean toujoursAlimenterListe)
  {
    boolean estEgal = false;
    if ((decisionAvant != null) && (decisionApres != null)) {
      estEgal = decisionAvant.getDossierAffecte().getProduit().getNomUnique().equals(decisionApres.getDossierAffecte().getProduit().getNomUnique());
    }
    if ((listeDifferences != null) && ((!estEgal) || (toujoursAlimenterListe)))
    {
      String libelleElement = "Produit Proposé";
      String produitAvant = null;
      String produitApres = null;
      if (decisionAvant.getDossierAffecte().getProduit() != null) {
        produitAvant = decisionAvant.getDossierAffecte().getProduit().getLibelleLong();
      }
      if (decisionApres.getDossierAffecte().getProduit() != null) {
        produitApres = decisionApres.getDossierAffecte().getProduit().getLibelleLong();
      }
      if ((produitAvant != null) || (produitApres != null)) {
        alimenterElementDifferent(produitAvant, produitApres, libelleElement, listeDifferences);
      }
    }
    return estEgal;
  }
  
  protected boolean reglementApplicableEgal(DecisionSpec decisionAvantSpec, DecisionSpec decisionApresSpec, List<ElementComparaisonReexamen> listeDifferences, boolean toujoursAlimenterListe)
  {
    boolean estEgal = false;
    
    Decision decisionAvant = (Decision)decisionAvantSpec;
    Decision decisionApres = (Decision)decisionApresSpec;
    if (((decisionAvantSpec instanceof Attribution)) && ((decisionApresSpec instanceof Attribution))) {
      estEgal = decisionAvant.getReglementApplicable().getReglement().estNomReglementIdentique(decisionApres.getReglementApplicable().getReglement().getNomReglement());
    } else {
      estEgal = ((decisionAvantSpec instanceof Rejet)) && ((decisionApresSpec instanceof Rejet));
    }
    alimenterListeReglementApplicable(decisionAvant, decisionApres, listeDifferences, toujoursAlimenterListe, estEgal);
    return estEgal;
  }
  
  private void alimenterListeReglementApplicable(Decision decisionAvant, Decision decisionApres, List<ElementComparaisonReexamen> listeDifferences, boolean toujoursAlimenterListe, boolean estEgal)
  {
    if ((listeDifferences != null) && ((!estEgal) || (toujoursAlimenterListe)))
    {
      String libelleElement = "Réglement Applicable";
      String reglementAvant = null;
      String reglementApres = null;
      if ((decisionAvant.getReglementApplicable() != null) && (decisionAvant.getReglementApplicable().getReglement() != null)) {
        reglementAvant = decisionAvant.getReglementApplicable().getReglement().getLibelle();
      }
      if ((decisionApres.getReglementApplicable() != null) && (decisionApres.getReglementApplicable().getReglement() != null)) {
        reglementApres = decisionApres.getReglementApplicable().getReglement().getLibelle();
      }
      if ((reglementAvant != null) || (reglementApres != null)) {
        alimenterElementDifferent(reglementAvant, reglementApres, libelleElement, listeDifferences);
      }
    }
  }
  
  protected boolean motifRejetEgal(DecisionSpec decisionAvantSpec, DecisionSpec decisionApresSpec, List<ElementComparaisonReexamen> listeDifferences, boolean toujoursAlimenterListe)
  {
    boolean estEgal = false;
    
    Decision decisionAvant = (Decision)decisionAvantSpec;
    Decision decisionApres = (Decision)decisionApresSpec;
    
    int typeObjectifDecision1 = getTypeObjectifParDecision(decisionAvant);
    int typeObjectifDecision2 = getTypeObjectifParDecision(decisionApres);
    List<?> listElementDroitDecision1 = null;
    List<?> listElementDroitDecision2 = null;
    if (((decisionAvantSpec instanceof Rejet)) && ((decisionApresSpec instanceof Rejet)))
    {
      if (typeObjectifDecision1 != typeObjectifDecision2) {
        return false;
      }
      DossierExamen dossierExamenDecision1 = getDossierExamenParDecision(decisionAvant);
      DossierExamen dossierExamenDecision2 = getDossierExamenParDecision(decisionApres);
      
      listElementDroitDecision1 = determinerListeElementDroitDecision(typeObjectifDecision1, dossierExamenDecision1);
      listElementDroitDecision2 = determinerListeElementDroitDecision(typeObjectifDecision2, dossierExamenDecision2);
      
      estEgal = compareCodeMotifEchecParDecision(listElementDroitDecision1, listElementDroitDecision2);
    }
    else
    {
      estEgal = ((decisionAvantSpec instanceof Attribution)) && ((decisionApresSpec instanceof Attribution));
    }
    if ((listeDifferences != null) && ((!estEgal) || (toujoursAlimenterListe))) {
      alimenterMotifsRejetComparaisonDecision(decisionAvant, decisionApres, listeDifferences);
    }
    return estEgal;
  }
  
  protected DossierExamen getDossierExamenParDecision(Decision decision)
  {
    Demande demandeDecision = (Demande)decision.getDemande();
    return (DossierExamen)demandeDecision.getDossierExamen();
  }
  
  protected int getTypeObjectifParDecision(Decision decision)
  {
    DossierExamen dossierExamenDecision = getDossierExamenParDecision(decision);
    Demande demande = (Demande)dossierExamenDecision.getDemande();
    return demande.getObjectifDecisionne().getType();
  }
  
  protected List<?> determinerListeElementDroitDecision(int typeObjectifDecision, DossierExamen dossierExamenDecision)
  {
    if (typeObjectifDecision == 2) {
      return dossierExamenDecision.getConditionAttributionReprise().getListeConditionsAttribution();
    }
    if (typeObjectifDecision == 1) {
      return dossierExamenDecision.getConditionAttributionAdmission().getListeConditionsAttribution();
    }
    return null;
  }
  
  protected boolean compareCodeMotifEchecParDecision(List<?> listElementDroitDecision1, List<?> listElementDroitDecision2)
  {
    Iterator<?> itConditionAttributionDecision1 = listElementDroitDecision1.iterator();
    Iterator<?> itConditionAttributionDecision2 = listElementDroitDecision2.iterator();
    boolean estEgal = true;
    do
    {
      ElementDroitSpec elementDroitDecision1 = (ElementDroitSpec)itConditionAttributionDecision1.next();
      ElementDroitSpec elementDroitDecision2 = (ElementDroitSpec)itConditionAttributionDecision2.next();
      if ((elementDroitDecision1 != null) && (elementDroitDecision2 != null) && (elementDroitDecision1.getCodeMotifEchec() != elementDroitDecision2.getCodeMotifEchec())) {
        estEgal = false;
      }
    } while ((itConditionAttributionDecision1.hasNext()) && (estEgal));
    return estEgal;
  }
  
  protected void alimenterMotifsRejetComparaisonDecision(Decision decisionAvant, Decision decisionApres, List<ElementComparaisonReexamen> liste)
  {
    String libelleElement = "Motifs de rejet";
    int typeObjectifDecisionAvant = getTypeObjectifParDecision(decisionAvant);
    int typeObjectifDecisionApres = getTypeObjectifParDecision(decisionApres);
    List<?> listElementDroitDecisionAvant = null;
    List<?> listElementDroitDecisionApres = null;
    String motifRejetAvant = null;
    String motifRejetApres = null;
    if (typeObjectifDecisionAvant == typeObjectifDecisionApres)
    {
      if ((decisionAvant instanceof Rejet))
      {
        listElementDroitDecisionAvant = recupererListeConditionsAttribution(decisionAvant, typeObjectifDecisionAvant);
        motifRejetAvant = recupererMotifRejet(listElementDroitDecisionAvant);
      }
      if ((decisionApres instanceof Rejet))
      {
        listElementDroitDecisionApres = recupererListeConditionsAttribution(decisionApres, typeObjectifDecisionApres);
        motifRejetApres = recupererMotifRejet(listElementDroitDecisionApres);
      }
      if ((motifRejetAvant != null) || (motifRejetApres != null)) {
        alimenterElementDifferent(motifRejetAvant, motifRejetApres, libelleElement, liste);
      }
    }
  }
  
  protected List<?> recupererListeConditionsAttribution(Decision decision, int typeObjectifDecision)
  {
    List<?> listElementDroitDecision = null;
    DossierExamen dossierExamenDecision = getDossierExamenParDecision(decision);
    if (typeObjectifDecision == 2)
    {
      if (dossierExamenDecision.getConditionAttributionReprise().getListeConditionsAttribution() != null) {
        listElementDroitDecision = dossierExamenDecision.getConditionAttributionReprise().getListeConditionsAttribution();
      }
    }
    else if ((typeObjectifDecision == 1) && (dossierExamenDecision.getConditionAttributionAdmission().getListeConditionsAttribution() != null)) {
      listElementDroitDecision = dossierExamenDecision.getConditionAttributionAdmission().getListeConditionsAttribution();
    }
    return listElementDroitDecision;
  }
  
  protected String recupererMotifRejet(List<?> listElementDroitDecision)
  {
    String motifRejet = null;
    if (listElementDroitDecision != null)
    {
      Iterator<?> itMotifRejet = listElementDroitDecision.iterator();
      while (itMotifRejet.hasNext())
      {
        ConditionAttributionSpec conditionAttribution = (ConditionAttributionSpec)itMotifRejet.next();
        if ((conditionAttribution != null) && (!conditionAttribution.estSatisfait()))
        {
          motifRejet = (String)CodesMotifsEchec.getLibelleEchecCap().get(new BigDecimal(conditionAttribution.getCodeMotifEchec()));
          
          break;
        }
      }
    }
    return motifRejet;
  }
  
  protected boolean pjiEgal(DecisionSpec decisionAvant, DecisionSpec decisionApres, List<ElementComparaisonReexamen> listeDifferences, boolean toujoursAlimenterListe)
  {
    Attribution attributionDecisionAvant = null;
    Attribution attributionDecisionApres = null;
    boolean estEgal = comparaisonPji(decisionAvant, decisionApres);
    if ((listeDifferences != null) && ((!estEgal) || (toujoursAlimenterListe)))
    {
      String libelleElement = "Pji";
      Damj pjiAvant = null;
      Damj pjiApres = null;
      if ((decisionAvant instanceof Attribution))
      {
        attributionDecisionAvant = (Attribution)decisionAvant;
        if (attributionDecisionAvant.getConstitutionPointDepartIndemnisation() != null) {
          pjiAvant = attributionDecisionAvant.getConstitutionPointDepartIndemnisation().getPointDepartIndemnisation();
        }
      }
      if ((decisionApres instanceof Attribution))
      {
        attributionDecisionApres = (Attribution)decisionApres;
        pjiApres = attributionDecisionApres.getConstitutionPointDepartIndemnisation().getPointDepartIndemnisation();
      }
      if ((pjiAvant != null) || (pjiApres != null)) {
        alimenterElementDifferent(pjiAvant, pjiApres, libelleElement, listeDifferences);
      }
    }
    return estEgal;
  }
  
  private boolean comparaisonPji(DecisionSpec decisionAvant, DecisionSpec decisionApres)
  {
    Attribution attributionDecisionAvant = null;
    Attribution attributionDecisionApres = null;
    boolean estEgal = false;
    if (((decisionAvant instanceof Attribution)) && ((decisionApres instanceof Attribution)))
    {
      attributionDecisionAvant = (Attribution)decisionAvant;
      attributionDecisionApres = (Attribution)decisionApres;
      if (attributionDecisionAvant.getConstitutionPointDepartIndemnisation() != null) {
        estEgal = attributionDecisionAvant.getConstitutionPointDepartIndemnisation().getPointDepartIndemnisation().equals(attributionDecisionApres.getConstitutionPointDepartIndemnisation().getPointDepartIndemnisation());
      }
    }
    else
    {
      estEgal = ((decisionAvant instanceof Rejet)) && ((decisionApres instanceof Rejet));
    }
    return estEgal;
  }
  
  protected boolean dateAttributionEgal(DecisionSpec decisionAvant, DecisionSpec decisionApres, List<ElementComparaisonReexamen> listeDifferences, boolean toujoursAlimenterListe)
  {
    boolean estEgal = comparaisonDateAttribution(decisionAvant, decisionApres);
    if ((listeDifferences != null) && ((!estEgal) || (toujoursAlimenterListe)))
    {
      String libelleElement = "Date Attribution";
      Damj dateAttributionAvant = null;
      Damj dateAttributionApres = null;
      if (decisionAvant != null) {
        dateAttributionAvant = decisionAvant.getDateAttribution();
      }
      if (decisionApres != null) {
        dateAttributionApres = decisionApres.getDateAttribution();
      }
      if ((dateAttributionAvant != null) || (dateAttributionApres != null)) {
        alimenterElementDifferent(dateAttributionAvant, dateAttributionApres, libelleElement, listeDifferences);
      }
    }
    return estEgal;
  }
  
  private boolean comparaisonDateAttribution(DecisionSpec decisionAvant, DecisionSpec decisionApres)
  {
    boolean estEgal = false;
    if (((decisionAvant instanceof Attribution)) && ((decisionApres instanceof Attribution))) {
      estEgal = decisionAvant.getDateAttribution().equals(decisionApres.getDateAttribution());
    } else {
      estEgal = ((decisionAvant instanceof Rejet)) && ((decisionApres instanceof Rejet));
    }
    return estEgal;
  }
  
  protected boolean montantBrutEgal(DecisionSpec decisionAvantSpec, DecisionSpec decisionApresSpec, List<ElementComparaisonReexamen> listeDifferences, boolean toujoursAlimenterListe)
  {
    boolean estEgal = false;
    
    Decision decisionAvant = (Decision)decisionAvantSpec;
    Decision decisionApres = (Decision)decisionApresSpec;
    
    Quantite montantBrutIndemnisationDecision1 = null;
    Quantite montantBrutIndemnisationDecision2 = null;
    if (((decisionAvant instanceof Attribution)) && ((decisionApres instanceof Attribution)))
    {
      if (decisionAvant.getConstitutionElementsActifs().getConstitutionMontantsBruts() != null) {
        montantBrutIndemnisationDecision1 = decisionAvant.getConstitutionElementsActifs().getConstitutionMontantsBruts().getMontantJournalierBrut();
      }
      if (decisionApres.getConstitutionElementsActifs().getConstitutionMontantsBruts() != null) {
        montantBrutIndemnisationDecision2 = decisionApres.getConstitutionElementsActifs().getConstitutionMontantsBruts().getMontantJournalierBrut();
      }
      if ((montantBrutIndemnisationDecision1 != null) && (montantBrutIndemnisationDecision2 != null)) {
        estEgal = montantBrutIndemnisationDecision1.equals(montantBrutIndemnisationDecision2);
      }
    }
    else
    {
      estEgal = ((decisionAvant instanceof Rejet)) && ((decisionApres instanceof Rejet));
    }
    alimenterDifferencesMontantBrut(listeDifferences, toujoursAlimenterListe, estEgal, montantBrutIndemnisationDecision1, montantBrutIndemnisationDecision2);
    
    return estEgal;
  }
  
  private void alimenterDifferencesMontantBrut(List<ElementComparaisonReexamen> listeDifferences, boolean toujoursAlimenterListe, boolean estEgal, Quantite montantBrutIndemnisationDecision1, Quantite montantBrutIndemnisationDecision2)
  {
    if ((listeDifferences != null) && ((!estEgal) || (toujoursAlimenterListe)))
    {
      String libelleElement = "Montant brut";
      BigDecimal montantBrutAvant = null;
      BigDecimal montantBrutApres = null;
      if (montantBrutIndemnisationDecision1 != null) {
        montantBrutAvant = montantBrutIndemnisationDecision1.getValeur();
      }
      if (montantBrutIndemnisationDecision2 != null) {
        montantBrutApres = montantBrutIndemnisationDecision2.getValeur();
      }
      if ((montantBrutAvant != null) || (montantBrutApres != null)) {
        alimenterElementDifferent(montantBrutAvant, montantBrutApres, libelleElement, listeDifferences);
      }
    }
  }
  
  protected boolean nhtEtenduEgal(DecisionSpec decisionAvantSpec, DecisionSpec decisionApresSpec, List<ElementComparaisonReexamen> listeDifferences, boolean toujoursAlimenterListe)
  {
    boolean estEgal = false;
    int nombreChiffreApresVirgule = 2;
    
    Decision decisionAvant = (Decision)decisionAvantSpec;
    Decision decisionApres = (Decision)decisionApresSpec;
    
    BigDecimal nhtEtenduAvant = null;
    BigDecimal nhtEtenduApres = null;
    if (decisionAvant.getConstitutionNbHeuresTravaillees() != null) {
      nhtEtenduAvant = decisionAvant.getConstitutionNbHeuresTravaillees().getNombreHeuresTravailleesEtendu();
    }
    if (decisionApres.getConstitutionNbHeuresTravaillees() != null) {
      nhtEtenduApres = decisionApres.getConstitutionNbHeuresTravaillees().getNombreHeuresTravailleesEtendu();
    }
    if ((nhtEtenduAvant != null) && (nhtEtenduApres != null))
    {
      nhtEtenduAvant = Mathematiques.arrondiASup(nhtEtenduAvant, nombreChiffreApresVirgule);
      nhtEtenduApres = Mathematiques.arrondiASup(nhtEtenduApres, nombreChiffreApresVirgule);
      estEgal = estEgale(nhtEtenduAvant, nhtEtenduApres);
    }
    alimenterDifferenceNhtEtendu(listeDifferences, toujoursAlimenterListe, estEgal, nhtEtenduAvant, nhtEtenduApres);
    if ((decisionAvant.getConstitutionNbHeuresTravaillees() == null) && (decisionApres.getConstitutionNbHeuresTravaillees() == null)) {
      estEgal = true;
    }
    return estEgal;
  }
  
  private void alimenterDifferenceNhtEtendu(List<ElementComparaisonReexamen> listeDifferences, boolean toujoursAlimenterListe, boolean estEgal, BigDecimal nhtEtenduAvant, BigDecimal nhtEtenduApres)
  {
    if ((listeDifferences != null) && ((!estEgal) || (toujoursAlimenterListe)))
    {
      String libelleElement = "NHTE";
      if ((nhtEtenduAvant != null) || (nhtEtenduApres != null)) {
        alimenterElementDifferent(nhtEtenduAvant, nhtEtenduApres, libelleElement, listeDifferences);
      }
    }
  }
  
  protected boolean nhtPlafonneEgal(DecisionSpec decisionAvantSpec, DecisionSpec decisionApresSpec, List<ElementComparaisonReexamen> listeDifferences, boolean toujoursAlimenterListe)
  {
    boolean estEgal = false;
    int nombreChiffreApresVirgule = 2;
    
    Decision decisionAvant = (Decision)decisionAvantSpec;
    Decision decisionApres = (Decision)decisionApresSpec;
    
    BigDecimal nhtPlafonneAvant = null;
    BigDecimal nhtPlafonneApres = null;
    if (decisionAvant.getConstitutionNbHeuresTravaillees() != null) {
      nhtPlafonneAvant = recupererNhtPourSjm(decisionAvant.getConstitutionNbHeuresTravaillees());
    }
    if (decisionApres.getConstitutionNbHeuresTravaillees() != null) {
      nhtPlafonneApres = recupererNhtPourSjm(decisionApres.getConstitutionNbHeuresTravaillees());
    }
    if ((nhtPlafonneAvant != null) && (nhtPlafonneApres != null))
    {
      nhtPlafonneAvant = Mathematiques.arrondiASup(nhtPlafonneAvant, nombreChiffreApresVirgule);
      nhtPlafonneApres = Mathematiques.arrondiASup(nhtPlafonneApres, nombreChiffreApresVirgule);
      estEgal = estEgale(nhtPlafonneAvant, nhtPlafonneApres);
    }
    alimenterDifferenceNhtPourSjm(listeDifferences, toujoursAlimenterListe, estEgal, nhtPlafonneAvant, nhtPlafonneApres);
    if ((decisionAvant.getConstitutionNbHeuresTravaillees() == null) && (decisionApres.getConstitutionNbHeuresTravaillees() == null)) {
      estEgal = true;
    }
    return estEgal;
  }
  
  protected BigDecimal recupererNhtPourSjm(ConstitutionNbHeuresTravaillees constitutionNbHeuresTravaillees)
  {
    return constitutionNbHeuresTravaillees.getNombreHeuresTravailleesPlafonne();
  }
  
  private void alimenterDifferenceNhtPourSjm(List<ElementComparaisonReexamen> listeDifferences, boolean toujoursAlimenterListe, boolean estEgal, BigDecimal nhtPlafonneAvant, BigDecimal nhtPlafonneApres)
  {
    if ((listeDifferences != null) && ((!estEgal) || (toujoursAlimenterListe)))
    {
      String libelleElement = getLibelleNhtSjm();
      if ((nhtPlafonneAvant != null) || (nhtPlafonneApres != null)) {
        alimenterElementDifferent(nhtPlafonneAvant, nhtPlafonneApres, libelleElement, listeDifferences);
      }
    }
  }
  
  protected String getLibelleNhtSjm()
  {
    return "NHTP";
  }
  
  protected boolean salaireReferenceEgal(DecisionSpec decisionAvantSpec, DecisionSpec decisionApresSpec, List<ElementComparaisonReexamen> listeDifferences, boolean toujoursAlimenterListe)
  {
    boolean estEgal = false;
    
    Decision decisionAvant = (Decision)decisionAvantSpec;
    Decision decisionApres = (Decision)decisionApresSpec;
    
    QuantiteEuro quantiteAvant = null;
    QuantiteEuro quantiteApres = null;
    if (decisionAvant.getConstitutionSalaireReference() != null) {
      quantiteAvant = decisionAvant.getConstitutionSalaireReference().getSalaireReferenceInitialPlafonne();
    }
    if (decisionApres.getConstitutionSalaireReference() != null) {
      quantiteApres = decisionApres.getConstitutionSalaireReference().getSalaireReferenceInitialPlafonne();
    }
    if ((quantiteAvant != null) && (quantiteApres != null)) {
      estEgal = quantiteAvant.equals(quantiteApres);
    }
    alimenterDifferenceSalaireReference(listeDifferences, toujoursAlimenterListe, estEgal, quantiteAvant, quantiteApres);
    if ((decisionAvant.getConstitutionSalaireReference() == null) && (decisionApres.getConstitutionSalaireReference() == null)) {
      estEgal = true;
    }
    return estEgal;
  }
  
  private void alimenterDifferenceSalaireReference(List<ElementComparaisonReexamen> listeDifferences, boolean toujoursAlimenterListe, boolean estEgal, QuantiteEuro quantiteAvant, QuantiteEuro quantiteApres)
  {
    if ((listeDifferences != null) && ((!estEgal) || (toujoursAlimenterListe)))
    {
      String libelleElement = "Salaire de référence initial plafonné";
      if ((quantiteAvant != null) || (quantiteApres != null)) {
        alimenterElementDifferent(quantiteAvant, quantiteApres, libelleElement, listeDifferences);
      }
    }
  }
  
  protected boolean dateLimiteEgale(DecisionSpec decisionAvantSpec, DecisionSpec decisionApresSpec, List<ElementComparaisonReexamen> listeDifferences, boolean toujoursAlimenterListe)
  {
    boolean estEgale = false;
    
    Decision decisionAvant = (Decision)decisionAvantSpec;
    Decision decisionApres = (Decision)decisionApresSpec;
    Damj dateLimiteAvant = null;
    Damj dateLimiteApres = null;
    boolean estConstitutionAvantPresente = (decisionAvant.getConstitutionElementsActifs() != null) && (decisionAvant.getConstitutionElementsActifs().getConstitutionDateLimiteIndemnisation() != null);
    
    boolean estConstitutionApresPresente = (decisionApres.getConstitutionElementsActifs() != null) && (decisionApres.getConstitutionElementsActifs().getConstitutionDateLimiteIndemnisation() != null);
    if (estConstitutionAvantPresente) {
      dateLimiteAvant = decisionAvant.getConstitutionElementsActifs().getConstitutionDateLimiteIndemnisation().getDateLimiteIndemnisation();
    }
    if (estConstitutionApresPresente) {
      dateLimiteApres = decisionApres.getConstitutionElementsActifs().getConstitutionDateLimiteIndemnisation().getDateLimiteIndemnisation();
    }
    estEgale = comparerDateLimite(dateLimiteAvant, dateLimiteApres);
    if ((!estConstitutionAvantPresente) && (!estConstitutionApresPresente)) {
      estEgale = true;
    }
    alimenterDifferenceDateLimite(listeDifferences, toujoursAlimenterListe, estEgale, dateLimiteAvant, dateLimiteApres);
    
    return estEgale;
  }
  
  private void alimenterDifferenceDateLimite(List<ElementComparaisonReexamen> listeDifferences, boolean toujoursAlimenterListe, boolean estEgal, Damj dateLimiteAvant, Damj dateLimiteApres)
  {
    if ((listeDifferences != null) && ((!estEgal) || (toujoursAlimenterListe)))
    {
      String libelleElement = "Date limite indemnisation";
      if ((dateLimiteAvant != null) || (dateLimiteApres != null)) {
        alimenterElementDifferent(dateLimiteAvant, dateLimiteApres, libelleElement, listeDifferences);
      }
    }
  }
  
  private boolean comparerDateLimite(Damj dateLimiteAvant, Damj dateLimiteApres)
  {
    boolean estEgale = false;
    if ((dateLimiteAvant != null) && (dateLimiteApres != null)) {
      estEgale = dateLimiteAvant.coincideAvec(dateLimiteApres);
    } else if ((dateLimiteAvant == null) && (dateLimiteApres == null)) {
      estEgale = true;
    }
    return estEgale;
  }
  
  protected boolean estEgale(BigDecimal valeurAvant, BigDecimal valeurApres)
  {
    return valeurAvant.compareTo(valeurApres) == 0;
  }
}

/* Location:
 * Qualified Name:     ComparateurDecision
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */