package fr.unedic.cali.asu.spe02.p05.liquidation.outilsaffiliation;

import fr.unedic.cali.asu.spe02.p03.liquidation.outilsaffiliation.spec.ComportementAffiliationSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreIncident;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreMaladieGrave;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreNatureEvementPersonnel;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreNegation;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreOu;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeIndemnisationIjss;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.FiltreChevauchePeriode;
import fr.unedic.util.temps.FiltresTemporel;

public class ConstructionChronologie
  extends fr.unedic.cali.asu.spe02.p03.liquidation.outilsaffiliation.ConstructionChronologie
{
  public Chronologie determinerActivitesAllongementPeriodeReference(IndividuSpec individu, ComportementAffiliationSpec comportement)
  {
    FiltreOu fitreChronoAllongementPeriodeReference = new FiltreOu();
    FiltresTemporel filtreMaladie = new FiltresTemporel();
    FiltreNatureEvementPersonnel filtreNatureEvenementPersonnel = new FiltreNatureEvementPersonnel();
    filtreNatureEvenementPersonnel.ajouterNatureEvenementPersonnel(22);
    filtreNatureEvenementPersonnel.ajouterNatureEvenementPersonnel(21);
    if (!comportement.estUnPrimo()) {
      filtreMaladie.ajouterFiltre(new FiltreNegation(new FiltreMaladieGrave()));
    }
    filtreMaladie.ajouterFiltre(filtreNatureEvenementPersonnel);
    filtreMaladie.ajouterFiltre(new FiltrePeriodeIndemnisationIjss());
    filtreMaladie.ajouterFiltre(new FiltreChevauchePeriode(comportement.getPeriodeRecherche()));
    
    FiltresTemporel filtrePaternite = new FiltresTemporel();
    FiltreNatureEvementPersonnel filtreNaturePaternite = new FiltreNatureEvementPersonnel();
    filtreNaturePaternite.ajouterNatureEvenementPersonnel(28);
    filtrePaternite.ajouterFiltre(filtreNaturePaternite);
    filtrePaternite.ajouterFiltre(new FiltreChevauchePeriode(comportement.getPeriodeRecherche()));
    
    fitreChronoAllongementPeriodeReference.ajouterFiltre(filtreMaladie);
    fitreChronoAllongementPeriodeReference.ajouterFiltre(filtrePaternite);
    
    return recupererChronologiePourCalculAffiliation(individu).copier(fitreChronoAllongementPeriodeReference);
  }
  
  public Chronologie determinerChronologiePourAssimilationMaterniteAdoptionAccidentTravail(ComportementAffiliationSpec comportement)
  {
    FiltreOu filtreEvenementPersonnel = new FiltreOu();
    filtreEvenementPersonnel.ajouterFiltre(filtreAssimilationMaternite());
    if (!comportement.estUnPrimo()) {
      filtreEvenementPersonnel.ajouterFiltre(filtreAssimilationALD());
    }
    FiltresTemporel fitreChronoAssimilationMaterniteAdoptionAccidentTravail = new FiltresTemporel();
    fitreChronoAssimilationMaterniteAdoptionAccidentTravail.ajouterFiltre(new FiltreChevauchePeriode(comportement.getPeriodeRecherche()));
    fitreChronoAssimilationMaterniteAdoptionAccidentTravail.ajouterFiltre(new FiltreIncident());
    fitreChronoAssimilationMaterniteAdoptionAccidentTravail.ajouterFiltre(filtreEvenementPersonnel);
    
    return comportement.getChronologieActivitesParticipantes().copier(fitreChronoAssimilationMaterniteAdoptionAccidentTravail);
  }
  
  private FiltreNatureEvementPersonnel filtreAssimilationMaternite()
  {
    FiltreNatureEvementPersonnel filtreNatureEvenementPersonnel = new FiltreNatureEvementPersonnel();
    filtreNatureEvenementPersonnel.ajouterNatureEvenementPersonnel(25);
    filtreNatureEvenementPersonnel.ajouterNatureEvenementPersonnel(26);
    filtreNatureEvenementPersonnel.ajouterNatureEvenementPersonnel(23);
    return filtreNatureEvenementPersonnel;
  }
  
  private FiltresTemporel filtreAssimilationALD()
  {
    FiltresTemporel filtreMaladiNonPrimo = new FiltresTemporel();
    filtreMaladiNonPrimo.ajouterFiltre(new FiltreMaladieGrave());
    FiltreNatureEvementPersonnel filtreNatureEvenementPersonnelNonPrimo = new FiltreNatureEvementPersonnel();
    filtreNatureEvenementPersonnelNonPrimo.ajouterNatureEvenementPersonnel(22);
    filtreNatureEvenementPersonnelNonPrimo.ajouterNatureEvenementPersonnel(21);
    filtreMaladiNonPrimo.ajouterFiltre(filtreNatureEvenementPersonnelNonPrimo);
    return filtreMaladiNonPrimo;
  }
}

/* Location:
 * Qualified Name:     ConstructionChronologie
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */