package fr.unedic.cali.asu.ssp07.p03.calcul;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.calcul.dom.temps.ObjetChronoPeriodeFinDureeMaintienDroit;
import fr.unedic.cali.asu.calcul.outilsfonctionnels.OutilsMaintienEuropeenEessiASU;
import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.dom.ElementBaseIndemnisationAREF;
import fr.unedic.cali.asu.outilsfonctionnels.RechercheDecisionsInterruptives;
import fr.unedic.cali.asu.spe02.p03.calcul.dom.DureeIndemnisation;
import fr.unedic.cali.asu.ssp07.p03.calcul.dom.FormuleMontantAPSF;
import fr.unedic.cali.asu.ssp07.p03.calcul.dom.FormuleMontantRegimeGeneral;
import fr.unedic.cali.asu.ssp07.p03.calcul.outilsfonctionnels.Qualification;
import fr.unedic.cali.calcul.OutillageQuantites;
import fr.unedic.cali.calcul.dom.ArretProduitAvecRaison;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculPeriodique;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculSpec;
import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.calcul.dom.EvenementMaintienEuropeenDJI;
import fr.unedic.cali.calcul.dom.QualificationPeriodes;
import fr.unedic.cali.calcul.dom.UniteTraitement;
import fr.unedic.cali.calcul.dom.periode.FinActionFormation;
import fr.unedic.cali.calcul.dom.periode.PeriodeExclusionDefinitiveDDTE;
import fr.unedic.cali.calcul.dom.periode.PeriodeFormation;
import fr.unedic.cali.calcul.dom.periode.PeriodeInterStageFormation;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeInterProduits;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.ContexteUT;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.PeriodeAnalyseSpec;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.FormuleMontantSpec;
import fr.unedic.cali.dom.MontantBaseSpec;
import fr.unedic.cali.dom.affectation.GammeSpec;
import fr.unedic.cali.dom.affectation.ProduitSolSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.parcours.ResultatCalcul;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoPeriode;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;

public class FacadeCalculProduitImpl
  extends fr.unedic.cali.asu.spe02.p03.calcul.FacadeCalculProduitImpl
{
  public QualificationPeriodes qualificationPeriodes(ChronologiePeriodes chronologiePeriodes, AttributionSpec attribution, ContexteUT contexteUT)
    throws CoucheLogiqueException
  {
    return new Qualification().qualificationPeriodes(chronologiePeriodes, attribution);
  }
  
  public ChronologiePeriodes recupererPeriodesLieesAuContexte(ContexteUT contexteUT, AttributionSpec attributionSpec)
    throws CoucheLogiqueException
  {
    ChronologiePeriodes chronologiePeriodes = new ChronologiePeriodes();
    
    Collection collectionPeriode = contexteUT.getPeriodesInterProduitsSurUTDateDepartAttributionPourGamme(attributionSpec, "ASU");
    List liste = contexteUT.getListeAttributions();
    if (liste != null)
    {
      Iterator iterator = liste.iterator();
      while (iterator.hasNext())
      {
        AttributionSpec attribution = (AttributionSpec)iterator.next();
        if (attribution.getGamme().getNomUnique().equals("SOL")) {
          if ((estUnProduitAER(attribution)) && (attribution.getCalendrierExecutionCalcul() != null) && ((attribution.getCalendrierExecutionCalcul().getEtatAttribution() == 1) || (attribution.getCalendrierExecutionCalcul().getEtatAttribution() == 2)))
          {
            Damj djiTheoriqueAER = ((ProduitSolSpec)attribution.getProduit()).getDjiTheoriqueAER(attribution);
            chronologiePeriodes.ajouter(new ObjetChronoPeriodeInterProduits(djiTheoriqueAER.lendemain(), djiTheoriqueAER.lendemain(), 5, attribution));
          }
        }
        if ((attribution.getGamme().getNomUnique().equals("ASU")) && (estUnProduitSpectacle(attribution)))
        {
          Damj pjiAreSpe = attribution.getPji();
          chronologiePeriodes.ajouter(new ObjetChronoPeriodeInterProduits(pjiAreSpe, pjiAreSpe, 2, attribution));
        }
      }
    }
    collectionPeriode.addAll(contexteUT.getPeriodesInterProduitsSurUTDateDepartPjiPourProduit(attributionSpec, "SOL_AER05_01"));
    collectionPeriode.addAll(contexteUT.getPeriodesInterProduitsSurUTDateDepartPjiPourProduit(attributionSpec, "SOL_AER05_02"));
    collectionPeriode.addAll(contexteUT.getPeriodesInterProduitsSurUTDateDepartPjiPourProduit(attributionSpec, "SOL_AER05_03"));
    
    collectionPeriode.addAll(contexteUT.getPeriodesInterProduitsSurUTDateDepartAttributionPourProduit(attributionSpec, "INR_RCE04_01"));
    
    chronologiePeriodes.ajouter(collectionPeriode);
    
    chronologiePeriodes.ajouter(RechercheDecisionsInterruptives.rechercher(attributionSpec.getDemandeur(), attributionSpec.getPji(), attributionSpec));
    
    chronologiePeriodes.ajouter(contexteUT.getPeriodesInterProduitsPeriodesLieuSurUTPourGammeRBF(attributionSpec));
    
    chronologiePeriodes.ajouter(contexteUT.getPeriodesInterProduitsSurUTIndemnisationRfpe(attributionSpec));
    
    chronologiePeriodes.ajouter(OutilsMaintienEuropeenEessiASU.getListesPeriodesMaintienEuropeen(attributionSpec));
    
    chronologiePeriodes.ajouter(contexteUT.getPeriodesInterProduitsSurUTDateDepartPjiPourProduit(attributionSpec, "RET_ACO01_01"));
    
    return chronologiePeriodes;
  }
  
  private boolean estUnProduitAER(AttributionSpec attribution)
  {
    return (attribution.getProduit().getNomUnique().equals("SOL_AER05_01")) || (attribution.getProduit().getNomUnique().equals("SOL_AER05_02")) || (attribution.getProduit().getNomUnique().equals("SOL_AER05_03"));
  }
  
  private boolean estUnProduitSpectacle(AttributionSpec attribution)
  {
    return (attribution.getProduit().getNomUnique().equals("ASU_SPE02_03")) || (attribution.getProduit().getNomUnique().equals("ASU_SPE02_04")) || (attribution.getProduit().getNomUnique().equals("ASU_SPE02_05")) || (attribution.getProduit().getNomUnique().equals("ASU_SPE02_06"));
  }
  
  public FormuleMontantSpec getFormuleMontant(String code)
  {
    FormuleMontantSpec fm = null;
    if (FormuleMontantAPSF.getCode().equals(code)) {
      fm = new FormuleMontantAPSF();
    } else if (FormuleMontantRegimeGeneral.getCode().equals(code)) {
      fm = new FormuleMontantRegimeGeneral();
    }
    return fm;
  }
  
  public void traitementPeriodeSegmentante(AttributionSpec attribution, ObjetChronoPeriode periode, ConstituantsIndemnisation constituantsIndemnisation, UniteTraitement ut, PeriodeAnalyseSpec pa, ArretProduitAvecRaison arretProduitAvecRaison, ChronologiePeriodes periodesAnalyses)
    throws ApplicativeException
  {
    if ((OutilsMaintienEuropeenEessiASU.controlerContexteMaintienEuropeen(attribution.getDemandeur(), periode.getDateDebut())) && 
      ((periode instanceof PeriodeFormation))) {
      if (((PeriodeFormation)periode).estEffective()) {
        passerEnIndemnisationAvecFormation(periode, constituantsIndemnisation);
      } else {
        passerEnIndemnisationSansFormation(constituantsIndemnisation);
      }
    }
    if (((periode instanceof PeriodeInterStageFormation)) || ((periode instanceof FinActionFormation))) {
      passerEnIndemnisationSansFormation(constituantsIndemnisation);
    }
    traitementPeriodeSegmentanteHorsFormation(attribution, periode, constituantsIndemnisation, ut, pa, arretProduitAvecRaison, periodesAnalyses);
  }
  
  private void passerEnIndemnisationAvecFormation(ObjetChronoPeriode periode, ConstituantsIndemnisation constituantsIndemnisation)
  {
    DureeIndemnisation duree = (DureeIndemnisation)OutillageQuantites.recupererPremiereQuantiteIndemnisationActive(constituantsIndemnisation.getCollectionQuantiteDroit());
    if (duree != null) {
      duree.setCodeFormuleMontant(FormuleMontantAPSF.getCode());
    } else {
      constituantsIndemnisation.setCodeFormuleMontant(FormuleMontantAPSF.getCode());
    }
    ElementBaseIndemnisationAREF elementBaseIndemnisationAREF = new ElementBaseIndemnisationAREF();
    ((ElementBaseIndemnisation)constituantsIndemnisation.getElementBaseIndemnisationCourant()).copieElements(elementBaseIndemnisationAREF);
    if ((periode instanceof PeriodeFormation)) {
      elementBaseIndemnisationAREF.setEffectif(((PeriodeFormation)periode).estEffective());
    }
    constituantsIndemnisation.setElementBaseIndemnisationCourant(elementBaseIndemnisationAREF);
  }
  
  public MontantBaseSpec calculMontant(FormuleMontantSpec formuleMontant, ConstituantsIndemnisation constituantsIndemnisation, Damj dateCalcul)
    throws CoucheLogiqueException
  {
    return formuleMontant.calculer(constituantsIndemnisation, dateCalcul);
  }
  
  public void traiterPeriodeInterruptiveDefinitive(AttributionSpec attribution, UniteTraitement ut, ObjetChronoPeriode objetChronoPeriode, ArretProduitAvecRaison arretProduitAvecRaison, CalendrierExecutionCalculPeriodique calendrier)
    throws CoucheLogiqueException
  {
    if ((objetChronoPeriode instanceof PeriodeExclusionDefinitiveDDTE)) {
      arretProduitAvecRaison.setProduitAEteindre(true);
    } else if ((objetChronoPeriode instanceof ObjetChronoPeriodeFinDureeMaintienDroit)) {
      ut.ajouterEvenement(new EvenementMaintienEuropeenDJI(objetChronoPeriode.getDateDebut().veille()));
    }
  }
  
  public ResultatCalcul postTraitementResultatDetailleNotification(AttributionSpec attribution, CalendrierExecutionCalculSpec calendrierExecutionCalcul)
    throws CoucheLogiqueException
  {
    return null;
  }
  
  public ResultatCalcul postTraitementResultatMigrationCalcul(AttributionSpec attribution, CalendrierExecutionCalculSpec calendrierExecutionCalcul)
    throws CoucheLogiqueException
  {
    return null;
  }
  
  public void realiserDetectionFinDeProduitPourSuivi(AttributionSpec attribution, UniteTraitement ut, ContexteUT contexteUT)
    throws CoucheLogiqueException
  {}
  
  public boolean verifierEligibilitePaiementParAvance(UniteTraitement ut)
  {
    ut.setRaisonStatut(1);
    return false;
  }
}

/* Location:
 * Qualified Name:     FacadeCalculProduitImpl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */