package fr.unedic.logique.donnees.dr1.service.vls;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.archi.logique.adaptateur.ObjetSerialisableFournisseur;
import fr.unedic.util.temps.Damj;
import java.io.Serializable;
import java.math.BigDecimal;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

public class _YI54Impl
  extends YI54
  implements ObjetSerialisableFournisseur, Serializable
{
  private static final long serialVersionUID = 1L;
  private final _YI54 m_YI54Infra;
  
  public _YI54Impl()
  {
    m_YI54Infra = new _YI54();
  }
  
  public _YI54Impl(_YI54 pValeur)
  {
    ExceptionUtil.assertMethodParamNotNull("YI54Infra", pValeur);
    
    m_YI54Infra = pValeur;
  }
  
  public Object getObjet()
  {
    return m_YI54Infra;
  }
  
  public String getIdentifiant()
  {
    return m_YI54Infra.get_IDENT();
  }
  
  public void setIdentifiant(String pIdentifiant)
  {
    m_YI54Infra.set_IDENT(pIdentifiant);
  }
  
  public String getCodeEtat()
  {
    return m_YI54Infra.get_C_ETAT();
  }
  
  public void setCodeEtat(String pCode)
  {
    m_YI54Infra.set_C_ETAT(pCode);
  }
  
  public BigDecimal getRSOD()
  {
    return m_YI54Infra.getRSOD_IDENTIFIANT_DE_L_OUVERTURE_DE_DROIT();
  }
  
  public String getCodeErreurRSOD()
  {
    return m_YI54Infra.getRSOD_IDENTIFIANT_DE_L_OUVERTURE_DE_DROIT_C_ERR();
  }
  
  public void setRSOD(BigDecimal pValeur)
  {
    m_YI54Infra.setRSOD_IDENTIFIANT_DE_L_OUVERTURE_DE_DROIT(pValeur);
  }
  
  public void setCodeErreurRSOD(String pCodeErreur)
  {
    m_YI54Infra.setRSOD_IDENTIFIANT_DE_L_OUVERTURE_DE_DROIT_C_ERR(pCodeErreur);
  }
  
  public BigDecimal getRSOD_IDENTIFIANT_DE_L_OUVERTURE_DE_DROIT()
  {
    return m_YI54Infra.getRSOD_IDENTIFIANT_DE_L_OUVERTURE_DE_DROIT();
  }
  
  public String getCodeErreurRSOD_IDENTIFIANT_DE_L_OUVERTURE_DE_DROIT()
  {
    return m_YI54Infra.getRSOD_IDENTIFIANT_DE_L_OUVERTURE_DE_DROIT_C_ERR();
  }
  
  public void setRSOD_IDENTIFIANT_DE_L_OUVERTURE_DE_DROIT(BigDecimal pValeur)
  {
    m_YI54Infra.setRSOD_IDENTIFIANT_DE_L_OUVERTURE_DE_DROIT(pValeur);
  }
  
  public void setCodeErreurRSOD_IDENTIFIANT_DE_L_OUVERTURE_DE_DROIT(String pCodeErreur)
  {
    m_YI54Infra.setRSOD_IDENTIFIANT_DE_L_OUVERTURE_DE_DROIT_C_ERR(pCodeErreur);
  }
  
  public String getCSND7()
  {
    return m_YI54Infra.getCSND7_NATURE_DE_DECISION_DE_SUIVI();
  }
  
  public String getCodeErreurCSND7()
  {
    return m_YI54Infra.getCSND7_NATURE_DE_DECISION_DE_SUIVI_C_ERR();
  }
  
  public void setCSND7(String pValeur)
  {
    m_YI54Infra.setCSND7_NATURE_DE_DECISION_DE_SUIVI(pValeur);
  }
  
  public void setCodeErreurCSND7(String pCodeErreur)
  {
    m_YI54Infra.setCSND7_NATURE_DE_DECISION_DE_SUIVI_C_ERR(pCodeErreur);
  }
  
  public String getCSND7_NATURE_DE_DECISION_DE_SUIVI()
  {
    return m_YI54Infra.getCSND7_NATURE_DE_DECISION_DE_SUIVI();
  }
  
  public String getCodeErreurCSND7_NATURE_DE_DECISION_DE_SUIVI()
  {
    return m_YI54Infra.getCSND7_NATURE_DE_DECISION_DE_SUIVI_C_ERR();
  }
  
  public void setCSND7_NATURE_DE_DECISION_DE_SUIVI(String pValeur)
  {
    m_YI54Infra.setCSND7_NATURE_DE_DECISION_DE_SUIVI(pValeur);
  }
  
  public void setCodeErreurCSND7_NATURE_DE_DECISION_DE_SUIVI(String pCodeErreur)
  {
    m_YI54Infra.setCSND7_NATURE_DE_DECISION_DE_SUIVI_C_ERR(pCodeErreur);
  }
  
  public String getCSISU1()
  {
    return m_YI54Infra.getCSISU1_NATURE_DE_LA_SUSPENSION();
  }
  
  public String getCodeErreurCSISU1()
  {
    return m_YI54Infra.getCSISU1_NATURE_DE_LA_SUSPENSION_C_ERR();
  }
  
  public void setCSISU1(String pValeur)
  {
    m_YI54Infra.setCSISU1_NATURE_DE_LA_SUSPENSION(pValeur);
  }
  
  public void setCodeErreurCSISU1(String pCodeErreur)
  {
    m_YI54Infra.setCSISU1_NATURE_DE_LA_SUSPENSION_C_ERR(pCodeErreur);
  }
  
  public String getCSISU1_NATURE_DE_LA_SUSPENSION()
  {
    return m_YI54Infra.getCSISU1_NATURE_DE_LA_SUSPENSION();
  }
  
  public String getCodeErreurCSISU1_NATURE_DE_LA_SUSPENSION()
  {
    return m_YI54Infra.getCSISU1_NATURE_DE_LA_SUSPENSION_C_ERR();
  }
  
  public void setCSISU1_NATURE_DE_LA_SUSPENSION(String pValeur)
  {
    m_YI54Infra.setCSISU1_NATURE_DE_LA_SUSPENSION(pValeur);
  }
  
  public void setCodeErreurCSISU1_NATURE_DE_LA_SUSPENSION(String pCodeErreur)
  {
    m_YI54Infra.setCSISU1_NATURE_DE_LA_SUSPENSION_C_ERR(pCodeErreur);
  }
  
  public BigDecimal getNSOPR1()
  {
    return m_YI54Infra.getNSOPR1_RANG_DE_LA_PROLONGATION();
  }
  
  public String getCodeErreurNSOPR1()
  {
    return m_YI54Infra.getNSOPR1_RANG_DE_LA_PROLONGATION_C_ERR();
  }
  
  public void setNSOPR1(BigDecimal pValeur)
  {
    m_YI54Infra.setNSOPR1_RANG_DE_LA_PROLONGATION(pValeur);
  }
  
  public void setCodeErreurNSOPR1(String pCodeErreur)
  {
    m_YI54Infra.setNSOPR1_RANG_DE_LA_PROLONGATION_C_ERR(pCodeErreur);
  }
  
  public BigDecimal getNSOPR1_RANG_DE_LA_PROLONGATION()
  {
    return m_YI54Infra.getNSOPR1_RANG_DE_LA_PROLONGATION();
  }
  
  public String getCodeErreurNSOPR1_RANG_DE_LA_PROLONGATION()
  {
    return m_YI54Infra.getNSOPR1_RANG_DE_LA_PROLONGATION_C_ERR();
  }
  
  public void setNSOPR1_RANG_DE_LA_PROLONGATION(BigDecimal pValeur)
  {
    m_YI54Infra.setNSOPR1_RANG_DE_LA_PROLONGATION(pValeur);
  }
  
  public void setCodeErreurNSOPR1_RANG_DE_LA_PROLONGATION(String pCodeErreur)
  {
    m_YI54Infra.setNSOPR1_RANG_DE_LA_PROLONGATION_C_ERR(pCodeErreur);
  }
  
  public BigDecimal getPJJPR1()
  {
    return m_YI54Infra.getPJJPR1_NOMBRE_DE_JOURS_DE_LA_DECISION();
  }
  
  public String getCodeErreurPJJPR1()
  {
    return m_YI54Infra.getPJJPR1_NOMBRE_DE_JOURS_DE_LA_DECISION_C_ERR();
  }
  
  public void setPJJPR1(BigDecimal pValeur)
  {
    m_YI54Infra.setPJJPR1_NOMBRE_DE_JOURS_DE_LA_DECISION(pValeur);
  }
  
  public void setCodeErreurPJJPR1(String pCodeErreur)
  {
    m_YI54Infra.setPJJPR1_NOMBRE_DE_JOURS_DE_LA_DECISION_C_ERR(pCodeErreur);
  }
  
  public BigDecimal getPJJPR1_NOMBRE_DE_JOURS_DE_LA_DECISION()
  {
    return m_YI54Infra.getPJJPR1_NOMBRE_DE_JOURS_DE_LA_DECISION();
  }
  
  public String getCodeErreurPJJPR1_NOMBRE_DE_JOURS_DE_LA_DECISION()
  {
    return m_YI54Infra.getPJJPR1_NOMBRE_DE_JOURS_DE_LA_DECISION_C_ERR();
  }
  
  public void setPJJPR1_NOMBRE_DE_JOURS_DE_LA_DECISION(BigDecimal pValeur)
  {
    m_YI54Infra.setPJJPR1_NOMBRE_DE_JOURS_DE_LA_DECISION(pValeur);
  }
  
  public void setCodeErreurPJJPR1_NOMBRE_DE_JOURS_DE_LA_DECISION(String pCodeErreur)
  {
    m_YI54Infra.setPJJPR1_NOMBRE_DE_JOURS_DE_LA_DECISION_C_ERR(pCodeErreur);
  }
  
  public Damj getDEDO2()
  {
    return m_YI54Infra.getDEDO2_DATE_D_EFFET_DE_LA_DECISION_DE_SUIVI();
  }
  
  public String getCodeErreurDEDO2()
  {
    return m_YI54Infra.getDEDO2_DATE_D_EFFET_DE_LA_DECISION_DE_SUIVI_C_ERR();
  }
  
  public void setDEDO2(Damj pValeur)
  {
    m_YI54Infra.setDEDO2_DATE_D_EFFET_DE_LA_DECISION_DE_SUIVI(pValeur);
  }
  
  public void setCodeErreurDEDO2(String pCodeErreur)
  {
    m_YI54Infra.setDEDO2_DATE_D_EFFET_DE_LA_DECISION_DE_SUIVI_C_ERR(pCodeErreur);
  }
  
  public Damj getDEDO2_DATE_D_EFFET_DE_LA_DECISION_DE_SUIVI()
  {
    return m_YI54Infra.getDEDO2_DATE_D_EFFET_DE_LA_DECISION_DE_SUIVI();
  }
  
  public String getCodeErreurDEDO2_DATE_D_EFFET_DE_LA_DECISION_DE_SUIVI()
  {
    return m_YI54Infra.getDEDO2_DATE_D_EFFET_DE_LA_DECISION_DE_SUIVI_C_ERR();
  }
  
  public void setDEDO2_DATE_D_EFFET_DE_LA_DECISION_DE_SUIVI(Damj pValeur)
  {
    m_YI54Infra.setDEDO2_DATE_D_EFFET_DE_LA_DECISION_DE_SUIVI(pValeur);
  }
  
  public void setCodeErreurDEDO2_DATE_D_EFFET_DE_LA_DECISION_DE_SUIVI(String pCodeErreur)
  {
    m_YI54Infra.setDEDO2_DATE_D_EFFET_DE_LA_DECISION_DE_SUIVI_C_ERR(pCodeErreur);
  }
  
  public Damj getDFDO2()
  {
    return m_YI54Infra.getDFDO2_DATE_DE_FIN__DE_LA_DECISION_DE_SUIVI();
  }
  
  public String getCodeErreurDFDO2()
  {
    return m_YI54Infra.getDFDO2_DATE_DE_FIN__DE_LA_DECISION_DE_SUIVI_C_ERR();
  }
  
  public void setDFDO2(Damj pValeur)
  {
    m_YI54Infra.setDFDO2_DATE_DE_FIN__DE_LA_DECISION_DE_SUIVI(pValeur);
  }
  
  public void setCodeErreurDFDO2(String pCodeErreur)
  {
    m_YI54Infra.setDFDO2_DATE_DE_FIN__DE_LA_DECISION_DE_SUIVI_C_ERR(pCodeErreur);
  }
  
  public Damj getDFDO2_DATE_DE_FIN__DE_LA_DECISION_DE_SUIVI()
  {
    return m_YI54Infra.getDFDO2_DATE_DE_FIN__DE_LA_DECISION_DE_SUIVI();
  }
  
  public String getCodeErreurDFDO2_DATE_DE_FIN__DE_LA_DECISION_DE_SUIVI()
  {
    return m_YI54Infra.getDFDO2_DATE_DE_FIN__DE_LA_DECISION_DE_SUIVI_C_ERR();
  }
  
  public void setDFDO2_DATE_DE_FIN__DE_LA_DECISION_DE_SUIVI(Damj pValeur)
  {
    m_YI54Infra.setDFDO2_DATE_DE_FIN__DE_LA_DECISION_DE_SUIVI(pValeur);
  }
  
  public void setCodeErreurDFDO2_DATE_DE_FIN__DE_LA_DECISION_DE_SUIVI(String pCodeErreur)
  {
    m_YI54Infra.setDFDO2_DATE_DE_FIN__DE_LA_DECISION_DE_SUIVI_C_ERR(pCodeErreur);
  }
  
  public String getFSCHEV()
  {
    return m_YI54Infra.getFSCHEV_INDICATEUR_DE_CHEVAUCHEMENT_LE1O();
  }
  
  public String getCodeErreurFSCHEV()
  {
    return m_YI54Infra.getFSCHEV_INDICATEUR_DE_CHEVAUCHEMENT_LE1O_C_ERR();
  }
  
  public void setFSCHEV(String pValeur)
  {
    m_YI54Infra.setFSCHEV_INDICATEUR_DE_CHEVAUCHEMENT_LE1O(pValeur);
  }
  
  public void setCodeErreurFSCHEV(String pCodeErreur)
  {
    m_YI54Infra.setFSCHEV_INDICATEUR_DE_CHEVAUCHEMENT_LE1O_C_ERR(pCodeErreur);
  }
  
  public String getFSCHEV_INDICATEUR_DE_CHEVAUCHEMENT_LE1O()
  {
    return m_YI54Infra.getFSCHEV_INDICATEUR_DE_CHEVAUCHEMENT_LE1O();
  }
  
  public String getCodeErreurFSCHEV_INDICATEUR_DE_CHEVAUCHEMENT_LE1O()
  {
    return m_YI54Infra.getFSCHEV_INDICATEUR_DE_CHEVAUCHEMENT_LE1O_C_ERR();
  }
  
  public void setFSCHEV_INDICATEUR_DE_CHEVAUCHEMENT_LE1O(String pValeur)
  {
    m_YI54Infra.setFSCHEV_INDICATEUR_DE_CHEVAUCHEMENT_LE1O(pValeur);
  }
  
  public void setCodeErreurFSCHEV_INDICATEUR_DE_CHEVAUCHEMENT_LE1O(String pCodeErreur)
  {
    m_YI54Infra.setFSCHEV_INDICATEUR_DE_CHEVAUCHEMENT_LE1O_C_ERR(pCodeErreur);
  }
  
  public _YI54 getYI54Infra()
  {
    return m_YI54Infra;
  }
  
  public String toString()
  {
    return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
  }
  
  public boolean isEnErreur()
  {
    if ((getCodeErreurRSOD() != null) && 
      ("".equals(getCodeErreurRSOD()))) {
      return true;
    }
    if ((getCodeErreurCSND7() != null) && 
      ("".equals(getCodeErreurCSND7()))) {
      return true;
    }
    if ((getCodeErreurCSISU1() != null) && 
      ("".equals(getCodeErreurCSISU1()))) {
      return true;
    }
    if ((getCodeErreurNSOPR1() != null) && 
      ("".equals(getCodeErreurNSOPR1()))) {
      return true;
    }
    if ((getCodeErreurPJJPR1() != null) && 
      ("".equals(getCodeErreurPJJPR1()))) {
      return true;
    }
    if ((getCodeErreurDEDO2() != null) && 
      ("".equals(getCodeErreurDEDO2()))) {
      return true;
    }
    if ((getCodeErreurDFDO2() != null) && 
      ("".equals(getCodeErreurDFDO2()))) {
      return true;
    }
    if ((getCodeErreurFSCHEV() != null) && 
      ("".equals(getCodeErreurFSCHEV()))) {
      return true;
    }
    return false;
  }
}

/* Location:
 * Qualified Name:     _YI54Impl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */