package fr.unedic.logique.donnees.dr1.service.vls;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.archi.logique.adaptateur.ObjetSerialisableFournisseur;
import fr.unedic.util.temps.Damj;
import java.io.Serializable;
import java.math.BigDecimal;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

public class _YI5VImpl
  extends YI5V
  implements ObjetSerialisableFournisseur, Serializable
{
  private static final long serialVersionUID = 1L;
  private final _YI5V m_YI5VInfra;
  
  public _YI5VImpl()
  {
    m_YI5VInfra = new _YI5V();
  }
  
  public _YI5VImpl(_YI5V pValeur)
  {
    ExceptionUtil.assertMethodParamNotNull("YI5VInfra", pValeur);
    
    m_YI5VInfra = pValeur;
  }
  
  public Object getObjet()
  {
    return m_YI5VInfra;
  }
  
  public String getIdentifiant()
  {
    return m_YI5VInfra.get_IDENT();
  }
  
  public void setIdentifiant(String pIdentifiant)
  {
    m_YI5VInfra.set_IDENT(pIdentifiant);
  }
  
  public String getCodeEtat()
  {
    return m_YI5VInfra.get_C_ETAT();
  }
  
  public void setCodeEtat(String pCode)
  {
    m_YI5VInfra.set_C_ETAT(pCode);
  }
  
  public Damj getDEVAVG()
  {
    return m_YI5VInfra.getDEVAVG_DATE_D_EFFET_AVTG_VIEILLESSE__DB2_();
  }
  
  public String getCodeErreurDEVAVG()
  {
    return m_YI5VInfra.getDEVAVG_DATE_D_EFFET_AVTG_VIEILLESSE__DB2__C_ERR();
  }
  
  public void setDEVAVG(Damj pValeur)
  {
    m_YI5VInfra.setDEVAVG_DATE_D_EFFET_AVTG_VIEILLESSE__DB2_(pValeur);
  }
  
  public void setCodeErreurDEVAVG(String pCodeErreur)
  {
    m_YI5VInfra.setDEVAVG_DATE_D_EFFET_AVTG_VIEILLESSE__DB2__C_ERR(pCodeErreur);
  }
  
  public Damj getDEVAVG_DATE_D_EFFET_AVTG_VIEILLESSE__DB2_()
  {
    return m_YI5VInfra.getDEVAVG_DATE_D_EFFET_AVTG_VIEILLESSE__DB2_();
  }
  
  public String getCodeErreurDEVAVG_DATE_D_EFFET_AVTG_VIEILLESSE__DB2_()
  {
    return m_YI5VInfra.getDEVAVG_DATE_D_EFFET_AVTG_VIEILLESSE__DB2__C_ERR();
  }
  
  public void setDEVAVG_DATE_D_EFFET_AVTG_VIEILLESSE__DB2_(Damj pValeur)
  {
    m_YI5VInfra.setDEVAVG_DATE_D_EFFET_AVTG_VIEILLESSE__DB2_(pValeur);
  }
  
  public void setCodeErreurDEVAVG_DATE_D_EFFET_AVTG_VIEILLESSE__DB2_(String pCodeErreur)
  {
    m_YI5VInfra.setDEVAVG_DATE_D_EFFET_AVTG_VIEILLESSE__DB2__C_ERR(pCodeErreur);
  }
  
  public Damj getDFAVG()
  {
    return m_YI5VInfra.getDFAVG_DATE_FIN_AVANTAGE_VIEILLESSE_db2_();
  }
  
  public String getCodeErreurDFAVG()
  {
    return m_YI5VInfra.getDFAVG_DATE_FIN_AVANTAGE_VIEILLESSE_db2__C_ERR();
  }
  
  public void setDFAVG(Damj pValeur)
  {
    m_YI5VInfra.setDFAVG_DATE_FIN_AVANTAGE_VIEILLESSE_db2_(pValeur);
  }
  
  public void setCodeErreurDFAVG(String pCodeErreur)
  {
    m_YI5VInfra.setDFAVG_DATE_FIN_AVANTAGE_VIEILLESSE_db2__C_ERR(pCodeErreur);
  }
  
  public Damj getDFAVG_DATE_FIN_AVANTAGE_VIEILLESSE_db2_()
  {
    return m_YI5VInfra.getDFAVG_DATE_FIN_AVANTAGE_VIEILLESSE_db2_();
  }
  
  public String getCodeErreurDFAVG_DATE_FIN_AVANTAGE_VIEILLESSE_db2_()
  {
    return m_YI5VInfra.getDFAVG_DATE_FIN_AVANTAGE_VIEILLESSE_db2__C_ERR();
  }
  
  public void setDFAVG_DATE_FIN_AVANTAGE_VIEILLESSE_db2_(Damj pValeur)
  {
    m_YI5VInfra.setDFAVG_DATE_FIN_AVANTAGE_VIEILLESSE_db2_(pValeur);
  }
  
  public void setCodeErreurDFAVG_DATE_FIN_AVANTAGE_VIEILLESSE_db2_(String pCodeErreur)
  {
    m_YI5VInfra.setDFAVG_DATE_FIN_AVANTAGE_VIEILLESSE_db2__C_ERR(pCodeErreur);
  }
  
  public String getCSQAV()
  {
    return m_YI5VInfra.getCSQAV_QUALIFICATION_AVANTAGE_VIEILLESSE();
  }
  
  public String getCodeErreurCSQAV()
  {
    return m_YI5VInfra.getCSQAV_QUALIFICATION_AVANTAGE_VIEILLESSE_C_ERR();
  }
  
  public void setCSQAV(String pValeur)
  {
    m_YI5VInfra.setCSQAV_QUALIFICATION_AVANTAGE_VIEILLESSE(pValeur);
  }
  
  public void setCodeErreurCSQAV(String pCodeErreur)
  {
    m_YI5VInfra.setCSQAV_QUALIFICATION_AVANTAGE_VIEILLESSE_C_ERR(pCodeErreur);
  }
  
  public String getCSQAV_QUALIFICATION_AVANTAGE_VIEILLESSE()
  {
    return m_YI5VInfra.getCSQAV_QUALIFICATION_AVANTAGE_VIEILLESSE();
  }
  
  public String getCodeErreurCSQAV_QUALIFICATION_AVANTAGE_VIEILLESSE()
  {
    return m_YI5VInfra.getCSQAV_QUALIFICATION_AVANTAGE_VIEILLESSE_C_ERR();
  }
  
  public void setCSQAV_QUALIFICATION_AVANTAGE_VIEILLESSE(String pValeur)
  {
    m_YI5VInfra.setCSQAV_QUALIFICATION_AVANTAGE_VIEILLESSE(pValeur);
  }
  
  public void setCodeErreurCSQAV_QUALIFICATION_AVANTAGE_VIEILLESSE(String pCodeErreur)
  {
    m_YI5VInfra.setCSQAV_QUALIFICATION_AVANTAGE_VIEILLESSE_C_ERR(pCodeErreur);
  }
  
  public BigDecimal getQMAV()
  {
    return m_YI5VInfra.getQMAV_MONTANT_DE_L_AVANTAGE_VIEILLESSE();
  }
  
  public String getCodeErreurQMAV()
  {
    return m_YI5VInfra.getQMAV_MONTANT_DE_L_AVANTAGE_VIEILLESSE_C_ERR();
  }
  
  public void setQMAV(BigDecimal pValeur)
  {
    m_YI5VInfra.setQMAV_MONTANT_DE_L_AVANTAGE_VIEILLESSE(pValeur);
  }
  
  public void setCodeErreurQMAV(String pCodeErreur)
  {
    m_YI5VInfra.setQMAV_MONTANT_DE_L_AVANTAGE_VIEILLESSE_C_ERR(pCodeErreur);
  }
  
  public BigDecimal getQMAV_MONTANT_DE_L_AVANTAGE_VIEILLESSE()
  {
    return m_YI5VInfra.getQMAV_MONTANT_DE_L_AVANTAGE_VIEILLESSE();
  }
  
  public String getCodeErreurQMAV_MONTANT_DE_L_AVANTAGE_VIEILLESSE()
  {
    return m_YI5VInfra.getQMAV_MONTANT_DE_L_AVANTAGE_VIEILLESSE_C_ERR();
  }
  
  public void setQMAV_MONTANT_DE_L_AVANTAGE_VIEILLESSE(BigDecimal pValeur)
  {
    m_YI5VInfra.setQMAV_MONTANT_DE_L_AVANTAGE_VIEILLESSE(pValeur);
  }
  
  public void setCodeErreurQMAV_MONTANT_DE_L_AVANTAGE_VIEILLESSE(String pCodeErreur)
  {
    m_YI5VInfra.setQMAV_MONTANT_DE_L_AVANTAGE_VIEILLESSE_C_ERR(pCodeErreur);
  }
  
  public _YI5V getYI5VInfra()
  {
    return m_YI5VInfra;
  }
  
  public String toString()
  {
    return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
  }
  
  public boolean isEnErreur()
  {
    if ((getCodeErreurDEVAVG() != null) && 
      ("".equals(getCodeErreurDEVAVG()))) {
      return true;
    }
    if ((getCodeErreurDFAVG() != null) && 
      ("".equals(getCodeErreurDFAVG()))) {
      return true;
    }
    if ((getCodeErreurCSQAV() != null) && 
      ("".equals(getCodeErreurCSQAV()))) {
      return true;
    }
    if ((getCodeErreurQMAV() != null) && 
      ("".equals(getCodeErreurQMAV()))) {
      return true;
    }
    return false;
  }
}

/* Location:
 * Qualified Name:     _YI5VImpl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */