package fr.unedic.logique.donnees.rac.commun.dra.d01.zu;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.archi.logique.adaptateur.ObjetSerialisableFournisseur;
import fr.unedic.util.temps.Damj;
import java.io.Serializable;
import java.math.BigDecimal;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

public class _GSZWS2Impl
  extends GSZWS2
  implements ObjetSerialisableFournisseur, Serializable
{
  private static final long serialVersionUID = 1L;
  private final _GSZWS2 m_GSZWS2Infra;
  
  public _GSZWS2Impl()
  {
    m_GSZWS2Infra = new _GSZWS2();
  }
  
  public _GSZWS2Impl(_GSZWS2 pValeur)
  {
    ExceptionUtil.assertMethodParamNotNull("GSZWS2Infra", pValeur);
    
    m_GSZWS2Infra = pValeur;
  }
  
  public Object getObjet()
  {
    return m_GSZWS2Infra;
  }
  
  public String getIdentifiant()
  {
    return m_GSZWS2Infra.get_IDENT();
  }
  
  public void setIdentifiant(String pIdentifiant)
  {
    m_GSZWS2Infra.set_IDENT(pIdentifiant);
  }
  
  public String getCodeEtat()
  {
    return m_GSZWS2Infra.get_C_ETAT();
  }
  
  public void setCodeEtat(String pCode)
  {
    m_GSZWS2Infra.set_C_ETAT(pCode);
  }
  
  public String getAOPOS_CODE_POSTAL()
  {
    return m_GSZWS2Infra.getAOPOS_CODE_POSTAL();
  }
  
  public String getCodeErreurAOPOS_CODE_POSTAL()
  {
    return m_GSZWS2Infra.getAOPOS_CODE_POSTAL_C_ERR();
  }
  
  public void setAOPOS_CODE_POSTAL(String pValeur)
  {
    m_GSZWS2Infra.setAOPOS_CODE_POSTAL(pValeur);
  }
  
  public void setCodeErreurAOPOS_CODE_POSTAL(String pCodeErreur)
  {
    m_GSZWS2Infra.setAOPOS_CODE_POSTAL_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getAOPOS()
  {
    return getAOPOS_CODE_POSTAL();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurAOPOS()
  {
    return getCodeErreurAOPOS_CODE_POSTAL();
  }
  
  /**
   * @deprecated
   */
  public void setAOPOS(String pValeur)
  {
    setAOPOS_CODE_POSTAL(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurAOPOS(String pCodeErreur)
  {
    setCodeErreurAOPOS_CODE_POSTAL(pCodeErreur);
  }
  
  public String getCDANT_ANTENNE_DE_L_INDIVIDU()
  {
    return m_GSZWS2Infra.getCDANT_ANTENNE_DE_L_INDIVIDU();
  }
  
  public String getCodeErreurCDANT_ANTENNE_DE_L_INDIVIDU()
  {
    return m_GSZWS2Infra.getCDANT_ANTENNE_DE_L_INDIVIDU_C_ERR();
  }
  
  public void setCDANT_ANTENNE_DE_L_INDIVIDU(String pValeur)
  {
    m_GSZWS2Infra.setCDANT_ANTENNE_DE_L_INDIVIDU(pValeur);
  }
  
  public void setCodeErreurCDANT_ANTENNE_DE_L_INDIVIDU(String pCodeErreur)
  {
    m_GSZWS2Infra.setCDANT_ANTENNE_DE_L_INDIVIDU_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDANT()
  {
    return getCDANT_ANTENNE_DE_L_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDANT()
  {
    return getCodeErreurCDANT_ANTENNE_DE_L_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public void setCDANT(String pValeur)
  {
    setCDANT_ANTENNE_DE_L_INDIVIDU(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDANT(String pCodeErreur)
  {
    setCodeErreurCDANT_ANTENNE_DE_L_INDIVIDU(pCodeErreur);
  }
  
  public String getCDCMN_CODE_COMMUNE()
  {
    return m_GSZWS2Infra.getCDCMN_CODE_COMMUNE();
  }
  
  public String getCodeErreurCDCMN_CODE_COMMUNE()
  {
    return m_GSZWS2Infra.getCDCMN_CODE_COMMUNE_C_ERR();
  }
  
  public void setCDCMN_CODE_COMMUNE(String pValeur)
  {
    m_GSZWS2Infra.setCDCMN_CODE_COMMUNE(pValeur);
  }
  
  public void setCodeErreurCDCMN_CODE_COMMUNE(String pCodeErreur)
  {
    m_GSZWS2Infra.setCDCMN_CODE_COMMUNE_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDCMN()
  {
    return getCDCMN_CODE_COMMUNE();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDCMN()
  {
    return getCodeErreurCDCMN_CODE_COMMUNE();
  }
  
  /**
   * @deprecated
   */
  public void setCDCMN(String pValeur)
  {
    setCDCMN_CODE_COMMUNE(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDCMN(String pCodeErreur)
  {
    setCodeErreurCDCMN_CODE_COMMUNE(pCodeErreur);
  }
  
  public String getCDCMNN_CODE_COMMUNE_DE_NAISSANCE()
  {
    return m_GSZWS2Infra.getCDCMNN_CODE_COMMUNE_DE_NAISSANCE();
  }
  
  public String getCodeErreurCDCMNN_CODE_COMMUNE_DE_NAISSANCE()
  {
    return m_GSZWS2Infra.getCDCMNN_CODE_COMMUNE_DE_NAISSANCE_C_ERR();
  }
  
  public void setCDCMNN_CODE_COMMUNE_DE_NAISSANCE(String pValeur)
  {
    m_GSZWS2Infra.setCDCMNN_CODE_COMMUNE_DE_NAISSANCE(pValeur);
  }
  
  public void setCodeErreurCDCMNN_CODE_COMMUNE_DE_NAISSANCE(String pCodeErreur)
  {
    m_GSZWS2Infra.setCDCMNN_CODE_COMMUNE_DE_NAISSANCE_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDCMNN()
  {
    return getCDCMNN_CODE_COMMUNE_DE_NAISSANCE();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDCMNN()
  {
    return getCodeErreurCDCMNN_CODE_COMMUNE_DE_NAISSANCE();
  }
  
  /**
   * @deprecated
   */
  public void setCDCMNN(String pValeur)
  {
    setCDCMNN_CODE_COMMUNE_DE_NAISSANCE(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDCMNN(String pCodeErreur)
  {
    setCodeErreurCDCMNN_CODE_COMMUNE_DE_NAISSANCE(pCodeErreur);
  }
  
  public String getCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM()
  {
    return m_GSZWS2Infra.getCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM();
  }
  
  public String getCodeErreurCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM()
  {
    return m_GSZWS2Infra.getCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM_C_ERR();
  }
  
  public void setCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM(String pValeur)
  {
    m_GSZWS2Infra.setCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM(pValeur);
  }
  
  public void setCodeErreurCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM(String pCodeErreur)
  {
    m_GSZWS2Infra.setCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDDPTA()
  {
    return getCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDDPTA()
  {
    return getCodeErreurCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM();
  }
  
  /**
   * @deprecated
   */
  public void setCDDPTA(String pValeur)
  {
    setCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDDPTA(String pCodeErreur)
  {
    setCodeErreurCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM(pCodeErreur);
  }
  
  public String getCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE()
  {
    return m_GSZWS2Infra.getCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE();
  }
  
  public String getCodeErreurCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE()
  {
    return m_GSZWS2Infra.getCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE_C_ERR();
  }
  
  public void setCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE(String pValeur)
  {
    m_GSZWS2Infra.setCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE(pValeur);
  }
  
  public void setCodeErreurCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE(String pCodeErreur)
  {
    m_GSZWS2Infra.setCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDDPTN()
  {
    return getCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDDPTN()
  {
    return getCodeErreurCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE();
  }
  
  /**
   * @deprecated
   */
  public void setCDDPTN(String pValeur)
  {
    setCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDDPTN(String pCodeErreur)
  {
    setCodeErreurCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE(pCodeErreur);
  }
  
  public String getCDPAYN_CODE_PAYS_DE_NAISSANCE()
  {
    return m_GSZWS2Infra.getCDPAYN_CODE_PAYS_DE_NAISSANCE();
  }
  
  public String getCodeErreurCDPAYN_CODE_PAYS_DE_NAISSANCE()
  {
    return m_GSZWS2Infra.getCDPAYN_CODE_PAYS_DE_NAISSANCE_C_ERR();
  }
  
  public void setCDPAYN_CODE_PAYS_DE_NAISSANCE(String pValeur)
  {
    m_GSZWS2Infra.setCDPAYN_CODE_PAYS_DE_NAISSANCE(pValeur);
  }
  
  public void setCodeErreurCDPAYN_CODE_PAYS_DE_NAISSANCE(String pCodeErreur)
  {
    m_GSZWS2Infra.setCDPAYN_CODE_PAYS_DE_NAISSANCE_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDPAYN()
  {
    return getCDPAYN_CODE_PAYS_DE_NAISSANCE();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDPAYN()
  {
    return getCodeErreurCDPAYN_CODE_PAYS_DE_NAISSANCE();
  }
  
  /**
   * @deprecated
   */
  public void setCDPAYN(String pValeur)
  {
    setCDPAYN_CODE_PAYS_DE_NAISSANCE(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDPAYN(String pCodeErreur)
  {
    setCodeErreurCDPAYN_CODE_PAYS_DE_NAISSANCE(pCodeErreur);
  }
  
  public String getCDSEX_CODE_SEXE_INDIVIDU()
  {
    return m_GSZWS2Infra.getCDSEX_CODE_SEXE_INDIVIDU();
  }
  
  public String getCodeErreurCDSEX_CODE_SEXE_INDIVIDU()
  {
    return m_GSZWS2Infra.getCDSEX_CODE_SEXE_INDIVIDU_C_ERR();
  }
  
  public void setCDSEX_CODE_SEXE_INDIVIDU(String pValeur)
  {
    m_GSZWS2Infra.setCDSEX_CODE_SEXE_INDIVIDU(pValeur);
  }
  
  public void setCodeErreurCDSEX_CODE_SEXE_INDIVIDU(String pCodeErreur)
  {
    m_GSZWS2Infra.setCDSEX_CODE_SEXE_INDIVIDU_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDSEX()
  {
    return getCDSEX_CODE_SEXE_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDSEX()
  {
    return getCodeErreurCDSEX_CODE_SEXE_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public void setCDSEX(String pValeur)
  {
    setCDSEX_CODE_SEXE_INDIVIDU(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDSEX(String pCodeErreur)
  {
    setCodeErreurCDSEX_CODE_SEXE_INDIVIDU(pCodeErreur);
  }
  
  public BigDecimal getCDSTN_CODE_STATUT_NIR__ANCIENNE_CODIF_()
  {
    return m_GSZWS2Infra.getCDSTN_CODE_STATUT_NIR__ANCIENNE_CODIF_();
  }
  
  public String getCodeErreurCDSTN_CODE_STATUT_NIR__ANCIENNE_CODIF_()
  {
    return m_GSZWS2Infra.getCDSTN_CODE_STATUT_NIR__ANCIENNE_CODIF__C_ERR();
  }
  
  public void setCDSTN_CODE_STATUT_NIR__ANCIENNE_CODIF_(BigDecimal pValeur)
  {
    m_GSZWS2Infra.setCDSTN_CODE_STATUT_NIR__ANCIENNE_CODIF_(pValeur);
  }
  
  public void setCodeErreurCDSTN_CODE_STATUT_NIR__ANCIENNE_CODIF_(String pCodeErreur)
  {
    m_GSZWS2Infra.setCDSTN_CODE_STATUT_NIR__ANCIENNE_CODIF__C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public BigDecimal getCDSTN()
  {
    return getCDSTN_CODE_STATUT_NIR__ANCIENNE_CODIF_();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDSTN()
  {
    return getCodeErreurCDSTN_CODE_STATUT_NIR__ANCIENNE_CODIF_();
  }
  
  /**
   * @deprecated
   */
  public void setCDSTN(BigDecimal pValeur)
  {
    setCDSTN_CODE_STATUT_NIR__ANCIENNE_CODIF_(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDSTN(String pCodeErreur)
  {
    setCodeErreurCDSTN_CODE_STATUT_NIR__ANCIENNE_CODIF_(pCodeErreur);
  }
  
  public String getCIDPR_CODE_ETAT_DEMANDEUR_PRESTATION()
  {
    return m_GSZWS2Infra.getCIDPR_CODE_ETAT_DEMANDEUR_PRESTATION();
  }
  
  public String getCodeErreurCIDPR_CODE_ETAT_DEMANDEUR_PRESTATION()
  {
    return m_GSZWS2Infra.getCIDPR_CODE_ETAT_DEMANDEUR_PRESTATION_C_ERR();
  }
  
  public void setCIDPR_CODE_ETAT_DEMANDEUR_PRESTATION(String pValeur)
  {
    m_GSZWS2Infra.setCIDPR_CODE_ETAT_DEMANDEUR_PRESTATION(pValeur);
  }
  
  public void setCodeErreurCIDPR_CODE_ETAT_DEMANDEUR_PRESTATION(String pCodeErreur)
  {
    m_GSZWS2Infra.setCIDPR_CODE_ETAT_DEMANDEUR_PRESTATION_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCIDPR()
  {
    return getCIDPR_CODE_ETAT_DEMANDEUR_PRESTATION();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCIDPR()
  {
    return getCodeErreurCIDPR_CODE_ETAT_DEMANDEUR_PRESTATION();
  }
  
  /**
   * @deprecated
   */
  public void setCIDPR(String pValeur)
  {
    setCIDPR_CODE_ETAT_DEMANDEUR_PRESTATION(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCIDPR(String pCodeErreur)
  {
    setCodeErreurCIDPR_CODE_ETAT_DEMANDEUR_PRESTATION(pCodeErreur);
  }
  
  public String getCKENC_MOTIF_DE_PRESENCE_DANS_LE_SI()
  {
    return m_GSZWS2Infra.getCKENC_MOTIF_DE_PRESENCE_DANS_LE_SI();
  }
  
  public String getCodeErreurCKENC_MOTIF_DE_PRESENCE_DANS_LE_SI()
  {
    return m_GSZWS2Infra.getCKENC_MOTIF_DE_PRESENCE_DANS_LE_SI_C_ERR();
  }
  
  public void setCKENC_MOTIF_DE_PRESENCE_DANS_LE_SI(String pValeur)
  {
    m_GSZWS2Infra.setCKENC_MOTIF_DE_PRESENCE_DANS_LE_SI(pValeur);
  }
  
  public void setCodeErreurCKENC_MOTIF_DE_PRESENCE_DANS_LE_SI(String pCodeErreur)
  {
    m_GSZWS2Infra.setCKENC_MOTIF_DE_PRESENCE_DANS_LE_SI_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCKENC()
  {
    return getCKENC_MOTIF_DE_PRESENCE_DANS_LE_SI();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCKENC()
  {
    return getCodeErreurCKENC_MOTIF_DE_PRESENCE_DANS_LE_SI();
  }
  
  /**
   * @deprecated
   */
  public void setCKENC(String pValeur)
  {
    setCKENC_MOTIF_DE_PRESENCE_DANS_LE_SI(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCKENC(String pCodeErreur)
  {
    setCodeErreurCKENC_MOTIF_DE_PRESENCE_DANS_LE_SI(pCodeErreur);
  }
  
  public String getCXALE_ALE_DE_L_INDIVIDU()
  {
    return m_GSZWS2Infra.getCXALE_ALE_DE_L_INDIVIDU();
  }
  
  public String getCodeErreurCXALE_ALE_DE_L_INDIVIDU()
  {
    return m_GSZWS2Infra.getCXALE_ALE_DE_L_INDIVIDU_C_ERR();
  }
  
  public void setCXALE_ALE_DE_L_INDIVIDU(String pValeur)
  {
    m_GSZWS2Infra.setCXALE_ALE_DE_L_INDIVIDU(pValeur);
  }
  
  public void setCodeErreurCXALE_ALE_DE_L_INDIVIDU(String pCodeErreur)
  {
    m_GSZWS2Infra.setCXALE_ALE_DE_L_INDIVIDU_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCXALE()
  {
    return getCXALE_ALE_DE_L_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCXALE()
  {
    return getCodeErreurCXALE_ALE_DE_L_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public void setCXALE(String pValeur)
  {
    setCXALE_ALE_DE_L_INDIVIDU(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCXALE(String pCodeErreur)
  {
    setCodeErreurCXALE_ALE_DE_L_INDIVIDU(pCodeErreur);
  }
  
  public String getCXASS_CODE_ASSEDIC()
  {
    return m_GSZWS2Infra.getCXASS_CODE_ASSEDIC();
  }
  
  public String getCodeErreurCXASS_CODE_ASSEDIC()
  {
    return m_GSZWS2Infra.getCXASS_CODE_ASSEDIC_C_ERR();
  }
  
  public void setCXASS_CODE_ASSEDIC(String pValeur)
  {
    m_GSZWS2Infra.setCXASS_CODE_ASSEDIC(pValeur);
  }
  
  public void setCodeErreurCXASS_CODE_ASSEDIC(String pCodeErreur)
  {
    m_GSZWS2Infra.setCXASS_CODE_ASSEDIC_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCXASS()
  {
    return getCXASS_CODE_ASSEDIC();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCXASS()
  {
    return getCodeErreurCXASS_CODE_ASSEDIC();
  }
  
  /**
   * @deprecated
   */
  public void setCXASS(String pValeur)
  {
    setCXASS_CODE_ASSEDIC(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCXASS(String pCodeErreur)
  {
    setCodeErreurCXASS_CODE_ASSEDIC(pCodeErreur);
  }
  
  public String getCXIN_IDENTIFIANT_DE_L_INDIVIDU()
  {
    return m_GSZWS2Infra.getCXIN_IDENTIFIANT_DE_L_INDIVIDU();
  }
  
  public String getCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU()
  {
    return m_GSZWS2Infra.getCXIN_IDENTIFIANT_DE_L_INDIVIDU_C_ERR();
  }
  
  public void setCXIN_IDENTIFIANT_DE_L_INDIVIDU(String pValeur)
  {
    m_GSZWS2Infra.setCXIN_IDENTIFIANT_DE_L_INDIVIDU(pValeur);
  }
  
  public void setCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU(String pCodeErreur)
  {
    m_GSZWS2Infra.setCXIN_IDENTIFIANT_DE_L_INDIVIDU_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCXIN()
  {
    return getCXIN_IDENTIFIANT_DE_L_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCXIN()
  {
    return getCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public void setCXIN(String pValeur)
  {
    setCXIN_IDENTIFIANT_DE_L_INDIVIDU(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCXIN(String pCodeErreur)
  {
    setCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU(pCodeErreur);
  }
  
  public Damj getDDNAI_DATE_DE_NAISSANCE()
  {
    return m_GSZWS2Infra.getDDNAI_DATE_DE_NAISSANCE();
  }
  
  public String getCodeErreurDDNAI_DATE_DE_NAISSANCE()
  {
    return m_GSZWS2Infra.getDDNAI_DATE_DE_NAISSANCE_C_ERR();
  }
  
  public void setDDNAI_DATE_DE_NAISSANCE(Damj pValeur)
  {
    m_GSZWS2Infra.setDDNAI_DATE_DE_NAISSANCE(pValeur);
  }
  
  public void setCodeErreurDDNAI_DATE_DE_NAISSANCE(String pCodeErreur)
  {
    m_GSZWS2Infra.setDDNAI_DATE_DE_NAISSANCE_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public Damj getDDNAI()
  {
    return getDDNAI_DATE_DE_NAISSANCE();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurDDNAI()
  {
    return getCodeErreurDDNAI_DATE_DE_NAISSANCE();
  }
  
  /**
   * @deprecated
   */
  public void setDDNAI(Damj pValeur)
  {
    setDDNAI_DATE_DE_NAISSANCE(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurDDNAI(String pCodeErreur)
  {
    setCodeErreurDDNAI_DATE_DE_NAISSANCE(pCodeErreur);
  }
  
  public String getDDNAIP_SiecleAnneeMois_de_NAISSANCE()
  {
    return m_GSZWS2Infra.getDDNAIP_SiecleAnneeMois_de_NAISSANCE();
  }
  
  public String getCodeErreurDDNAIP_SiecleAnneeMois_de_NAISSANCE()
  {
    return m_GSZWS2Infra.getDDNAIP_SiecleAnneeMois_de_NAISSANCE_C_ERR();
  }
  
  public void setDDNAIP_SiecleAnneeMois_de_NAISSANCE(String pValeur)
  {
    m_GSZWS2Infra.setDDNAIP_SiecleAnneeMois_de_NAISSANCE(pValeur);
  }
  
  public void setCodeErreurDDNAIP_SiecleAnneeMois_de_NAISSANCE(String pCodeErreur)
  {
    m_GSZWS2Infra.setDDNAIP_SiecleAnneeMois_de_NAISSANCE_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getDDNAIP()
  {
    return getDDNAIP_SiecleAnneeMois_de_NAISSANCE();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurDDNAIP()
  {
    return getCodeErreurDDNAIP_SiecleAnneeMois_de_NAISSANCE();
  }
  
  /**
   * @deprecated
   */
  public void setDDNAIP(String pValeur)
  {
    setDDNAIP_SiecleAnneeMois_de_NAISSANCE(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurDDNAIP(String pCodeErreur)
  {
    setCodeErreurDDNAIP_SiecleAnneeMois_de_NAISSANCE(pCodeErreur);
  }
  
  public String getFIHST_INDICATEUR_PRESENCE_HISTORIQUE()
  {
    return m_GSZWS2Infra.getFIHST_INDICATEUR_PRESENCE_HISTORIQUE();
  }
  
  public String getCodeErreurFIHST_INDICATEUR_PRESENCE_HISTORIQUE()
  {
    return m_GSZWS2Infra.getFIHST_INDICATEUR_PRESENCE_HISTORIQUE_C_ERR();
  }
  
  public void setFIHST_INDICATEUR_PRESENCE_HISTORIQUE(String pValeur)
  {
    m_GSZWS2Infra.setFIHST_INDICATEUR_PRESENCE_HISTORIQUE(pValeur);
  }
  
  public void setCodeErreurFIHST_INDICATEUR_PRESENCE_HISTORIQUE(String pCodeErreur)
  {
    m_GSZWS2Infra.setFIHST_INDICATEUR_PRESENCE_HISTORIQUE_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getFIHST()
  {
    return getFIHST_INDICATEUR_PRESENCE_HISTORIQUE();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurFIHST()
  {
    return getCodeErreurFIHST_INDICATEUR_PRESENCE_HISTORIQUE();
  }
  
  /**
   * @deprecated
   */
  public void setFIHST(String pValeur)
  {
    setFIHST_INDICATEUR_PRESENCE_HISTORIQUE(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurFIHST(String pCodeErreur)
  {
    setCodeErreurFIHST_INDICATEUR_PRESENCE_HISTORIQUE(pCodeErreur);
  }
  
  public String getISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR()
  {
    return m_GSZWS2Infra.getISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR();
  }
  
  public String getCodeErreurISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR()
  {
    return m_GSZWS2Infra.getISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR_C_ERR();
  }
  
  public void setISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR(String pValeur)
  {
    m_GSZWS2Infra.setISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR(pValeur);
  }
  
  public void setCodeErreurISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR(String pCodeErreur)
  {
    m_GSZWS2Infra.setISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getISNIR()
  {
    return getISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurISNIR()
  {
    return getCodeErreurISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR();
  }
  
  /**
   * @deprecated
   */
  public void setISNIR(String pValeur)
  {
    setISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurISNIR(String pCodeErreur)
  {
    setCodeErreurISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR(pCodeErreur);
  }
  
  public _GSZWS2 getGSZWS2Infra()
  {
    return m_GSZWS2Infra;
  }
  
  public String toString()
  {
    return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
  }
  
  public boolean isEnErreur()
  {
    if ((getCodeErreurAOPOS_CODE_POSTAL() != null) && 
      ("".equals(getCodeErreurAOPOS_CODE_POSTAL()))) {
      return true;
    }
    if ((getCodeErreurCDANT_ANTENNE_DE_L_INDIVIDU() != null) && 
      ("".equals(getCodeErreurCDANT_ANTENNE_DE_L_INDIVIDU()))) {
      return true;
    }
    if ((getCodeErreurCDCMN_CODE_COMMUNE() != null) && 
      ("".equals(getCodeErreurCDCMN_CODE_COMMUNE()))) {
      return true;
    }
    if ((getCodeErreurCDCMNN_CODE_COMMUNE_DE_NAISSANCE() != null) && 
      ("".equals(getCodeErreurCDCMNN_CODE_COMMUNE_DE_NAISSANCE()))) {
      return true;
    }
    if ((getCodeErreurCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM() != null) && 
      ("".equals(getCodeErreurCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM()))) {
      return true;
    }
    if ((getCodeErreurCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE() != null) && 
      ("".equals(getCodeErreurCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE()))) {
      return true;
    }
    if ((getCodeErreurCDPAYN_CODE_PAYS_DE_NAISSANCE() != null) && 
      ("".equals(getCodeErreurCDPAYN_CODE_PAYS_DE_NAISSANCE()))) {
      return true;
    }
    if ((getCodeErreurCDSEX_CODE_SEXE_INDIVIDU() != null) && 
      ("".equals(getCodeErreurCDSEX_CODE_SEXE_INDIVIDU()))) {
      return true;
    }
    if ((getCodeErreurCDSTN_CODE_STATUT_NIR__ANCIENNE_CODIF_() != null) && 
      ("".equals(getCodeErreurCDSTN_CODE_STATUT_NIR__ANCIENNE_CODIF_()))) {
      return true;
    }
    if ((getCodeErreurCIDPR_CODE_ETAT_DEMANDEUR_PRESTATION() != null) && 
      ("".equals(getCodeErreurCIDPR_CODE_ETAT_DEMANDEUR_PRESTATION()))) {
      return true;
    }
    if ((getCodeErreurCKENC_MOTIF_DE_PRESENCE_DANS_LE_SI() != null) && 
      ("".equals(getCodeErreurCKENC_MOTIF_DE_PRESENCE_DANS_LE_SI()))) {
      return true;
    }
    if ((getCodeErreurCXALE_ALE_DE_L_INDIVIDU() != null) && 
      ("".equals(getCodeErreurCXALE_ALE_DE_L_INDIVIDU()))) {
      return true;
    }
    if ((getCodeErreurCXASS_CODE_ASSEDIC() != null) && 
      ("".equals(getCodeErreurCXASS_CODE_ASSEDIC()))) {
      return true;
    }
    if ((getCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU() != null) && 
      ("".equals(getCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU()))) {
      return true;
    }
    if ((getCodeErreurDDNAI_DATE_DE_NAISSANCE() != null) && 
      ("".equals(getCodeErreurDDNAI_DATE_DE_NAISSANCE()))) {
      return true;
    }
    if ((getCodeErreurDDNAIP_SiecleAnneeMois_de_NAISSANCE() != null) && 
      ("".equals(getCodeErreurDDNAIP_SiecleAnneeMois_de_NAISSANCE()))) {
      return true;
    }
    if ((getCodeErreurFIHST_INDICATEUR_PRESENCE_HISTORIQUE() != null) && 
      ("".equals(getCodeErreurFIHST_INDICATEUR_PRESENCE_HISTORIQUE()))) {
      return true;
    }
    if ((getCodeErreurISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR() != null) && 
      ("".equals(getCodeErreurISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR()))) {
      return true;
    }
    return false;
  }
}

/* Location:
 * Qualified Name:     _GSZWS2Impl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */