package fr.unedic.logique.donnees.rac.commun.dra.d01.zu;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.archi.logique.adaptateur.ObjetSerialisableFournisseur;
import java.io.Serializable;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

public class _XI50Impl
  extends XI50
  implements ObjetSerialisableFournisseur, Serializable
{
  private static final long serialVersionUID = 1L;
  private final _XI50 m_XI50Infra;
  
  public _XI50Impl()
  {
    m_XI50Infra = new _XI50();
  }
  
  public _XI50Impl(_XI50 pValeur)
  {
    ExceptionUtil.assertMethodParamNotNull("XI50Infra", pValeur);
    
    m_XI50Infra = pValeur;
  }
  
  public Object getObjet()
  {
    return m_XI50Infra;
  }
  
  public String getIdentifiant()
  {
    return m_XI50Infra.get_IDENT();
  }
  
  public void setIdentifiant(String pIdentifiant)
  {
    m_XI50Infra.set_IDENT(pIdentifiant);
  }
  
  public String getCodeEtat()
  {
    return m_XI50Infra.get_C_ETAT();
  }
  
  public void setCodeEtat(String pCode)
  {
    m_XI50Infra.set_C_ETAT(pCode);
  }
  
  public String getFFMAJ_TOP_MAJ()
  {
    return m_XI50Infra.getFFMAJ_TOP_MAJ();
  }
  
  public String getCodeErreurFFMAJ_TOP_MAJ()
  {
    return m_XI50Infra.getFFMAJ_TOP_MAJ_C_ERR();
  }
  
  public void setFFMAJ_TOP_MAJ(String pValeur)
  {
    m_XI50Infra.setFFMAJ_TOP_MAJ(pValeur);
  }
  
  public void setCodeErreurFFMAJ_TOP_MAJ(String pCodeErreur)
  {
    m_XI50Infra.setFFMAJ_TOP_MAJ_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getFFMAJ()
  {
    return getFFMAJ_TOP_MAJ();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurFFMAJ()
  {
    return getCodeErreurFFMAJ_TOP_MAJ();
  }
  
  /**
   * @deprecated
   */
  public void setFFMAJ(String pValeur)
  {
    setFFMAJ_TOP_MAJ(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurFFMAJ(String pCodeErreur)
  {
    setCodeErreurFFMAJ_TOP_MAJ(pCodeErreur);
  }
  
  public GSPAR getGSPAR_GROUPE_DE_DONNEES()
  {
    _GSPAR infraItem = m_XI50Infra.getGSPAR_GROUPE_DE_DONNEES();
    _GSPARImpl resultat = null;
    if (infraItem != null) {
      resultat = new _GSPARImpl(infraItem);
    }
    return resultat;
  }
  
  public void setGSPAR_GROUPE_DE_DONNEES(GSPAR pValeur)
  {
    if (pValeur == null)
    {
      m_XI50Infra.setGSPAR_GROUPE_DE_DONNEES(null);
    }
    else
    {
      _GSPARImpl subImpl = (_GSPARImpl)pValeur;
      m_XI50Infra.setGSPAR_GROUPE_DE_DONNEES(subImpl.getGSPARInfra());
    }
  }
  
  public GSPAR setNewGSPAR()
  {
    _GSPARImpl item = new _GSPARImpl();
    m_XI50Infra.setGSPAR_GROUPE_DE_DONNEES(item.getGSPARInfra());
    return item;
  }
  
  /**
   * @deprecated
   */
  public GSPAR setNewGSPAR_gSPAR_GROUPE_DE_DONNEES()
  {
    return setNewGSPAR();
  }
  
  /**
   * @deprecated
   */
  public GSPAR setNewGSPAR_GROUPE_DE_DONNEES()
  {
    return setNewGSPAR();
  }
  
  public GSZWS2 getGSZWS2_Zone_groupe_travail()
  {
    _GSZWS2 infraItem = m_XI50Infra.getGSZWS2_Zone_groupe_travail();
    _GSZWS2Impl resultat = null;
    if (infraItem != null) {
      resultat = new _GSZWS2Impl(infraItem);
    }
    return resultat;
  }
  
  public void setGSZWS2_Zone_groupe_travail(GSZWS2 pValeur)
  {
    if (pValeur == null)
    {
      m_XI50Infra.setGSZWS2_Zone_groupe_travail(null);
    }
    else
    {
      _GSZWS2Impl subImpl = (_GSZWS2Impl)pValeur;
      m_XI50Infra.setGSZWS2_Zone_groupe_travail(subImpl.getGSZWS2Infra());
    }
  }
  
  public GSZWS2 setNewGSZWS2()
  {
    _GSZWS2Impl item = new _GSZWS2Impl();
    m_XI50Infra.setGSZWS2_Zone_groupe_travail(item.getGSZWS2Infra());
    return item;
  }
  
  /**
   * @deprecated
   */
  public GSZWS2 setNewGSZWS2_gSZWS2_Zone_groupe_travail()
  {
    return setNewGSZWS2();
  }
  
  /**
   * @deprecated
   */
  public GSZWS2 setNewGSZWS2_Zone_groupe_travail()
  {
    return setNewGSZWS2();
  }
  
  public _XI50 getXI50Infra()
  {
    return m_XI50Infra;
  }
  
  public String toString()
  {
    return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
  }
  
  public boolean isEnErreur()
  {
    if ((getCodeErreurFFMAJ_TOP_MAJ() != null) && 
      ("".equals(getCodeErreurFFMAJ_TOP_MAJ()))) {
      return true;
    }
    Object objXI50_gSPAR_GROUPE_DE_DONNEES = getGSPAR_GROUPE_DE_DONNEES();
    if ((objXI50_gSPAR_GROUPE_DE_DONNEES != null) && 
      (getGSPAR_GROUPE_DE_DONNEES().isEnErreur())) {
      return true;
    }
    Object objXI50_gSZWS2_Zone_groupe_travail = getGSZWS2_Zone_groupe_travail();
    if ((objXI50_gSZWS2_Zone_groupe_travail != null) && 
      (getGSZWS2_Zone_groupe_travail().isEnErreur())) {
      return true;
    }
    return false;
  }
}

/* Location:
 * Qualified Name:     _XI50Impl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */