package fr.unedic.logique.donnees.rac.commun.dra.zu;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.archi.logique.adaptateur.ObjetSerialisableFournisseur;
import java.io.Serializable;
import java.math.BigDecimal;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

public class _MI30Impl
  extends MI30
  implements ObjetSerialisableFournisseur, Serializable
{
  private static final long serialVersionUID = 1L;
  private final _MI30 m_MI30Infra;
  
  public _MI30Impl()
  {
    m_MI30Infra = new _MI30();
  }
  
  public _MI30Impl(_MI30 pValeur)
  {
    ExceptionUtil.assertMethodParamNotNull("MI30Infra", pValeur);
    
    m_MI30Infra = pValeur;
  }
  
  public Object getObjet()
  {
    return m_MI30Infra;
  }
  
  public String getIdentifiant()
  {
    return m_MI30Infra.get_IDENT();
  }
  
  public void setIdentifiant(String pIdentifiant)
  {
    m_MI30Infra.set_IDENT(pIdentifiant);
  }
  
  public String getCodeEtat()
  {
    return m_MI30Infra.get_C_ETAT();
  }
  
  public void setCodeEtat(String pCode)
  {
    m_MI30Infra.set_C_ETAT(pCode);
  }
  
  public String getFIRCH_type_de_recherche_individu()
  {
    return m_MI30Infra.getFIRCH_type_de_recherche_individu();
  }
  
  public String getCodeErreurFIRCH_type_de_recherche_individu()
  {
    return m_MI30Infra.getFIRCH_type_de_recherche_individu_C_ERR();
  }
  
  public void setFIRCH_type_de_recherche_individu(String pValeur)
  {
    m_MI30Infra.setFIRCH_type_de_recherche_individu(pValeur);
  }
  
  public void setCodeErreurFIRCH_type_de_recherche_individu(String pCodeErreur)
  {
    m_MI30Infra.setFIRCH_type_de_recherche_individu_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getFIRCH()
  {
    return getFIRCH_type_de_recherche_individu();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurFIRCH()
  {
    return getCodeErreurFIRCH_type_de_recherche_individu();
  }
  
  /**
   * @deprecated
   */
  public void setFIRCH(String pValeur)
  {
    setFIRCH_type_de_recherche_individu(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurFIRCH(String pCodeErreur)
  {
    setCodeErreurFIRCH_type_de_recherche_individu(pCodeErreur);
  }
  
  public String getLNIND1_NOM_PATRONYMIQUE()
  {
    return m_MI30Infra.getLNIND1_NOM_PATRONYMIQUE();
  }
  
  public String getCodeErreurLNIND1_NOM_PATRONYMIQUE()
  {
    return m_MI30Infra.getLNIND1_NOM_PATRONYMIQUE_C_ERR();
  }
  
  public void setLNIND1_NOM_PATRONYMIQUE(String pValeur)
  {
    m_MI30Infra.setLNIND1_NOM_PATRONYMIQUE(pValeur);
  }
  
  public void setCodeErreurLNIND1_NOM_PATRONYMIQUE(String pCodeErreur)
  {
    m_MI30Infra.setLNIND1_NOM_PATRONYMIQUE_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getLNIND1()
  {
    return getLNIND1_NOM_PATRONYMIQUE();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurLNIND1()
  {
    return getCodeErreurLNIND1_NOM_PATRONYMIQUE();
  }
  
  /**
   * @deprecated
   */
  public void setLNIND1(String pValeur)
  {
    setLNIND1_NOM_PATRONYMIQUE(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurLNIND1(String pCodeErreur)
  {
    setCodeErreurLNIND1_NOM_PATRONYMIQUE(pCodeErreur);
  }
  
  public String getLNIND2_NOM_MARITAL()
  {
    return m_MI30Infra.getLNIND2_NOM_MARITAL();
  }
  
  public String getCodeErreurLNIND2_NOM_MARITAL()
  {
    return m_MI30Infra.getLNIND2_NOM_MARITAL_C_ERR();
  }
  
  public void setLNIND2_NOM_MARITAL(String pValeur)
  {
    m_MI30Infra.setLNIND2_NOM_MARITAL(pValeur);
  }
  
  public void setCodeErreurLNIND2_NOM_MARITAL(String pCodeErreur)
  {
    m_MI30Infra.setLNIND2_NOM_MARITAL_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getLNIND2()
  {
    return getLNIND2_NOM_MARITAL();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurLNIND2()
  {
    return getCodeErreurLNIND2_NOM_MARITAL();
  }
  
  /**
   * @deprecated
   */
  public void setLNIND2(String pValeur)
  {
    setLNIND2_NOM_MARITAL(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurLNIND2(String pCodeErreur)
  {
    setCodeErreurLNIND2_NOM_MARITAL(pCodeErreur);
  }
  
  public String getLNPIN_PRENOM()
  {
    return m_MI30Infra.getLNPIN_PRENOM();
  }
  
  public String getCodeErreurLNPIN_PRENOM()
  {
    return m_MI30Infra.getLNPIN_PRENOM_C_ERR();
  }
  
  public void setLNPIN_PRENOM(String pValeur)
  {
    m_MI30Infra.setLNPIN_PRENOM(pValeur);
  }
  
  public void setCodeErreurLNPIN_PRENOM(String pCodeErreur)
  {
    m_MI30Infra.setLNPIN_PRENOM_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getLNPIN()
  {
    return getLNPIN_PRENOM();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurLNPIN()
  {
    return getCodeErreurLNPIN_PRENOM();
  }
  
  /**
   * @deprecated
   */
  public void setLNPIN(String pValeur)
  {
    setLNPIN_PRENOM(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurLNPIN(String pCodeErreur)
  {
    setCodeErreurLNPIN_PRENOM(pCodeErreur);
  }
  
  public String getCXCLIF_IDENTIFIANT_BNI_SIGMA()
  {
    return m_MI30Infra.getCXCLIF_IDENTIFIANT_BNI_SIGMA();
  }
  
  public String getCodeErreurCXCLIF_IDENTIFIANT_BNI_SIGMA()
  {
    return m_MI30Infra.getCXCLIF_IDENTIFIANT_BNI_SIGMA_C_ERR();
  }
  
  public void setCXCLIF_IDENTIFIANT_BNI_SIGMA(String pValeur)
  {
    m_MI30Infra.setCXCLIF_IDENTIFIANT_BNI_SIGMA(pValeur);
  }
  
  public void setCodeErreurCXCLIF_IDENTIFIANT_BNI_SIGMA(String pCodeErreur)
  {
    m_MI30Infra.setCXCLIF_IDENTIFIANT_BNI_SIGMA_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCXCLIF()
  {
    return getCXCLIF_IDENTIFIANT_BNI_SIGMA();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCXCLIF()
  {
    return getCodeErreurCXCLIF_IDENTIFIANT_BNI_SIGMA();
  }
  
  /**
   * @deprecated
   */
  public void setCXCLIF(String pValeur)
  {
    setCXCLIF_IDENTIFIANT_BNI_SIGMA(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCXCLIF(String pCodeErreur)
  {
    setCodeErreurCXCLIF_IDENTIFIANT_BNI_SIGMA(pCodeErreur);
  }
  
  public String getCXIN_IDENTIFIANT_DE_L_INDIVIDU()
  {
    return m_MI30Infra.getCXIN_IDENTIFIANT_DE_L_INDIVIDU();
  }
  
  public String getCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU()
  {
    return m_MI30Infra.getCXIN_IDENTIFIANT_DE_L_INDIVIDU_C_ERR();
  }
  
  public void setCXIN_IDENTIFIANT_DE_L_INDIVIDU(String pValeur)
  {
    m_MI30Infra.setCXIN_IDENTIFIANT_DE_L_INDIVIDU(pValeur);
  }
  
  public void setCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU(String pCodeErreur)
  {
    m_MI30Infra.setCXIN_IDENTIFIANT_DE_L_INDIVIDU_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCXIN()
  {
    return getCXIN_IDENTIFIANT_DE_L_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCXIN()
  {
    return getCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public void setCXIN(String pValeur)
  {
    setCXIN_IDENTIFIANT_DE_L_INDIVIDU(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCXIN(String pCodeErreur)
  {
    setCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU(pCodeErreur);
  }
  
  public String getCXASS_CODE_ASSEDIC()
  {
    return m_MI30Infra.getCXASS_CODE_ASSEDIC();
  }
  
  public String getCodeErreurCXASS_CODE_ASSEDIC()
  {
    return m_MI30Infra.getCXASS_CODE_ASSEDIC_C_ERR();
  }
  
  public void setCXASS_CODE_ASSEDIC(String pValeur)
  {
    m_MI30Infra.setCXASS_CODE_ASSEDIC(pValeur);
  }
  
  public void setCodeErreurCXASS_CODE_ASSEDIC(String pCodeErreur)
  {
    m_MI30Infra.setCXASS_CODE_ASSEDIC_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCXASS()
  {
    return getCXASS_CODE_ASSEDIC();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCXASS()
  {
    return getCodeErreurCXASS_CODE_ASSEDIC();
  }
  
  /**
   * @deprecated
   */
  public void setCXASS(String pValeur)
  {
    setCXASS_CODE_ASSEDIC(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCXASS(String pCodeErreur)
  {
    setCodeErreurCXASS_CODE_ASSEDIC(pCodeErreur);
  }
  
  public String getCDTIDJ_TYPE_D_IDENTIFIANT_DIVERS_INDIVIDU()
  {
    return m_MI30Infra.getCDTIDJ_TYPE_D_IDENTIFIANT_DIVERS_INDIVIDU();
  }
  
  public String getCodeErreurCDTIDJ_TYPE_D_IDENTIFIANT_DIVERS_INDIVIDU()
  {
    return m_MI30Infra.getCDTIDJ_TYPE_D_IDENTIFIANT_DIVERS_INDIVIDU_C_ERR();
  }
  
  public void setCDTIDJ_TYPE_D_IDENTIFIANT_DIVERS_INDIVIDU(String pValeur)
  {
    m_MI30Infra.setCDTIDJ_TYPE_D_IDENTIFIANT_DIVERS_INDIVIDU(pValeur);
  }
  
  public void setCodeErreurCDTIDJ_TYPE_D_IDENTIFIANT_DIVERS_INDIVIDU(String pCodeErreur)
  {
    m_MI30Infra.setCDTIDJ_TYPE_D_IDENTIFIANT_DIVERS_INDIVIDU_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDTIDJ()
  {
    return getCDTIDJ_TYPE_D_IDENTIFIANT_DIVERS_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDTIDJ()
  {
    return getCodeErreurCDTIDJ_TYPE_D_IDENTIFIANT_DIVERS_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public void setCDTIDJ(String pValeur)
  {
    setCDTIDJ_TYPE_D_IDENTIFIANT_DIVERS_INDIVIDU(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDTIDJ(String pCodeErreur)
  {
    setCodeErreurCDTIDJ_TYPE_D_IDENTIFIANT_DIVERS_INDIVIDU(pCodeErreur);
  }
  
  public String getISDIVJ_VALEUR_IDENTIFIANT_DIVERS_INDIVIDU()
  {
    return m_MI30Infra.getISDIVJ_VALEUR_IDENTIFIANT_DIVERS_INDIVIDU();
  }
  
  public String getCodeErreurISDIVJ_VALEUR_IDENTIFIANT_DIVERS_INDIVIDU()
  {
    return m_MI30Infra.getISDIVJ_VALEUR_IDENTIFIANT_DIVERS_INDIVIDU_C_ERR();
  }
  
  public void setISDIVJ_VALEUR_IDENTIFIANT_DIVERS_INDIVIDU(String pValeur)
  {
    m_MI30Infra.setISDIVJ_VALEUR_IDENTIFIANT_DIVERS_INDIVIDU(pValeur);
  }
  
  public void setCodeErreurISDIVJ_VALEUR_IDENTIFIANT_DIVERS_INDIVIDU(String pCodeErreur)
  {
    m_MI30Infra.setISDIVJ_VALEUR_IDENTIFIANT_DIVERS_INDIVIDU_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getISDIVJ()
  {
    return getISDIVJ_VALEUR_IDENTIFIANT_DIVERS_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurISDIVJ()
  {
    return getCodeErreurISDIVJ_VALEUR_IDENTIFIANT_DIVERS_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public void setISDIVJ(String pValeur)
  {
    setISDIVJ_VALEUR_IDENTIFIANT_DIVERS_INDIVIDU(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurISDIVJ(String pCodeErreur)
  {
    setCodeErreurISDIVJ_VALEUR_IDENTIFIANT_DIVERS_INDIVIDU(pCodeErreur);
  }
  
  public String getNZOFP_NUMERO_OFPRA()
  {
    return m_MI30Infra.getNZOFP_NUMERO_OFPRA();
  }
  
  public String getCodeErreurNZOFP_NUMERO_OFPRA()
  {
    return m_MI30Infra.getNZOFP_NUMERO_OFPRA_C_ERR();
  }
  
  public void setNZOFP_NUMERO_OFPRA(String pValeur)
  {
    m_MI30Infra.setNZOFP_NUMERO_OFPRA(pValeur);
  }
  
  public void setCodeErreurNZOFP_NUMERO_OFPRA(String pCodeErreur)
  {
    m_MI30Infra.setNZOFP_NUMERO_OFPRA_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getNZOFP()
  {
    return getNZOFP_NUMERO_OFPRA();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurNZOFP()
  {
    return getCodeErreurNZOFP_NUMERO_OFPRA();
  }
  
  /**
   * @deprecated
   */
  public void setNZOFP(String pValeur)
  {
    setNZOFP_NUMERO_OFPRA(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurNZOFP(String pCodeErreur)
  {
    setCodeErreurNZOFP_NUMERO_OFPRA(pCodeErreur);
  }
  
  public String getNZAGD_NUMERO_AGDREF()
  {
    return m_MI30Infra.getNZAGD_NUMERO_AGDREF();
  }
  
  public String getCodeErreurNZAGD_NUMERO_AGDREF()
  {
    return m_MI30Infra.getNZAGD_NUMERO_AGDREF_C_ERR();
  }
  
  public void setNZAGD_NUMERO_AGDREF(String pValeur)
  {
    m_MI30Infra.setNZAGD_NUMERO_AGDREF(pValeur);
  }
  
  public void setCodeErreurNZAGD_NUMERO_AGDREF(String pCodeErreur)
  {
    m_MI30Infra.setNZAGD_NUMERO_AGDREF_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getNZAGD()
  {
    return getNZAGD_NUMERO_AGDREF();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurNZAGD()
  {
    return getCodeErreurNZAGD_NUMERO_AGDREF();
  }
  
  /**
   * @deprecated
   */
  public void setNZAGD(String pValeur)
  {
    setNZAGD_NUMERO_AGDREF(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurNZAGD(String pCodeErreur)
  {
    setCodeErreurNZAGD_NUMERO_AGDREF(pCodeErreur);
  }
  
  public String getISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR()
  {
    return m_MI30Infra.getISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR();
  }
  
  public String getCodeErreurISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR()
  {
    return m_MI30Infra.getISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR_C_ERR();
  }
  
  public void setISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR(String pValeur)
  {
    m_MI30Infra.setISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR(pValeur);
  }
  
  public void setCodeErreurISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR(String pCodeErreur)
  {
    m_MI30Infra.setISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getISNIR()
  {
    return getISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurISNIR()
  {
    return getCodeErreurISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR();
  }
  
  /**
   * @deprecated
   */
  public void setISNIR(String pValeur)
  {
    setISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurISNIR(String pCodeErreur)
  {
    setCodeErreurISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR(pCodeErreur);
  }
  
  public String getISNIRD_NIR_debut_de_plage()
  {
    return m_MI30Infra.getISNIRD_NIR_debut_de_plage();
  }
  
  public String getCodeErreurISNIRD_NIR_debut_de_plage()
  {
    return m_MI30Infra.getISNIRD_NIR_debut_de_plage_C_ERR();
  }
  
  public void setISNIRD_NIR_debut_de_plage(String pValeur)
  {
    m_MI30Infra.setISNIRD_NIR_debut_de_plage(pValeur);
  }
  
  public void setCodeErreurISNIRD_NIR_debut_de_plage(String pCodeErreur)
  {
    m_MI30Infra.setISNIRD_NIR_debut_de_plage_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getISNIRD()
  {
    return getISNIRD_NIR_debut_de_plage();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurISNIRD()
  {
    return getCodeErreurISNIRD_NIR_debut_de_plage();
  }
  
  /**
   * @deprecated
   */
  public void setISNIRD(String pValeur)
  {
    setISNIRD_NIR_debut_de_plage(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurISNIRD(String pCodeErreur)
  {
    setCodeErreurISNIRD_NIR_debut_de_plage(pCodeErreur);
  }
  
  public String getISNIRF_NIR_fin_de_plage()
  {
    return m_MI30Infra.getISNIRF_NIR_fin_de_plage();
  }
  
  public String getCodeErreurISNIRF_NIR_fin_de_plage()
  {
    return m_MI30Infra.getISNIRF_NIR_fin_de_plage_C_ERR();
  }
  
  public void setISNIRF_NIR_fin_de_plage(String pValeur)
  {
    m_MI30Infra.setISNIRF_NIR_fin_de_plage(pValeur);
  }
  
  public void setCodeErreurISNIRF_NIR_fin_de_plage(String pCodeErreur)
  {
    m_MI30Infra.setISNIRF_NIR_fin_de_plage_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getISNIRF()
  {
    return getISNIRF_NIR_fin_de_plage();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurISNIRF()
  {
    return getCodeErreurISNIRF_NIR_fin_de_plage();
  }
  
  /**
   * @deprecated
   */
  public void setISNIRF(String pValeur)
  {
    setISNIRF_NIR_fin_de_plage(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurISNIRF(String pCodeErreur)
  {
    setCodeErreurISNIRF_NIR_fin_de_plage(pCodeErreur);
  }
  
  public String getCDSEX_CODE_SEXE_INDIVIDU()
  {
    return m_MI30Infra.getCDSEX_CODE_SEXE_INDIVIDU();
  }
  
  public String getCodeErreurCDSEX_CODE_SEXE_INDIVIDU()
  {
    return m_MI30Infra.getCDSEX_CODE_SEXE_INDIVIDU_C_ERR();
  }
  
  public void setCDSEX_CODE_SEXE_INDIVIDU(String pValeur)
  {
    m_MI30Infra.setCDSEX_CODE_SEXE_INDIVIDU(pValeur);
  }
  
  public void setCodeErreurCDSEX_CODE_SEXE_INDIVIDU(String pCodeErreur)
  {
    m_MI30Infra.setCDSEX_CODE_SEXE_INDIVIDU_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDSEX()
  {
    return getCDSEX_CODE_SEXE_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDSEX()
  {
    return getCodeErreurCDSEX_CODE_SEXE_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public void setCDSEX(String pValeur)
  {
    setCDSEX_CODE_SEXE_INDIVIDU(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDSEX(String pCodeErreur)
  {
    setCodeErreurCDSEX_CODE_SEXE_INDIVIDU(pCodeErreur);
  }
  
  public String getAOPOS_CODE_POSTAL()
  {
    return m_MI30Infra.getAOPOS_CODE_POSTAL();
  }
  
  public String getCodeErreurAOPOS_CODE_POSTAL()
  {
    return m_MI30Infra.getAOPOS_CODE_POSTAL_C_ERR();
  }
  
  public void setAOPOS_CODE_POSTAL(String pValeur)
  {
    m_MI30Infra.setAOPOS_CODE_POSTAL(pValeur);
  }
  
  public void setCodeErreurAOPOS_CODE_POSTAL(String pCodeErreur)
  {
    m_MI30Infra.setAOPOS_CODE_POSTAL_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getAOPOS()
  {
    return getAOPOS_CODE_POSTAL();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurAOPOS()
  {
    return getCodeErreurAOPOS_CODE_POSTAL();
  }
  
  /**
   * @deprecated
   */
  public void setAOPOS(String pValeur)
  {
    setAOPOS_CODE_POSTAL(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurAOPOS(String pCodeErreur)
  {
    setCodeErreurAOPOS_CODE_POSTAL(pCodeErreur);
  }
  
  public String getCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM()
  {
    return m_MI30Infra.getCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM();
  }
  
  public String getCodeErreurCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM()
  {
    return m_MI30Infra.getCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM_C_ERR();
  }
  
  public void setCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM(String pValeur)
  {
    m_MI30Infra.setCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM(pValeur);
  }
  
  public void setCodeErreurCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM(String pCodeErreur)
  {
    m_MI30Infra.setCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDDPTA()
  {
    return getCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDDPTA()
  {
    return getCodeErreurCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM();
  }
  
  /**
   * @deprecated
   */
  public void setCDDPTA(String pValeur)
  {
    setCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDDPTA(String pCodeErreur)
  {
    setCodeErreurCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM(pCodeErreur);
  }
  
  public String getCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE()
  {
    return m_MI30Infra.getCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE();
  }
  
  public String getCodeErreurCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE()
  {
    return m_MI30Infra.getCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE_C_ERR();
  }
  
  public void setCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE(String pValeur)
  {
    m_MI30Infra.setCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE(pValeur);
  }
  
  public void setCodeErreurCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE(String pCodeErreur)
  {
    m_MI30Infra.setCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDDPTN()
  {
    return getCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDDPTN()
  {
    return getCodeErreurCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE();
  }
  
  /**
   * @deprecated
   */
  public void setCDDPTN(String pValeur)
  {
    setCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDDPTN(String pCodeErreur)
  {
    setCodeErreurCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE(pCodeErreur);
  }
  
  public String getCDCMNN_CODE_COMMUNE_DE_NAISSANCE()
  {
    return m_MI30Infra.getCDCMNN_CODE_COMMUNE_DE_NAISSANCE();
  }
  
  public String getCodeErreurCDCMNN_CODE_COMMUNE_DE_NAISSANCE()
  {
    return m_MI30Infra.getCDCMNN_CODE_COMMUNE_DE_NAISSANCE_C_ERR();
  }
  
  public void setCDCMNN_CODE_COMMUNE_DE_NAISSANCE(String pValeur)
  {
    m_MI30Infra.setCDCMNN_CODE_COMMUNE_DE_NAISSANCE(pValeur);
  }
  
  public void setCodeErreurCDCMNN_CODE_COMMUNE_DE_NAISSANCE(String pCodeErreur)
  {
    m_MI30Infra.setCDCMNN_CODE_COMMUNE_DE_NAISSANCE_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDCMNN()
  {
    return getCDCMNN_CODE_COMMUNE_DE_NAISSANCE();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDCMNN()
  {
    return getCodeErreurCDCMNN_CODE_COMMUNE_DE_NAISSANCE();
  }
  
  /**
   * @deprecated
   */
  public void setCDCMNN(String pValeur)
  {
    setCDCMNN_CODE_COMMUNE_DE_NAISSANCE(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDCMNN(String pCodeErreur)
  {
    setCodeErreurCDCMNN_CODE_COMMUNE_DE_NAISSANCE(pCodeErreur);
  }
  
  public String getCDPAYN_CODE_PAYS_DE_NAISSANCE()
  {
    return m_MI30Infra.getCDPAYN_CODE_PAYS_DE_NAISSANCE();
  }
  
  public String getCodeErreurCDPAYN_CODE_PAYS_DE_NAISSANCE()
  {
    return m_MI30Infra.getCDPAYN_CODE_PAYS_DE_NAISSANCE_C_ERR();
  }
  
  public void setCDPAYN_CODE_PAYS_DE_NAISSANCE(String pValeur)
  {
    m_MI30Infra.setCDPAYN_CODE_PAYS_DE_NAISSANCE(pValeur);
  }
  
  public void setCodeErreurCDPAYN_CODE_PAYS_DE_NAISSANCE(String pCodeErreur)
  {
    m_MI30Infra.setCDPAYN_CODE_PAYS_DE_NAISSANCE_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDPAYN()
  {
    return getCDPAYN_CODE_PAYS_DE_NAISSANCE();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDPAYN()
  {
    return getCodeErreurCDPAYN_CODE_PAYS_DE_NAISSANCE();
  }
  
  /**
   * @deprecated
   */
  public void setCDPAYN(String pValeur)
  {
    setCDPAYN_CODE_PAYS_DE_NAISSANCE(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDPAYN(String pCodeErreur)
  {
    setCodeErreurCDPAYN_CODE_PAYS_DE_NAISSANCE(pCodeErreur);
  }
  
  public String getDDNAI2_DATE_DE_NAISSANCE()
  {
    return m_MI30Infra.getDDNAI2_DATE_DE_NAISSANCE();
  }
  
  public String getCodeErreurDDNAI2_DATE_DE_NAISSANCE()
  {
    return m_MI30Infra.getDDNAI2_DATE_DE_NAISSANCE_C_ERR();
  }
  
  public void setDDNAI2_DATE_DE_NAISSANCE(String pValeur)
  {
    m_MI30Infra.setDDNAI2_DATE_DE_NAISSANCE(pValeur);
  }
  
  public void setCodeErreurDDNAI2_DATE_DE_NAISSANCE(String pCodeErreur)
  {
    m_MI30Infra.setDDNAI2_DATE_DE_NAISSANCE_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getDDNAI2()
  {
    return getDDNAI2_DATE_DE_NAISSANCE();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurDDNAI2()
  {
    return getCodeErreurDDNAI2_DATE_DE_NAISSANCE();
  }
  
  /**
   * @deprecated
   */
  public void setDDNAI2(String pValeur)
  {
    setDDNAI2_DATE_DE_NAISSANCE(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurDDNAI2(String pCodeErreur)
  {
    setCodeErreurDDNAI2_DATE_DE_NAISSANCE(pCodeErreur);
  }
  
  public String getCXASSA_CODE_ASSEDIC_AFFILIATION()
  {
    return m_MI30Infra.getCXASSA_CODE_ASSEDIC_AFFILIATION();
  }
  
  public String getCodeErreurCXASSA_CODE_ASSEDIC_AFFILIATION()
  {
    return m_MI30Infra.getCXASSA_CODE_ASSEDIC_AFFILIATION_C_ERR();
  }
  
  public void setCXASSA_CODE_ASSEDIC_AFFILIATION(String pValeur)
  {
    m_MI30Infra.setCXASSA_CODE_ASSEDIC_AFFILIATION(pValeur);
  }
  
  public void setCodeErreurCXASSA_CODE_ASSEDIC_AFFILIATION(String pCodeErreur)
  {
    m_MI30Infra.setCXASSA_CODE_ASSEDIC_AFFILIATION_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCXASSA()
  {
    return getCXASSA_CODE_ASSEDIC_AFFILIATION();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCXASSA()
  {
    return getCodeErreurCXASSA_CODE_ASSEDIC_AFFILIATION();
  }
  
  /**
   * @deprecated
   */
  public void setCXASSA(String pValeur)
  {
    setCXASSA_CODE_ASSEDIC_AFFILIATION(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCXASSA(String pCodeErreur)
  {
    setCodeErreurCXASSA_CODE_ASSEDIC_AFFILIATION(pCodeErreur);
  }
  
  public BigDecimal getCKNIR_CODE_ATTESTATION_NIR()
  {
    return m_MI30Infra.getCKNIR_CODE_ATTESTATION_NIR();
  }
  
  public String getCodeErreurCKNIR_CODE_ATTESTATION_NIR()
  {
    return m_MI30Infra.getCKNIR_CODE_ATTESTATION_NIR_C_ERR();
  }
  
  public void setCKNIR_CODE_ATTESTATION_NIR(BigDecimal pValeur)
  {
    m_MI30Infra.setCKNIR_CODE_ATTESTATION_NIR(pValeur);
  }
  
  public void setCodeErreurCKNIR_CODE_ATTESTATION_NIR(String pCodeErreur)
  {
    m_MI30Infra.setCKNIR_CODE_ATTESTATION_NIR_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public BigDecimal getCKNIR()
  {
    return getCKNIR_CODE_ATTESTATION_NIR();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCKNIR()
  {
    return getCodeErreurCKNIR_CODE_ATTESTATION_NIR();
  }
  
  /**
   * @deprecated
   */
  public void setCKNIR(BigDecimal pValeur)
  {
    setCKNIR_CODE_ATTESTATION_NIR(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCKNIR(String pCodeErreur)
  {
    setCodeErreurCKNIR_CODE_ATTESTATION_NIR(pCodeErreur);
  }
  
  public String getFFTOP_TOP()
  {
    return m_MI30Infra.getFFTOP_TOP();
  }
  
  public String getCodeErreurFFTOP_TOP()
  {
    return m_MI30Infra.getFFTOP_TOP_C_ERR();
  }
  
  public void setFFTOP_TOP(String pValeur)
  {
    m_MI30Infra.setFFTOP_TOP(pValeur);
  }
  
  public void setCodeErreurFFTOP_TOP(String pCodeErreur)
  {
    m_MI30Infra.setFFTOP_TOP_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getFFTOP()
  {
    return getFFTOP_TOP();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurFFTOP()
  {
    return getCodeErreurFFTOP_TOP();
  }
  
  /**
   * @deprecated
   */
  public void setFFTOP(String pValeur)
  {
    setFFTOP_TOP(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurFFTOP(String pCodeErreur)
  {
    setCodeErreurFFTOP_TOP(pCodeErreur);
  }
  
  public String getCDACF_TOP_RECHERCHE_D_E__ACTIF()
  {
    return m_MI30Infra.getCDACF_TOP_RECHERCHE_D_E__ACTIF();
  }
  
  public String getCodeErreurCDACF_TOP_RECHERCHE_D_E__ACTIF()
  {
    return m_MI30Infra.getCDACF_TOP_RECHERCHE_D_E__ACTIF_C_ERR();
  }
  
  public void setCDACF_TOP_RECHERCHE_D_E__ACTIF(String pValeur)
  {
    m_MI30Infra.setCDACF_TOP_RECHERCHE_D_E__ACTIF(pValeur);
  }
  
  public void setCodeErreurCDACF_TOP_RECHERCHE_D_E__ACTIF(String pCodeErreur)
  {
    m_MI30Infra.setCDACF_TOP_RECHERCHE_D_E__ACTIF_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDACF()
  {
    return getCDACF_TOP_RECHERCHE_D_E__ACTIF();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDACF()
  {
    return getCodeErreurCDACF_TOP_RECHERCHE_D_E__ACTIF();
  }
  
  /**
   * @deprecated
   */
  public void setCDACF(String pValeur)
  {
    setCDACF_TOP_RECHERCHE_D_E__ACTIF(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDACF(String pCodeErreur)
  {
    setCodeErreurCDACF_TOP_RECHERCHE_D_E__ACTIF(pCodeErreur);
  }
  
  public String getCDINA_TOP_RECHERCHE_D_E__INACTIF()
  {
    return m_MI30Infra.getCDINA_TOP_RECHERCHE_D_E__INACTIF();
  }
  
  public String getCodeErreurCDINA_TOP_RECHERCHE_D_E__INACTIF()
  {
    return m_MI30Infra.getCDINA_TOP_RECHERCHE_D_E__INACTIF_C_ERR();
  }
  
  public void setCDINA_TOP_RECHERCHE_D_E__INACTIF(String pValeur)
  {
    m_MI30Infra.setCDINA_TOP_RECHERCHE_D_E__INACTIF(pValeur);
  }
  
  public void setCodeErreurCDINA_TOP_RECHERCHE_D_E__INACTIF(String pCodeErreur)
  {
    m_MI30Infra.setCDINA_TOP_RECHERCHE_D_E__INACTIF_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDINA()
  {
    return getCDINA_TOP_RECHERCHE_D_E__INACTIF();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDINA()
  {
    return getCodeErreurCDINA_TOP_RECHERCHE_D_E__INACTIF();
  }
  
  /**
   * @deprecated
   */
  public void setCDINA(String pValeur)
  {
    setCDINA_TOP_RECHERCHE_D_E__INACTIF(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDINA(String pCodeErreur)
  {
    setCodeErreurCDINA_TOP_RECHERCHE_D_E__INACTIF(pCodeErreur);
  }
  
  public String getCDEPU_TOP_RECHERCHE_D_E__EPURE()
  {
    return m_MI30Infra.getCDEPU_TOP_RECHERCHE_D_E__EPURE();
  }
  
  public String getCodeErreurCDEPU_TOP_RECHERCHE_D_E__EPURE()
  {
    return m_MI30Infra.getCDEPU_TOP_RECHERCHE_D_E__EPURE_C_ERR();
  }
  
  public void setCDEPU_TOP_RECHERCHE_D_E__EPURE(String pValeur)
  {
    m_MI30Infra.setCDEPU_TOP_RECHERCHE_D_E__EPURE(pValeur);
  }
  
  public void setCodeErreurCDEPU_TOP_RECHERCHE_D_E__EPURE(String pCodeErreur)
  {
    m_MI30Infra.setCDEPU_TOP_RECHERCHE_D_E__EPURE_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDEPU()
  {
    return getCDEPU_TOP_RECHERCHE_D_E__EPURE();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDEPU()
  {
    return getCodeErreurCDEPU_TOP_RECHERCHE_D_E__EPURE();
  }
  
  /**
   * @deprecated
   */
  public void setCDEPU(String pValeur)
  {
    setCDEPU_TOP_RECHERCHE_D_E__EPURE(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDEPU(String pCodeErreur)
  {
    setCodeErreurCDEPU_TOP_RECHERCHE_D_E__EPURE(pCodeErreur);
  }
  
  public String getCDETT_TOP_RECHERCHE_SALARIE_E_T_T_()
  {
    return m_MI30Infra.getCDETT_TOP_RECHERCHE_SALARIE_E_T_T_();
  }
  
  public String getCodeErreurCDETT_TOP_RECHERCHE_SALARIE_E_T_T_()
  {
    return m_MI30Infra.getCDETT_TOP_RECHERCHE_SALARIE_E_T_T__C_ERR();
  }
  
  public void setCDETT_TOP_RECHERCHE_SALARIE_E_T_T_(String pValeur)
  {
    m_MI30Infra.setCDETT_TOP_RECHERCHE_SALARIE_E_T_T_(pValeur);
  }
  
  public void setCodeErreurCDETT_TOP_RECHERCHE_SALARIE_E_T_T_(String pCodeErreur)
  {
    m_MI30Infra.setCDETT_TOP_RECHERCHE_SALARIE_E_T_T__C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDETT()
  {
    return getCDETT_TOP_RECHERCHE_SALARIE_E_T_T_();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDETT()
  {
    return getCodeErreurCDETT_TOP_RECHERCHE_SALARIE_E_T_T_();
  }
  
  /**
   * @deprecated
   */
  public void setCDETT(String pValeur)
  {
    setCDETT_TOP_RECHERCHE_SALARIE_E_T_T_(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDETT(String pCodeErreur)
  {
    setCodeErreurCDETT_TOP_RECHERCHE_SALARIE_E_T_T_(pCodeErreur);
  }
  
  public String getCDRDEM_TOP_RECHERCHE_DEMANDEUR()
  {
    return m_MI30Infra.getCDRDEM_TOP_RECHERCHE_DEMANDEUR();
  }
  
  public String getCodeErreurCDRDEM_TOP_RECHERCHE_DEMANDEUR()
  {
    return m_MI30Infra.getCDRDEM_TOP_RECHERCHE_DEMANDEUR_C_ERR();
  }
  
  public void setCDRDEM_TOP_RECHERCHE_DEMANDEUR(String pValeur)
  {
    m_MI30Infra.setCDRDEM_TOP_RECHERCHE_DEMANDEUR(pValeur);
  }
  
  public void setCodeErreurCDRDEM_TOP_RECHERCHE_DEMANDEUR(String pCodeErreur)
  {
    m_MI30Infra.setCDRDEM_TOP_RECHERCHE_DEMANDEUR_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDRDEM()
  {
    return getCDRDEM_TOP_RECHERCHE_DEMANDEUR();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDRDEM()
  {
    return getCodeErreurCDRDEM_TOP_RECHERCHE_DEMANDEUR();
  }
  
  /**
   * @deprecated
   */
  public void setCDRDEM(String pValeur)
  {
    setCDRDEM_TOP_RECHERCHE_DEMANDEUR(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDRDEM(String pCodeErreur)
  {
    setCodeErreurCDRDEM_TOP_RECHERCHE_DEMANDEUR(pCodeErreur);
  }
  
  public String getCDRCA_TOP_RECHERCHE_CANDIDAT()
  {
    return m_MI30Infra.getCDRCA_TOP_RECHERCHE_CANDIDAT();
  }
  
  public String getCodeErreurCDRCA_TOP_RECHERCHE_CANDIDAT()
  {
    return m_MI30Infra.getCDRCA_TOP_RECHERCHE_CANDIDAT_C_ERR();
  }
  
  public void setCDRCA_TOP_RECHERCHE_CANDIDAT(String pValeur)
  {
    m_MI30Infra.setCDRCA_TOP_RECHERCHE_CANDIDAT(pValeur);
  }
  
  public void setCodeErreurCDRCA_TOP_RECHERCHE_CANDIDAT(String pCodeErreur)
  {
    m_MI30Infra.setCDRCA_TOP_RECHERCHE_CANDIDAT_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDRCA()
  {
    return getCDRCA_TOP_RECHERCHE_CANDIDAT();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDRCA()
  {
    return getCodeErreurCDRCA_TOP_RECHERCHE_CANDIDAT();
  }
  
  /**
   * @deprecated
   */
  public void setCDRCA(String pValeur)
  {
    setCDRCA_TOP_RECHERCHE_CANDIDAT(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDRCA(String pCodeErreur)
  {
    setCodeErreurCDRCA_TOP_RECHERCHE_CANDIDAT(pCodeErreur);
  }
  
  public String getCDRBS_TOP_RECHERCHE_BENEFICIAIRE_HORS_IDE()
  {
    return m_MI30Infra.getCDRBS_TOP_RECHERCHE_BENEFICIAIRE_HORS_IDE();
  }
  
  public String getCodeErreurCDRBS_TOP_RECHERCHE_BENEFICIAIRE_HORS_IDE()
  {
    return m_MI30Infra.getCDRBS_TOP_RECHERCHE_BENEFICIAIRE_HORS_IDE_C_ERR();
  }
  
  public void setCDRBS_TOP_RECHERCHE_BENEFICIAIRE_HORS_IDE(String pValeur)
  {
    m_MI30Infra.setCDRBS_TOP_RECHERCHE_BENEFICIAIRE_HORS_IDE(pValeur);
  }
  
  public void setCodeErreurCDRBS_TOP_RECHERCHE_BENEFICIAIRE_HORS_IDE(String pCodeErreur)
  {
    m_MI30Infra.setCDRBS_TOP_RECHERCHE_BENEFICIAIRE_HORS_IDE_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDRBS()
  {
    return getCDRBS_TOP_RECHERCHE_BENEFICIAIRE_HORS_IDE();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDRBS()
  {
    return getCodeErreurCDRBS_TOP_RECHERCHE_BENEFICIAIRE_HORS_IDE();
  }
  
  /**
   * @deprecated
   */
  public void setCDRBS(String pValeur)
  {
    setCDRBS_TOP_RECHERCHE_BENEFICIAIRE_HORS_IDE(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDRBS(String pCodeErreur)
  {
    setCodeErreurCDRBS_TOP_RECHERCHE_BENEFICIAIRE_HORS_IDE(pCodeErreur);
  }
  
  public String getCDRDE_TYPE_ROLE_DE()
  {
    return m_MI30Infra.getCDRDE_TYPE_ROLE_DE();
  }
  
  public String getCodeErreurCDRDE_TYPE_ROLE_DE()
  {
    return m_MI30Infra.getCDRDE_TYPE_ROLE_DE_C_ERR();
  }
  
  public void setCDRDE_TYPE_ROLE_DE(String pValeur)
  {
    m_MI30Infra.setCDRDE_TYPE_ROLE_DE(pValeur);
  }
  
  public void setCodeErreurCDRDE_TYPE_ROLE_DE(String pCodeErreur)
  {
    m_MI30Infra.setCDRDE_TYPE_ROLE_DE_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDRDE()
  {
    return getCDRDE_TYPE_ROLE_DE();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDRDE()
  {
    return getCodeErreurCDRDE_TYPE_ROLE_DE();
  }
  
  /**
   * @deprecated
   */
  public void setCDRDE(String pValeur)
  {
    setCDRDE_TYPE_ROLE_DE(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDRDE(String pCodeErreur)
  {
    setCodeErreurCDRDE_TYPE_ROLE_DE(pCodeErreur);
  }
  
  public String getCDNDE_TYPE_ROLE_NON_DE()
  {
    return m_MI30Infra.getCDNDE_TYPE_ROLE_NON_DE();
  }
  
  public String getCodeErreurCDNDE_TYPE_ROLE_NON_DE()
  {
    return m_MI30Infra.getCDNDE_TYPE_ROLE_NON_DE_C_ERR();
  }
  
  public void setCDNDE_TYPE_ROLE_NON_DE(String pValeur)
  {
    m_MI30Infra.setCDNDE_TYPE_ROLE_NON_DE(pValeur);
  }
  
  public void setCodeErreurCDNDE_TYPE_ROLE_NON_DE(String pCodeErreur)
  {
    m_MI30Infra.setCDNDE_TYPE_ROLE_NON_DE_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDNDE()
  {
    return getCDNDE_TYPE_ROLE_NON_DE();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDNDE()
  {
    return getCodeErreurCDNDE_TYPE_ROLE_NON_DE();
  }
  
  /**
   * @deprecated
   */
  public void setCDNDE(String pValeur)
  {
    setCDNDE_TYPE_ROLE_NON_DE(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDNDE(String pCodeErreur)
  {
    setCodeErreurCDNDE_TYPE_ROLE_NON_DE(pCodeErreur);
  }
  
  public String getCDEMA_ADRESSE_EMAIL()
  {
    return m_MI30Infra.getCDEMA_ADRESSE_EMAIL();
  }
  
  public String getCodeErreurCDEMA_ADRESSE_EMAIL()
  {
    return m_MI30Infra.getCDEMA_ADRESSE_EMAIL_C_ERR();
  }
  
  public void setCDEMA_ADRESSE_EMAIL(String pValeur)
  {
    m_MI30Infra.setCDEMA_ADRESSE_EMAIL(pValeur);
  }
  
  public void setCodeErreurCDEMA_ADRESSE_EMAIL(String pCodeErreur)
  {
    m_MI30Infra.setCDEMA_ADRESSE_EMAIL_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCDEMA()
  {
    return getCDEMA_ADRESSE_EMAIL();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCDEMA()
  {
    return getCodeErreurCDEMA_ADRESSE_EMAIL();
  }
  
  /**
   * @deprecated
   */
  public void setCDEMA(String pValeur)
  {
    setCDEMA_ADRESSE_EMAIL(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCDEMA(String pCodeErreur)
  {
    setCodeErreurCDEMA_ADRESSE_EMAIL(pCodeErreur);
  }
  
  public _MI30 getMI30Infra()
  {
    return m_MI30Infra;
  }
  
  public String toString()
  {
    return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
  }
  
  public boolean isEnErreur()
  {
    if ((getCodeErreurFIRCH_type_de_recherche_individu() != null) && 
      ("".equals(getCodeErreurFIRCH_type_de_recherche_individu()))) {
      return true;
    }
    if ((getCodeErreurLNIND1_NOM_PATRONYMIQUE() != null) && 
      ("".equals(getCodeErreurLNIND1_NOM_PATRONYMIQUE()))) {
      return true;
    }
    if ((getCodeErreurLNIND2_NOM_MARITAL() != null) && 
      ("".equals(getCodeErreurLNIND2_NOM_MARITAL()))) {
      return true;
    }
    if ((getCodeErreurLNPIN_PRENOM() != null) && 
      ("".equals(getCodeErreurLNPIN_PRENOM()))) {
      return true;
    }
    if ((getCodeErreurCXCLIF_IDENTIFIANT_BNI_SIGMA() != null) && 
      ("".equals(getCodeErreurCXCLIF_IDENTIFIANT_BNI_SIGMA()))) {
      return true;
    }
    if ((getCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU() != null) && 
      ("".equals(getCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU()))) {
      return true;
    }
    if ((getCodeErreurCXASS_CODE_ASSEDIC() != null) && 
      ("".equals(getCodeErreurCXASS_CODE_ASSEDIC()))) {
      return true;
    }
    if ((getCodeErreurCDTIDJ_TYPE_D_IDENTIFIANT_DIVERS_INDIVIDU() != null) && 
      ("".equals(getCodeErreurCDTIDJ_TYPE_D_IDENTIFIANT_DIVERS_INDIVIDU()))) {
      return true;
    }
    if ((getCodeErreurISDIVJ_VALEUR_IDENTIFIANT_DIVERS_INDIVIDU() != null) && 
      ("".equals(getCodeErreurISDIVJ_VALEUR_IDENTIFIANT_DIVERS_INDIVIDU()))) {
      return true;
    }
    if ((getCodeErreurNZOFP_NUMERO_OFPRA() != null) && 
      ("".equals(getCodeErreurNZOFP_NUMERO_OFPRA()))) {
      return true;
    }
    if ((getCodeErreurNZAGD_NUMERO_AGDREF() != null) && 
      ("".equals(getCodeErreurNZAGD_NUMERO_AGDREF()))) {
      return true;
    }
    if ((getCodeErreurISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR() != null) && 
      ("".equals(getCodeErreurISNIR_NUMERO_IDENTIFICATION_REPERTOIRE_NIR()))) {
      return true;
    }
    if ((getCodeErreurISNIRD_NIR_debut_de_plage() != null) && 
      ("".equals(getCodeErreurISNIRD_NIR_debut_de_plage()))) {
      return true;
    }
    if ((getCodeErreurISNIRF_NIR_fin_de_plage() != null) && 
      ("".equals(getCodeErreurISNIRF_NIR_fin_de_plage()))) {
      return true;
    }
    if ((getCodeErreurCDSEX_CODE_SEXE_INDIVIDU() != null) && 
      ("".equals(getCodeErreurCDSEX_CODE_SEXE_INDIVIDU()))) {
      return true;
    }
    if ((getCodeErreurAOPOS_CODE_POSTAL() != null) && 
      ("".equals(getCodeErreurAOPOS_CODE_POSTAL()))) {
      return true;
    }
    if ((getCodeErreurCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM() != null) && 
      ("".equals(getCodeErreurCDDPTA_CODE_DEPARTEMENT_POUR_DOMTOM()))) {
      return true;
    }
    if ((getCodeErreurCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE() != null) && 
      ("".equals(getCodeErreurCDDPTN_CODE_DEPARTEMENT_DE_NAISSANCE()))) {
      return true;
    }
    if ((getCodeErreurCDCMNN_CODE_COMMUNE_DE_NAISSANCE() != null) && 
      ("".equals(getCodeErreurCDCMNN_CODE_COMMUNE_DE_NAISSANCE()))) {
      return true;
    }
    if ((getCodeErreurCDPAYN_CODE_PAYS_DE_NAISSANCE() != null) && 
      ("".equals(getCodeErreurCDPAYN_CODE_PAYS_DE_NAISSANCE()))) {
      return true;
    }
    if ((getCodeErreurDDNAI2_DATE_DE_NAISSANCE() != null) && 
      ("".equals(getCodeErreurDDNAI2_DATE_DE_NAISSANCE()))) {
      return true;
    }
    if ((getCodeErreurCXASSA_CODE_ASSEDIC_AFFILIATION() != null) && 
      ("".equals(getCodeErreurCXASSA_CODE_ASSEDIC_AFFILIATION()))) {
      return true;
    }
    if ((getCodeErreurCKNIR_CODE_ATTESTATION_NIR() != null) && 
      ("".equals(getCodeErreurCKNIR_CODE_ATTESTATION_NIR()))) {
      return true;
    }
    if ((getCodeErreurFFTOP_TOP() != null) && 
      ("".equals(getCodeErreurFFTOP_TOP()))) {
      return true;
    }
    if ((getCodeErreurCDACF_TOP_RECHERCHE_D_E__ACTIF() != null) && 
      ("".equals(getCodeErreurCDACF_TOP_RECHERCHE_D_E__ACTIF()))) {
      return true;
    }
    if ((getCodeErreurCDINA_TOP_RECHERCHE_D_E__INACTIF() != null) && 
      ("".equals(getCodeErreurCDINA_TOP_RECHERCHE_D_E__INACTIF()))) {
      return true;
    }
    if ((getCodeErreurCDEPU_TOP_RECHERCHE_D_E__EPURE() != null) && 
      ("".equals(getCodeErreurCDEPU_TOP_RECHERCHE_D_E__EPURE()))) {
      return true;
    }
    if ((getCodeErreurCDETT_TOP_RECHERCHE_SALARIE_E_T_T_() != null) && 
      ("".equals(getCodeErreurCDETT_TOP_RECHERCHE_SALARIE_E_T_T_()))) {
      return true;
    }
    if ((getCodeErreurCDRDEM_TOP_RECHERCHE_DEMANDEUR() != null) && 
      ("".equals(getCodeErreurCDRDEM_TOP_RECHERCHE_DEMANDEUR()))) {
      return true;
    }
    if ((getCodeErreurCDRCA_TOP_RECHERCHE_CANDIDAT() != null) && 
      ("".equals(getCodeErreurCDRCA_TOP_RECHERCHE_CANDIDAT()))) {
      return true;
    }
    if ((getCodeErreurCDRBS_TOP_RECHERCHE_BENEFICIAIRE_HORS_IDE() != null) && 
      ("".equals(getCodeErreurCDRBS_TOP_RECHERCHE_BENEFICIAIRE_HORS_IDE()))) {
      return true;
    }
    if ((getCodeErreurCDRDE_TYPE_ROLE_DE() != null) && 
      ("".equals(getCodeErreurCDRDE_TYPE_ROLE_DE()))) {
      return true;
    }
    if ((getCodeErreurCDNDE_TYPE_ROLE_NON_DE() != null) && 
      ("".equals(getCodeErreurCDNDE_TYPE_ROLE_NON_DE()))) {
      return true;
    }
    if ((getCodeErreurCDEMA_ADRESSE_EMAIL() != null) && 
      ("".equals(getCodeErreurCDEMA_ADRESSE_EMAIL()))) {
      return true;
    }
    return false;
  }
}

/* Location:
 * Qualified Name:     _MI30Impl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */