package fr.unedic.logique.donnees.rac.commun.dra.zu;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.archi.logique.adaptateur.ObjetSerialisableFournisseur;
import java.io.Serializable;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

public class _MI8GImpl
  extends MI8G
  implements ObjetSerialisableFournisseur, Serializable
{
  private static final long serialVersionUID = 1L;
  private final _MI8G m_MI8GInfra;
  
  public _MI8GImpl()
  {
    m_MI8GInfra = new _MI8G();
  }
  
  public _MI8GImpl(_MI8G pValeur)
  {
    ExceptionUtil.assertMethodParamNotNull("MI8GInfra", pValeur);
    
    m_MI8GInfra = pValeur;
  }
  
  public Object getObjet()
  {
    return m_MI8GInfra;
  }
  
  public String getIdentifiant()
  {
    return m_MI8GInfra.get_IDENT();
  }
  
  public void setIdentifiant(String pIdentifiant)
  {
    m_MI8GInfra.set_IDENT(pIdentifiant);
  }
  
  public String getCodeEtat()
  {
    return m_MI8GInfra.get_C_ETAT();
  }
  
  public void setCodeEtat(String pCode)
  {
    m_MI8GInfra.set_C_ETAT(pCode);
  }
  
  public String getCXALAK_IDENTIFIANT_ALIAS_NCP()
  {
    return m_MI8GInfra.getCXALAK_IDENTIFIANT_ALIAS_NCP();
  }
  
  public String getCodeErreurCXALAK_IDENTIFIANT_ALIAS_NCP()
  {
    return m_MI8GInfra.getCXALAK_IDENTIFIANT_ALIAS_NCP_C_ERR();
  }
  
  public void setCXALAK_IDENTIFIANT_ALIAS_NCP(String pValeur)
  {
    m_MI8GInfra.setCXALAK_IDENTIFIANT_ALIAS_NCP(pValeur);
  }
  
  public void setCodeErreurCXALAK_IDENTIFIANT_ALIAS_NCP(String pCodeErreur)
  {
    m_MI8GInfra.setCXALAK_IDENTIFIANT_ALIAS_NCP_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCXALAK()
  {
    return getCXALAK_IDENTIFIANT_ALIAS_NCP();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCXALAK()
  {
    return getCodeErreurCXALAK_IDENTIFIANT_ALIAS_NCP();
  }
  
  /**
   * @deprecated
   */
  public void setCXALAK(String pValeur)
  {
    setCXALAK_IDENTIFIANT_ALIAS_NCP(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCXALAK(String pCodeErreur)
  {
    setCodeErreurCXALAK_IDENTIFIANT_ALIAS_NCP(pCodeErreur);
  }
  
  public String getCXIN_IDENTIFIANT_DE_L_INDIVIDU()
  {
    return m_MI8GInfra.getCXIN_IDENTIFIANT_DE_L_INDIVIDU();
  }
  
  public String getCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU()
  {
    return m_MI8GInfra.getCXIN_IDENTIFIANT_DE_L_INDIVIDU_C_ERR();
  }
  
  public void setCXIN_IDENTIFIANT_DE_L_INDIVIDU(String pValeur)
  {
    m_MI8GInfra.setCXIN_IDENTIFIANT_DE_L_INDIVIDU(pValeur);
  }
  
  public void setCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU(String pCodeErreur)
  {
    m_MI8GInfra.setCXIN_IDENTIFIANT_DE_L_INDIVIDU_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCXIN()
  {
    return getCXIN_IDENTIFIANT_DE_L_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCXIN()
  {
    return getCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU();
  }
  
  /**
   * @deprecated
   */
  public void setCXIN(String pValeur)
  {
    setCXIN_IDENTIFIANT_DE_L_INDIVIDU(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCXIN(String pCodeErreur)
  {
    setCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU(pCodeErreur);
  }
  
  public String getCXASS_CODE_ASSEDIC()
  {
    return m_MI8GInfra.getCXASS_CODE_ASSEDIC();
  }
  
  public String getCodeErreurCXASS_CODE_ASSEDIC()
  {
    return m_MI8GInfra.getCXASS_CODE_ASSEDIC_C_ERR();
  }
  
  public void setCXASS_CODE_ASSEDIC(String pValeur)
  {
    m_MI8GInfra.setCXASS_CODE_ASSEDIC(pValeur);
  }
  
  public void setCodeErreurCXASS_CODE_ASSEDIC(String pCodeErreur)
  {
    m_MI8GInfra.setCXASS_CODE_ASSEDIC_C_ERR(pCodeErreur);
  }
  
  /**
   * @deprecated
   */
  public String getCXASS()
  {
    return getCXASS_CODE_ASSEDIC();
  }
  
  /**
   * @deprecated
   */
  public String getCodeErreurCXASS()
  {
    return getCodeErreurCXASS_CODE_ASSEDIC();
  }
  
  /**
   * @deprecated
   */
  public void setCXASS(String pValeur)
  {
    setCXASS_CODE_ASSEDIC(pValeur);
  }
  
  /**
   * @deprecated
   */
  public void setCodeErreurCXASS(String pCodeErreur)
  {
    setCodeErreurCXASS_CODE_ASSEDIC(pCodeErreur);
  }
  
  public _MI8G getMI8GInfra()
  {
    return m_MI8GInfra;
  }
  
  public String toString()
  {
    return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
  }
  
  public boolean isEnErreur()
  {
    if ((getCodeErreurCXALAK_IDENTIFIANT_ALIAS_NCP() != null) && 
      ("".equals(getCodeErreurCXALAK_IDENTIFIANT_ALIAS_NCP()))) {
      return true;
    }
    if ((getCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU() != null) && 
      ("".equals(getCodeErreurCXIN_IDENTIFIANT_DE_L_INDIVIDU()))) {
      return true;
    }
    if ((getCodeErreurCXASS_CODE_ASSEDIC() != null) && 
      ("".equals(getCodeErreurCXASS_CODE_ASSEDIC()))) {
      return true;
    }
    return false;
  }
}

/* Location:
 * Qualified Name:     _MI8GImpl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */