package fr.unedic.cali.asu.asr.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.ResultatDeterminationDateLimiteIndemnisation;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class DeterminationDateLimiteIndemnisation
  extends fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.DeterminationDateLimiteIndemnisation
{
  public static ResultatDeterminationDateLimiteIndemnisation determinerDateLimiteIndemnisation(Demande demande)
    throws CoucheLogiqueException
  {
    ResultatDeterminationDateLimiteIndemnisation resultatDateLimiteIndemnisationAsr = new ResultatDeterminationDateLimiteIndemnisation();
    
    DossierExamen dossierExamenCourant = (DossierExamen)demande.getDossierExamen();
    
    Damj dateAttribution = dossierExamenCourant.getDateAttribution();
    
    Damj dateLimiteSpecifiqueAsr = determinerDateLimiteIndemnisationSpecifiqueAsr(demande);
    
    ResultatDeterminationDateLimiteIndemnisation resultatDateLimiteIndemnsationCasGeneral = fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.DeterminationDateLimiteIndemnisation.determinerDateLimiteIndemnisation(demande);
    
    Damj dateLimiteIndemnisationCasGeneral = resultatDateLimiteIndemnsationCasGeneral.getDateLimiteIndemnisation();
    if ((dateLimiteIndemnisationCasGeneral != null) && (dateLimiteIndemnisationCasGeneral.estAvantOuCoincideAvec(dateLimiteSpecifiqueAsr)))
    {
      resultatDateLimiteIndemnisationAsr.setDateLimiteIndemnisation(dateLimiteIndemnisationCasGeneral);
      resultatDateLimiteIndemnisationAsr.setContexteDateLimiteIndemnisation(resultatDateLimiteIndemnsationCasGeneral.getContexteDateLimiteIndemnisation());
    }
    else
    {
      resultatDateLimiteIndemnisationAsr.setDateLimiteIndemnisation(dateLimiteSpecifiqueAsr);
      resultatDateLimiteIndemnisationAsr.setContexteDateLimiteIndemnisation("IDEASP");
    }
    resultatDateLimiteIndemnisationAsr.setDateDebutIndemnisation(dateAttribution);
    
    return resultatDateLimiteIndemnisationAsr;
  }
}

/* Location:
 * Qualified Name:     DeterminationDateLimiteIndemnisation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */