package fr.unedic.cali.asu.asr.liquidation.outilsfonctionnels;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.archi.util.trace.Niveau;
import fr.unedic.cali.asu.cge01.liquidation.dom.ResultatDeterminationDuree;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.outilsfonctionnels.OutilAsr;
import fr.unedic.cali.asu.outilsfonctionnels.OutilDemande;
import fr.unedic.cali.dom.QuantiteDroit;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.OutilFonctionnel;
import java.util.List;

public class DeterminationDureeReglementaire
  implements OutilFonctionnel
{
  public static DeterminationDureeReglementaire getInstance()
  {
    return new DeterminationDureeReglementaire();
  }
  
  public ResultatDeterminationDuree determinerDureeReglementaire(Demande p_demande)
    throws ApplicativeException
  {
    OutilTrace.ecrireTrace(Niveau.INFO, new Object[] { "Début de la (re)détermination de la durée règlementaire." });
    
    ResultatDeterminationDuree dureeIndemnisation = new ResultatDeterminationDuree();
    
    AttributionAssuranceSpec attributionArePrecedente = OutilDemande.getArePrecedentCsr(p_demande);
    Quantite reliquat = OutilAsr.calculerReliquatArePrecedentAsr(p_demande, attributionArePrecedente);
    
    Quantite dureeReglementaireCouranteARE = attributionArePrecedente.getDureeIndemnisationInitiale();
    int premiereDuree = 0;
    Quantite dureeReglementaireProduitResultantARE = ((QuantiteDroit)attributionArePrecedente.getListeDurees().get(premiereDuree)).getQuantiteInitial();
    
    Quantite dureeIndemnisationARE = dureeReglementaireProduitResultantARE.soustraire(reliquat);
    
    Quantite dureeReglementaireASR = dureeReglementaireCouranteARE.soustraire(dureeIndemnisationARE);
    
    dureeIndemnisation.setDureeTheorique(dureeReglementaireASR);
    
    return dureeIndemnisation;
  }
}

/* Location:
 * Qualified Name:     DeterminationDureeReglementaire
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */