package fr.unedic.cali.asu.asr.liquidation.outilsfonctionnels;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.cge01.liquidation.dom.ResultatDeterminationDuree;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.DeterminationDureeReglementaire;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.liquidation.outilsfonctionnels.OutilAdhesionVolontaire;
import fr.unedic.cali.utilitaire.filtres.composites.FiltreAttributionStandardAssurance;
import fr.unedic.cali.utilitaire.outils.OutilRecherche;
import fr.unedic.util.Quantite;

public class DeterminationDureeReglementaireAdhesionVolontaire
  extends DeterminationDureeReglementaire
{
  public static DeterminationDureeReglementaireAdhesionVolontaire getInstanceAdhesionVolontaire()
  {
    return new DeterminationDureeReglementaireAdhesionVolontaire();
  }
  
  public ResultatDeterminationDuree determinerDureeReglementaire(Demande p_demande)
    throws ApplicativeException
  {
    ResultatDeterminationDuree dureeIndemnisation = super.determinerDureeReglementaire(p_demande, false, false);
    AttributionAssuranceSpec attributionAssurance = (AttributionAssuranceSpec)OutilRecherche.rechercherDecisionPrecedente(p_demande.getChronologieDemandesAssuranceSansCourante(), p_demande, new FiltreAttributionStandardAssurance(true, true, false, false, null));
    
    Quantite nouvelleDureeTheorique = OutilAdhesionVolontaire.imputerQuantite(p_demande, attributionAssurance, dureeIndemnisation.getDureeTheorique());
    
    dureeIndemnisation.setDureeTheorique(nouvelleDureeTheorique);
    return dureeIndemnisation;
  }
}

/* Location:
 * Qualified Name:     DeterminationDureeReglementaireAdhesionVolontaire
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */