package fr.unedic.cali.asu.asr.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.asr.liquidation.outilsfonctionnels.DeterminationDateLimiteIndemnisation;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsSpec;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.ResultatDeterminationDateLimiteIndemnisation;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;

public class ConstitutionDateLimiteIndemnisation
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte p_contexte)
    throws ApplicativeException
  {
    OutilTrace.tracerDebutParcours();
    
    Resultat resultatCEPA04 = new Resultat();
    
    Demande demande = DomLiquidationAssurance.getDemande(p_contexte);
    
    creerCepaDateLimiteIndemnisationPourdemande(demande);
    
    OutilTrace.tracerFinParcours();
    
    return resultatCEPA04;
  }
  
  public void creerCepaDateLimiteIndemnisationPourdemande(Demande p_demande)
    throws CoucheLogiqueException
  {
    DossierExamen dossierExamenCourant = (DossierExamen)p_demande.getDossierExamen();
    fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionDateLimiteIndemnisation contitutionDateLimiteIndemnisation = dossierExamenCourant.getConstitutionElementsActifs().createConstitutionDateLimiteIndemnisation();
    
    ResultatDeterminationDateLimiteIndemnisation resultat = DeterminationDateLimiteIndemnisation.determinerDateLimiteIndemnisation(p_demande);
    
    contitutionDateLimiteIndemnisation.setContexteDateLimiteIndemnisation(resultat.getContexteDateLimiteIndemnisation());
    contitutionDateLimiteIndemnisation.setDateDebutIndem(resultat.getDateDebutIndemnisation());
    contitutionDateLimiteIndemnisation.setDateLimiteIndem(resultat.getDateLimiteIndemnisation());
  }
}

/* Location:
 * Qualified Name:     ConstitutionDateLimiteIndemnisation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */