package fr.unedic.cali.asu.asr.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.asr.liquidation.outilsfonctionnels.DeterminationDureeReglementaireAdhesionVolontaire;
import fr.unedic.cali.asu.cge01.liquidation.dom.ResultatDeterminationDuree;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierAffecte;
import fr.unedic.cali.asu.dom.ValidationProduit;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionDurees;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsSpec;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;
import fr.unedic.util.temps.UniteDuree;

public class ConstitutionDureeReglementaireAdhesionVolontaire
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte p_contexte)
    throws CoucheLogiqueException, ApplicativeException
  {
    OutilTrace.tracerDebutParcours();
    
    Resultat resultatCEPA02 = new Resultat(0);
    
    Demande demande = DomLiquidationAssurance.getDemande(p_contexte);
    
    DossierExamen dossierExamenCourant = (DossierExamen)demande.getDossierExamen();
    
    ResultatDeterminationDuree resultat = null;
    if (((DossierAffecte)dossierExamenCourant.getDossierAffecte()).getValidationProduit().getQteAcquise() == null)
    {
      String typeContexte = demande.getContexteAffiliationValide();
      if ("SUITECSR".equals(typeContexte))
      {
        resultat = fr.unedic.cali.asu.asr.liquidation.outilsfonctionnels.DeterminationDureeReglementaire.getInstance().determinerDureeReglementaire(demande);
      }
      else if ("CSPAEREV".equals(typeContexte))
      {
        resultat = new ResultatDeterminationDuree();
        Quantite quantiteDefaut = new Quantite(365, UniteDuree.JOUR);
        resultat.setDureeTheorique(quantiteDefaut);
      }
    }
    else
    {
      resultat = DeterminationDureeReglementaireAdhesionVolontaire.getInstanceAdhesionVolontaire().determinerDureeReglementaire(demande);
    }
    fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.DeterminationDureeReglementaire.getInstance().mapperResultatSurDom(resultat, dossierExamenCourant.getConstitutionElementsActifs().createConstitutionDurees().createDureeIndemnisation());
    
    OutilTrace.tracerFinParcours();
    
    return resultatCEPA02;
  }
}

/* Location:
 * Qualified Name:     ConstitutionDureeReglementaireAdhesionVolontaire
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */