package fr.unedic.cali.asu.caa14.p01.calcul.outilsfonctionnels;

import fr.unedic.cali.asu.caa14.p01.calcul.dom.Montant;
import fr.unedic.util.Mathematiques;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import fr.unedic.util.UniteMonaitaire;
import java.math.BigDecimal;

public class CotisationRetraiteComplementaire
{
  protected static final Unite UNITE_UTILISEE = UniteMonaitaire.get("Euros");
  
  public static Quantite getCotisationEffective(Montant p_montant, BigDecimal p_sjrrp, BigDecimal p_coefficientSaisonnier, BigDecimal p_montantBrutJournalier, BigDecimal p_miniAre, BigDecimal p_tauxCrc)
  {
    BigDecimal assiette = p_sjrrp.multiply(p_coefficientSaisonnier);
    
    BigDecimal seuilExoneration = p_miniAre;
    
    BigDecimal baseExoneration = p_montantBrutJournalier;
    
    BigDecimal baseNonExoneration = baseExoneration.subtract(assiette.multiply(p_tauxCrc));
    
    BigDecimal montantEffectif = null;
    if (baseExoneration.compareTo(seuilExoneration) <= 0)
    {
      montantEffectif = new BigDecimal("0");
      p_montant.setPositionExonerationCrc("T");
    }
    else if (baseNonExoneration.compareTo(seuilExoneration) > 0)
    {
      montantEffectif = Mathematiques.arrondiASup(assiette.multiply(p_tauxCrc), 2);
      p_montant.setPositionExonerationCrc("N");
    }
    else
    {
      montantEffectif = Mathematiques.arrondiASup(baseExoneration.subtract(seuilExoneration), 2);
      p_montant.setPositionExonerationCrc("P");
    }
    p_montant.setTauxCrc(p_tauxCrc);
    p_montant.setBaseCalculCrc(p_sjrrp.multiply(p_coefficientSaisonnier));
    p_montant.setSjrNonReduit(p_sjrrp);
    
    return new Quantite(montantEffectif, UNITE_UTILISEE);
  }
}

/* Location:
 * Qualified Name:     CotisationRetraiteComplementaire
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */