package fr.unedic.cali.asu.caa14.p01.calcul.outilsfonctionnels.strategies;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.RechercheConditionCumulActiviteConservee;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.RechercheConditionCumulActiviteConserveeAncienneRegle;
import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;

public class StrategieActiviteReduitePansConserveeApres
  implements StrategieActiviteReduitePansConserveeSpec
{
  public static final int DECEMBRE = 12;
  public static final int TRENTE_UN = 31;
  
  public BigDecimal getGainPansConserveeALaLiquidation(AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    Chronologie chronologiePeriodeActivitesConservees = ((Attribution)p_attribution).getListeActiviteConservee();
    RechercheConditionCumulActiviteConservee rechercheConditionCumulActiviteConservee = RechercheConditionCumulActiviteConserveeAncienneRegle.getInstance();
    Periode periodeAnneeCivilePrecedente = rechercheConditionCumulActiviteConservee.determinerAnneeCivilePrecedantDate(((Attribution)p_attribution).getTermePrcActiviteConservee());
    Periode periodeAnneeCivileEnCours = rechercheConditionCumulActiviteConservee.determinerDebutAnneeCivileDateExamen(((Attribution)p_attribution).getTermePrcActiviteConservee());
    return rechercheConditionCumulActiviteConservee.determinerMontantRemunerationMensuellePansConservees(periodeAnneeCivilePrecedente, periodeAnneeCivileEnCours, chronologiePeriodeActivitesConservees);
  }
}

/* Location:
 * Qualified Name:     StrategieActiviteReduitePansConserveeApres
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */