package fr.unedic.cali.asu.caa14.p01.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.competence.DeterminationCompetenceCge;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.dom.DossierAffecte;
import fr.unedic.cali.asu.dom.ResultatDeterminationCompetence;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionQuantiteAffiliation;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.ObjetAlertesNonBloquantes;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Periode;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Hashtable;

public class DeterminationCompetence
  extends DeterminationCompetenceCge
{
  public static DeterminationCompetenceCge getInstance()
  {
    return new DeterminationCompetence();
  }
  
  public void determinerChargeIndemnisationDroitCourant(Demande p_demande, ResultatDeterminationCompetence resultatDeterminationCompetence)
    throws CoucheLogiqueException
  {
    Periode periodeRechercheAffiliation = ((DossierExamen)p_demande.getDossierExamen()).getConstitutionQuantiteAffiliation().getPeriodePRA();
    
    ChronologiePeriodes chronoPasseProfessionnel = p_demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation();
    
    constituerDureeActiviteSpEtRacSurDroitCourant(resultatDeterminationCompetence, periodeRechercheAffiliation, chronoPasseProfessionnel, p_demande);
    
    int dureeActiviteRelevantSecteurPrive = resultatDeterminationCompetence.getDureeActiviteSecteurPrive() + resultatDeterminationCompetence.getDureeActiviteSecteurPublicAffilie() + resultatDeterminationCompetence.getDureeActiviteSecteurPriveCaCae();
    
    int dureeActiviteRelevantSecteurPublic = resultatDeterminationCompetence.getDureeActiviteSecteurPublicAutoAssurance() + resultatDeterminationCompetence.getDureeActiviteSecteurPublicConventionGestion();
    if ((dureeActiviteRelevantSecteurPrive != 0) && (dureeActiviteRelevantSecteurPublic != 0)) {
      verifierOriginePAS((DossierAffecte)p_demande.getDossierAffectation(), chronoPasseProfessionnel);
    }
    resultatDeterminationCompetence.setChargeIndemnisationDroitCourant(1);
    if (dureeActiviteRelevantSecteurPublic > dureeActiviteRelevantSecteurPrive) {
      if (p_demande.getDonneesTemporaires().isEstRetenirActSectPrive())
      {
        if (p_demande.getDonneesTemporaires().getQuantiteAffiliation() != null)
        {
          Collection listePeriodesEnAlertes = new ArrayList();
          
          listePeriodesEnAlertes.add(new ObjetAlertesNonBloquantes(periodeRechercheAffiliation.getDebut(), periodeRechercheAffiliation.getFin(), 999));
          
          p_demande.getAlertesNonBloquantes().put("A14MNB1", listePeriodesEnAlertes);
        }
      }
      else {
        fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ALERTE_A14MB4");
      }
    }
  }
  
  public void determinerCompetenceFinanciere(Demande p_demande, ResultatDeterminationCompetence resultatDeterminationCompetence)
    throws CoucheLogiqueException
  {
    determinerChargeIndemnisationDroitExecutable(p_demande, resultatDeterminationCompetence);
    if (resultatDeterminationCompetence.getCompetenceFinanciere() == 2) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ALERTE_SP");
    }
  }
  
  public void determinerCompetenceAdministrativeDroitCourant(Demande p_demande, ResultatDeterminationCompetence resultatDeterminationCompetence)
  {
    resultatDeterminationCompetence.setCompetenceAdministrative(1);
  }
}

/* Location:
 * Qualified Name:     DeterminationCompetence
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */