package fr.unedic.cali.asu.caa14.p01.liquidation.outilsfonctionnels;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.MontantAsuSpec;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.dom.Competences;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.FormuleMontantSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.affectation.GammeAsuSpec;
import fr.unedic.cali.dom.affectation.LigneAsuCge01;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.dom.conteneurs.DonneesEntreesRecuperationMontant;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.OutilFonctionnel;
import fr.unedic.util.temps.Damj;

public class DeterminationProduitResultant
  extends fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.DeterminationProduitResultant
  implements OutilFonctionnel
{
  public static fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.DeterminationProduitResultant getInstance()
  {
    return new DeterminationProduitResultant();
  }
  
  public Damj determinerPointDepart(AttributionAssuranceSpec p_attribution, Sjr p_sjr)
    throws CoucheLogiqueException, ApplicativeException
  {
    return p_attribution.getDateAttribution();
  }
  
  public MontantAsuSpec obtenirMontantDroitCourantCasGeneral(DossierExamen p_dossierExamen)
    throws CoucheLogiqueException
  {
    AttributionAssuranceSpec attributionCourante = (AttributionAssuranceSpec)p_dossierExamen;
    Demande demandeCourante = (Demande)attributionCourante.getDemande();
    
    ProduitAsuSpec produit = (ProduitAsuSpec)LigneAsuCge01.getInstance().getProduitActif(p_dossierExamen.getDemande().getDateExamen());
    
    IndividuSpec demandeur = demandeCourante.getDemandeur();
    GammeAsuSpec gamme = (GammeAsuSpec)attributionCourante.getGamme();
    DonneesEntreesRecuperationMontant donneesEntrees = gamme.mapperDonneesEntreesRecuperationMontant(attributionCourante);
    
    Competences competences = donneesEntrees.getCompetences();
    
    FormuleMontantSpec formule = produit.getFormuleMontant("1");
    
    Damj dateCalcul = determinerDateCalcul(p_dossierExamen);
    
    return obtenirMontant(produit, produit, demandeur, donneesEntrees, competences, formule, dateCalcul, estContexteFormation(demandeCourante));
  }
}

/* Location:
 * Qualified Name:     DeterminationProduitResultant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */