package fr.unedic.cali.asu.caa14.p03.liquidation.dom;

import fr.unedic.cali.asu.asr.liquidation.parcours.DeterminationConditionRechercheEmploiAsp;
import fr.unedic.cali.asu.asr.liquidation.parcours.DeterminationConditionRechercheEmploiPap;
import fr.unedic.cali.asu.caa14.p03.liquidation.dom.gen.ObjectifExamenRepriseGen;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.services.Parcours;
import java.util.List;

public class ObjectifExamenReprise
  extends ObjectifExamenRepriseGen
{
  private static final long serialVersionUID = 1L;
  private transient List<ContexteDemandeSpec> listeContextesDemande = null;
  
  public ObjectifExamenReprise(List<ContexteDemandeSpec> contexteDemande)
  {
    listeContextesDemande = contexteDemande;
  }
  
  public ObjectifExamenReprise(DomPCSpec pc)
  {
    super(pc);
  }
  
  public ObjectifExamenReprise() {}
  
  public Parcours creerParcoursConditionRechercheEmploi()
  {
    if (OutilGestionContexteDemande.estContextePresentDansRegroupement(listeContextesDemande, 10)) {
      return new DeterminationConditionRechercheEmploiPap();
    }
    return new DeterminationConditionRechercheEmploiAsp();
  }
}

/* Location:
 * Qualified Name:     ObjectifExamenReprise
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */