package fr.unedic.cali.asu.caa14.p03.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.DecisionSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.utilitaire.filtres.generiques.FiltreDemandePourTypeContexteDemande;
import fr.unedic.cali.utilitaire.outils.OutilRecherche;

public class OutilDeterminationCodeSousProduit
{
  public static OutilDeterminationCodeSousProduit getInstance()
  {
    return new OutilDeterminationCodeSousProduit();
  }
  
  public String determinerCodeSousProduitPourSigmaPourAttribution(DecisionSpec attribution)
  {
    AttributionSpec attributionOrigine = recupererAttributionOrigine((AttributionSpec)attribution);
    
    String codeSousProduitRetourne = null;
    if (attributionOrigine != null)
    {
      Demande demande = (Demande)attribution.getDemande();
      boolean estPmvs = demande.estEnContexteDemande(2);
      boolean estPap = demande.estEnContexteDemande(10);
      boolean estPapParlementaire = demande.estEnContexteDemande("PAPPARLEM");
      if (estPap)
      {
        if (estPapParlementaire) {
          codeSousProduitRetourne = "07";
        } else {
          codeSousProduitRetourne = "05";
        }
      }
      else if (estPmvs) {
        codeSousProduitRetourne = "MV";
      } else {
        codeSousProduitRetourne = "";
      }
    }
    return codeSousProduitRetourne;
  }
  
  public AttributionSpec recupererAttributionOrigine(AttributionSpec attribution)
  {
    AttributionSpec attributionOrigine;
    AttributionSpec attributionOrigine;
    if (attribution.getDemande().estEnContexteDemande("AREENTRCSP"))
    {
      attributionOrigine = attribution;
    }
    else
    {
      AttributionSpec attributionOrigine;
      if (attribution.getDemande().estEnContexteDemande("ARECOURCSP")) {
        attributionOrigine = (AttributionSpec)OutilRecherche.rechercherDecisionPrecedente(attribution.getDemande().getChronologieDemandesAssuranceSansCourante(), attribution.getDemande(), new FiltreDemandePourTypeContexteDemande("AREENTRCSP"));
      } else {
        attributionOrigine = ((AttributionAssuranceSpec)attribution).getOuvertureDroit();
      }
    }
    return attributionOrigine;
  }
  
  public String determinerCodeSousProduitRejet(DecisionSpec decision)
  {
    String resultat = null;
    if (decision.getDemande().estEnContexteDemande("PAPARE")) {
      if (((Demande)decision.getDemande()).estEnContexteDemande("PAPPARLEM")) {
        resultat = "07";
      } else {
        resultat = "05";
      }
    }
    return resultat;
  }
}

/* Location:
 * Qualified Name:     OutilDeterminationCodeSousProduit
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */