package fr.unedic.cali.asu.calcul.dom;

import fr.unedic.cali.asu.calcul.dom.gen.EtatAuDjiGammeGen;
import fr.unedic.cali.calcul.dom.EtatAuDji;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import java.math.BigDecimal;

public class EtatAuDjiGamme
  extends EtatAuDjiGammeGen
{
  private static final long serialVersionUID = 1881938039468162818L;
  
  public EtatAuDjiGamme() {}
  
  public EtatAuDjiGamme(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ObjetMetierSpec copie()
  {
    EtatAuDjiGamme copie = new EtatAuDjiGamme();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    EtatAuDjiGamme copie = (EtatAuDjiGamme)p_copie;
    
    super.copieElements(copie);
    
    copie.setReliquatDureeIndemnisation(getReliquatDureeIndemnisation());
    copie.setReliquatDureeIndemnisationAvecMaintien(getReliquatDureeIndemnisationAvecMaintien());
    copie.setReliquatDureeProlongation(getReliquatDureeProlongation());
    copie.setCumulMoisActiviteReduite(getCumulMoisActiviteReduite());
    copie.setNbMoisIndemniseAsu(getNbMoisIndemniseAsu());
    copie.setEstNbMoisIndemniseAsu(isEstNbMoisIndemniseAsu());
    copie.setReliquatDureeFinancement(getReliquatDureeFinancement());
    copie.setCumulJoursAR(getCumulJoursAR());
    copie.setReliquatDureeIndemnisation(getReliquatDureeFinancement());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void jdoPostLoad() {}
  
  public void jdoPreStore() {}
  
  public void jdoPreClear() {}
  
  public void jdoPreDelete()
  {
    super.jdoPreDelete();
  }
  
  public Quantite getReliquatDureeRenouvellement()
  {
    return null;
  }
  
  public void setReliquatDureeRenouvellement(Quantite p_reliquatDureeRenouvellement) {}
  
  public int getNbMoisInactivite()
  {
    return 0;
  }
  
  public void setNbMoisInactivite(int p_nbMoisInactivite) {}
  
  public BigDecimal getCapitalVerse()
  {
    return new BigDecimal(0);
  }
  
  public void setCapitalVerse(BigDecimal p_capitalVerse) {}
  
  public boolean getEstEnAttenteRenouvellement()
  {
    return false;
  }
  
  public EtatAuDji dupliquer()
  {
    EtatAuDjiGamme copie = new EtatAuDjiGamme();
    copie.setEstFigee(isEstFigee());
    
    copie.setReliquatDureeIndemnisation(getReliquatDureeIndemnisation());
    copie.setReliquatDureeIndemnisationAvecMaintien(getReliquatDureeIndemnisationAvecMaintien());
    copie.setReliquatDureeProlongation(getReliquatDureeProlongation());
    copie.setCumulMoisActiviteReduite(getCumulMoisActiviteReduite());
    copie.setNbMoisIndemniseAsu(getNbMoisIndemniseAsu());
    copie.setEstNbMoisIndemniseAsu(isEstNbMoisIndemniseAsu());
    copie.setReliquatDureeFinancement(getReliquatDureeFinancement());
    copie.setCumulJoursAR(getCumulJoursAR());
    copie.setReliquatDureeIndemnisation(getReliquatDureeFinancement());
    return copie;
  }
}

/* Location:
 * Qualified Name:     EtatAuDjiGamme
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */