package fr.unedic.cali.asu.calcul.outilsfonctionnels.fabriques;

import fr.unedic.cali.asu.calcul.outilsfonctionnels.strategies.StrategieACTApres;
import fr.unedic.cali.asu.calcul.outilsfonctionnels.strategies.StrategieACTAvant;
import fr.unedic.cali.fabriques.FabriqueStrategieSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieACT
  implements FabriqueStrategieSpec
{
  private static FabriqueStrategieACT instance = new FabriqueStrategieACT();
  
  public static FabriqueStrategieACT getInstance()
  {
    return instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie critereStrategie)
    throws CoucheLogiqueException
  {
    StrategieSpec retour = null;
    
    Damj datePivot = critereStrategie.getDatePivot();
    if (datePivot == null) {
      throw new UnsupportedOperationException("FabriqueStrategieATC : la date pivot est null.");
    }
    if (datePivot.estApresOuCoincideAvec(Damj.FIN_DES_TEMPS)) {
      retour = new StrategieACTApres();
    } else {
      retour = new StrategieACTAvant();
    }
    return retour;
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieACT
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */