package fr.unedic.cali.asu.cge01.calcul.outilsfonctionnels.fabriques;

import fr.unedic.cali.asu.cge01.calcul.outilsfonctionnels.strategies.StrategieAREM2016Apres;
import fr.unedic.cali.asu.cge01.calcul.outilsfonctionnels.strategies.StrategieAREM2016Avant;
import fr.unedic.cali.fabriques.FabriqueStrategieSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.cali.parametres.GestionnaireDateApplication;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieAREM2016
  implements FabriqueStrategieSpec
{
  private static FabriqueStrategieAREM2016 sInstance = new FabriqueStrategieAREM2016();
  
  public static FabriqueStrategieAREM2016 getInstance()
  {
    return sInstance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie critereStrategie)
    throws CoucheLogiqueException
  {
    StrategieSpec retour = null;
    
    Damj datePivot = critereStrategie.getDatePivot();
    if (datePivot == null) {
      throw new UnsupportedOperationException("FabriqueStrategieConvention2014 : la date pivot est null.");
    }
    if (datePivot.estApresOuCoincideAvec(GestionnaireDateApplication.getInstance().recupererDateApplication("Application des règles métropole pour Mayotte"))) {
      retour = new StrategieAREM2016Apres();
    } else {
      retour = new StrategieAREM2016Avant();
    }
    return retour;
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieAREM2016
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */