package fr.unedic.cali.asu.cge01.liquidation.outilsaffiliation;

import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.FiltreChevauchePeriode;
import fr.unedic.util.temps.FiltreTemporel;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.SortedSet;
import java.util.TreeSet;

public class ProjectionChronologie
{
  public static List decouper(Periode p_periodeReference, Chronologie p_listeObjetChronoPeriode)
  {
    FiltreTemporel filtre = new FiltreChevauchePeriode(p_periodeReference);
    Chronologie listeObjetsParticipants = p_listeObjetChronoPeriode.copier(filtre);
    
    SortedSet listeEvenements = constituerEvenements(p_periodeReference, listeObjetsParticipants);
    
    List listePeriode = constituerListePeriode(listeEvenements);
    return listePeriode;
  }
  
  static SortedSet constituerEvenements(Periode p_periodeReference, Chronologie p_chronoPeriodes)
  {
    SortedSet listeEvenements = new TreeSet();
    for (Iterator iter = p_chronoPeriodes.iterer(); iter.hasNext();)
    {
      ObjetChronoPeriode objetChronoPeriode = (ObjetChronoPeriode)iter.next();
      
      Damj date = objetChronoPeriode.getDateDebut();
      if (date.estContenueDans(p_periodeReference)) {
        listeEvenements.add(new EvenementPeriode(date, 1));
      }
      date = objetChronoPeriode.getDateFin();
      if (date.estContenueDans(p_periodeReference)) {
        listeEvenements.add(new EvenementPeriode(date, 2));
      }
    }
    listeEvenements.add(new EvenementPeriode(p_periodeReference.getDebut(), 1));
    listeEvenements.add(new EvenementPeriode(p_periodeReference.getFin(), 2));
    
    return listeEvenements;
  }
  
  static List constituerListePeriode(SortedSet p_listeEvenements)
  {
    List listePeriode = new ArrayList();
    
    Iterator iter = p_listeEvenements.iterator();
    EvenementPeriode evtPrec = (EvenementPeriode)iter.next();
    while (iter.hasNext())
    {
      EvenementPeriode evtCourant = (EvenementPeriode)iter.next();
      Damj dateDebut;
      Damj dateDebut;
      if (evtPrec.getTypeEvenement() == 1) {
        dateDebut = evtPrec.getDate();
      } else {
        dateDebut = evtPrec.getDate().lendemain();
      }
      Damj dateFin;
      Damj dateFin;
      if (evtCourant.getTypeEvenement() == 1) {
        dateFin = evtCourant.getDate().veille();
      } else {
        dateFin = evtCourant.getDate();
      }
      if (dateFin.estApresOuCoincideAvec(dateDebut))
      {
        Periode periode = new Periode(dateDebut, dateFin);
        listePeriode.add(periode);
      }
      evtPrec = evtCourant;
    }
    return listePeriode;
  }
}

/* Location:
 * Qualified Name:     ProjectionChronologie
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */