package fr.unedic.cali.asu.cge01.liquidation.outilsaffiliation.strategies;

import fr.unedic.cali.asu.cge01.liquidation.dom.ResultatRechercheConditionChomageInvolontaire;
import fr.unedic.cali.asu.cge01.liquidation.outilsaffiliation.strategies.spec.StrategieConditionChomageInvolontaireAre17Spec;
import fr.unedic.cali.asu.dom.ConditionChomageInvolontaireSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierExamenAssuranceSpec;
import fr.unedic.cali.asu.outilsfonctionnels.GestionDemandeDv122eJour;
import fr.unedic.cali.autresdoms.ga.dom.spec.PeriodeGaecSpec;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.dom.DecisionSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.utilitaire.filtres.FiltreCaliSpec;
import fr.unedic.cali.utilitaire.filtres.composites.FiltreOuvertureDroitStandardAssurance;
import fr.unedic.cali.utilitaire.filtres.generiques.FiltreDemandePourERE;
import fr.unedic.cali.utilitaire.filtres.generiques.FiltreRepriseSurDecisions;
import fr.unedic.cali.utilitaire.filtres.logiques.FiltreET;
import fr.unedic.cali.utilitaire.outils.OutilRecherche;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public enum StrategieConditionChomageInvolontaireAre17Avant
  implements StrategieConditionChomageInvolontaireAre17Spec
{
  SINGLETON;
  
  private StrategieConditionChomageInvolontaireAre17Avant() {}
  
  public static StrategieConditionChomageInvolontaireAre17Spec getInstance()
  {
    return SINGLETON;
  }
  
  public FiltreCaliSpec recupererFiltreDecisionPositiveAUtiliserPourBorneDelaiRechercheDv(Demande demande)
    throws CoucheLogiqueException
  {
    return new FiltreOuvertureDroitStandardAssurance(true, true, true, false, demande);
  }
  
  public boolean estInopposablePourContratCourt(Demande demande, TravailSpec activiteAControler, ResultatRechercheConditionChomageInvolontaire resultatRechercheConditionChomageInvolontaire)
    throws CoucheLogiqueException
  {
    return false;
  }
  
  public Damj gestionIPRRepriseDV(Damj pointDepartDelaiRecherche, Demande demande)
    throws CoucheLogiqueException
  {
    Damj dateDebut = pointDepartDelaiRecherche;
    FiltreET filtreRepriseIpr = new FiltreET();
    filtreRepriseIpr.ajouterFiltre(new FiltreDemandePourERE("ASU_04"));
    filtreRepriseIpr.ajouterFiltre(new FiltreRepriseSurDecisions());
    
    DecisionSpec repriseIpr = OutilRecherche.rechercherDecisionPrecedente(demande.getChronologieDemandesAssuranceSansCourante(), demande.getDateExamen(), filtreRepriseIpr);
    if (repriseIpr != null)
    {
      Demande demandePortantDv = GestionDemandeDv122eJour.retrouverDemandePortantDv(repriseIpr.getDemande());
      
      boolean estDvApresPointDeDepart = (demandePortantDv != null) && (demandePortantDv.getDateExamen().estApres(pointDepartDelaiRecherche));
      if (estDvApresPointDeDepart)
      {
        String identifiantActivitePortantDv = ((DossierExamenAssuranceSpec)demandePortantDv.getDossierExamen()).getConditionChomageInvolontaire().getIdentifiantActivitePortantDV();
        PeriodeGaecSpec periodeGaec = demandePortantDv.getDemandeur().rechercherPeriodePasseProfessionnel(identifiantActivitePortantDv);
        if (periodeGaec == null) {
          fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_CTX_AE_NON_LIE_SUR_REJET_DV", new String[] { demandePortantDv.getDateEffet().toString() });
        } else if (periodeGaec.getDateFin().lendemain().estApres(pointDepartDelaiRecherche)) {
          dateDebut = periodeGaec.getDateFin().lendemain();
        }
      }
    }
    return dateDebut;
  }
}

/* Location:
 * Qualified Name:     StrategieConditionChomageInvolontaireAre17Avant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */