package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.spec.FormuleSpec;
import fr.unedic.cali.asu.produits.liquidation.dom.BaseCarence;
import fr.unedic.util.Mathematiques;
import fr.unedic.util.QuantiteJour;
import fr.unedic.util.QuantiteJourTravailDansSemaineSpec;
import fr.unedic.util.services.PasAssezInformationException;
import java.math.BigDecimal;

public class FormuleCarenceIccpTemps
  implements FormuleSpec
{
  public Object appliquerFormule(BaseCarence p_baseFormule)
    throws PasAssezInformationException
  {
    QuantiteJour quantiteJourCalculee = null;
    if (p_baseFormule == null) {
      throw new IllegalArgumentException("La BaseFormule est nulle : impossible d'appliquer la formule CarenceICCPTemps.");
    }
    try
    {
      int nombreJoursIccp = 0;
      QuantiteJourTravailDansSemaineSpec quantiteJourIccp = p_baseFormule.getQuantiteJourIccp();
      if (quantiteJourIccp == null) {
        throw new PasAssezInformationException("ASU_SC_L_ES_ED_CDR08_ABSENCE_JOURS_FORMULE_ICCP", "QuantiteJour ICCP null dans BaseFormule passé en paramètre: impossible d'appliquer la formule CarenceICCPTemps.");
      }
      nombreJoursIccp = quantiteJourIccp.getNombreJours();
      
      int nombreJoursSemaine = quantiteJourIccp.getNombreJoursSemaine();
      
      BigDecimal nominateur1 = new BigDecimal(String.valueOf(nombreJoursIccp));
      BigDecimal nominateur2 = new BigDecimal("7");
      BigDecimal denominateur = new BigDecimal(String.valueOf(nombreJoursSemaine));
      BigDecimal resultatFormule = Mathematiques.proratiser(nominateur1, nominateur2, denominateur);
      
      quantiteJourCalculee = new QuantiteJour(Mathematiques.tronque(resultatFormule, 0).toString());
    }
    catch (ClassCastException ex)
    {
      throw new IllegalArgumentException("La BaseFormule n'est pas une BaseCarence: impossible d'appliquer la formule CarenceICCPTemps.");
    }
    return quantiteJourCalculee;
  }
}

/* Location:
 * Qualified Name:     FormuleCarenceIccpTemps
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */