package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.asu.produits.liquidation.dom.ConditionCSRAccordCP;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.ElementChomageSansRupture;
import fr.unedic.cali.asu.produits.liquidation.dom.Rejet;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConditionsAttributionSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.ResultatElementDroit;
import fr.unedic.util.services.CoucheLogiqueException;

public class RechercheConditionCSRAccordCP
{
  public static ResultatElementDroit rechercherConditionCsrAccordCp(Demande p_demandeCourante)
    throws CoucheLogiqueException
  {
    ResultatElementDroit resultatConditionCSRAccordCP = new ResultatElementDroit();
    
    DossierExamen dossierExamenCourant = (DossierExamen)p_demandeCourante.getDossierExamen();
    DonneesTemporaires donneesTemporaires = p_demandeCourante.getDonneesTemporaires();
    boolean isDecisionCPRenseignee = donneesTemporaires.isDecisionCPRenseigneeChomageTotalSansRupture();
    
    DossierExamenSpec dossierExamen = p_demandeCourante.getDossierAffectation().getDossierExamen();
    if (!dossierExamen.estType(Rejet.class)) {
      if (!isDecisionCPRenseignee)
      {
        fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ALERTE_A11MB5");
      }
      else
      {
        ConditionCSRAccordCP conditionCSRAccordCP = dossierExamenCourant.getConditionsAttributionActives().createConditionCSRAccordCP();
        boolean isAvisfavo = donneesTemporaires.isAvisFavorableCPChomageTotalSansRupture();
        if (isAvisfavo)
        {
          conditionCSRAccordCP.setEtatSatisfait(true);
          resultatConditionCSRAccordCP.setEtat(0);
        }
        else
        {
          conditionCSRAccordCP.setCodeMotifEchec(201);
          conditionCSRAccordCP.setEtatSatisfait(false);
          resultatConditionCSRAccordCP.setCodeMotifEchec(conditionCSRAccordCP.getCodeMotifEchec());
        }
        if (((dossierExamenCourant instanceof Attribution)) && (((Attribution)dossierExamenCourant).getElementChomageSansRupture() != null))
        {
          ((Attribution)dossierExamenCourant).getElementChomageSansRupture().setEstAccordCp(Boolean.valueOf(conditionCSRAccordCP.estSatisfait()));
          ((Attribution)dossierExamenCourant).getElementChomageSansRupture().setEstSinistreOuCalamiteNaturelle(Boolean.valueOf(donneesTemporaires.isSinistreOuCalamiteNaturelleChomageTotalSansRupture()));
        }
      }
    }
    return resultatConditionCSRAccordCP;
  }
}

/* Location:
 * Qualified Name:     RechercheConditionCSRAccordCP
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */