package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.cge01.liquidation.dom.ConteneurConditionActiviteConservee;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.dom.FaitGenerateurSpec;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.Entreprise;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreActiviteSalarie;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesLiquidables;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesQualifiables;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.FiltreMemeDateFin;
import fr.unedic.util.temps.FiltresTemporel;

public class RechercheConditionCumulActiviteConserveeAncienneRegle
  extends RechercheConditionCumulActiviteConservee
{
  public static RechercheConditionCumulActiviteConservee getInstance()
  {
    return new RechercheConditionCumulActiviteConserveeAncienneRegle();
  }
  
  protected ConteneurConditionActiviteConservee verifierConditionEmployeurActiviteConservee(Demande p_demande, Chronologie p_chronoActivitesSalarieesConservees, ConteneurConditionActiviteConservee p_conteneurConditionActiviteConservee)
  {
    if ((p_demande.getDonneesTemporaires() == null) || (!p_demande.getDonneesTemporaires().isEstLeveeConditionACMemeEmployeur()))
    {
      FiltresTemporel filtres = new FiltresTemporel();
      filtres.ajouterFiltre(new FiltreActiviteSalarie());
      filtres.ajouterFiltre(new FiltrePeriodesLiquidables());
      filtres.ajouterFiltre(new FiltrePeriodesQualifiables());
      filtres.ajouterFiltre(new FiltreMemeDateFin(p_demande.getFaitGenerateur().getDateFaitGenerateur()));
      Chronologie chronoActivitesSalarieesPerduesAuFgd = p_demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation().copier(filtres);
      
      ActiviteSalarie activiteSalariePerdueCourante = null;
      ActiviteSalarie activiteSalarieConserveeCourante = null;
      String employeurActivitePerdue = null;
      String employeurActiviteConservee = null;
      
      chronoActivitesSalarieesPerduesAuFgd.iterer();
      while (chronoActivitesSalarieesPerduesAuFgd.encoreSuivant())
      {
        activiteSalariePerdueCourante = (ActiviteSalarie)chronoActivitesSalarieesPerduesAuFgd.elementSuivant();
        
        employeurActivitePerdue = activiteSalariePerdueCourante.getEntreprise().getIdentifiantBNE();
        
        p_chronoActivitesSalarieesConservees.iterer();
        while (p_chronoActivitesSalarieesConservees.encoreSuivant())
        {
          activiteSalarieConserveeCourante = (ActiviteSalarie)p_chronoActivitesSalarieesConservees.elementSuivant();
          
          employeurActiviteConservee = activiteSalarieConserveeCourante.getEntreprise().getIdentifiantBNE();
          if (employeurActiviteConservee.compareTo(employeurActivitePerdue) == 0)
          {
            p_conteneurConditionActiviteConservee.setEtatSatisfait(false);
            p_conteneurConditionActiviteConservee.setCodeMotifEchec(122);
            p_conteneurConditionActiviteConservee.setSituationConditionActiviteConservee(1);
          }
        }
      }
    }
    else
    {
      p_conteneurConditionActiviteConservee.setEtatSatisfait(true);
    }
    return p_conteneurConditionActiviteConservee;
  }
}

/* Location:
 * Qualified Name:     RechercheConditionCumulActiviteConserveeAncienneRegle
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */