package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieConditionFaitGenerateurDemandeExpresseApres;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieConditionFaitGenerateurDemandeExpresseAvant;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategieConditionFaitGenerateurDemandeExpresseSpec;
import fr.unedic.cali.fabriques.FabriqueStrategieSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FabriqueConditionFaitGenerateurDemandeExpresse
  implements FabriqueStrategieSpec
{
  public static final Damj DATE_APPLICATION = new Damj(2013, 1, 1);
  private static FabriqueConditionFaitGenerateurDemandeExpresse s_instance = null;
  
  public static synchronized FabriqueConditionFaitGenerateurDemandeExpresse getInstance()
  {
    if (s_instance == null) {
      s_instance = new FabriqueConditionFaitGenerateurDemandeExpresse();
    }
    return s_instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
    throws CoucheLogiqueException
  {
    StrategieConditionFaitGenerateurDemandeExpresseSpec strategie = null;
    Damj datePivot = p_critereStrategie.getDatePivot();
    if (DATE_APPLICATION.estApres(datePivot)) {
      strategie = new StrategieConditionFaitGenerateurDemandeExpresseAvant();
    } else {
      strategie = new StrategieConditionFaitGenerateurDemandeExpresseApres();
    }
    return strategie;
  }
}

/* Location:
 * Qualified Name:     FabriqueConditionFaitGenerateurDemandeExpresse
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */