package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques;

import fr.unedic.cali.asu.cge01.liquidation.outilsaffiliation.strategies.StrategieConditionChomageInvolontaireAre14Apres;
import fr.unedic.cali.asu.cge01.liquidation.outilsaffiliation.strategies.StrategieConditionChomageInvolontairePourExamenDv;
import fr.unedic.cali.asu.dom.ErePassageCPSuiteRejetDV;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.fabriques.FabriqueConvention2014;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieConditionChomageInvolontaire
  extends FabriqueConvention2014
{
  private static FabriqueStrategieConditionChomageInvolontaire instance = new FabriqueStrategieConditionChomageInvolontaire();
  
  public static FabriqueStrategieConditionChomageInvolontaire getInstance()
  {
    return instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie critereStrategie)
    throws CoucheLogiqueException
  {
    StrategieSpec retour = null;
    ProduitAsuSpec produit = (ProduitAsuSpec)critereStrategie.getDemande().getDossierAffectation().getProduit();
    
    Damj datePivot = critereStrategie.getDatePivot();
    if (datePivot == null) {
      throw new UnsupportedOperationException("FabriqueStrategieDelaiAttente : la date pivot est null.");
    }
    if ((critereStrategie.getDemande().getEvenementReferenceExamen() instanceof ErePassageCPSuiteRejetDV)) {
      retour = new StrategieConditionChomageInvolontairePourExamenDv();
    } else if (datePivot.estApresOuCoincideAvec(DATE_APPLICATION)) {
      retour = getStrategieApres(produit);
    } else {
      retour = getStrategieAvant(produit);
    }
    return retour;
  }
  
  protected StrategieSpec getStrategieAvant(ProduitAsuSpec produit)
  {
    return produit.retournerStrategieAvantDeterminationChomageInvolontaire();
  }
  
  protected StrategieSpec getStrategieApres(ProduitAsuSpec produit)
  {
    return StrategieConditionChomageInvolontaireAre14Apres.getInstance();
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieConditionChomageInvolontaire
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */