package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieConditionCumulActiviteConserveeApres;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieConditionCumulActiviteConserveeAvant;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategieConditionCumulActiviteConserveeSpec;
import fr.unedic.cali.fabriques.FabriqueStrategieSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieConditionCumulActiviteConservee
  implements FabriqueStrategieSpec
{
  public static final Damj DATE_APPLICATION = new Damj(2010, 3, 22);
  private static FabriqueStrategieConditionCumulActiviteConservee s_instance = new FabriqueStrategieConditionCumulActiviteConservee();
  
  public static FabriqueStrategieConditionCumulActiviteConservee getInstance()
  {
    return s_instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
    throws CoucheLogiqueException
  {
    StrategieConditionCumulActiviteConserveeSpec strategie = null;
    
    Damj datePivotPriseEnCompteIccp = p_critereStrategie.getDatePivot();
    if (datePivotPriseEnCompteIccp == null) {
      throw new UnsupportedOperationException("FabriqueStrategiePriseEnCompteIccp : la date pivot est null.");
    }
    if (datePivotPriseEnCompteIccp.estApresOuCoincideAvec(DATE_APPLICATION)) {
      strategie = new StrategieConditionCumulActiviteConserveeApres();
    } else {
      strategie = new StrategieConditionCumulActiviteConserveeAvant();
    }
    return strategie;
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieConditionCumulActiviteConservee
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */