package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieDelaiAttenteApresARE14;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieDelaiAttenteAvantARE14;
import fr.unedic.cali.fabriques.FabriqueConvention2014;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieDelaiAttente
  extends FabriqueConvention2014
{
  private static FabriqueStrategieDelaiAttente instance = new FabriqueStrategieDelaiAttente();
  
  public static FabriqueStrategieDelaiAttente getInstance()
  {
    return instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie critereStrategie)
    throws CoucheLogiqueException
  {
    StrategieSpec retour = null;
    
    Damj datePivot = critereStrategie.getDatePivot();
    if (datePivot == null) {
      throw new UnsupportedOperationException("FabriqueStrategieDelaiAttente : la date pivot est null.");
    }
    if (datePivot.estApresOuCoincideAvec(DATE_APPLICATION)) {
      retour = getStrategieApres();
    } else {
      retour = getStrategieAvant();
    }
    return retour;
  }
  
  protected StrategieSpec getStrategieAvant()
  {
    return new StrategieDelaiAttenteAvantARE14();
  }
  
  protected StrategieSpec getStrategieApres()
  {
    return new StrategieDelaiAttenteApresARE14();
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieDelaiAttente
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */