package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieIdentifiantEmployeurApres;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieIdentifiantEmployeurAvant;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategieIdentifiantEmployeurSpec;
import fr.unedic.cali.fabriques.FabriqueStrategieSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieIdentifiantEmployeur
  implements FabriqueStrategieSpec
{
  private static final Damj DATE_PIVOT_CHANGEMENT_IDENTIFIANT_EMPLOYEUR = new Damj(2012, 5, 1);
  private static FabriqueStrategieIdentifiantEmployeur s_instance = new FabriqueStrategieIdentifiantEmployeur();
  
  public static FabriqueStrategieIdentifiantEmployeur getInstance()
  {
    return s_instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
    throws CoucheLogiqueException
  {
    StrategieIdentifiantEmployeurSpec strategie = null;
    
    Damj datePivotPriseEnCompteIccp = p_critereStrategie.getDatePivot();
    if (datePivotPriseEnCompteIccp == null) {
      throw new UnsupportedOperationException("FabriqueIdentifiantEmployeur : la date pivot est null.");
    }
    if (datePivotPriseEnCompteIccp.estApresOuCoincideAvec(DATE_PIVOT_CHANGEMENT_IDENTIFIANT_EMPLOYEUR)) {
      strategie = new StrategieIdentifiantEmployeurApres();
    } else {
      strategie = new StrategieIdentifiantEmployeurAvant();
    }
    return strategie;
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieIdentifiantEmployeur
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */