package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieMajorationRemunerationIccpApres;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieMajorationRemunerationIccpAvant;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategieMajorationRemunerationIccpSpec;
import fr.unedic.cali.fabriques.FabriqueStrategieSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieMajorationRemunerationIccp
  implements FabriqueStrategieSpec
{
  public static final Damj DATE_APPLICATION = new Damj(2009, 11, 20);
  private static FabriqueStrategieMajorationRemunerationIccp s_instance = new FabriqueStrategieMajorationRemunerationIccp();
  
  public static FabriqueStrategieMajorationRemunerationIccp getInstance()
  {
    return s_instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
  {
    StrategieMajorationRemunerationIccpSpec strategie = null;
    
    Damj datePivotMajorationRemunerationIccp = p_critereStrategie.getDatePivot();
    if (datePivotMajorationRemunerationIccp == null) {
      throw new UnsupportedOperationException("FabriqueStrategieMajorationRemunerationIccp : la date pivot est null.");
    }
    if (datePivotMajorationRemunerationIccp.estApresOuCoincideAvec(DATE_APPLICATION)) {
      strategie = new StrategieMajorationRemunerationIccpApres();
    } else {
      strategie = new StrategieMajorationRemunerationIccpAvant();
    }
    return strategie;
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieMajorationRemunerationIccp
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */