package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieObjectifSousJacentApres;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategieObjectifSousJacentAvant;
import fr.unedic.cali.fabriques.FabriqueConvention2014;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieObjectifSousJacent
  extends FabriqueConvention2014
{
  private static FabriqueStrategieObjectifSousJacent instance = new FabriqueStrategieObjectifSousJacent();
  
  public static FabriqueStrategieObjectifSousJacent getInstance()
  {
    return instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie critereStrategie)
    throws CoucheLogiqueException
  {
    StrategieSpec retour = null;
    
    Damj datePivot = critereStrategie.getDatePivot();
    if (datePivot == null) {
      throw new UnsupportedOperationException("FabriqueStrategieObjectifSousJacent : la date pivot est null.");
    }
    if (datePivot.estApresOuCoincideAvec(DATE_APPLICATION)) {
      retour = getStrategieApres();
    } else {
      retour = getStrategieAvant();
    }
    return retour;
  }
  
  protected StrategieSpec getStrategieAvant()
  {
    return new StrategieObjectifSousJacentAvant();
  }
  
  protected StrategieSpec getStrategieApres()
  {
    return new StrategieObjectifSousJacentApres();
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieObjectifSousJacent
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */