package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.fabriques;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.spec.FabriqueStrategiePriseEnCompteRemunerationSrSjrSpec;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.CriteresStrategiePriseEnCompteRemunerationSrSjr;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategiePriseEnCompteRemunerationSrParDateVersement;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.StrategiePriseEnCompteRemunerationSrParPeriode;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategiePriseEnCompteRemunerationSrSjrSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import java.util.ArrayList;
import java.util.Collection;

public class FabriqueStrategiePriseEnCompteRemunerationSrSjr
  implements FabriqueStrategiePriseEnCompteRemunerationSrSjrSpec
{
  private static FabriqueStrategiePriseEnCompteRemunerationSrSjr instance = new FabriqueStrategiePriseEnCompteRemunerationSrSjr();
  
  public static FabriqueStrategiePriseEnCompteRemunerationSrSjr getInstance()
  {
    return instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie critereStrategie)
    throws CoucheLogiqueException
  {
    StrategiePriseEnCompteRemunerationSrSjrSpec strategie = null;
    
    Reglement reglementAppartenance = ((CriteresStrategiePriseEnCompteRemunerationSrSjr)critereStrategie).getReglementAppartenanceActiviteSalarie();
    if (reglementAppartenance == null) {
      throw new UnsupportedOperationException("FabriqueStrategiePriseEnCompteRemunerationSrSjr : pas de règlement appartenance.");
    }
    if (estReglementPourCasSelonPeriode(reglementAppartenance.getNomReglement())) {
      strategie = new StrategiePriseEnCompteRemunerationSrParPeriode();
    } else if ((reglementAppartenance.estNomReglementIdentique("A1")) || (reglementAppartenance.estNomReglementIdentique("A3")) || (reglementAppartenance.estNomReglementIdentique("A9A"))) {
      strategie = new StrategiePriseEnCompteRemunerationSrParDateVersement();
    }
    return strategie;
  }
  
  private boolean estReglementPourCasSelonPeriode(String reglement)
  {
    Collection<String> listeReglements = new ArrayList();
    
    listeReglements.add("RG");
    listeReglements.add("OP");
    listeReglements.add("A2a");
    listeReglements.add("A4");
    listeReglements.add("A5");
    listeReglements.add("A6");
    listeReglements.add("A9B");
    listeReglements.add("A8");
    listeReglements.add("A10");
    
    return listeReglements.contains(reglement);
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategiePriseEnCompteRemunerationSrSjr
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */