package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.OutilGestionActivitesConservees;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategieActiviteConserveeConvention2014Spec;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.produits.liquidation.dom.SjrActiviteConservee;
import fr.unedic.cali.dom.affectation.ProduitAsuCge01P06;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;
import java.util.Collection;

public class StrategieActiviteConserveeConvention2014Apres
  implements StrategieActiviteConserveeConvention2014Spec
{
  public boolean verifierSeuilsConditionActiviteConservee(boolean p_reglementApplicableA4)
  {
    return false;
  }
  
  public boolean constituerSalaireJournalierConserve(DemandeAssuranceSpec p_demande)
    throws CoucheLogiqueException
  {
    if (p_demande.getDonneesTemporaires().getSjc() != null) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererException("ASU_PR_CALI_L_ALERTE_A11MB38", new Object[] { ProduitAsuCge01P06.getInstance().getPeriodeValidite().getDebut().toString() }, 1);
    }
    return false;
  }
  
  public Collection<SjrActiviteConservee> recupererListeActivitesConservees(DemandeAssuranceSpec p_demande)
    throws CoucheLogiqueException
  {
    return OutilGestionActivitesConservees.getInstance().determinerListeActivitesConserveesNouvelleRegle(p_demande);
  }
  
  public boolean persisterListeActivitesConserveesCapa12()
  {
    return true;
  }
  
  public Chronologie recupererChronoActivitesConservees(DemandeAssuranceSpec p_demande, Periode p_periodePrc)
    throws CoucheLogiqueException
  {
    return OutilGestionActivitesConservees.getInstance().determinerChronoActivitesConserveesNouvelleRegle(p_demande, p_periodePrc);
  }
  
  public boolean traiterActivitesConserveesA4()
  {
    return true;
  }
}

/* Location:
 * Qualified Name:     StrategieActiviteConserveeConvention2014Apres
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */