package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies;

import fr.unedic.cali.asu.cge01.liquidation.dom.ConteneurConditionActiviteConservee;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.RechercheConditionCumulActiviteConservee;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategieConditionCumulActiviteConserveeSpec;
import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.asu.produits.liquidation.dom.JustificationPansConservees;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;

public class StrategieConditionCumulActiviteConserveeAvant
  implements StrategieConditionCumulActiviteConserveeSpec
{
  public JustificationPansConservees determinerRemunerationBrutePansConserveeSurPRC(DemandeSpec demande, Chronologie chronoActivitesConservees)
    throws CoucheLogiqueException
  {
    return new JustificationPansConservees();
  }
  
  private static final BigDecimal ZERO = new BigDecimal(0);
  
  public BigDecimal determinerMontantRemunerationBrutePansConserveeSurMoisCivil(DemandeSpec demande, Chronologie chronoPansConservees)
    throws CoucheLogiqueException
  {
    return ZERO;
  }
  
  public BigDecimal determinerMontantRemunerationBrutePansConserveeSurPRC(DemandeSpec demande, Chronologie chronoPansConservees)
    throws CoucheLogiqueException
  {
    return ZERO;
  }
  
  public BigDecimal determinerMontantRemunerationBrutePansConserveeSurPRC(Damj termePRC, Chronologie chronoPansConservees)
    throws CoucheLogiqueException
  {
    return ZERO;
  }
  
  public BigDecimal recupererMontantRemunerationBrutePansConservee(ConteneurConditionActiviteConservee conteneurConditionActiviteConservee, DemandeSpec demande)
  {
    return ZERO;
  }
  
  public BigDecimal determinerMontantRemunerationBrutePansConserve(AttributionSpec attribution, Chronologie chronoPansConservees)
    throws CoucheLogiqueException
  {
    BigDecimal montantRemunerationBrutePansConservee = ZERO;
    RechercheConditionCumulActiviteConservee rechercheConditionCumulActiviteConservee = RechercheConditionCumulActiviteConservee.getInstance();
    Periode periodeAnneeCivilePrecedente = rechercheConditionCumulActiviteConservee.determinerAnneeCivilePrecedantDate(((Attribution)attribution).getTermePrcActiviteConservee());
    Periode periodeAnneeCivileEnCours = rechercheConditionCumulActiviteConservee.determinerDebutAnneeCivileDateExamen(((Attribution)attribution).getTermePrcActiviteConservee());
    JustificationPansConservees justificationPansConservees = rechercheConditionCumulActiviteConservee.determinerRemunerationMensuellePansConservees(periodeAnneeCivilePrecedente, periodeAnneeCivileEnCours, chronoPansConservees);
    if (justificationPansConservees != null) {
      montantRemunerationBrutePansConservee = justificationPansConservees.getMontantRemunerationMensuelPansCalcule();
    }
    return montantRemunerationBrutePansConservee;
  }
}

/* Location:
 * Qualified Name:     StrategieConditionCumulActiviteConserveeAvant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */