package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.util.services.CoucheLogiqueException;
import java.util.ArrayList;
import java.util.List;

public class StrategieContexteRepriseSystematiqueApresARE14Sp
  extends StrategieContexteRepriseSystematiqueApresARE14
{
  public List<Integer> determinerObjectifsAntecedentSecteurPublic(Demande demande)
    throws CoucheLogiqueException
  {
    List<Integer> typesObjectifs = new ArrayList();
    if (demande.estDroitOptionReadmission()) {
      typesObjectifs.add(Integer.valueOf(12));
    } else if (OutilGestionContexteDemande.estContexteDemandeAssurancePresent(demande, "AREENTRCSP")) {
      typesObjectifs = determinerObjectifsExamenPourRepriseSystematique(demande);
    } else if (OutilGestionContexteDemande.estContexteDemandeAssurancePresent(demande, "ARESJASPDC")) {
      typesObjectifs.add(Integer.valueOf(12));
    } else if (OutilGestionContexteDemande.estContexteDemandeAssurancePresent(demande, "ARECOURCSP")) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ALERTE_A8MB12");
    } else {
      typesObjectifs.add(Integer.valueOf(50));
    }
    return typesObjectifs;
  }
}

/* Location:
 * Qualified Name:     StrategieContexteRepriseSystematiqueApresARE14Sp
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */