package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies;

import fr.unedic.cali.asu.cge01.liquidation.dom.ConteneurInfosEmployeur;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategieDeterminationCompetenceSecteurPublicSpec;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.PeriodeIntensite;
import fr.unedic.util.Mathematiques;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;
import java.util.Hashtable;

public abstract class StrategieDeterminationCompetenceSecteurPublicAbstrait
  implements StrategieDeterminationCompetenceSecteurPublicSpec
{
  private static final BigDecimal MI_TEMPS = new BigDecimal("0.5");
  
  protected ConteneurInfosEmployeur recupererConteneurInfoEmployeur(String identifiantEmployeur, Hashtable tableEmployeursActivites)
  {
    return (ConteneurInfosEmployeur)tableEmployeursActivites.get(identifiantEmployeur);
  }
  
  protected ChronologiePeriodes recupererChronologiesEmployeur(String identifiantEmployeur, Hashtable tableEmployeursActivites)
  {
    ChronologiePeriodes chronologiePeriodes = null;
    ConteneurInfosEmployeur conteneurInfosEmployeur = (ConteneurInfosEmployeur)tableEmployeursActivites.get(identifiantEmployeur);
    if (conteneurInfosEmployeur != null) {
      chronologiePeriodes = conteneurInfosEmployeur.getChronoEmployeur();
    }
    return chronologiePeriodes;
  }
  
  protected int calculerDureeActivite(Periode periodeRechercheAffiliation, ChronologiePeriodes chronoPeriodesActiviteFiltrees)
  {
    int dureeActiviteRetournee = 0;
    if ((chronoPeriodesActiviteFiltrees != null) && (!chronoPeriodesActiviteFiltrees.estVide()))
    {
      BigDecimal tempsPartiel = null;
      BigDecimal equivalentJoursTempsPlein = null;
      ActiviteSalarie periodeActiviteSalarieCourante = null;
      Chronologie chronoPeriodesIntensites = null;
      PeriodeIntensite periodeIntensiteCourante = null;
      int dureeIntensiteDansPra = 0;
      
      chronoPeriodesActiviteFiltrees.iterer();
      while (chronoPeriodesActiviteFiltrees.encoreSuivant())
      {
        periodeActiviteSalarieCourante = (ActiviteSalarie)chronoPeriodesActiviteFiltrees.elementSuivant();
        
        chronoPeriodesIntensites = periodeActiviteSalarieCourante.getListePeriodeIntensite();
        chronoPeriodesIntensites.iterer();
        if (chronoPeriodesIntensites.getTaille() == 0)
        {
          dureeIntensiteDansPra = periodeActiviteSalarieCourante.inter(periodeRechercheAffiliation);
          dureeActiviteRetournee += dureeIntensiteDansPra;
        }
        else
        {
          while (chronoPeriodesIntensites.encoreSuivant())
          {
            periodeIntensiteCourante = (PeriodeIntensite)chronoPeriodesIntensites.elementSuivant();
            
            dureeIntensiteDansPra = periodeIntensiteCourante.inter(periodeRechercheAffiliation);
            
            tempsPartiel = Mathematiques.diviseParDefaut(periodeIntensiteCourante.getHorairesSalarie(), periodeIntensiteCourante.getHorairesEntreprise());
            if (tempsPartiel.compareTo(MI_TEMPS) == -1)
            {
              equivalentJoursTempsPlein = new BigDecimal(dureeIntensiteDansPra).multiply(tempsPartiel);
              dureeIntensiteDansPra = Mathematiques.arrondiASup(equivalentJoursTempsPlein, 0).intValue();
            }
            dureeActiviteRetournee += dureeIntensiteDansPra;
          }
        }
      }
    }
    return dureeActiviteRetournee;
  }
}

/* Location:
 * Qualified Name:     StrategieDeterminationCompetenceSecteurPublicAbstrait
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */