package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.spec.OutilJustificationSjrSpec;
import fr.unedic.cali.asu.produits.liquidation.dom.JustificationDiviseur;
import fr.unedic.cali.asu.produits.liquidation.dom.JustificationSjr;
import fr.unedic.cali.asu.produits.liquidation.dom.Prc;
import fr.unedic.cali.asu.produits.liquidation.dom.conteneurs.DonneesResultatDeterminationSjr;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.dom.conteneurs.spec.DonneesEntreeComportementSpec;
import fr.unedic.cali.dom.conteneurs.spec.DonneesEntreeDemandeDeterminationSjrSpec;
import fr.unedic.cali.dom.conteneurs.spec.DonneesEntreeDeterminationSjrSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;

public class StrategieDeterminationDiviseurSjrA3
  extends StrategieDeterminationDiviseurSjrA3A4A5Abstrait
{
  private static final String FORMULE_CALCUL_DIVISEUR = "Maximum de (N - n; D0)";
  
  protected BigDecimal determinerDiviseurSpecifique(DonneesEntreeDeterminationSjrSpec p_donneesEntree, DonneesResultatDeterminationSjr p_donneesResultat, BigDecimal p_resultatDureePrcPlafonnee)
    throws CoucheLogiqueException
  {
    BigDecimal resultatDiviseur = null;
    
    Prc resultatPrc = p_donneesResultat.getPrc();
    BigDecimal resultatNombreJourDeductible = new BigDecimal(String.valueOf(resultatPrc.getNombreJourDeductible()));
    BigDecimal resultatDiviseurCasGeneral = resultatPrc.getNombreJourTravailEffectif();
    
    OutilJustificationSjrSpec outilJustificationSjr = recupererOutilJustificationSjr(p_donneesEntree.getDonneesEntreeComportement());
    JustificationDiviseur resultatJustificationDiviseur = p_donneesResultat.getJustificationSjr().getJustificationDiviseur();
    
    BigDecimal premiereValeurFormule = p_resultatDureePrcPlafonnee.subtract(resultatNombreJourDeductible);
    resultatDiviseur = premiereValeurFormule.max(resultatDiviseurCasGeneral);
    if (outilJustificationSjr != null) {
      outilJustificationSjr.justifierDiviseurDonneePremiereValeurFormule(resultatJustificationDiviseur, premiereValeurFormule.intValue());
    }
    if (resultatDiviseur.signum() < 1)
    {
      boolean estTraitementDeterminationSjr = p_donneesEntree.getDonneesEntreeComportement().getTypeTraitementAppelant() == 1;
      
      String libelleReglementApplicable = p_donneesEntree.getDonneesEntreeDemande().getReglementApplicable().getLibelleCourt();
      
      Damj dateFGD = p_donneesEntree.getDonneesEntreeDemande().getDateFaitGenerateurDroitCourant();
      
      genererAlerteBloquanteDiviseurNegatif(2, "Maximum de (N - n; D0)", estTraitementDeterminationSjr, resultatPrc, p_resultatDureePrcPlafonnee, libelleReglementApplicable, dateFGD);
    }
    return resultatDiviseur;
  }
}

/* Location:
 * Qualified Name:     StrategieDeterminationDiviseurSjrA3
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */