package fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.strategies.spec.StrategiePriseEnCompteRemunerationSrSjrSpec;
import fr.unedic.cali.asu.produits.liquidation.dom.Prae;
import fr.unedic.cali.asu.produits.liquidation.dom.Prc;
import fr.unedic.cali.asu.produits.liquidation.dom.Prce;
import fr.unedic.cali.autresdoms.ga.dom.Prime;
import fr.unedic.cali.autresdoms.ga.dom.Salaire;
import fr.unedic.cali.autresdoms.ga.dom.spec.RemunerationSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;

public class StrategiePriseEnCompteRemunerationSrParPeriode
  implements StrategiePriseEnCompteRemunerationSrSjrSpec
{
  public boolean prendreEnCompteSourceRemuneration(Prae p_prae, RemunerationSpec p_sourceRemuneration)
    throws CoucheLogiqueException
  {
    boolean priseEnCompteRemuneration = false;
    
    boolean estSourceRemunerationTypeSalaire = p_sourceRemuneration.estType(Salaire.class);
    boolean estSourceRemunerationTypePrime = p_sourceRemuneration.estType(Prime.class);
    
    Periode periodePraeCourante = new Periode(p_prae.getDateDebut(), p_prae.getDateFin());
    if ((estSourceRemunerationTypeSalaire) || ((estSourceRemunerationTypePrime) && (((Prime)p_sourceRemuneration).getTypePrime() == 1)) || (((Prime)p_sourceRemuneration).getTypePrime() == 5))
    {
      ObjetChronoPeriode periodeSourceRemuneration = (ObjetChronoPeriode)p_sourceRemuneration;
      if (periodeSourceRemuneration.inter(periodePraeCourante) > 0) {
        priseEnCompteRemuneration = true;
      }
    }
    else if ((estSourceRemunerationTypePrime) && (((Prime)p_sourceRemuneration).getTypePrime() == 2))
    {
      if (p_prae.getPrce().getPrc().getPrip().contient(p_sourceRemuneration.getDatePaie())) {
        priseEnCompteRemuneration = true;
      }
    }
    return priseEnCompteRemuneration;
  }
  
  public boolean proratiserSourceRemuneration()
  {
    return true;
  }
}

/* Location:
 * Qualified Name:     StrategiePriseEnCompteRemunerationSrParPeriode
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */