package fr.unedic.cali.asu.cge01.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.OutilDelaiReport;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.produits.liquidation.dom.CarencePrefixeAFixer;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionDelais;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.temps.Periode;

public class ConstitutionDelaisReportsFinancement
  extends ConstitutionDelaisReports
{
  protected ResultatDeterminationDelaisReports determinerCollectionDelaisReports(Contexte contexte)
    throws ApplicativeException
  {
    ParcoursDeterminationDelaisReportsFinancement parcoursDeterminationDelaisReports = new ParcoursDeterminationDelaisReportsFinancement();
    
    ResultatDeterminationDelaisReports resultatDeterminationDelaisReports = (ResultatDeterminationDelaisReports)parcoursDeterminationDelaisReports.effectuerParcours(contexte);
    
    return resultatDeterminationDelaisReports;
  }
  
  protected void traiterCarencePourAlimenterSurCEP(ConstitutionDelais constitutionDelais, CarencePrefixeAFixer delaiReport, Demande demande)
  {
    if (OutilDelaiReport.estDelaiReportDeType(delaiReport, "PREAVIS_LEGAL"))
    {
      constitutionDelais.setDebutCarencePreavisLegal(delaiReport.getPeriodeApplicationCarence().getDebut());
      constitutionDelais.setTermeCarencePreavisLegal(delaiReport.getPeriodeApplicationCarence().getFin());
      constitutionDelais.setNbJoursCarencePreavisLegal(delaiReport.getQuantiteInitial().getValeurEntiere());
    }
    else
    {
      super.traiterCarencePourAlimenterSurCEP(constitutionDelais, delaiReport, demande);
    }
  }
}

/* Location:
 * Qualified Name:     ConstitutionDelaisReportsFinancement
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */