package fr.unedic.cali.asu.cge01.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.cali.asu.outilsfonctionnels.OutilsChomageSansRCT;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.CarencePrefixeAFixer;
import fr.unedic.cali.asu.produits.liquidation.dom.Differe;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.dom.ContexteDemande;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltreActiviteSalarieSuspensionChomageSansRCT;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.FiltresTemporel;
import fr.unedic.util.temps.Periode;
import java.util.Collection;
import java.util.Iterator;

public class ConstitutionDelaisReportsRepriseSuiteCsr
  extends ConstitutionDelaisReportsReprise
{
  protected ResultatDeterminationDelaisReports determinerCollectionDelaisReports(Contexte pContexte)
    throws ApplicativeException
  {
    Demande demande = DomLiquidationAssurance.getDemande(pContexte);
    Demande demnandeOrigne = demande.getDemandeOrigine();
    
    ResultatDeterminationDelaisReports resultat = super.determinerCollectionDelaisReports(pContexte);
    Collection collectionDelaisReportsRetour = resultat.getListeDelaisReports();
    ContexteDemande contexte = (ContexteDemande)OutilGestionContexteDemande.trouverContexteDemandeAssurance(demnandeOrigne, new String[] { "RUPCTRSUSP", "CSRSUSP" });
    
    Periode periodeJustifContexte = null;
    if (contexte != null) {
      periodeJustifContexte = contexte.getPeriodeJustifContexte();
    }
    FiltresTemporel filtres = new FiltresTemporel();
    filtres.ajouterFiltre(new FiltreActiviteSalarieSuspensionChomageSansRCT());
    
    Chronologie chronologie = demande.getDemandeur().getChronoPeriodePasseProfessionnel().copier(filtres);
    
    Iterator iterateur1 = chronologie.iterer();
    
    ActiviteSalarie activiteSalarieRetenue = null;
    while (iterateur1.hasNext())
    {
      ActiviteSalarie activiteSalarieTemp = (ActiviteSalarie)iterateur1.next();
      if (activiteSalarieTemp.getPeriode().coincideAvec(periodeJustifContexte)) {
        activiteSalarieRetenue = activiteSalarieTemp;
      }
    }
    if ((collectionDelaisReportsRetour != null) && (!collectionDelaisReportsRetour.isEmpty()))
    {
      Iterator iterateur = collectionDelaisReportsRetour.iterator();
      while (iterateur.hasNext())
      {
        CarencePrefixeAFixer carence = (CarencePrefixeAFixer)iterateur.next();
        if (!(carence instanceof Differe))
        {
          ActiviteSalarie periodeDebutCarence = OutilsChomageSansRCT.trouverPeriodeActiviteTerminantLeContrat(demande.getDemandeur(), activiteSalarieRetenue);
          
          carence.setOrigine(periodeDebutCarence);
        }
      }
    }
    return resultat;
  }
  
  protected Collection trouverCollectionDelaisReportsEffectifsDroitPrecedent(Contexte p_contexte)
  {
    Demande demande = DomLiquidationAssurance.getDemande(p_contexte);
    Demande demnandeOrigne = demande.getDemandeOrigine();
    Collection retour = null;
    if (!OutilsChomageSansRCT.estDemandeEnContexteDeRuptureDeContratEnCoursDeSuspension(demnandeOrigne)) {
      retour = super.trouverCollectionDelaisReportsEffectifsDroitPrecedent(p_contexte);
    }
    return retour;
  }
}

/* Location:
 * Qualified Name:     ConstitutionDelaisReportsRepriseSuiteCsr
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */