package fr.unedic.cali.asu.cge01.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.DeterminationDureeEffective;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.DeterminationProduitResultant;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;

public class ConstitutionProduitResultantFinDroitDcSuiteCsr
  extends ConstitutionProduitResultantClassique
{
  public Resultat demarrer(Contexte p_contexte)
    throws CoucheLogiqueException, ApplicativeException
  {
    DomLiquidationAssurance dom = (DomLiquidationAssurance)p_contexte.getDonnees();
    Demande demandeCourante = dom.getDemande();
    
    m_determinationProduitResultant.constitutionDureeDroitPrecedentCepa15FinAsrDcCsr(demandeCourante);
    
    return constitutionProduitResultant(p_contexte);
  }
  
  protected void recuperationCapitaux(Demande p_demandeCourante, DossierExamen p_dossierExamenCourant, boolean p_bornerRetraite)
    throws CoucheLogiqueException, ApplicativeException
  {
    m_montantPrecedent = m_determinationProduitResultant.obtenirMontantDroitPrecedent(p_dossierExamenCourant, p_demandeCourante);
    
    m_montantCourant = m_determinationProduitResultant.obtenirMontantDroitCourant(p_dossierExamenCourant);
    
    m_pointDepartUnique = m_determinationProduitResultant.determinerPointDepartUnique(p_demandeCourante, m_montantCourant, m_montantPrecedent);
    
    m_dureeIntermediaireDroitCourant = DeterminationDureeEffective.getInstance().determinerDureeEffectivePourComparaisonCapitaux(p_demandeCourante, m_pointDepartUnique, p_bornerRetraite);
    
    m_capitalComparatifDroitCourant = m_determinationProduitResultant.obtenirCapitalPourComparaison(m_dureeIntermediaireDroitCourant, m_montantCourant, p_dossierExamenCourant, p_demandeCourante, true);
    
    m_dureeIntermediaireDroitPrecedent = m_determinationProduitResultant.determinerDureeDroitPrecedentPourCalculCapitalPourFinAsrDCSuiteCSR(p_demandeCourante, m_pointDepartUnique, m_montantPrecedent, p_bornerRetraite);
    
    m_capitalComparatifDroitPrecedent = m_determinationProduitResultant.obtenirCapitalPourComparaison(m_dureeIntermediaireDroitPrecedent, m_montantPrecedent, p_dossierExamenCourant, p_demandeCourante, false);
    
    verifierCapitalPrecedentSP(m_dureeIntermediaireDroitPrecedent, m_montantPrecedent, m_capitalComparatifDroitPrecedent);
    if (m_capitalComparatifDroitPrecedent.compareTo(m_capitalComparatifDroitCourant) > 0) {
      m_capitalProduitResultant = m_capitalComparatifDroitPrecedent;
    } else {
      m_capitalProduitResultant = m_capitalComparatifDroitCourant;
    }
  }
  
  protected void verifierDuree(Quantite p_dureeProduitResultant)
    throws CoucheLogiqueException
  {}
}

/* Location:
 * Qualified Name:     ConstitutionProduitResultantFinDroitDcSuiteCsr
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */