package fr.unedic.cali.asu.cge01.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.RechercheConditionActiviteMaintien;
import fr.unedic.cali.asu.mnt.dom.ConditionAppartenanceMaintien;
import fr.unedic.cali.asu.mnt.dom.DemandeMaintien;
import fr.unedic.cali.asu.mnt.dom.DossierExamen;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.DomLiquidationDemande;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;

public class DeterminationConditionAppartenancePourMaintien
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte p_contexte)
    throws ApplicativeException
  {
    OutilTrace.tracerDebutParcours();
    
    Resultat resultatCam03 = new Resultat(1);
    DemandeMaintien demandeMaintien = (DemandeMaintien)getDemande(p_contexte);
    
    ConditionAppartenanceMaintien conditionAppartenance = RechercheConditionActiviteMaintien.verifierAppartenance(demandeMaintien);
    
    demandeMaintien.getDossierExamen().setConditionAppartenance(conditionAppartenance);
    if (conditionAppartenance.estSatisfait())
    {
      resultatCam03.setEtat(0);
    }
    else
    {
      resultatCam03.setEtat(1);
      resultatCam03.setMessageErreur(Integer.toString(conditionAppartenance.getCodeMotifEchec()));
    }
    OutilTrace.tracerFinParcours();
    
    return resultatCam03;
  }
  
  public static DemandeSpec getDemande(Contexte p_contexte)
  {
    return ((DomLiquidationDemande)p_contexte.getDonnees()).getDemandeSpec();
  }
}

/* Location:
 * Qualified Name:     DeterminationConditionAppartenancePourMaintien
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */