package fr.unedic.cali.asu.cge01.liquidation.parcours.asp;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierExamenAssuranceSpec;
import fr.unedic.cali.asu.dom.spec.ObjectifExamenAssuranceSpec;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.cali.asu.outilsfonctionnels.OutilReferenceExterne;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.parcours.ParcoursObjectifReprise;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.CoucheLogiqueException;

public class ParcoursObjectifNovation
  extends ParcoursObjectifReprise
{
  protected void changerEtatDossierExamen(DossierExamenAssuranceSpec dossierExamenCourant)
    throws CoucheLogiqueException
  {
    Demande demande = (Demande)dossierExamenCourant.getDemande();
    if (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(demande.getListContexteDemande(), "AREENTRCSP")) {
      dossierExamenCourant.changerEtat(47);
    } else if (OutilGestionContexteDemande.estUnContexteDemandeAssurancePresent(demande, new String[] { "POSTCSPARE", "POSTCSPDC", "POSTPAPARE", "POSTPAPDC" })) {
      dossierExamenCourant.changerEtat(48);
    }
  }
  
  protected void determinationReferenceExterne(Contexte contexte)
    throws CoucheLogiqueException
  {
    OutilReferenceExterne.determinationReferenceExterneAdmission(contexte);
  }
  
  protected void executerCepr(Contexte contexte, ObjectifExamenAssuranceSpec objectifExamenCourant)
    throws ApplicativeException
  {
    Demande demandeCourante = ((DomLiquidationAssurance)contexte.getDonnees()).getDemande();
    ProduitAsuSpec produitCourant = getProduit(contexte);
    DossierExamenAssuranceSpec dossierExamenCourant = (DossierExamenAssuranceSpec)demandeCourante.getDossierExamen();
    
    changerEtatDossierExamen(dossierExamenCourant);
    
    produitCourant.constituerDateAttribution(contexte);
    
    produitCourant.constituerReglementApplicable(contexte);
    
    produitCourant.constituerDateLimiteIndemnisation(contexte);
    
    produitCourant.constituerDureesReglementaires(contexte);
    effectuerParcours(objectifExamenCourant.creerParcoursConstitutionDureePostPrime(), contexte);
    
    produitCourant.constituerSalaireJournalierDeReference(contexte);
    
    produitCourant.liquiderDemandeAssociee(contexte);
    
    produitCourant.constituerCoefficientTempsPartiel(contexte);
    
    produitCourant.constituerCaractereSaisonnier(contexte);
    
    produitCourant.constituerCoefficientSaisonnier(contexte);
    
    alimenterTrancheExecutable(contexte);
    
    produitCourant.constituerDelaisReports(contexte);
    
    produitCourant.determinerCompetencesDroitResultant(contexte);
    
    produitCourant.constituerSalaireJournalierConserve(contexte);
    
    produitCourant.constituerMontantsBruts(contexte);
    
    alimenterTrancheExecutable(contexte);
    
    produitCourant.constituerPointDeDepart(contexte);
    
    produitCourant.constituerDureeEffective(contexte);
    
    nettoyerTrancheExecutable(contexte);
    
    produitCourant.constituerCapitalAvecDureeEffective(contexte);
  }
  
  protected boolean verifierCapr(Contexte contexte)
    throws ApplicativeException
  {
    boolean caprSatisfaites = super.verifierCapr(contexte);
    
    Demande demandeCourante = ((DomLiquidationAssurance)contexte.getDonnees()).getDemande();
    if (OutilGestionContexteDemande.estContexteDemandeAssurancePresent(demandeCourante, "AREENTRCSP")) {
      getProduit(contexte).verifierConditionFaitGenerateur(contexte);
    }
    return caprSatisfaites;
  }
}

/* Location:
 * Qualified Name:     ParcoursObjectifNovation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */