package fr.unedic.cali.asu.cge01.outilsfonctionnels;

import fr.unedic.cali.asu.dom.CompetenceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierExamenAssuranceSpec;
import fr.unedic.cali.asu.produits.liquidation.dom.Competence;
import fr.unedic.cali.dom.ClassementAdministratif;
import fr.unedic.cali.dom.ClassementCompetenceSecteurPublic;
import fr.unedic.cali.utilitaire.filtres.generiques.FiltreDemandePourClassement;
import fr.unedic.cali.utilitaire.filtres.logiques.FiltreOU;
import fr.unedic.cali.utilitaire.filtres.metiers.FiltreDecisionPourCompetence;
import fr.unedic.cali.utilitaire.outils.OutilRecherche;
import fr.unedic.util.temps.Chronologie;

public final class OutilDeterminationCompetenceRepriseSP
{
  public static CompetenceSpec recupererCompetence(Chronologie chronoDemandesAsuSansCourante, Demande demandeCourante)
  {
    CompetenceSpec competence = new Competence();
    
    String employeur = recupererEmployeurCompetent(chronoDemandesAsuSansCourante, demandeCourante);
    
    alimenterCompetence(competence, employeur);
    
    return competence;
  }
  
  private static String recupererEmployeurCompetent(Chronologie demandesPrecedentes, Demande demandeCourante)
  {
    String employeurSp = "";
    
    FiltreOU filtre = new FiltreOU();
    FiltreDemandePourClassement filtreClassement = new FiltreDemandePourClassement("SP");
    FiltreDecisionPourCompetence filtreDecisionSP = new FiltreDecisionPourCompetence(2, 0);
    
    filtre.ajouterFiltre(filtreClassement);
    filtre.ajouterFiltre(filtreDecisionSP);
    
    Demande demandePrecedente = (Demande)OutilRecherche.rechercherDemandePrecedente(demandesPrecedentes, demandeCourante, filtre);
    if (demandePrecedente != null)
    {
      ClassementAdministratif classement = demandePrecedente.getClassementAdministratif();
      if (classement != null) {
        employeurSp = ((ClassementCompetenceSecteurPublic)classement).getEmployeurCompetent();
      } else {
        employeurSp = ((DossierExamenAssuranceSpec)demandePrecedente.getDossierExamen()).getCompetence().getLibelleEmployeurCompetent();
      }
    }
    return employeurSp;
  }
  
  private static void alimenterCompetence(CompetenceSpec competence, String employeur)
  {
    competence.setCompetenceAdministrative(2);
    competence.setCompetenceFinanciere(2);
    competence.setLibelleEmployeurCompetent(employeur);
  }
}

/* Location:
 * Qualified Name:     OutilDeterminationCompetenceRepriseSP
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */