package fr.unedic.cali.asu.cge01.p02.antecedent;

import fr.unedic.cali.asu.antecedent.GestionAntecedentCalculAsu;
import fr.unedic.cali.asu.antecedent.GestionAntecedentCalculAsuSpec;
import fr.unedic.cali.asu.cge01.p02.calcul.dom.CalendrierExecutionCalcul;
import fr.unedic.cali.asu.cge01.p02.calcul.dom.EtatAuDjiProduit;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.Antecedent;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.SaisieAntecedent;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculPeriodique;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculSpec;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.util.Unite;
import fr.unedic.util.temps.Periode;

public class GestionAntecedentCalcul
  extends GestionAntecedentCalculAsu
{
  public static GestionAntecedentCalculAsuSpec getInstance()
  {
    return new GestionAntecedentCalcul();
  }
  
  public void alimenterGrapheCalcul(AttributionSpec p_attribution)
  {
    AttributionAssuranceSpec antecedent = (AttributionAssuranceSpec)p_attribution;
    SaisieAntecedent saisieAntecedent = ((Antecedent)antecedent).getSaisieAntecedent();
    
    alimenterCalendrierExecutionCalculAvant(antecedent, saisieAntecedent);
    
    alimenterCalendrierExecutionCalculPendant(antecedent, saisieAntecedent);
  }
  
  protected void alimenterCalendrierExecutionCalculPendant(AttributionAssuranceSpec p_antecedent, SaisieAntecedent p_saisieAntecedent)
  {
    CalendrierExecutionCalculPeriodique calendrierPendant = instancierCalendrierExecutionCalcul();
    calendrierPendant.setEtatAttribution(3);
    calendrierPendant.setPremierJourIndemnisable(p_saisieAntecedent.getPremierJourIndemnisable());
    calendrierPendant.setDernierJourIndemnisable(p_saisieAntecedent.getDateDernierJourCalcule());
    p_antecedent.setCalendrierExecutionCalcul(calendrierPendant);
    alimenterEtatAuDJI(p_antecedent, p_saisieAntecedent);
  }
  
  protected void alimenterEtatAuDJI(AttributionAssuranceSpec p_antecedent, SaisieAntecedent p_saisieAntecedent)
  {
    EtatAuDjiProduit etatAuDjiProduit = new EtatAuDjiProduit();
    if (p_saisieAntecedent.getCumulMoisActiviteReduite() != null) {
      etatAuDjiProduit.setCumulMoisActiviteReduite(p_saisieAntecedent.getCumulMoisActiviteReduite().intValue());
    }
    if (p_saisieAntecedent.getNombreJourIndemniseARE() != null) {
      etatAuDjiProduit.setCumulJoursIndemnise(p_saisieAntecedent.getNombreJourIndemniseARE().intValue());
    }
    if (p_saisieAntecedent.getNombreJourIndemniseAREF() != null) {
      etatAuDjiProduit.setNbJourAREF(p_saisieAntecedent.getNombreJourIndemniseAREF().intValue());
    }
    etatAuDjiProduit.setReliquatDureeIndemnisation(p_saisieAntecedent.getReliquatDuree());
    etatAuDjiProduit.setReliquatDureeIndemnisationAvecMaintien(p_saisieAntecedent.getReliquatDuree());
    etatAuDjiProduit.setReliquatDureeRenouvellement(p_saisieAntecedent.getReliquatDureeRenouvellement());
    if (p_saisieAntecedent.getNombreMoisIndemnisationAssurance() != null) {
      etatAuDjiProduit.setNbMoisIndemniseAsu(p_saisieAntecedent.getNombreMoisIndemnisationAssurance().intValue());
    }
    etatAuDjiProduit.setMontant(determinerMontant(p_antecedent, p_saisieAntecedent));
    p_antecedent.getCalendrierExecutionCalcul().setEtatAuDJI(etatAuDjiProduit);
  }
  
  protected CalendrierExecutionCalculPeriodique instancierCalendrierExecutionCalcul()
  {
    return new CalendrierExecutionCalcul();
  }
  
  protected fr.unedic.cali.calcul.dom.UniteTraitement instancierUniteTraitement(Unite p_uniteParDefautQuantites, Periode p_periode)
  {
    return new fr.unedic.cali.asu.cge01.p02.calcul.dom.UniteTraitement(p_uniteParDefautQuantites, p_periode);
  }
}

/* Location:
 * Qualified Name:     GestionAntecedentCalcul
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */