package fr.unedic.cali.asu.cge01.p02.liquidation.dom;

import fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen.ConditionValiditeReliquatGen;
import fr.unedic.cali.asu.dom.ConditionValiditeReliquatSpec;
import fr.unedic.cali.dom.ResultatElementDroit;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public class ConditionValiditeReliquat
  extends ConditionValiditeReliquatGen
  implements ConditionValiditeReliquatSpec
{
  private static final long serialVersionUID = -7048223890962209118L;
  
  public ConditionValiditeReliquat() {}
  
  public ConditionValiditeReliquat(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ResultatElementDroit getResultatElementDroit()
  {
    if (super.getResultatElementDroit() == null) {
      super.setResultatElementDroit(new ResultatElementDroit());
    }
    return super.getResultatElementDroit();
  }
  
  public void jdoPreDelete() {}
  
  public void marquerGraphePersistant() {}
  
  public boolean estSatisfait()
  {
    return getResultatElementDroit().estSatisfait();
  }
  
  public int getCodeMotifEchec()
  {
    return getResultatElementDroit().getCodeMotifEchec();
  }
  
  public void setCodeMotifEchec(int p_codeMotifEchec)
  {
    getResultatElementDroit().setCodeMotifEchec(p_codeMotifEchec);
  }
  
  public void setEtatSatisfait(boolean p_etatSatisfait)
  {
    getResultatElementDroit().setEtatSatisfait(p_etatSatisfait);
  }
  
  public ObjetMetierSpec copie()
  {
    ConditionValiditeReliquat copie = new ConditionValiditeReliquat();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConditionValiditeReliquat copie = (ConditionValiditeReliquat)p_copie;
    copie.setCodeMotifEchec(getCodeMotifEchec());
    copie.setEtat(getEtat());
    copie.setCauseExtinction(getCauseExtinction());
    copie.setDateDecheance(getDateDecheance());
    copie.setMotifNonValidite(getMotifNonValidite());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void jdoPostLoad() {}
  
  public void jdoPreClear() {}
  
  public void jdoPreStore() {}
  
  public void setEtat(int p_etat)
  {
    getResultatElementDroit().setEtat(p_etat);
  }
  
  public int getEtat()
  {
    return getResultatElementDroit().getEtat();
  }
}

/* Location:
 * Qualified Name:     ConditionValiditeReliquat
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */