package fr.unedic.cali.asu.cge01.p02.liquidation.dom;

import fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen.ConstitutionDureesGen;
import fr.unedic.cali.dom.ConstitutionDroitSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import java.util.Collection;
import java.util.Iterator;

public class ConstitutionDurees
  extends ConstitutionDureesGen
  implements ConstitutionDroitSpec
{
  private static final long serialVersionUID = -436282044166540279L;
  
  public ConstitutionDurees() {}
  
  public ConstitutionDurees(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void ajouterDuree(DureeReglementaire p_dureeDroit)
  {
    if (p_dureeDroit != null) {
      super.ajouterDuree(p_dureeDroit);
    }
  }
  
  public Collection getListeDurees()
  {
    return getCollectionDuree();
  }
  
  public DureeIndemnisation getDureeIndemnisation()
  {
    for (Iterator iter = getListeDurees().iterator(); iter.hasNext();)
    {
      DureeReglementaire duree = (DureeReglementaire)iter.next();
      if ((duree instanceof DureeIndemnisation)) {
        return (DureeIndemnisation)duree;
      }
    }
    return null;
  }
  
  public DureeRenouvellement getDureeRenouvellement()
  {
    for (Iterator iter = getListeDurees().iterator(); iter.hasNext();)
    {
      DureeReglementaire duree = (DureeReglementaire)iter.next();
      if ((duree instanceof DureeRenouvellement)) {
        return (DureeRenouvellement)duree;
      }
    }
    return null;
  }
  
  public void jdoPreDelete()
  {
    DomManager.supprimer(getListeDurees());
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(getCollectionDuree());
  }
  
  public void jdoPostLoad() {}
  
  public void jdoPreClear() {}
  
  public void jdoPreStore() {}
  
  public ObjetMetierSpec copie()
  {
    ConstitutionDurees copie = new ConstitutionDurees();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConstitutionDurees copie = (ConstitutionDurees)p_copie;
    
    Iterator iter = getListeDurees().iterator();
    while (iter.hasNext())
    {
      DureeReglementaire dureeACloner = (DureeReglementaire)iter.next();
      if (dureeACloner != null)
      {
        DureeReglementaire dureeClone = (DureeReglementaire)dureeACloner.copie();
        copie.ajouterDuree(dureeClone);
      }
    }
  }
  
  public void remplacerCollectionDuree(Collection collectionACopier)
  {
    for (Iterator i = super.getCollectionDuree().iterator(); i.hasNext();)
    {
      DureeReglementaire objet = (DureeReglementaire)i.next();
      DomManager.supprimer(objet);
    }
    super.remplacerCollectionDuree(collectionACopier);
  }
}

/* Location:
 * Qualified Name:     ConstitutionDurees
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */