package fr.unedic.cali.asu.cge01.p02.liquidation.dom;

import fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen.ConstitutionSjrGen;
import fr.unedic.cali.asu.dom.ConstitutionSjrSpec;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.dom.ConstitutionDroitSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import java.math.BigDecimal;

public class ConstitutionSjr
  extends ConstitutionSjrGen
  implements ConstitutionDroitSpec, ConstitutionSjrSpec
{
  private static final long serialVersionUID = -4902742628958824611L;
  
  public ConstitutionSjr() {}
  
  public ConstitutionSjr(DomPCSpec pc)
  {
    super(pc);
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void setSjrip(Sjrip sjrip)
  {
    DomManager.supprimer(super.getSjrip(), sjrip);
    super.setSjrip(sjrip);
  }
  
  public void jdoPostLoad() {}
  
  public void jdoPreClear() {}
  
  public void jdoPreDelete()
  {
    DomManager.supprimer(super.getSjrip());
    DomManager.supprimer(super.getJustificationSjr());
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getSjrip());
    DomManager.persisterEnProfondeur(super.getJustificationSjr());
  }
  
  public void jdoPreStore() {}
  
  public ObjetMetierSpec copie()
  {
    ConstitutionSjr copie = new ConstitutionSjr();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec pCopie)
  {
    ConstitutionSjr copie = (ConstitutionSjr)pCopie;
    
    copie.setSjrip(getSjrip() != null ? (Sjrip)getSjrip().copie() : null);
    copie.setSjrrp(getSjrrp() != null ? (Sjr)getSjrrp().copie() : null);
    copie.setJustificationSjr(getJustificationSjr() != null ? (JustificationSjr)getJustificationSjr().copie() : null);
    copie.setCodeEmploiA2b(getCodeEmploiA2b());
    copie.setSommeMontantRevision(getSommeMontantRevision());
  }
  
  public void setJustificationSjr(JustificationSjr justificationSjr)
  {
    DomManager.supprimer(super.getJustificationSjr(), justificationSjr);
    super.setJustificationSjr(justificationSjr);
  }
  
  public void setCoeffReducteurSjr(BigDecimal coef) {}
  
  public void setPlancherCoefficientSjr(BigDecimal plancherCoefficientSjr) {}
  
  public void setSjrTheorique(BigDecimal sjrTheorique) {}
}

/* Location:
 * Qualified Name:     ConstitutionSjr
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */