package fr.unedic.cali.asu.cge01.p02.liquidation.dom;

import fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen.RejetGen;
import fr.unedic.cali.asu.dom.JustificationAffiliationSpec;
import fr.unedic.cali.asu.produits.liquidation.dom.JustificationAffiliation;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.RejetSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;

public class Rejet
  extends RejetGen
  implements RejetSpec
{
  private static final long serialVersionUID = -2165745030575747747L;
  
  public Rejet() {}
  
  public Rejet(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public Rejet(Damj p_dateEvenement, DossierExamen p_dossierExamen)
  {
    super(p_dateEvenement);
    copie(p_dossierExamen);
  }
  
  public void jdoPreDelete()
  {
    super.jdoPreDelete();
  }
  
  public Damj getDateEvenement()
  {
    return getDemande().getDateExamen();
  }
  
  public ObjetMetierSpec copie()
  {
    Rejet copie = new Rejet();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
  
  public JustificationAffiliationSpec getJustificationAffiliation()
  {
    JustificationAffiliation justif = null;
    if (getConstitutionQuantiteAffiliation() != null) {
      justif = getConstitutionQuantiteAffiliation().getJustificationAffiliation();
    } else if (getConditionsAttributionAdmission().getConditionQuantiteAffiliation() != null) {
      justif = (JustificationAffiliation)getConditionsAttributionAdmission().getConditionQuantiteAffiliation().getJustificationAffiliation();
    }
    return justif;
  }
  
  public Damj getDateEffetDecision()
  {
    return getDemande().getDateRecherche();
  }
}

/* Location:
 * Qualified Name:     Rejet
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */