package fr.unedic.cali.asu.cge01.p02.liquidation.dom;

import fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen.SjrActiviteConserveeGen;
import fr.unedic.cali.asu.dom.SjrActiviteConserveeSpec;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.dom.Individu;
import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.parcours.ContexteParcoursCali;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.QuantiteEuro;

public class SjrActiviteConservee
  extends SjrActiviteConserveeGen
  implements SjrActiviteConserveeSpec, ObjetPersistantSpec
{
  private static final long serialVersionUID = -2666968147561125627L;
  private transient TravailSpec m_periodeActiviteConservee;
  
  private SjrActiviteConservee() {}
  
  public SjrActiviteConservee(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public SjrActiviteConservee(QuantiteEuro p_sjrInitial)
  {
    super.setSjrInitial(p_sjrInitial);
  }
  
  public void setPrc(PrcSjc p_prc)
  {
    DomManager.supprimer(super.getPrc(), p_prc);
    super.setPrc(p_prc);
  }
  
  public String toString()
  {
    StringBuffer chaineRetour = new StringBuffer();
    chaineRetour.append(super.toString() + "\n");
    chaineRetour.append("SjrInitial activité conservée : " + super.getSjrInitial() + "\n");
    chaineRetour.append("PrcSjc : " + super.getPrc() + "\n");
    return chaineRetour.toString();
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getPrc());
  }
  
  public ObjetMetierSpec copie()
  {
    SjrActiviteConservee copie = new SjrActiviteConservee();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    SjrActiviteConservee copie = (SjrActiviteConservee)p_copie;
    if (getPrc() != null) {
      copie.setPrc((PrcSjc)getPrc().copie());
    }
    copie.setSjrInitial(getSjrInitial());
    copie.setIdentifiantPeriodeActiviteConservee(getIdentifiantPeriodeActiviteConservee());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public TravailSpec getPeriodeActiviteConservee()
  {
    if (m_periodeActiviteConservee == null)
    {
      Individu individuCourant = ContexteParcoursCali.getIndividuCourant();
      
      m_periodeActiviteConservee = ((TravailSpec)individuCourant.rechercherPeriodePasseProfessionnel(getIdentifiantPeriodeActiviteConservee()));
    }
    return m_periodeActiviteConservee;
  }
  
  public void setPeriodeActiviteConservee(TravailSpec p_periodeActiviteConservee)
  {
    m_periodeActiviteConservee = p_periodeActiviteConservee;
    if (p_periodeActiviteConservee != null) {
      setIdentifiantPeriodeActiviteConservee(p_periodeActiviteConservee.getIdentifiant());
    }
  }
  
  public String getTypeActiviteConservee()
  {
    return null;
  }
  
  public void setTypeActiviteConservee(String p_typeActiviteConservee) {}
}

/* Location:
 * Qualified Name:     SjrActiviteConservee
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */