package fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.pc.ConstitutionPointDepartIndemnisationPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;

public abstract class ConstitutionPointDepartIndemnisationGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionPointDepartIndemnisationPC;
  private Damj m_pji;
  
  public ConstitutionPointDepartIndemnisationGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConstitutionPointDepartIndemnisationGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new ConstitutionPointDepartIndemnisationPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_constitutionPointDepartIndemnisationPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionPointDepartIndemnisationPC)
  {
    m_constitutionPointDepartIndemnisationPC = p_constitutionPointDepartIndemnisationPC;
  }
  
  protected Damj rawGetPji()
  {
    return ((ConstitutionPointDepartIndemnisationPC)getPC()).getPji();
  }
  
  public Damj getPji()
  {
    return ((ConstitutionPointDepartIndemnisationPC)getPC()).getPji();
  }
  
  public void setPji(Damj p_pji)
  {
    if ((m_pji == null) || (p_pji == null))
    {
      m_pji = p_pji;
      ((ConstitutionPointDepartIndemnisationPC)getPC()).setPji(p_pji);
    }
    else if ((m_pji != null) && (p_pji != null) && (!p_pji.equals(m_pji)))
    {
      m_pji = p_pji;
      ((ConstitutionPointDepartIndemnisationPC)getPC()).setPji(p_pji);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConstitutionPointDepartIndemnisationGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */