package fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.JustificationSr;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.pc.JustificationSjrPC;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public abstract class JustificationSjrGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_justificationSjrPC;
  private JustificationSr m_justificationSr;
  
  public JustificationSjrGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public JustificationSjrGen()
  {
    setPC(createPC());
  }
  
  protected DomPCSpec createPC()
  {
    return new JustificationSjrPC();
  }
  
  public DomPCSpec getPC()
  {
    return m_justificationSjrPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_justificationSjrPC)
  {
    m_justificationSjrPC = p_justificationSjrPC;
  }
  
  public JustificationSr getJustificationSr()
  {
    if (m_justificationSr == null)
    {
      DomPCSpec justificationSrPC = ((JustificationSjrPC)getPC()).getJustificationSr();
      if (justificationSrPC != null) {
        m_justificationSr = ((JustificationSr)justificationSrPC.createOM());
      }
    }
    return m_justificationSr;
  }
  
  public void setJustificationSr(JustificationSr p_justificationSr)
  {
    if (p_justificationSr == null)
    {
      ((JustificationSjrPC)getPC()).setJustificationSr(null);
      m_justificationSr = p_justificationSr;
    }
    else if (!p_justificationSr.equals(m_justificationSr))
    {
      ((JustificationSjrPC)getPC()).setJustificationSr(p_justificationSr.getPC());
      m_justificationSr = p_justificationSr;
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    Object justificationSr = getJustificationSr();
    if ((justificationSr != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(justificationSr))) {
      DomManager.supprimer(getJustificationSr(), p_contexteSuppression);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     JustificationSjrGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */