package fr.unedic.cali.asu.cge01.p02.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.Prc;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.pc.SjripPC;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoEvenementDebutCREM;

public abstract class SjripGen
  extends ObjetChronoEvenementDebutCREM
  implements DomGenSpec
{
  private Prc m_prc;
  private QuantiteEuro m_plafondSjr;
  private QuantiteEuro m_sjrInitial;
  
  public SjripGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public SjripGen() {}
  
  public SjripGen(Damj p_dateEffet)
  {
    super(p_dateEffet);
  }
  
  protected DomPCSpec createPC()
  {
    return new SjripPC();
  }
  
  public Prc getPrc()
  {
    if (m_prc == null)
    {
      DomPCSpec prcPC = ((SjripPC)getPC()).getPrc();
      if (prcPC != null) {
        m_prc = ((Prc)prcPC.createOM());
      }
    }
    return m_prc;
  }
  
  public void setPrc(Prc p_prc)
  {
    if (p_prc == null)
    {
      ((SjripPC)getPC()).setPrc(null);
      m_prc = p_prc;
    }
    else if (!p_prc.equals(m_prc))
    {
      ((SjripPC)getPC()).setPrc(p_prc.getPC());
      m_prc = p_prc;
    }
  }
  
  protected QuantiteEuro rawGetPlafondSjr()
  {
    return ((SjripPC)getPC()).getPlafondSjr();
  }
  
  public QuantiteEuro getPlafondSjr()
  {
    return ((SjripPC)getPC()).getPlafondSjr();
  }
  
  public void setPlafondSjr(QuantiteEuro p_plafondSjr)
  {
    if ((m_plafondSjr == null) || (p_plafondSjr == null))
    {
      m_plafondSjr = p_plafondSjr;
      ((SjripPC)getPC()).setPlafondSjr(p_plafondSjr);
    }
    else if ((m_plafondSjr != null) && (p_plafondSjr != null) && (!p_plafondSjr.equals(m_plafondSjr)))
    {
      m_plafondSjr = p_plafondSjr;
      ((SjripPC)getPC()).setPlafondSjr(p_plafondSjr);
    }
  }
  
  protected QuantiteEuro rawGetSjrInitial()
  {
    return ((SjripPC)getPC()).getSjrInitial();
  }
  
  public QuantiteEuro getSjrInitial()
  {
    return ((SjripPC)getPC()).getSjrInitial();
  }
  
  public void setSjrInitial(QuantiteEuro p_sjrInitial)
  {
    if ((m_sjrInitial == null) || (p_sjrInitial == null))
    {
      m_sjrInitial = p_sjrInitial;
      ((SjripPC)getPC()).setSjrInitial(p_sjrInitial);
    }
    else if ((m_sjrInitial != null) && (p_sjrInitial != null) && (!p_sjrInitial.equals(m_sjrInitial)))
    {
      m_sjrInitial = p_sjrInitial;
      ((SjripPC)getPC()).setSjrInitial(p_sjrInitial);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
    
    Object prc = getPrc();
    if ((prc != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(prc))) {
      DomManager.supprimer(getPrc(), p_contexteSuppression);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     SjripGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */