package fr.unedic.cali.asu.cge01.p02.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.archi.util.trace.Log;
import fr.unedic.archi.util.trace.Niveau;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.cge01.p02.liquidation.outilsfonctionnels.DeterminationDureeEffective;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteException;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;

public class ConstitutionDureeEffective
  extends ParcoursCali
  implements ParcoursAssurance
{
  public void controlerContexte(Contexte p_contexte)
    throws ContexteException
  {
    if (DomLiquidationAssurance.getDemande(p_contexte) == null) {
      throw new ContexteException("HG_PR_CALI_L_CONTEXTE_ABSENCE_DEMANDE_ASSURANCE", "La demande d'assurance courante est null: constitution de la duree impossible.");
    }
    DossierExamen dossierExamenCourant = (DossierExamen)DomLiquidationAssurance.getDemande(p_contexte).getDossierExamen();
    if (dossierExamenCourant == null) {
      throw new ContexteException("HG_PR_CALI_L_ERR_CTX_ABS_OD", "Le dossier examen courante est null: constitution de la duree impossible.");
    }
  }
  
  public Resultat demarrer(Contexte p_contexte)
    throws CoucheLogiqueException, ApplicativeException
  {
    if (Log.isTraceActive(ConstitutionDureeReglementaireAdmission.class, Niveau.DEBUG))
    {
      Log.ecritTrace(Niveau.DEBUG, ConstitutionDureeReglementaireAdmission.class, "demarrer", "");
      Log.ecritTrace(Niveau.DEBUG, ConstitutionDureeReglementaireAdmission.class, "demarrer", "\t\t******** Début Parcours ConstitutionDureeReglementaireAdmission ********\n");
    }
    Resultat resultatCEPADureeEffective = new Resultat(0);
    
    Demande demande = DomLiquidationAssurance.getDemande(p_contexte);
    
    DeterminationDureeEffective.determinerDureeEffective(demande);
    if (Log.isTraceActive(ConstitutionDureeReglementaireAdmission.class, Niveau.DEBUG))
    {
      Log.ecritTrace(Niveau.DEBUG, ConstitutionDureeReglementaireAdmission.class, "demarrer", "");
      Log.ecritTrace(Niveau.DEBUG, ConstitutionDureeReglementaireAdmission.class, "demarrer", "\t\t******** Résultat Parcours ConstitutionDureeEffective ********\n" + resultatCEPADureeEffective);
      
      Log.ecritTrace(Niveau.DEBUG, ConstitutionDureeReglementaireAdmission.class, "demarrer", "");
      Log.ecritTrace(Niveau.DEBUG, ConstitutionDureeReglementaireAdmission.class, "demarrer", "\t\t******** Fin Parcours ConstitutionDureeEffective ********\n");
    }
    return resultatCEPADureeEffective;
  }
}

/* Location:
 * Qualified Name:     ConstitutionDureeEffective
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */