package fr.unedic.cali.asu.cge01.p02.liquidation.parcours;

import fr.unedic.archi.util.trace.Log;
import fr.unedic.archi.util.trace.Niveau;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.ConstitutionDurees;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.DureeIndemnisation;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.DureeReglementaire;
import fr.unedic.cali.asu.cge01.p02.liquidation.dom.DureeRenouvellement;
import fr.unedic.cali.asu.cge01.p02.liquidation.outilsfonctionnels.DeterminationDureeReglementaire;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteException;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;

public class ConstitutionDureeReglementaireAdmission
  extends ParcoursCali
  implements ParcoursAssurance
{
  public void controlerContexte(Contexte p_contexte)
    throws ContexteException
  {
    if (DomLiquidationAssurance.getDemande(p_contexte) == null) {
      throw new ContexteException("HG_PR_CALI_L_CONTEXTE_ABSENCE_DEMANDE_ASSURANCE", "La demande d'assurance courante est null: constitution des durees impossible.");
    }
    DossierExamen dossierExamenCourant = (DossierExamen)DomLiquidationAssurance.getDemande(p_contexte).getDossierExamen();
    if (dossierExamenCourant == null) {
      throw new ContexteException("HG_PR_CALI_L_ERR_CTX_ABS_OD", "Le dossier examen courante est null: constitution des durees impossible.");
    }
  }
  
  public Resultat demarrer(Contexte p_contexte)
    throws CoucheLogiqueException
  {
    if (Log.isTraceActive(ConstitutionDureeReglementaireAdmission.class, Niveau.DEBUG))
    {
      Log.ecritTrace(Niveau.DEBUG, ConstitutionDureeReglementaireAdmission.class, "demarrer", "");
      Log.ecritTrace(Niveau.DEBUG, ConstitutionDureeReglementaireAdmission.class, "demarrer", "\t\t******** Début Parcours ConstitutionDureeReglementaireAdmission ********\n");
    }
    Resultat resultatCEPA02 = new Resultat(0);
    
    Demande demande = DomLiquidationAssurance.getDemande(p_contexte);
    DossierExamen dossierExamenCourant = (DossierExamen)demande.getDossierExamen();
    
    ConstitutionDurees constitutionDurees = new ConstitutionDurees();
    
    DureeIndemnisation dureeIndemnisation = null;
    
    dureeIndemnisation = DeterminationDureeReglementaire.determinerDureeReglementaire(demande);
    
    constitutionDurees.ajouterDuree(dureeIndemnisation);
    
    int dureeIndemnisationTheorique = dureeIndemnisation.getDureeTheorique().getValeurEntiere();
    if (dureeIndemnisationTheorique > 213)
    {
      DureeRenouvellement dureeRenouvellement = new DureeRenouvellement();
      dureeRenouvellement.setDureeEffective(new Quantite(182, DureeReglementaire.UNITE_DEFAUT));
      constitutionDurees.ajouterDuree(dureeRenouvellement);
    }
    dossierExamenCourant.setConstitutionDurees(constitutionDurees);
    if (Log.isTraceActive(ConstitutionDureeReglementaireAdmission.class, Niveau.DEBUG)) {
      Log.ecritTrace(Niveau.DEBUG, ConstitutionDureeReglementaireAdmission.class, "demarrer", "\t\t******** Fin Parcours ConstitutionDureeReglementaireAdmission ********\n");
    }
    return resultatCEPA02;
  }
}

/* Location:
 * Qualified Name:     ConstitutionDureeReglementaireAdmission
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */