package fr.unedic.cali.asu.cge01.p03.calcul.dom;

import fr.unedic.cali.asu.cge01.p03.calcul.dom.gen.DureeIndemnisationGen;
import fr.unedic.cali.asu.cge01.p03.calcul.outilsfonctionnels.SimulateurImputeurDureeIndemnisation;
import fr.unedic.cali.dom.EtatQuantiteDroit;
import fr.unedic.cali.dom.ImputationJour;
import fr.unedic.cali.dom.ImputationSpec;
import fr.unedic.cali.dom.QuantiteIndemnisationSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import fr.unedic.util.temps.UniteDuree;
import java.math.BigDecimal;

public class DureeIndemnisation
  extends DureeIndemnisationGen
  implements QuantiteIndemnisationSpec
{
  public static final Unite UNITE_DEFAUT = UniteDuree.JOUR;
  
  public DureeIndemnisation() {}
  
  public DureeIndemnisation(int p_quantiteInitial)
  {
    setQuantiteInitial(new Quantite(new BigDecimal(Integer.toString(p_quantiteInitial)), UNITE_DEFAUT));
    setQuantiteCourante(new Quantite(new BigDecimal("0"), UNITE_DEFAUT));
  }
  
  public DureeIndemnisation(DomPCSpec p_indemnisationPC)
  {
    super(p_indemnisationPC);
  }
  
  public ImputationSpec simulerImputer(Quantite p_quantite)
  {
    ImputationJour monImputation = (ImputationJour)getEtatQuantiteDroit().accepteVisiteur(new SimulateurImputeurDureeIndemnisation(this, p_quantite));
    
    return monImputation;
  }
  
  public ObjetMetierSpec copie()
  {
    DureeIndemnisation copie = new DureeIndemnisation();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    DureeIndemnisation copie = (DureeIndemnisation)p_copie;
    
    super.copieElements(copie);
    
    copie.setCodeFormuleMontant(getCodeFormuleMontant());
  }
  
  public String toString()
  {
    StringBuffer string = new StringBuffer();
    string.append(super.toString());
    string.append("\nFormule du montant : " + getCodeFormuleMontant() + "\n");
    return string.toString();
  }
}

/* Location:
 * Qualified Name:     DureeIndemnisation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */