package fr.unedic.cali.asu.cge01.p03.calcul.dom;

import fr.unedic.cali.asu.cge01.p03.calcul.dom.gen.MontantAREFGen;
import fr.unedic.cali.asu.cge01.p03.calcul.dom.pc.MontantAREFPC;
import fr.unedic.cali.dom.MontantAREFSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;

public class MontantAREF
  extends MontantAREFGen
  implements MontantAREFSpec
{
  private static final long serialVersionUID = 1L;
  public static final String MINI_FORMATION = "04";
  protected transient Quantite m_montantBrutARE;
  protected transient Quantite m_miniARE;
  
  private MontantAREF() {}
  
  public MontantAREF(Montant p_montant)
  {
    setSjrNonReduit(p_montant.getSjrNonReduit());
    setBase(p_montant.getBase());
    setBaseCalculCrc(p_montant.getBaseCalculCrc());
    setCotisationContribution(p_montant.getCotisationContribution());
    setCrc(p_montant.getCrc());
    setCrds(p_montant.getCrds());
    setCsg(p_montant.getCsg());
    setJustificationCalculMontant(p_montant.getJustificationCalculMontant());
    setMini(p_montant.getMini());
    setMiniARE(p_montant.getMini());
    setMontantBrut(p_montant.getMontantBrut());
    setMontantBrutARE(p_montant.getMontantBrut());
    setMontantBrutSansPensionInvaliditeADeduire(p_montant.getMontantBrutSansPensionInvaliditeADeduire());
    setPensionInvaliditeADeduirePriseEnCompte(p_montant.getPensionInvaliditeADeduirePriseEnCompte());
    setMontantBrutSansAvantageVieillesseDeduit(p_montant.getMontantBrutSansAvantageVieillesseDeduit());
    setPlafond(p_montant.getPlafond());
    setPlancher(p_montant.getPlancher());
    setPositionExonerationCrc(p_montant.getPositionExonerationCrc());
    setTauxCrc(p_montant.getTauxCrc());
    setJustificationCalculMontant(p_montant.getJustificationCalculMontant());
    setType("FORMATION PREVISIONNELLE");
  }
  
  public MontantAREF(MontantAREFPC p_montantAREFPC)
  {
    super(p_montantAREFPC);
  }
  
  public void setMiniARE(Quantite p_miniARE)
  {
    m_miniARE = p_miniARE;
  }
  
  public void setMontantBrutARE(Quantite p_montantBrutARE)
  {
    m_montantBrutARE = p_montantBrutARE;
  }
  
  public Quantite getMontantBrutARE()
  {
    return m_montantBrutARE;
  }
  
  public Quantite getMiniARE()
  {
    return m_miniARE;
  }
  
  public ObjetMetierSpec copie()
  {
    MontantAREF copie = new MontantAREF();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    MontantAREF copie = (MontantAREF)p_copie;
    super.copieElements(copie);
    m_miniARE = getMiniARE();
    m_montantBrutARE = getMontantBrutARE();
  }
}

/* Location:
 * Qualified Name:     MontantAREF
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */