package fr.unedic.cali.asu.cge01.p03.liquidation.dom;

import fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen.ConditionAgeGen;
import fr.unedic.cali.dom.ConditionAttributionSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public class ConditionAge
  extends ConditionAgeGen
  implements ConditionAttributionSpec
{
  public static final int SITUATION_MOINS_60_ANS = 1;
  public static final int SITUATION_TITULAIRE_PENSION_CAN = 2;
  public static final int SITUATION_PLUS_65_ANS = 3;
  public static final int SITUATION_DATE_EFFET_PENSION_SUPERIEUR_DOD = 5;
  public static final int SITUATION_DATE_EFFET_PENSION_INFERIEUR_DOD = 6;
  public static final int SITUATION_TITULAIRE_PENSION_CAN_ET_RACCORDEMENT = 7;
  
  private ConditionAge() {}
  
  public ConditionAge(DomPCSpec pc)
  {
    super(pc);
  }
  
  public boolean getEtatConditionAge()
  {
    return estSatisfait();
  }
  
  public void setEtatConditionAge(boolean conditionAge)
  {
    setEtatSatisfait(conditionAge);
  }
  
  public String toString()
  {
    StringBuffer sb = new StringBuffer();
    sb.append("ConditionAge:");
    
    sb.append("\n\tEtat Condition Age:");
    sb.append("\n\t" + getEtatConditionAge());
    if (getDateEffetPension() != null)
    {
      sb.append("\n\tDate effet Pension:");
      sb.append("\n\t" + getDateEffetPension());
    }
    if (getSituationConditionAge() != 0)
    {
      sb.append("\n\tSituation condition âge:");
      sb.append("\n\t" + getSituationConditionAge());
    }
    return sb.toString();
  }
  
  public void marquerGraphePersistant() {}
  
  public boolean estSatisfait()
  {
    return getEtat() == 0;
  }
  
  public void setEtatSatisfait(boolean etatSatisfait)
  {
    if (etatSatisfait) {
      setEtat(0);
    } else {
      setEtat(1);
    }
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConditionAge copie = (ConditionAge)p_copie;
    copie.setCodeMotifEchec(getCodeMotifEchec());
    copie.setEtat(getEtat());
    copie.setDateEffetPension(getDateEffetPension());
    copie.setSituationConditionAge(getSituationConditionAge());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void jdoPreClear() {}
  
  public void jdoPreDelete() {}
  
  public void jdoPostLoad() {}
  
  public void jdoPreStore() {}
}

/* Location:
 * Qualified Name:     ConditionAge
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */