package fr.unedic.cali.asu.cge01.p03.liquidation.dom;

import fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen.ConstitutionDureesGen;
import fr.unedic.cali.dom.ConstitutionDroitSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public class ConstitutionDurees
  extends ConstitutionDureesGen
  implements ConstitutionDroitSpec
{
  private DureeIndemnisation m_dureeIndemnisation;
  private transient int m_flagParent;
  
  private ConstitutionDurees() {}
  
  private ConstitutionDurees(int p_flagParent)
  {
    m_flagParent = p_flagParent;
  }
  
  public ConstitutionDurees(DomPCSpec p_constitutionElementsAdmissionPC, int p_flagParent)
  {
    super(p_constitutionElementsAdmissionPC);
    m_flagParent = p_flagParent;
  }
  
  public DureeIndemnisation createDureeIndemnisation()
  {
    m_dureeIndemnisation = new DureeIndemnisation(getPC(), m_flagParent);
    return m_dureeIndemnisation;
  }
  
  public DureeIndemnisation setDureeIndemnisationCSA06P02(DureeIndemnisation p_dureeIndemnisation)
  {
    m_dureeIndemnisation = p_dureeIndemnisation;
    return m_dureeIndemnisation;
  }
  
  public DureeIndemnisation getDureeIndemnisation()
  {
    if (m_dureeIndemnisation == null) {
      m_dureeIndemnisation = createDureeIndemnisation();
    }
    return m_dureeIndemnisation;
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void marquerGraphePersistant() {}
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConstitutionDurees copie = (ConstitutionDurees)p_copie;
    if (getDureeIndemnisation() != null)
    {
      DureeIndemnisation copieDuree = copie.createDureeIndemnisation();
      getDureeIndemnisation().copieElements(copieDuree);
    }
  }
  
  public void jdoPreClear() {}
  
  public void jdoPreDelete() {}
  
  public void jdoPostLoad() {}
  
  public void jdoPreStore() {}
}

/* Location:
 * Qualified Name:     ConstitutionDurees
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */