package fr.unedic.cali.asu.cge01.p03.liquidation.dom;

import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.OutilsChomageSansRCT;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.ContratTravail;
import fr.unedic.cali.autresdoms.ga.dom.Preavis;
import fr.unedic.util.services.CoucheLogiqueException;

public class ElementsRuptureContratSuspendu
{
  private transient Attribution m_attribution = null;
  private transient Preavis m_periodePreavi = null;
  private transient DemandeAssuranceSpec m_demande;
  
  public ElementsRuptureContratSuspendu(Attribution p_attribution)
  {
    m_attribution = p_attribution;
  }
  
  public Preavis getPeriodePreavis()
  {
    if (m_periodePreavi == null)
    {
      ActiviteSalarie activiteSalarie = OutilsChomageSansRCT.trouverActiviteSalarieRuptureSurContratGAEC(getDemande());
      if (activiteSalarie != null) {
        m_periodePreavi = activiteSalarie.getContrat().getPreavis();
      }
    }
    return m_periodePreavi;
  }
  
  public boolean estUnContexteDeRupturePendantSuspension()
    throws CoucheLogiqueException
  {
    return OutilsChomageSansRCT.estUnContexteRuptureContratPendantSuspension(getDemande());
  }
  
  private DemandeAssuranceSpec getDemande()
  {
    if (m_demande == null) {
      m_demande = ((DemandeAssuranceSpec)m_attribution.getDemande());
    }
    return m_demande;
  }
}

/* Location:
 * Qualified Name:     ElementsRuptureContratSuspendu
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */