package fr.unedic.cali.asu.cge01.p03.liquidation.dom;

import fr.unedic.cali.asu.dom.JustificationAffiliationSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.UniteAffiliation;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;

public class JustificationAffiliation
  implements JustificationAffiliationSpec
{
  private static final long serialVersionUID = 1L;
  private Chronologie m_chronoZmes;
  private Periode m_periodePraRetenue;
  private Reglement m_reglementApplicable;
  private Quantite m_appartenanceCalculee;
  
  public Chronologie getChronoZmes()
  {
    if (m_chronoZmes == null) {
      m_chronoZmes = new ChronologiePeriodes();
    }
    return m_chronoZmes;
  }
  
  public void ajouterZme(ObjetChronoPeriode p_zme)
  {
    getChronoZmes().ajouter(p_zme);
  }
  
  public ObjetMetierSpec copie()
  {
    return this;
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
  
  public Periode getPeriodePraRetenue()
  {
    return m_periodePraRetenue;
  }
  
  public void setPeriodePraRetenue(Periode p_datesPraRetenue)
  {
    m_periodePraRetenue = p_datesPraRetenue;
  }
  
  public Reglement getReglementApplicable()
  {
    return m_reglementApplicable;
  }
  
  public void setReglementApplicable(Reglement p_reglementApplicable)
  {
    m_reglementApplicable = p_reglementApplicable;
  }
  
  public Quantite getAppartenanceCalculee()
  {
    return m_appartenanceCalculee;
  }
  
  public void setAppartenanceCalculee(Quantite p_affiliationCalculee)
  {
    m_appartenanceCalculee = p_affiliationCalculee;
  }
  
  public UniteAffiliation getUniteJustification()
  {
    return m_appartenanceCalculee != null ? (UniteAffiliation)m_appartenanceCalculee.getUnite() : null;
  }
  
  public String getTypeJustificationAffiliation()
  {
    return "justifCGEAncienModele";
  }
  
  public Periode getPeriodeRechercheAffiliation()
  {
    return m_periodePraRetenue;
  }
}

/* Location:
 * Qualified Name:     JustificationAffiliation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */