package fr.unedic.cali.asu.cge01.p03.liquidation.dom;

import fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen.JustificationSrGen;
import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import java.math.BigDecimal;

public class JustificationSr
  extends JustificationSrGen
  implements ObjetPersistantSpec
{
  private static final long serialVersionUID = 1170871671191743537L;
  private transient BigDecimal salaireReferencePlafonnne;
  private transient Chronologie listeActivitesSalarieesRetenues;
  
  private JustificationSr()
  {
    initTransientsJustificationSr();
    
    setTotalSalairesRetenus(BigDecimal.ZERO);
    setTotalPrimesNormalesRetenues(BigDecimal.ZERO);
    setTotalPrimesExceptionnellesRetenues(BigDecimal.ZERO);
    setSalaireReferenceNonPlafonne(BigDecimal.ZERO);
  }
  
  public JustificationSr(DomPCSpec cepAbstraitPC)
  {
    super(cepAbstraitPC);
    initTransientsJustificationSr();
  }
  
  protected void initTransientsJustificationSr()
  {
    listeActivitesSalarieesRetenues = new ChronologiePeriodes();
    setSalaireReferencePlafonnne(BigDecimal.ZERO);
  }
  
  public BigDecimal getTotalSalairesRetenus()
  {
    if (rawGetTotalSalairesRetenus() == null) {
      setTotalSalairesRetenus(BigDecimal.ZERO);
    }
    return super.getTotalSalairesRetenus();
  }
  
  public BigDecimal getTotalPrimesNormalesRetenues()
  {
    if (rawGetTotalPrimesNormalesRetenues() == null) {
      setTotalPrimesNormalesRetenues(BigDecimal.ZERO);
    }
    return super.getTotalPrimesNormalesRetenues();
  }
  
  public BigDecimal getTotalPrimesExceptionnellesRetenues()
  {
    if (rawGetTotalPrimesExceptionnellesRetenues() == null) {
      setTotalPrimesExceptionnellesRetenues(BigDecimal.ZERO);
    }
    return super.getTotalPrimesExceptionnellesRetenues();
  }
  
  public BigDecimal getSalaireReferenceNonPlafonne()
  {
    if (rawGetSalaireReferenceNonPlafonne() == null) {
      setSalaireReferenceNonPlafonne(BigDecimal.ZERO);
    }
    return super.getSalaireReferenceNonPlafonne();
  }
  
  public Chronologie getListeActivitesSalarieesRetenues()
  {
    return listeActivitesSalarieesRetenues;
  }
  
  public void setListeActivitesSalarieesRetenues(Chronologie listeActivitesSalarieesRetenues)
  {
    this.listeActivitesSalarieesRetenues = listeActivitesSalarieesRetenues;
  }
  
  public BigDecimal getSalaireReferencePlafonnne()
  {
    return salaireReferencePlafonnne;
  }
  
  public void setSalaireReferencePlafonnne(BigDecimal salaireReferencePlafonnne)
  {
    this.salaireReferencePlafonnne = salaireReferencePlafonnne;
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec pCopie)
  {
    JustificationSr copie = (JustificationSr)pCopie;
    copie.setListeActivitesSalarieesRetenues((Chronologie)getListeActivitesSalarieesRetenues().copie());
    copie.setSalaireReferenceNonPlafonne(getSalaireReferenceNonPlafonne());
    copie.setSalaireReferencePlafonnne(getSalaireReferencePlafonnne());
    copie.setTotalPrimesExceptionnellesRetenues(getTotalPrimesExceptionnellesRetenues());
    copie.setTotalPrimesNormalesRetenues(getTotalPrimesNormalesRetenues());
    copie.setTotalSalairesRetenus(getTotalSalairesRetenus());
  }
  
  public void marquerGraphePersistant() {}
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
}

/* Location:
 * Qualified Name:     JustificationSr
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */