package fr.unedic.cali.asu.cge01.p03.liquidation.dom;

import fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen.PoursuiteGen;
import fr.unedic.cali.asu.dom.SaisieAntecedent;
import fr.unedic.cali.calcul.dom.UniteTraitement;
import fr.unedic.cali.calcul.dom.UniteTraitementAvant;
import fr.unedic.cali.dom.PoursuiteSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;

public class Poursuite
  extends PoursuiteGen
  implements PoursuiteSpec
{
  private static final long serialVersionUID = 1L;
  private transient Damj m_pjp;
  
  public Poursuite(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public Poursuite() {}
  
  public Poursuite(Damj p_dateEvenement)
  {
    super(p_dateEvenement);
  }
  
  public Poursuite(Damj p_dateEvenement, DossierExamen p_dossierExamen)
  {
    super(p_dateEvenement);
    copie(p_dossierExamen);
  }
  
  protected void copie(Attribution p_source)
  {
    if (p_source == null) {
      return;
    }
    super.copie(p_source);
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    Od copie = (Od)p_copie;
    super.copieElements(copie);
  }
  
  public ObjetMetierSpec copie()
  {
    Poursuite copie = new Poursuite();
    copieElements(copie);
    return copie;
  }
  
  public boolean estExecutable()
  {
    return (!estEnReexamen()) && (estValidee());
  }
  
  public Damj getPjp()
  {
    if (m_pjp == null) {
      m_pjp = getSaisieAntecedent().getDateDernierJourCalcule().lendemain();
    }
    return m_pjp;
  }
  
  public void setUniteTraitementAvant(UniteTraitementAvant p_uniteTraitementAvant) {}
  
  public void setUniteTraitement(UniteTraitement p_uniteTraitement)
  {
    DomManager.supprimer(super.getUniteTraitement(), p_uniteTraitement);
    super.setUniteTraitement(p_uniteTraitement);
  }
  
  public UniteTraitementAvant getUniteTraitementAvant()
  {
    return null;
  }
  
  public void marquerGraphePersistant()
  {
    super.marquerGraphePersistant();
    DomManager.persisterEnProfondeur(super.getUniteTraitement());
  }
}

/* Location:
 * Qualified Name:     Poursuite
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */