package fr.unedic.cali.asu.cge01.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.Sjcip;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.cali.asu.dom.Sjc;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.services.ApplicativeRuntimeException;

public abstract class ConstitutionSjcGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionElementsAbstraitPC;
  private Sjc m_sjcrp;
  private transient Sjcip m_sjcip;
  
  public ConstitutionSjcGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConstitutionSjcGen() {}
  
  public DomPCSpec getPC()
  {
    return m_constitutionElementsAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionElementsAbstraitPC)
  {
    m_constitutionElementsAbstraitPC = p_constitutionElementsAbstraitPC;
  }
  
  protected Sjc rawGetSjcrp()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getSjcrpConstitutionSjc();
  }
  
  public Sjc getSjcrp()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getSjcrpConstitutionSjc();
  }
  
  public void setSjcrp(Sjc p_sjcrp)
  {
    if ((m_sjcrp == null) || (p_sjcrp == null))
    {
      m_sjcrp = p_sjcrp;
      ((ConstitutionElementsAbstraitPC)getPC()).setSjcrpConstitutionSjc(p_sjcrp);
    }
    else if ((m_sjcrp != null) && (p_sjcrp != null) && (!p_sjcrp.equals(m_sjcrp)))
    {
      m_sjcrp = p_sjcrp;
      ((ConstitutionElementsAbstraitPC)getPC()).setSjcrpConstitutionSjc(p_sjcrp);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    if (getSjcip() != null)
    {
      getSjcip().supprimerEnProfondeur(p_contexteSuppression);
      m_sjcip = null;
    }
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    if (getSjcip() != null)
    {
      getSjcip().initEnProfondeur();
      m_sjcip = null;
    }
    setSjcrp(null);
  }
  
  public Sjcip getSjcip()
  {
    if (m_sjcip == null) {
      m_sjcip = new Sjcip(getPC());
    }
    return m_sjcip;
  }
  
  public Sjcip createSjcip()
  {
    if (m_sjcip == null) {
      m_sjcip = new Sjcip(getPC());
    }
    try
    {
      m_sjcip.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
    return m_sjcip;
  }
  
  public void removeSjcip()
  {
    try
    {
      m_sjcip.initEnProfondeur();
    }
    catch (TechniqueException e)
    {
      throw new ApplicativeRuntimeException("HG_PR_CALI_L_ERR_GENERIQUE", "Erreur inconnue dans l'exécution de l'application", e);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConstitutionSjcGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */