package fr.unedic.cali.asu.cge01.p03.liquidation.dom.pc;

import fr.unedic.archi.commun.lang.ExceptionUtil;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConstitutionElementsAdmission;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.cali.asu.dom.Sjc;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.UniteAffiliation;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import javax.jdo.JDOFatalInternalException;
import javax.jdo.JDOUnsupportedOptionException;
import javax.jdo.JDOUserException;
import javax.jdo.PersistenceManager;
import javax.jdo.spi.JDOImplHelper;
import javax.jdo.spi.JDOPermission;
import javax.jdo.spi.PersistenceCapable;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldConsumer;
import javax.jdo.spi.PersistenceCapable.ObjectIdFieldSupplier;
import javax.jdo.spi.StateManager;
import xcalia.lido.internal.sm.CommonStateManager;

public class ConstitutionElementsAdmissionPC
  extends ConstitutionElementsAbstraitPC
  implements DomPCSpec, PersistenceCapable
{
  protected boolean m_presenceDonneesConstitutionDateAttribution;
  protected boolean m_presenceDonneesConstitutionDelais;
  protected boolean m_presenceDonneesConstitutionQuantiteAffiliation;
  protected boolean m_presenceDonneesConstitutionReglementApplicable;
  protected boolean m_presenceDonneesConstitutionSjc;
  protected boolean m_presenceDonneesConstitutionSjr;
  protected boolean m_presenceDonneesConstitutionDurees;
  protected boolean m_presenceDonneesConstitutionCaractereSaisonnier;
  protected boolean m_presenceDonneesConstitutionCoefficientSaisonnier;
  protected boolean m_presenceDonneesConstitutionMontantsBruts;
  protected boolean m_presenceDonneesConstitutionCoefficientTempsPartiel;
  protected boolean m_presenceDonneesConstitutionPointDepartIndemnisation;
  protected boolean m_presenceDonneesConstitutionProduitResultant;
  protected boolean m_presenceDonneesConstitutionDureesConstitutionProduitResultant;
  protected boolean m_presenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant;
  private transient ConstitutionElementsAdmission m_constitutionElementsAdmissionOM;
  protected Sjr m_sjrrpConstitutionSjr;
  protected int m_codeEmploiA2b;
  protected Periode m_periodeReference91joursConstitutionDelais;
  protected int m_typePmcConstitutionDelais;
  protected int m_nbJoursPMCConstitutionDelais;
  protected Damj m_debutPMCConstitutionDelais;
  protected Damj m_termePMCConstitutionDelais;
  protected int m_nbJoursCarenceICCPConstitutionDelais;
  protected Damj m_debutCarenceICCPConstitutionDelais;
  protected Damj m_termeCarenceICCPConstitutionDelais;
  protected int m_nbJoursCarenceISLRConstitutionDelais;
  protected Damj m_debutCarenceISLRConstitutionDelais;
  protected Damj m_termeCarenceISLRConstitutionDelais;
  protected int m_nbJoursCarenceDiffereConstitutionDelais;
  protected Damj m_debutCarenceDiffereConstitutionDelais;
  protected Damj m_termeCarenceDiffereConstitutionDelais;
  protected Sjc m_sjcrpConstitutionSjc;
  protected String m_article3ConstitutionQuantiteAffiliation;
  protected Quantite m_dureeInitialeConstitutionQuantiteAffiliation;
  protected Quantite m_quantiteAffiliationAcquiseConstitutionQuantiteAffiliation;
  protected Quantite m_quantiteAssimilationAcquiseConstitutionQuantiteAffiliation;
  protected Periode m_periodePRAConstitutionQuantiteAffiliation;
  protected String m_nomReglementConstitutionReglementApplicable;
  protected int m_codeProduitConstitutionReglementApplicable;
  protected Damj m_dateAttributionConstitutionDateAttribution;
  protected Damj m_pjiConstitutionPointDepartIndemnisation;
  protected boolean m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier;
  protected int m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier;
  protected Periode m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier;
  protected Periode m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier;
  protected boolean m_activite3Sur5ConstitutionCaractereSaisonnier;
  protected BigDecimal m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier;
  protected Quantite m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier;
  protected BigDecimal m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel;
  protected int m_montantRetenuConstitutionProduitResultant;
  protected int m_capitalRetenuConstitutionProduitResultant;
  protected Quantite m_montantDroitPrecedentConstitutionProduitResultant;
  protected Quantite m_capitalDroitPrecedentConstitutionProduitResultant;
  protected Quantite m_dureeDroitPrecedentConstitutionProduitResultant;
  protected Quantite m_capitalMaxConstitutionProduitResultant;
  protected Quantite m_dureeTheoriqueConstitutionProduitResultant;
  protected Quantite m_dureeImputationConstitutionProduitResultant;
  protected Quantite m_dureeEffectiveConstitutionProduitResultant;
  protected Sjr m_sjrrpProduitPrecedentConstitutionProduitResultant;
  protected Quantite m_crcConstitutionConstitutionProduitResultant;
  protected Quantite m_montantJournalierBrutConstitutionProduitResultant;
  protected Quantite m_capitalInitialBrutConstitutionProduitResultant;
  protected Quantite m_montantMiniConstitutionProduitResultant;
  protected Quantite m_montantPlancherConstitutionProduitResultant;
  protected Quantite m_montantPlafondConstitutionProduitResultant;
  protected Quantite m_montantBaseConstitutionProduitResultant;
  protected Quantite m_pensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant;
  protected Quantite m_montantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant;
  protected Quantite m_montantJournalierAvantageVieillesseConstitutionProduitResultant;
  protected Quantite m_montantJournalierAvantageVieillesseDeduitConstitutionProduitResultant;
  protected Quantite m_montantJournalierBrutConstitutionMontantsBruts;
  protected Quantite m_capitalInitialBrutConstitutionMontantsBruts;
  protected Quantite m_montantMiniConstitutionMontantsBruts;
  protected Quantite m_montantPlancherConstitutionMontantsBruts;
  protected Quantite m_montantPlafondConstitutionMontantsBruts;
  protected Quantite m_montantBaseConstitutionMontantsBruts;
  protected Quantite m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts;
  protected Quantite m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts;
  protected Quantite m_montantJournalierAvantageVieillesseConstitutionMontantsBruts;
  protected Quantite m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts;
  protected Quantite m_crcConstitutionMontantsBruts;
  protected Quantite m_dureeTheoriqueConstitutionDurees;
  protected Quantite m_dureeImputationConstitutionDurees;
  protected Quantite m_dureeEffectiveConstitutionDurees;
  protected BigDecimal m_salaireReferenceNonPlafonneConstitutionSjr;
  protected BigDecimal m_totalPrimesExceptionnellesRetenuesConstitutionSjr;
  protected BigDecimal m_totalPrimesNormalesRetenuesConstitutionSjr;
  protected BigDecimal m_totalSalairesRetenusConstitutionSjr;
  protected PrcPC m_prcConstitutionSjr;
  protected QuantiteEuro m_plafondSjrConstitutionSjr;
  protected QuantiteEuro m_sjrInitialConstitutionSjr;
  protected Damj m_dateEvenementConstitutionSjr;
  protected QuantiteEuro m_plafondConstitutionSjc;
  protected QuantiteEuro m_sjcInitialConstitutionSjc;
  protected Damj m_dateEvenementConstitutionSjc;
  protected Quantite m_quantiteJourImputationForceConstitutionDurees;
  protected Quantite m_quantiteTotalJourImputationConstitutionDurees;
  protected BigDecimal m_sommeMontantRevisionConstitutionSjr;
  private Quantite m_dureePostPrimeCspConstitutionDurees;
  private BigDecimal m_sjrMontantMaxAspConstitutionMontantsBruts;
  private Integer m_dureeImputationPostPrime;
  protected Collection m_collectionEnsembleCarencesConstitutionDelais;
  protected Collection m_listeDelaisReportsConstitutionDelais;
  protected Collection m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier;
  protected Collection m_listeSjrActiviteConserveeConstitutionSjc;
  protected transient byte jdoFlags;
  protected transient StateManager jdoStateManager;
  private static int jdoInheritedFieldCount = 0;
  private static String[] jdoFieldNames = { "m_presenceDonneesConstitutionDateAttribution", "m_presenceDonneesConstitutionDelais", "m_presenceDonneesConstitutionQuantiteAffiliation", "m_presenceDonneesConstitutionReglementApplicable", "m_presenceDonneesConstitutionSjc", "m_presenceDonneesConstitutionSjr", "m_presenceDonneesConstitutionDurees", "m_presenceDonneesConstitutionCaractereSaisonnier", "m_presenceDonneesConstitutionCoefficientSaisonnier", "m_presenceDonneesConstitutionMontantsBruts", "m_presenceDonneesConstitutionCoefficientTempsPartiel", "m_presenceDonneesConstitutionPointDepartIndemnisation", "m_presenceDonneesConstitutionProduitResultant", "m_presenceDonneesConstitutionDureesConstitutionProduitResultant", "m_presenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant", "m_sjrrpConstitutionSjr", "m_codeEmploiA2b", "m_periodeReference91joursConstitutionDelais", "m_typePmcConstitutionDelais", "m_nbJoursPMCConstitutionDelais", "m_debutPMCConstitutionDelais", "m_termePMCConstitutionDelais", "m_nbJoursCarenceICCPConstitutionDelais", "m_debutCarenceICCPConstitutionDelais", "m_termeCarenceICCPConstitutionDelais", "m_nbJoursCarenceISLRConstitutionDelais", "m_debutCarenceISLRConstitutionDelais", "m_termeCarenceISLRConstitutionDelais", "m_nbJoursCarenceDiffereConstitutionDelais", "m_debutCarenceDiffereConstitutionDelais", "m_termeCarenceDiffereConstitutionDelais", "m_sjcrpConstitutionSjc", "m_article3ConstitutionQuantiteAffiliation", "m_dureeInitialeConstitutionQuantiteAffiliation", "m_quantiteAffiliationAcquiseConstitutionQuantiteAffiliation", "m_quantiteAssimilationAcquiseConstitutionQuantiteAffiliation", "m_periodePRAConstitutionQuantiteAffiliation", "m_nomReglementConstitutionReglementApplicable", "m_codeProduitConstitutionReglementApplicable", "m_dateAttributionConstitutionDateAttribution", "m_pjiConstitutionPointDepartIndemnisation", "m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier", "m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier", "m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier", "m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier", "m_activite3Sur5ConstitutionCaractereSaisonnier", "m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier", "m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier", "m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel", "m_montantRetenuConstitutionProduitResultant", "m_capitalRetenuConstitutionProduitResultant", "m_montantDroitPrecedentConstitutionProduitResultant", "m_capitalDroitPrecedentConstitutionProduitResultant", "m_dureeDroitPrecedentConstitutionProduitResultant", "m_capitalMaxConstitutionProduitResultant", "m_dureeTheoriqueConstitutionProduitResultant", "m_dureeImputationConstitutionProduitResultant", "m_dureeEffectiveConstitutionProduitResultant", "m_sjrrpProduitPrecedentConstitutionProduitResultant", "m_crcConstitutionConstitutionProduitResultant", "m_montantJournalierBrutConstitutionProduitResultant", "m_capitalInitialBrutConstitutionProduitResultant", "m_montantMiniConstitutionProduitResultant", "m_montantPlancherConstitutionProduitResultant", "m_montantPlafondConstitutionProduitResultant", "m_montantBaseConstitutionProduitResultant", "m_pensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant", "m_montantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant", "m_montantJournalierAvantageVieillesseConstitutionProduitResultant", "m_montantJournalierAvantageVieillesseDeduitConstitutionProduitResultant", "m_montantJournalierBrutConstitutionMontantsBruts", "m_capitalInitialBrutConstitutionMontantsBruts", "m_montantMiniConstitutionMontantsBruts", "m_montantPlancherConstitutionMontantsBruts", "m_montantPlafondConstitutionMontantsBruts", "m_montantBaseConstitutionMontantsBruts", "m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts", "m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts", "m_montantJournalierAvantageVieillesseConstitutionMontantsBruts", "m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts", "m_crcConstitutionMontantsBruts", "m_dureeTheoriqueConstitutionDurees", "m_dureeImputationConstitutionDurees", "m_dureeEffectiveConstitutionDurees", "m_salaireReferenceNonPlafonneConstitutionSjr", "m_totalPrimesExceptionnellesRetenuesConstitutionSjr", "m_totalPrimesNormalesRetenuesConstitutionSjr", "m_totalSalairesRetenusConstitutionSjr", "m_prcConstitutionSjr", "m_plafondSjrConstitutionSjr", "m_sjrInitialConstitutionSjr", "m_dateEvenementConstitutionSjr", "m_plafondConstitutionSjc", "m_sjcInitialConstitutionSjc", "m_dateEvenementConstitutionSjc", "m_quantiteJourImputationForceConstitutionDurees", "m_quantiteTotalJourImputationConstitutionDurees", "m_sommeMontantRevisionConstitutionSjr", "m_dureePostPrimeCspConstitutionDurees", "m_sjrMontantMaxAspConstitutionMontantsBruts", "m_dureeImputationPostPrime", "m_collectionEnsembleCarencesConstitutionDelais", "m_listeDelaisReportsConstitutionDelais", "m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier", "m_listeSjrActiviteConserveeConstitutionSjc" };
  private static Class[] jdoFieldTypes = { Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Sjr.class, Integer.TYPE, Periode.class, Integer.TYPE, Integer.TYPE, Damj.class, Damj.class, Integer.TYPE, Damj.class, Damj.class, Integer.TYPE, Damj.class, Damj.class, Integer.TYPE, Damj.class, Damj.class, Sjc.class, String.class, Quantite.class, Quantite.class, Quantite.class, Periode.class, String.class, Integer.TYPE, Damj.class, Damj.class, Boolean.TYPE, Integer.TYPE, Periode.class, Periode.class, Boolean.TYPE, BigDecimal.class, Quantite.class, BigDecimal.class, Integer.TYPE, Integer.TYPE, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Sjr.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, Quantite.class, BigDecimal.class, BigDecimal.class, BigDecimal.class, BigDecimal.class, PrcPC.class, QuantiteEuro.class, QuantiteEuro.class, Damj.class, QuantiteEuro.class, QuantiteEuro.class, Damj.class, Quantite.class, Quantite.class, BigDecimal.class, Quantite.class, BigDecimal.class, Integer.class, Collection.class, Collection.class, Collection.class, Collection.class };
  private static byte[] jdoFieldFlags = { (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.CHECK_READ + PersistenceCapable.CHECK_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE), (byte)(PersistenceCapable.MEDIATE_READ + PersistenceCapable.MEDIATE_WRITE) };
  private static Class jdoPersistenceCapableSuperclass = null;
  
  public ConstitutionElementsAdmissionPC()
  {
    jdoSetm_presenceDonneesConstitutionDateAttribution(this, false);
    jdoSetm_presenceDonneesConstitutionDelais(this, false);
    jdoSetm_presenceDonneesConstitutionQuantiteAffiliation(this, false);
    jdoSetm_presenceDonneesConstitutionReglementApplicable(this, false);
    jdoSetm_presenceDonneesConstitutionSjc(this, false);
    jdoSetm_presenceDonneesConstitutionSjr(this, false);
    jdoSetm_presenceDonneesConstitutionDurees(this, false);
    jdoSetm_presenceDonneesConstitutionCaractereSaisonnier(this, false);
    jdoSetm_presenceDonneesConstitutionCoefficientSaisonnier(this, false);
    jdoSetm_presenceDonneesConstitutionMontantsBruts(this, false);
    jdoSetm_presenceDonneesConstitutionCoefficientTempsPartiel(this, false);
    jdoSetm_presenceDonneesConstitutionPointDepartIndemnisation(this, false);
    jdoSetm_presenceDonneesConstitutionProduitResultant(this, false);
    jdoSetm_presenceDonneesConstitutionDureesConstitutionProduitResultant(this, false);
    jdoSetm_presenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant(this, false);
    
    jdoSetm_typePmcConstitutionDelais(this, 1);
    
    jdoSetm_quantiteAffiliationAcquiseConstitutionQuantiteAffiliation(this, new Quantite("0", UniteAffiliation.get("heure de travail")));
    jdoSetm_quantiteAssimilationAcquiseConstitutionQuantiteAffiliation(this, new Quantite("0", UniteAffiliation.get("heure de travail")));
    
    jdoSetm_caractereSaisonnierRetenuConstitutionCaractereSaisonnier(this, false);
    
    jdoSetm_periodeReferenceSaisonnierConstitutionCaractereSaisonnier(this, null);
    jdoSetm_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier(this, null);
    jdoSetm_activite3Sur5ConstitutionCaractereSaisonnier(this, false);
    
    jdoSetm_crcConstitutionMontantsBruts(this, null);
    
    jdoSetm_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier(this, null);
  }
  
  public Object createOM()
  {
    if (m_constitutionElementsAdmissionOM == null) {
      m_constitutionElementsAdmissionOM = new ConstitutionElementsAdmission(this);
    }
    return m_constitutionElementsAdmissionOM;
  }
  
  public boolean isPresenceDonneesConstitutionDateAttribution()
  {
    return jdoGetm_presenceDonneesConstitutionDateAttribution(this);
  }
  
  public final void setPresenceDonneesConstitutionDateAttribution(boolean p_presenceDonneesConstitutionDateAttribution)
  {
    jdoSetm_presenceDonneesConstitutionDateAttribution(this, p_presenceDonneesConstitutionDateAttribution);
  }
  
  public boolean isPresenceDonneesConstitutionDelais()
  {
    return jdoGetm_presenceDonneesConstitutionDelais(this);
  }
  
  public final void setPresenceDonneesConstitutionDelais(boolean p_presenceDonneesConstitutionDelais)
  {
    jdoSetm_presenceDonneesConstitutionDelais(this, p_presenceDonneesConstitutionDelais);
  }
  
  public boolean isPresenceDonneesConstitutionQuantiteAffiliation()
  {
    return jdoGetm_presenceDonneesConstitutionQuantiteAffiliation(this);
  }
  
  public final void setPresenceDonneesConstitutionQuantiteAffiliation(boolean p_presenceDonneesConstitutionQuantiteAffiliation)
  {
    jdoSetm_presenceDonneesConstitutionQuantiteAffiliation(this, p_presenceDonneesConstitutionQuantiteAffiliation);
  }
  
  public boolean isPresenceDonneesConstitutionReglementApplicable()
  {
    return jdoGetm_presenceDonneesConstitutionReglementApplicable(this);
  }
  
  public final void setPresenceDonneesConstitutionReglementApplicable(boolean p_presenceDonneesConstitutionReglementApplicable)
  {
    jdoSetm_presenceDonneesConstitutionReglementApplicable(this, p_presenceDonneesConstitutionReglementApplicable);
  }
  
  public boolean isPresenceDonneesConstitutionSjc()
  {
    return jdoGetm_presenceDonneesConstitutionSjc(this);
  }
  
  public final void setPresenceDonneesConstitutionSjc(boolean p_presenceDonneesConstitutionSjc)
  {
    jdoSetm_presenceDonneesConstitutionSjc(this, p_presenceDonneesConstitutionSjc);
  }
  
  public boolean isPresenceDonneesConstitutionSjr()
  {
    return jdoGetm_presenceDonneesConstitutionSjr(this);
  }
  
  public final void setPresenceDonneesConstitutionSjr(boolean p_presenceDonneesConstitutionSjr)
  {
    jdoSetm_presenceDonneesConstitutionSjr(this, p_presenceDonneesConstitutionSjr);
  }
  
  public boolean isPresenceDonneesConstitutionDurees()
  {
    return jdoGetm_presenceDonneesConstitutionDurees(this);
  }
  
  public final void setPresenceDonneesConstitutionDurees(boolean p_presenceDonneesConstitutionDurees)
  {
    jdoSetm_presenceDonneesConstitutionDurees(this, p_presenceDonneesConstitutionDurees);
  }
  
  public boolean isPresenceDonneesConstitutionCaractereSaisonnier()
  {
    return jdoGetm_presenceDonneesConstitutionCaractereSaisonnier(this);
  }
  
  public final void setPresenceDonneesConstitutionCaractereSaisonnier(boolean p_presenceDonneesConstitutionCaractereSaisonnier)
  {
    jdoSetm_presenceDonneesConstitutionCaractereSaisonnier(this, p_presenceDonneesConstitutionCaractereSaisonnier);
  }
  
  public boolean isPresenceDonneesConstitutionCoefficientSaisonnier()
  {
    return jdoGetm_presenceDonneesConstitutionCoefficientSaisonnier(this);
  }
  
  public final void setPresenceDonneesConstitutionCoefficientSaisonnier(boolean p_presenceDonneesConstitutionCoefficientSaisonnier)
  {
    jdoSetm_presenceDonneesConstitutionCoefficientSaisonnier(this, p_presenceDonneesConstitutionCoefficientSaisonnier);
  }
  
  public boolean isPresenceDonneesConstitutionMontantsBruts()
  {
    return jdoGetm_presenceDonneesConstitutionMontantsBruts(this);
  }
  
  public final void setPresenceDonneesConstitutionMontantsBruts(boolean p_presenceDonneesConstitutionMontantsBruts)
  {
    jdoSetm_presenceDonneesConstitutionMontantsBruts(this, p_presenceDonneesConstitutionMontantsBruts);
  }
  
  public boolean isPresenceDonneesConstitutionCoefficientTempsPartiel()
  {
    return jdoGetm_presenceDonneesConstitutionCoefficientTempsPartiel(this);
  }
  
  public final void setPresenceDonneesConstitutionCoefficientTempsPartiel(boolean p_presenceDonneesConstitutionCoefficientTempsPartiel)
  {
    jdoSetm_presenceDonneesConstitutionCoefficientTempsPartiel(this, p_presenceDonneesConstitutionCoefficientTempsPartiel);
  }
  
  public boolean isPresenceDonneesConstitutionPointDepartIndemnisation()
  {
    return jdoGetm_presenceDonneesConstitutionPointDepartIndemnisation(this);
  }
  
  public final void setPresenceDonneesConstitutionPointDepartIndemnisation(boolean p_presenceDonneesConstitutionPointDepartIndemnisation)
  {
    jdoSetm_presenceDonneesConstitutionPointDepartIndemnisation(this, p_presenceDonneesConstitutionPointDepartIndemnisation);
  }
  
  public boolean isPresenceDonneesConstitutionProduitResultant()
  {
    return jdoGetm_presenceDonneesConstitutionProduitResultant(this);
  }
  
  public final void setPresenceDonneesConstitutionProduitResultant(boolean p_presenceDonneesConstitutionProduitResultant)
  {
    jdoSetm_presenceDonneesConstitutionProduitResultant(this, p_presenceDonneesConstitutionProduitResultant);
  }
  
  public boolean isPresenceDonneesConstitutionDureesConstitutionProduitResultant()
  {
    return jdoGetm_presenceDonneesConstitutionDureesConstitutionProduitResultant(this);
  }
  
  public final void setPresenceDonneesConstitutionDureesConstitutionProduitResultant(boolean p_presenceDonneesConstitutionDureesConstitutionProduitResultant)
  {
    jdoSetm_presenceDonneesConstitutionDureesConstitutionProduitResultant(this, p_presenceDonneesConstitutionDureesConstitutionProduitResultant);
  }
  
  public boolean isPresenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant()
  {
    return jdoGetm_presenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant(this);
  }
  
  public final void setPresenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant(boolean p_presenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant)
  {
    jdoSetm_presenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant(this, p_presenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant);
  }
  
  public Sjr getSjrrpConstitutionSjr()
  {
    return jdoGetm_sjrrpConstitutionSjr(this);
  }
  
  public final void setSjrrpConstitutionSjr(Sjr p_sjrrpConstitutionSjr)
  {
    jdoSetm_sjrrpConstitutionSjr(this, p_sjrrpConstitutionSjr);
  }
  
  public int getCodeEmploiA2b()
  {
    return jdoGetm_codeEmploiA2b(this);
  }
  
  public final void setCodeEmploiA2b(int p_codeEmploiA2b)
  {
    jdoSetm_codeEmploiA2b(this, p_codeEmploiA2b);
  }
  
  public Periode getPeriodeReference91joursConstitutionDelais()
  {
    return jdoGetm_periodeReference91joursConstitutionDelais(this);
  }
  
  public final void setPeriodeReference91joursConstitutionDelais(Periode p_periodeReference91joursConstitutionDelais)
  {
    jdoSetm_periodeReference91joursConstitutionDelais(this, p_periodeReference91joursConstitutionDelais);
  }
  
  public int getTypePmcConstitutionDelais()
  {
    return jdoGetm_typePmcConstitutionDelais(this);
  }
  
  public final void setTypePmcConstitutionDelais(int p_typePmcConstitutionDelais)
  {
    jdoSetm_typePmcConstitutionDelais(this, p_typePmcConstitutionDelais);
  }
  
  public int getNbJoursPMCConstitutionDelais()
  {
    return jdoGetm_nbJoursPMCConstitutionDelais(this);
  }
  
  public final void setNbJoursPMCConstitutionDelais(int p_nbJoursPMCConstitutionDelais)
  {
    jdoSetm_nbJoursPMCConstitutionDelais(this, p_nbJoursPMCConstitutionDelais);
  }
  
  public Damj getDebutPMCConstitutionDelais()
  {
    return jdoGetm_debutPMCConstitutionDelais(this);
  }
  
  public final void setDebutPMCConstitutionDelais(Damj p_debutPMCConstitutionDelais)
  {
    jdoSetm_debutPMCConstitutionDelais(this, p_debutPMCConstitutionDelais);
  }
  
  public Damj getTermePMCConstitutionDelais()
  {
    return jdoGetm_termePMCConstitutionDelais(this);
  }
  
  public final void setTermePMCConstitutionDelais(Damj p_termePMCConstitutionDelais)
  {
    jdoSetm_termePMCConstitutionDelais(this, p_termePMCConstitutionDelais);
  }
  
  public int getNbJoursCarenceICCPConstitutionDelais()
  {
    return jdoGetm_nbJoursCarenceICCPConstitutionDelais(this);
  }
  
  public final void setNbJoursCarenceICCPConstitutionDelais(int p_nbJoursCarenceICCPConstitutionDelais)
  {
    jdoSetm_nbJoursCarenceICCPConstitutionDelais(this, p_nbJoursCarenceICCPConstitutionDelais);
  }
  
  public Damj getDebutCarenceICCPConstitutionDelais()
  {
    return jdoGetm_debutCarenceICCPConstitutionDelais(this);
  }
  
  public final void setDebutCarenceICCPConstitutionDelais(Damj p_debutCarenceICCPConstitutionDelais)
  {
    jdoSetm_debutCarenceICCPConstitutionDelais(this, p_debutCarenceICCPConstitutionDelais);
  }
  
  public Damj getTermeCarenceICCPConstitutionDelais()
  {
    return jdoGetm_termeCarenceICCPConstitutionDelais(this);
  }
  
  public final void setTermeCarenceICCPConstitutionDelais(Damj p_termeCarenceICCPConstitutionDelais)
  {
    jdoSetm_termeCarenceICCPConstitutionDelais(this, p_termeCarenceICCPConstitutionDelais);
  }
  
  public int getNbJoursCarenceISLRConstitutionDelais()
  {
    return jdoGetm_nbJoursCarenceISLRConstitutionDelais(this);
  }
  
  public final void setNbJoursCarenceISLRConstitutionDelais(int p_nbJoursCarenceISLRConstitutionDelais)
  {
    jdoSetm_nbJoursCarenceISLRConstitutionDelais(this, p_nbJoursCarenceISLRConstitutionDelais);
  }
  
  public Damj getDebutCarenceISLRConstitutionDelais()
  {
    return jdoGetm_debutCarenceISLRConstitutionDelais(this);
  }
  
  public final void setDebutCarenceISLRConstitutionDelais(Damj p_debutCarenceISLRConstitutionDelais)
  {
    jdoSetm_debutCarenceISLRConstitutionDelais(this, p_debutCarenceISLRConstitutionDelais);
  }
  
  public Damj getTermeCarenceISLRConstitutionDelais()
  {
    return jdoGetm_termeCarenceISLRConstitutionDelais(this);
  }
  
  public final void setTermeCarenceISLRConstitutionDelais(Damj p_termeCarenceISLRConstitutionDelais)
  {
    jdoSetm_termeCarenceISLRConstitutionDelais(this, p_termeCarenceISLRConstitutionDelais);
  }
  
  public int getNbJoursCarenceDiffereConstitutionDelais()
  {
    return jdoGetm_nbJoursCarenceDiffereConstitutionDelais(this);
  }
  
  public final void setNbJoursCarenceDiffereConstitutionDelais(int p_nbJoursCarenceDiffereConstitutionDelais)
  {
    jdoSetm_nbJoursCarenceDiffereConstitutionDelais(this, p_nbJoursCarenceDiffereConstitutionDelais);
  }
  
  public Damj getDebutCarenceDiffereConstitutionDelais()
  {
    return jdoGetm_debutCarenceDiffereConstitutionDelais(this);
  }
  
  public final void setDebutCarenceDiffereConstitutionDelais(Damj p_debutCarenceDiffereConstitutionDelais)
  {
    jdoSetm_debutCarenceDiffereConstitutionDelais(this, p_debutCarenceDiffereConstitutionDelais);
  }
  
  public Damj getTermeCarenceDiffereConstitutionDelais()
  {
    return jdoGetm_termeCarenceDiffereConstitutionDelais(this);
  }
  
  public final void setTermeCarenceDiffereConstitutionDelais(Damj p_termeCarenceDiffereConstitutionDelais)
  {
    jdoSetm_termeCarenceDiffereConstitutionDelais(this, p_termeCarenceDiffereConstitutionDelais);
  }
  
  public Sjc getSjcrpConstitutionSjc()
  {
    return jdoGetm_sjcrpConstitutionSjc(this);
  }
  
  public final void setSjcrpConstitutionSjc(Sjc p_sjcrpConstitutionSjc)
  {
    jdoSetm_sjcrpConstitutionSjc(this, p_sjcrpConstitutionSjc);
  }
  
  public String getArticle3ConstitutionQuantiteAffiliation()
  {
    return jdoGetm_article3ConstitutionQuantiteAffiliation(this);
  }
  
  public final void setArticle3ConstitutionQuantiteAffiliation(String p_article3ConstitutionQuantiteAffiliation)
  {
    jdoSetm_article3ConstitutionQuantiteAffiliation(this, p_article3ConstitutionQuantiteAffiliation);
  }
  
  public Quantite getDureeInitialeConstitutionQuantiteAffiliation()
  {
    return jdoGetm_dureeInitialeConstitutionQuantiteAffiliation(this);
  }
  
  public final void setDureeInitialeConstitutionQuantiteAffiliation(Quantite p_dureeInitialeConstitutionQuantiteAffiliation)
  {
    jdoSetm_dureeInitialeConstitutionQuantiteAffiliation(this, p_dureeInitialeConstitutionQuantiteAffiliation);
  }
  
  public Quantite getQuantiteAffiliationAcquiseConstitutionQuantiteAffiliation()
  {
    return jdoGetm_quantiteAffiliationAcquiseConstitutionQuantiteAffiliation(this);
  }
  
  public final void setQuantiteAffiliationAcquiseConstitutionQuantiteAffiliation(Quantite p_quantiteAffiliationAcquiseConstitutionQuantiteAffiliation)
  {
    jdoSetm_quantiteAffiliationAcquiseConstitutionQuantiteAffiliation(this, p_quantiteAffiliationAcquiseConstitutionQuantiteAffiliation);
  }
  
  public Quantite getQuantiteAssimilationAcquiseConstitutionQuantiteAffiliation()
  {
    return jdoGetm_quantiteAssimilationAcquiseConstitutionQuantiteAffiliation(this);
  }
  
  public final void setQuantiteAssimilationAcquiseConstitutionQuantiteAffiliation(Quantite p_quantiteAssimilationAcquiseConstitutionQuantiteAffiliation)
  {
    jdoSetm_quantiteAssimilationAcquiseConstitutionQuantiteAffiliation(this, p_quantiteAssimilationAcquiseConstitutionQuantiteAffiliation);
  }
  
  public Periode getPeriodePRAConstitutionQuantiteAffiliation()
  {
    return jdoGetm_periodePRAConstitutionQuantiteAffiliation(this);
  }
  
  public final void setPeriodePRAConstitutionQuantiteAffiliation(Periode p_periodePRAConstitutionQuantiteAffiliation)
  {
    jdoSetm_periodePRAConstitutionQuantiteAffiliation(this, p_periodePRAConstitutionQuantiteAffiliation);
  }
  
  public String getNomReglementConstitutionReglementApplicable()
  {
    return jdoGetm_nomReglementConstitutionReglementApplicable(this);
  }
  
  public final void setNomReglementConstitutionReglementApplicable(String p_nomReglementConstitutionReglementApplicable)
  {
    jdoSetm_nomReglementConstitutionReglementApplicable(this, p_nomReglementConstitutionReglementApplicable);
  }
  
  public int getCodeProduitConstitutionReglementApplicable()
  {
    return jdoGetm_codeProduitConstitutionReglementApplicable(this);
  }
  
  public final void setCodeProduitConstitutionReglementApplicable(int p_codeProduitConstitutionReglementApplicable)
  {
    jdoSetm_codeProduitConstitutionReglementApplicable(this, p_codeProduitConstitutionReglementApplicable);
  }
  
  public Damj getDateAttributionConstitutionDateAttribution()
  {
    return jdoGetm_dateAttributionConstitutionDateAttribution(this);
  }
  
  public final void setDateAttributionConstitutionDateAttribution(Damj p_dateAttributionConstitutionDateAttribution)
  {
    jdoSetm_dateAttributionConstitutionDateAttribution(this, p_dateAttributionConstitutionDateAttribution);
  }
  
  public Damj getPjiConstitutionPointDepartIndemnisation()
  {
    return jdoGetm_pjiConstitutionPointDepartIndemnisation(this);
  }
  
  public final void setPjiConstitutionPointDepartIndemnisation(Damj p_pjiConstitutionPointDepartIndemnisation)
  {
    jdoSetm_pjiConstitutionPointDepartIndemnisation(this, p_pjiConstitutionPointDepartIndemnisation);
  }
  
  public boolean isCaractereSaisonnierRetenuConstitutionCaractereSaisonnier()
  {
    return jdoGetm_caractereSaisonnierRetenuConstitutionCaractereSaisonnier(this);
  }
  
  public final void setCaractereSaisonnierRetenuConstitutionCaractereSaisonnier(boolean p_caractereSaisonnierRetenuConstitutionCaractereSaisonnier)
  {
    jdoSetm_caractereSaisonnierRetenuConstitutionCaractereSaisonnier(this, p_caractereSaisonnierRetenuConstitutionCaractereSaisonnier);
  }
  
  public int getTypeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier()
  {
    return jdoGetm_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier(this);
  }
  
  public final void setTypeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier(int p_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier)
  {
    jdoSetm_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier(this, p_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier);
  }
  
  public Periode getPeriodeReferenceSaisonnierConstitutionCaractereSaisonnier()
  {
    return jdoGetm_periodeReferenceSaisonnierConstitutionCaractereSaisonnier(this);
  }
  
  public final void setPeriodeReferenceSaisonnierConstitutionCaractereSaisonnier(Periode p_periodeReferenceSaisonnierConstitutionCaractereSaisonnier)
  {
    jdoSetm_periodeReferenceSaisonnierConstitutionCaractereSaisonnier(this, p_periodeReferenceSaisonnierConstitutionCaractereSaisonnier);
  }
  
  public Periode getPeriodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier()
  {
    return jdoGetm_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier(this);
  }
  
  public final void setPeriodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier(Periode p_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier)
  {
    jdoSetm_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier(this, p_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier);
  }
  
  public boolean isActivite3Sur5ConstitutionCaractereSaisonnier()
  {
    return jdoGetm_activite3Sur5ConstitutionCaractereSaisonnier(this);
  }
  
  public final void setActivite3Sur5ConstitutionCaractereSaisonnier(boolean p_activite3Sur5ConstitutionCaractereSaisonnier)
  {
    jdoSetm_activite3Sur5ConstitutionCaractereSaisonnier(this, p_activite3Sur5ConstitutionCaractereSaisonnier);
  }
  
  public BigDecimal getCoefficientSaisonnierRetenuConstitutionCoefficientSaissonier()
  {
    return jdoGetm_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier(this);
  }
  
  public final void setCoefficientSaisonnierRetenuConstitutionCoefficientSaissonier(BigDecimal p_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier)
  {
    jdoSetm_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier(this, p_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier);
  }
  
  public Quantite getJourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier()
  {
    return jdoGetm_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier(this);
  }
  
  public final void setJourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier(Quantite p_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier)
  {
    jdoSetm_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier(this, p_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier);
  }
  
  public BigDecimal getCoefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel()
  {
    return jdoGetm_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel(this);
  }
  
  public final void setCoefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel(BigDecimal p_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel)
  {
    jdoSetm_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel(this, p_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel);
  }
  
  public int getMontantRetenuConstitutionProduitResultant()
  {
    return jdoGetm_montantRetenuConstitutionProduitResultant(this);
  }
  
  public final void setMontantRetenuConstitutionProduitResultant(int p_montantRetenuConstitutionProduitResultant)
  {
    jdoSetm_montantRetenuConstitutionProduitResultant(this, p_montantRetenuConstitutionProduitResultant);
  }
  
  public int getCapitalRetenuConstitutionProduitResultant()
  {
    return jdoGetm_capitalRetenuConstitutionProduitResultant(this);
  }
  
  public final void setCapitalRetenuConstitutionProduitResultant(int p_capitalRetenuConstitutionProduitResultant)
  {
    jdoSetm_capitalRetenuConstitutionProduitResultant(this, p_capitalRetenuConstitutionProduitResultant);
  }
  
  public Quantite getMontantDroitPrecedentConstitutionProduitResultant()
  {
    return jdoGetm_montantDroitPrecedentConstitutionProduitResultant(this);
  }
  
  public final void setMontantDroitPrecedentConstitutionProduitResultant(Quantite p_montantDroitPrecedentConstitutionProduitResultant)
  {
    jdoSetm_montantDroitPrecedentConstitutionProduitResultant(this, p_montantDroitPrecedentConstitutionProduitResultant);
  }
  
  public Quantite getCapitalDroitPrecedentConstitutionProduitResultant()
  {
    return jdoGetm_capitalDroitPrecedentConstitutionProduitResultant(this);
  }
  
  public final void setCapitalDroitPrecedentConstitutionProduitResultant(Quantite p_capitalDroitPrecedentConstitutionProduitResultant)
  {
    jdoSetm_capitalDroitPrecedentConstitutionProduitResultant(this, p_capitalDroitPrecedentConstitutionProduitResultant);
  }
  
  public Quantite getDureeDroitPrecedentConstitutionProduitResultant()
  {
    return jdoGetm_dureeDroitPrecedentConstitutionProduitResultant(this);
  }
  
  public final void setDureeDroitPrecedentConstitutionProduitResultant(Quantite p_dureeDroitPrecedentConstitutionProduitResultant)
  {
    jdoSetm_dureeDroitPrecedentConstitutionProduitResultant(this, p_dureeDroitPrecedentConstitutionProduitResultant);
  }
  
  public Quantite getCapitalMaxConstitutionProduitResultant()
  {
    return jdoGetm_capitalMaxConstitutionProduitResultant(this);
  }
  
  public final void setCapitalMaxConstitutionProduitResultant(Quantite p_capitalMaxConstitutionProduitResultant)
  {
    jdoSetm_capitalMaxConstitutionProduitResultant(this, p_capitalMaxConstitutionProduitResultant);
  }
  
  public Quantite getDureeTheoriqueConstitutionProduitResultant()
  {
    return jdoGetm_dureeTheoriqueConstitutionProduitResultant(this);
  }
  
  public final void setDureeTheoriqueConstitutionProduitResultant(Quantite p_dureeTheoriqueConstitutionProduitResultant)
  {
    jdoSetm_dureeTheoriqueConstitutionProduitResultant(this, p_dureeTheoriqueConstitutionProduitResultant);
  }
  
  public Quantite getDureeImputationConstitutionProduitResultant()
  {
    return jdoGetm_dureeImputationConstitutionProduitResultant(this);
  }
  
  public final void setDureeImputationConstitutionProduitResultant(Quantite p_dureeImputationConstitutionProduitResultant)
  {
    jdoSetm_dureeImputationConstitutionProduitResultant(this, p_dureeImputationConstitutionProduitResultant);
  }
  
  public Quantite getDureeEffectiveConstitutionProduitResultant()
  {
    return jdoGetm_dureeEffectiveConstitutionProduitResultant(this);
  }
  
  public final void setDureeEffectiveConstitutionProduitResultant(Quantite p_dureeEffectiveConstitutionProduitResultant)
  {
    jdoSetm_dureeEffectiveConstitutionProduitResultant(this, p_dureeEffectiveConstitutionProduitResultant);
  }
  
  public Sjr getSjrrpProduitPrecedentConstitutionProduitResultant()
  {
    return jdoGetm_sjrrpProduitPrecedentConstitutionProduitResultant(this);
  }
  
  public final void setSjrrpProduitPrecedentConstitutionProduitResultant(Sjr p_sjrrpProduitPrecedentConstitutionProduitResultant)
  {
    jdoSetm_sjrrpProduitPrecedentConstitutionProduitResultant(this, p_sjrrpProduitPrecedentConstitutionProduitResultant);
  }
  
  public Quantite getCrcConstitutionConstitutionProduitResultant()
  {
    return jdoGetm_crcConstitutionConstitutionProduitResultant(this);
  }
  
  public final void setCrcConstitutionConstitutionProduitResultant(Quantite p_crcConstitutionConstitutionProduitResultant)
  {
    jdoSetm_crcConstitutionConstitutionProduitResultant(this, p_crcConstitutionConstitutionProduitResultant);
  }
  
  public Quantite getMontantJournalierBrutConstitutionProduitResultant()
  {
    return jdoGetm_montantJournalierBrutConstitutionProduitResultant(this);
  }
  
  public final void setMontantJournalierBrutConstitutionProduitResultant(Quantite p_montantJournalierBrutConstitutionProduitResultant)
  {
    jdoSetm_montantJournalierBrutConstitutionProduitResultant(this, p_montantJournalierBrutConstitutionProduitResultant);
  }
  
  public Quantite getCapitalInitialBrutConstitutionProduitResultant()
  {
    return jdoGetm_capitalInitialBrutConstitutionProduitResultant(this);
  }
  
  public final void setCapitalInitialBrutConstitutionProduitResultant(Quantite p_capitalInitialBrutConstitutionProduitResultant)
  {
    jdoSetm_capitalInitialBrutConstitutionProduitResultant(this, p_capitalInitialBrutConstitutionProduitResultant);
  }
  
  public Quantite getMontantMiniConstitutionProduitResultant()
  {
    return jdoGetm_montantMiniConstitutionProduitResultant(this);
  }
  
  public final void setMontantMiniConstitutionProduitResultant(Quantite p_montantMiniConstitutionProduitResultant)
  {
    jdoSetm_montantMiniConstitutionProduitResultant(this, p_montantMiniConstitutionProduitResultant);
  }
  
  public Quantite getMontantPlancherConstitutionProduitResultant()
  {
    return jdoGetm_montantPlancherConstitutionProduitResultant(this);
  }
  
  public final void setMontantPlancherConstitutionProduitResultant(Quantite p_montantPlancherConstitutionProduitResultant)
  {
    jdoSetm_montantPlancherConstitutionProduitResultant(this, p_montantPlancherConstitutionProduitResultant);
  }
  
  public Quantite getMontantPlafondConstitutionProduitResultant()
  {
    return jdoGetm_montantPlafondConstitutionProduitResultant(this);
  }
  
  public final void setMontantPlafondConstitutionProduitResultant(Quantite p_montantPlafondConstitutionProduitResultant)
  {
    jdoSetm_montantPlafondConstitutionProduitResultant(this, p_montantPlafondConstitutionProduitResultant);
  }
  
  public Quantite getMontantBaseConstitutionProduitResultant()
  {
    return jdoGetm_montantBaseConstitutionProduitResultant(this);
  }
  
  public final void setMontantBaseConstitutionProduitResultant(Quantite p_montantBaseConstitutionProduitResultant)
  {
    jdoSetm_montantBaseConstitutionProduitResultant(this, p_montantBaseConstitutionProduitResultant);
  }
  
  public Quantite getPensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant()
  {
    return jdoGetm_pensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant(this);
  }
  
  public final void setPensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant(Quantite p_pensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant)
  {
    jdoSetm_pensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant(this, p_pensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant);
  }
  
  public Quantite getMontantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant()
  {
    return jdoGetm_montantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant(this);
  }
  
  public final void setMontantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant(Quantite p_montantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant)
  {
    jdoSetm_montantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant(this, p_montantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant);
  }
  
  public Quantite getMontantJournalierAvantageVieillesseConstitutionProduitResultant()
  {
    return jdoGetm_montantJournalierAvantageVieillesseConstitutionProduitResultant(this);
  }
  
  public final void setMontantJournalierAvantageVieillesseConstitutionProduitResultant(Quantite p_montantJournalierAvantageVieillesseConstitutionProduitResultant)
  {
    jdoSetm_montantJournalierAvantageVieillesseConstitutionProduitResultant(this, p_montantJournalierAvantageVieillesseConstitutionProduitResultant);
  }
  
  public Quantite getMontantJournalierAvantageVieillesseDeduitConstitutionProduitResultant()
  {
    return jdoGetm_montantJournalierAvantageVieillesseDeduitConstitutionProduitResultant(this);
  }
  
  public final void setMontantJournalierAvantageVieillesseDeduitConstitutionProduitResultant(Quantite p_montantJournalierAvantageVieillesseDeduitConstitutionProduitResultant)
  {
    jdoSetm_montantJournalierAvantageVieillesseDeduitConstitutionProduitResultant(this, p_montantJournalierAvantageVieillesseDeduitConstitutionProduitResultant);
  }
  
  public Quantite getMontantJournalierBrutConstitutionMontantsBruts()
  {
    return jdoGetm_montantJournalierBrutConstitutionMontantsBruts(this);
  }
  
  public final void setMontantJournalierBrutConstitutionMontantsBruts(Quantite p_montantJournalierBrutConstitutionMontantsBruts)
  {
    jdoSetm_montantJournalierBrutConstitutionMontantsBruts(this, p_montantJournalierBrutConstitutionMontantsBruts);
  }
  
  public Quantite getCapitalInitialBrutConstitutionMontantsBruts()
  {
    return jdoGetm_capitalInitialBrutConstitutionMontantsBruts(this);
  }
  
  public final void setCapitalInitialBrutConstitutionMontantsBruts(Quantite p_capitalInitialBrutConstitutionMontantsBruts)
  {
    jdoSetm_capitalInitialBrutConstitutionMontantsBruts(this, p_capitalInitialBrutConstitutionMontantsBruts);
  }
  
  public Quantite getMontantMiniConstitutionMontantsBruts()
  {
    return jdoGetm_montantMiniConstitutionMontantsBruts(this);
  }
  
  public final void setMontantMiniConstitutionMontantsBruts(Quantite p_montantMiniConstitutionMontantsBruts)
  {
    jdoSetm_montantMiniConstitutionMontantsBruts(this, p_montantMiniConstitutionMontantsBruts);
  }
  
  public Quantite getMontantPlancherConstitutionMontantsBruts()
  {
    return jdoGetm_montantPlancherConstitutionMontantsBruts(this);
  }
  
  public final void setMontantPlancherConstitutionMontantsBruts(Quantite p_montantPlancherConstitutionMontantsBruts)
  {
    jdoSetm_montantPlancherConstitutionMontantsBruts(this, p_montantPlancherConstitutionMontantsBruts);
  }
  
  public Quantite getMontantPlafondConstitutionMontantsBruts()
  {
    return jdoGetm_montantPlafondConstitutionMontantsBruts(this);
  }
  
  public final void setMontantPlafondConstitutionMontantsBruts(Quantite p_montantPlafondConstitutionMontantsBruts)
  {
    jdoSetm_montantPlafondConstitutionMontantsBruts(this, p_montantPlafondConstitutionMontantsBruts);
  }
  
  public Quantite getMontantBaseConstitutionMontantsBruts()
  {
    return jdoGetm_montantBaseConstitutionMontantsBruts(this);
  }
  
  public final void setMontantBaseConstitutionMontantsBruts(Quantite p_montantBaseConstitutionMontantsBruts)
  {
    jdoSetm_montantBaseConstitutionMontantsBruts(this, p_montantBaseConstitutionMontantsBruts);
  }
  
  public Quantite getPensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts()
  {
    return jdoGetm_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts(this);
  }
  
  public final void setPensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts(Quantite p_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts)
  {
    jdoSetm_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts(this, p_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts);
  }
  
  public Quantite getMontantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts()
  {
    return jdoGetm_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts(this);
  }
  
  public final void setMontantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts(Quantite p_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts)
  {
    jdoSetm_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts(this, p_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts);
  }
  
  public Quantite getMontantJournalierAvantageVieillesseConstitutionMontantsBruts()
  {
    return jdoGetm_montantJournalierAvantageVieillesseConstitutionMontantsBruts(this);
  }
  
  public final void setMontantJournalierAvantageVieillesseConstitutionMontantsBruts(Quantite p_montantJournalierAvantageVieillesseConstitutionMontantsBruts)
  {
    jdoSetm_montantJournalierAvantageVieillesseConstitutionMontantsBruts(this, p_montantJournalierAvantageVieillesseConstitutionMontantsBruts);
  }
  
  public Quantite getMontantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts()
  {
    return jdoGetm_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(this);
  }
  
  public final void setMontantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(Quantite p_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts)
  {
    jdoSetm_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(this, p_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts);
  }
  
  public Quantite getCrcConstitutionMontantsBruts()
  {
    return jdoGetm_crcConstitutionMontantsBruts(this);
  }
  
  public final void setCrcConstitutionMontantsBruts(Quantite p_crcConstitutionMontantsBruts)
  {
    jdoSetm_crcConstitutionMontantsBruts(this, p_crcConstitutionMontantsBruts);
  }
  
  public Quantite getDureeTheoriqueConstitutionDurees()
  {
    return jdoGetm_dureeTheoriqueConstitutionDurees(this);
  }
  
  public final void setDureeTheoriqueConstitutionDurees(Quantite p_dureeTheoriqueConstitutionDurees)
  {
    jdoSetm_dureeTheoriqueConstitutionDurees(this, p_dureeTheoriqueConstitutionDurees);
  }
  
  public Quantite getDureeImputationConstitutionDurees()
  {
    return jdoGetm_dureeImputationConstitutionDurees(this);
  }
  
  public final void setDureeImputationConstitutionDurees(Quantite p_dureeImputationConstitutionDurees)
  {
    jdoSetm_dureeImputationConstitutionDurees(this, p_dureeImputationConstitutionDurees);
  }
  
  public Quantite getDureeEffectiveConstitutionDurees()
  {
    return jdoGetm_dureeEffectiveConstitutionDurees(this);
  }
  
  public final void setDureeEffectiveConstitutionDurees(Quantite p_dureeEffectiveConstitutionDurees)
  {
    jdoSetm_dureeEffectiveConstitutionDurees(this, p_dureeEffectiveConstitutionDurees);
  }
  
  public BigDecimal getSalaireReferenceNonPlafonneConstitutionSjr()
  {
    return jdoGetm_salaireReferenceNonPlafonneConstitutionSjr(this);
  }
  
  public final void setSalaireReferenceNonPlafonneConstitutionSjr(BigDecimal p_salaireReferenceNonPlafonneConstitutionSjr)
  {
    jdoSetm_salaireReferenceNonPlafonneConstitutionSjr(this, p_salaireReferenceNonPlafonneConstitutionSjr);
  }
  
  public BigDecimal getTotalPrimesExceptionnellesRetenuesConstitutionSjr()
  {
    return jdoGetm_totalPrimesExceptionnellesRetenuesConstitutionSjr(this);
  }
  
  public final void setTotalPrimesExceptionnellesRetenuesConstitutionSjr(BigDecimal p_totalPrimesExceptionnellesRetenuesConstitutionSjr)
  {
    jdoSetm_totalPrimesExceptionnellesRetenuesConstitutionSjr(this, p_totalPrimesExceptionnellesRetenuesConstitutionSjr);
  }
  
  public BigDecimal getTotalPrimesNormalesRetenuesConstitutionSjr()
  {
    return jdoGetm_totalPrimesNormalesRetenuesConstitutionSjr(this);
  }
  
  public final void setTotalPrimesNormalesRetenuesConstitutionSjr(BigDecimal p_totalPrimesNormalesRetenuesConstitutionSjr)
  {
    jdoSetm_totalPrimesNormalesRetenuesConstitutionSjr(this, p_totalPrimesNormalesRetenuesConstitutionSjr);
  }
  
  public BigDecimal getTotalSalairesRetenusConstitutionSjr()
  {
    return jdoGetm_totalSalairesRetenusConstitutionSjr(this);
  }
  
  public final void setTotalSalairesRetenusConstitutionSjr(BigDecimal p_totalSalairesRetenusConstitutionSjr)
  {
    jdoSetm_totalSalairesRetenusConstitutionSjr(this, p_totalSalairesRetenusConstitutionSjr);
  }
  
  public DomPCSpec getPrcConstitutionSjr()
  {
    return jdoGetm_prcConstitutionSjr(this);
  }
  
  public final void setPrcConstitutionSjr(DomPCSpec p_prcConstitutionSjr)
  {
    jdoSetm_prcConstitutionSjr(this, (PrcPC)p_prcConstitutionSjr);
  }
  
  public QuantiteEuro getPlafondSjrConstitutionSjr()
  {
    return jdoGetm_plafondSjrConstitutionSjr(this);
  }
  
  public final void setPlafondSjrConstitutionSjr(QuantiteEuro p_plafondSjrConstitutionSjr)
  {
    jdoSetm_plafondSjrConstitutionSjr(this, p_plafondSjrConstitutionSjr);
  }
  
  public QuantiteEuro getSjrInitialConstitutionSjr()
  {
    return jdoGetm_sjrInitialConstitutionSjr(this);
  }
  
  public final void setSjrInitialConstitutionSjr(QuantiteEuro p_sjrInitialConstitutionSjr)
  {
    jdoSetm_sjrInitialConstitutionSjr(this, p_sjrInitialConstitutionSjr);
  }
  
  public Damj getDateEvenementConstitutionSjr()
  {
    return jdoGetm_dateEvenementConstitutionSjr(this);
  }
  
  public final void setDateEvenementConstitutionSjr(Damj p_dateEvenementConstitutionSjr)
  {
    jdoSetm_dateEvenementConstitutionSjr(this, p_dateEvenementConstitutionSjr);
  }
  
  public QuantiteEuro getPlafondConstitutionSjc()
  {
    return jdoGetm_plafondConstitutionSjc(this);
  }
  
  public final void setPlafondConstitutionSjc(QuantiteEuro p_plafondConstitutionSjc)
  {
    jdoSetm_plafondConstitutionSjc(this, p_plafondConstitutionSjc);
  }
  
  public QuantiteEuro getSjcInitialConstitutionSjc()
  {
    return jdoGetm_sjcInitialConstitutionSjc(this);
  }
  
  public final void setSjcInitialConstitutionSjc(QuantiteEuro p_sjcInitialConstitutionSjc)
  {
    jdoSetm_sjcInitialConstitutionSjc(this, p_sjcInitialConstitutionSjc);
  }
  
  public Damj getDateEvenementConstitutionSjc()
  {
    return jdoGetm_dateEvenementConstitutionSjc(this);
  }
  
  public final void setDateEvenementConstitutionSjc(Damj p_dateEvenementConstitutionSjc)
  {
    jdoSetm_dateEvenementConstitutionSjc(this, p_dateEvenementConstitutionSjc);
  }
  
  public Quantite getQuantiteJourImputationForceConstitutionDurees()
  {
    return jdoGetm_quantiteJourImputationForceConstitutionDurees(this);
  }
  
  public final void setQuantiteJourImputationForceConstitutionDurees(Quantite p_quantiteJourImputationForceConstitutionDurees)
  {
    jdoSetm_quantiteJourImputationForceConstitutionDurees(this, p_quantiteJourImputationForceConstitutionDurees);
  }
  
  public Quantite getQuantiteTotalJourImputationConstitutionDurees()
  {
    return jdoGetm_quantiteTotalJourImputationConstitutionDurees(this);
  }
  
  public final void setQuantiteTotalJourImputationConstitutionDurees(Quantite p_quantiteTotalJourImputationConstitutionDurees)
  {
    jdoSetm_quantiteTotalJourImputationConstitutionDurees(this, p_quantiteTotalJourImputationConstitutionDurees);
  }
  
  public BigDecimal getSommeMontantRevisionConstitutionSjr()
  {
    return jdoGetm_sommeMontantRevisionConstitutionSjr(this);
  }
  
  public final void setSommeMontantRevisionConstitutionSjr(BigDecimal p_sommeMontantRevisionConstitutionSjr)
  {
    jdoSetm_sommeMontantRevisionConstitutionSjr(this, p_sommeMontantRevisionConstitutionSjr);
  }
  
  public Quantite getDureePostPrimeCspConstitutionDurees()
  {
    return jdoGetm_dureePostPrimeCspConstitutionDurees(this);
  }
  
  public final void setDureePostPrimeCspConstitutionDurees(Quantite p_dureePostPrimeCspConstitutionDurees)
  {
    jdoSetm_dureePostPrimeCspConstitutionDurees(this, p_dureePostPrimeCspConstitutionDurees);
  }
  
  public BigDecimal getSjrMontantMaxAspConstitutionMontantsBruts()
  {
    return jdoGetm_sjrMontantMaxAspConstitutionMontantsBruts(this);
  }
  
  public final void setSjrMontantMaxAspConstitutionMontantsBruts(BigDecimal p_sjrMontantMaxAspConstitutionMontantsBruts)
  {
    jdoSetm_sjrMontantMaxAspConstitutionMontantsBruts(this, p_sjrMontantMaxAspConstitutionMontantsBruts);
  }
  
  public Integer getDureeImputationPostPrime()
  {
    return jdoGetm_dureeImputationPostPrime(this);
  }
  
  public final void setDureeImputationPostPrime(Integer p_dureeImputationPostPrime)
  {
    jdoSetm_dureeImputationPostPrime(this, p_dureeImputationPostPrime);
  }
  
  public final Collection getCollectionEnsembleCarences()
  {
    if (jdoGetm_collectionEnsembleCarencesConstitutionDelais(this) == null) {
      jdoSetm_collectionEnsembleCarencesConstitutionDelais(this, new ArrayList());
    }
    return jdoGetm_collectionEnsembleCarencesConstitutionDelais(this);
  }
  
  public final void ajouterEnsembleCarences(DomPCSpec p_ensembleCarencesConstitutionDelais)
    throws NullPointerException
  {
    if (p_ensembleCarencesConstitutionDelais == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_ensembleCarencesConstitutionDelais ne devrait pas être nul.", p_ensembleCarencesConstitutionDelais);
    }
    getCollectionEnsembleCarences().add(p_ensembleCarencesConstitutionDelais);
  }
  
  public final void supprimerEnsembleCarences(DomPCSpec p_ensembleCarencesConstitutionDelais)
    throws NullPointerException
  {
    if (p_ensembleCarencesConstitutionDelais == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_ensembleCarencesConstitutionDelais ne devrait pas être nul.", p_ensembleCarencesConstitutionDelais);
    }
    getCollectionEnsembleCarences().remove(p_ensembleCarencesConstitutionDelais);
  }
  
  public final Collection getCollectionDelaisReports()
  {
    if (jdoGetm_listeDelaisReportsConstitutionDelais(this) == null) {
      jdoSetm_listeDelaisReportsConstitutionDelais(this, new ArrayList());
    }
    return jdoGetm_listeDelaisReportsConstitutionDelais(this);
  }
  
  public final void ajouterDelaisReports(DomPCSpec p_delaisReportsConstitutionDelais)
    throws NullPointerException
  {
    if (p_delaisReportsConstitutionDelais == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_delaisReportsConstitutionDelais ne devrait pas être nul.", p_delaisReportsConstitutionDelais);
    }
    getCollectionDelaisReports().add(p_delaisReportsConstitutionDelais);
  }
  
  public final void supprimerDelaisReports(DomPCSpec p_delaisReportsConstitutionDelais)
    throws NullPointerException
  {
    if (p_delaisReportsConstitutionDelais == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_delaisReportsConstitutionDelais ne devrait pas être nul.", p_delaisReportsConstitutionDelais);
    }
    getCollectionDelaisReports().remove(p_delaisReportsConstitutionDelais);
  }
  
  public final Collection getCollectionPeriodeChomageSaisonnier()
  {
    if (jdoGetm_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier(this) == null) {
      jdoSetm_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier(this, new ArrayList());
    }
    return jdoGetm_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier(this);
  }
  
  public final void ajouterPeriodeChomageSaisonnier(DomPCSpec p_periodesChomageSaisonnierConstitutionCaractereSaisonnier)
    throws NullPointerException
  {
    if (p_periodesChomageSaisonnierConstitutionCaractereSaisonnier == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodesChomageSaisonnierConstitutionCaractereSaisonnier ne devrait pas être nul.", p_periodesChomageSaisonnierConstitutionCaractereSaisonnier);
    }
    getCollectionPeriodeChomageSaisonnier().add(p_periodesChomageSaisonnierConstitutionCaractereSaisonnier);
  }
  
  public final void supprimerPeriodeChomageSaisonnier(DomPCSpec p_periodesChomageSaisonnierConstitutionCaractereSaisonnier)
    throws NullPointerException
  {
    if (p_periodesChomageSaisonnierConstitutionCaractereSaisonnier == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_periodesChomageSaisonnierConstitutionCaractereSaisonnier ne devrait pas être nul.", p_periodesChomageSaisonnierConstitutionCaractereSaisonnier);
    }
    getCollectionPeriodeChomageSaisonnier().remove(p_periodesChomageSaisonnierConstitutionCaractereSaisonnier);
  }
  
  public final Collection getCollectionSjrActiviteConservee()
  {
    if (jdoGetm_listeSjrActiviteConserveeConstitutionSjc(this) == null) {
      jdoSetm_listeSjrActiviteConserveeConstitutionSjc(this, new ArrayList());
    }
    return jdoGetm_listeSjrActiviteConserveeConstitutionSjc(this);
  }
  
  public final void ajouterSjrActiviteConservee(DomPCSpec p_sjrActiviteConserveeConstitutionSjc)
    throws NullPointerException
  {
    if (p_sjrActiviteConserveeConstitutionSjc == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_sjrActiviteConserveeConstitutionSjc ne devrait pas être nul.", p_sjrActiviteConserveeConstitutionSjc);
    }
    getCollectionSjrActiviteConservee().add(p_sjrActiviteConserveeConstitutionSjc);
  }
  
  public final void supprimerSjrActiviteConservee(DomPCSpec p_sjrActiviteConserveeConstitutionSjc)
    throws NullPointerException
  {
    if (p_sjrActiviteConserveeConstitutionSjc == null) {
      ExceptionUtil.assertInternalNotNull("Le paramètre p_sjrActiviteConserveeConstitutionSjc ne devrait pas être nul.", p_sjrActiviteConserveeConstitutionSjc);
    }
    getCollectionSjrActiviteConservee().remove(p_sjrActiviteConserveeConstitutionSjc);
  }
  
  static
  {
    JDOImplHelper.registerClass(ConstitutionElementsAdmissionPC.class, jdoFieldNames, jdoFieldTypes, jdoFieldFlags, jdoPersistenceCapableSuperclass, new ConstitutionElementsAdmissionPC());
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionDateAttribution(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionDateAttribution;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 0)) {
        return m_presenceDonneesConstitutionDateAttribution;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 0, m_presenceDonneesConstitutionDateAttribution);
    }
    return m_presenceDonneesConstitutionDateAttribution;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionDelais(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 1)) {
        return m_presenceDonneesConstitutionDelais;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 1, m_presenceDonneesConstitutionDelais);
    }
    return m_presenceDonneesConstitutionDelais;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionQuantiteAffiliation(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionQuantiteAffiliation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 2)) {
        return m_presenceDonneesConstitutionQuantiteAffiliation;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 2, m_presenceDonneesConstitutionQuantiteAffiliation);
    }
    return m_presenceDonneesConstitutionQuantiteAffiliation;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionReglementApplicable(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionReglementApplicable;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 3)) {
        return m_presenceDonneesConstitutionReglementApplicable;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 3, m_presenceDonneesConstitutionReglementApplicable);
    }
    return m_presenceDonneesConstitutionReglementApplicable;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionSjc(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionSjc;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 4)) {
        return m_presenceDonneesConstitutionSjc;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 4, m_presenceDonneesConstitutionSjc);
    }
    return m_presenceDonneesConstitutionSjc;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionSjr(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 5)) {
        return m_presenceDonneesConstitutionSjr;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 5, m_presenceDonneesConstitutionSjr);
    }
    return m_presenceDonneesConstitutionSjr;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionDurees(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 6)) {
        return m_presenceDonneesConstitutionDurees;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 6, m_presenceDonneesConstitutionDurees);
    }
    return m_presenceDonneesConstitutionDurees;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionCaractereSaisonnier(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionCaractereSaisonnier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 7)) {
        return m_presenceDonneesConstitutionCaractereSaisonnier;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 7, m_presenceDonneesConstitutionCaractereSaisonnier);
    }
    return m_presenceDonneesConstitutionCaractereSaisonnier;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionCoefficientSaisonnier(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionCoefficientSaisonnier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 8)) {
        return m_presenceDonneesConstitutionCoefficientSaisonnier;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 8, m_presenceDonneesConstitutionCoefficientSaisonnier);
    }
    return m_presenceDonneesConstitutionCoefficientSaisonnier;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 9)) {
        return m_presenceDonneesConstitutionMontantsBruts;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 9, m_presenceDonneesConstitutionMontantsBruts);
    }
    return m_presenceDonneesConstitutionMontantsBruts;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionCoefficientTempsPartiel(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionCoefficientTempsPartiel;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 10)) {
        return m_presenceDonneesConstitutionCoefficientTempsPartiel;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 10, m_presenceDonneesConstitutionCoefficientTempsPartiel);
    }
    return m_presenceDonneesConstitutionCoefficientTempsPartiel;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionPointDepartIndemnisation(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionPointDepartIndemnisation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 11)) {
        return m_presenceDonneesConstitutionPointDepartIndemnisation;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 11, m_presenceDonneesConstitutionPointDepartIndemnisation);
    }
    return m_presenceDonneesConstitutionPointDepartIndemnisation;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 12)) {
        return m_presenceDonneesConstitutionProduitResultant;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 12, m_presenceDonneesConstitutionProduitResultant);
    }
    return m_presenceDonneesConstitutionProduitResultant;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionDureesConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionDureesConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 13)) {
        return m_presenceDonneesConstitutionDureesConstitutionProduitResultant;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 13, m_presenceDonneesConstitutionDureesConstitutionProduitResultant);
    }
    return m_presenceDonneesConstitutionDureesConstitutionProduitResultant;
  }
  
  protected static final boolean jdoGetm_presenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_presenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 14)) {
        return m_presenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 14, m_presenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant);
    }
    return m_presenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant;
  }
  
  protected static final Sjr jdoGetm_sjrrpConstitutionSjr(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjrrpConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 15)) {
        return m_sjrrpConstitutionSjr;
      }
      return (Sjr)sm.getObjectField(pc, jdoInheritedFieldCount + 15, m_sjrrpConstitutionSjr);
    }
    return m_sjrrpConstitutionSjr;
  }
  
  protected static final int jdoGetm_codeEmploiA2b(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeEmploiA2b;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 16)) {
        return m_codeEmploiA2b;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 16, m_codeEmploiA2b);
    }
    return m_codeEmploiA2b;
  }
  
  protected static final Periode jdoGetm_periodeReference91joursConstitutionDelais(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_periodeReference91joursConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 17)) {
        return m_periodeReference91joursConstitutionDelais;
      }
      return (Periode)sm.getObjectField(pc, jdoInheritedFieldCount + 17, m_periodeReference91joursConstitutionDelais);
    }
    return m_periodeReference91joursConstitutionDelais;
  }
  
  protected static final int jdoGetm_typePmcConstitutionDelais(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_typePmcConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 18)) {
        return m_typePmcConstitutionDelais;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 18, m_typePmcConstitutionDelais);
    }
    return m_typePmcConstitutionDelais;
  }
  
  protected static final int jdoGetm_nbJoursPMCConstitutionDelais(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJoursPMCConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 19)) {
        return m_nbJoursPMCConstitutionDelais;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 19, m_nbJoursPMCConstitutionDelais);
    }
    return m_nbJoursPMCConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_debutPMCConstitutionDelais(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_debutPMCConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 20)) {
        return m_debutPMCConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 20, m_debutPMCConstitutionDelais);
    }
    return m_debutPMCConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_termePMCConstitutionDelais(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_termePMCConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 21)) {
        return m_termePMCConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 21, m_termePMCConstitutionDelais);
    }
    return m_termePMCConstitutionDelais;
  }
  
  protected static final int jdoGetm_nbJoursCarenceICCPConstitutionDelais(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJoursCarenceICCPConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 22)) {
        return m_nbJoursCarenceICCPConstitutionDelais;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 22, m_nbJoursCarenceICCPConstitutionDelais);
    }
    return m_nbJoursCarenceICCPConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_debutCarenceICCPConstitutionDelais(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_debutCarenceICCPConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 23)) {
        return m_debutCarenceICCPConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 23, m_debutCarenceICCPConstitutionDelais);
    }
    return m_debutCarenceICCPConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_termeCarenceICCPConstitutionDelais(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_termeCarenceICCPConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 24)) {
        return m_termeCarenceICCPConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 24, m_termeCarenceICCPConstitutionDelais);
    }
    return m_termeCarenceICCPConstitutionDelais;
  }
  
  protected static final int jdoGetm_nbJoursCarenceISLRConstitutionDelais(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJoursCarenceISLRConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 25)) {
        return m_nbJoursCarenceISLRConstitutionDelais;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 25, m_nbJoursCarenceISLRConstitutionDelais);
    }
    return m_nbJoursCarenceISLRConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_debutCarenceISLRConstitutionDelais(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_debutCarenceISLRConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 26)) {
        return m_debutCarenceISLRConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 26, m_debutCarenceISLRConstitutionDelais);
    }
    return m_debutCarenceISLRConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_termeCarenceISLRConstitutionDelais(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_termeCarenceISLRConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 27)) {
        return m_termeCarenceISLRConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 27, m_termeCarenceISLRConstitutionDelais);
    }
    return m_termeCarenceISLRConstitutionDelais;
  }
  
  protected static final int jdoGetm_nbJoursCarenceDiffereConstitutionDelais(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nbJoursCarenceDiffereConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 28)) {
        return m_nbJoursCarenceDiffereConstitutionDelais;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 28, m_nbJoursCarenceDiffereConstitutionDelais);
    }
    return m_nbJoursCarenceDiffereConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_debutCarenceDiffereConstitutionDelais(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_debutCarenceDiffereConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 29)) {
        return m_debutCarenceDiffereConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 29, m_debutCarenceDiffereConstitutionDelais);
    }
    return m_debutCarenceDiffereConstitutionDelais;
  }
  
  protected static final Damj jdoGetm_termeCarenceDiffereConstitutionDelais(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_termeCarenceDiffereConstitutionDelais;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 30)) {
        return m_termeCarenceDiffereConstitutionDelais;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 30, m_termeCarenceDiffereConstitutionDelais);
    }
    return m_termeCarenceDiffereConstitutionDelais;
  }
  
  protected static final Sjc jdoGetm_sjcrpConstitutionSjc(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjcrpConstitutionSjc;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 31)) {
        return m_sjcrpConstitutionSjc;
      }
      return (Sjc)sm.getObjectField(pc, jdoInheritedFieldCount + 31, m_sjcrpConstitutionSjc);
    }
    return m_sjcrpConstitutionSjc;
  }
  
  protected static final String jdoGetm_article3ConstitutionQuantiteAffiliation(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_article3ConstitutionQuantiteAffiliation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 32)) {
        return m_article3ConstitutionQuantiteAffiliation;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 32, m_article3ConstitutionQuantiteAffiliation);
    }
    return m_article3ConstitutionQuantiteAffiliation;
  }
  
  protected static final Quantite jdoGetm_dureeInitialeConstitutionQuantiteAffiliation(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeInitialeConstitutionQuantiteAffiliation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 33)) {
        return m_dureeInitialeConstitutionQuantiteAffiliation;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 33, m_dureeInitialeConstitutionQuantiteAffiliation);
    }
    return m_dureeInitialeConstitutionQuantiteAffiliation;
  }
  
  protected static final Quantite jdoGetm_quantiteAffiliationAcquiseConstitutionQuantiteAffiliation(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteAffiliationAcquiseConstitutionQuantiteAffiliation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 34)) {
        return m_quantiteAffiliationAcquiseConstitutionQuantiteAffiliation;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 34, m_quantiteAffiliationAcquiseConstitutionQuantiteAffiliation);
    }
    return m_quantiteAffiliationAcquiseConstitutionQuantiteAffiliation;
  }
  
  protected static final Quantite jdoGetm_quantiteAssimilationAcquiseConstitutionQuantiteAffiliation(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteAssimilationAcquiseConstitutionQuantiteAffiliation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 35)) {
        return m_quantiteAssimilationAcquiseConstitutionQuantiteAffiliation;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 35, m_quantiteAssimilationAcquiseConstitutionQuantiteAffiliation);
    }
    return m_quantiteAssimilationAcquiseConstitutionQuantiteAffiliation;
  }
  
  protected static final Periode jdoGetm_periodePRAConstitutionQuantiteAffiliation(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_periodePRAConstitutionQuantiteAffiliation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 36)) {
        return m_periodePRAConstitutionQuantiteAffiliation;
      }
      return (Periode)sm.getObjectField(pc, jdoInheritedFieldCount + 36, m_periodePRAConstitutionQuantiteAffiliation);
    }
    return m_periodePRAConstitutionQuantiteAffiliation;
  }
  
  protected static final String jdoGetm_nomReglementConstitutionReglementApplicable(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_nomReglementConstitutionReglementApplicable;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 37)) {
        return m_nomReglementConstitutionReglementApplicable;
      }
      return (String)sm.getStringField(pc, jdoInheritedFieldCount + 37, m_nomReglementConstitutionReglementApplicable);
    }
    return m_nomReglementConstitutionReglementApplicable;
  }
  
  protected static final int jdoGetm_codeProduitConstitutionReglementApplicable(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_codeProduitConstitutionReglementApplicable;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 38)) {
        return m_codeProduitConstitutionReglementApplicable;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 38, m_codeProduitConstitutionReglementApplicable);
    }
    return m_codeProduitConstitutionReglementApplicable;
  }
  
  protected static final Damj jdoGetm_dateAttributionConstitutionDateAttribution(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateAttributionConstitutionDateAttribution;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 39)) {
        return m_dateAttributionConstitutionDateAttribution;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 39, m_dateAttributionConstitutionDateAttribution);
    }
    return m_dateAttributionConstitutionDateAttribution;
  }
  
  protected static final Damj jdoGetm_pjiConstitutionPointDepartIndemnisation(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_pjiConstitutionPointDepartIndemnisation;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 40)) {
        return m_pjiConstitutionPointDepartIndemnisation;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 40, m_pjiConstitutionPointDepartIndemnisation);
    }
    return m_pjiConstitutionPointDepartIndemnisation;
  }
  
  protected static final boolean jdoGetm_caractereSaisonnierRetenuConstitutionCaractereSaisonnier(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 41)) {
        return m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 41, m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier);
    }
    return m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier;
  }
  
  protected static final int jdoGetm_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 42)) {
        return m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 42, m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier);
    }
    return m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier;
  }
  
  protected static final Periode jdoGetm_periodeReferenceSaisonnierConstitutionCaractereSaisonnier(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 43)) {
        return m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier;
      }
      return (Periode)sm.getObjectField(pc, jdoInheritedFieldCount + 43, m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier);
    }
    return m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier;
  }
  
  protected static final Periode jdoGetm_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 44)) {
        return m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier;
      }
      return (Periode)sm.getObjectField(pc, jdoInheritedFieldCount + 44, m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier);
    }
    return m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier;
  }
  
  protected static final boolean jdoGetm_activite3Sur5ConstitutionCaractereSaisonnier(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_activite3Sur5ConstitutionCaractereSaisonnier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 45)) {
        return m_activite3Sur5ConstitutionCaractereSaisonnier;
      }
      return sm.getBooleanField(pc, jdoInheritedFieldCount + 45, m_activite3Sur5ConstitutionCaractereSaisonnier);
    }
    return m_activite3Sur5ConstitutionCaractereSaisonnier;
  }
  
  protected static final BigDecimal jdoGetm_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 46)) {
        return m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 46, m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier);
    }
    return m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier;
  }
  
  protected static final Quantite jdoGetm_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 47)) {
        return m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 47, m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier);
    }
    return m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier;
  }
  
  protected static final BigDecimal jdoGetm_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 48)) {
        return m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 48, m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel);
    }
    return m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel;
  }
  
  protected static final int jdoGetm_montantRetenuConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantRetenuConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 49)) {
        return m_montantRetenuConstitutionProduitResultant;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 49, m_montantRetenuConstitutionProduitResultant);
    }
    return m_montantRetenuConstitutionProduitResultant;
  }
  
  protected static final int jdoGetm_capitalRetenuConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_capitalRetenuConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 50)) {
        return m_capitalRetenuConstitutionProduitResultant;
      }
      return sm.getIntField(pc, jdoInheritedFieldCount + 50, m_capitalRetenuConstitutionProduitResultant);
    }
    return m_capitalRetenuConstitutionProduitResultant;
  }
  
  protected static final Quantite jdoGetm_montantDroitPrecedentConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantDroitPrecedentConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 51)) {
        return m_montantDroitPrecedentConstitutionProduitResultant;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 51, m_montantDroitPrecedentConstitutionProduitResultant);
    }
    return m_montantDroitPrecedentConstitutionProduitResultant;
  }
  
  protected static final Quantite jdoGetm_capitalDroitPrecedentConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_capitalDroitPrecedentConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 52)) {
        return m_capitalDroitPrecedentConstitutionProduitResultant;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 52, m_capitalDroitPrecedentConstitutionProduitResultant);
    }
    return m_capitalDroitPrecedentConstitutionProduitResultant;
  }
  
  protected static final Quantite jdoGetm_dureeDroitPrecedentConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeDroitPrecedentConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 53)) {
        return m_dureeDroitPrecedentConstitutionProduitResultant;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 53, m_dureeDroitPrecedentConstitutionProduitResultant);
    }
    return m_dureeDroitPrecedentConstitutionProduitResultant;
  }
  
  protected static final Quantite jdoGetm_capitalMaxConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_capitalMaxConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 54)) {
        return m_capitalMaxConstitutionProduitResultant;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 54, m_capitalMaxConstitutionProduitResultant);
    }
    return m_capitalMaxConstitutionProduitResultant;
  }
  
  protected static final Quantite jdoGetm_dureeTheoriqueConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeTheoriqueConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 55)) {
        return m_dureeTheoriqueConstitutionProduitResultant;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 55, m_dureeTheoriqueConstitutionProduitResultant);
    }
    return m_dureeTheoriqueConstitutionProduitResultant;
  }
  
  protected static final Quantite jdoGetm_dureeImputationConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeImputationConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 56)) {
        return m_dureeImputationConstitutionProduitResultant;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 56, m_dureeImputationConstitutionProduitResultant);
    }
    return m_dureeImputationConstitutionProduitResultant;
  }
  
  protected static final Quantite jdoGetm_dureeEffectiveConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeEffectiveConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 57)) {
        return m_dureeEffectiveConstitutionProduitResultant;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 57, m_dureeEffectiveConstitutionProduitResultant);
    }
    return m_dureeEffectiveConstitutionProduitResultant;
  }
  
  protected static final Sjr jdoGetm_sjrrpProduitPrecedentConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjrrpProduitPrecedentConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 58)) {
        return m_sjrrpProduitPrecedentConstitutionProduitResultant;
      }
      return (Sjr)sm.getObjectField(pc, jdoInheritedFieldCount + 58, m_sjrrpProduitPrecedentConstitutionProduitResultant);
    }
    return m_sjrrpProduitPrecedentConstitutionProduitResultant;
  }
  
  protected static final Quantite jdoGetm_crcConstitutionConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_crcConstitutionConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 59)) {
        return m_crcConstitutionConstitutionProduitResultant;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 59, m_crcConstitutionConstitutionProduitResultant);
    }
    return m_crcConstitutionConstitutionProduitResultant;
  }
  
  protected static final Quantite jdoGetm_montantJournalierBrutConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantJournalierBrutConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 60)) {
        return m_montantJournalierBrutConstitutionProduitResultant;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 60, m_montantJournalierBrutConstitutionProduitResultant);
    }
    return m_montantJournalierBrutConstitutionProduitResultant;
  }
  
  protected static final Quantite jdoGetm_capitalInitialBrutConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_capitalInitialBrutConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 61)) {
        return m_capitalInitialBrutConstitutionProduitResultant;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 61, m_capitalInitialBrutConstitutionProduitResultant);
    }
    return m_capitalInitialBrutConstitutionProduitResultant;
  }
  
  protected static final Quantite jdoGetm_montantMiniConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantMiniConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 62)) {
        return m_montantMiniConstitutionProduitResultant;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 62, m_montantMiniConstitutionProduitResultant);
    }
    return m_montantMiniConstitutionProduitResultant;
  }
  
  protected static final Quantite jdoGetm_montantPlancherConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantPlancherConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 63)) {
        return m_montantPlancherConstitutionProduitResultant;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 63, m_montantPlancherConstitutionProduitResultant);
    }
    return m_montantPlancherConstitutionProduitResultant;
  }
  
  protected static final Quantite jdoGetm_montantPlafondConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantPlafondConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 64)) {
        return m_montantPlafondConstitutionProduitResultant;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 64, m_montantPlafondConstitutionProduitResultant);
    }
    return m_montantPlafondConstitutionProduitResultant;
  }
  
  protected static final Quantite jdoGetm_montantBaseConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantBaseConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 65)) {
        return m_montantBaseConstitutionProduitResultant;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 65, m_montantBaseConstitutionProduitResultant);
    }
    return m_montantBaseConstitutionProduitResultant;
  }
  
  protected static final Quantite jdoGetm_pensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_pensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 66)) {
        return m_pensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 66, m_pensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant);
    }
    return m_pensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant;
  }
  
  protected static final Quantite jdoGetm_montantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 67)) {
        return m_montantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 67, m_montantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant);
    }
    return m_montantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant;
  }
  
  protected static final Quantite jdoGetm_montantJournalierAvantageVieillesseConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantJournalierAvantageVieillesseConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 68)) {
        return m_montantJournalierAvantageVieillesseConstitutionProduitResultant;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 68, m_montantJournalierAvantageVieillesseConstitutionProduitResultant);
    }
    return m_montantJournalierAvantageVieillesseConstitutionProduitResultant;
  }
  
  protected static final Quantite jdoGetm_montantJournalierAvantageVieillesseDeduitConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantJournalierAvantageVieillesseDeduitConstitutionProduitResultant;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 69)) {
        return m_montantJournalierAvantageVieillesseDeduitConstitutionProduitResultant;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 69, m_montantJournalierAvantageVieillesseDeduitConstitutionProduitResultant);
    }
    return m_montantJournalierAvantageVieillesseDeduitConstitutionProduitResultant;
  }
  
  protected static final Quantite jdoGetm_montantJournalierBrutConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantJournalierBrutConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 70)) {
        return m_montantJournalierBrutConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 70, m_montantJournalierBrutConstitutionMontantsBruts);
    }
    return m_montantJournalierBrutConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_capitalInitialBrutConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_capitalInitialBrutConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 71)) {
        return m_capitalInitialBrutConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 71, m_capitalInitialBrutConstitutionMontantsBruts);
    }
    return m_capitalInitialBrutConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_montantMiniConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantMiniConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 72)) {
        return m_montantMiniConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 72, m_montantMiniConstitutionMontantsBruts);
    }
    return m_montantMiniConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_montantPlancherConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantPlancherConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 73)) {
        return m_montantPlancherConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 73, m_montantPlancherConstitutionMontantsBruts);
    }
    return m_montantPlancherConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_montantPlafondConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantPlafondConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 74)) {
        return m_montantPlafondConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 74, m_montantPlafondConstitutionMontantsBruts);
    }
    return m_montantPlafondConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_montantBaseConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantBaseConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 75)) {
        return m_montantBaseConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 75, m_montantBaseConstitutionMontantsBruts);
    }
    return m_montantBaseConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 76)) {
        return m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 76, m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts);
    }
    return m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 77)) {
        return m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 77, m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts);
    }
    return m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_montantJournalierAvantageVieillesseConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantJournalierAvantageVieillesseConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 78)) {
        return m_montantJournalierAvantageVieillesseConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 78, m_montantJournalierAvantageVieillesseConstitutionMontantsBruts);
    }
    return m_montantJournalierAvantageVieillesseConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 79)) {
        return m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 79, m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts);
    }
    return m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_crcConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_crcConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 80)) {
        return m_crcConstitutionMontantsBruts;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 80, m_crcConstitutionMontantsBruts);
    }
    return m_crcConstitutionMontantsBruts;
  }
  
  protected static final Quantite jdoGetm_dureeTheoriqueConstitutionDurees(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeTheoriqueConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 81)) {
        return m_dureeTheoriqueConstitutionDurees;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 81, m_dureeTheoriqueConstitutionDurees);
    }
    return m_dureeTheoriqueConstitutionDurees;
  }
  
  protected static final Quantite jdoGetm_dureeImputationConstitutionDurees(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeImputationConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 82)) {
        return m_dureeImputationConstitutionDurees;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 82, m_dureeImputationConstitutionDurees);
    }
    return m_dureeImputationConstitutionDurees;
  }
  
  protected static final Quantite jdoGetm_dureeEffectiveConstitutionDurees(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeEffectiveConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 83)) {
        return m_dureeEffectiveConstitutionDurees;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 83, m_dureeEffectiveConstitutionDurees);
    }
    return m_dureeEffectiveConstitutionDurees;
  }
  
  protected static final BigDecimal jdoGetm_salaireReferenceNonPlafonneConstitutionSjr(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_salaireReferenceNonPlafonneConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 84)) {
        return m_salaireReferenceNonPlafonneConstitutionSjr;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 84, m_salaireReferenceNonPlafonneConstitutionSjr);
    }
    return m_salaireReferenceNonPlafonneConstitutionSjr;
  }
  
  protected static final BigDecimal jdoGetm_totalPrimesExceptionnellesRetenuesConstitutionSjr(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_totalPrimesExceptionnellesRetenuesConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 85)) {
        return m_totalPrimesExceptionnellesRetenuesConstitutionSjr;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 85, m_totalPrimesExceptionnellesRetenuesConstitutionSjr);
    }
    return m_totalPrimesExceptionnellesRetenuesConstitutionSjr;
  }
  
  protected static final BigDecimal jdoGetm_totalPrimesNormalesRetenuesConstitutionSjr(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_totalPrimesNormalesRetenuesConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 86)) {
        return m_totalPrimesNormalesRetenuesConstitutionSjr;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 86, m_totalPrimesNormalesRetenuesConstitutionSjr);
    }
    return m_totalPrimesNormalesRetenuesConstitutionSjr;
  }
  
  protected static final BigDecimal jdoGetm_totalSalairesRetenusConstitutionSjr(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_totalSalairesRetenusConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 87)) {
        return m_totalSalairesRetenusConstitutionSjr;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 87, m_totalSalairesRetenusConstitutionSjr);
    }
    return m_totalSalairesRetenusConstitutionSjr;
  }
  
  protected static final PrcPC jdoGetm_prcConstitutionSjr(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_prcConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 88)) {
        return m_prcConstitutionSjr;
      }
      return (PrcPC)sm.getObjectField(pc, jdoInheritedFieldCount + 88, m_prcConstitutionSjr);
    }
    return m_prcConstitutionSjr;
  }
  
  protected static final QuantiteEuro jdoGetm_plafondSjrConstitutionSjr(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_plafondSjrConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 89)) {
        return m_plafondSjrConstitutionSjr;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 89, m_plafondSjrConstitutionSjr);
    }
    return m_plafondSjrConstitutionSjr;
  }
  
  protected static final QuantiteEuro jdoGetm_sjrInitialConstitutionSjr(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjrInitialConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 90)) {
        return m_sjrInitialConstitutionSjr;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 90, m_sjrInitialConstitutionSjr);
    }
    return m_sjrInitialConstitutionSjr;
  }
  
  protected static final Damj jdoGetm_dateEvenementConstitutionSjr(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateEvenementConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 91)) {
        return m_dateEvenementConstitutionSjr;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 91, m_dateEvenementConstitutionSjr);
    }
    return m_dateEvenementConstitutionSjr;
  }
  
  protected static final QuantiteEuro jdoGetm_plafondConstitutionSjc(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_plafondConstitutionSjc;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 92)) {
        return m_plafondConstitutionSjc;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 92, m_plafondConstitutionSjc);
    }
    return m_plafondConstitutionSjc;
  }
  
  protected static final QuantiteEuro jdoGetm_sjcInitialConstitutionSjc(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjcInitialConstitutionSjc;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 93)) {
        return m_sjcInitialConstitutionSjc;
      }
      return (QuantiteEuro)sm.getObjectField(pc, jdoInheritedFieldCount + 93, m_sjcInitialConstitutionSjc);
    }
    return m_sjcInitialConstitutionSjc;
  }
  
  protected static final Damj jdoGetm_dateEvenementConstitutionSjc(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dateEvenementConstitutionSjc;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 94)) {
        return m_dateEvenementConstitutionSjc;
      }
      return (Damj)sm.getObjectField(pc, jdoInheritedFieldCount + 94, m_dateEvenementConstitutionSjc);
    }
    return m_dateEvenementConstitutionSjc;
  }
  
  protected static final Quantite jdoGetm_quantiteJourImputationForceConstitutionDurees(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteJourImputationForceConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 95)) {
        return m_quantiteJourImputationForceConstitutionDurees;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 95, m_quantiteJourImputationForceConstitutionDurees);
    }
    return m_quantiteJourImputationForceConstitutionDurees;
  }
  
  protected static final Quantite jdoGetm_quantiteTotalJourImputationConstitutionDurees(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_quantiteTotalJourImputationConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 96)) {
        return m_quantiteTotalJourImputationConstitutionDurees;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 96, m_quantiteTotalJourImputationConstitutionDurees);
    }
    return m_quantiteTotalJourImputationConstitutionDurees;
  }
  
  protected static final BigDecimal jdoGetm_sommeMontantRevisionConstitutionSjr(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_sommeMontantRevisionConstitutionSjr;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 97)) {
        return m_sommeMontantRevisionConstitutionSjr;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 97, m_sommeMontantRevisionConstitutionSjr);
    }
    return m_sommeMontantRevisionConstitutionSjr;
  }
  
  private static final Quantite jdoGetm_dureePostPrimeCspConstitutionDurees(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureePostPrimeCspConstitutionDurees;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 98)) {
        return m_dureePostPrimeCspConstitutionDurees;
      }
      return (Quantite)sm.getObjectField(pc, jdoInheritedFieldCount + 98, m_dureePostPrimeCspConstitutionDurees);
    }
    return m_dureePostPrimeCspConstitutionDurees;
  }
  
  private static final BigDecimal jdoGetm_sjrMontantMaxAspConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_sjrMontantMaxAspConstitutionMontantsBruts;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 99)) {
        return m_sjrMontantMaxAspConstitutionMontantsBruts;
      }
      return (BigDecimal)sm.getObjectField(pc, jdoInheritedFieldCount + 99, m_sjrMontantMaxAspConstitutionMontantsBruts);
    }
    return m_sjrMontantMaxAspConstitutionMontantsBruts;
  }
  
  private static final Integer jdoGetm_dureeImputationPostPrime(ConstitutionElementsAdmissionPC pc)
  {
    if (jdoFlags <= 0) {
      return m_dureeImputationPostPrime;
    }
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 100)) {
        return m_dureeImputationPostPrime;
      }
      return (Integer)sm.getObjectField(pc, jdoInheritedFieldCount + 100, m_dureeImputationPostPrime);
    }
    return m_dureeImputationPostPrime;
  }
  
  protected static final Collection jdoGetm_collectionEnsembleCarencesConstitutionDelais(ConstitutionElementsAdmissionPC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 101)) {
        return m_collectionEnsembleCarencesConstitutionDelais;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 101, m_collectionEnsembleCarencesConstitutionDelais);
    }
    return m_collectionEnsembleCarencesConstitutionDelais;
  }
  
  protected static final Collection jdoGetm_listeDelaisReportsConstitutionDelais(ConstitutionElementsAdmissionPC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 102)) {
        return m_listeDelaisReportsConstitutionDelais;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 102, m_listeDelaisReportsConstitutionDelais);
    }
    return m_listeDelaisReportsConstitutionDelais;
  }
  
  protected static final Collection jdoGetm_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier(ConstitutionElementsAdmissionPC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 103)) {
        return m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 103, m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier);
    }
    return m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier;
  }
  
  protected static final Collection jdoGetm_listeSjrActiviteConserveeConstitutionSjc(ConstitutionElementsAdmissionPC pc)
  {
    StateManager sm = jdoStateManager;
    if (sm != null)
    {
      if (sm.isLoaded(pc, jdoInheritedFieldCount + 104)) {
        return m_listeSjrActiviteConserveeConstitutionSjc;
      }
      return (Collection)sm.getObjectField(pc, jdoInheritedFieldCount + 104, m_listeSjrActiviteConserveeConstitutionSjc);
    }
    return m_listeSjrActiviteConserveeConstitutionSjc;
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionDateAttribution(ConstitutionElementsAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionDateAttribution = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 0, m_presenceDonneesConstitutionDateAttribution, newValue);
    } else {
      m_presenceDonneesConstitutionDateAttribution = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionDelais(ConstitutionElementsAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 1, m_presenceDonneesConstitutionDelais, newValue);
    } else {
      m_presenceDonneesConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionQuantiteAffiliation(ConstitutionElementsAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionQuantiteAffiliation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 2, m_presenceDonneesConstitutionQuantiteAffiliation, newValue);
    } else {
      m_presenceDonneesConstitutionQuantiteAffiliation = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionReglementApplicable(ConstitutionElementsAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionReglementApplicable = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 3, m_presenceDonneesConstitutionReglementApplicable, newValue);
    } else {
      m_presenceDonneesConstitutionReglementApplicable = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionSjc(ConstitutionElementsAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionSjc = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 4, m_presenceDonneesConstitutionSjc, newValue);
    } else {
      m_presenceDonneesConstitutionSjc = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionSjr(ConstitutionElementsAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 5, m_presenceDonneesConstitutionSjr, newValue);
    } else {
      m_presenceDonneesConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionDurees(ConstitutionElementsAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 6, m_presenceDonneesConstitutionDurees, newValue);
    } else {
      m_presenceDonneesConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionCaractereSaisonnier(ConstitutionElementsAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionCaractereSaisonnier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 7, m_presenceDonneesConstitutionCaractereSaisonnier, newValue);
    } else {
      m_presenceDonneesConstitutionCaractereSaisonnier = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionCoefficientSaisonnier(ConstitutionElementsAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionCoefficientSaisonnier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 8, m_presenceDonneesConstitutionCoefficientSaisonnier, newValue);
    } else {
      m_presenceDonneesConstitutionCoefficientSaisonnier = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 9, m_presenceDonneesConstitutionMontantsBruts, newValue);
    } else {
      m_presenceDonneesConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionCoefficientTempsPartiel(ConstitutionElementsAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionCoefficientTempsPartiel = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 10, m_presenceDonneesConstitutionCoefficientTempsPartiel, newValue);
    } else {
      m_presenceDonneesConstitutionCoefficientTempsPartiel = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionPointDepartIndemnisation(ConstitutionElementsAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionPointDepartIndemnisation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 11, m_presenceDonneesConstitutionPointDepartIndemnisation, newValue);
    } else {
      m_presenceDonneesConstitutionPointDepartIndemnisation = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 12, m_presenceDonneesConstitutionProduitResultant, newValue);
    } else {
      m_presenceDonneesConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionDureesConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionDureesConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 13, m_presenceDonneesConstitutionDureesConstitutionProduitResultant, newValue);
    } else {
      m_presenceDonneesConstitutionDureesConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_presenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_presenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 14, m_presenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant, newValue);
    } else {
      m_presenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_sjrrpConstitutionSjr(ConstitutionElementsAdmissionPC pc, Sjr newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjrrpConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 15, m_sjrrpConstitutionSjr, newValue);
    } else {
      m_sjrrpConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_codeEmploiA2b(ConstitutionElementsAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeEmploiA2b = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 16, m_codeEmploiA2b, newValue);
    } else {
      m_codeEmploiA2b = newValue;
    }
  }
  
  protected static final void jdoSetm_periodeReference91joursConstitutionDelais(ConstitutionElementsAdmissionPC pc, Periode newValue)
  {
    if (jdoFlags == 0)
    {
      m_periodeReference91joursConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 17, m_periodeReference91joursConstitutionDelais, newValue);
    } else {
      m_periodeReference91joursConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_typePmcConstitutionDelais(ConstitutionElementsAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_typePmcConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 18, m_typePmcConstitutionDelais, newValue);
    } else {
      m_typePmcConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJoursPMCConstitutionDelais(ConstitutionElementsAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJoursPMCConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 19, m_nbJoursPMCConstitutionDelais, newValue);
    } else {
      m_nbJoursPMCConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_debutPMCConstitutionDelais(ConstitutionElementsAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_debutPMCConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 20, m_debutPMCConstitutionDelais, newValue);
    } else {
      m_debutPMCConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_termePMCConstitutionDelais(ConstitutionElementsAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_termePMCConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 21, m_termePMCConstitutionDelais, newValue);
    } else {
      m_termePMCConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJoursCarenceICCPConstitutionDelais(ConstitutionElementsAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJoursCarenceICCPConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 22, m_nbJoursCarenceICCPConstitutionDelais, newValue);
    } else {
      m_nbJoursCarenceICCPConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_debutCarenceICCPConstitutionDelais(ConstitutionElementsAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_debutCarenceICCPConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 23, m_debutCarenceICCPConstitutionDelais, newValue);
    } else {
      m_debutCarenceICCPConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_termeCarenceICCPConstitutionDelais(ConstitutionElementsAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_termeCarenceICCPConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 24, m_termeCarenceICCPConstitutionDelais, newValue);
    } else {
      m_termeCarenceICCPConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJoursCarenceISLRConstitutionDelais(ConstitutionElementsAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJoursCarenceISLRConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 25, m_nbJoursCarenceISLRConstitutionDelais, newValue);
    } else {
      m_nbJoursCarenceISLRConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_debutCarenceISLRConstitutionDelais(ConstitutionElementsAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_debutCarenceISLRConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 26, m_debutCarenceISLRConstitutionDelais, newValue);
    } else {
      m_debutCarenceISLRConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_termeCarenceISLRConstitutionDelais(ConstitutionElementsAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_termeCarenceISLRConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 27, m_termeCarenceISLRConstitutionDelais, newValue);
    } else {
      m_termeCarenceISLRConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_nbJoursCarenceDiffereConstitutionDelais(ConstitutionElementsAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_nbJoursCarenceDiffereConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 28, m_nbJoursCarenceDiffereConstitutionDelais, newValue);
    } else {
      m_nbJoursCarenceDiffereConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_debutCarenceDiffereConstitutionDelais(ConstitutionElementsAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_debutCarenceDiffereConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 29, m_debutCarenceDiffereConstitutionDelais, newValue);
    } else {
      m_debutCarenceDiffereConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_termeCarenceDiffereConstitutionDelais(ConstitutionElementsAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_termeCarenceDiffereConstitutionDelais = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 30, m_termeCarenceDiffereConstitutionDelais, newValue);
    } else {
      m_termeCarenceDiffereConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_sjcrpConstitutionSjc(ConstitutionElementsAdmissionPC pc, Sjc newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjcrpConstitutionSjc = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 31, m_sjcrpConstitutionSjc, newValue);
    } else {
      m_sjcrpConstitutionSjc = newValue;
    }
  }
  
  protected static final void jdoSetm_article3ConstitutionQuantiteAffiliation(ConstitutionElementsAdmissionPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_article3ConstitutionQuantiteAffiliation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 32, m_article3ConstitutionQuantiteAffiliation, newValue);
    } else {
      m_article3ConstitutionQuantiteAffiliation = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeInitialeConstitutionQuantiteAffiliation(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeInitialeConstitutionQuantiteAffiliation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 33, m_dureeInitialeConstitutionQuantiteAffiliation, newValue);
    } else {
      m_dureeInitialeConstitutionQuantiteAffiliation = newValue;
    }
  }
  
  protected static final void jdoSetm_quantiteAffiliationAcquiseConstitutionQuantiteAffiliation(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteAffiliationAcquiseConstitutionQuantiteAffiliation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 34, m_quantiteAffiliationAcquiseConstitutionQuantiteAffiliation, newValue);
    } else {
      m_quantiteAffiliationAcquiseConstitutionQuantiteAffiliation = newValue;
    }
  }
  
  protected static final void jdoSetm_quantiteAssimilationAcquiseConstitutionQuantiteAffiliation(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteAssimilationAcquiseConstitutionQuantiteAffiliation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 35, m_quantiteAssimilationAcquiseConstitutionQuantiteAffiliation, newValue);
    } else {
      m_quantiteAssimilationAcquiseConstitutionQuantiteAffiliation = newValue;
    }
  }
  
  protected static final void jdoSetm_periodePRAConstitutionQuantiteAffiliation(ConstitutionElementsAdmissionPC pc, Periode newValue)
  {
    if (jdoFlags == 0)
    {
      m_periodePRAConstitutionQuantiteAffiliation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 36, m_periodePRAConstitutionQuantiteAffiliation, newValue);
    } else {
      m_periodePRAConstitutionQuantiteAffiliation = newValue;
    }
  }
  
  protected static final void jdoSetm_nomReglementConstitutionReglementApplicable(ConstitutionElementsAdmissionPC pc, String newValue)
  {
    if (jdoFlags == 0)
    {
      m_nomReglementConstitutionReglementApplicable = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setStringField(pc, jdoInheritedFieldCount + 37, m_nomReglementConstitutionReglementApplicable, newValue);
    } else {
      m_nomReglementConstitutionReglementApplicable = newValue;
    }
  }
  
  protected static final void jdoSetm_codeProduitConstitutionReglementApplicable(ConstitutionElementsAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_codeProduitConstitutionReglementApplicable = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 38, m_codeProduitConstitutionReglementApplicable, newValue);
    } else {
      m_codeProduitConstitutionReglementApplicable = newValue;
    }
  }
  
  protected static final void jdoSetm_dateAttributionConstitutionDateAttribution(ConstitutionElementsAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateAttributionConstitutionDateAttribution = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 39, m_dateAttributionConstitutionDateAttribution, newValue);
    } else {
      m_dateAttributionConstitutionDateAttribution = newValue;
    }
  }
  
  protected static final void jdoSetm_pjiConstitutionPointDepartIndemnisation(ConstitutionElementsAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_pjiConstitutionPointDepartIndemnisation = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 40, m_pjiConstitutionPointDepartIndemnisation, newValue);
    } else {
      m_pjiConstitutionPointDepartIndemnisation = newValue;
    }
  }
  
  protected static final void jdoSetm_caractereSaisonnierRetenuConstitutionCaractereSaisonnier(ConstitutionElementsAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 41, m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier, newValue);
    } else {
      m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier = newValue;
    }
  }
  
  protected static final void jdoSetm_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier(ConstitutionElementsAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 42, m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier, newValue);
    } else {
      m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier = newValue;
    }
  }
  
  protected static final void jdoSetm_periodeReferenceSaisonnierConstitutionCaractereSaisonnier(ConstitutionElementsAdmissionPC pc, Periode newValue)
  {
    if (jdoFlags == 0)
    {
      m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 43, m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier, newValue);
    } else {
      m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier = newValue;
    }
  }
  
  protected static final void jdoSetm_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier(ConstitutionElementsAdmissionPC pc, Periode newValue)
  {
    if (jdoFlags == 0)
    {
      m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 44, m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier, newValue);
    } else {
      m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier = newValue;
    }
  }
  
  protected static final void jdoSetm_activite3Sur5ConstitutionCaractereSaisonnier(ConstitutionElementsAdmissionPC pc, boolean newValue)
  {
    if (jdoFlags == 0)
    {
      m_activite3Sur5ConstitutionCaractereSaisonnier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setBooleanField(pc, jdoInheritedFieldCount + 45, m_activite3Sur5ConstitutionCaractereSaisonnier, newValue);
    } else {
      m_activite3Sur5ConstitutionCaractereSaisonnier = newValue;
    }
  }
  
  protected static final void jdoSetm_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier(ConstitutionElementsAdmissionPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 46, m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier, newValue);
    } else {
      m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier = newValue;
    }
  }
  
  protected static final void jdoSetm_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 47, m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier, newValue);
    } else {
      m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier = newValue;
    }
  }
  
  protected static final void jdoSetm_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel(ConstitutionElementsAdmissionPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 48, m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel, newValue);
    } else {
      m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel = newValue;
    }
  }
  
  protected static final void jdoSetm_montantRetenuConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantRetenuConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 49, m_montantRetenuConstitutionProduitResultant, newValue);
    } else {
      m_montantRetenuConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_capitalRetenuConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, int newValue)
  {
    if (jdoFlags == 0)
    {
      m_capitalRetenuConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setIntField(pc, jdoInheritedFieldCount + 50, m_capitalRetenuConstitutionProduitResultant, newValue);
    } else {
      m_capitalRetenuConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_montantDroitPrecedentConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantDroitPrecedentConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 51, m_montantDroitPrecedentConstitutionProduitResultant, newValue);
    } else {
      m_montantDroitPrecedentConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_capitalDroitPrecedentConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_capitalDroitPrecedentConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 52, m_capitalDroitPrecedentConstitutionProduitResultant, newValue);
    } else {
      m_capitalDroitPrecedentConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeDroitPrecedentConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeDroitPrecedentConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 53, m_dureeDroitPrecedentConstitutionProduitResultant, newValue);
    } else {
      m_dureeDroitPrecedentConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_capitalMaxConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_capitalMaxConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 54, m_capitalMaxConstitutionProduitResultant, newValue);
    } else {
      m_capitalMaxConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeTheoriqueConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeTheoriqueConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 55, m_dureeTheoriqueConstitutionProduitResultant, newValue);
    } else {
      m_dureeTheoriqueConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeImputationConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeImputationConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 56, m_dureeImputationConstitutionProduitResultant, newValue);
    } else {
      m_dureeImputationConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeEffectiveConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeEffectiveConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 57, m_dureeEffectiveConstitutionProduitResultant, newValue);
    } else {
      m_dureeEffectiveConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_sjrrpProduitPrecedentConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, Sjr newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjrrpProduitPrecedentConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 58, m_sjrrpProduitPrecedentConstitutionProduitResultant, newValue);
    } else {
      m_sjrrpProduitPrecedentConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_crcConstitutionConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_crcConstitutionConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 59, m_crcConstitutionConstitutionProduitResultant, newValue);
    } else {
      m_crcConstitutionConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_montantJournalierBrutConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantJournalierBrutConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 60, m_montantJournalierBrutConstitutionProduitResultant, newValue);
    } else {
      m_montantJournalierBrutConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_capitalInitialBrutConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_capitalInitialBrutConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 61, m_capitalInitialBrutConstitutionProduitResultant, newValue);
    } else {
      m_capitalInitialBrutConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_montantMiniConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantMiniConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 62, m_montantMiniConstitutionProduitResultant, newValue);
    } else {
      m_montantMiniConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_montantPlancherConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantPlancherConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 63, m_montantPlancherConstitutionProduitResultant, newValue);
    } else {
      m_montantPlancherConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_montantPlafondConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantPlafondConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 64, m_montantPlafondConstitutionProduitResultant, newValue);
    } else {
      m_montantPlafondConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_montantBaseConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantBaseConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 65, m_montantBaseConstitutionProduitResultant, newValue);
    } else {
      m_montantBaseConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_pensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_pensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 66, m_pensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant, newValue);
    } else {
      m_pensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_montantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 67, m_montantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant, newValue);
    } else {
      m_montantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_montantJournalierAvantageVieillesseConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantJournalierAvantageVieillesseConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 68, m_montantJournalierAvantageVieillesseConstitutionProduitResultant, newValue);
    } else {
      m_montantJournalierAvantageVieillesseConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_montantJournalierAvantageVieillesseDeduitConstitutionProduitResultant(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantJournalierAvantageVieillesseDeduitConstitutionProduitResultant = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 69, m_montantJournalierAvantageVieillesseDeduitConstitutionProduitResultant, newValue);
    } else {
      m_montantJournalierAvantageVieillesseDeduitConstitutionProduitResultant = newValue;
    }
  }
  
  protected static final void jdoSetm_montantJournalierBrutConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantJournalierBrutConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 70, m_montantJournalierBrutConstitutionMontantsBruts, newValue);
    } else {
      m_montantJournalierBrutConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_capitalInitialBrutConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_capitalInitialBrutConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 71, m_capitalInitialBrutConstitutionMontantsBruts, newValue);
    } else {
      m_capitalInitialBrutConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantMiniConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantMiniConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 72, m_montantMiniConstitutionMontantsBruts, newValue);
    } else {
      m_montantMiniConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantPlancherConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantPlancherConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 73, m_montantPlancherConstitutionMontantsBruts, newValue);
    } else {
      m_montantPlancherConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantPlafondConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantPlafondConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 74, m_montantPlafondConstitutionMontantsBruts, newValue);
    } else {
      m_montantPlafondConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantBaseConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantBaseConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 75, m_montantBaseConstitutionMontantsBruts, newValue);
    } else {
      m_montantBaseConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 76, m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts, newValue);
    } else {
      m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 77, m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts, newValue);
    } else {
      m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantJournalierAvantageVieillesseConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantJournalierAvantageVieillesseConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 78, m_montantJournalierAvantageVieillesseConstitutionMontantsBruts, newValue);
    } else {
      m_montantJournalierAvantageVieillesseConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 79, m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts, newValue);
    } else {
      m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_crcConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_crcConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 80, m_crcConstitutionMontantsBruts, newValue);
    } else {
      m_crcConstitutionMontantsBruts = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeTheoriqueConstitutionDurees(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeTheoriqueConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 81, m_dureeTheoriqueConstitutionDurees, newValue);
    } else {
      m_dureeTheoriqueConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeImputationConstitutionDurees(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeImputationConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 82, m_dureeImputationConstitutionDurees, newValue);
    } else {
      m_dureeImputationConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_dureeEffectiveConstitutionDurees(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeEffectiveConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 83, m_dureeEffectiveConstitutionDurees, newValue);
    } else {
      m_dureeEffectiveConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_salaireReferenceNonPlafonneConstitutionSjr(ConstitutionElementsAdmissionPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_salaireReferenceNonPlafonneConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 84, m_salaireReferenceNonPlafonneConstitutionSjr, newValue);
    } else {
      m_salaireReferenceNonPlafonneConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_totalPrimesExceptionnellesRetenuesConstitutionSjr(ConstitutionElementsAdmissionPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_totalPrimesExceptionnellesRetenuesConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 85, m_totalPrimesExceptionnellesRetenuesConstitutionSjr, newValue);
    } else {
      m_totalPrimesExceptionnellesRetenuesConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_totalPrimesNormalesRetenuesConstitutionSjr(ConstitutionElementsAdmissionPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_totalPrimesNormalesRetenuesConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 86, m_totalPrimesNormalesRetenuesConstitutionSjr, newValue);
    } else {
      m_totalPrimesNormalesRetenuesConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_totalSalairesRetenusConstitutionSjr(ConstitutionElementsAdmissionPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_totalSalairesRetenusConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 87, m_totalSalairesRetenusConstitutionSjr, newValue);
    } else {
      m_totalSalairesRetenusConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_prcConstitutionSjr(ConstitutionElementsAdmissionPC pc, PrcPC newValue)
  {
    if (jdoFlags == 0)
    {
      m_prcConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 88, m_prcConstitutionSjr, newValue);
    } else {
      m_prcConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_plafondSjrConstitutionSjr(ConstitutionElementsAdmissionPC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_plafondSjrConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 89, m_plafondSjrConstitutionSjr, newValue);
    } else {
      m_plafondSjrConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_sjrInitialConstitutionSjr(ConstitutionElementsAdmissionPC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjrInitialConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 90, m_sjrInitialConstitutionSjr, newValue);
    } else {
      m_sjrInitialConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_dateEvenementConstitutionSjr(ConstitutionElementsAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateEvenementConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 91, m_dateEvenementConstitutionSjr, newValue);
    } else {
      m_dateEvenementConstitutionSjr = newValue;
    }
  }
  
  protected static final void jdoSetm_plafondConstitutionSjc(ConstitutionElementsAdmissionPC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_plafondConstitutionSjc = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 92, m_plafondConstitutionSjc, newValue);
    } else {
      m_plafondConstitutionSjc = newValue;
    }
  }
  
  protected static final void jdoSetm_sjcInitialConstitutionSjc(ConstitutionElementsAdmissionPC pc, QuantiteEuro newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjcInitialConstitutionSjc = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 93, m_sjcInitialConstitutionSjc, newValue);
    } else {
      m_sjcInitialConstitutionSjc = newValue;
    }
  }
  
  protected static final void jdoSetm_dateEvenementConstitutionSjc(ConstitutionElementsAdmissionPC pc, Damj newValue)
  {
    if (jdoFlags == 0)
    {
      m_dateEvenementConstitutionSjc = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 94, m_dateEvenementConstitutionSjc, newValue);
    } else {
      m_dateEvenementConstitutionSjc = newValue;
    }
  }
  
  protected static final void jdoSetm_quantiteJourImputationForceConstitutionDurees(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteJourImputationForceConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 95, m_quantiteJourImputationForceConstitutionDurees, newValue);
    } else {
      m_quantiteJourImputationForceConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_quantiteTotalJourImputationConstitutionDurees(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_quantiteTotalJourImputationConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 96, m_quantiteTotalJourImputationConstitutionDurees, newValue);
    } else {
      m_quantiteTotalJourImputationConstitutionDurees = newValue;
    }
  }
  
  protected static final void jdoSetm_sommeMontantRevisionConstitutionSjr(ConstitutionElementsAdmissionPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_sommeMontantRevisionConstitutionSjr = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 97, m_sommeMontantRevisionConstitutionSjr, newValue);
    } else {
      m_sommeMontantRevisionConstitutionSjr = newValue;
    }
  }
  
  private static final void jdoSetm_dureePostPrimeCspConstitutionDurees(ConstitutionElementsAdmissionPC pc, Quantite newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureePostPrimeCspConstitutionDurees = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 98, m_dureePostPrimeCspConstitutionDurees, newValue);
    } else {
      m_dureePostPrimeCspConstitutionDurees = newValue;
    }
  }
  
  private static final void jdoSetm_sjrMontantMaxAspConstitutionMontantsBruts(ConstitutionElementsAdmissionPC pc, BigDecimal newValue)
  {
    if (jdoFlags == 0)
    {
      m_sjrMontantMaxAspConstitutionMontantsBruts = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 99, m_sjrMontantMaxAspConstitutionMontantsBruts, newValue);
    } else {
      m_sjrMontantMaxAspConstitutionMontantsBruts = newValue;
    }
  }
  
  private static final void jdoSetm_dureeImputationPostPrime(ConstitutionElementsAdmissionPC pc, Integer newValue)
  {
    if (jdoFlags == 0)
    {
      m_dureeImputationPostPrime = newValue;
      return;
    }
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 100, m_dureeImputationPostPrime, newValue);
    } else {
      m_dureeImputationPostPrime = newValue;
    }
  }
  
  protected static final void jdoSetm_collectionEnsembleCarencesConstitutionDelais(ConstitutionElementsAdmissionPC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 101, m_collectionEnsembleCarencesConstitutionDelais, newValue);
    } else {
      m_collectionEnsembleCarencesConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_listeDelaisReportsConstitutionDelais(ConstitutionElementsAdmissionPC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 102, m_listeDelaisReportsConstitutionDelais, newValue);
    } else {
      m_listeDelaisReportsConstitutionDelais = newValue;
    }
  }
  
  protected static final void jdoSetm_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier(ConstitutionElementsAdmissionPC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 103, m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier, newValue);
    } else {
      m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier = newValue;
    }
  }
  
  protected static final void jdoSetm_listeSjrActiviteConserveeConstitutionSjc(ConstitutionElementsAdmissionPC pc, Collection newValue)
  {
    StateManager sm = jdoStateManager;
    if (sm != null) {
      sm.setObjectField(pc, jdoInheritedFieldCount + 104, m_listeSjrActiviteConserveeConstitutionSjc, newValue);
    } else {
      m_listeSjrActiviteConserveeConstitutionSjc = newValue;
    }
  }
  
  public void jdoProvideField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionDateAttribution);
      break;
    case 1: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionDelais);
      break;
    case 2: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionQuantiteAffiliation);
      break;
    case 3: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionReglementApplicable);
      break;
    case 4: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionSjc);
      break;
    case 5: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionSjr);
      break;
    case 6: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionDurees);
      break;
    case 7: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionCaractereSaisonnier);
      break;
    case 8: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionCoefficientSaisonnier);
      break;
    case 9: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionMontantsBruts);
      break;
    case 10: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionCoefficientTempsPartiel);
      break;
    case 11: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionPointDepartIndemnisation);
      break;
    case 12: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionProduitResultant);
      break;
    case 13: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionDureesConstitutionProduitResultant);
      break;
    case 14: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_presenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant);
      break;
    case 15: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjrrpConstitutionSjr);
      break;
    case 16: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeEmploiA2b);
      break;
    case 17: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_periodeReference91joursConstitutionDelais);
      break;
    case 18: 
      jdoStateManager.providedIntField(this, fieldNumber, m_typePmcConstitutionDelais);
      break;
    case 19: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nbJoursPMCConstitutionDelais);
      break;
    case 20: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_debutPMCConstitutionDelais);
      break;
    case 21: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_termePMCConstitutionDelais);
      break;
    case 22: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nbJoursCarenceICCPConstitutionDelais);
      break;
    case 23: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_debutCarenceICCPConstitutionDelais);
      break;
    case 24: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_termeCarenceICCPConstitutionDelais);
      break;
    case 25: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nbJoursCarenceISLRConstitutionDelais);
      break;
    case 26: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_debutCarenceISLRConstitutionDelais);
      break;
    case 27: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_termeCarenceISLRConstitutionDelais);
      break;
    case 28: 
      jdoStateManager.providedIntField(this, fieldNumber, m_nbJoursCarenceDiffereConstitutionDelais);
      break;
    case 29: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_debutCarenceDiffereConstitutionDelais);
      break;
    case 30: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_termeCarenceDiffereConstitutionDelais);
      break;
    case 31: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjcrpConstitutionSjc);
      break;
    case 32: 
      jdoStateManager.providedStringField(this, fieldNumber, m_article3ConstitutionQuantiteAffiliation);
      break;
    case 33: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeInitialeConstitutionQuantiteAffiliation);
      break;
    case 34: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteAffiliationAcquiseConstitutionQuantiteAffiliation);
      break;
    case 35: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteAssimilationAcquiseConstitutionQuantiteAffiliation);
      break;
    case 36: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_periodePRAConstitutionQuantiteAffiliation);
      break;
    case 37: 
      jdoStateManager.providedStringField(this, fieldNumber, m_nomReglementConstitutionReglementApplicable);
      break;
    case 38: 
      jdoStateManager.providedIntField(this, fieldNumber, m_codeProduitConstitutionReglementApplicable);
      break;
    case 39: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateAttributionConstitutionDateAttribution);
      break;
    case 40: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_pjiConstitutionPointDepartIndemnisation);
      break;
    case 41: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier);
      break;
    case 42: 
      jdoStateManager.providedIntField(this, fieldNumber, m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier);
      break;
    case 43: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier);
      break;
    case 44: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier);
      break;
    case 45: 
      jdoStateManager.providedBooleanField(this, fieldNumber, m_activite3Sur5ConstitutionCaractereSaisonnier);
      break;
    case 46: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier);
      break;
    case 47: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier);
      break;
    case 48: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel);
      break;
    case 49: 
      jdoStateManager.providedIntField(this, fieldNumber, m_montantRetenuConstitutionProduitResultant);
      break;
    case 50: 
      jdoStateManager.providedIntField(this, fieldNumber, m_capitalRetenuConstitutionProduitResultant);
      break;
    case 51: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantDroitPrecedentConstitutionProduitResultant);
      break;
    case 52: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_capitalDroitPrecedentConstitutionProduitResultant);
      break;
    case 53: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeDroitPrecedentConstitutionProduitResultant);
      break;
    case 54: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_capitalMaxConstitutionProduitResultant);
      break;
    case 55: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeTheoriqueConstitutionProduitResultant);
      break;
    case 56: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeImputationConstitutionProduitResultant);
      break;
    case 57: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeEffectiveConstitutionProduitResultant);
      break;
    case 58: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjrrpProduitPrecedentConstitutionProduitResultant);
      break;
    case 59: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_crcConstitutionConstitutionProduitResultant);
      break;
    case 60: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantJournalierBrutConstitutionProduitResultant);
      break;
    case 61: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_capitalInitialBrutConstitutionProduitResultant);
      break;
    case 62: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantMiniConstitutionProduitResultant);
      break;
    case 63: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantPlancherConstitutionProduitResultant);
      break;
    case 64: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantPlafondConstitutionProduitResultant);
      break;
    case 65: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantBaseConstitutionProduitResultant);
      break;
    case 66: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_pensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant);
      break;
    case 67: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant);
      break;
    case 68: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantJournalierAvantageVieillesseConstitutionProduitResultant);
      break;
    case 69: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantJournalierAvantageVieillesseDeduitConstitutionProduitResultant);
      break;
    case 70: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantJournalierBrutConstitutionMontantsBruts);
      break;
    case 71: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_capitalInitialBrutConstitutionMontantsBruts);
      break;
    case 72: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantMiniConstitutionMontantsBruts);
      break;
    case 73: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantPlancherConstitutionMontantsBruts);
      break;
    case 74: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantPlafondConstitutionMontantsBruts);
      break;
    case 75: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantBaseConstitutionMontantsBruts);
      break;
    case 76: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts);
      break;
    case 77: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts);
      break;
    case 78: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantJournalierAvantageVieillesseConstitutionMontantsBruts);
      break;
    case 79: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts);
      break;
    case 80: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_crcConstitutionMontantsBruts);
      break;
    case 81: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeTheoriqueConstitutionDurees);
      break;
    case 82: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeImputationConstitutionDurees);
      break;
    case 83: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeEffectiveConstitutionDurees);
      break;
    case 84: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_salaireReferenceNonPlafonneConstitutionSjr);
      break;
    case 85: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_totalPrimesExceptionnellesRetenuesConstitutionSjr);
      break;
    case 86: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_totalPrimesNormalesRetenuesConstitutionSjr);
      break;
    case 87: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_totalSalairesRetenusConstitutionSjr);
      break;
    case 88: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_prcConstitutionSjr);
      break;
    case 89: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_plafondSjrConstitutionSjr);
      break;
    case 90: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjrInitialConstitutionSjr);
      break;
    case 91: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateEvenementConstitutionSjr);
      break;
    case 92: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_plafondConstitutionSjc);
      break;
    case 93: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjcInitialConstitutionSjc);
      break;
    case 94: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dateEvenementConstitutionSjc);
      break;
    case 95: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteJourImputationForceConstitutionDurees);
      break;
    case 96: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_quantiteTotalJourImputationConstitutionDurees);
      break;
    case 97: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sommeMontantRevisionConstitutionSjr);
      break;
    case 98: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureePostPrimeCspConstitutionDurees);
      break;
    case 99: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_sjrMontantMaxAspConstitutionMontantsBruts);
      break;
    case 100: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_dureeImputationPostPrime);
      break;
    case 101: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_collectionEnsembleCarencesConstitutionDelais);
      break;
    case 102: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listeDelaisReportsConstitutionDelais);
      break;
    case 103: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier);
      break;
    case 104: 
      jdoStateManager.providedObjectField(this, fieldNumber, m_listeSjrActiviteConserveeConstitutionSjc);
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoReplaceField(int fieldNumber)
  {
    int relativeField = fieldNumber - jdoInheritedFieldCount;
    switch (relativeField)
    {
    case 0: 
      m_presenceDonneesConstitutionDateAttribution = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 1: 
      m_presenceDonneesConstitutionDelais = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 2: 
      m_presenceDonneesConstitutionQuantiteAffiliation = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 3: 
      m_presenceDonneesConstitutionReglementApplicable = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 4: 
      m_presenceDonneesConstitutionSjc = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 5: 
      m_presenceDonneesConstitutionSjr = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 6: 
      m_presenceDonneesConstitutionDurees = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 7: 
      m_presenceDonneesConstitutionCaractereSaisonnier = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 8: 
      m_presenceDonneesConstitutionCoefficientSaisonnier = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 9: 
      m_presenceDonneesConstitutionMontantsBruts = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 10: 
      m_presenceDonneesConstitutionCoefficientTempsPartiel = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 11: 
      m_presenceDonneesConstitutionPointDepartIndemnisation = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 12: 
      m_presenceDonneesConstitutionProduitResultant = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 13: 
      m_presenceDonneesConstitutionDureesConstitutionProduitResultant = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 14: 
      m_presenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 15: 
      m_sjrrpConstitutionSjr = ((Sjr)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 16: 
      m_codeEmploiA2b = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 17: 
      m_periodeReference91joursConstitutionDelais = ((Periode)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 18: 
      m_typePmcConstitutionDelais = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 19: 
      m_nbJoursPMCConstitutionDelais = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 20: 
      m_debutPMCConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 21: 
      m_termePMCConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 22: 
      m_nbJoursCarenceICCPConstitutionDelais = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 23: 
      m_debutCarenceICCPConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 24: 
      m_termeCarenceICCPConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 25: 
      m_nbJoursCarenceISLRConstitutionDelais = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 26: 
      m_debutCarenceISLRConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 27: 
      m_termeCarenceISLRConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 28: 
      m_nbJoursCarenceDiffereConstitutionDelais = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 29: 
      m_debutCarenceDiffereConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 30: 
      m_termeCarenceDiffereConstitutionDelais = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 31: 
      m_sjcrpConstitutionSjc = ((Sjc)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 32: 
      m_article3ConstitutionQuantiteAffiliation = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 33: 
      m_dureeInitialeConstitutionQuantiteAffiliation = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 34: 
      m_quantiteAffiliationAcquiseConstitutionQuantiteAffiliation = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 35: 
      m_quantiteAssimilationAcquiseConstitutionQuantiteAffiliation = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 36: 
      m_periodePRAConstitutionQuantiteAffiliation = ((Periode)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 37: 
      m_nomReglementConstitutionReglementApplicable = ((String)jdoStateManager.replacingStringField(this, fieldNumber));
      break;
    case 38: 
      m_codeProduitConstitutionReglementApplicable = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 39: 
      m_dateAttributionConstitutionDateAttribution = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 40: 
      m_pjiConstitutionPointDepartIndemnisation = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 41: 
      m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 42: 
      m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 43: 
      m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier = ((Periode)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 44: 
      m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier = ((Periode)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 45: 
      m_activite3Sur5ConstitutionCaractereSaisonnier = jdoStateManager.replacingBooleanField(this, fieldNumber);
      break;
    case 46: 
      m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 47: 
      m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 48: 
      m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 49: 
      m_montantRetenuConstitutionProduitResultant = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 50: 
      m_capitalRetenuConstitutionProduitResultant = jdoStateManager.replacingIntField(this, fieldNumber);
      break;
    case 51: 
      m_montantDroitPrecedentConstitutionProduitResultant = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 52: 
      m_capitalDroitPrecedentConstitutionProduitResultant = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 53: 
      m_dureeDroitPrecedentConstitutionProduitResultant = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 54: 
      m_capitalMaxConstitutionProduitResultant = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 55: 
      m_dureeTheoriqueConstitutionProduitResultant = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 56: 
      m_dureeImputationConstitutionProduitResultant = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 57: 
      m_dureeEffectiveConstitutionProduitResultant = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 58: 
      m_sjrrpProduitPrecedentConstitutionProduitResultant = ((Sjr)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 59: 
      m_crcConstitutionConstitutionProduitResultant = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 60: 
      m_montantJournalierBrutConstitutionProduitResultant = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 61: 
      m_capitalInitialBrutConstitutionProduitResultant = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 62: 
      m_montantMiniConstitutionProduitResultant = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 63: 
      m_montantPlancherConstitutionProduitResultant = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 64: 
      m_montantPlafondConstitutionProduitResultant = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 65: 
      m_montantBaseConstitutionProduitResultant = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 66: 
      m_pensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 67: 
      m_montantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 68: 
      m_montantJournalierAvantageVieillesseConstitutionProduitResultant = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 69: 
      m_montantJournalierAvantageVieillesseDeduitConstitutionProduitResultant = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 70: 
      m_montantJournalierBrutConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 71: 
      m_capitalInitialBrutConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 72: 
      m_montantMiniConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 73: 
      m_montantPlancherConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 74: 
      m_montantPlafondConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 75: 
      m_montantBaseConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 76: 
      m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 77: 
      m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 78: 
      m_montantJournalierAvantageVieillesseConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 79: 
      m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 80: 
      m_crcConstitutionMontantsBruts = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 81: 
      m_dureeTheoriqueConstitutionDurees = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 82: 
      m_dureeImputationConstitutionDurees = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 83: 
      m_dureeEffectiveConstitutionDurees = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 84: 
      m_salaireReferenceNonPlafonneConstitutionSjr = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 85: 
      m_totalPrimesExceptionnellesRetenuesConstitutionSjr = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 86: 
      m_totalPrimesNormalesRetenuesConstitutionSjr = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 87: 
      m_totalSalairesRetenusConstitutionSjr = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 88: 
      m_prcConstitutionSjr = ((PrcPC)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 89: 
      m_plafondSjrConstitutionSjr = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 90: 
      m_sjrInitialConstitutionSjr = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 91: 
      m_dateEvenementConstitutionSjr = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 92: 
      m_plafondConstitutionSjc = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 93: 
      m_sjcInitialConstitutionSjc = ((QuantiteEuro)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 94: 
      m_dateEvenementConstitutionSjc = ((Damj)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 95: 
      m_quantiteJourImputationForceConstitutionDurees = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 96: 
      m_quantiteTotalJourImputationConstitutionDurees = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 97: 
      m_sommeMontantRevisionConstitutionSjr = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 98: 
      m_dureePostPrimeCspConstitutionDurees = ((Quantite)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 99: 
      m_sjrMontantMaxAspConstitutionMontantsBruts = ((BigDecimal)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 100: 
      m_dureeImputationPostPrime = ((Integer)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 101: 
      m_collectionEnsembleCarencesConstitutionDelais = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 102: 
      m_listeDelaisReportsConstitutionDelais = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 103: 
      m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    case 104: 
      m_listeSjrActiviteConserveeConstitutionSjc = ((Collection)jdoStateManager.replacingObjectField(this, fieldNumber));
      break;
    default: 
      throw new JDOFatalInternalException("index of field is out of bound");
    }
  }
  
  public void jdoProvideFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoProvideField(fieldNumber);
    }
  }
  
  public void jdoReplaceFields(int[] fieldNumbers)
  {
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int fieldNumber = fieldNumbers[i];
      jdoReplaceField(fieldNumber);
    }
  }
  
  public synchronized void jdoReplaceStateManager(StateManager sm)
  {
    if (jdoStateManager != null)
    {
      jdoStateManager = jdoStateManager.replacingStateManager(this, sm);
    }
    else
    {
      SecurityManager securityManager = System.getSecurityManager();
      if (securityManager != null) {
        securityManager.checkPermission(JDOPermission.SET_STATE_MANAGER);
      }
      jdoStateManager = sm;
    }
  }
  
  public boolean jdoIsPersistent()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isPersistent(this);
    }
    return false;
  }
  
  public boolean jdoIsTransactional()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isTransactional(this);
    }
    return false;
  }
  
  public boolean jdoIsNew()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isNew(this);
    }
    return false;
  }
  
  public boolean jdoIsDirty()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDirty(this);
    }
    return false;
  }
  
  public boolean jdoIsDeleted()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.isDeleted(this);
    }
    return false;
  }
  
  public void jdoMakeDirty(String fieldName)
  {
    if (jdoStateManager != null) {
      jdoStateManager.makeDirty(this, fieldName);
    }
  }
  
  public void jdoReplaceFlags()
  {
    if (jdoStateManager != null)
    {
      jdoFlags = jdoStateManager.replacingFlags(this);
      return;
      jdoFlags = 0;
    }
  }
  
  public boolean jdoIsDetached()
  {
    if (jdoStateManager != null) {
      return ((CommonStateManager)jdoStateManager).isDetached();
    }
    return false;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm)
  {
    ConstitutionElementsAdmissionPC pc = new ConstitutionElementsAdmissionPC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    return pc;
  }
  
  public PersistenceCapable jdoNewInstance(StateManager sm, Object oid)
  {
    ConstitutionElementsAdmissionPC pc = new ConstitutionElementsAdmissionPC();
    jdoStateManager = sm;
    jdoFlags = PersistenceCapable.LOAD_REQUIRED;
    pc.jdoCopyKeyFieldsFromObjectId(oid);
    return pc;
  }
  
  public static int jdoGetManagedFieldCount()
  {
    return jdoInheritedFieldCount + 105;
  }
  
  public void jdoCopyFields(Object pc, int[] fieldNumbers)
  {
    if (!(pc instanceof ConstitutionElementsAdmissionPC)) {
      throw new JDOFatalInternalException("Can't copy fields from a different class");
    }
    ConstitutionElementsAdmissionPC other = (ConstitutionElementsAdmissionPC)pc;
    if (jdoStateManager != jdoStateManager) {
      throw new JDOUserException("Source object should have the same StateManager");
    }
    for (int i = 0; i < fieldNumbers.length; i++)
    {
      int relativeField = fieldNumbers[i] - jdoInheritedFieldCount;
      switch (relativeField)
      {
      case 0: 
        m_presenceDonneesConstitutionDateAttribution = m_presenceDonneesConstitutionDateAttribution;
        break;
      case 1: 
        m_presenceDonneesConstitutionDelais = m_presenceDonneesConstitutionDelais;
        break;
      case 2: 
        m_presenceDonneesConstitutionQuantiteAffiliation = m_presenceDonneesConstitutionQuantiteAffiliation;
        break;
      case 3: 
        m_presenceDonneesConstitutionReglementApplicable = m_presenceDonneesConstitutionReglementApplicable;
        break;
      case 4: 
        m_presenceDonneesConstitutionSjc = m_presenceDonneesConstitutionSjc;
        break;
      case 5: 
        m_presenceDonneesConstitutionSjr = m_presenceDonneesConstitutionSjr;
        break;
      case 6: 
        m_presenceDonneesConstitutionDurees = m_presenceDonneesConstitutionDurees;
        break;
      case 7: 
        m_presenceDonneesConstitutionCaractereSaisonnier = m_presenceDonneesConstitutionCaractereSaisonnier;
        break;
      case 8: 
        m_presenceDonneesConstitutionCoefficientSaisonnier = m_presenceDonneesConstitutionCoefficientSaisonnier;
        break;
      case 9: 
        m_presenceDonneesConstitutionMontantsBruts = m_presenceDonneesConstitutionMontantsBruts;
        break;
      case 10: 
        m_presenceDonneesConstitutionCoefficientTempsPartiel = m_presenceDonneesConstitutionCoefficientTempsPartiel;
        break;
      case 11: 
        m_presenceDonneesConstitutionPointDepartIndemnisation = m_presenceDonneesConstitutionPointDepartIndemnisation;
        break;
      case 12: 
        m_presenceDonneesConstitutionProduitResultant = m_presenceDonneesConstitutionProduitResultant;
        break;
      case 13: 
        m_presenceDonneesConstitutionDureesConstitutionProduitResultant = m_presenceDonneesConstitutionDureesConstitutionProduitResultant;
        break;
      case 14: 
        m_presenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant = m_presenceDonneesConstitutionMontantsBrutsConstitutionProduitResultant;
        break;
      case 15: 
        m_sjrrpConstitutionSjr = m_sjrrpConstitutionSjr;
        break;
      case 16: 
        m_codeEmploiA2b = m_codeEmploiA2b;
        break;
      case 17: 
        m_periodeReference91joursConstitutionDelais = m_periodeReference91joursConstitutionDelais;
        break;
      case 18: 
        m_typePmcConstitutionDelais = m_typePmcConstitutionDelais;
        break;
      case 19: 
        m_nbJoursPMCConstitutionDelais = m_nbJoursPMCConstitutionDelais;
        break;
      case 20: 
        m_debutPMCConstitutionDelais = m_debutPMCConstitutionDelais;
        break;
      case 21: 
        m_termePMCConstitutionDelais = m_termePMCConstitutionDelais;
        break;
      case 22: 
        m_nbJoursCarenceICCPConstitutionDelais = m_nbJoursCarenceICCPConstitutionDelais;
        break;
      case 23: 
        m_debutCarenceICCPConstitutionDelais = m_debutCarenceICCPConstitutionDelais;
        break;
      case 24: 
        m_termeCarenceICCPConstitutionDelais = m_termeCarenceICCPConstitutionDelais;
        break;
      case 25: 
        m_nbJoursCarenceISLRConstitutionDelais = m_nbJoursCarenceISLRConstitutionDelais;
        break;
      case 26: 
        m_debutCarenceISLRConstitutionDelais = m_debutCarenceISLRConstitutionDelais;
        break;
      case 27: 
        m_termeCarenceISLRConstitutionDelais = m_termeCarenceISLRConstitutionDelais;
        break;
      case 28: 
        m_nbJoursCarenceDiffereConstitutionDelais = m_nbJoursCarenceDiffereConstitutionDelais;
        break;
      case 29: 
        m_debutCarenceDiffereConstitutionDelais = m_debutCarenceDiffereConstitutionDelais;
        break;
      case 30: 
        m_termeCarenceDiffereConstitutionDelais = m_termeCarenceDiffereConstitutionDelais;
        break;
      case 31: 
        m_sjcrpConstitutionSjc = m_sjcrpConstitutionSjc;
        break;
      case 32: 
        m_article3ConstitutionQuantiteAffiliation = m_article3ConstitutionQuantiteAffiliation;
        break;
      case 33: 
        m_dureeInitialeConstitutionQuantiteAffiliation = m_dureeInitialeConstitutionQuantiteAffiliation;
        break;
      case 34: 
        m_quantiteAffiliationAcquiseConstitutionQuantiteAffiliation = m_quantiteAffiliationAcquiseConstitutionQuantiteAffiliation;
        break;
      case 35: 
        m_quantiteAssimilationAcquiseConstitutionQuantiteAffiliation = m_quantiteAssimilationAcquiseConstitutionQuantiteAffiliation;
        break;
      case 36: 
        m_periodePRAConstitutionQuantiteAffiliation = m_periodePRAConstitutionQuantiteAffiliation;
        break;
      case 37: 
        m_nomReglementConstitutionReglementApplicable = m_nomReglementConstitutionReglementApplicable;
        break;
      case 38: 
        m_codeProduitConstitutionReglementApplicable = m_codeProduitConstitutionReglementApplicable;
        break;
      case 39: 
        m_dateAttributionConstitutionDateAttribution = m_dateAttributionConstitutionDateAttribution;
        break;
      case 40: 
        m_pjiConstitutionPointDepartIndemnisation = m_pjiConstitutionPointDepartIndemnisation;
        break;
      case 41: 
        m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier = m_caractereSaisonnierRetenuConstitutionCaractereSaisonnier;
        break;
      case 42: 
        m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier = m_typeCaractereSaisonnierRetenuConstitutionCaractereSaisonnier;
        break;
      case 43: 
        m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier = m_periodeReferenceSaisonnierConstitutionCaractereSaisonnier;
        break;
      case 44: 
        m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier = m_periodeRechercheActiviteSaisonniereConstitutionCaractereSaisonnier;
        break;
      case 45: 
        m_activite3Sur5ConstitutionCaractereSaisonnier = m_activite3Sur5ConstitutionCaractereSaisonnier;
        break;
      case 46: 
        m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier = m_coefficientSaisonnierRetenuConstitutionCoefficientSaissonier;
        break;
      case 47: 
        m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier = m_jourActiviteDouzeDerniersMoisConstitutionCoefficientSaissonier;
        break;
      case 48: 
        m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel = m_coefficientTempsPartielRetenuConstitutionCoefficientTempsPartiel;
        break;
      case 49: 
        m_montantRetenuConstitutionProduitResultant = m_montantRetenuConstitutionProduitResultant;
        break;
      case 50: 
        m_capitalRetenuConstitutionProduitResultant = m_capitalRetenuConstitutionProduitResultant;
        break;
      case 51: 
        m_montantDroitPrecedentConstitutionProduitResultant = m_montantDroitPrecedentConstitutionProduitResultant;
        break;
      case 52: 
        m_capitalDroitPrecedentConstitutionProduitResultant = m_capitalDroitPrecedentConstitutionProduitResultant;
        break;
      case 53: 
        m_dureeDroitPrecedentConstitutionProduitResultant = m_dureeDroitPrecedentConstitutionProduitResultant;
        break;
      case 54: 
        m_capitalMaxConstitutionProduitResultant = m_capitalMaxConstitutionProduitResultant;
        break;
      case 55: 
        m_dureeTheoriqueConstitutionProduitResultant = m_dureeTheoriqueConstitutionProduitResultant;
        break;
      case 56: 
        m_dureeImputationConstitutionProduitResultant = m_dureeImputationConstitutionProduitResultant;
        break;
      case 57: 
        m_dureeEffectiveConstitutionProduitResultant = m_dureeEffectiveConstitutionProduitResultant;
        break;
      case 58: 
        m_sjrrpProduitPrecedentConstitutionProduitResultant = m_sjrrpProduitPrecedentConstitutionProduitResultant;
        break;
      case 59: 
        m_crcConstitutionConstitutionProduitResultant = m_crcConstitutionConstitutionProduitResultant;
        break;
      case 60: 
        m_montantJournalierBrutConstitutionProduitResultant = m_montantJournalierBrutConstitutionProduitResultant;
        break;
      case 61: 
        m_capitalInitialBrutConstitutionProduitResultant = m_capitalInitialBrutConstitutionProduitResultant;
        break;
      case 62: 
        m_montantMiniConstitutionProduitResultant = m_montantMiniConstitutionProduitResultant;
        break;
      case 63: 
        m_montantPlancherConstitutionProduitResultant = m_montantPlancherConstitutionProduitResultant;
        break;
      case 64: 
        m_montantPlafondConstitutionProduitResultant = m_montantPlafondConstitutionProduitResultant;
        break;
      case 65: 
        m_montantBaseConstitutionProduitResultant = m_montantBaseConstitutionProduitResultant;
        break;
      case 66: 
        m_pensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant = m_pensionInvaliditeADeduirePriseEnCompteConstitutionProduitResultant;
        break;
      case 67: 
        m_montantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant = m_montantBrutSansPensionInvaliditeADeduireConstitutionProduitResultant;
        break;
      case 68: 
        m_montantJournalierAvantageVieillesseConstitutionProduitResultant = m_montantJournalierAvantageVieillesseConstitutionProduitResultant;
        break;
      case 69: 
        m_montantJournalierAvantageVieillesseDeduitConstitutionProduitResultant = m_montantJournalierAvantageVieillesseDeduitConstitutionProduitResultant;
        break;
      case 70: 
        m_montantJournalierBrutConstitutionMontantsBruts = m_montantJournalierBrutConstitutionMontantsBruts;
        break;
      case 71: 
        m_capitalInitialBrutConstitutionMontantsBruts = m_capitalInitialBrutConstitutionMontantsBruts;
        break;
      case 72: 
        m_montantMiniConstitutionMontantsBruts = m_montantMiniConstitutionMontantsBruts;
        break;
      case 73: 
        m_montantPlancherConstitutionMontantsBruts = m_montantPlancherConstitutionMontantsBruts;
        break;
      case 74: 
        m_montantPlafondConstitutionMontantsBruts = m_montantPlafondConstitutionMontantsBruts;
        break;
      case 75: 
        m_montantBaseConstitutionMontantsBruts = m_montantBaseConstitutionMontantsBruts;
        break;
      case 76: 
        m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts = m_pensionInvaliditeADeduirePriseEnCompteConstitutionMontantsBruts;
        break;
      case 77: 
        m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts = m_montantBrutSansPensionInvaliditeADeduireConstitutionMontantsBruts;
        break;
      case 78: 
        m_montantJournalierAvantageVieillesseConstitutionMontantsBruts = m_montantJournalierAvantageVieillesseConstitutionMontantsBruts;
        break;
      case 79: 
        m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts = m_montantJournalierAvantageVieillesseDeduitConstitutionMontantsBruts;
        break;
      case 80: 
        m_crcConstitutionMontantsBruts = m_crcConstitutionMontantsBruts;
        break;
      case 81: 
        m_dureeTheoriqueConstitutionDurees = m_dureeTheoriqueConstitutionDurees;
        break;
      case 82: 
        m_dureeImputationConstitutionDurees = m_dureeImputationConstitutionDurees;
        break;
      case 83: 
        m_dureeEffectiveConstitutionDurees = m_dureeEffectiveConstitutionDurees;
        break;
      case 84: 
        m_salaireReferenceNonPlafonneConstitutionSjr = m_salaireReferenceNonPlafonneConstitutionSjr;
        break;
      case 85: 
        m_totalPrimesExceptionnellesRetenuesConstitutionSjr = m_totalPrimesExceptionnellesRetenuesConstitutionSjr;
        break;
      case 86: 
        m_totalPrimesNormalesRetenuesConstitutionSjr = m_totalPrimesNormalesRetenuesConstitutionSjr;
        break;
      case 87: 
        m_totalSalairesRetenusConstitutionSjr = m_totalSalairesRetenusConstitutionSjr;
        break;
      case 88: 
        m_prcConstitutionSjr = m_prcConstitutionSjr;
        break;
      case 89: 
        m_plafondSjrConstitutionSjr = m_plafondSjrConstitutionSjr;
        break;
      case 90: 
        m_sjrInitialConstitutionSjr = m_sjrInitialConstitutionSjr;
        break;
      case 91: 
        m_dateEvenementConstitutionSjr = m_dateEvenementConstitutionSjr;
        break;
      case 92: 
        m_plafondConstitutionSjc = m_plafondConstitutionSjc;
        break;
      case 93: 
        m_sjcInitialConstitutionSjc = m_sjcInitialConstitutionSjc;
        break;
      case 94: 
        m_dateEvenementConstitutionSjc = m_dateEvenementConstitutionSjc;
        break;
      case 95: 
        m_quantiteJourImputationForceConstitutionDurees = m_quantiteJourImputationForceConstitutionDurees;
        break;
      case 96: 
        m_quantiteTotalJourImputationConstitutionDurees = m_quantiteTotalJourImputationConstitutionDurees;
        break;
      case 97: 
        m_sommeMontantRevisionConstitutionSjr = m_sommeMontantRevisionConstitutionSjr;
        break;
      case 98: 
        m_dureePostPrimeCspConstitutionDurees = m_dureePostPrimeCspConstitutionDurees;
        break;
      case 99: 
        m_sjrMontantMaxAspConstitutionMontantsBruts = m_sjrMontantMaxAspConstitutionMontantsBruts;
        break;
      case 100: 
        m_dureeImputationPostPrime = m_dureeImputationPostPrime;
        break;
      case 101: 
        m_collectionEnsembleCarencesConstitutionDelais = m_collectionEnsembleCarencesConstitutionDelais;
        break;
      case 102: 
        m_listeDelaisReportsConstitutionDelais = m_listeDelaisReportsConstitutionDelais;
        break;
      case 103: 
        m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier = m_listePeriodesChomageSaisonnierConstitutionCaractereSaisonnier;
        break;
      case 104: 
        m_listeSjrActiviteConserveeConstitutionSjc = m_listeSjrActiviteConserveeConstitutionSjc;
      }
    }
  }
  
  public void jdoCopyKeyFieldsToObjectId(Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public void jdoCopyKeyFieldsToObjectId(PersistenceCapable.ObjectIdFieldSupplier supplier, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  protected void jdoCopyKeyFieldsFromObjectId(Object object) {}
  
  public void jdoCopyKeyFieldsFromObjectId(PersistenceCapable.ObjectIdFieldConsumer consumer, Object object)
  {
    throw new JDOUnsupportedOptionException("Can't be used without Application Identity");
  }
  
  public Object jdoNewObjectIdInstance()
  {
    return null;
  }
  
  public Object jdoNewObjectIdInstance(Object str)
  {
    return null;
  }
  
  public Object jdoGetObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getObjectId(this);
    }
    return null;
  }
  
  public PersistenceManager jdoGetPersistenceManager()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getPersistenceManager(this);
    }
    return null;
  }
  
  private void jdoPreSerialize()
  {
    if (jdoStateManager != null) {
      jdoStateManager.preSerialize(this);
    }
  }
  
  private void writeObject(ObjectOutputStream out)
    throws IOException
  {
    jdoPreSerialize();
    out.defaultWriteObject();
  }
  
  public Object jdoGetTransactionalObjectId()
  {
    if (jdoStateManager != null) {
      return jdoStateManager.getTransactionalObjectId(this);
    }
    return null;
  }
}

/* Location:
 * Qualified Name:     ConstitutionElementsAdmissionPC
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */