package fr.unedic.cali.asu.cge01.p03.liquidation.fabriques;

import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.strategies.StrategieCalculCoeffSaisonnierApresMEP08SI2;
import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.strategies.StrategieCalculCoeffSaisonnierAvantMEP08SI2;
import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.strategies.StrategieCalculCoeffSaisonnierSpec;
import fr.unedic.cali.fabriques.FabriqueStrategieSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieCalculCoeffSaisonnier
  implements FabriqueStrategieSpec
{
  public static final Damj DATE_MEP_08SI2 = new Damj(2008, 6, 20);
  
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
  {
    StrategieCalculCoeffSaisonnierSpec strategie = null;
    
    Damj dateExamen = p_critereStrategie.getDatePivot();
    if (dateExamen == null) {
      throw new UnsupportedOperationException("FabriqueStrategieCalculCoeffSaisonnier : la date pivot calcul coefficient saisonnier est null.");
    }
    if (dateExamen.estApres(DATE_MEP_08SI2)) {
      strategie = new StrategieCalculCoeffSaisonnierApresMEP08SI2();
    } else {
      strategie = new StrategieCalculCoeffSaisonnierAvantMEP08SI2();
    }
    return strategie;
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieCalculCoeffSaisonnier
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */