package fr.unedic.cali.asu.cge01.p03.liquidation.fabriques;

import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.strategies.StrategieFaitGenerateurDelaiValiditeApresMEP08SI1;
import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.strategies.StrategieFaitGenerateurDelaiValiditeAvantMEP08SI1;
import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.strategies.StrategieFaitGenerateurDelaiValiditeSpec;
import fr.unedic.cali.fabriques.FabriqueStrategieSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieFaitGenerateurDelaiValidite
  implements FabriqueStrategieSpec
{
  public static final Damj DATE_PIVOT_MEP_CORRECTIF_FGD_DELAI_VALIDITE = new Damj(2008, 3, 7);
  private static FabriqueStrategieFaitGenerateurDelaiValidite s_instance = new FabriqueStrategieFaitGenerateurDelaiValidite();
  
  public static FabriqueStrategieFaitGenerateurDelaiValidite getInstance()
  {
    return s_instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
  {
    StrategieFaitGenerateurDelaiValiditeSpec strategie = null;
    
    Damj datePivotFgdDelaiValidite = p_critereStrategie.getDatePivot();
    if (datePivotFgdDelaiValidite == null) {
      throw new UnsupportedOperationException("FabriqueStrategieFaitGenerateurDelaiValidite : la date pivot est null.");
    }
    if (datePivotFgdDelaiValidite.estApresOuCoincideAvec(DATE_PIVOT_MEP_CORRECTIF_FGD_DELAI_VALIDITE)) {
      strategie = new StrategieFaitGenerateurDelaiValiditeApresMEP08SI1();
    } else {
      strategie = new StrategieFaitGenerateurDelaiValiditeAvantMEP08SI1();
    }
    return strategie;
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieFaitGenerateurDelaiValidite
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */