package fr.unedic.cali.asu.cge01.p03.liquidation.fabriques;

import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.strategies.StrategiePriseEnCompteIccpApres;
import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.strategies.StrategiePriseEnCompteIccpAvant;
import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.strategies.StrategiePriseEnCompteIccpSpec;
import fr.unedic.cali.fabriques.FabriqueStrategieSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategiePriseEnCompteIccp
  implements FabriqueStrategieSpec
{
  public static final Damj DATE_APPLICATION = new Damj(2009, 7, 1);
  private static FabriqueStrategiePriseEnCompteIccp s_instance = new FabriqueStrategiePriseEnCompteIccp();
  
  public static FabriqueStrategiePriseEnCompteIccp getInstance()
  {
    return s_instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
  {
    StrategiePriseEnCompteIccpSpec strategie = null;
    
    Damj datePivotPriseEnCompteIccp = p_critereStrategie.getDatePivot();
    if (datePivotPriseEnCompteIccp == null) {
      throw new UnsupportedOperationException("FabriqueStrategiePriseEnCompteIccp : la date pivot est null.");
    }
    if (datePivotPriseEnCompteIccp.estApresOuCoincideAvec(DATE_APPLICATION)) {
      strategie = new StrategiePriseEnCompteIccpApres();
    } else {
      strategie = new StrategiePriseEnCompteIccpAvant();
    }
    return strategie;
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategiePriseEnCompteIccp
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */