package fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionMontantRevise;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionsAttributionRevision;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConstitutionMontantsBruts;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.Revision;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.util.Mathematiques;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.OutilFonctionnel;
import java.math.BigDecimal;

public class RechercheConditionMontantRevise
  implements OutilFonctionnel
{
  public static ConditionMontantRevise rechercherConditionMontantRevise(Demande p_demande)
    throws CoucheLogiqueException
  {
    ConditionMontantRevise conditionMontantRevise = ((Revision)p_demande.getDossierExamen()).getConditionsAttributionRevision().createConditionMontantRevise();
    
    conditionMontantRevise.setEtatSatisfait(false);
    
    DossierExamen dossierExamen = (DossierExamen)p_demande.getDossierExamen();
    Quantite montantJournalierRevision = dossierExamen.getConstitutionMontantsBruts().getMontantJournalierBrut();
    BigDecimal valeurMontantJournalierRevision = null;
    BigDecimal valeurMontantJournalierAttribPrec = null;
    
    Quantite montantJournalierAttribPrec = ((Revision)p_demande.getDossierExamen()).getMontantAttributionPrecedente();
    if (montantJournalierRevision != null)
    {
      valeurMontantJournalierRevision = montantJournalierRevision.getValeur();
      valeurMontantJournalierRevision = Mathematiques.arrondiASup(valeurMontantJournalierRevision, 2);
      if (montantJournalierAttribPrec != null)
      {
        valeurMontantJournalierAttribPrec = montantJournalierAttribPrec.getValeur();
        valeurMontantJournalierAttribPrec = Mathematiques.arrondiASup(valeurMontantJournalierAttribPrec, 2);
      }
      else
      {
        conditionMontantRevise.setEtatSatisfait(false);
        conditionMontantRevise.setCodeMotifEchec(182);
      }
    }
    else
    {
      conditionMontantRevise.setEtatSatisfait(false);
      conditionMontantRevise.setCodeMotifEchec(182);
    }
    if (valeurMontantJournalierRevision.compareTo(valeurMontantJournalierAttribPrec) > 0) {
      conditionMontantRevise.setEtatSatisfait(true);
    }
    return conditionMontantRevise;
  }
}

/* Location:
 * Qualified Name:     RechercheConditionMontantRevise
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */