package fr.unedic.cali.asu.cge01.p03.liquidation.parcours;

import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.Attribution;
import fr.unedic.cali.asu.cge01.p03.liquidation.outilsfonctionnels.DeterminationMontantBrut;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.cali.parcours.ResultatDetailleNotificationProduit;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteException;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;

public class ConstitutionMontantsBruts
  extends ParcoursCali
  implements ParcoursAssurance
{
  public void controlerContexte(Contexte p_contexte)
    throws ContexteException
  {
    if (DomLiquidationAssurance.getDemande(p_contexte) == null) {
      throw new ContexteException("HG_PR_CALI_L_CONTEXTE_ABSENCE_DEMANDE_ASSURANCE", "La demande d'assurance courante est null");
    }
    if (DomLiquidationAssurance.getDemande(p_contexte).getAttribution() == null) {
      throw new ContexteException("HG_PR_CALI_L_ERR_CONTEXTE", "L'attribution courante est null pour la constitution des montants bruts.");
    }
  }
  
  public Resultat demarrer(Contexte p_contexte)
    throws CoucheLogiqueException
  {
    OutilTrace.tracerDebutParcours();
    
    ResultatDetailleNotificationProduit resultatMontantsBruts = new ResultatDetailleNotificationProduit();
    resultatMontantsBruts.setEtat(1);
    
    Attribution attributionCourante = (Attribution)getAttribution(p_contexte);
    
    DeterminationMontantBrut.getInstance().determinerMontantsBruts((Demande)attributionCourante.getDemande());
    
    resultatMontantsBruts.setEtat(0);
    
    OutilTrace.tracerFinParcours();
    return resultatMontantsBruts;
  }
  
  private AttributionSpec getAttribution(Contexte p_contexte)
  {
    return DomLiquidationAssurance.getDemande(p_contexte).getAttribution();
  }
}

/* Location:
 * Qualified Name:     ConstitutionMontantsBruts
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */