package fr.unedic.cali.asu.cge01.p03.liquidation.parcours;

import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionValiditeReliquat;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConditionsAttributionSpec;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.RechercheConditionValiditeReliquat;
import fr.unedic.cali.dom.ElementConditionValiditeReliquat;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.cali.parcours.ResultatExecutionCalculSpec;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteException;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;

public class DeterminationConditionValiditeReliquat
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte p_contexte)
    throws CoucheLogiqueException
  {
    OutilTrace.tracerDebutParcours();
    
    Demande demandeCourante = DomLiquidationAssurance.getDemande(p_contexte);
    
    ResultatExecutionCalculSpec resultatCalcul = ((DomLiquidationAssurance)p_contexte.getDonnees()).getResultatExecutionCalculDroitPrecedent();
    
    Resultat resultatCapa27 = new Resultat(1);
    
    ConditionValiditeReliquat conditionValiditeReliquat = ((DossierExamen)demandeCourante.getDossierExamen()).getConditionsAttributionActives().createConditionValiditeReliquat();
    
    ElementConditionValiditeReliquat elementConditionValiditeReliquat = RechercheConditionValiditeReliquat.getInstance().rechercherConditionValiditeReliquat(resultatCalcul, demandeCourante);
    
    conditionValiditeReliquat.setEtat(elementConditionValiditeReliquat.getEtat());
    conditionValiditeReliquat.setCauseExtinction(elementConditionValiditeReliquat.getCauseExtinction());
    conditionValiditeReliquat.setCodeMotifEchec(elementConditionValiditeReliquat.getCodeMotifEchec());
    conditionValiditeReliquat.setDateDecheance(elementConditionValiditeReliquat.getDateDecheance());
    conditionValiditeReliquat.setMotifNonValidite(elementConditionValiditeReliquat.getMotifNonValidite());
    if (conditionValiditeReliquat.estSatisfait())
    {
      resultatCapa27.setEtat(0);
    }
    else
    {
      resultatCapa27.setEtat(1);
      resultatCapa27.setMessageErreur(Integer.toString(conditionValiditeReliquat.getCodeMotifEchec()));
    }
    OutilTrace.tracerFinParcours();
    
    return resultatCapa27;
  }
  
  public void controlerContexte(Contexte p_contexte)
    throws ContexteException
  {
    if (DomLiquidationAssurance.getDemande(p_contexte) == null) {
      throw new ContexteException("HG_PR_CALI_L_CONTEXTE_ABSENCE_DEMANDE_ASSURANCE", "La demande d'assurance courante est null: determination condition age impossible.");
    }
    if (DomLiquidationAssurance.getDemande(p_contexte).getDemandeur() == null) {
      throw new ContexteException("HG_PR_CALI_L_ERR_CTX_ABS_DEMANDEUR", "Le demandeur est null: determination condition age impossible.");
    }
  }
}

/* Location:
 * Qualified Name:     DeterminationConditionValiditeReliquat
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */