package fr.unedic.cali.asu.cge01.p03.migration.recalcul;

import fr.unedic.cali.asu.cge01.p03.liquidation.dom.Attribution;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConstitutionDurees;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConstitutionMontantsBruts;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.ConstitutionProduitResultant;
import fr.unedic.cali.asu.cge01.p03.liquidation.dom.DureeIndemnisation;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.migration.RecalculerDonneesSpec;
import fr.unedic.util.Mathematiques;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.QuantiteJour;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;

public class RecalculerConstituantsProduitResultant
  implements RecalculerDonneesSpec
{
  public Collection recalculer(DemandeSpec p_demande)
  {
    Attribution attribution = (Attribution)p_demande.getDossierAffectation().getDossierExamen();
    
    BigDecimal capitalResultant = null;
    BigDecimal montantBrutResultant = null;
    BigDecimal dureeEffectiveResultant = null;
    if (attribution.getConstitutionProduitResultant().getCapitalRetenu() == 1) {
      capitalResultant = attribution.getConstitutionMontantsBruts().getCapitalInitialBrut().getValeur();
    } else {
      capitalResultant = attribution.getConstitutionProduitResultant().getCapitalDroitPrecedent().getValeur();
    }
    if (attribution.getConstitutionProduitResultant().getMontantRetenu() == 1) {
      montantBrutResultant = attribution.getConstitutionMontantsBruts().getMontantJournalierBrut().getValeur();
    } else {
      montantBrutResultant = attribution.getConstitutionProduitResultant().getMontantDroitPrecedent().getValeur();
    }
    dureeEffectiveResultant = Mathematiques.diviseASup(capitalResultant, montantBrutResultant, 0);
    
    attribution.getConstitutionProduitResultant().getConstitutionMontantsBruts().setCapitalInitialBrut(new QuantiteEuro(capitalResultant));
    attribution.getConstitutionProduitResultant().getConstitutionMontantsBruts().setMontantJournalierBrut(new QuantiteEuro(montantBrutResultant));
    attribution.getConstitutionProduitResultant().getConstitutionDurees().getDureeIndemnisation().setDureeTheorique(new QuantiteJour(dureeEffectiveResultant));
    attribution.getConstitutionProduitResultant().getConstitutionDurees().getDureeIndemnisation().setDureeEffective(new QuantiteJour(dureeEffectiveResultant));
    
    return new ArrayList();
  }
}

/* Location:
 * Qualified Name:     RecalculerConstituantsProduitResultant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */