package fr.unedic.cali.asu.cge01.p04.parametres;

import fr.unedic.cali.asu.produits.liquidation.parametres.CleAccesPRA;
import fr.unedic.util.temps.Periode;
import java.util.ArrayList;
import java.util.List;

public class ParametreLiquidationSimplifiee
{
  private static final int NOMBRE_JOURS_REQUIS_100 = 100;
  private static final int NOMBRE_JOURS_REQUIS_80 = 80;
  private static ParametreLiquidationSimplifiee s_instance;
  private List<fr.unedic.cali.asu.produits.liquidation.dom.ParametreLiquidationSimplifiee> m_listeParametre;
  
  public static ParametreLiquidationSimplifiee getInstance()
  {
    if (s_instance == null) {
      s_instance = new ParametreLiquidationSimplifiee();
    }
    return s_instance;
  }
  
  private void initInstance(Periode p_periode)
  {
    m_listeParametre = new ArrayList();
    
    fr.unedic.cali.asu.produits.liquidation.dom.ParametreLiquidationSimplifiee parametre = new fr.unedic.cali.asu.produits.liquidation.dom.ParametreLiquidationSimplifiee();
    CleAccesPRA cle = new CleAccesPRA("RG", new int[] { 2, 3 });
    parametre.setCleAcces(cle);
    parametre.setCodeAge(2);
    parametre.setPeriodeValidite(p_periode);
    parametre.setNombreJoursQuantiteAffiliation(100);
    parametre.setNombreMoisPRA(36);
    parametre.setReliquatValide(false);
    m_listeParametre.add(parametre);
    
    parametre = new fr.unedic.cali.asu.produits.liquidation.dom.ParametreLiquidationSimplifiee();
    cle = new CleAccesPRA("RG", new int[] { 3, 3 });
    parametre.setCleAcces(cle);
    parametre.setCodeAge(2);
    parametre.setPeriodeValidite(p_periode);
    parametre.setNombreJoursQuantiteAffiliation(100);
    parametre.setNombreMoisPRA(36);
    parametre.setReliquatValide(false);
    m_listeParametre.add(parametre);
    
    parametre = new fr.unedic.cali.asu.produits.liquidation.dom.ParametreLiquidationSimplifiee();
    cle = new CleAccesPRA("RG", new int[] { 1 });
    parametre.setCleAcces(cle);
    parametre.setCodeAge(-1);
    parametre.setPeriodeValidite(p_periode);
    parametre.setNombreJoursQuantiteAffiliation(100);
    parametre.setReliquatValide(false);
    parametre.setNombreMoisPRA(28);
    m_listeParametre.add(parametre);
    
    parametre = new fr.unedic.cali.asu.produits.liquidation.dom.ParametreLiquidationSimplifiee();
    cle = new CleAccesPRA("RG", new int[] { 2, 3 });
    parametre.setCleAcces(cle);
    parametre.setCodeAge(2);
    parametre.setPeriodeValidite(p_periode);
    parametre.setNombreJoursQuantiteAffiliation(80);
    parametre.setNombreMoisPRA(36);
    parametre.setReliquatValide(true);
    m_listeParametre.add(parametre);
    
    parametre = new fr.unedic.cali.asu.produits.liquidation.dom.ParametreLiquidationSimplifiee();
    cle = new CleAccesPRA("RG", new int[] { 3, 3 });
    parametre.setCleAcces(cle);
    parametre.setCodeAge(2);
    parametre.setPeriodeValidite(p_periode);
    parametre.setNombreJoursQuantiteAffiliation(80);
    parametre.setNombreMoisPRA(36);
    parametre.setReliquatValide(true);
    m_listeParametre.add(parametre);
    
    parametre = new fr.unedic.cali.asu.produits.liquidation.dom.ParametreLiquidationSimplifiee();
    cle = new CleAccesPRA("RG", new int[] { 1 });
    parametre.setCleAcces(cle);
    parametre.setCodeAge(-1);
    parametre.setPeriodeValidite(p_periode);
    parametre.setNombreJoursQuantiteAffiliation(80);
    parametre.setReliquatValide(true);
    parametre.setNombreMoisPRA(28);
    m_listeParametre.add(parametre);
  }
  
  public List<fr.unedic.cali.asu.produits.liquidation.dom.ParametreLiquidationSimplifiee> getListeParametresLiquidationSimplifiee(Periode p_periode)
  {
    initInstance(p_periode);
    
    return m_listeParametre;
  }
}

/* Location:
 * Qualified Name:     ParametreLiquidationSimplifiee
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */