package fr.unedic.cali.asu.cge01.p05.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.cge01.liquidation.dom.ObjectifExamenNovation;
import fr.unedic.cali.asu.cge01.liquidation.dom.ObjectifExamenPoursuiteIndemnisation;
import fr.unedic.cali.asu.cge01.p05.liquidation.dom.ObjectifExamenAdmission;
import fr.unedic.cali.asu.cge01.p05.liquidation.dom.ObjectifExamenAdmissionFinAsr;
import fr.unedic.cali.asu.cge01.p05.liquidation.dom.ObjectifExamenReprise;
import fr.unedic.cali.asu.cge01.p05.liquidation.dom.ObjectifExamenRevision;
import fr.unedic.cali.asu.cge01.p05.liquidation.dom.ObjectifExamenRevisionAdmission;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.util.services.OutilFonctionnel;
import java.util.List;

public final class FabriqueObjectifExamen
  implements OutilFonctionnel
{
  public static ObjectifExamen creerObjectif(int sousType, List<ContexteDemandeSpec> contexteDemande)
  {
    ObjectifExamen objectif = null;
    int sousTypeModifie = sousType;
    switch (sousType)
    {
    case 10: 
    case 11: 
    case 12: 
    case 26: 
    case 44: 
      objectif = new ObjectifExamenAdmission(contexteDemande);
      break;
    case 13: 
    case 14: 
    case 15: 
    case 27: 
    case 34: 
    case 50: 
      objectif = new ObjectifExamenReprise(contexteDemande);
      break;
    case 30: 
      objectif = new ObjectifExamenRevision(contexteDemande);
      break;
    case 45: 
      objectif = new ObjectifExamenRevisionAdmission(contexteDemande);
      break;
    case 32: 
      objectif = new ObjectifExamenAdmissionFinAsr();
      
      sousTypeModifie = 10;
      break;
    case 40: 
      objectif = new ObjectifExamenAdmissionFinAsr();
      
      sousTypeModifie = 12;
      break;
    case 47: 
    case 48: 
      objectif = new ObjectifExamenNovation(contexteDemande);
      break;
    case 49: 
      objectif = new ObjectifExamenPoursuiteIndemnisation();
      break;
    case 16: 
    case 17: 
    case 18: 
    case 19: 
    case 20: 
    case 21: 
    case 22: 
    case 23: 
    case 24: 
    case 25: 
    case 28: 
    case 29: 
    case 31: 
    case 33: 
    case 35: 
    case 36: 
    case 37: 
    case 38: 
    case 39: 
    case 41: 
    case 42: 
    case 43: 
    case 46: 
    default: 
      throw new UnsupportedOperationException("FabriqueObjectifExamen : le sous-type " + sousType + " est inconnu.");
    }
    objectif.setSousType(sousTypeModifie);
    return objectif;
  }
}

/* Location:
 * Qualified Name:     FabriqueObjectifExamen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */