package fr.unedic.cali.asu.cge01.p07.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.CoucheLogiqueException;
import java.math.BigDecimal;

public class VerificationDonneesForcees
  extends fr.unedic.cali.asu.outilsfonctionnels.VerificationDonneesForcees
{
  private static VerificationDonneesForcees instance;
  
  public static fr.unedic.cali.asu.outilsfonctionnels.VerificationDonneesForcees getInstance()
  {
    if (instance == null) {
      instance = new VerificationDonneesForcees();
    }
    return instance;
  }
  
  protected void verifierDonneesForceesCasGeneral(Demande demande)
    throws CoucheLogiqueException
  {
    verirfierQuantiteAffiForceeEtConditionAffiForcee(demande);
    verifierDureeAllongement(demande);
    super.verifierDonneesForceesCasGeneral(demande);
  }
  
  private void verirfierQuantiteAffiForceeEtConditionAffiForcee(Demande demande)
    throws CoucheLogiqueException
  {
    DonneesTemporaires donneesTemporaires = demande.getDonneesTemporaires();
    Quantite quantiteAffiliationForcee = donneesTemporaires.getQuantiteAffiliation();
    Boolean conditionAffiliationSatisfaiteForcee = donneesTemporaires.isConditionAffiliationSatisfaiteForcee();
    if ((quantiteAffiliationForcee != null) && (conditionAffiliationSatisfaiteForcee == null)) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererException("ASU_DF_QUANTITE_AFFILIATION_NON_LEGITIME", 1);
    }
    if ((Boolean.TRUE.equals(conditionAffiliationSatisfaiteForcee)) && ((donneesTemporaires.getDiviseurSjrForce() == null) || (quantiteAffiliationForcee == null) || (donneesTemporaires.getPeriodeFctARetenir() == null))) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererException("ASU_PR_N_ERR_AFFI_OUI_DONNEES_NON_RENSEIGNES", 1);
    }
    if ((Boolean.FALSE.equals(conditionAffiliationSatisfaiteForcee)) && ((quantiteAffiliationForcee == null) || (donneesTemporaires.getPeriodeFctARetenir() == null))) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererException("ASU_PR_N_ERR_AFFI_NON_DONNEES_NON_RENSEIGNES", 1);
    }
  }
  
  private void verifierDureeAllongement(Demande demande)
    throws CoucheLogiqueException
  {
    if ((demande.getDonneesTemporaires().getDureeAllongementAREFForcee() != null) && (demande.getDonneesTemporaires().getDureeAllongementAREFForcee().compareTo(new BigDecimal(182)) > 0)) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererException("ASU_PR_N_ERR_DUREE_ALGT_SUP_182", 1);
    }
  }
}

/* Location:
 * Qualified Name:     VerificationDonneesForcees
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */