package fr.unedic.cali.asu.cge01.p07.liquidation.outilsfonctionnels.cep.sjr;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.OutilDeterminationSjr;
import fr.unedic.cali.asu.produits.liquidation.dom.conteneurs.DonneesResultatDeterminationSjr;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.dom.conteneurs.spec.DonneesEntreeDemandeDeterminationSjrSpec;
import fr.unedic.cali.dom.conteneurs.spec.DonneesEntreeDeterminationSjrSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import fr.unedic.util.UniteAffiliation;
import java.math.BigDecimal;

public class OutilDeterminationSjrConvention2017
  extends OutilDeterminationSjr
{
  private static final BigDecimal QUANTITE_REQUISE_DROIT_COMMUN = BigDecimal.valueOf(88L);
  private static final BigDecimal QUANTITE_REQUISE_RECHARGEMENT = BigDecimal.valueOf(22L);
  
  protected BigDecimal appliquerCoefficientDureeSjr(BigDecimal resultatSjri, DonneesEntreeDeterminationSjrSpec donneesEntree, DonneesResultatDeterminationSjr resultatDeterminationSjr)
  {
    BigDecimal coefficientDuree = BigDecimal.ONE;
    Quantite affiliation = donneesEntree.getDonneesEntreeDemande().getQuantiteAppartenanceJoursPrincipale();
    BigDecimal denominateur;
    BigDecimal denominateur;
    if (donneesEntree.getDonneesEntreeDemande().isEstDemandeDeRechargement()) {
      denominateur = QUANTITE_REQUISE_RECHARGEMENT;
    } else {
      denominateur = QUANTITE_REQUISE_DROIT_COMMUN;
    }
    if ((donneesEntree.getDonneesEntreeDemande().getReglementApplicable().estNomReglementIdentique("RG")) && (affiliation != null) && (affiliation.getUnite().getCode().equals(UniteAffiliation.JOUR_TRAVAILLE.getCode()))) {
      if (affiliation.getValeur().compareTo(denominateur.subtract(BigDecimal.ONE)) < 0)
      {
        BigDecimal coefficientDureeTemp = affiliation.getValeur().divide(denominateur, 2, 4);
        if (coefficientDureeTemp.compareTo(BigDecimal.ONE) < 0) {
          coefficientDuree = coefficientDureeTemp;
        }
      }
    }
    resultatDeterminationSjr.setPlancherCoefficientReducteur(denominateur);
    resultatDeterminationSjr.setSjrTheorique(resultatSjri);
    resultatDeterminationSjr.setCoefficientReducteurSjr(coefficientDuree);
    return resultatSjri.multiply(coefficientDuree).setScale(2, 4);
  }
}

/* Location:
 * Qualified Name:     OutilDeterminationSjrConvention2017
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */