package fr.unedic.cali.asu.cge01.p07.parametres;

import fr.unedic.cali.asu.produits.liquidation.dom.Pra;
import fr.unedic.cali.asu.produits.liquidation.parametres.CleAccesPRA;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Hashtable;
import java.util.Iterator;

public class ParametragePRAM
{
  public static final int PRA_3_MOIS = 3;
  private Collection<Pra> listePRA;
  private static ParametragePRAM instance;
  private static final int UN = 1;
  
  public ParametragePRAM()
  {
    initInstance();
  }
  
  public static ParametragePRAM getInstance()
  {
    if (instance == null) {
      instance = new ParametragePRAM();
    }
    return instance;
  }
  
  private void initInstance()
  {
    listePRA = new ArrayList();
    
    Pra pra = new Pra("RG", 3, 1, 1);
    positionnerQuantiteAffiliationRequise(pra, 22, "jour travaillés");
    positionnerQuantiteAffiliationRequise(pra, 151, "heure de travail");
    ajouterPRASurCollection(pra);
    
    pra = new Pra("RG5", 3, 1, 1);
    positionnerQuantiteAffiliationRequise(pra, 151, "heure de travail");
    ajouterPRASurCollection(pra);
    
    pra = new Pra("RGP", 3, 1, 1);
    positionnerQuantiteAffiliationRequise(pra, 22, "jour travaillés");
    positionnerQuantiteAffiliationRequise(pra, 151, "heure de travail");
    ajouterPRASurCollection(pra);
    
    pra = new Pra("OP", 3, 1, 1);
    positionnerQuantiteAffiliationRequise(pra, 22, "jour travaillés");
    positionnerQuantiteAffiliationRequise(pra, 139, "heure de travail");
    ajouterPRASurCollection(pra);
    
    pra = new Pra("A1", 3, 1, 1);
    positionnerQuantiteAffiliationRequise(pra, 22, "jour travaillés");
    ajouterPRASurCollection(pra);
    
    pra = new Pra("A2a", 3, 1, 1);
    positionnerQuantiteAffiliationRequise(pra, 30, "embarquement administratif");
    positionnerQuantiteAffiliationRequise(pra, 210, "heure de travail");
    ajouterPRASurCollection(pra);
    
    pra = new Pra("A2b", 3, 1, 1);
    positionnerQuantiteAffiliationRequise(pra, 30, "embarquement administratif");
    ajouterPRASurCollection(pra);
    
    pra = new Pra("A3", 3, 1, 1);
    positionnerQuantiteAffiliationRequise(pra, 45, "vacation");
    ajouterPRASurCollection(pra);
    
    pra = new Pra("A5", 3, 1, 1);
    positionnerQuantiteAffiliationRequise(pra, 151, "heure de travail");
    ajouterPRASurCollection(pra);
    
    pra = new Pra("A9A", 3, 1, 1);
    positionnerQuantiteAffiliationRequise(pra, 30, "jour d'affiliation");
    positionnerQuantiteAffiliationRequise(pra, 151, "heure de travail");
    ajouterPRASurCollection(pra);
    
    pra = new Pra("A9B", 3, 1, 1);
    positionnerQuantiteAffiliationRequise(pra, 22, "jour travaillés");
    ajouterPRASurCollection(pra);
  }
  
  public Pra getPram(CleAccesPRA cle)
  {
    Iterator<Pra> it = listePRA.iterator();
    while (it.hasNext())
    {
      Pra pra = (Pra)it.next();
      if (pra.estApplicable(cle)) {
        return (Pra)pra.copie();
      }
    }
    return null;
  }
  
  private void ajouterPRASurCollection(Pra pra)
  {
    listePRA.add(pra);
  }
  
  private void positionnerQuantiteAffiliationRequise(Pra pra, int pQuantite, String uniteAffiliation)
  {
    Unite unite = Unite.get(uniteAffiliation);
    Quantite quantite = new Quantite(pQuantite, unite);
    pra.getListeQuantitesAffiliationRequises().put(unite, quantite);
  }
}

/* Location:
 * Qualified Name:     ParametragePRAM
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */