package fr.unedic.cali.asu.cge01.p6b.calcul.pbjc;

import fr.unedic.cali.asu.cge01.calcul.pbjc.FacadePBJCLigneImpl;
import fr.unedic.cali.asu.cge01.calcul.pbjc.FacadePBJCLigneSansTrancheImpl;
import fr.unedic.cali.asu.outilsfonctionnels.OutilsTrancheCalcul;
import fr.unedic.cali.autresdoms.cohab.dom.spec.PeriodeSousPensionInvaliditeChaineeSpec;
import fr.unedic.cali.calcul.dom.QualificationPeriodes;
import fr.unedic.cali.calcul.dom.UniteTraitement;
import fr.unedic.cali.calcul.pbjc.dom.PbjcNcp;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoPeriode;

public class FacadePBJCProduitImpl
  extends FacadePBJCLigneImpl
{
  public void positionnerComplementJustification(PbjcNcp p_pbjcNcp, UniteTraitement p_ut, AttributionSpec p_attribution)
  {
    ChronologiePeriodes periodes = null;
    ObjetChronoPeriode objetChronoPeriode = null;
    
    periodes = p_ut.getQualificationPeriodes().getPeriodesSegmentantes();
    periodes.iterer();
    while (periodes.encoreSuivant())
    {
      objetChronoPeriode = (ObjetChronoPeriode)periodes.elementSuivant();
      if ((objetChronoPeriode.getDateDebut().coincideAvec(p_pbjcNcp.getDateDebut())) && 
        ((objetChronoPeriode instanceof PeriodeSousPensionInvaliditeChaineeSpec))) {
        p_pbjcNcp.ajouterComplementDeJustification("FR");
      }
    }
    super.positionnerComplementJustification(p_pbjcNcp, p_ut, p_attribution);
  }
  
  public void positionnerCategorieAttribution(PbjcNcp p_pbjcNcp, AttributionSpec p_attribution, UniteTraitement p_ut) {}
  
  public void positionnerJustificationOuverturePJI(PbjcNcp p_pbjcNcp, AttributionSpec p_attribution)
    throws CoucheLogiqueException
  {
    if (OutilsTrancheCalcul.estTrancheActive(p_attribution)) {
      super.positionnerJustificationOuverturePJI(p_pbjcNcp, p_attribution);
    } else {
      FacadePBJCLigneSansTrancheImpl.getInstance().positionnerJustificationOuverturePJI(p_pbjcNcp, p_attribution);
    }
  }
}

/* Location:
 * Qualified Name:     FacadePBJCProduitImpl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */