package fr.unedic.cali.asu.cge01.revision;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.cge01.revision.outilsfonctionnels.RechercheConditionChomageInvolontaire;
import fr.unedic.cali.asu.dom.ConditionChomageInvolontaireSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.ConditionChomageInvolontaire;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;

public class DeterminationConditionChomageInvolontaire
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte contexte)
    throws ApplicativeException
  {
    OutilTrace.tracerDebutParcours();
    
    Resultat resultatCEPA = new Resultat();
    
    Demande demande = DomLiquidationAssurance.getDemande(contexte);
    DossierAffectation dossierAffectation = (DossierAffectation)demande.getDossierAffectation();
    DossierExamen dossierExamen = (DossierExamen)dossierAffectation.getDossierExamen();
    
    ConditionChomageInvolontaire conditionChomageInvolontaire = dossierExamen.createConditionChomageInvolontaire();
    
    ConditionChomageInvolontaireSpec conditionDemandeSoujacente = RechercheConditionChomageInvolontaire.rechercheConditionChomageInvolontaire(demande);
    
    recopierDonnees(conditionDemandeSoujacente, conditionChomageInvolontaire);
    
    resultatCEPA.setEtat(conditionChomageInvolontaire.getEtat());
    
    OutilTrace.tracerFinParcours();
    
    return resultatCEPA;
  }
  
  private void recopierDonnees(ConditionChomageInvolontaireSpec conditionDemandeSoujacente, ConditionChomageInvolontaire conditionChomageInvolontaire)
  {
    conditionChomageInvolontaire.setIdentifiantActivitePortantDV(conditionDemandeSoujacente.getIdentifiantActivitePortantDV());
    conditionChomageInvolontaire.setCodeMotifEchec(conditionDemandeSoujacente.getCodeMotifEchec());
    conditionChomageInvolontaire.setEtatSatisfait(conditionDemandeSoujacente.estSatisfait());
  }
}

/* Location:
 * Qualified Name:     DeterminationConditionChomageInvolontaire
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */