package fr.unedic.cali.asu.cge01.revision;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.cge01.liquidation.parcours.ParcoursConstitutionSjrAbstrait;
import fr.unedic.cali.asu.cge01.revision.outilsfonctionnels.resultats.ResultatConstructionSjr;
import fr.unedic.cali.asu.cge01.revision.outilsfonctionnels.sjr.OutilReconstructionSjr;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionSjr;
import fr.unedic.cali.asu.produits.liquidation.dom.JustificationPrc;
import fr.unedic.cali.asu.produits.liquidation.dom.Prc;
import fr.unedic.cali.asu.produits.liquidation.dom.RevisionAdmission;
import fr.unedic.cali.asu.produits.liquidation.dom.Sjrip;
import fr.unedic.cali.dom.conteneurs.spec.DonneesEntreeDeterminationSjrSpec;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteException;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.Periode;

public class ParcoursConstitutionSjr
  extends ParcoursConstitutionSjrAbstrait
{
  public void controlerContexte(Contexte p_contexte)
    throws ContexteException
  {
    if (DomLiquidationAssurance.getDemande(p_contexte) == null) {
      throw new ContexteException("HG_PR_CALI_L_CONTEXTE_ABSENCE_DEMANDE_ASSURANCE", "La demande d'assurance courante est null: constitution du Sjr impossible.");
    }
    RevisionAdmission dossierExamenCourant = (RevisionAdmission)DomLiquidationAssurance.getDemande(p_contexte).getDossierExamen();
    if (dossierExamenCourant == null) {
      throw new ContexteException("HG_PR_CALI_L_ERR_CTX_ABS_OD", "Le dossier examen (révision) est null: constitution du Sjr impossible.");
    }
  }
  
  protected Sjrip determinerSjrip(Demande p_demande)
    throws ApplicativeException
  {
    ResultatConstructionSjr resultatConstructionSjr = OutilReconstructionSjr.construireSjr(p_demande);
    Sjrip sjrip = construireSjrip(resultatConstructionSjr.getDateEffet(), resultatConstructionSjr.getPlafondSjr(), resultatConstructionSjr.getSjri());
    return sjrip;
  }
  
  protected void alimenterCEPCodeEmploiA2B(ConstitutionSjr p_constitutionSjr, DonneesEntreeDeterminationSjrSpec p_donneesEntreeDeterminationSjr) {}
  
  protected Chronologie determinerChronoActivitePourConditionCoordEuropeenne(Prc p_prc, Chronologie p_chronoActiviteSalariePrc)
  {
    return null;
  }
  
  protected Chronologie determinerChronoActiviteSalariePrc(Demande p_demande, Periode p_periodePrc)
  {
    return null;
  }
  
  protected JustificationPrc determinerEtJustifierPeriodePrc(Demande p_demande)
    throws ApplicativeException
  {
    return null;
  }
  
  protected Sjrip verifierSjripForce(Demande p_demande, DonneesEntreeDeterminationSjrSpec p_donneesEntree)
    throws ApplicativeException
  {
    return null;
  }
}

/* Location:
 * Qualified Name:     ParcoursConstitutionSjr
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */