package fr.unedic.cali.asu.cge01.revision.outilsfonctionnels;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.ConstitutionMontantsBrutsSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.dom.DossierExamenAssuranceSpec;
import fr.unedic.cali.asu.dom.Reliquat;
import fr.unedic.cali.asu.outilsfonctionnels.OutilsRevisions;
import fr.unedic.util.Quantite;
import java.math.BigDecimal;
import java.util.Iterator;
import java.util.List;

public final class DeterminationMontantsBruts
{
  public static final BigDecimal MONTANT_0 = new BigDecimal("0");
  
  public static BigDecimal determinerMontantRevision(Demande pDemandeRevision)
    throws ApplicativeException
  {
    BigDecimal montantActiviteConservee = MONTANT_0;
    BigDecimal montantAc = determinerMontantActivitesConservees(pDemandeRevision);
    BigDecimal montantDroitRevise = pDemandeRevision.getReliquat().getMontantJournalierReliquat();
    montantActiviteConservee = montantAc.add(montantDroitRevise);
    return montantActiviteConservee;
  }
  
  public static BigDecimal determinerMontantActivitesConservees(Demande p_demandeRevision)
    throws ApplicativeException
  {
    List<DemandeAssuranceSpec> listeDemandeAssocieesAdmission = OutilsRevisions.getListeDemandesAssocieesAdmission(p_demandeRevision);
    
    Iterator<DemandeAssuranceSpec> iterateur = listeDemandeAssocieesAdmission.iterator();
    BigDecimal montantActiviteConservee = new BigDecimal("0");
    while (iterateur.hasNext())
    {
      DemandeAssuranceSpec demandeAssurance = (DemandeAssuranceSpec)iterateur.next();
      
      DossierExamenAssuranceSpec dossierExamenSousJacente = (DossierExamenAssuranceSpec)demandeAssurance.getDossierExamen();
      if (dossierExamenSousJacente.getConstitutionMontantsBruts() != null) {
        montantActiviteConservee = montantActiviteConservee.add(dossierExamenSousJacente.getConstitutionMontantsBruts().getMontantJournalierBrut().getValeur());
      }
    }
    return montantActiviteConservee;
  }
}

/* Location:
 * Qualified Name:     DeterminationMontantsBruts
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */