package fr.unedic.cali.asu.cge01.revision.outilsfonctionnels;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.ConditionQuantiteAffiliationSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.dom.DossierExamenAssuranceSpec;
import fr.unedic.cali.asu.outilsfonctionnels.OutilsRevisions;
import fr.unedic.util.services.OutilFonctionnel;
import java.util.Iterator;
import java.util.List;

public class RechercheConditionQuantiteAffiliation
  implements OutilFonctionnel
{
  public static ConditionQuantiteAffiliationSpec rechercheConditionQuantiteAffiliation(Demande p_demande)
    throws ApplicativeException
  {
    List<DemandeAssuranceSpec> listeDemandeAssociees = OutilsRevisions.getListeDemandesAssociees(p_demande);
    
    ConditionQuantiteAffiliationSpec premiereConditionSouJacente = null;
    Iterator<DemandeAssuranceSpec> iterateur = listeDemandeAssociees.iterator();
    while (iterateur.hasNext())
    {
      DemandeAssuranceSpec demandeAssurance = (DemandeAssuranceSpec)iterateur.next();
      
      DossierExamenAssuranceSpec dossierExamen = (DossierExamenAssuranceSpec)demandeAssurance.getDossierExamen();
      ConditionQuantiteAffiliationSpec conditionDemandeSouJacente = dossierExamen.getConditionQuantiteAffiliation();
      if (premiereConditionSouJacente == null) {
        premiereConditionSouJacente = conditionDemandeSouJacente;
      }
      if (conditionDemandeSouJacente.estSatisfait()) {
        return conditionDemandeSouJacente;
      }
    }
    return premiereConditionSouJacente;
  }
}

/* Location:
 * Qualified Name:     RechercheConditionQuantiteAffiliation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */