package fr.unedic.cali.asu.cge01.revision.outilsfonctionnels.sjr.formule.fabrique;

import fr.unedic.cali.asu.cge01.revision.outilsfonctionnels.sjr.DonneesEntreesOutilReconstructionSjr;
import fr.unedic.cali.asu.cge01.revision.outilsfonctionnels.sjr.formule.FormuleReconstitutionSjrDeuxiemeTranche;
import fr.unedic.cali.asu.cge01.revision.outilsfonctionnels.sjr.formule.FormuleReconstitutionSjrPremiereTranche;
import fr.unedic.cali.asu.cge01.revision.outilsfonctionnels.sjr.formule.FormuleReconstitutionSjrSpec;
import fr.unedic.cali.asu.cge01.revision.outilsfonctionnels.sjr.formule.FormuleReconstitutionSjrTroisiemeTranche;
import java.math.BigDecimal;

public enum FabriqueFormuleReconstitutionSjr
{
  SINGLETON;
  
  private FabriqueFormuleReconstitutionSjr() {}
  
  public static FabriqueFormuleReconstitutionSjr getInstance()
  {
    return SINGLETON;
  }
  
  public FormuleReconstitutionSjrSpec creerFormuleReconstitutionSjr(DonneesEntreesOutilReconstructionSjr pDonneesEntreeReconstructionSjr)
  {
    FormuleReconstitutionSjrSpec formuleARetourner = null;
    BigDecimal seuil1 = calculerSeuil1(pDonneesEntreeReconstructionSjr);
    BigDecimal seuil2 = pDonneesEntreeReconstructionSjr.getMiniAre();
    BigDecimal montant = pDonneesEntreeReconstructionSjr.getMontant();
    boolean estMontantSoumisAPrc = pDonneesEntreeReconstructionSjr.isEstMontantSoumisAParticipationRetraiteComplementaire();
    if (montantStrictementInferieurAuxSeuil(montant, seuil1)) {
      formuleARetourner = new FormuleReconstitutionSjrPremiereTranche();
    } else if ((montantStrictementInferieurAuxSeuil(montant, seuil2)) && (estMontantSoumisAPrc)) {
      formuleARetourner = new FormuleReconstitutionSjrDeuxiemeTranche();
    } else if (estMontantSoumisAPrc) {
      formuleARetourner = new FormuleReconstitutionSjrTroisiemeTranche();
    } else {
      formuleARetourner = new FormuleReconstitutionSjrDeuxiemeTranche();
    }
    return formuleARetourner;
  }
  
  private boolean montantStrictementInferieurAuxSeuil(BigDecimal pMontant, BigDecimal pSeuil)
  {
    return pMontant.compareTo(pSeuil) < 0;
  }
  
  private static BigDecimal calculerSeuil1(DonneesEntreesOutilReconstructionSjr pDonneesEntreeReconstructionSjr)
  {
    return pDonneesEntreeReconstructionSjr.getMiniAre().multiply(pDonneesEntreeReconstructionSjr.getCoefficientTp()).subtract(pDonneesEntreeReconstructionSjr.getMontantPi());
  }
}

/* Location:
 * Qualified Name:     FabriqueFormuleReconstitutionSjr
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */