package fr.unedic.cali.asu.csa06.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.csa06.parametres.AccesDureeDroit;
import fr.unedic.cali.asu.csa06.parametres.CleAccesDureeDroit;
import fr.unedic.cali.asu.csa06.parametres.ValeurDureeDroit;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionDurees;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.DureeIndemnisation;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.OutilFonctionnel;

public class DeterminationDureeReglementaire
  implements OutilFonctionnel
{
  public static DureeIndemnisation determinerDureeReglementaire(Demande p_demande)
  {
    DureeIndemnisation dureeReglementaire = null;
    
    int dureeTheoriqueDroitCourant = determinerDureeTheoriqueDroitCourant(p_demande);
    Quantite qteDureeTheorique = new Quantite(dureeTheoriqueDroitCourant, DureeIndemnisation.UNITE_DEFAUT);
    
    int dureeImputationDroitCourant = 0;
    Quantite qteDureeImputation = new Quantite(dureeImputationDroitCourant, DureeIndemnisation.UNITE_DEFAUT);
    
    ConstitutionDurees constitutionDurees = ((DossierExamen)p_demande.getDossierExamen()).getConstitutionElementsActifs().getConstitutionDurees();
    
    dureeReglementaire = FabriqueDureeIndemnisation.createDureeIndemnisation(constitutionDurees, dureeTheoriqueDroitCourant, dureeImputationDroitCourant);
    
    dureeReglementaire.setDureeEffective(qteDureeTheorique.moins(qteDureeImputation));
    
    return dureeReglementaire;
  }
  
  private static int determinerDureeTheoriqueDroitCourant(Demande p_demande)
  {
    int dureeTheorique = 0;
    
    CleAccesDureeDroit cleAccesDureeDroit = new CleAccesDureeDroit(p_demande.getDossierAffectation().getProduit().getNomUnique());
    
    AccesDureeDroit accesDureeDroit = new AccesDureeDroit();
    ValeurDureeDroit valeurDureeDroit = (ValeurDureeDroit)accesDureeDroit.getValeurs(cleAccesDureeDroit);
    if (valeurDureeDroit != null) {
      dureeTheorique = valeurDureeDroit.getDureeTheorique();
    }
    return dureeTheorique;
  }
}

/* Location:
 * Qualified Name:     DeterminationDureeReglementaire
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */