package fr.unedic.cali.asu.csa06.p02.liquidation.dom;

import fr.unedic.cali.asu.csa06.p02.liquidation.dom.gen.ObjectifExamenAdmissionGen;
import fr.unedic.cali.asu.csa06.p02.liquidation.parcours.ConstitutionCaractereSaisonnier;
import fr.unedic.cali.asu.csa06.p02.liquidation.parcours.ConstitutionDureeReglementaire;
import fr.unedic.cali.asu.csa06.p02.liquidation.parcours.ConstitutionQuantiteAffiliation;
import fr.unedic.cali.asu.csa06.p02.liquidation.parcours.ConstitutionReglementApplicable;
import fr.unedic.cali.asu.csa06.p02.liquidation.parcours.DeterminationConditionChomageInvolontaire;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.services.Parcours;
import java.util.List;

public class ObjectifExamenAdmission
  extends ObjectifExamenAdmissionGen
{
  public ObjectifExamenAdmission() {}
  
  public ObjectifExamenAdmission(List<ContexteDemandeSpec> p_contexteDemande)
  {
    m_contexteDemande = p_contexteDemande;
  }
  
  public ObjectifExamenAdmission(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ObjetMetierSpec copie()
  {
    ObjectifExamenAdmission copie = new ObjectifExamenAdmission();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
  
  public Parcours creerParcoursDureesReglementaires()
  {
    return new ConstitutionDureeReglementaire();
  }
  
  public Parcours creerParcoursProduitResultant()
  {
    return null;
  }
  
  public Parcours creerParcoursReglementApplicable()
  {
    return new ConstitutionReglementApplicable();
  }
  
  public Parcours creerParcoursQuantiteAffiliation()
  {
    return new ConstitutionQuantiteAffiliation();
  }
  
  public Parcours creerParcoursConditionChomageInvolontaire()
  {
    return new DeterminationConditionChomageInvolontaire();
  }
  
  public Parcours creerParcoursCaractereSaisonnier()
  {
    return new ConstitutionCaractereSaisonnier();
  }
  
  public void marquerGraphePersistant() {}
}

/* Location:
 * Qualified Name:     ObjectifExamenAdmission
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */