package fr.unedic.cali.asu.csa06.p02.parametres;

import fr.unedic.cali.asu.csa06.p02.parametres.spec.ParametresSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import fr.unedic.util.UniteAffiliation;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;
import java.util.Hashtable;

public class Parametres09Beta
  implements ParametresSpec
{
  private static final int DUREE_PRA_MOIS_DE_MOINS_50_ANS = 28;
  private static final int DUREE_PRA_MOIS_DE_50_ANS_ET_PLUS = 36;
  private static final int AGE_PIVOT_PRA = 50;
  private static final int QUANTITE_APPARTENANCE_REQUISE_HEURES = 610;
  private static final int QUANTITE_APPARTENANCE_REQUISE_JOURS = 122;
  private static final int QUANTITE_APPARTENANCE_REQUISE_SUITE_DV_HEURES = 455;
  private static final int QUANTITE_APPARTENANCE_REQUISE_SUITE_DV_JOURS = 91;
  private Demande m_demande;
  private int m_ageDE;
  
  public Parametres09Beta(DemandeSpec p_demande)
  {
    m_demande = ((Demande)p_demande);
    Damj dateRechercheAgeDE = ((DossierAffectation)m_demande.getDossierAffectation()).getSinistre().getDateFin();
    m_ageDE = m_demande.getDemandeur().getAgeALaDate(dateRechercheAgeDE).getAnnees();
  }
  
  public Quantite getQuantiteAffiliationRequise(Unite p_unite)
  {
    Quantite quantiteRequise;
    Quantite quantiteRequise;
    if (UniteAffiliation.JOUR.equals(p_unite)) {
      quantiteRequise = new Quantite(122, p_unite);
    } else {
      quantiteRequise = new Quantite(610, p_unite);
    }
    return quantiteRequise;
  }
  
  public Quantite getQuantiteAffiliationRequiseSuiteDV(Unite p_unite)
  {
    Quantite quantiteRequise;
    Quantite quantiteRequise;
    if (UniteAffiliation.JOUR.equals(p_unite)) {
      quantiteRequise = new Quantite(91, p_unite);
    } else {
      quantiteRequise = new Quantite(455, p_unite);
    }
    return quantiteRequise;
  }
  
  public Hashtable getListeQuantiteAssimilationMax()
  {
    Hashtable hashquantiteAssimilationMax = new Hashtable();
    return hashquantiteAssimilationMax;
  }
  
  public Quantite getDureePraEnMois()
  {
    if (m_ageDE < 50) {
      return new Quantite(28, Unite.get("mois"));
    }
    return new Quantite(36, Unite.get("mois"));
  }
}

/* Location:
 * Qualified Name:     Parametres09Beta
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */