package fr.unedic.cali.asu.csr04.p01.liquidation.dom;

import fr.unedic.cali.asu.csr04.p01.liquidation.dom.gen.ObjectifExamenRepriseGen;
import fr.unedic.cali.asu.csr04.p01.liquidation.parcours.ConstitutionDateAttributionPourReprise;
import fr.unedic.cali.asu.csr04.p01.liquidation.parcours.ConstitutionDelaiReportPourReprise;
import fr.unedic.cali.asu.csr04.p01.liquidation.parcours.ConstitutionDureeEffectiveReprise;
import fr.unedic.cali.parcours.ParcoursTraitementSatisfait;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.services.Parcours;

public class ObjectifExamenReprise
  extends ObjectifExamenRepriseGen
{
  private static final long serialVersionUID = 1L;
  
  public ObjectifExamenReprise() {}
  
  public ObjectifExamenReprise(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public Parcours creerParcoursDateAttribution()
  {
    return new ConstitutionDateAttributionPourReprise();
  }
  
  public Parcours creerParcoursDelaisReports()
  {
    return new ConstitutionDelaiReportPourReprise();
  }
  
  public Parcours creerParcoursDureeEffective()
  {
    return new ConstitutionDureeEffectiveReprise();
  }
  
  public Parcours creerPacoursConditionCSRAccordCP()
  {
    return new ParcoursTraitementSatisfait();
  }
}

/* Location:
 * Qualified Name:     ObjectifExamenReprise
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */