package fr.unedic.cali.asu.cva10.calcul.dom;

import fr.unedic.cali.asu.dom.ElementBaseIndemnisationAREF;
import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.dom.FormuleMontantAREFSpec;
import fr.unedic.cali.dom.FormuleMontantSpec;
import fr.unedic.cali.dom.MontantBaseSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FormuleMontantASPDCFAvecFinancement
  extends FormuleMontantRegimeGeneralASPDCAvecFinancement
  implements FormuleMontantAREFSpec
{
  private FormuleMontantSpec m_formuleMontantDroitAssocie = null;
  private int m_formuleMontantApplicable = 1;
  
  public static String getCode()
  {
    return "4";
  }
  
  public MontantBaseSpec calculer(ConstituantsIndemnisation p_constituantsIndemnisation, Damj p_dateCalcul)
    throws CoucheLogiqueException
  {
    Montant montant = (Montant)super.calculer(p_constituantsIndemnisation, p_dateCalcul);
    MontantASPDCF montantAPSDCF = new MontantASPDCF(montant);
    
    ElementBaseIndemnisationAREF ebiASPF = (ElementBaseIndemnisationAREF)p_constituantsIndemnisation.getElementBaseIndemnisationCourant();
    if ((ebiASPF != null) && (ebiASPF.estEffectif())) {
      montantAPSDCF.setType("FORMATION EFFECTIVE");
    }
    return montantAPSDCF;
  }
  
  public FormuleMontantSpec getFormuleMontantDroitAssocie()
  {
    return m_formuleMontantDroitAssocie;
  }
  
  public int getFormuleMontantApplicable()
  {
    return m_formuleMontantApplicable;
  }
  
  public void setFormuleMontantDroitAssocie(FormuleMontantSpec p_formuleMontantDroitAssocie)
  {
    m_formuleMontantDroitAssocie = p_formuleMontantDroitAssocie;
  }
  
  public void setFormuleMontantApplicable(int p_formuleMontantApplicable)
  {
    m_formuleMontantApplicable = p_formuleMontantApplicable;
  }
}

/* Location:
 * Qualified Name:     FormuleMontantASPDCFAvecFinancement
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */