package fr.unedic.cali.asu.cva10.calcul.dom;

import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.dom.FormuleMontantSpec;
import fr.unedic.cali.dom.MontantBaseSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;

public class FormuleMontantRegimeGeneralASPDCAvecFinancement
  extends FormuleMontantRegimeGeneralASPDC
  implements FormuleMontantASPSpec
{
  public static String getCode()
  {
    return "3";
  }
  
  public MontantBaseSpec calculer(ConstituantsIndemnisation p_constituantsIndemnisation, Damj p_dateCalcul)
    throws CoucheLogiqueException
  {
    Montant leMontant = new Montant();
    if (getFormuleMontantApplicable() == 2) {
      leMontant = calculerMontantDroitAssocie(p_constituantsIndemnisation, p_dateCalcul);
    } else {
      leMontant = calculerMontantDroitPrincipal(p_constituantsIndemnisation, p_dateCalcul);
    }
    return leMontant;
  }
  
  private Montant calculerMontantDroitAssocie(ConstituantsIndemnisation p_constituantsIndemnisation, Damj p_dateCalcul)
    throws CoucheLogiqueException
  {
    ConstituantsIndemnisation constituantsIndemnisation = new ConstituantsIndemnisation();
    ElementBaseIndemnisation ebi = (ElementBaseIndemnisation)p_constituantsIndemnisation.getElementBaseIndemnisationCourant();
    constituantsIndemnisation.setElementBaseIndemnisationCourant(ebi.getElementBaseIndemnisationDroitAssocie());
    MontantBaseSpec montantDroitAssocie = getFormuleMontantDroitAssocie().calculer(constituantsIndemnisation, p_dateCalcul);
    Montant leMontant = new Montant(montantDroitAssocie);
    leMontant.setMontantBrut(montantDroitAssocie.getMontantBrut());
    leMontant.setJustificationCalculMontant("16");
    return leMontant;
  }
  
  public Montant calculerMontantDroitPrincipal(ConstituantsIndemnisation p_constituantsIndemnisation, Damj p_dateCalcul)
    throws CoucheLogiqueException
  {
    Montant montantDroitPrincipal = null;
    ElementBaseIndemnisation ebi = (ElementBaseIndemnisation)p_constituantsIndemnisation.getElementBaseIndemnisationCourant();
    ConstituantsIndemnisation constituantIndemnisation = new ConstituantsIndemnisation();
    constituantIndemnisation.setElementBaseIndemnisationCourant(ebi);
    
    montantDroitPrincipal = (Montant)super.calculer(constituantIndemnisation, p_dateCalcul);
    
    constituantIndemnisation.setElementBaseIndemnisationCourant(ebi.getElementBaseIndemnisationDroitAssocie());
    MontantBaseSpec montantDroitAssocie = getFormuleMontantDroitAssocie().calculer(constituantIndemnisation, p_dateCalcul);
    if (montantDroitPrincipal.getMontantPrecompteEffectif().getValeur().compareTo(montantDroitAssocie.getMontantBrut().getValeur()) <= 0)
    {
      montantDroitPrincipal.setJustificationCalculMontant("15");
    }
    else
    {
      montantDroitPrincipal.setMontantFinancement(montantDroitAssocie.getMontantBrut().getValeur());
      montantDroitPrincipal.setJustificationCalculMontant("14");
    }
    return montantDroitPrincipal;
  }
}

/* Location:
 * Qualified Name:     FormuleMontantRegimeGeneralASPDCAvecFinancement
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */