package fr.unedic.cali.asu.cva10.p01.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.AlimenterBaseEchanges;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.dom.ValidationProduit;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.Indemnite;
import fr.unedic.cali.autresdoms.ga.dom.PeriodeActiviteSalarie;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.echange.Decision;
import fr.unedic.cali.outilsfonctionnels.OutilAsr;
import fr.unedic.util.QuantiteMonnaie;
import fr.unedic.util.services.CoucheLogiqueException;
import java.math.BigDecimal;
import java.util.Collection;
import java.util.Iterator;

public class AlimenterBaseEchangesAsrDc
  extends AlimenterBaseEchanges
{
  private static final int FAUX = 0;
  private static final int VRAI = 1;
  private static AlimenterBaseEchangesAsrDc instance = null;
  
  public static AlimenterBaseEchangesAsrDc getInstance()
  {
    if (instance == null) {
      instance = new AlimenterBaseEchangesAsrDc();
    }
    return instance;
  }
  
  public void alimenterDonneesProduit(DossierExamenSpec dossierExamen, Decision demandeEchange)
    throws CoucheLogiqueException
  {
    int topDetectionContributionPreavis = 0;
    int topDetectionContributionDif = 0;
    BigDecimal montantPreavisCrp = null;
    BigDecimal montantFormationDifCrp = null;
    Demande demande = (Demande)dossierExamen.getDemande();
    ValidationProduit validationProduit = ((DossierAffectation)demande.getDossierAffectation()).getValidationProduit();
    if ((validationProduit != null) && (validationProduit.isEstProduitValide()))
    {
      ActiviteSalarie periodeValidationProduit = validationProduit.getPeriodeValidationProduit();
      if (periodeValidationProduit != null)
      {
        Collection listeIndemnites = periodeValidationProduit.getListeIndemnites();
        if (listeIndemnites != null)
        {
          Iterator it = listeIndemnites.iterator();
          while (it.hasNext())
          {
            Indemnite indemnitePeriode = (Indemnite)it.next();
            int typeIndemnite = indemnitePeriode.getTypeIndemnite();
            switch (typeIndemnite)
            {
            case 124: 
              if (indemnitePeriode.getMontant() != null)
              {
                montantPreavisCrp = indemnitePeriode.getMontant().getValeurMontant();
                topDetectionContributionPreavis = 1;
              }
              break;
            case 126: 
              if (indemnitePeriode.getMontant() != null)
              {
                BigDecimal salaireHoraireDif = indemnitePeriode.getMontant().getValeurMontant();
                montantFormationDifCrp = OutilAsr.calculerSommeAPayerDiff(periodeValidationProduit.getPeriodeActiviteSalarieGaec().getNbHeuresDiff(), salaireHoraireDif);
                
                topDetectionContributionDif = 1;
              }
              break;
            }
          }
        }
      }
    }
    demandeEchange.setEstContribPreavis(topDetectionContributionPreavis);
    demandeEchange.setEstContribDif(topDetectionContributionDif);
    demandeEchange.setMontantPreavisCR(montantPreavisCrp);
    demandeEchange.setMontantFormationD(montantFormationDifCrp);
  }
}

/* Location:
 * Qualified Name:     AlimenterBaseEchangesAsrDc
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */