package fr.unedic.cali.asu.cva10.p03.calcul.dom;

import fr.unedic.cali.asu.dom.ElementBaseIndemnisationAREF;
import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.dom.FormuleMontantAREFSpec;
import fr.unedic.cali.dom.FormuleMontantSpec;
import fr.unedic.cali.dom.MontantBaseSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FormuleMontantASPDCF
  extends FormuleMontantRegimeGeneralASPDCP03
  implements FormuleMontantAREFSpec
{
  private FormuleMontantSpec formuleMontantDroitAssocie = null;
  private int formuleMontantApplicable = 1;
  
  public static String getCode()
  {
    return "2";
  }
  
  public MontantBaseSpec calculer(ConstituantsIndemnisation constituantsIndemnisation, Damj dateCalcul)
    throws CoucheLogiqueException
  {
    Montant montant = null;
    Montant montantASPDCF = null;
    
    montant = (Montant)super.calculer(constituantsIndemnisation, dateCalcul);
    
    montantASPDCF = new Montant(montant);
    if (((ElementBaseIndemnisationAREF)constituantsIndemnisation.getElementBaseIndemnisationCourant()).estEffectif()) {
      montantASPDCF.setType("FORMATION EFFECTIVE");
    }
    return montantASPDCF;
  }
  
  public FormuleMontantSpec getFormuleMontantDroitAssocie()
  {
    return formuleMontantDroitAssocie;
  }
  
  public int getFormuleMontantApplicable()
  {
    return formuleMontantApplicable;
  }
  
  public void setFormuleMontantDroitAssocie(FormuleMontantSpec formuleMontantDroitAssocie)
  {
    this.formuleMontantDroitAssocie = formuleMontantDroitAssocie;
  }
  
  public void setFormuleMontantApplicable(int formuleMontantApplicable)
  {
    this.formuleMontantApplicable = formuleMontantApplicable;
  }
}

/* Location:
 * Qualified Name:     FormuleMontantASPDCF
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */