package fr.unedic.cali.asu.cva10.p03.calcul.dom;

import fr.unedic.cali.dom.MontantBaseSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import java.math.BigDecimal;
import java.util.HashMap;
import java.util.Map;

public class Montant
  extends fr.unedic.cali.asu.cva10.calcul.dom.Montant
{
  private static final long serialVersionUID = 8818752098813432743L;
  private static final String SJR = "SJR";
  private static final String ARE_EXECUTE = "ARE_EXECUTE";
  private static final String ARE_NON_EXECUTE = "ARE_NON_EXECUTE";
  public static final String MONTANT_CSP_75_PCTS_SANS_FINANCEMENT = "35";
  public static final String MONTANT_CSP_75_PCTS = "34";
  private transient BigDecimal sjrMontantMax = BigDecimal.ZERO;
  private transient BigDecimal plafondASP = BigDecimal.ZERO;
  private transient Map<String, Montant> mapMontants;
  
  public Montant()
  {
    mapMontants = new HashMap();
  }
  
  public Montant(DomPCSpec montantPC)
  {
    super(montantPC);
    mapMontants = new HashMap();
  }
  
  public Montant(MontantBaseSpec montant)
  {
    super(montant);
    mapMontants = new HashMap();
  }
  
  public void setMapMontants(Map<String, Montant> montants)
  {
    mapMontants = montants;
  }
  
  public Map<String, Montant> getMapMontants()
  {
    return mapMontants;
  }
  
  public Montant getMontantSJR()
  {
    return (Montant)mapMontants.get("SJR");
  }
  
  public Montant setMontantSJR(Montant montantSJR)
  {
    return (Montant)mapMontants.put("SJR", montantSJR);
  }
  
  public Montant getMontantAreExecute()
  {
    return (Montant)mapMontants.get("ARE_EXECUTE");
  }
  
  public void setMontantAreExecute(Montant montantAreExec)
  {
    mapMontants.put("ARE_EXECUTE", montantAreExec);
  }
  
  public Montant getMontantAreNonExecute()
  {
    return (Montant)mapMontants.get("ARE_NON_EXECUTE");
  }
  
  public void setMontantAreNonExecute(Montant montantAreNonExec)
  {
    mapMontants.put("ARE_NON_EXECUTE", montantAreNonExec);
  }
  
  public BigDecimal getSjrMontantMax()
  {
    return sjrMontantMax;
  }
  
  public void setSjrMontantMax(BigDecimal sjrMontantMax)
  {
    this.sjrMontantMax = sjrMontantMax;
  }
  
  public BigDecimal getPlafondASP()
  {
    return plafondASP;
  }
  
  public void setPlafondASP(BigDecimal plafondASP)
  {
    this.plafondASP = plafondASP;
  }
}

/* Location:
 * Qualified Name:     Montant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */