package fr.unedic.cali.asu.cve13.p01.calcul.dom;

import fr.unedic.cali.asu.cve13.p01.calcul.dom.gen.DureeFinancementGen;
import fr.unedic.cali.asu.mnt.outilsfonctionnels.SimulateurImputeurDureeIndemnisation;
import fr.unedic.cali.dom.EtatQuantiteDroit;
import fr.unedic.cali.dom.ImputationJour;
import fr.unedic.cali.dom.ImputationSpec;
import fr.unedic.cali.dom.QuantiteIndemnisationSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import fr.unedic.util.temps.UniteDuree;
import java.math.BigDecimal;

public class DureeFinancement
  extends DureeFinancementGen
  implements QuantiteIndemnisationSpec
{
  private static final long serialVersionUID = 3503623591144661650L;
  public static final Unite UNITE_DEFAUT = UniteDuree.JOUR;
  
  public DureeFinancement() {}
  
  public DureeFinancement(int p_quantiteInitial)
  {
    setQuantiteInitial(new Quantite(new BigDecimal(Integer.toString(p_quantiteInitial)), UNITE_DEFAUT));
    setQuantiteCourante(new Quantite(new BigDecimal("0"), UNITE_DEFAUT));
  }
  
  public DureeFinancement(Quantite p_quantiteInitial, Quantite p_quantiteCourante)
  {
    setQuantiteInitial(p_quantiteInitial);
    setQuantiteCourante(p_quantiteCourante);
  }
  
  public DureeFinancement(DomPCSpec p_indemnisationPC)
  {
    super(p_indemnisationPC);
  }
  
  public ImputationSpec simulerImputer(Quantite p_quantite)
  {
    ImputationJour monImputation = (ImputationJour)getEtatQuantiteDroit().accepteVisiteur(new SimulateurImputeurDureeIndemnisation(this, p_quantite));
    
    return monImputation;
  }
  
  public ObjetMetierSpec copie()
  {
    DureeFinancement copie = new DureeFinancement();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    DureeFinancement copie = (DureeFinancement)p_copie;
    
    super.copieElements(copie);
    
    copie.setCodeFormuleMontant(getCodeFormuleMontant());
  }
  
  public String toString()
  {
    StringBuffer string = new StringBuffer();
    string.append(super.toString());
    string.append("\nFormule du montant : " + getCodeFormuleMontant() + "\n");
    return string.toString();
  }
}

/* Location:
 * Qualified Name:     DureeFinancement
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */