package fr.unedic.cali.asu.cve13.p01.calcul.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.cve13.p01.calcul.dom.pc.DureeFinancementPC;
import fr.unedic.cali.dom.DureeFinancementAbstraite;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;

public abstract class DureeFinancementGen
  extends DureeFinancementAbstraite
  implements DomGenSpec
{
  private String m_codeFormuleMontant;
  private Quantite m_quantiteCourante;
  
  public DureeFinancementGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public DureeFinancementGen() {}
  
  protected DomPCSpec createPC()
  {
    return new DureeFinancementPC();
  }
  
  protected int rawGetEtat()
  {
    return ((DureeFinancementPC)getPC()).getEtat();
  }
  
  public int getEtat()
  {
    return ((DureeFinancementPC)getPC()).getEtat();
  }
  
  public void setEtat(int p_etat)
  {
    ((DureeFinancementPC)getPC()).setEtat(p_etat);
  }
  
  protected String rawGetCodeFormuleMontant()
  {
    return ((DureeFinancementPC)getPC()).getCodeFormuleMontant();
  }
  
  public String getCodeFormuleMontant()
  {
    return ((DureeFinancementPC)getPC()).getCodeFormuleMontant();
  }
  
  public void setCodeFormuleMontant(String p_codeFormuleMontant)
  {
    if ((m_codeFormuleMontant == null) || (p_codeFormuleMontant == null))
    {
      m_codeFormuleMontant = p_codeFormuleMontant;
      ((DureeFinancementPC)getPC()).setCodeFormuleMontant(p_codeFormuleMontant);
    }
    else if ((m_codeFormuleMontant != null) && (p_codeFormuleMontant != null) && (!p_codeFormuleMontant.equals(m_codeFormuleMontant)))
    {
      m_codeFormuleMontant = p_codeFormuleMontant;
      ((DureeFinancementPC)getPC()).setCodeFormuleMontant(p_codeFormuleMontant);
    }
  }
  
  protected Quantite rawGetQuantiteCourante()
  {
    return ((DureeFinancementPC)getPC()).getQuantiteCourante();
  }
  
  public Quantite getQuantiteCourante()
  {
    return ((DureeFinancementPC)getPC()).getQuantiteCourante();
  }
  
  public void setQuantiteCourante(Quantite p_quantiteCourante)
  {
    if ((m_quantiteCourante == null) || (p_quantiteCourante == null))
    {
      m_quantiteCourante = p_quantiteCourante;
      ((DureeFinancementPC)getPC()).setQuantiteCourante(p_quantiteCourante);
    }
    else if ((m_quantiteCourante != null) && (p_quantiteCourante != null) && (!p_quantiteCourante.equals(m_quantiteCourante)))
    {
      m_quantiteCourante = p_quantiteCourante;
      ((DureeFinancementPC)getPC()).setQuantiteCourante(p_quantiteCourante);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     DureeFinancementGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */