package fr.unedic.cali.asu.cve13.p01.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.produits.liquidation.dom.JustificationPrc;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.strategies.StrategieCoordinationEuropeennePointDepartPrcAvant;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.strategies.spec.StrategieCoordinationEuropeennePointDepartPrcSpec;
import fr.unedic.cali.dom.conteneurs.DonneesEntreePRC;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;

public class DelaiRecherche
  extends fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.DelaiRecherche
{
  protected static DelaiRecherche s_instanceUnique = null;
  
  public static fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.DelaiRecherche getInstance()
  {
    if (s_instanceUnique == null) {
      s_instanceUnique = new DelaiRecherche();
    }
    return s_instanceUnique;
  }
  
  protected JustificationPrc determinerDepartPrc(DonneesEntreePRC p_donneesEntreePRC, Damj p_termePrc, int p_dureePrc)
    throws CoucheLogiqueException
  {
    JustificationPrc justificationPrcRetour = null;
    Damj borneDebutPrc = null;
    
    Periode periodeReference = p_termePrc.soustraireNombreMois(p_dureePrc);
    justificationPrcRetour = new JustificationPrc(periodeReference);
    
    borneDebutPrc = p_donneesEntreePRC.getDateFgdOdPrecedente();
    
    bornerDepartPrcAuLendemain(borneDebutPrc, periodeReference, justificationPrcRetour, 1);
    
    boolean coordCee = p_donneesEntreePRC.isCoordCee();
    if (coordCee)
    {
      StrategieCoordinationEuropeennePointDepartPrcSpec strategie = new StrategieCoordinationEuropeennePointDepartPrcAvant();
      
      borneDebutPrc = strategie.determinerBornePointDepartPrc(p_donneesEntreePRC, p_termePrc);
      if (borneDebutPrc != null) {
        bornerDepartPrcAuLendemain(borneDebutPrc, periodeReference, justificationPrcRetour, 2);
      }
    }
    return justificationPrcRetour;
  }
}

/* Location:
 * Qualified Name:     DelaiRecherche
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */