package fr.unedic.cali.asu.cve13.p01.liquidation.outilsfonctionnels;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.ObjectifExamen;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import java.util.ArrayList;
import java.util.List;

public class OutilDeterminationOrdreObjectifs
  extends fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.OutilDeterminationOrdreObjectifs
{
  public static fr.unedic.cali.asu.cge01.liquidation.outilsfonctionnels.OutilDeterminationOrdreObjectifs getInstance()
  {
    return new OutilDeterminationOrdreObjectifs();
  }
  
  public void determinerOrdreObjectifs(Demande demande, int contexteExamen, ProduitAsuSpec produitPrecedent, boolean estContexteRepriseContextuelle, boolean estReliquatDroitMaintenu)
    throws ApplicativeException
  {
    List listeTypesObjectifs = null;
    switch (contexteExamen)
    {
    case 1: 
    case 2: 
      listeTypesObjectifs = determinerObjectifsSansAntecedent();
      break;
    case 3: 
      listeTypesObjectifs = determinerObjectifsAvecAntecedentValide();
    }
    demande.viderListeObjectifsExamen();
    if (listeTypesObjectifs != null) {
      for (int i = 0; i < listeTypesObjectifs.size(); i++)
      {
        int sousTypeObjectif = ((Integer)listeTypesObjectifs.get(i)).intValue();
        
        ObjectifExamen objectif = demande.creerObjectifExamen(sousTypeObjectif, getProduit(demande, produitPrecedent, sousTypeObjectif));
        ajouteObjectifSurDemande(objectif, demande);
      }
    }
  }
  
  private List determinerObjectifsAvecAntecedentValide()
  {
    List listeTypesObjectifs = new ArrayList();
    
    listeTypesObjectifs.add(Integer.valueOf(15));
    
    return listeTypesObjectifs;
  }
}

/* Location:
 * Qualified Name:     OutilDeterminationOrdreObjectifs
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */