package fr.unedic.cali.asu.cve13.p01.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.archi.util.trace.Niveau;
import fr.unedic.cali.asu.cve13.p01.liquidation.outilsfonctionnels.RechercheConditionRechercheEmploi;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.dom.ResultatElementDroit;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;

public class DeterminationConditionRechercheEmploi
  extends ParcoursCali
{
  public Resultat demarrer(Contexte p_contexte)
    throws ApplicativeException
  {
    OutilTrace.tracerDebutParcours();
    
    Resultat resultat = new Resultat();
    
    Demande demande = DomLiquidationAssurance.getDemande(p_contexte);
    
    ResultatElementDroit elementDroit = RechercheConditionRechercheEmploi.getInstance().determinerConditionRechercheEmploi(demande);
    if (elementDroit.estSatisfait()) {
      resultat.setEtat(0);
    } else {
      resultat.setEtat(1);
    }
    OutilTrace.ecrireTrace(Niveau.DEBUG, new Object[] { "Résultat : ", resultat });
    
    OutilTrace.tracerFinParcours();
    
    return resultat;
  }
}

/* Location:
 * Qualified Name:     DeterminationConditionRechercheEmploi
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */