package fr.unedic.cali.asu.ddm16.p01.calcul.outilsfonctionnels;

import fr.unedic.cali.asu.calcul.outilsfonctionnels.VerificationEligibilitePaiementParAvance;
import fr.unedic.cali.calcul.FacadeCalculProduitSpec;
import fr.unedic.cali.calcul.dom.ArretProduitAvecRaison;
import fr.unedic.cali.calcul.dom.UniteTraitement;
import fr.unedic.cali.calcul.outilsfonctionnels.DefinitionStatutUtTraitementActiviteReduiteAbstraite;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Periode;

public class DefinitionStatutUtTraitementActiviteReduite
  extends DefinitionStatutUtTraitementActiviteReduiteAbstraite
{
  public static int definirStatutUt(AttributionSpec p_attribution, ChronologiePeriodes p_periodesDecalantes, boolean p_contientFormation, UniteTraitement p_ut, ArretProduitAvecRaison p_arretProduitAvecRaison, FacadeCalculProduitSpec p_facadeCalculProduit)
    throws CoucheLogiqueException
  {
    int population = p_attribution.getDemandeur().determinerPopulationIndividu(p_ut.getPeriode().getDebut());
    int statutUt;
    switch (population)
    {
    case 0: 
      statutUt = definirStatutUtPourCasGeneral(p_periodesDecalantes);
      break;
    default: 
      throw new CoucheLogiqueException("HG_PR_CALI_L_STATUT_UT_POPULATION_INATTENDUE", "Population de l'individu inattendue pour la définition du statut de l'UT", null);
    }
    if ((statutUt == 3) && (p_contientFormation) && (p_ut.isAbsenceRetourUL961()) && (p_facadeCalculProduit.neutralisationApplicableRetourUL961())) {
      if (VerificationEligibilitePaiementParAvance.verifierEligibilitePaiementParAvance(p_attribution, p_periodesDecalantes, 0, p_ut, p_arretProduitAvecRaison, p_facadeCalculProduit))
      {
        statutUt = 7;
      }
      else
      {
        statutUt = 4;
        p_ut.setEstAttenteJustifFormation(true);
      }
    }
    if (statutUt == 2) {
      if (VerificationEligibilitePaiementParAvance.verifierEligibilitePaiementParAvance(p_attribution, p_periodesDecalantes, 0, p_ut, p_arretProduitAvecRaison, p_facadeCalculProduit)) {
        statutUt = 5;
      } else {
        statutUt = 4;
      }
    }
    return statutUt;
  }
  
  private static int definirStatutUtPourCasGeneral(ChronologiePeriodes p_periodesDecalantes)
    throws CoucheLogiqueException
  {
    int statut = 2;
    if (p_periodesDecalantes.estVide()) {
      statut = 3;
    }
    return statut;
  }
}

/* Location:
 * Qualified Name:     DefinitionStatutUtTraitementActiviteReduite
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */