package fr.unedic.cali.asu.dom;

import fr.unedic.cali.asu.dom.gen.DossierAffecteGen;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.affectation.Parametres;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public class DossierAffecte
  extends DossierAffecteGen
{
  private static final long serialVersionUID = 6882156550927443612L;
  private transient ProduitSpec m_produitForce = null;
  
  private DossierAffecte() {}
  
  public DossierAffecte(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public DossierAffecte(int p_typeDossier)
  {
    super(p_typeDossier);
  }
  
  public DossierAffecte(DossierAffectationSpec p_ancienDossier)
  {
    super(((DossierAffectation)p_ancienDossier).getTypeDossier());
    copie((DossierAffectation)p_ancienDossier);
    DomManager.supprimer(p_ancienDossier);
  }
  
  public void setDossierExamen(DossierExamenSpec p_dossierExamen)
  {
    DomManager.supprimer(super.getDossierExamen(), p_dossierExamen);
    super.setDossierExamen(p_dossierExamen);
    if (getDossierExamen() != null) {
      getDossierExamen().setDossierAffecte(this);
    }
  }
  
  public ProduitSpec getProduitForce()
  {
    if ((m_produitForce == null) && (super.getCodeProduitForce() != 0)) {
      m_produitForce = Parametres.getProduit(super.getCodeProduitForce());
    }
    return m_produitForce;
  }
  
  public void setProduitForce(ProduitSpec p_produitForce)
  {
    m_produitForce = p_produitForce;
    if (p_produitForce != null) {
      super.setCodeProduitForce(p_produitForce.getCode());
    }
  }
  
  public ProduitSpec getProduit()
  {
    ProduitSpec produitPropose = null;
    if (getProduitForce() != null) {
      produitPropose = getProduitForce();
    } else if ((getValidationProduit() != null) && (getValidationProduit().getProduitValide() != null) && (getValidationProduit().isEstProduitValide())) {
      produitPropose = getValidationProduit().getProduitValide();
    } else {
      produitPropose = getProduitSecours();
    }
    return produitPropose;
  }
  
  public void jdoPreDelete()
  {
    super.jdoPreDelete();
    DomManager.supprimer(super.getDossierExamen());
  }
  
  public void marquerGraphePersistant()
  {
    super.marquerGraphePersistant();
    DomManager.persisterEnProfondeur(super.getDossierExamen());
    DomManager.persisterEnProfondeur(super.getValidationProduit());
    DomManager.persisterEnProfondeur(super.getDelaiRecherche());
  }
  
  public ObjetMetierSpec copie()
  {
    DossierAffecte copie = new DossierAffecte();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    DossierAffecte copie = (DossierAffecte)p_copie;
    
    super.copieElements(copie);
    
    copie.setProduitForce(getProduitForce());
    if (getDossierExamen() != null) {
      copie.setDossierExamen((DossierExamenAssuranceSpec)getDossierExamen().copie());
    }
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
}

/* Location:
 * Qualified Name:     DossierAffecte
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */