package fr.unedic.cali.asu.dom;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.pc.DemandePC;
import fr.unedic.cali.asu.parcours.ParcoursAffectationDemandeAssurance;
import fr.unedic.cali.asu.parcours.ParcoursLiquidationAssurance;
import fr.unedic.cali.asu.parcours.ParcoursLiquidationAssuranceClassique;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.EvenementReferenceExamenAbstraitCustomMapped;
import fr.unedic.cali.dom.EvenementReferenceExamenFiltrageDecisionSpec;
import fr.unedic.cali.utilitaire.filtres.FiltreCaliSpec;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public abstract class EreGammeAsu
  extends EvenementReferenceExamenAbstraitCustomMapped
  implements EvenementReferenceExamenFiltrageDecisionSpec
{
  private transient DemandePC m_demandePC;
  
  protected EreGammeAsu()
  {
    m_demandePC = new DemandePC();
  }
  
  public EreGammeAsu(DemandePC p_demandePC)
  {
    m_demandePC = p_demandePC;
    setDateEvenement(null);
  }
  
  public Damj getDateEvenement()
  {
    return m_dateEvenement;
  }
  
  public void setDateEvenement(Damj p_dateEvenement)
  {
    m_dateEvenement = p_dateEvenement;
  }
  
  public DemandePC getDemandePC()
  {
    return m_demandePC;
  }
  
  public void setDemandePC(DemandePC p_demandePC)
  {
    m_demandePC = p_demandePC;
  }
  
  public boolean verifierBesoinChargementTotalGaec()
  {
    return false;
  }
  
  public abstract FiltreCaliSpec getFiltreRechercheDecisionDuMemeType();
  
  public abstract ParcoursAffectationDemandeAssurance determinerParcoursAffectationDemandeAssurance(DemandeSpec paramDemandeSpec);
  
  public ParcoursLiquidationAssurance determinerParcoursLiquidationDemandeAssurance(DemandeSpec p_demande)
  {
    return new ParcoursLiquidationAssuranceClassique();
  }
  
  public void verifierContexteExamen(DemandeSpec p_demande)
    throws ApplicativeException
  {}
  
  public abstract void determinerContexteDemande(DemandeSpec paramDemandeSpec)
    throws CoucheLogiqueException;
  
  public abstract void determinerContextesLiquidation(Contexte paramContexte)
    throws ApplicativeException;
}

/* Location:
 * Qualified Name:     EreGammeAsu
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */