package fr.unedic.cali.asu.dom;

import fr.unedic.cali.asu.dom.gen.PensionInvaliditeChaineeGen;
import fr.unedic.cali.autresdoms.cohab.dom.spec.PeriodePensionInvaliditeChaineeSpec;
import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;
import java.util.Collection;
import java.util.Iterator;

public class PensionInvaliditeChainee
  extends PensionInvaliditeChaineeGen
  implements ObjetPersistantSpec, PeriodePensionInvaliditeChaineeSpec
{
  private static final long serialVersionUID = -2843286266100650734L;
  
  public PensionInvaliditeChainee() {}
  
  public PensionInvaliditeChainee(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getCollectionSousPensionInvalidite());
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public ObjetMetierSpec copie()
  {
    PensionInvaliditeChainee copie = new PensionInvaliditeChainee();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    PensionInvaliditeChainee copie = (PensionInvaliditeChainee)p_copie;
    copie.setDateDebut(getDateDebut());
    copie.setDateFin(getDateFin());
    copie.setOrganismeFinanceur(getOrganismeFinanceur());
    copie.setStatut(getStatut());
    
    Iterator iter = getListeSousPensionInvalidite().iterator();
    while (iter.hasNext())
    {
      SousPensionInvaliditeChainee element = (SousPensionInvaliditeChainee)iter.next();
      copie.ajouterSousPensionInvalidite((SousPensionInvaliditeChainee)element.copie());
    }
  }
  
  public void clearCollectionSousPensionInvalidite()
  {
    for (Iterator iter = getCollectionSousPensionInvalidite().iterator(); iter.hasNext();)
    {
      PensionInvaliditeChainee element = (PensionInvaliditeChainee)iter.next();
      DomManager.supprimer(element);
    }
  }
  
  public void remplacerCollectionSousPensionInvalidite(Collection p_collectionACopier)
  {
    for (Iterator iter = getCollectionSousPensionInvalidite().iterator(); iter.hasNext();)
    {
      PensionInvaliditeChainee element = (PensionInvaliditeChainee)iter.next();
      DomManager.supprimer(element);
    }
    super.remplacerCollectionSousPensionInvalidite(p_collectionACopier);
  }
  
  public Collection getListeSousPensionInvalidite()
  {
    return super.getCollectionSousPensionInvalidite();
  }
  
  public int compareTo(Object p_o)
  {
    if ((p_o instanceof PeriodePensionInvaliditeChaineeSpec))
    {
      PeriodePensionInvaliditeChaineeSpec pensionAcomparer = (PeriodePensionInvaliditeChaineeSpec)p_o;
      if ((getOrganismeFinanceur() == null) && (pensionAcomparer.getOrganismeFinanceur() == null)) {
        return 0;
      }
      if ((getOrganismeFinanceur() == null) || (pensionAcomparer.getOrganismeFinanceur() == null)) {
        return -1;
      }
      if ((getOrganismeFinanceur().equalsIgnoreCase(pensionAcomparer.getOrganismeFinanceur())) && (getDateDebut().coincideAvec(pensionAcomparer.getDateDebut()))) {
        return 0;
      }
    }
    return -1;
  }
}

/* Location:
 * Qualified Name:     PensionInvaliditeChainee
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */