package fr.unedic.cali.asu.dom;

import fr.unedic.cali.asu.dom.gen.PlafonnementAffiliationGen;
import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;

public class PlafonnementAffiliation
  extends PlafonnementAffiliationGen
  implements ObjetPersistantSpec, Comparable
{
  private static final long serialVersionUID = -56851252565224969L;
  private transient Quantite m_plafondMensuel;
  
  public PlafonnementAffiliation()
  {
    setCoefficientReducteurAffiliation(new BigDecimal(1));
    setCoefficientReducteurAffiliationSupplementaire(new BigDecimal(1));
  }
  
  public PlafonnementAffiliation(Periode p_moisCivil)
  {
    setMoisCivil(p_moisCivil);
    
    setCoefficientReducteurAffiliation(new BigDecimal(1));
    setCoefficientReducteurAffiliationSupplementaire(new BigDecimal(1));
  }
  
  public PlafonnementAffiliation(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ObjetMetierSpec copie()
  {
    PlafonnementAffiliation copie = new PlafonnementAffiliation();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    PlafonnementAffiliation copie = (PlafonnementAffiliation)p_copie;
    copie.setCoefficientReducteurAffiliation(getCoefficientReducteurAffiliation());
    copie.setCoefficientReducteurAffiliationSupplementaire(getCoefficientReducteurAffiliationSupplementaire());
    copie.setMoisCivil(getMoisCivil());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void marquerGraphePersistant() {}
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public Quantite getPlafondMensuel()
  {
    return m_plafondMensuel;
  }
  
  public void setPlafondMensuel(Quantite p_plafondMensuel)
  {
    m_plafondMensuel = p_plafondMensuel;
  }
  
  public int compareTo(Object p_o)
  {
    Periode periodeA = getMoisCivil();
    Periode periodeB = ((PlafonnementAffiliation)p_o).getMoisCivil();
    
    return periodeA.compareTo(periodeB);
  }
}

/* Location:
 * Qualified Name:     PlafonnementAffiliation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */