package fr.unedic.cali.asu.dom;

import fr.unedic.cali.asu.dom.gen.SemaineCivileGen;
import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import java.util.Collection;
import java.util.Iterator;

public class SemaineCivile
  extends SemaineCivileGen
  implements ObjetPersistantSpec
{
  private static final long serialVersionUID = 1L;
  
  public SemaineCivile() {}
  
  public SemaineCivile(DomPCSpec pc)
  {
    super(pc);
  }
  
  public ObjetMetierSpec copie()
  {
    SemaineCivile copie = new SemaineCivile();
    copieElements(copie);
    return copie;
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getCollectionElementSemaineCivile());
  }
  
  public void copieElements(ObjetMetierSpec copie)
  {
    SemaineCivile semaineCivileCopie = (SemaineCivile)copie;
    semaineCivileCopie.setEstSanctionne(isEstSanctionne());
    semaineCivileCopie.setNombreJoursEmploi(getNombreJoursEmploi());
    semaineCivileCopie.setPeriode(getPeriode());
    semaineCivileCopie.setQuantiteRetenue(getQuantiteRetenue());
    semaineCivileCopie.setTotalJoursTravailles(getTotalJoursTravailles());
    
    copierListes(semaineCivileCopie);
  }
  
  private void copierListes(SemaineCivile copie)
  {
    Iterator<?> iter = getCollectionElementSemaineCivile().iterator();
    while (iter.hasNext())
    {
      ElementSemaineCivile element = (ElementSemaineCivile)iter.next();
      if (element != null) {
        copie.ajouterElementSemaineCivile(element);
      }
    }
  }
  
  public Collection getListeElementSemaineCivile()
  {
    return super.getCollectionElementSemaineCivile();
  }
  
  public void clearCollectionElementSemaineCivile()
  {
    for (Iterator iter = getListeElementSemaineCivile().iterator(); iter.hasNext();)
    {
      ElementSemaineCivile element = (ElementSemaineCivile)iter.next();
      DomManager.supprimer(element);
    }
    super.clearCollectionElementSemaineCivile();
  }
  
  public void remplacerCollectionElementSemaineCivile(Collection collectionACopier)
  {
    for (Iterator iter = getListeElementSemaineCivile().iterator(); iter.hasNext();)
    {
      ElementSemaineCivile element = (ElementSemaineCivile)iter.next();
      DomManager.supprimer(element);
    }
    super.remplacerCollectionElementSemaineCivile(collectionACopier);
  }
  
  public void setListeElementSemaineCivile(Collection listeElementSemaineCivile)
  {
    remplacerCollectionElementSemaineCivile(listeElementSemaineCivile);
  }
}

/* Location:
 * Qualified Name:     SemaineCivile
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */