package fr.unedic.cali.asu.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.dom.pc.ObjectifExamenPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public abstract class ObjectifExamenGen
  implements DomGenSpec
{
  public static final int ETAT_NON_EFFECTUE = 0;
  protected transient DomPCSpec m_objectifExamenPC;
  
  public ObjectifExamenGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ObjectifExamenGen()
  {
    setPC(createPC());
  }
  
  protected abstract DomPCSpec createPC();
  
  public DomPCSpec getPC()
  {
    return m_objectifExamenPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_objectifExamenPC)
  {
    m_objectifExamenPC = p_objectifExamenPC;
  }
  
  protected int rawGetType()
  {
    return ((ObjectifExamenPC)getPC()).getType();
  }
  
  public int getType()
  {
    return ((ObjectifExamenPC)getPC()).getType();
  }
  
  public void setType(int p_type)
  {
    ((ObjectifExamenPC)getPC()).setType(p_type);
  }
  
  protected int rawGetSousType()
  {
    return ((ObjectifExamenPC)getPC()).getSousType();
  }
  
  public int getSousType()
  {
    return ((ObjectifExamenPC)getPC()).getSousType();
  }
  
  public void setSousType(int p_sousType)
  {
    ((ObjectifExamenPC)getPC()).setSousType(p_sousType);
  }
  
  protected int rawGetEtat()
  {
    return ((ObjectifExamenPC)getPC()).getEtat();
  }
  
  public int getEtat()
  {
    return ((ObjectifExamenPC)getPC()).getEtat();
  }
  
  public void setEtat(int p_etat)
  {
    ((ObjectifExamenPC)getPC()).setEtat(p_etat);
  }
  
  protected int rawGetNumeroOrdre()
  {
    return ((ObjectifExamenPC)getPC()).getNumeroOrdre();
  }
  
  public int getNumeroOrdre()
  {
    return ((ObjectifExamenPC)getPC()).getNumeroOrdre();
  }
  
  public void setNumeroOrdre(int p_numeroOrdre)
  {
    ((ObjectifExamenPC)getPC()).setNumeroOrdre(p_numeroOrdre);
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ObjectifExamenGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */