package fr.unedic.cali.asu.eur05.p01.calcul.dom;

import fr.unedic.cali.asu.eur05.p01.calcul.dom.gen.DureeIndemnisationGen;
import fr.unedic.cali.asu.mnt.outilsfonctionnels.SimulateurImputeurDureeIndemnisation;
import fr.unedic.cali.dom.EtatQuantiteDroit;
import fr.unedic.cali.dom.ImputationJour;
import fr.unedic.cali.dom.ImputationSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import fr.unedic.util.temps.UniteDuree;
import java.math.BigDecimal;

public class DureeIndemnisation
  extends DureeIndemnisationGen
{
  private static final long serialVersionUID = 1L;
  public static final Unite UNITE_DEFAUT = UniteDuree.JOUR;
  
  public DureeIndemnisation(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public DureeIndemnisation(int p_quantiteInitial)
  {
    setQuantiteInitial(new Quantite(new BigDecimal(Integer.toString(p_quantiteInitial)), UNITE_DEFAUT));
    setQuantiteCourante(new Quantite(new BigDecimal("0"), UNITE_DEFAUT));
  }
  
  public DureeIndemnisation() {}
  
  public ImputationSpec simulerImputer(Quantite p_quantite)
  {
    ImputationJour monImputation = (ImputationJour)getEtatQuantiteDroit().accepteVisiteur(new SimulateurImputeurDureeIndemnisation(this, p_quantite));
    
    return monImputation;
  }
  
  public ObjetMetierSpec copie()
  {
    DureeIndemnisation copie = new DureeIndemnisation();
    copieElements(copie);
    return copie;
  }
}

/* Location:
 * Qualified Name:     DureeIndemnisation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */