package fr.unedic.cali.asu.fabriques;

import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieGenerationEnqueteCumulARApres;
import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieGenerationEnqueteCumulARAvant;
import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieGenerationEnqueteCumulARSpec;
import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieGestionDRVApres;
import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieGestionDRVAvant;
import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieGestionDRVSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.util.temps.Damj;

public class FabriqueConventionTransitoireCalcul2014
  extends FabriqueConventionTransitoire2014
{
  private static FabriqueConventionTransitoireCalcul2014 s_instance = new FabriqueConventionTransitoireCalcul2014();
  
  public static FabriqueConventionTransitoireCalcul2014 getInstance()
  {
    return s_instance;
  }
  
  public StrategieGestionDRVSpec getStrategie(CritereStrategie p_critereStrategie)
  {
    return null;
  }
  
  public StrategieGestionDRVSpec getStrategieGestionDRV(CritereStrategie p_critereStrategie)
  {
    StrategieGestionDRVSpec strategie = null;
    
    Damj datePivot = p_critereStrategie.getDatePivot();
    if (datePivot == null) {
      throw new UnsupportedOperationException("FabriqueStrategieGestionDRV : la date pivot est null.");
    }
    if (datePivot.estApresOuCoincideAvec(DATE_APPLICATION)) {
      strategie = new StrategieGestionDRVApres();
    } else {
      strategie = new StrategieGestionDRVAvant();
    }
    return strategie;
  }
  
  public StrategieGenerationEnqueteCumulARSpec getStrategieGenerationEnqueteCumulAR(CritereStrategie p_critereStrategie)
  {
    StrategieGenerationEnqueteCumulARSpec strategie = null;
    
    Damj datePivot = p_critereStrategie.getDatePivot();
    if (datePivot == null) {
      throw new UnsupportedOperationException("FabriqueStrategieGenerationEnqueteCumulAR : la date pivot est null.");
    }
    if (datePivot.estApresOuCoincideAvec(DATE_APPLICATION)) {
      strategie = new StrategieGenerationEnqueteCumulARApres();
    } else {
      strategie = new StrategieGenerationEnqueteCumulARAvant();
    }
    return strategie;
  }
}

/* Location:
 * Qualified Name:     FabriqueConventionTransitoireCalcul2014
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */