package fr.unedic.cali.asu.fabriques;

import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieDroitOptionApresARE14;
import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieDroitOptionAvantARE14;
import fr.unedic.cali.fabriques.FabriqueConvention2014;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieDroitOption
  extends FabriqueConvention2014
{
  private static FabriqueStrategieDroitOption s_instance = new FabriqueStrategieDroitOption();
  
  public static FabriqueStrategieDroitOption getInstance()
  {
    return s_instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
    throws CoucheLogiqueException
  {
    StrategieSpec retour = null;
    
    Damj datePivot = p_critereStrategie.getDatePivot();
    if (datePivot == null) {
      throw new UnsupportedOperationException("FabriqueStrategieContexteRepriseSystematique : la date pivot est null.");
    }
    if (datePivot.estApresOuCoincideAvec(DATE_APPLICATION)) {
      retour = getStrategieApres();
    } else {
      retour = getStrategieAvant();
    }
    return retour;
  }
  
  protected StrategieSpec getStrategieAvant()
  {
    return new StrategieDroitOptionAvantARE14();
  }
  
  protected StrategieSpec getStrategieApres()
  {
    return new StrategieDroitOptionApresARE14();
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieDroitOption
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */