package fr.unedic.cali.asu.fabriques;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieFCTRetenueDemandeExpresseApres;
import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieFCTRetenueDemandeExpresseAvant;
import fr.unedic.cali.asu.outilsfonctionnels.strategies.StrategieFCTRetenueDemandeExpresseSpec;
import fr.unedic.cali.autresdoms.cohab.dom.ObjetChronoPeriodePriseEnCharge;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.fabriques.FabriqueStrategieSpec;
import fr.unedic.cali.outilsfonctionnels.OutillagePEC;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieFCTRetenueDemandeExpresse
  implements FabriqueStrategieSpec
{
  private static final Damj DATE_APPLICATION = new Damj(2011, 8, 1);
  private static FabriqueStrategieFCTRetenueDemandeExpresse s_instance = null;
  
  public static FabriqueStrategieFCTRetenueDemandeExpresse getInstance()
  {
    if (s_instance == null) {
      s_instance = new FabriqueStrategieFCTRetenueDemandeExpresse();
    }
    return s_instance;
  }
  
  public boolean appliquerStrategieApres(CritereStrategie p_critereStrategie)
  {
    DemandeSpec demande = p_critereStrategie.getDemande();
    if (demande == null) {
      throw new UnsupportedOperationException("FabriqueStrategieFCTRetenueDemandeExpresse : la demande est nulle.");
    }
    Damj datePivot = demande.getDateDepot();
    Damj dateExamen = demande.getDateExamen();
    ObjetChronoPeriodePriseEnCharge pecRetenue = OutillagePEC.getPeriodePecDemandeurEmploiContenant(demande.getDemandeur(), dateExamen);
    
    boolean estDemandeHorsPec = (pecRetenue == null) || (dateExamen.coincideAvec(pecRetenue.getDateDebut()));
    boolean estDroitOptionForce = ((Demande)demande).getDonneesTemporaires().isDroitOptionForce();
    return (datePivot.estApresOuCoincideAvec(DATE_APPLICATION)) && ((estDemandeHorsPec) || (estDroitOptionForce));
  }
  
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
    throws CoucheLogiqueException
  {
    StrategieFCTRetenueDemandeExpresseSpec strategie = null;
    boolean appliquerStrategieApres = appliquerStrategieApres(p_critereStrategie);
    if (appliquerStrategieApres) {
      strategie = new StrategieFCTRetenueDemandeExpresseApres();
    } else {
      strategie = new StrategieFCTRetenueDemandeExpresseAvant();
    }
    return strategie;
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieFCTRetenueDemandeExpresse
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */