package fr.unedic.cali.asu.fds12.p02.antecedent;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.SaisieAntecedent;
import fr.unedic.cali.asu.fds12.p02.liquidation.outilsAffiliation.ParametresAffiliation;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionDurees;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionElementsAdmission;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.DossierExamen;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.CoucheLogiqueException;
import java.math.BigDecimal;

public class GrapheAntecedent
  extends fr.unedic.cali.asu.spe02.p03.antecedent.GrapheAntecedent
{
  public static fr.unedic.cali.asu.spe02.p03.antecedent.GrapheAntecedent getInstance()
  {
    return new GrapheAntecedent();
  }
  
  public void alimenterGrapheDecisionAntecedent(Contexte contexte)
    throws CoucheLogiqueException
  {
    super.alimenterGrapheDecisionAntecedent(contexte);
  }
  
  protected BigDecimal determinerAffiliationRequise(Demande p_demande)
  {
    return ParametresAffiliation.QUANTITE_AFFILIATION_REQUISE.getValeur();
  }
  
  protected void alimenterConstitutionDurees(DossierExamen p_dossierExamen, SaisieAntecedent p_saisieAntecedent)
    throws CoucheLogiqueException
  {
    ConstitutionDurees constitutionDuree = p_dossierExamen.getConstitutionElementsAdmission().createConstitutionDurees();
    
    Quantite dureeInitialeDroit = p_saisieAntecedent.getDureeInitialeDroit();
    
    constitutionDuree.setDureeTheorique(dureeInitialeDroit);
    constitutionDuree.setDureeEffective(dureeInitialeDroit);
  }
  
  protected void alimenterConstitutionSjm(DossierExamen p_dossierExamen, SaisieAntecedent p_saisieAntecedent) {}
  
  protected void alimenterConstitutionNHT(DossierExamen p_dossierExamen, SaisieAntecedent p_saisieAntecedent) {}
}

/* Location:
 * Qualified Name:     GrapheAntecedent
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */