package fr.unedic.cali.asu.fds12.p02.calcul;

import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.dom.ElementBaseIndemnisationAREF;
import fr.unedic.cali.asu.fds12.p02.calcul.dom.FormuleMontantAFDF;
import fr.unedic.cali.asu.fds12.p02.calcul.dom.FormuleMontantRegimeGeneral;
import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.dom.FormuleMontantSpec;
import fr.unedic.cali.dom.MontantBaseSpec;
import fr.unedic.cali.dom.conteneurs.DonneesCalculMontant;
import fr.unedic.cali.dom.conteneurs.DonneesEntreesRecuperationMontant;
import fr.unedic.util.services.CoucheLogiqueException;
import java.math.BigDecimal;

public class FacadeCalculProduitPourLiquidationImpl
  extends fr.unedic.cali.asu.fps.calcul.FacadeCalculProduitPourLiquidationImpl
{
  private ConstituantsIndemnisation initialiserConstituantsIndemnisation(DonneesEntreesRecuperationMontant p_donneesEntreesRecuperationMontant)
    throws CoucheLogiqueException
  {
    ConstituantsIndemnisation constituantsIndemnisation = new ConstituantsIndemnisation();
    ElementBaseIndemnisation elementBaseIndemnisationCourant = new ElementBaseIndemnisation();
    
    constituantsIndemnisation.setElementBaseIndemnisationCourant(elementBaseIndemnisationCourant);
    DonneesCalculMontant donneesCalculMontant = p_donneesEntreesRecuperationMontant.getDonneesCalculMontant();
    
    elementBaseIndemnisationCourant.setCoefficientSanctionReduction(new BigDecimal("1.00"));
    if (donneesCalculMontant.getAvecPrecompteCRC() != null) {
      elementBaseIndemnisationCourant.setAvecPrecompteCRC(donneesCalculMontant.getAvecPrecompteCRC());
    } else {
      elementBaseIndemnisationCourant.setAvecPrecompteCRC(new Boolean(false));
    }
    if (donneesCalculMontant.isContexteFormation())
    {
      ElementBaseIndemnisationAREF ebiAREF = new ElementBaseIndemnisationAREF(elementBaseIndemnisationCourant);
      constituantsIndemnisation.setElementBaseIndemnisationCourant(ebiAREF);
    }
    return constituantsIndemnisation;
  }
  
  public FormuleMontantSpec getFormuleMontant()
  {
    return new FormuleMontantRegimeGeneral();
  }
  
  public FormuleMontantSpec getFormuleMontantEnFormation()
  {
    return new FormuleMontantAFDF();
  }
  
  public MontantBaseSpec determinerMontant(DonneesEntreesRecuperationMontant p_donneesEntreesRecuperationMontant)
    throws CoucheLogiqueException
  {
    FormuleMontantSpec fm = null;
    ConstituantsIndemnisation constituantsIndemnisation = initialiserConstituantsIndemnisation(p_donneesEntreesRecuperationMontant);
    DonneesCalculMontant donneesCalculMontant = p_donneesEntreesRecuperationMontant.getDonneesCalculMontant();
    if (donneesCalculMontant.getFormuleMontant() != null) {
      fm = donneesCalculMontant.getFormuleMontant();
    } else if (donneesCalculMontant.isContexteFormation()) {
      fm = new FormuleMontantAFDF();
    } else {
      fm = new FormuleMontantRegimeGeneral();
    }
    return fm.calculer(constituantsIndemnisation, p_donneesEntreesRecuperationMontant.getDateCalculMontant());
  }
}

/* Location:
 * Qualified Name:     FacadeCalculProduitPourLiquidationImpl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */