package fr.unedic.cali.asu.fds12.p02.liquidation.outilsfonctionnels;

import fr.unedic.archi.util.trace.Niveau;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.ComparateurDecisionSpeSpec;
import fr.unedic.cali.dom.DecisionSpec;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import java.util.ArrayList;

public class ComparateurDecision
  extends fr.unedic.cali.asu.fps.liquidation.outilsfonctionnels.ComparateurDecision
{
  private static ComparateurDecisionSpeSpec s_instance = null;
  
  public static ComparateurDecisionSpeSpec getInstance()
  {
    if (s_instance == null) {
      s_instance = new ComparateurDecision();
    }
    return s_instance;
  }
  
  public boolean estEgal(DecisionSpec p_decisionAvant, DecisionSpec p_decisionApres)
  {
    OutilTrace.ecrireTrace(Niveau.DEBUG, new Object[] { "Comparaison des décisions ", p_decisionAvant, " et ", p_decisionApres });
    boolean resultat = false;
    if ((p_decisionAvant != null) && (p_decisionApres != null) && (verifierCoherenceDecisions(p_decisionAvant, p_decisionApres, null))) {
      resultat = (produitEgal(p_decisionAvant, p_decisionApres, null, false)) && (decisionEgal(p_decisionAvant, p_decisionApres, null, false)) && (reglementApplicableEgal(p_decisionAvant, p_decisionApres, null, false)) && (motifRejetEgal(p_decisionAvant, p_decisionApres, null, false)) && (dureeEffectiveEgale(p_decisionAvant, p_decisionApres, null, false)) && (pjiEgal(p_decisionAvant, p_decisionApres, null, false)) && (dateAttributionEgal(p_decisionAvant, p_decisionApres, null, false)) && (montantBrutEgal(p_decisionAvant, p_decisionApres, null, false));
    }
    OutilTrace.ecrireTrace(Niveau.DEBUG, new Object[] { "Résultat comparaison ", Boolean.valueOf(resultat) });
    return resultat;
  }
  
  public ArrayList rechercheDifferencesComparaisonDecision(DecisionSpec p_decisionAvant, DecisionSpec p_decisionApres)
  {
    OutilTrace.ecrireTrace(Niveau.DEBUG, new Object[] { "Comparaison des décisions ", p_decisionAvant, " et ", p_decisionApres });
    ArrayList listeDifferences = new ArrayList();
    ArrayList listeConstantesAfficheesSurDifference = new ArrayList();
    
    boolean produitEgal = produitEgal(p_decisionAvant, p_decisionApres, listeConstantesAfficheesSurDifference, false);
    boolean decisionEgal = true;
    if (produitEgal)
    {
      decisionEgal = decisionEgal(p_decisionAvant, p_decisionApres, listeConstantesAfficheesSurDifference, false);
      if ((decisionEgal) && 
        (verifierCoherenceDecisions(p_decisionAvant, p_decisionApres, listeDifferences)))
      {
        reglementApplicableEgal(p_decisionAvant, p_decisionApres, listeDifferences, false);
        
        dureeEffectiveEgale(p_decisionAvant, p_decisionApres, listeDifferences, false);
        
        motifRejetEgal(p_decisionAvant, p_decisionApres, listeDifferences, false);
        
        pjiEgal(p_decisionAvant, p_decisionApres, listeDifferences, false);
        
        dateAttributionEgal(p_decisionAvant, p_decisionApres, listeDifferences, false);
        
        montantBrutEgal(p_decisionAvant, p_decisionApres, listeDifferences, false);
      }
    }
    if ((listeDifferences.size() > 0) || (!produitEgal) || (!decisionEgal))
    {
      listeConstantesAfficheesSurDifference.addAll(listeDifferences);
      listeDifferences = listeConstantesAfficheesSurDifference;
    }
    OutilTrace.ecrireTrace(Niveau.DEBUG, new Object[] { "Nombre d'éléments différents : ", Integer.valueOf(listeDifferences.size()) });
    
    return listeDifferences;
  }
}

/* Location:
 * Qualified Name:     ComparateurDecision
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */