package fr.unedic.cali.asu.fds12.p03.liquidation.parcours;

import fr.pe.cali.reglementaire.dom.impl.CriteresFabriqueReglementaire;
import fr.pe.cali.reglementaire.regles.assurance.cap.beneficeautreproduit.dom.DonneesEntreeBeneficeAutreProduitConvention2017;
import fr.pe.cali.reglementaire.regles.assurance.cap.beneficeautreproduit.dom.DonneesSortieBeneficeAutreProduitConvention2017;
import fr.pe.cali.reglementaire.regles.assurance.cap.beneficeautreproduit.outils.spec.IOutilConditionBeneficeAutreProduit;
import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.fds12.p02.liquidation.outilsfonctionnels.OutilConditionBeneficeAutreProduit;
import fr.unedic.cali.asu.fps.liquidation.parcours.convention17.ParcoursConditionBeneficeAutreProduitAbstrait;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionBeneficeAutreProduit;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.util.services.Resultat;
import java.util.ArrayList;
import java.util.List;

public class ParcoursConditionBeneficeAutreProduit
  extends ParcoursConditionBeneficeAutreProduitAbstrait
{
  protected Resultat determinationConditionBeneficeAutreProduit(Demande demandeCourante, Demande demandePrecedente)
    throws ApplicativeException
  {
    ConditionBeneficeAutreProduit conditionBeneficeAutreProduit = OutilConditionBeneficeAutreProduit.verifierConditionBeneficeAutreProduit(demandeCourante);
    Resultat resultat = new Resultat(1);
    if (conditionBeneficeAutreProduit.estSatisfait())
    {
      IOutilConditionBeneficeAutreProduit outilBeneficeAutreProduit = recupererOutilReglementaire(demandeCourante, demandePrecedente);
      DonneesEntreeBeneficeAutreProduitConvention2017 donneesEntree = creerConteneurDonneesEntree(demandeCourante, demandePrecedente);
      DonneesSortieBeneficeAutreProduitConvention2017 donneesSortie = outilBeneficeAutreProduit.verifierConditionBeneficeAutreProduit(donneesEntree);
      
      mettreAJourConteneurDonneesSortie(resultat, conditionBeneficeAutreProduit, donneesSortie);
    }
    return resultat;
  }
  
  protected CriteresFabriqueReglementaire recupererCriteresFabriqueReglementaire(Demande demandeCourante, Demande demandePrecedente)
  {
    CriteresFabriqueReglementaire criteres = new CriteresFabriqueReglementaire();
    criteres.setCodeProduit(demandeCourante.getDossierAffectation().getProduit().getNomUnique());
    criteres.setDate(demandeCourante.getDateExamen());
    List<String> listeContextesFonctionnels = new ArrayList();
    criteres.setListeContextesFonctionnels(listeContextesFonctionnels);
    if (demandePrecedente.estUneDemandeAps()) {
      listeContextesFonctionnels.add("examenAfdSuiteAps");
    } else if (estUneDemandeAre(demandePrecedente)) {
      listeContextesFonctionnels.add("examenAfdSuiteAre");
    }
    return criteres;
  }
}

/* Location:
 * Qualified Name:     ParcoursConditionBeneficeAutreProduit
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */