package fr.unedic.cali.asu.fps.liquidation.outilsaffiliation;

import fr.unedic.cali.asu.fps.liquidation.outilsaffiliation.spec.IParametresAffiliationFPS;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsaffiliation.ParametresAffiliation;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsaffiliation.spec.ComportementAffiliationSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.util.Quantite;
import java.math.BigDecimal;

public class ParametresAffiliationFPS
  extends ParametresAffiliation
  implements IParametresAffiliationFPS
{
  public static final BigDecimal NOMBRE_HEURE_PAR_JOUR_MALADIE_LONGUE_DUREE = new BigDecimal(5);
  public static final BigDecimal NOMBRE_HEURE_PAR_JOUR_MALADIE_GRAVE = new BigDecimal(5);
  public static final Quantite PLAFOND_HEURE_ENSEIGNEMENT_FPS = new Quantite(new BigDecimal(120), UNITE_HEURE);
  
  public Quantite determinerPlafondHeureEnseignement(IndividuSpec individu, ComportementAffiliationSpec comportementCalcul)
  {
    return PLAFOND_HEURE_ENSEIGNEMENT_FPS;
  }
  
  public Quantite calculerQuantiteHeureMaladieLongueDuree(int nombreJours)
  {
    return multiplierPourQuantiteHeure(NOMBRE_HEURE_PAR_JOUR_MALADIE_LONGUE_DUREE, nombreJours);
  }
  
  public Quantite calculerQuantiteHeureMaladieGrave(int nombreJours)
  {
    return multiplierPourQuantiteHeure(NOMBRE_HEURE_PAR_JOUR_MALADIE_GRAVE, nombreJours);
  }
}

/* Location:
 * Qualified Name:     ParametresAffiliationFPS
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */