package fr.unedic.cali.asu.fps.liquidation.parcours;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.fps.liquidation.outilsfonctionnels.FabriqueRechercheConditionFaitGenerateur;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionFaitGenerateur;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.RechercheConditionFaitGenerateurSpec;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;

public class DeterminationConditionFaitGenerateur
  extends fr.unedic.cali.asu.spe02.p03.liquidation.parcours.DeterminationConditionFaitGenerateur
{
  public Resultat demarrer(Contexte p_contexte)
    throws CoucheLogiqueException
  {
    OutilTrace.tracerDebutParcours();
    
    Demande demandeCourante = DomLiquidationAssurance.getDemande(p_contexte);
    
    Resultat resultatCapa04 = new Resultat(1);
    
    RechercheConditionFaitGenerateurSpec ofConditionFaitGenerateur = FabriqueRechercheConditionFaitGenerateur.getOutilFonctionnelRechercheConditionFaitGenerateur(demandeCourante);
    
    ConditionFaitGenerateur conditionFaitGenerateurCourante = ofConditionFaitGenerateur.rechercherConditionFaitGenerateur(demandeCourante);
    
    verificationPrescription(demandeCourante, conditionFaitGenerateurCourante);
    if (conditionFaitGenerateurCourante.estSatisfait())
    {
      resultatCapa04.setEtat(0);
    }
    else
    {
      resultatCapa04.setEtat(1);
      resultatCapa04.setMessageErreur(Integer.toString(conditionFaitGenerateurCourante.getCodeMotifEchec()));
    }
    OutilTrace.tracerFinParcours();
    return resultatCapa04;
  }
  
  protected void verificationPrescription(Demande demandeCourante, ConditionFaitGenerateur conditionFaitGenerateurCourante)
  {
    boolean estDemandeAtAfdFdd = demandeCourante.estUneDemandeAfdFdd();
    boolean donneeForceeFctHorsDesDeuxMoisAvantFddAre = !demandeCourante.getDonneesTemporaires().isFctDansLesDeuxMoisAvantFddAre();
    if ((estDemandeAtAfdFdd) && (donneeForceeFctHorsDesDeuxMoisAvantFddAre))
    {
      conditionFaitGenerateurCourante.setEtatSatisfait(false);
      conditionFaitGenerateurCourante.setCodeMotifEchec(49);
    }
  }
}

/* Location:
 * Qualified Name:     DeterminationConditionFaitGenerateur
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */