package fr.unedic.cali.asu.fps.liquidation.parcours.convention17;

import fr.pe.cali.reglementaire.regles.assurance.cep.delaisreports.dom.DonneesEntreesDelaisReportsSpectacle;
import fr.pe.cali.reglementaire.regles.assurance.cep.delaisreports.dom.ResultatDelaisReportsSpectacle;
import fr.pe.cali.reglementaire.regles.assurance.cep.delaisreports.outils.spec.IOutilConstitutionDelaisReportsSpectacle;
import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.dom.ValidationProduit;
import fr.unedic.cali.asu.fps.liquidation.outilsfonctionnels.convention17.OutilDelaisReport;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Attribution;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionDelaisReport;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.OutilDeterminationDelaisReportSpec;
import fr.unedic.cali.asu.spe02.p05.liquidation.parcours.ParcoursConstitutionDelaisReports;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class ParcoursConstitutionDelaisReportsFps
  extends ParcoursConstitutionDelaisReports
{
  protected void calculerFranchiseCP(Attribution attribution)
  {
    IOutilConstitutionDelaisReportsSpectacle outilDelaisReports = recupererOutilReglementaire(attribution);
    DonneesEntreesDelaisReportsSpectacle donneesEntree = getDonneesEntreesDelaisReport();
    Demande demande = (Demande)attribution.getDemande();
    donneesEntree.setPasseProfessionnel(demande.getDemandeur().getChronoPeriodePasseProfessionnelLiquidation());
    donneesEntree.setPra(demande.getDossierAffectationAdmission().getValidationProduit().getPeriodePra());
    donneesEntree.setNombreJoursTravaillesForces(demande.getDonneesTemporaires().getNombreJourTotalA8A10Force());
    Damj dateFaitGenerateurOdPrecedente = demande.getDateFaitGenerateurOdPrecedente();
    donneesEntree.setDateDernierFgd(dateFaitGenerateurOdPrecedente);
    ResultatDelaisReportsSpectacle resultatCalculFranchiseCP = outilDelaisReports.calculerFranchiseCP(donneesEntree);
    mettreAJourCepPourFranchiseCP(attribution.getConstitutionDelaisReport(), resultatCalculFranchiseCP);
  }
  
  protected void calculerDiffere(Attribution attribution)
    throws ApplicativeException
  {
    ConstitutionDelaisReport cep = attribution.getConstitutionDelaisReport();
    IOutilConstitutionDelaisReportsSpectacle outilDelaisReports = recupererOutilReglementaire(attribution);
    DonneesEntreesDelaisReportsSpectacle donneesEntree = getDonneesEntreesDelaisReport();
    ResultatDelaisReportsSpectacle resultat = outilDelaisReports.estDiffereApplicable(donneesEntree);
    cep.setPeriodeApplicationDifferePrecedent(resultat.getDelaiAttentePrecedent());
    cep.setNbJoursDelaiReport(resultat.getNombreJoursDelaiAttente());
  }
  
  protected DonneesEntreesDelaisReportsSpectacle getDonneesEntreesDelaisReport()
  {
    return new DonneesEntreesDelaisReportsSpectacle();
  }
  
  protected OutilDeterminationDelaisReportSpec getOutilDeterminationDelaisReport(Demande demande)
    throws CoucheLogiqueException
  {
    return OutilDelaisReport.getInstance();
  }
}

/* Location:
 * Qualified Name:     ParcoursConstitutionDelaisReportsFps
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */