package fr.unedic.cali.asu.may17.p02.avant.outilsfonctionnels;

import fr.unedic.cali.asu.may17.p02.calcul.outilsfonctionnels.Qualification;
import fr.unedic.cali.asu.produits.liquidation.dom.Poursuite;
import fr.unedic.cali.calcul.dom.CalendrierExecutionAvant;
import fr.unedic.cali.calcul.dom.QualificationPeriodes;
import fr.unedic.cali.calcul.dom.UniteTraitementAvant;
import fr.unedic.cali.calcul.dom.temps.ObjetChronoPeriodeCalcul;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.FiltreChevauchePeriode;
import fr.unedic.util.temps.Periode;

public class TraitementUtAvant
  extends fr.unedic.cali.asu.cge01.avant.outilsfonctionnels.TraitementUtAvant
{
  public static int executerUtAvant(AttributionSpec attribution, CalendrierExecutionAvant calendrierAvant, Periode periodeUtAvant, ChronologiePeriodes chronologiePeriodes)
    throws CoucheLogiqueException
  {
    convertionCachets(chronologiePeriodes);
    
    UniteTraitementAvant utAvant = executerAttributionAvant(attribution, calendrierAvant, periodeUtAvant, chronologiePeriodes);
    return executerUtAvant(attribution, calendrierAvant, utAvant, attribution.getDemandeur());
  }
  
  public static UniteTraitementAvant executerAttributionAvant(AttributionSpec attribution, CalendrierExecutionAvant calendrierAvant, Periode periodeUtAvant, ChronologiePeriodes chronologiePeriodes)
    throws CoucheLogiqueException
  {
    Damj dateDepartAttribution = attribution.getDateAttribution();
    if ((attribution instanceof Poursuite)) {
      dateDepartAttribution = ((Poursuite)attribution).getPjp();
    }
    ChronologiePeriodes chronoPeriodesSurUt = new ChronologiePeriodes(new FiltreChevauchePeriode(new Periode(periodeUtAvant.getDebut(), periodeUtAvant.getFin().lendemain())));
    
    chronoPeriodesSurUt.ajouter(chronologiePeriodes);
    
    Qualification qualification = new Qualification();
    QualificationPeriodes periodesQualifie = qualification.qualificationPeriodesPourAvant(chronoPeriodesSurUt, attribution);
    
    forcerQualificationPeriodesCalcul(chronoPeriodesSurUt, periodesQualifie);
    
    ChronologiePeriodes periodesInterruptives = periodesQualifie.getPeriodesInterruptivesDefinitives();
    ChronologiePeriodes periodesNouvellesInterruptives = new ChronologiePeriodes();
    periodesInterruptives.iterer();
    while (periodesInterruptives.encoreSuivant())
    {
      ObjetChronoPeriodeCalcul periode = (ObjetChronoPeriodeCalcul)periodesInterruptives.elementSuivant();
      if (periode.getDateDebut().estApresOuCoincideAvec(dateDepartAttribution)) {
        periodesNouvellesInterruptives.ajouter(periode);
      }
    }
    periodesQualifie.setPeriodesInterruptivesDefinitives(periodesNouvellesInterruptives);
    return executerAttributionAvant(attribution, calendrierAvant, periodeUtAvant, periodesQualifie);
  }
}

/* Location:
 * Qualified Name:     TraitementUtAvant
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */