package fr.unedic.cali.asu.may17.p02.calcul.dom;

import fr.unedic.cali.asu.may17.p02.calcul.dom.gen.DureeIndemnisationSecondeTrancheGen;
import fr.unedic.cali.asu.mnt.outilsfonctionnels.SimulateurImputeurDureeIndemnisation;
import fr.unedic.cali.dom.EtatQuantiteDroit;
import fr.unedic.cali.dom.ImputationJour;
import fr.unedic.cali.dom.ImputationSpec;
import fr.unedic.cali.dom.QuantiteIndemnisationSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import fr.unedic.util.temps.UniteDuree;
import java.math.BigDecimal;

public class DureeIndemnisationSecondeTranche
  extends DureeIndemnisationSecondeTrancheGen
  implements QuantiteIndemnisationSpec
{
  private static final long serialVersionUID = -1835491285829006854L;
  private static final Unite UNITE_DEFAUT = UniteDuree.JOUR;
  
  public DureeIndemnisationSecondeTranche() {}
  
  public DureeIndemnisationSecondeTranche(int p_quantiteInitial)
  {
    setQuantiteInitial(new Quantite(new BigDecimal(Integer.toString(p_quantiteInitial)), UNITE_DEFAUT));
    setQuantiteCourante(new Quantite(new BigDecimal("0"), UNITE_DEFAUT));
    setCodeFormuleMontant(FormuleMontantSecondeTranche.getCode());
  }
  
  public DureeIndemnisationSecondeTranche(DomPCSpec p_indemnisationPC)
  {
    super(p_indemnisationPC);
  }
  
  public ImputationSpec simulerImputer(Quantite p_quantite)
  {
    ImputationJour monImputation = (ImputationJour)getEtatQuantiteDroit().accepteVisiteur(new SimulateurImputeurDureeIndemnisation(this, p_quantite));
    
    return monImputation;
  }
  
  public ObjetMetierSpec copie()
  {
    DureeIndemnisationSecondeTranche copie = new DureeIndemnisationSecondeTranche();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    DureeIndemnisationSecondeTranche copie = (DureeIndemnisationSecondeTranche)p_copie;
    super.copieElements(copie);
    copie.setCodeFormuleMontant(getCodeFormuleMontant());
  }
}

/* Location:
 * Qualified Name:     DureeIndemnisationSecondeTranche
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */