package fr.unedic.cali.asu.may17.p02.calcul.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.may17.p02.calcul.dom.pc.DureeIndemnisationTroisiemeTranchePC;
import fr.unedic.cali.dom.DureeIndemnisationAbstraite;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;

public abstract class DureeIndemnisationTroisiemeTrancheGen
  extends DureeIndemnisationAbstraite
  implements DomGenSpec
{
  private String m_codeFormuleMontant;
  private Quantite m_quantiteCourante;
  
  public DureeIndemnisationTroisiemeTrancheGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public DureeIndemnisationTroisiemeTrancheGen() {}
  
  protected DomPCSpec createPC()
  {
    return new DureeIndemnisationTroisiemeTranchePC();
  }
  
  protected int rawGetEtat()
  {
    return ((DureeIndemnisationTroisiemeTranchePC)getPC()).getEtat();
  }
  
  public int getEtat()
  {
    return ((DureeIndemnisationTroisiemeTranchePC)getPC()).getEtat();
  }
  
  public void setEtat(int p_etat)
  {
    ((DureeIndemnisationTroisiemeTranchePC)getPC()).setEtat(p_etat);
  }
  
  protected String rawGetCodeFormuleMontant()
  {
    return ((DureeIndemnisationTroisiemeTranchePC)getPC()).getCodeFormuleMontant();
  }
  
  public String getCodeFormuleMontant()
  {
    return ((DureeIndemnisationTroisiemeTranchePC)getPC()).getCodeFormuleMontant();
  }
  
  public void setCodeFormuleMontant(String p_codeFormuleMontant)
  {
    if ((m_codeFormuleMontant == null) || (p_codeFormuleMontant == null))
    {
      m_codeFormuleMontant = p_codeFormuleMontant;
      ((DureeIndemnisationTroisiemeTranchePC)getPC()).setCodeFormuleMontant(p_codeFormuleMontant);
    }
    else if ((m_codeFormuleMontant != null) && (p_codeFormuleMontant != null) && (!p_codeFormuleMontant.equals(m_codeFormuleMontant)))
    {
      m_codeFormuleMontant = p_codeFormuleMontant;
      ((DureeIndemnisationTroisiemeTranchePC)getPC()).setCodeFormuleMontant(p_codeFormuleMontant);
    }
  }
  
  protected Quantite rawGetQuantiteCourante()
  {
    return ((DureeIndemnisationTroisiemeTranchePC)getPC()).getQuantiteCourante();
  }
  
  public Quantite getQuantiteCourante()
  {
    return ((DureeIndemnisationTroisiemeTranchePC)getPC()).getQuantiteCourante();
  }
  
  public void setQuantiteCourante(Quantite p_quantiteCourante)
  {
    if ((m_quantiteCourante == null) || (p_quantiteCourante == null))
    {
      m_quantiteCourante = p_quantiteCourante;
      ((DureeIndemnisationTroisiemeTranchePC)getPC()).setQuantiteCourante(p_quantiteCourante);
    }
    else if ((m_quantiteCourante != null) && (p_quantiteCourante != null) && (!p_quantiteCourante.equals(m_quantiteCourante)))
    {
      m_quantiteCourante = p_quantiteCourante;
      ((DureeIndemnisationTroisiemeTranchePC)getPC()).setQuantiteCourante(p_quantiteCourante);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     DureeIndemnisationTroisiemeTrancheGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */