package fr.unedic.cali.asu.may17.p02.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.ari.produits.liquidation.dom.Attribution;
import fr.unedic.cali.asu.may17.p02.liquidation.dom.pc.AdmissionPC;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public abstract class AdmissionGen
  extends Attribution
  implements DomGenSpec
{
  private CalendrierExecutionCalculSpec m_calendrierExecutionCalcul;
  
  public AdmissionGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public AdmissionGen() {}
  
  protected DomPCSpec createPC()
  {
    return new AdmissionPC();
  }
  
  public CalendrierExecutionCalculSpec getCalendrierExecutionCalcul()
  {
    if (m_calendrierExecutionCalcul == null)
    {
      DomPCSpec calendrierExecutionCalculPC = ((AdmissionPC)getPC()).getCalendrierExecutionCalcul();
      if (calendrierExecutionCalculPC != null) {
        m_calendrierExecutionCalcul = ((CalendrierExecutionCalculSpec)calendrierExecutionCalculPC.createOM());
      }
    }
    return m_calendrierExecutionCalcul;
  }
  
  public void setCalendrierExecutionCalcul(CalendrierExecutionCalculSpec p_calendrierExecutionCalcul)
  {
    if (p_calendrierExecutionCalcul == null)
    {
      ((AdmissionPC)getPC()).setCalendrierExecutionCalcul(null);
      m_calendrierExecutionCalcul = p_calendrierExecutionCalcul;
    }
    else if (!p_calendrierExecutionCalcul.equals(m_calendrierExecutionCalcul))
    {
      ((AdmissionPC)getPC()).setCalendrierExecutionCalcul(((DomGenSpec)p_calendrierExecutionCalcul).getPC());
      m_calendrierExecutionCalcul = p_calendrierExecutionCalcul;
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
    
    Object calendrierExecutionCalcul = getCalendrierExecutionCalcul();
    if ((calendrierExecutionCalcul != null) && (!p_contexteSuppression.isAlreadyEnlistedForDeletion(calendrierExecutionCalcul))) {
      DomManager.supprimer(getCalendrierExecutionCalcul(), p_contexteSuppression);
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     AdmissionGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */