package fr.unedic.cali.asu.may17.p02.liquidation.outilsfonctionnels;

import fr.unedic.cali.ari.dom.Demande;
import fr.unedic.cali.asu.may17.p02.liquidation.dom.Admission;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.dom.DossierExamenSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.dom.echange.Decision;
import fr.unedic.util.services.CoucheLogiqueException;
import java.math.BigDecimal;

public class AlimenterBaseEchanges
  extends fr.unedic.cali.ari.outilsfonctionnels.AlimenterBaseEchanges
{
  public static void alimenterDonneesProduit(DossierExamenSpec dossierExamen, Decision demandeEchange)
    throws CoucheLogiqueException
  {
    demandeEchange.setLigne("ASU_MAY17");
    if ((dossierExamen.getDemande().estNotifieeCourrier()) && ((dossierExamen instanceof Admission))) {
      alimenterDonneesCourrier(dossierExamen, demandeEchange);
    }
  }
  
  private static void alimenterDonneesCourrier(DossierExamenSpec dossierExamen, Decision demandeEchange)
    throws CoucheLogiqueException
  {
    Admission dossierExamenAdmission = (Admission)dossierExamen;
    
    demandeEchange.setAuMoinsUneActiviteConservee(detecterPresenceActiviteConservee(dossierExamenAdmission));
    
    demandeEchange.setMontantAllocationJournalierBrutCourrier(dossierExamenAdmission.getMontantTranche1());
    demandeEchange.setMontantCrcCourrier(dossierExamenAdmission.getMontantCrcTranche1());
    demandeEchange.setDureeTheoriqueDroitServiCourrier(dossierExamenAdmission.getDureeTranche1().intValue());
    
    demandeEchange.setMontantBrutTranche2(dossierExamenAdmission.getMontantTranche2());
    demandeEchange.setMontantCrcTranche2(dossierExamenAdmission.getMontantCrcTranche2());
    demandeEchange.setDureeTranche2(dossierExamenAdmission.getDureeTranche2().intValue());
    if (dossierExamenAdmission.getProduit().getCode() != 70)
    {
      demandeEchange.setMontantBrutTranche3(dossierExamenAdmission.getMontantTranche3());
      demandeEchange.setMontantCrcTranche3(dossierExamenAdmission.getMontantCrcTranche3());
      demandeEchange.setDureeTranche3(dossierExamenAdmission.getDureeTranche3().intValue());
    }
    demandeEchange.setMontantPensionInvaliditeAreCourrier(dossierExamenAdmission.getMontantPensionInvaliditeADeduire());
  }
  
  private static int detecterPresenceActiviteConservee(Admission dossierExamenAdmission)
    throws CoucheLogiqueException
  {
    int autreActiviteConservee = 0;
    Demande demande = (Demande)dossierExamenAdmission.getDemande();
    if (demande.getDossierAffectation().getProduit().getNom().equals("ASU_MAY17_03"))
    {
      if (OutilCalculDonneesNonPersistantes.trouverPresenceActiviteConservee(demande)) {
        autreActiviteConservee = 1;
      }
    }
    else if ((dossierExamenAdmission.getSJCInitial() != null) && (BigDecimal.ZERO.compareTo(dossierExamenAdmission.getSJCInitial()) != 0)) {
      autreActiviteConservee = 1;
    }
    return autreActiviteConservee;
  }
}

/* Location:
 * Qualified Name:     AlimenterBaseEchanges
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */