package fr.unedic.cali.asu.migration.mapping;

import fr.unedic.cali.migration.MapperDonneesSpec;
import fr.unedic.cohabitation.sigma.migration.dom.DecisionMigreeAsuV1;
import fr.unedic.cohabitation.sigma.migration.dom.DemandeMigreeAsuV1;
import fr.unedic.cohabitation.sigma.migration.dom.DemandeMigreeV1;
import fr.unedic.util.QuantiteEuro;

public class MappingMontantBrutJournalier
  implements MapperDonneesSpec
{
  public void mapper(DemandeMigreeV1 p_demandeV1)
  {
    DemandeMigreeAsuV1 demandeAsuV1 = (DemandeMigreeAsuV1)p_demandeV1;
    DecisionMigreeAsuV1 decisionAsuV1 = demandeAsuV1.getDecision();
    if (decisionAsuV1.getNatureDecision() == 11)
    {
      if (decisionAsuV1.getMontantBrut() != null)
      {
        decisionAsuV1.setMontantBrutDroitPrecedent(decisionAsuV1.getMontantBrut().getValeur());
        decisionAsuV1.setMontantBrut(null);
      }
    }
    else if (decisionAsuV1.getNatureDecision() == 26) {
      if ((decisionAsuV1.isMontantRetenuEstLePrecedent()) && 
        (decisionAsuV1.getMontantBrut() != null))
      {
        decisionAsuV1.setMontantBrutDroitPrecedent(decisionAsuV1.getMontantBrut().getValeur());
        decisionAsuV1.setMontantBrut(null);
      }
    }
  }
}

/* Location:
 * Qualified Name:     MappingMontantBrutJournalier
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */