package fr.unedic.cali.asu.migration.mapping;

import fr.unedic.cali.migration.MapperDonneesSpec;
import fr.unedic.cohabitation.sigma.migration.dom.DecisionMigreeAsuV1;
import fr.unedic.cohabitation.sigma.migration.dom.DemandeMigreeAsuV1;
import fr.unedic.cohabitation.sigma.migration.dom.DemandeMigreeV1;

public class MappingUniteAffiliation
  implements MapperDonneesSpec
{
  public void mapper(DemandeMigreeV1 p_demandeV1)
  {
    DemandeMigreeAsuV1 demandeAsuV1 = (DemandeMigreeAsuV1)p_demandeV1;
    
    String uniteUne = demandeAsuV1.getDecision().getUniteAffiliation1();
    if (uniteUne != null)
    {
      String uniteUneConvertie = convertirUniteAffiliation(uniteUne);
      if (uniteUneConvertie != null) {
        demandeAsuV1.getDecision().setUniteAffiliation1(uniteUneConvertie);
      }
    }
    String uniteDeux = demandeAsuV1.getDecision().getUniteAffiliation2();
    if (uniteDeux != null)
    {
      String uniteDeuxConvertie = convertirUniteAffiliation(uniteDeux);
      if (uniteDeuxConvertie != null) {
        demandeAsuV1.getDecision().setUniteAffiliation2(uniteDeuxConvertie);
      }
    }
  }
  
  public static String convertirUniteAffiliation(String p_unite)
  {
    String unite = null;
    if (p_unite.equalsIgnoreCase("J")) {
      unite = "11";
    } else if (p_unite.equalsIgnoreCase("V")) {
      unite = "15";
    } else if (p_unite.equalsIgnoreCase("E")) {
      unite = "16";
    } else if (p_unite.equalsIgnoreCase("H")) {
      unite = "18";
    }
    return unite;
  }
}

/* Location:
 * Qualified Name:     MappingUniteAffiliation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */