package fr.unedic.cali.asu.mnt.dom;

import fr.unedic.cali.asu.mnt.dom.gen.ConditionActiviteMaintienGen;
import fr.unedic.cali.dom.ConditionAttributionSpec;
import fr.unedic.cali.dom.ResultatElementDroit;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public class ConditionActiviteMaintien
  extends ConditionActiviteMaintienGen
  implements ConditionAttributionSpec
{
  private static final long serialVersionUID = -215497196677644643L;
  
  public ConditionActiviteMaintien() {}
  
  public ConditionActiviteMaintien(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ResultatElementDroit getResultatElementDroit()
  {
    if (super.getResultatElementDroit() == null) {
      super.setResultatElementDroit(new ResultatElementDroit());
    }
    return super.getResultatElementDroit();
  }
  
  public void jdoPreDelete() {}
  
  public void marquerGraphePersistant() {}
  
  public boolean estSatisfait()
  {
    return getResultatElementDroit().estSatisfait();
  }
  
  public int getCodeMotifEchec()
  {
    return getResultatElementDroit().getCodeMotifEchec();
  }
  
  public void setCodeMotifEchec(int p_codeMotifEchec)
  {
    getResultatElementDroit().setCodeMotifEchec(p_codeMotifEchec);
  }
  
  public void setEtatSatisfait(boolean p_etatSatisfait)
  {
    getResultatElementDroit().setEtatSatisfait(p_etatSatisfait);
  }
  
  public ObjetMetierSpec copie()
  {
    ConditionActiviteMaintien copie = new ConditionActiviteMaintien();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConditionActiviteMaintien copie = (ConditionActiviteMaintien)p_copie;
    
    copie.setQuantiteActiviteContinueCalculee(getQuantiteActiviteContinueCalculee());
    copie.setQuantiteActiviteContinueImposee(getQuantiteActiviteContinueImposee());
    copie.setQuantiteActiviteContinueRequise(getQuantiteActiviteContinueRequise());
    
    copie.setQuantiteActiviteDiscontinueCalculee(getQuantiteActiviteDiscontinueCalculee());
    copie.setQuantiteActiviteDiscontinueImposee(getQuantiteActiviteDiscontinueImposee());
    copie.setQuantiteActiviteDiscontinueRequise(getQuantiteActiviteDiscontinueRequise());
    
    copie.setQuantiteActiviteEmploiSalarieCalculee(getQuantiteActiviteEmploiSalarieCalculee());
    copie.setQuantiteActiviteEmploiSalarieImposee(getQuantiteActiviteEmploiSalarieImposee());
    copie.setQuantiteActiviteEmploiSalarieRequise(getQuantiteActiviteEmploiSalarieRequise());
    
    copie.setQuantiteActiviteIntermittentCalculee(getQuantiteActiviteIntermittentCalculee());
    copie.setQuantiteActiviteIntermittentImposee(getQuantiteActiviteIntermittentImposee());
    copie.setQuantiteActiviteIntermittentRequise(getQuantiteActiviteIntermittentRequise());
    
    copie.setCodeMotifEchec(getCodeMotifEchec());
    copie.setEtat(getEtat());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void jdoPostLoad() {}
  
  public void jdoPreClear() {}
  
  public void jdoPreStore() {}
  
  public void setEtat(int p_etat)
  {
    getResultatElementDroit().setEtat(p_etat);
  }
  
  public int getEtat()
  {
    return getResultatElementDroit().getEtat();
  }
}

/* Location:
 * Qualified Name:     ConditionActiviteMaintien
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */