package fr.unedic.cali.asu.mnt.dom;

import fr.unedic.cali.asu.mnt.dom.gen.ConditionDecisionCPMaintienGen;
import fr.unedic.cali.dom.ConditionAttributionSpec;
import fr.unedic.cali.dom.ResultatElementDroit;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public class ConditionDecisionCPMaintien
  extends ConditionDecisionCPMaintienGen
  implements ConditionAttributionSpec
{
  private static final long serialVersionUID = 3098629283817159531L;
  
  public ConditionDecisionCPMaintien() {}
  
  public ConditionDecisionCPMaintien(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public boolean estDecisionCPFavorable()
  {
    return super.isDecisionCPFavorable();
  }
  
  public boolean estDepartVolontaire()
  {
    return super.isDepartVolontaire();
  }
  
  public boolean estRefusFNE()
  {
    return super.isRefusFNE();
  }
  
  public ResultatElementDroit getResultatElementDroit()
  {
    if (super.getResultatElementDroit() == null) {
      super.setResultatElementDroit(new ResultatElementDroit());
    }
    return super.getResultatElementDroit();
  }
  
  public void jdoPreDelete() {}
  
  public void marquerGraphePersistant() {}
  
  public boolean estSatisfait()
  {
    return getResultatElementDroit().estSatisfait();
  }
  
  public int getCodeMotifEchec()
  {
    return getResultatElementDroit().getCodeMotifEchec();
  }
  
  public void setCodeMotifEchec(int p_codeMotifEchec)
  {
    getResultatElementDroit().setCodeMotifEchec(p_codeMotifEchec);
  }
  
  public void setEtatSatisfait(boolean p_etatSatisfait)
  {
    getResultatElementDroit().setEtatSatisfait(p_etatSatisfait);
  }
  
  public ObjetMetierSpec copie()
  {
    ConditionDecisionCPMaintien copie = new ConditionDecisionCPMaintien();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ConditionDecisionCPMaintien copie = (ConditionDecisionCPMaintien)p_copie;
    
    copie.setDecisionCPFavorable(estDecisionCPFavorable());
    copie.setDepartVolontaire(estDepartVolontaire());
    copie.setRefusFNE(estRefusFNE());
    
    copie.setCodeMotifEchec(getCodeMotifEchec());
    copie.setEtat(getEtat());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void jdoPostLoad() {}
  
  public void jdoPreClear() {}
  
  public void jdoPreStore() {}
  
  public void setEtat(int p_etat)
  {
    getResultatElementDroit().setEtat(p_etat);
  }
  
  public int getEtat()
  {
    return getResultatElementDroit().getEtat();
  }
}

/* Location:
 * Qualified Name:     ConditionDecisionCPMaintien
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */