package fr.unedic.cali.asu.mnt.dom;

import fr.unedic.cali.asu.mnt.dom.gen.DonneesForceesGen;
import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public class DonneesForcees
  extends DonneesForceesGen
  implements ObjetPersistantSpec
{
  private static final long serialVersionUID = 7510798763112766748L;
  public static final int ETAT_NON_DEFINI = 0;
  public static final int DECISIONCP_FAVORABLE = 1;
  public static final int DECISIONCP_DEFAVORABLE = 2;
  public static final int MOTIF_REFUS_FNE = 1;
  public static final int MOTIF_DEPART_VOLONTAIRE = 2;
  public static final int ACTIVITE_CONTINUE = 2;
  public static final int ACTIVITE_DISCONTINUE = 1;
  
  public DonneesForcees()
  {
    super.setActiviteContinue(0);
    super.setDecisionCPFavorable(0);
  }
  
  public DonneesForcees(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ObjetMetierSpec copie()
  {
    DonneesForcees copie = new DonneesForcees();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    DonneesForcees copie = (DonneesForcees)p_copie;
    
    copie.setQuantiteAppartenance(getQuantiteAppartenance());
    copie.setQuantiteActiviteTroisAns(getQuantiteActiviteTroisAns());
    copie.setQuantiteActiviteCinqAns(getQuantiteActiviteCinqAns());
    copie.setActiviteContinue(getActiviteContinue());
    copie.setDecisionCPFavorable(getDecisionCPFavorable());
    copie.setMotifDecisionCP(getMotifDecisionCP());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void jdoPostLoad() {}
  
  public void jdoPreStore() {}
  
  public void jdoPreClear() {}
  
  public void jdoPreDelete() {}
  
  public void marquerGraphePersistant() {}
  
  public boolean estActiviteContinue()
  {
    return super.getActiviteContinue() == 2;
  }
  
  public boolean estDecisionCPFavorable()
  {
    return super.getDecisionCPFavorable() == 1;
  }
  
  public boolean estMotifRefusFNE()
  {
    return super.getMotifDecisionCP() == 1;
  }
  
  public boolean estMotifDepartVolontaire()
  {
    return super.getMotifDecisionCP() == 2;
  }
}

/* Location:
 * Qualified Name:     DonneesForcees
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */