package fr.unedic.cali.asu.mnt.dom;

import fr.unedic.cali.asu.mnt.dom.gen.FormulaireMaintienGen;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.FormulaireSpec;
import fr.unedic.cali.dom.affectation.GammeMnt;
import fr.unedic.cali.dom.affectation.GammeSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public class FormulaireMaintien
  extends FormulaireMaintienGen
{
  private static final long serialVersionUID = 4143801292244230499L;
  private transient String m_rsodMaintenu;
  
  public FormulaireMaintien()
  {
    initInstance();
  }
  
  public FormulaireMaintien(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  private void initInstance()
  {
    super.setReferenceExterne("");
    setDateCreationDal(null);
  }
  
  public int getIdPec()
  {
    return -1;
  }
  
  public void jdoPreDelete() {}
  
  public GammeSpec getGamme()
  {
    return GammeMnt.getInstance();
  }
  
  public String getPresenceCarteSs()
  {
    return "";
  }
  
  public String getPresenceAe()
  {
    return "";
  }
  
  public String getDemandeLiquidable()
  {
    return "";
  }
  
  public DemandeSpec getDemande()
  {
    return null;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    FormulaireMaintien copie = (FormulaireMaintien)p_copie;
    
    super.copieElements(copie);
    copie.setDateEvenement(getDateEvenement());
    copie.setReferenceExterne(getReferenceExterne());
    copie.setRsodMaintenu(getRsodMaintenu());
  }
  
  public ObjetMetierSpec copie()
  {
    FormulaireMaintien copie = new FormulaireMaintien();
    copieElements(copie);
    return copie;
  }
  
  public void miseAjour(FormulaireSpec p_formulaire)
  {
    FormulaireMaintien formulaire = (FormulaireMaintien)p_formulaire;
    setRsodMaintenu(formulaire.getRsodMaintenu());
    setDateDepot(formulaire.getDateDepot());
    super.miseAjour(formulaire);
  }
  
  public String getRsodMaintenu()
  {
    return m_rsodMaintenu;
  }
  
  public void setRsodMaintenu(String p_rsodMaintenu)
  {
    m_rsodMaintenu = p_rsodMaintenu;
  }
}

/* Location:
 * Qualified Name:     FormulaireMaintien
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */