package fr.unedic.cali.asu.mnt.outilsfonctionnels;

import fr.unedic.cali.asu.mnt.dom.Decision;
import fr.unedic.cali.asu.mnt.dom.DossierExamen;
import fr.unedic.cali.dom.ComparateurDecisionSpec;
import fr.unedic.cali.dom.ElementComparaisonReexamen;
import fr.unedic.util.services.OutilFonctionnel;
import java.math.BigDecimal;
import java.util.ArrayList;

public class ComparateurDecision
  implements OutilFonctionnel, ComparateurDecisionSpec
{
  public static boolean estEgal(Decision p_decision1, Decision p_decision2)
  {
    boolean estEgal = false;
    if ((p_decision1 != null) && (p_decision2 != null)) {
      estEgal = decisionEgal(p_decision1, p_decision2);
    }
    return estEgal;
  }
  
  private static boolean decisionEgal(Decision p_decision1, Decision p_decision2)
  {
    if (((p_decision1.getNatureDecision() == 27) && (p_decision2.getNatureDecision() == 13)) || ((p_decision1.getNatureDecision() == 13) && (p_decision2.getNatureDecision() == 27))) {
      return true;
    }
    return p_decision1.getNatureDecision() == p_decision2.getNatureDecision();
  }
  
  public static ArrayList rechercheDifferencesComparaisonDecision(Decision p_decisionAvant, Decision p_decisionApres)
  {
    ArrayList listeDifferences = new ArrayList();
    if (!decisionEgal(p_decisionAvant, p_decisionApres)) {
      alimenterDecisionComparaisonDecision(p_decisionAvant, p_decisionApres, listeDifferences);
    }
    return listeDifferences;
  }
  
  private static void alimenterDecisionComparaisonDecision(Decision p_decisionAvant, Decision p_decisionApres, ArrayList p_liste)
  {
    String libelleElement = "Libellé Décision";
    String typeDecisionAvant = null;
    String typeDecisionApres = null;
    String libelleDecisionAvant = null;
    String libelleDecisionApres = null;
    if (p_decisionAvant != null)
    {
      typeDecisionAvant = Integer.toString(p_decisionAvant.getNatureDecision());
      libelleDecisionAvant = DossierExamen.getLibelleDecision(new BigDecimal(typeDecisionAvant));
    }
    if (p_decisionApres != null)
    {
      typeDecisionApres = Integer.toString(p_decisionApres.getNatureDecision());
      libelleDecisionApres = DossierExamen.getLibelleDecision(new BigDecimal(typeDecisionApres));
    }
    if ((typeDecisionAvant != null) && (typeDecisionApres != null)) {
      alimenterDifferences(libelleDecisionAvant, libelleDecisionApres, libelleElement, p_liste);
    }
  }
  
  private static void alimenterDifferences(Object p_valeurAvant, Object p_valeurApres, String p_libelleElement, ArrayList p_liste)
  {
    ElementComparaisonReexamen elementDecision = new ElementComparaisonReexamen(p_libelleElement, p_valeurAvant, p_valeurApres);
    p_liste.add(elementDecision);
  }
}

/* Location:
 * Qualified Name:     ComparateurDecision
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */