package fr.unedic.cali.asu.mnt.outilsfonctionnels;

import java.util.Hashtable;

public class MappeurUnitesPourMaintien
{
  public static final String CODE_UNITE_SANS_OBJET = " ";
  private static MappeurUnitesPourMaintien s_instance = null;
  private Hashtable m_correspondanceUniteReglementDureeVersAffi;
  private Hashtable m_correspondanceUniteReglementAffiVersDuree;
  
  private MappeurUnitesPourMaintien()
  {
    initCorrespondanceDureeVersAffi();
    initCorrespondanceAffiVersDuree();
  }
  
  public static MappeurUnitesPourMaintien getInstance()
  {
    if (s_instance == null) {
      s_instance = new MappeurUnitesPourMaintien();
    }
    return s_instance;
  }
  
  private void initCorrespondanceDureeVersAffi()
  {
    m_correspondanceUniteReglementDureeVersAffi = new Hashtable();
    
    m_correspondanceUniteReglementDureeVersAffi.put(constituerClefReglementUnite("RG", "4"), "11");
    m_correspondanceUniteReglementDureeVersAffi.put(constituerClefReglementUnite("A4", "3"), "18");
    
    m_correspondanceUniteReglementDureeVersAffi.put(constituerClefReglementUnite("A9A", "4"), "11");
    m_correspondanceUniteReglementDureeVersAffi.put(constituerClefReglementUnite("A9B", "4"), "11");
    
    m_correspondanceUniteReglementDureeVersAffi.put(constituerClefReglementUnite("A1", "4"), "11");
  }
  
  private void initCorrespondanceAffiVersDuree()
  {
    m_correspondanceUniteReglementAffiVersDuree = new Hashtable();
    
    m_correspondanceUniteReglementAffiVersDuree.put("RG", "4");
    m_correspondanceUniteReglementAffiVersDuree.put("A4", "3");
    
    m_correspondanceUniteReglementAffiVersDuree.put("A9A", "4");
    m_correspondanceUniteReglementAffiVersDuree.put("A9B", "4");
    
    m_correspondanceUniteReglementAffiVersDuree.put("A1", "4");
  }
  
  public String mapperUniteAffiVersUniteDuree(String p_reglement, String p_codeUnite)
  {
    String codeUniteCorrespondante = p_codeUnite;
    if ((p_reglement != null) && (m_correspondanceUniteReglementAffiVersDuree.containsKey(p_reglement))) {
      codeUniteCorrespondante = (String)m_correspondanceUniteReglementAffiVersDuree.get(p_reglement);
    }
    return codeUniteCorrespondante;
  }
  
  public String mapperUniteDureeVersUniteAffi(String p_reglement, String p_codeUnite)
  {
    String codeUniteCorrespondante = p_codeUnite;
    
    String clef = constituerClefReglementUnite(p_reglement, p_codeUnite);
    if ((p_reglement != null) && (m_correspondanceUniteReglementDureeVersAffi.containsKey(clef))) {
      codeUniteCorrespondante = (String)m_correspondanceUniteReglementDureeVersAffi.get(clef);
    }
    return codeUniteCorrespondante;
  }
  
  private String constituerClefReglementUnite(String p_reglement, String p_codeUnite)
  {
    return p_reglement + "-" + p_codeUnite;
  }
}

/* Location:
 * Qualified Name:     MappeurUnitesPourMaintien
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */