package fr.unedic.cali.asu.occasionnel.outilsfonctionnels;

import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.outilsfonctionnels.VerificationDonneesForcees;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.occasionnel.outilsfonctionnels.CriteresTraitementPopulation;
import fr.unedic.cali.occasionnel.outilsfonctionnels.ResultatTraitementPopulation;
import fr.unedic.cali.occasionnel.outilsfonctionnels.TraitementPopulationSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import fr.unedic.util.UniteMonaitaire;
import fr.unedic.util.services.ContexteException;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import java.math.BigDecimal;
import java.util.ArrayList;

public class TraitementPopulationDonneesForceesSecteurPublic
  implements TraitementPopulationSpec
{
  public ResultatTraitementPopulation effectuerTraitement(CriteresTraitementPopulation p_criteres)
  {
    ResultatTraitementPopulation resultatTraitementPopulation = new ResultatTraitementPopulation();
    
    ArrayList listeDeDemande = new ArrayList();
    resultatTraitementPopulation.setObjetsTraites(listeDeDemande);
    
    Demande demande = (Demande)p_criteres.getParametres().get(0);
    IndividuSpec individu = demande.getDemandeur();
    boolean faireTraitement = false;
    VerificationDonneesForcees verificationDonneesForcees = VerificationDonneesForcees.getInstance();
    try
    {
      verificationDonneesForcees.controlerDonneesSecteurPublic(individu, demande);
    }
    catch (ContexteException e)
    {
      if ("ASU_PR_CALI_L_CONTEXTE_ABSENCE_ELEMENTS_DROIT".equals(e.getCode())) {
        faireTraitement = true;
      }
    }
    catch (Exception e)
    {
      faireTraitement = false;
    }
    if (faireTraitement)
    {
      Damj dateEffetSp = null;
      Demande demandePrecedente = (Demande)VerificationDonneesForcees.rechercherDerniereDemandePortantDroitOuClasseeSp(individu, demande);
      if (demandePrecedente.estClasseeEnCompetenceSecteurPublic()) {
        dateEffetSp = demandePrecedente.getDateDeclenchementExamen();
      } else if (demandePrecedente.getAttribution() != null) {
        dateEffetSp = demandePrecedente.getAttribution().getDateEffet();
      } else {
        try
        {
          fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererException("PR_CALI_OBJET_NON_TROUVEE", new Object[] { "la date d'effet du Secteur public antérieur", "e" }, 3);
        }
        catch (CoucheLogiqueException ex) {}
      }
      DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
      donneesForcees.setCapitalReliquatSecteurPublic(new Quantite(0, UniteMonaitaire.EUROS));
      
      donneesForcees.setDateFgDroitAnterieurSp(dateEffetSp.veille());
      donneesForcees.setDateAttributionDroitAnterieurSp(dateEffetSp);
      donneesForcees.setDureeInitialeDroitAnterieurSp(1);
      donneesForcees.setSjrSP(new Quantite(1, Unite.get("Euros")));
      donneesForcees.setTermePrcSp(dateEffetSp.veille());
      donneesForcees.setCoefficientSaisonnierSp(new BigDecimal(1));
      donneesForcees.setCoefficientTempsPartielSp(new BigDecimal(1));
      listeDeDemande.add(demande);
    }
    return resultatTraitementPopulation;
  }
}

/* Location:
 * Qualified Name:     TraitementPopulationDonneesForceesSecteurPublic
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */