package fr.unedic.cali.asu.occasionnel.outilsfonctionnels;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.dom.Entretien;
import fr.unedic.cali.occasionnel.outilsfonctionnels.CriteresTraitementPopulation;
import fr.unedic.cali.occasionnel.outilsfonctionnels.ResultatTraitementPopulation;
import fr.unedic.cali.occasionnel.outilsfonctionnels.TraitementPopulationSpec;
import fr.unedic.util.temps.Damj;
import java.util.ArrayList;

public class TraitementPopulationICCPConservatoire
  implements TraitementPopulationSpec
{
  public ResultatTraitementPopulation effectuerTraitement(CriteresTraitementPopulation criteres)
  {
    ResultatTraitementPopulation resultatTraitementPopulation = new ResultatTraitementPopulation();
    
    ArrayList<Demande> listeDeDemande = new ArrayList();
    resultatTraitementPopulation.setObjetsTraites(listeDeDemande);
    
    Demande demande = (Demande)criteres.getParametres().get(0);
    if (estDemandeEligible(demande))
    {
      DonneesTemporaires donneesForcees = demande.getDonneesTemporaires();
      donneesForcees.setDateDepartICCP(demande.getDateAttribution());
      listeDeDemande.add(demande);
    }
    return resultatTraitementPopulation;
  }
  
  private boolean estDemandeEligible(Demande demandeAssurance)
  {
    boolean estEligible = false;
    
    boolean estUneAttribution = ((demandeAssurance.getDossierExamen() instanceof Attribution)) && (demandeAssurance.getDateAttribution() != null);
    
    boolean estDateDepartIccpForcee = (demandeAssurance.getDonneesTemporaires() != null) && (demandeAssurance.getDonneesTemporaires().getDateDepartICCP() != null);
    
    boolean estModeLiquidationRenseigne = estModeLiquidationRenseigne(demandeAssurance);
    
    boolean estActiviteRenseigneeSurEntretien = (demandeAssurance.getEntretien() != null) && (demandeAssurance.getEntretien().isAExerceActiviteSalarie());
    if ((estUneAttribution) && (!estDateDepartIccpForcee) && (estModeLiquidationRenseigne) && (estActiviteRenseigneeSurEntretien))
    {
      Damj dateFinPeriodeOrigineDiffereICCPConservatoire = demandeAssurance.getEntretien().getDateFinContrat();
      if (dateFinPeriodeOrigineDiffereICCPConservatoire.lendemain().estApres(demandeAssurance.getDateAttribution())) {
        estEligible = true;
      }
    }
    return estEligible;
  }
  
  private boolean estModeLiquidationRenseigne(Demande demandeAssurance)
  {
    return (demandeAssurance.getModeLiquidation() != null) && ((demandeAssurance.getModeLiquidation().equals("S")) || (demandeAssurance.getModeLiquidation().equals("C")));
  }
}

/* Location:
 * Qualified Name:     TraitementPopulationICCPConservatoire
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */