package fr.unedic.cali.asu.outilsfonctionnels;

import fr.unedic.cali.asu.dom.FormulaireAsu;
import fr.unedic.cali.autresdoms.cohab.dom.ObjetChronoPeriodePriseEnChargeSansFiltre;
import fr.unedic.cali.dom.ClassementAdministratif;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.FormulaireSpec;
import fr.unedic.cali.dom.Prescription;
import fr.unedic.cali.outilsfonctionnels.OutillagePEC;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;

public class ControlePrescription
{
  private static final int VINGT_QUATRE_MOIS = 24;
  public static final DureeCalendaire DELAI_PRESCRIPTION = new DureeCalendaire(0, 24);
  
  public static boolean controlerPrescription(FormulaireSpec p_formulaireAssurance)
  {
    FormulaireAsu formulaireAsu = (FormulaireAsu)p_formulaireAssurance;
    DemandeSpec demandeAsu = formulaireAsu.getDemandeAssurance();
    boolean prescriptionOk = true;
    Damj dateIde = null;
    if ((OutilDemande.estUneDemandeAreIde(demandeAsu)) || (OutilDemande.estUneDemandeAsr(demandeAsu)))
    {
      ObjetChronoPeriodePriseEnChargeSansFiltre periode = OutillagePEC.getPeriodePEC(demandeAsu.getDemandeur(), demandeAsu.getFormulaire().getIdPec());
      if ((periode != null) && (!periode.isAnnulee())) {
        dateIde = periode.getDateDebut();
      }
      Damj dateDepot = formulaireAsu.getDateDepot();
      if ((dateIde == null) && (dateDepot != null)) {
        dateIde = dateDepot;
      }
      if (dateIde != null)
      {
        if ((demandeAsu.getClassementAdministratif() != null) && (demandeAsu.getClassementAdministratif().getTypeClassement().equals("PS"))) {
          return !((Prescription)demandeAsu.getClassementAdministratif()).isValidite();
        }
        if ((dateDepot != null) && 
          (dateDepot.deplacerVersArriere(DELAI_PRESCRIPTION).estApres(dateIde)))
        {
          demandeAsu.setClassementAdministratif(new Prescription());
          prescriptionOk = false;
        }
      }
    }
    return prescriptionOk;
  }
}

/* Location:
 * Qualified Name:     ControlePrescription
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */