package fr.unedic.cali.asu.outilsfonctionnels;

import fr.pe.cali.liquidation.outilsfonctionnels.dom.ResultatImputationSuiteArce;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.fabriques.FabriqueExtinctionReliquat;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.strategies.spec.StrategieExtinctionReliquatSpec;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.OutilFonctionnel;
import fr.unedic.util.temps.Damj;

public class OutilDeterminationObjectifReprise
  implements OutilFonctionnel
{
  public static OutilDeterminationObjectifReprise getInstance()
  {
    return new OutilDeterminationObjectifReprise();
  }
  
  public Damj determineDateExtinctionReliquatSurObjectifReprise(DemandeSpec demandeCourante)
    throws CoucheLogiqueException
  {
    FabriqueExtinctionReliquat fabrique = new FabriqueExtinctionReliquat();
    CritereStrategie criteres = new CritereStrategie();
    criteres.setDatePivot(demandeCourante.getDateRecherche());
    StrategieExtinctionReliquatSpec strategie = (StrategieExtinctionReliquatSpec)fabrique.getStrategie(criteres);
    return strategie.determinerDateExtinctionReliquatSurObjectifReprise(demandeCourante);
  }
  
  public Damj determinerDateEpuisementReliquatSurObjectifRepriseSpectacle2016(DemandeAssuranceSpec demandeCourante, AttributionSpec attributionPrecedente, ResultatImputationSuiteArce resultatImputationSuiteArce)
    throws CoucheLogiqueException
  {
    Damj dateExamen = demandeCourante.getDateExamen();
    Damj dateEpuisement = null;
    if (((ProduitAsuSpec)attributionPrecedente.getProduit()).estUnProduitSansDuree())
    {
      Damj dateLimite;
      Damj dateLimite;
      if ((resultatImputationSuiteArce != null) && (resultatImputationSuiteArce.isDateLimiteImputee())) {
        dateLimite = resultatImputationSuiteArce.getNouvelleDateLimiteIndemnisation();
      } else {
        dateLimite = ((AttributionAssuranceSpec)attributionPrecedente).getDateLimiteIndemnisation();
      }
      if ((dateLimite != null) && (dateLimite.estAvant(dateExamen))) {
        dateEpuisement = dateLimite;
      }
    }
    return dateEpuisement;
  }
  
  public boolean determinePriseEnCompteObjectifReprise(DemandeSpec demandeCourante)
    throws CoucheLogiqueException
  {
    if (determineDateExtinctionReliquatSurObjectifReprise(demandeCourante) != null) {
      return false;
    }
    return true;
  }
}

/* Location:
 * Qualified Name:     OutilDeterminationObjectifReprise
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */