package fr.unedic.cali.asu.outilsfonctionnels;

import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.dom.Sjc;
import fr.unedic.cali.asu.dom.Sjm;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.SjripSpec;
import fr.unedic.cali.dom.SalaireJournalierSpec;
import fr.unedic.util.QuantiteEuro;

public class OutilMappingSjmSjr
{
  public static Sjr creerSjr(SalaireJournalierSpec p_sj)
  {
    Sjr sjrRetour = new Sjr(p_sj.getSalaire(), p_sj.getDateDepart(), p_sj.getContexteParticulier());
    sjrRetour.setRevalorise(p_sj.estRevalorise());
    return sjrRetour;
  }
  
  public static Sjm creerSjm(SalaireJournalierSpec p_sj)
  {
    Sjm sjmRetour = new Sjm(p_sj.getSalaire(), p_sj.getDateDepart());
    sjmRetour.setRevalorise(p_sj.estRevalorise());
    return sjmRetour;
  }
  
  public static Sjc creerSjc(SalaireJournalierSpec p_sj)
  {
    Sjc sjcRetour = new Sjc(p_sj.getSalaire(), p_sj.getDateDepart(), p_sj.getContexteParticulier());
    sjcRetour.setRevalorise(p_sj.estRevalorise());
    return sjcRetour;
  }
  
  public static Sjr convertirSjr(SalaireJournalierSpec p_sj)
  {
    if ((p_sj instanceof Sjr)) {
      return (Sjr)p_sj;
    }
    return creerSjr(p_sj);
  }
  
  public static Sjm convertirSjm(SalaireJournalierSpec p_sj)
  {
    if ((p_sj instanceof Sjm)) {
      return (Sjm)p_sj;
    }
    return creerSjm(p_sj);
  }
  
  public static Sjc convertirSjc(SalaireJournalierSpec p_sj)
  {
    if ((p_sj instanceof Sjc)) {
      return (Sjc)p_sj;
    }
    return creerSjc(p_sj);
  }
  
  public static ElementBaseIndemnisation creerElementBaseIndeminisationSjrip(SjripSpec p_sjrip)
  {
    ElementBaseIndemnisation ebi = new ElementBaseIndemnisation();
    ebi.setSjr(new Sjr(p_sjrip.getSjrInitial().getValeur(), p_sjrip.getDateEffet(), p_sjrip.getContexteParticulierSjr()));
    return ebi;
  }
}

/* Location:
 * Qualified Name:     OutilMappingSjmSjr
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */