package fr.unedic.cali.asu.outilsfonctionnels;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.SaisieAntecedent;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.outilsfonctionnels.GestionnaireErreur;
import fr.unedic.cali.outilsfonctionnels.OutilVerificationPreconditions;
import fr.unedic.cali.outilsfonctionnels.OutillagePEC;
import fr.unedic.util.services.CoucheLogiqueException;

public class OutilVerificationPreconditionsAntecedent
  extends OutilVerificationPreconditions
{
  public static OutilVerificationPreconditions getInstance()
  {
    return new OutilVerificationPreconditionsAntecedent();
  }
  
  protected void verifierTypePriseEnChargeMayotte(DemandeSpec p_demandePrestationsCourante)
    throws CoucheLogiqueException
  {
    IndividuSpec demandeur = p_demandePrestationsCourante.getDemandeur();
    
    Demande demande = (Demande)p_demandePrestationsCourante;
    if ((demande.getSaisieAntecedent() == null) || (!demande.getSaisieAntecedent().estAntecedentMayotte())) {
      if (OutillagePEC.estPecMayotte(demandeur, p_demandePrestationsCourante.getDateExamen())) {
        GestionnaireErreur.getInstance().genererCoucheLogiqueException("HG_PR_CALI_L_CONTEXTE_PEC_MAYOTTE", new Object[] { p_demandePrestationsCourante.getDateExamen() });
      }
    }
  }
}

/* Location:
 * Qualified Name:     OutilVerificationPreconditionsAntecedent
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */