package fr.unedic.cali.asu.outilsfonctionnels;

import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.CarenceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.asu.produits.liquidation.dom.TrancheExecutable;
import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.cali.outilsfonctionnels.TracesBouchon;
import fr.unedic.util.Quantite;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

public final class OutilsTrancheCalcul
{
  public static List getListeDurees(Attribution attribution)
  {
    ArrayList listeDurees = new ArrayList();
    TrancheExecutable trancheInitiale = recupererTrancheInitiale(attribution);
    
    Quantite dureeTheorique = trancheInitiale.getDuree(1);
    if (dureeTheorique != null) {
      listeDurees.add(((ProduitAsuSpec)attribution.getProduit()).creerDureeCalculTranche(dureeTheorique));
    }
    Demande demande = (Demande)attribution.getDemande();
    if (OutilsChomageSansRCT.estDemandeEnContexteDeChomageEnCoursDeSuspension(demande))
    {
      fr.unedic.cali.asu.produits.liquidation.dom.DureeProlongation dureeProlongation = new fr.unedic.cali.asu.produits.liquidation.dom.DureeProlongation();
      listeDurees.add(dureeProlongation.creerDureeCalcul());
    }
    if (trancheInitiale.isEligibleAllongementAREF())
    {
      Quantite dureeAllongement = trancheInitiale.getDuree(3);
      fr.unedic.cali.asu.calcul.dom.DureeProlongation dureeProlongation = new fr.unedic.cali.asu.calcul.dom.DureeProlongation(dureeAllongement.getValeurEntiere());
      listeDurees.add(dureeProlongation);
    }
    return listeDurees;
  }
  
  public static TrancheExecutable recupererTrancheInitiale(AttributionSpec attribution)
  {
    TracesBouchon.ecrireTrace();
    return (TrancheExecutable)((Attribution)attribution).getListTranchesExecutables().get(0);
  }
  
  public static boolean estTrancheActive(AttributionSpec attribution)
  {
    if ((attribution.getProduit() instanceof ProduitAsuSpec)) {
      return ((ProduitAsuSpec)attribution.getProduit()).estTrancheActivee(attribution.getDemande());
    }
    return false;
  }
  
  public static ElementBaseIndemnisation recupererEBICalcul(ConstituantsIndemnisation constituantsIndemnisation)
  {
    return (ElementBaseIndemnisation)constituantsIndemnisation.getElementBaseIndemnisationCourant();
  }
  
  public static CarenceSpec recupererDelai(AttributionSpec attribution, String constanteCarence)
  {
    if (estTrancheActive(attribution))
    {
      TrancheExecutable tranche = recupererTrancheInitiale(attribution);
      return OutilCarence.trouverCarence(tranche.getCollectionDelaisReports(), constanteCarence);
    }
    Collection<?> listeCarrence = ((AttributionAssuranceSpec)attribution).getListeCarences();
    return OutilCarence.trouverCarence(listeCarrence, constanteCarence);
  }
}

/* Location:
 * Qualified Name:     OutilsTrancheCalcul
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */