package fr.unedic.cali.asu.outilsfonctionnels.condition.cumulactiviteconservee;

import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.autresdoms.ga.dom.spec.PeriodeGaecSpec;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.DecisionSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.OdAssuranceSpec;
import fr.unedic.cali.dom.affectation.GammeInr;
import fr.unedic.cali.outilsfonctionnels.OutilAttribution;
import fr.unedic.cali.utilitaire.filtres.generiques.FiltreAttributionSurDecisions;
import fr.unedic.cali.utilitaire.filtres.generiques.FiltreDecisionPourProduit;
import fr.unedic.cali.utilitaire.filtres.logiques.FiltreET;
import fr.unedic.cali.utilitaire.outils.OutilRecherche;
import fr.unedic.util.services.OutilFonctionnel;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;

public class RechercheConditionCumulActiviteConservee
  implements OutilFonctionnel
{
  public static RechercheConditionCumulActiviteConservee getInstance()
  {
    return new RechercheConditionCumulActiviteConservee();
  }
  
  public boolean estPansSurArceOuvertSurDroitToujoursEnCours(Demande demande)
  {
    boolean estToujoursEnCours = false;
    if (!demande.getDonneesTemporaires().isEstLeveeControlePANSSuiteARCE())
    {
      FiltreET filtre = new FiltreET();
      filtre.ajouterFiltre(new FiltreAttributionSurDecisions(true));
      filtre.ajouterFiltre(new FiltreDecisionPourProduit("INR_RCE04_01"));
      DecisionSpec decisionPrecedente = OutilRecherche.rechercherDecisionPrecedente(demande.getDemandeur().getChronoDemandesNonTriees(), demande, filtre);
      if ((decisionPrecedente != null) && ((decisionPrecedente instanceof AttributionSpec)))
      {
        String idPansArce = GammeInr.getInstance().getIdActiviteLiee(decisionPrecedente.getDemande());
        PeriodeGaecSpec pansArce = demande.getDemandeur().rechercherPeriodePasseProfessionnel(idPansArce);
        if (pansArce != null)
        {
          AttributionSpec attributionAre = OutilAttribution.getInstance().rechercherAttributionARELiee(demande.getDemandeur(), pansArce.getDateDebut());
          
          estToujoursEnCours = (attributionAre != null) && (((AttributionAssuranceSpec)attributionAre).getOuvertureDroit().getRsod().equals(demande.getAttribution().getOuvertureDroit().getRsod())) && (demande.getDateExamen().estContenueDans(new Periode(pansArce.getDateDebut(), pansArce.getDateFin())));
        }
      }
    }
    return estToujoursEnCours;
  }
}

/* Location:
 * Qualified Name:     RechercheConditionCumulActiviteConservee
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */