package fr.unedic.cali.asu.outilsfonctionnels.examenfileau;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.ConditionQuantiteAffiliationSpec;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.dom.DossierExamenAssuranceSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.RejetSpec;
import fr.unedic.cali.dom.affectation.GammeSpec;
import fr.unedic.cali.parcours.DomLiquidationDemande;
import fr.unedic.cali.parcours.ParcoursLiquidation;
import fr.unedic.cali.parcours.ResultatServiceDemande;
import fr.unedic.util.services.Contexte;

public class EtudeDemandeExamenFilEau
{
  private static EtudeDemandeExamenFilEau s_instance = null;
  public static final int RESULTAT_LIQUIDATION_OK = 0;
  public static final int RESULTAT_LIQUIDATION_KO_AFFI = 1;
  public static final int RESULTAT_LIQUIDATION_KO_AUTRE = 2;
  
  public static EtudeDemandeExamenFilEau getInstance()
  {
    if (s_instance == null) {
      s_instance = new EtudeDemandeExamenFilEau();
    }
    return s_instance;
  }
  
  public int donnerResultatLiquidation(DemandeAssuranceSpec p_demande)
  {
    int resultatDemandeLiquidee = 2;
    if (p_demande != null)
    {
      DossierExamenAssuranceSpec dossierExamen = (DossierExamenAssuranceSpec)p_demande.getDossierExamen();
      if ((dossierExamen instanceof RejetSpec))
      {
        if ((dossierExamen.getConditionQuantiteAffiliation() != null) && (!dossierExamen.getConditionQuantiteAffiliation().estSatisfait())) {
          resultatDemandeLiquidee = 1;
        }
        if ((p_demande.estUneDemandeAreEfe()) && (dossierExamen.estRejetDV())) {
          resultatDemandeLiquidee = 0;
        }
      }
      else
      {
        resultatDemandeLiquidee = 0;
      }
    }
    return resultatDemandeLiquidee;
  }
  
  public ResultatServiceDemande lancerEtudeDemande(DemandeAssuranceSpec p_demande)
    throws ApplicativeException
  {
    DomLiquidationDemande domContexte = null;
    Contexte contexteParcours = null;
    ParcoursLiquidation parcoursLiquidationDemande = null;
    
    domContexte = p_demande.getGamme().creerDomLiquidationDemande();
    domContexte.setDemande(p_demande);
    domContexte.setIdDemande(p_demande.getIdentifiant());
    domContexte.setIndividu(p_demande.getDemandeur());
    domContexte.setContexteService(p_demande.getDemandeur().getContexteService());
    contexteParcours = new Contexte();
    contexteParcours.setDonnees(domContexte);
    
    parcoursLiquidationDemande = p_demande.getGamme().getParcoursLiquidation(p_demande);
    return (ResultatServiceDemande)parcoursLiquidationDemande.effectuerParcours(contexteParcours);
  }
}

/* Location:
 * Qualified Name:     EtudeDemandeExamenFilEau
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */