package fr.unedic.cali.asu.outilsfonctionnels.filtre;

import fr.unedic.cali.asu.dom.ConditionQuantiteAffiliationSpec;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.dom.DossierExamenAssuranceSpec;
import fr.unedic.cali.dom.RejetSpec;
import fr.unedic.util.temps.FiltreTemporel;
import fr.unedic.util.temps.Temporel;

public class FiltreRejetPourAffiInsuffisante
  implements FiltreTemporel
{
  private static final long serialVersionUID = 7963345732336008733L;
  
  public boolean accepter(Temporel p_temporel)
  {
    boolean rejetPourAffiInsuffisante = false;
    DossierExamenAssuranceSpec dossierExamen = (DossierExamenAssuranceSpec)((DemandeAssuranceSpec)p_temporel).getDossierExamen();
    if ((dossierExamen != null) && ((dossierExamen instanceof RejetSpec)) && (dossierExamen.getConditionQuantiteAffiliation() != null) && (!dossierExamen.getConditionQuantiteAffiliation().estSatisfait())) {
      rejetPourAffiInsuffisante = true;
    } else {
      rejetPourAffiInsuffisante = false;
    }
    return rejetPourAffiInsuffisante;
  }
}

/* Location:
 * Qualified Name:     FiltreRejetPourAffiInsuffisante
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */