package fr.unedic.cali.asu.outilsfonctionnels.liquidationauto;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.archi.util.trace.Niveau;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierExamenAssuranceSpec;
import fr.unedic.cali.asu.outilsfonctionnels.OutilMotifEchec;
import fr.unedic.cali.dom.DecisionSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.NaturesDecisions;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ResultatServiceDemande;
import fr.unedic.util.services.Contexte;

public class OutilLiquidationAutomatiqueDvFilEau
  extends OutilLiquidationAutomatiqueAbstrait
{
  public void demarerLiquidationAutomatique(DemandeSpec demande, Contexte contexte)
  {
    sauvegarderEtatDemandes(demande.getDemandeur());
    try
    {
      ResultatServiceDemande resultatLiquidation = liquiderDemande(demande, true);
      
      traiterResultatLiquidationDemandeDvFilDeLEau(resultatLiquidation, contexte);
    }
    catch (Exception e)
    {
      OutilFonctionnelTraitementsErreurs outilTraitementErreurs = recupererOutilTraitementErreurs();
      outilTraitementErreurs.nettoyerDemande(demande);
      OutilTrace.ecrireTrace(Niveau.DEBUG, new Object[] { e });
    }
    finally
    {
      demande.supprimerDossiersAffectations();
    }
  }
  
  private void traiterResultatLiquidationDemandeDvFilDeLEau(ResultatServiceDemande resultat, Contexte contexte)
    throws ApplicativeException
  {
    Demande demande = (Demande)resultat.getDemande();
    
    DossierExamenAssuranceSpec dossierExamen = (DossierExamenAssuranceSpec)demande.getDossierExamen();
    DecisionSpec decision = (DecisionSpec)dossierExamen;
    int natureDecision = decision.getNatureDecision();
    boolean demandeAValider = false;
    if ((NaturesDecisions.estdeTypeReprise(natureDecision)) || (NaturesDecisions.estdeTypePoursuite(natureDecision)))
    {
      demandeAValider = true;
      demande.setNotifieeCourrier(false);
    }
    if ((NaturesDecisions.estdeTypeRejet(natureDecision)) && (dossierExamen.estRejetDV()))
    {
      demandeAValider = true;
      
      demande.setNotifieeCourrier(true);
      demande.setLiquideeEnEtat(true);
      int motifEchec = OutilMotifEchec.retournerPremierMotifEchec(dossierExamen.getListConditionsAttribution());
      demande.setCodeMotifEchecPourSigma(String.valueOf(motifEchec));
    }
    if (demandeAValider)
    {
      demande.validerDecision();
      demande.definirDateValidation(getDateTraitement(contexte));
    }
    else
    {
      OutilFonctionnelTraitementsErreurs outilTraitementErreurs = OutilFonctionnelTraitementsErreurs.getInstance();
      outilTraitementErreurs.nettoyerDemande(demande);
    }
  }
}

/* Location:
 * Qualified Name:     OutilLiquidationAutomatiqueDvFilEau
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */