package fr.unedic.cali.asu.outilsfonctionnels.liquidationauto;

import fr.unedic.archi.util.trace.Niveau;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.CoucheLogiqueException;

public class OutilLiquidationAutomatiqueRechargement
  extends OutilLiquidationAutomatiqueAbstrait
{
  public void demarerLiquidationAutomatique(DemandeSpec demande, Contexte contexte)
  {
    sauvegarderEtatDemandes(demande.getDemandeur());
    OutilFonctionnelTraitementsErreurs outilTraitementErreurs = recupererOutilTraitementErreurs();
    try
    {
      demande.setDecisionAuto(true);
      liquiderDemande(demande, true);
      demande.setNotifieeCourrier(true);
      demande.setDateDerniereNotification(getDateTraitement(contexte));
      validerDecision(demande, contexte);
    }
    catch (CoucheLogiqueException exceptionCoucheLogique)
    {
      outilTraitementErreurs.nettoyerDemande(demande);
      if (outilTraitementErreurs.estBlocageLieAContexteNonEligibiliteNPDE(exceptionCoucheLogique)) {
        demande.setCodeAttente("R");
      }
    }
    catch (Exception exception)
    {
      outilTraitementErreurs.nettoyerDemande(demande);
      OutilTrace.ecrireTrace(Niveau.DEBUG, new Object[] { exception });
    }
    finally
    {
      demande.supprimerDossiersAffectations();
    }
  }
}

/* Location:
 * Qualified Name:     OutilLiquidationAutomatiqueRechargement
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */