package fr.unedic.cali.asu.outilsfonctionnels.liquidationsimplifiee.fabrique;

import fr.unedic.cali.asu.outilsfonctionnels.liquidationsimplifiee.strategie.StrategieAffiliationLiquidationSimplifieeApres;
import fr.unedic.cali.asu.outilsfonctionnels.liquidationsimplifiee.strategie.StrategieAffiliationLiquidationSimplifieeAvant;
import fr.unedic.cali.fabriques.FabriqueConvention2014;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FabriqueStrategieAffiliationLiquidationSimplifiee
  extends FabriqueConvention2014
{
  private static FabriqueStrategieAffiliationLiquidationSimplifiee s_instance = new FabriqueStrategieAffiliationLiquidationSimplifiee();
  
  public static FabriqueStrategieAffiliationLiquidationSimplifiee getInstance()
  {
    return s_instance;
  }
  
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
    throws CoucheLogiqueException
  {
    StrategieSpec retour = null;
    
    Damj datePivot = p_critereStrategie.getDatePivot();
    if (datePivot == null) {
      throw new UnsupportedOperationException("FabriqueStrategieContexteRepriseSystematique : la date pivot est null.");
    }
    if (datePivot.estApresOuCoincideAvec(DATE_APPLICATION)) {
      retour = getStrategieApres();
    } else {
      retour = getStrategieAvant();
    }
    return retour;
  }
  
  protected StrategieSpec getStrategieAvant()
  {
    return new StrategieAffiliationLiquidationSimplifieeAvant();
  }
  
  protected StrategieSpec getStrategieApres()
  {
    return new StrategieAffiliationLiquidationSimplifieeApres();
  }
}

/* Location:
 * Qualified Name:     FabriqueStrategieAffiliationLiquidationSimplifiee
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */