package fr.unedic.cali.asu.outilsfonctionnels.strategies;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.SaisieAntecedent;
import fr.unedic.cali.dom.spec.ConventionGestionSpec;
import fr.unedic.util.services.CoucheLogiqueException;

public class StrategieConventionGestionPEApres
  implements StrategieConventionGestionPESpec
{
  public void verifierConventionGestionPoleEmploi(ConventionGestionSpec p_conventionGestion)
    throws CoucheLogiqueException
  {
    if ("556".equals(p_conventionGestion.getNumeroConventionGestion())) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ERR_CONVENTION_GESTION_PE_APRES");
    }
  }
  
  public void verifierConventionGestionPoleEmploiForceePourAntecedent(String p_numeroConventionGestion, Demande p_demande)
    throws CoucheLogiqueException
  {
    if ("556".equals(p_numeroConventionGestion))
    {
      String numeroConventionPEForcee = p_demande.getSaisieAntecedent().getEtablissementFinanceur();
      String codeAffectationPEForcee = p_demande.getSaisieAntecedent().getCodeAffectation();
      if ((numeroConventionPEForcee == null) && (codeAffectationPEForcee == null)) {
        fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ERR_CONVENTION_GESTION_PE_A_FORCER");
      }
    }
  }
}

/* Location:
 * Qualified Name:     StrategieConventionGestionPEApres
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */