package fr.unedic.cali.asu.outilsfonctionnels.strategies;

import fr.unedic.cali.affectation.parametres.AccesDecorReglementaire;
import fr.unedic.cali.affectation.parametres.CriteresQualification;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.outilsfonctionnels.strategies.spec.StrategiePositionnementCriteresQualificationSpec;
import fr.unedic.cali.dom.ConteneurAccesDecorReglementaire;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.Individu;
import fr.unedic.cali.dom.affectation.DecorReglementaire;

public class StrategiePositionnementCriteresQualificationApresConvention2014
  implements StrategiePositionnementCriteresQualificationSpec
{
  public void positionnerCriteresQualifications(ConteneurAccesDecorReglementaire pConteneur, DecorReglementaire pDecor)
  {
    if (besoinPositionnerCriteresQualifications(pConteneur))
    {
      Demande demande = (Demande)pConteneur.getDemande();
      
      boolean isCoordCee = demande.getDonneesTemporaires() != null ? demande.getDonneesTemporaires().isEstCoordCee() : false;
      CriteresQualification criteresQualification = null;
      if (pConteneur.getDernierSinistre() != null) {
        criteresQualification = new CriteresQualification(pDecor, pConteneur.getDernierSinistre(), isCoordCee);
      } else {
        criteresQualification = new CriteresQualification(pDecor, pConteneur.getDemande().getDateRecherche(), isCoordCee, false);
      }
      AccesDecorReglementaire.getInstance().positionnerCriteresQualifSurPas(criteresQualification, (Individu)demande.getDemandeur());
    }
  }
  
  private boolean besoinPositionnerCriteresQualifications(ConteneurAccesDecorReglementaire pConteneur)
  {
    Demande demande = (Demande)pConteneur.getDemande();
    return (pConteneur.isBesoinCritereQualif()) || ((demande != null) && (!((Individu)demande.getDemandeur()).isCriteresQualificationPositionnes()));
  }
}

/* Location:
 * Qualified Name:     StrategiePositionnementCriteresQualificationApresConvention2014
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */