package fr.unedic.cali.asu.outilsfonctionnels.strategies;

import fr.unedic.cali.autresdoms.cohab.dom.ObjetChronoPeriodePriseEnCharge;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.ContexteUT;
import fr.unedic.cali.calcul.outilsfonctionnels.dom.PeriodesPriseEnCompte;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.outilsfonctionnels.OutillagePEC;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.ObjetChronoPeriodeConcrete;
import fr.unedic.util.temps.Periode;

public class StrategieReglesArSurCiPuisRepriseAsuApresMEP10SI2
  implements StrategieReglesArSurCiPuisRepriseAsuSpec
{
  public void filtrePriseEnComptePeriodesActiviteSurUT(PeriodesPriseEnCompte p_periodesPriseEnCompte, Periode p_periodeUT, ContexteUT p_contexteUT, AttributionSpec p_attribution)
  {
    ChronologiePeriodes chronoPriseEnComptePeriodesGelantes = p_periodesPriseEnCompte.getPeriodesParTypologie(4);
    
    Chronologie periodesPEC = OutillagePEC.getChronologiePecsDemandeurEmploiSurPeriode(p_attribution.getDemandeur(), p_periodeUT);
    
    periodesPEC.iterer();
    Damj dateDebutPeriodePriseEnCompteSurUT = null;
    Damj dateFinPeriodePriseEnCompteSurUT = null;
    while (periodesPEC.encoreSuivant())
    {
      ObjetChronoPeriodePriseEnCharge pec = (ObjetChronoPeriodePriseEnCharge)periodesPEC.elementSuivant();
      if (pec.getDateDebut().estAvantOuCoincideAvec(p_periodeUT.getDebut())) {
        dateDebutPeriodePriseEnCompteSurUT = p_periodeUT.getDebut();
      } else {
        dateDebutPeriodePriseEnCompteSurUT = pec.getDateDebut();
      }
      if (pec.getDateFin().estAvantOuCoincideAvec(p_periodeUT.getFin())) {
        dateFinPeriodePriseEnCompteSurUT = pec.getDateFin();
      } else {
        dateFinPeriodePriseEnCompteSurUT = p_periodeUT.getFin();
      }
      if ((dateDebutPeriodePriseEnCompteSurUT != null) && (dateFinPeriodePriseEnCompteSurUT != null))
      {
        ObjetChronoPeriodeConcrete periodeConcrete = new ObjetChronoPeriodeConcrete(dateDebutPeriodePriseEnCompteSurUT, dateFinPeriodePriseEnCompteSurUT);
        chronoPriseEnComptePeriodesGelantes.ajouter(periodeConcrete);
      }
      dateDebutPeriodePriseEnCompteSurUT = null;
      dateFinPeriodePriseEnCompteSurUT = null;
    }
    if (!chronoPriseEnComptePeriodesGelantes.estVide()) {
      chronoPriseEnComptePeriodesGelantes.fusionnerChevauchementPeriodes();
    }
  }
}

/* Location:
 * Qualified Name:     StrategieReglesArSurCiPuisRepriseAsuApresMEP10SI2
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */