package fr.unedic.cali.asu.parametres;

import fr.unedic.cali.dom.evenements.Anniversaire50Ans;
import fr.unedic.cali.dom.evenements.Anniversaire55Ans;
import fr.unedic.cali.dom.evenements.Anniversaire60Ans;
import fr.unedic.util.temps.DureeCalendaire;
import java.math.BigDecimal;
import java.util.HashMap;

public class AccesTauxAvantageVieillesse
  extends AccesParametreIdemnisation
{
  private static final int CINQUANTE_ANS = 50;
  private static final int CINQUANTE_CINQ_ANS = 55;
  private static final int SOIXANTE_ANS = 60;
  
  public AccesTauxAvantageVieillesse()
  {
    initialiser();
  }
  
  public BigDecimal getTauxAvantageViellesse(DureeCalendaire p_age)
  {
    int ageEnAnnee = p_age.getAnnees();
    BigDecimal leTaux = null;
    if (ageEnAnnee < 50) {
      leTaux = null;
    } else if (ageEnAnnee < 55) {
      leTaux = (BigDecimal)m_table.get(Anniversaire50Ans.class);
    } else if (ageEnAnnee < 60) {
      leTaux = (BigDecimal)m_table.get(Anniversaire55Ans.class);
    } else {
      leTaux = (BigDecimal)m_table.get(Anniversaire60Ans.class);
    }
    return leTaux;
  }
  
  protected void initialiser()
  {
    m_table.put(Anniversaire50Ans.class, new BigDecimal("0.25"));
    m_table.put(Anniversaire55Ans.class, new BigDecimal("0.50"));
    m_table.put(Anniversaire60Ans.class, new BigDecimal("0.75"));
  }
  
  public void remplir(EvenementParametre p_evenement, DateAcces p_dateAcces) {}
}

/* Location:
 * Qualified Name:     AccesTauxAvantageVieillesse
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */