package fr.unedic.cali.asu.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.dom.ValidationProduit;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.affectation.ProduitSpec;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;
import fr.unedic.util.temps.Damj;

public class AffectationDemandeASUFinancement
  extends AffectationDemandeASUClassique
{
  public Resultat demarrer(Contexte contexte)
    throws ApplicativeException
  {
    super.demarrer(contexte);
    
    Demande demandeAssurance = getDemande(contexte);
    DossierAffectation dossierAffectation = (DossierAffectation)demandeAssurance.getDossierAffectation();
    
    ValidationProduit validationProduitRetour = dossierAffectation.getValidationProduit();
    if ((validationProduitRetour == null) || (!validationProduitRetour.isEstProduitValide()))
    {
      if ((dossierAffectation.getProduitSecours() != null) && (!estProduitGere(dossierAffectation.getProduitSecours().getCode())))
      {
        String dateEngagementProcedure = "?";
        if (dossierAffectation.getSinistre() != null)
        {
          ActiviteSalarie periodeValidationProduit = (ActiviteSalarie)demandeAssurance.getDemandeur().rechercherPeriodePasseProfessionnel(dossierAffectation.getSinistre().getIdentifiant());
          dateEngagementProcedure = recupererDateEngagementProcedure(periodeValidationProduit, dateEngagementProcedure);
        }
        fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_FINANCEMENT_PAS_GERE", new Object[] { dateEngagementProcedure });
      }
    }
    else if (!estProduitGere(validationProduitRetour.getReglementApplicable().getProduit().getCode())) {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_FINANCEMENT_PAS_GERE", new Object[] { validationProduitRetour.getPeriodeValidationProduit().getDateEngagementProcedureLicenciement() });
    }
    return new Resultat(0);
  }
  
  private String recupererDateEngagementProcedure(ActiviteSalarie periodeValidationProduit, String dateEngagementProcedureParDefaut)
  {
    String dateEngagementProcedure = dateEngagementProcedureParDefaut;
    if (periodeValidationProduit.getDateEngagementProcedureLicenciement() != null) {
      dateEngagementProcedure = periodeValidationProduit.getDateEngagementProcedureLicenciement().toString();
    }
    return dateEngagementProcedure;
  }
  
  boolean estProduitGere(int code)
  {
    boolean estProduitCgeAre14 = (code == 60) || (code == 62);
    
    boolean estProduitCgeAre09ou11 = (code == 31) || (code == 48);
    
    boolean estProduitCge = (estProduitCgeAre09ou11) || (estProduitCgeAre14) || (code == 72);
    
    return (estProduitCge) || (code == 45);
  }
}

/* Location:
 * Qualified Name:     AffectationDemandeASUFinancement
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */