package fr.unedic.cali.asu.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.outilsfonctionnels.OutilTranchesExecutables;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.DomLiquidationDemande;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;
import java.math.BigDecimal;

public class ParcoursAlimentationTranchesExecutables
  extends ParcoursCali
{
  public static final BigDecimal VALEUR_ZERO = new BigDecimal(0);
  
  public Resultat demarrer(Contexte p_contexte)
    throws ApplicativeException
  {
    OutilTrace.tracerDebutParcours();
    
    AttributionAssuranceSpec attribution = (AttributionAssuranceSpec)getDemande(p_contexte).getDossierExamen();
    
    OutilTranchesExecutables.alimenterTranches(attribution);
    
    OutilTrace.tracerFinParcours();
    return new Resultat();
  }
  
  protected Demande getDemande(Contexte p_contexte)
  {
    return (Demande)((DomLiquidationDemande)p_contexte.getDonnees()).getDemandeSpec();
  }
}

/* Location:
 * Qualified Name:     ParcoursAlimentationTranchesExecutables
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */