package fr.unedic.cali.asu.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.dom.AgregatGaec;
import fr.unedic.cali.dom.AppelGaecReduit;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.DonneesChargementGaec;
import fr.unedic.cali.dom.Individu;
import fr.unedic.cali.dom.IndividuSpec;
import fr.unedic.cali.dom.affectation.GammeSpec;
import fr.unedic.cali.parcours.AccesDonneesGaecException;
import fr.unedic.cali.parcours.DomCali;
import fr.unedic.cali.parcours.DomLiquidationDemande;
import fr.unedic.cali.parcours.ParcoursLiquidation;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteException;
import fr.unedic.util.services.Resultat;
import java.util.ArrayList;
import java.util.Collection;

public class ParcoursServiceLiquidationAssurance
  extends ParcoursLiquidation
{
  ParcoursLiquidationAssurance m_parcoursAExecuter;
  
  public void controlerContexte(Contexte p_contexte)
    throws ContexteException
  {
    DomLiquidationDemande dom = (DomLiquidationDemande)p_contexte.getDonnees();
    if (dom.getDemandeSpec() == null)
    {
      DemandeAssuranceSpec demandeAssuranceCourante = (DemandeAssuranceSpec)getIndividu(p_contexte).rechercherDemande(getIdDemande(p_contexte));
      
      dom.setDemande(demandeAssuranceCourante);
    }
    getParcoursAExecuter(p_contexte).controlerContexte(p_contexte);
  }
  
  public Resultat demarrerParcours(Contexte p_contexte)
    throws ApplicativeException
  {
    return getParcoursAExecuter(p_contexte).effectuerParcours(p_contexte);
  }
  
  private ParcoursLiquidationAssurance getParcoursAExecuter(Contexte p_contexte)
  {
    if (m_parcoursAExecuter == null)
    {
      DemandeSpec demande = getDemande(p_contexte);
      m_parcoursAExecuter = ((ParcoursLiquidationAssurance)demande.getGamme().getParcoursLiquidation(demande));
    }
    return m_parcoursAExecuter;
  }
  
  public IndividuSpec getIndividu(Contexte p_contexte)
  {
    DomCali domCali = (DomCali)p_contexte.getDonnees();
    return domCali.getIndividu();
  }
  
  private String getIdDemande(Contexte p_contexte)
  {
    return ((DomLiquidationDemande)p_contexte.getDonnees()).getIdDemande();
  }
  
  protected int getModeChargementDebrayageDossiersLourds(Individu p_individu)
  {
    return 2;
  }
  
  protected void alimenterAgregatGaec(Individu p_individu, String p_idDemande)
  {
    if (p_individu != null)
    {
      Collection typePeriodesGaec = new ArrayList();
      ajouterSiNouveau("999", typePeriodesGaec);
      
      p_individu.getDonneesChargementGaec().getAgregatGaec().setDomaine(1);
      p_individu.getDonneesChargementGaec().getAgregatGaec().setModeAppel(1);
      p_individu.getDonneesChargementGaec().getAgregatGaec().setTypePeriodesGaec(typePeriodesGaec);
    }
  }
  
  protected void controlerPostTraitement(Individu p_individu)
    throws AccesDonneesGaecException
  {
    AppelGaecReduit gaecReduit = p_individu.getDonneesChargementGaec().getAppelGaecReduit();
    
    controlerModeAppel(gaecReduit, 1);
    
    controlerTypePeriode(gaecReduit.getTypePeriodes(), "999");
  }
}

/* Location:
 * Qualified Name:     ParcoursServiceLiquidationAssurance
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */