package fr.unedic.cali.asu.parcours;

import fr.unedic.util.Quantite;
import fr.unedic.util.services.Resultat;
import fr.unedic.util.temps.Damj;

public class ResultatTraitementReliquat
  extends Resultat
  implements ResultatTraitementReliquatSpec
{
  private static final long serialVersionUID = 1365833111883966909L;
  private boolean m_reliquatValide = false;
  private Quantite m_quantiteReliquat;
  private int m_causeNonValidite;
  private int m_contexteExamen;
  private Quantite m_quantiteFormation;
  private Quantite m_quantiteAide;
  private String m_typeAide;
  private Quantite m_quantiteJourImputationDonneesForcees;
  private Quantite m_quantiteReliquatRenouvellement;
  private Damj m_dateNonValidite;
  
  public ResultatTraitementReliquat() {}
  
  public ResultatTraitementReliquat(int p_etat)
  {
    super(p_etat);
  }
  
  public boolean isReliquatValide()
  {
    return m_reliquatValide;
  }
  
  public void setReliquatValide(boolean p_reliquatValide)
  {
    m_reliquatValide = p_reliquatValide;
  }
  
  public boolean getReliquatValide()
  {
    return m_reliquatValide;
  }
  
  public Quantite getQuantiteReliquat()
  {
    return m_quantiteReliquat;
  }
  
  public void setQuantiteReliquat(Quantite p_quantiteReliquat)
  {
    m_quantiteReliquat = p_quantiteReliquat;
  }
  
  public int getCauseNonvalidite()
  {
    return m_causeNonValidite;
  }
  
  public void setCauseNonvalidite(int p_causeNonValidite)
  {
    m_causeNonValidite = p_causeNonValidite;
  }
  
  public int getContexteExamen()
  {
    return m_contexteExamen;
  }
  
  public void setContexteExamen(int p_contexteExamen)
  {
    m_contexteExamen = p_contexteExamen;
  }
  
  public void setCoupleContexteEtCauseNonValiditeReliquat(int p_contexteExamen, int p_causeNonValidite, boolean p_reliquat)
  {
    m_contexteExamen = p_contexteExamen;
    m_causeNonValidite = p_causeNonValidite;
    m_reliquatValide = p_reliquat;
  }
  
  public Quantite getQuantiteFormation()
  {
    return m_quantiteFormation;
  }
  
  public void setQuantiteFormation(Quantite p_quantiteFormation)
  {
    m_quantiteFormation = p_quantiteFormation;
  }
  
  public Quantite getQuantiteAide()
  {
    return m_quantiteAide;
  }
  
  public void setQuantiteAide(Quantite p_quantiteAide)
  {
    m_quantiteAide = p_quantiteAide;
  }
  
  public String getTypeAide()
  {
    return m_typeAide;
  }
  
  public void setTypeAide(String p_typeAide)
  {
    m_typeAide = p_typeAide;
  }
  
  public Quantite getQuantiteJourImputationDonneesForcees()
  {
    return m_quantiteJourImputationDonneesForcees;
  }
  
  public void setQuantiteJourImputationDonneesForcees(Quantite p_quantiteJourImputationDonneesForcees)
  {
    m_quantiteJourImputationDonneesForcees = p_quantiteJourImputationDonneesForcees;
  }
  
  public Quantite getQuantiteReliquatRenouvellement()
  {
    return m_quantiteReliquatRenouvellement;
  }
  
  public void setQuantiteReliquatRenouvellement(Quantite p_quantiteReliquatRenouvellement)
  {
    m_quantiteReliquatRenouvellement = p_quantiteReliquatRenouvellement;
  }
  
  public Damj getDateNonValidite()
  {
    return m_dateNonValidite;
  }
  
  public void setDateNonValidite(Damj p_dateNonValidite)
  {
    m_dateNonValidite = p_dateNonValidite;
  }
}

/* Location:
 * Qualified Name:     ResultatTraitementReliquat
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */