package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.produits.liquidation.dom.gen.CarenceIslrGen;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.ObjetChronoPeriode;

public class CarenceIslr
  extends CarenceIslrGen
{
  private static final long serialVersionUID = -230503396751479857L;
  private transient boolean m_autresIndemnitesLegales;
  private transient boolean m_presenceTransaction;
  
  public CarenceIslr(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public CarenceIslr() {}
  
  public CarenceIslr(int p_jours)
  {
    super(p_jours);
  }
  
  public CarenceIslr(ObjetChronoPeriode p_periodeOrigine, int p_nombreJours)
  {
    super(p_nombreJours);
    if (p_periodeOrigine != null) {
      setDateFinPeriodeOrigine(p_periodeOrigine.getDateFin());
    }
    setOrigine(p_periodeOrigine);
    if ((p_periodeOrigine instanceof TravailSpec)) {
      setIdentifiantPeriodeOrigine(((TravailSpec)p_periodeOrigine).getIdentifiant());
    }
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    CarenceIslr copie = (CarenceIslr)p_copie;
    super.copieElements(copie);
  }
  
  public ObjetMetierSpec copie()
  {
    CarenceIslr copie = new CarenceIslr();
    copieElements(copie);
    return copie;
  }
  
  public String getTypeCarence()
  {
    return "ISLR";
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public boolean estAutresIndemnitesLegales()
  {
    return m_autresIndemnitesLegales;
  }
  
  public void setAutresIndemnitesLegales(boolean p_autresIndemnitesLegales)
  {
    m_autresIndemnitesLegales = p_autresIndemnitesLegales;
  }
  
  public boolean estPresenceTransaction()
  {
    return m_presenceTransaction;
  }
  
  public void setPresenceTransaction(boolean p_presenceTransaction)
  {
    m_presenceTransaction = p_presenceTransaction;
  }
}

/* Location:
 * Qualified Name:     CarenceIslr
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */