package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.dom.ConstitutionSjcSpec;
import fr.unedic.cali.asu.dom.Sjc;
import fr.unedic.cali.asu.produits.liquidation.dom.gen.ConstitutionSjcGen;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.cali.dom.ConstitutionDroitSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.temps.Damj;

public class ConstitutionSjc
  extends ConstitutionSjcGen
  implements ConstitutionDroitSpec, ConstitutionSjcSpec
{
  private transient JustificationSjc justificationSjc;
  private static final long serialVersionUID = -1967756164137202825L;
  
  public ConstitutionSjc(DomPCSpec pc)
  {
    super(pc);
  }
  
  public ConstitutionSjc() {}
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getSjcip());
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec copie)
  {
    ConstitutionSjc copieConstitutionSjc = (ConstitutionSjc)copie;
    if (getSjcip() != null)
    {
      Sjcip copieSjcip = copieConstitutionSjc.createSjcip();
      getSjcip().copieElements(copieSjcip);
    }
    copieConstitutionSjc.setSjcrp(getSjcrp() != null ? (Sjc)getSjcrp().copie() : null);
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public JustificationSjc getJustificationSjc()
  {
    return justificationSjc;
  }
  
  public void setJustificationSjc(JustificationSjc justificationSjc)
  {
    this.justificationSjc = justificationSjc;
  }
  
  public Sjcip createSjcip(Damj dateEffet, QuantiteEuro plafond, QuantiteEuro sjcInitial)
  {
    Sjcip om = super.createSjcip();
    
    om.setPlafond(plafond);
    om.setSjcInitial(sjcInitial);
    om.setDateEvenement(dateEffet);
    
    return om;
  }
  
  public Sjc getSjci()
  {
    Sjc sjciRetourne = null;
    if ((getSjcip() != null) && (getSjcip().getSjcInitial() != null)) {
      sjciRetourne = new Sjc(getSjcip().getSjcInitial().getValeurMontant(), getSjcip().getDateEffet(), getSjcip().getContexteParticulierSjc());
    }
    return sjciRetourne;
  }
  
  public Sjc getSjcrp()
  {
    Sjc sjc = super.getSjcrp();
    if ((getSjcip() != null) && (sjc != null))
    {
      String contexteParticulier = getSjcip().getContexteParticulierSjc();
      sjc.setContexteParticulier(contexteParticulier);
    }
    return ((ConstitutionElementsAbstraitPC)getPC()).getSjcrpConstitutionSjc();
  }
}

/* Location:
 * Qualified Name:     ConstitutionSjc
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */