package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.dom.ConstitutionSjrSpec;
import fr.unedic.cali.asu.dom.Sjr;
import fr.unedic.cali.asu.produits.liquidation.dom.gen.ConstitutionSjrGen;
import fr.unedic.cali.dom.ConstitutionDroitSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.temps.Damj;

public class ConstitutionSjr
  extends ConstitutionSjrGen
  implements ConstitutionDroitSpec, ConstitutionSjrSpec
{
  private static final String UN = "1";
  private static final String DEUX = "2";
  private static final long serialVersionUID = -4416058957216147686L;
  
  public ConstitutionSjr(DomPCSpec pc)
  {
    super(pc);
  }
  
  public ConstitutionSjr() {}
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec copie)
  {
    ConstitutionSjr copieConstitutionSjr = (ConstitutionSjr)copie;
    if (getSjrip() != null)
    {
      Sjrip copieSjrip = copieConstitutionSjr.createSjrip();
      getSjrip().copieElements(copieSjrip);
    }
    copieConstitutionSjr.setSjrrp(getSjrrp() != null ? (Sjr)getSjrrp().copie() : null);
    copieConstitutionSjr.setSjnpr(getSjnpr() != null ? (Sjr)getSjnpr().copie() : null);
    if (getJustificationSjr() != null)
    {
      JustificationSjr copieJustif = copieConstitutionSjr.createJustificationSjr();
      getJustificationSjr().copieElements(copieJustif);
    }
    copieConstitutionSjr.setEstSjrRevise(getEstSjrRevise());
    copieConstitutionSjr.setCodeEmploiA2b(getCodeEmploiA2b());
    copieConstitutionSjr.setSommeMontantRevision(getSommeMontantRevision());
    
    copieConstitutionSjr.setSjrTheorique(getSjrTheorique());
    copieConstitutionSjr.setCoeffReducteurSjr(getCoeffReducteurSjr());
    copieConstitutionSjr.setPlancherCoefficientSjr(getPlancherCoefficientSjr());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(super.getSjrip());
    DomManager.persisterEnProfondeur(super.getJustificationSjr());
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public Sjrip createSjrip(Damj termePrcSaisi, QuantiteEuro plafondSjr, QuantiteEuro sjrInitial)
  {
    Sjrip om = super.createSjrip();
    om.setDateEvenement(termePrcSaisi);
    om.setPlafondSjr(plafondSjr);
    om.setSjrInitial(sjrInitial);
    return om;
  }
  
  public Boolean getSjrRevise()
  {
    Boolean retour = null;
    if ("1".equalsIgnoreCase(getEstSjrRevise())) {
      retour = Boolean.TRUE;
    } else if ("2".equalsIgnoreCase(getEstSjrRevise())) {
      retour = Boolean.FALSE;
    }
    return retour;
  }
  
  public void setSjrRevise(Boolean estSjrRevise)
  {
    if (estSjrRevise == null) {
      setEstSjrRevise(null);
    } else if (estSjrRevise.booleanValue()) {
      setEstSjrRevise("1");
    } else {
      setEstSjrRevise("2");
    }
  }
  
  public Sjr getSjrrp()
  {
    Sjr sjrrp = super.getSjrrp();
    if ((getSjrip() != null) && (sjrrp != null))
    {
      String contexteParticulier = getSjrip().getContexteParticulierSjr();
      sjrrp.setContexteParticulier(contexteParticulier);
    }
    return sjrrp;
  }
  
  public Sjr getSjri()
  {
    Sjr sjriRetourne = null;
    if (getSjrip() != null) {
      sjriRetourne = new Sjr(getSjrip().getSjrInitial().getValeurMontant(), getSjrip().getDateEffet(), getSjrip().getContexteParticulierSjr());
    }
    return sjriRetourne;
  }
}

/* Location:
 * Qualified Name:     ConstitutionSjr
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */