package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.produits.liquidation.dom.gen.ContributionParticuliereGen;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import java.util.ArrayList;
import java.util.List;

public class ContributionParticuliere
  extends ContributionParticuliereGen
{
  private static final long serialVersionUID = -4616604445307372186L;
  private static List<Integer> motifAppelContribSpecif = new ArrayList();
  private static List<Integer> motifAppelContribSuppl;
  
  static
  {
    motifAppelContribSpecif.add(Integer.valueOf(1));
    motifAppelContribSpecif.add(Integer.valueOf(3));
    
    motifAppelContribSpecif.add(Integer.valueOf(2));
    motifAppelContribSpecif.add(Integer.valueOf(33));
    motifAppelContribSpecif.add(Integer.valueOf(6));
    motifAppelContribSpecif.add(Integer.valueOf(47));
    
    motifAppelContribSuppl = new ArrayList();
    motifAppelContribSuppl.add(Integer.valueOf(1));
    motifAppelContribSuppl.add(Integer.valueOf(3));
    motifAppelContribSuppl.add(Integer.valueOf(5));
    
    motifAppelContribSuppl.add(Integer.valueOf(2));
    motifAppelContribSuppl.add(Integer.valueOf(33));
    motifAppelContribSuppl.add(Integer.valueOf(17));
    motifAppelContribSuppl.add(Integer.valueOf(30));
    motifAppelContribSuppl.add(Integer.valueOf(31));
    motifAppelContribSuppl.add(Integer.valueOf(6));
    motifAppelContribSuppl.add(Integer.valueOf(10));
  }
  
  public ContributionParticuliere(DomPCSpec pc)
  {
    super(pc);
  }
  
  public int getTypeContributionParticuliere()
  {
    return getContributionParticuliere();
  }
  
  public void setTypeContributionParticuliere(int contributionParticuliere)
  {
    setContributionParticuliere(contributionParticuliere);
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public ObjetMetierSpec copie()
  {
    ContributionParticuliere copie = new ContributionParticuliere();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec pcopie)
  {
    ContributionParticuliere copie = (ContributionParticuliere)pcopie;
    
    copie.setTypeContributionParticuliere(getTypeContributionParticuliere());
    copie.setMontantFormationDifCtp(getMontantFormationDifCtp());
    copie.setMontantPreavisCtp(getMontantPreavisCtp());
    copie.setTopDetectionContributionDif(isTopDetectionContributionDif());
    copie.setTopDetectionContributionPreavis(isTopDetectionContributionPreavis());
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public static boolean estMotifAppelContribSpecifique(int motif)
  {
    return motifAppelContribSpecif.contains(Integer.valueOf(motif));
  }
  
  public static boolean estMotifAppelContribSuppl(int motif)
  {
    return motifAppelContribSuppl.contains(Integer.valueOf(motif));
  }
  
  public ContributionParticuliere() {}
  
  public void marquerGraphePersistant() {}
}

/* Location:
 * Qualified Name:     ContributionParticuliere
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */