package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.dom.JustificationAffiliationSpec;
import fr.unedic.cali.asu.dom.PlafonnementAffiliation;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.UniteAffiliation;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

public class JustificationAffiliation
  implements JustificationAffiliationSpec
{
  private static final long serialVersionUID = -2651118636568402802L;
  private static final BigDecimal UN = new BigDecimal("1");
  private Chronologie m_chronoZmes;
  private Pra m_periodePraRetenue;
  private Reglement m_reglementApplicable;
  private Quantite m_appartenanceCalculee;
  private Collection m_listePlafonnementAffiliation;
  
  public Chronologie getChronoZmes()
  {
    if (m_chronoZmes == null) {
      m_chronoZmes = new ChronologiePeriodes();
    }
    return m_chronoZmes;
  }
  
  public void ajouterZme(ObjetChronoPeriode p_zme)
  {
    getChronoZmes().ajouter(p_zme);
  }
  
  public ObjetMetierSpec copie()
  {
    return this;
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
  
  public Pra getPeriodePraRetenue()
  {
    return m_periodePraRetenue;
  }
  
  public void setPeriodePraRetenue(Pra p_datesPraRetenue)
  {
    m_periodePraRetenue = p_datesPraRetenue;
  }
  
  public Reglement getReglementApplicable()
  {
    return m_reglementApplicable;
  }
  
  public void setReglementApplicable(Reglement p_reglementApplicable)
  {
    m_reglementApplicable = p_reglementApplicable;
  }
  
  public Quantite getAppartenanceCalculee()
  {
    return m_appartenanceCalculee;
  }
  
  public void setAppartenanceCalculee(Quantite p_affiliationCalculee)
  {
    m_appartenanceCalculee = p_affiliationCalculee;
  }
  
  public UniteAffiliation getUniteJustification()
  {
    return m_appartenanceCalculee != null ? (UniteAffiliation)m_appartenanceCalculee.getUnite() : null;
  }
  
  public Collection getListePlafonnementAffiliation()
  {
    if (m_listePlafonnementAffiliation == null) {
      m_listePlafonnementAffiliation = new ArrayList();
    }
    return m_listePlafonnementAffiliation;
  }
  
  public void ajouterPlafonnementAffiliation(PlafonnementAffiliation p_plafonnementAffiliation)
  {
    getListePlafonnementAffiliation().add(p_plafonnementAffiliation);
  }
  
  public boolean estAffiliationPlafonnee()
  {
    PlafonnementAffiliation plafonnementAffiliationCourant = null;
    for (Iterator iterateurPlafonnementAffiliation = getListePlafonnementAffiliation().iterator(); iterateurPlafonnementAffiliation.hasNext();)
    {
      plafonnementAffiliationCourant = (PlafonnementAffiliation)iterateurPlafonnementAffiliation.next();
      if (plafonnementAffiliationCourant.getCoefficientReducteurAffiliation().compareTo(UN) < 0) {
        return true;
      }
    }
    return false;
  }
  
  public String getTypeJustificationAffiliation()
  {
    return "justifCGEAncienModele";
  }
  
  public Periode getPeriodeRechercheAffiliation()
  {
    return m_periodePraRetenue;
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
}

/* Location:
 * Qualified Name:     JustificationAffiliation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */