package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

public class JustificationPansConservees
  implements ObjetMetierSpec
{
  private static final long serialVersionUID = 2769774329430616043L;
  private transient BigDecimal m_montantRemunerationMensuelPansCalcule;
  private transient Periode m_anneeCivileEnCours;
  private transient Periode m_anneeCivilePrecedente;
  private transient Collection m_listePansConservees;
  
  public void setAnneeCivileEnCours(Periode p_periode)
  {
    m_anneeCivileEnCours = p_periode;
  }
  
  public Periode getAnneeCivileEnCours()
  {
    return m_anneeCivileEnCours;
  }
  
  public void setAnneeCivilePrecedente(Periode p_periode)
  {
    m_anneeCivilePrecedente = p_periode;
  }
  
  public Periode getAnneeCivilePrecedente()
  {
    return m_anneeCivilePrecedente;
  }
  
  private void setListePansConservees(Collection p_liste)
  {
    m_listePansConservees = p_liste;
  }
  
  public void ajouterPansConservee(RemunerationPansConservee p_remunerationPansConservee)
  {
    if (m_listePansConservees == null) {
      m_listePansConservees = new ArrayList();
    }
    m_listePansConservees.add(p_remunerationPansConservee);
  }
  
  public Collection getListePansConservees()
  {
    return m_listePansConservees;
  }
  
  private void setMontantRemunerationMensuelPansCalcule(BigDecimal p_montant)
  {
    m_montantRemunerationMensuelPansCalcule = p_montant;
  }
  
  public BigDecimal getMontantRemunerationMensuelPansCalcule()
  {
    if (m_montantRemunerationMensuelPansCalcule == null)
    {
      BigDecimal montantCalcul = new BigDecimal(0);
      if (m_listePansConservees != null)
      {
        Iterator it = m_listePansConservees.iterator();
        while (it.hasNext())
        {
          RemunerationPansConservee remunerationPansConservee = (RemunerationPansConservee)it.next();
          if (remunerationPansConservee != null) {
            montantCalcul = montantCalcul.add(remunerationPansConservee.getMontantMensuelRetenu());
          }
        }
      }
      setMontantRemunerationMensuelPansCalcule(montantCalcul);
    }
    return m_montantRemunerationMensuelPansCalcule;
  }
  
  public ObjetMetierSpec copie()
  {
    JustificationPansConservees copie = new JustificationPansConservees();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    JustificationPansConservees copie = (JustificationPansConservees)p_copie;
    copie.setAnneeCivileEnCours(getAnneeCivileEnCours());
    copie.setAnneeCivilePrecedente(getAnneeCivilePrecedente());
    copie.setMontantRemunerationMensuelPansCalcule(getMontantRemunerationMensuelPansCalcule());
    copie.setListePansConservees(getListePansConservees());
  }
}

/* Location:
 * Qualified Name:     JustificationPansConservees
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */