package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.dom.JustificationAffiliationSpec;
import fr.unedic.cali.asu.dom.PlafonnementAffiliation;
import fr.unedic.cali.asu.produits.liquidation.dom.gen.PoursuiteIndemnisationGen;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculSpec;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.PoursuiteIndemnisationSpec;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;
import java.util.ArrayList;
import java.util.Collection;

public class PoursuiteIndemnisation
  extends PoursuiteIndemnisationGen
  implements PoursuiteIndemnisationSpec
{
  private static final long serialVersionUID = 1L;
  
  public PoursuiteIndemnisation(DomPCSpec poursuiteIndemnisationPC)
  {
    super(poursuiteIndemnisationPC);
  }
  
  public PoursuiteIndemnisation() {}
  
  public ObjetMetierSpec copie()
  {
    PoursuiteIndemnisation copie = new PoursuiteIndemnisation();
    copieElements(copie);
    return copie;
  }
  
  public Damj getDateEffetDecision()
  {
    return getDemande().getDateDeclenchementExamen();
  }
  
  public JustificationAffiliationSpec getJustificationAffiliation()
  {
    return null;
  }
  
  public Collection<PlafonnementAffiliation> getListePlafonnementAffiliation()
  {
    return new ArrayList();
  }
  
  public boolean estExecutable()
  {
    return false;
  }
  
  public boolean estValidee()
  {
    return super.isValidee();
  }
  
  public boolean estEnReexamen()
  {
    return getDemande().estEnReExamen();
  }
  
  public CalendrierExecutionCalculSpec getCalendrierExecution()
  {
    return null;
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
}

/* Location:
 * Qualified Name:     PoursuiteIndemnisation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */