package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collection;

public class RemunerationPansConservee
  implements ObjetMetierSpec
{
  private static final long serialVersionUID = 6294421736856679981L;
  private transient Periode m_periode;
  private transient BigDecimal m_montantAnnuel;
  private transient int m_anneeCivile;
  private transient BigDecimal m_montantAnnuelRetenu;
  private transient BigDecimal m_nombreMois;
  private transient BigDecimal m_montantMensuelRetenu;
  private transient Collection m_listeDetailRemunerationPansConservee;
  private static final String JUSTIFICATION_PANS_CONSERVEES_ANNEE_CIVILE_EN_COURS = "En Cours";
  private static final String JUSTIFICATION_PANS_CONSERVEES_ANNEE_CIVILE_PRECEDENTE = "Préc.";
  public static final int ANNEE_CIVILE_EN_COURS = 2;
  public static final int ANNEE_CIVILE_PRECEDENTE = 1;
  
  public void setPeriode(Periode p_periode)
  {
    m_periode = p_periode;
  }
  
  public Periode getPeriode()
  {
    return m_periode;
  }
  
  public void setMontantAnnuel(BigDecimal p_montantAnnuel)
  {
    m_montantAnnuel = p_montantAnnuel;
  }
  
  public BigDecimal getMontantAnnuel()
  {
    return m_montantAnnuel;
  }
  
  public void setAnneeCivile(int p_anneeCivile)
  {
    m_anneeCivile = p_anneeCivile;
  }
  
  public int getAnneeCivile()
  {
    return m_anneeCivile;
  }
  
  public String getLibelleAnneeCivile()
  {
    switch (m_anneeCivile)
    {
    case 1: 
      return "Préc.";
    case 2: 
      return "En Cours";
    }
    return null;
  }
  
  public void setMontantAnnuelRetenu(BigDecimal p_montantAnnuelRetenu)
  {
    m_montantAnnuelRetenu = p_montantAnnuelRetenu;
  }
  
  public BigDecimal getMontantAnnuelRetenu()
  {
    return m_montantAnnuelRetenu;
  }
  
  public void setMontantMensuel(BigDecimal p_montant)
  {
    m_montantMensuelRetenu = p_montant;
  }
  
  public BigDecimal getMontantMensuelRetenu()
  {
    return m_montantMensuelRetenu;
  }
  
  public void setNombreMois(BigDecimal p_nombreMois)
  {
    m_nombreMois = p_nombreMois;
  }
  
  public BigDecimal getNombreMois()
  {
    return m_nombreMois;
  }
  
  private void setListeDetailRemunerationPansConservee(Collection p_liste)
  {
    m_listeDetailRemunerationPansConservee = p_liste;
  }
  
  public Collection getListeDetailRemunerationPansConservee()
  {
    return m_listeDetailRemunerationPansConservee;
  }
  
  public void ajouterDetailRemunerationPansConservee(DetailRemunerationPansConservee p_detailRemunerationPansConservee)
  {
    if (m_listeDetailRemunerationPansConservee == null) {
      m_listeDetailRemunerationPansConservee = new ArrayList();
    }
    m_listeDetailRemunerationPansConservee.add(p_detailRemunerationPansConservee);
  }
  
  public ObjetMetierSpec copie()
  {
    RemunerationPansConservee copie = new RemunerationPansConservee();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    RemunerationPansConservee copie = (RemunerationPansConservee)p_copie;
    copie.setPeriode(getPeriode());
    copie.setMontantAnnuel(getMontantAnnuel());
    copie.setAnneeCivile(getAnneeCivile());
    copie.setMontantAnnuelRetenu(getMontantAnnuelRetenu());
    copie.setMontantMensuel(getMontantMensuelRetenu());
    copie.setNombreMois(getNombreMois());
    copie.setListeDetailRemunerationPansConservee(getListeDetailRemunerationPansConservee());
  }
}

/* Location:
 * Qualified Name:     RemunerationPansConservee
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */