package fr.unedic.cali.asu.produits.liquidation.dom;

import fr.unedic.cali.asu.dom.SjrActiviteConserveeSpec;
import fr.unedic.cali.asu.produits.liquidation.dom.gen.SjrActiviteConserveeGen;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.dom.Individu;
import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.parcours.ContexteParcoursCali;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.QuantiteEuro;

public class SjrActiviteConservee
  extends SjrActiviteConserveeGen
  implements SjrActiviteConserveeSpec, ObjetPersistantSpec
{
  private static final long serialVersionUID = 4973883437459013680L;
  private transient TravailSpec m_periodeActiviteConservee;
  
  public SjrActiviteConservee(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public SjrActiviteConservee(QuantiteEuro p_sjrInitial)
  {
    setSjrInitial(p_sjrInitial);
  }
  
  public SjrActiviteConservee() {}
  
  public TravailSpec getPeriodeActiviteConservee()
  {
    if (m_periodeActiviteConservee == null)
    {
      Individu individuCourant = ContexteParcoursCali.getIndividuCourant();
      
      m_periodeActiviteConservee = ((TravailSpec)individuCourant.rechercherPeriodePasseProfessionnel(getIdentifiantPeriodeActiviteConservee()));
    }
    return m_periodeActiviteConservee;
  }
  
  public ObjetMetierSpec copie()
  {
    SjrActiviteConservee copie = new SjrActiviteConservee();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    SjrActiviteConservee copie = (SjrActiviteConservee)p_copie;
    if (getPrc() != null) {
      copie.setPrc((PrcSjc)getPrc().copie());
    }
    copie.setSjrInitial(getSjrInitial());
    copie.setIdentifiantPeriodeActiviteConservee(getIdentifiantPeriodeActiviteConservee());
    copie.setTypeActiviteConservee(getTypeActiviteConservee());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(getPrc());
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public void setPeriodeActiviteConservee(TravailSpec p_periodeActiviteConservee)
  {
    m_periodeActiviteConservee = p_periodeActiviteConservee;
    if (p_periodeActiviteConservee != null) {
      setIdentifiantPeriodeActiviteConservee(p_periodeActiviteConservee.getIdentifiant());
    }
  }
  
  public void setPrc(PrcSjc prc)
  {
    DomManager.supprimer(super.getPrc(), prc);
    super.setPrc(prc);
  }
}

/* Location:
 * Qualified Name:     SjrActiviteConservee
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */