package fr.unedic.cali.asu.produits.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;

public abstract class ConstitutionElementsExamenFilEauGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionElementsAbstraitPC;
  private DureeCalendaire m_delaiDebutEfe;
  private Damj m_dateDebutEfe = null;
  
  public ConstitutionElementsExamenFilEauGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConstitutionElementsExamenFilEauGen() {}
  
  public DomPCSpec getPC()
  {
    return m_constitutionElementsAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionElementsAbstraitPC)
  {
    m_constitutionElementsAbstraitPC = p_constitutionElementsAbstraitPC;
  }
  
  protected DureeCalendaire rawGetDelaiDebutEfe()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDelaiDebutEfe();
  }
  
  public DureeCalendaire getDelaiDebutEfe()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDelaiDebutEfe();
  }
  
  public void setDelaiDebutEfe(DureeCalendaire p_delaiDebutEfe)
  {
    if ((m_delaiDebutEfe == null) || (p_delaiDebutEfe == null))
    {
      m_delaiDebutEfe = p_delaiDebutEfe;
      ((ConstitutionElementsAbstraitPC)getPC()).setDelaiDebutEfe(p_delaiDebutEfe);
    }
    else if ((m_delaiDebutEfe != null) && (p_delaiDebutEfe != null) && (!p_delaiDebutEfe.equals(m_delaiDebutEfe)))
    {
      m_delaiDebutEfe = p_delaiDebutEfe;
      ((ConstitutionElementsAbstraitPC)getPC()).setDelaiDebutEfe(p_delaiDebutEfe);
    }
  }
  
  protected Damj rawGetDateDebutEfe()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDateDebutEfe();
  }
  
  public Damj getDateDebutEfe()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDateDebutEfe();
  }
  
  public void setDateDebutEfe(Damj p_dateDebutEfe)
  {
    if ((m_dateDebutEfe == null) || (p_dateDebutEfe == null))
    {
      m_dateDebutEfe = p_dateDebutEfe;
      ((ConstitutionElementsAbstraitPC)getPC()).setDateDebutEfe(p_dateDebutEfe);
    }
    else if ((m_dateDebutEfe != null) && (p_dateDebutEfe != null) && (!p_dateDebutEfe.equals(m_dateDebutEfe)))
    {
      m_dateDebutEfe = p_dateDebutEfe;
      ((ConstitutionElementsAbstraitPC)getPC()).setDateDebutEfe(p_dateDebutEfe);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    setDelaiDebutEfe(null);
    setDateDebutEfe(null);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConstitutionElementsExamenFilEauGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */