package fr.unedic.cali.asu.produits.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.pc.DecisionPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;

public abstract class DecisionGen
  extends DossierExamen
  implements DomGenSpec
{
  public DecisionGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public DecisionGen() {}
  
  public DecisionGen(Damj p_dateEvenement)
  {
    super(p_dateEvenement);
  }
  
  protected abstract DomPCSpec createPC();
  
  protected boolean rawIsValidee()
  {
    return ((DecisionPC)getPC()).isValidee();
  }
  
  public boolean isValidee()
  {
    return ((DecisionPC)getPC()).isValidee();
  }
  
  public void setValidee(boolean p_validee)
  {
    ((DecisionPC)getPC()).setValidee(p_validee);
  }
  
  protected int rawGetNatureDecision()
  {
    return ((DecisionPC)getPC()).getNatureDecision();
  }
  
  public int getNatureDecision()
  {
    return ((DecisionPC)getPC()).getNatureDecision();
  }
  
  public void setNatureDecision(int p_natureDecision)
  {
    ((DecisionPC)getPC()).setNatureDecision(p_natureDecision);
  }
  
  protected boolean rawIsInvestigationFraude()
  {
    return ((DecisionPC)getPC()).isInvestigationFraude();
  }
  
  public boolean isInvestigationFraude()
  {
    return ((DecisionPC)getPC()).isInvestigationFraude();
  }
  
  public void setInvestigationFraude(boolean p_investigationFraude)
  {
    ((DecisionPC)getPC()).setInvestigationFraude(p_investigationFraude);
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     DecisionGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */