package fr.unedic.cali.asu.produits.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.produits.liquidation.dom.CarencePrefixeAFixer;
import fr.unedic.cali.asu.produits.liquidation.dom.pc.PreavisLegalPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;

public abstract class PreavisLegalGen
  extends CarencePrefixeAFixer
  implements DomGenSpec
{
  public PreavisLegalGen(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public PreavisLegalGen() {}
  
  public PreavisLegalGen(int p_jours)
  {
    super(p_jours);
  }
  
  protected DomPCSpec createPC()
  {
    return new PreavisLegalPC();
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
    
    super.supprimerEnProfondeur(p_contexteSuppression);
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    super.copieElements(p_copie);
  }
}

/* Location:
 * Qualified Name:     PreavisLegalGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */