package fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionDateAttribution;
import fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionPointDepartIndemnisation;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsSpec;
import fr.unedic.cali.dom.DossierAffectationSpec;
import fr.unedic.cali.outilsfonctionnels.AppelCalculParLiquidation;
import fr.unedic.cali.parcours.ResultatExecutionCalculSpec;
import fr.unedic.util.services.OutilFonctionnel;
import fr.unedic.util.temps.Damj;

public class DeterminationPointDeDepart
  implements OutilFonctionnel
{
  public static DeterminationPointDeDepart getInstance()
  {
    return new DeterminationPointDeDepart();
  }
  
  public ConstitutionPointDepartIndemnisation determinerPointDeDepartIndemnisation(Demande demande)
    throws ApplicativeException
  {
    DossierExamen dossierExamenCourant = (DossierExamen)demande.getDossierExamen();
    
    ResultatExecutionCalculSpec resultatCalcul = AppelCalculParLiquidation.executerCalculDeterminationEtatDroit((Attribution)dossierExamenCourant, null, false);
    
    ConstitutionPointDepartIndemnisation cep = dossierExamenCourant.getConstitutionElementsActifs().createConstitutionPointDepartIndemnisation();
    
    cep.setPji(resultatCalcul.getPji());
    return cep;
  }
  
  public Damj determinerPointDeDepartIndemnisationFinDroit(Demande demande)
    throws ApplicativeException
  {
    AttributionAssuranceSpec attribution = demande.getAttribution();
    
    return attribution.getDateAttribution();
  }
  
  public Damj determinerPointDeDepartIndemnisationRevision(Demande demande)
    throws ApplicativeException
  {
    DossierExamen dossierExamenCourant = (DossierExamen)demande.getDossierAffectation().getDossierExamen();
    ConstitutionDateAttribution constitutionDateAttributionCourant = dossierExamenCourant.getConstitutionDateAttribution();
    
    return constitutionDateAttributionCourant.getDateAttribution();
  }
}

/* Location:
 * Qualified Name:     DeterminationPointDeDepart
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */