package fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.fabriques;

import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.strategies.StrategieExtinctionReliquatApresARE2014;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.strategies.StrategieExtinctionReliquatAvantARE2014;
import fr.unedic.cali.fabriques.FabriqueConvention2014;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.outilsfonctionnels.strategies.StrategieSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class FabriqueExtinctionReliquat
  extends FabriqueConvention2014
{
  public StrategieSpec getStrategie(CritereStrategie p_critereStrategie)
    throws CoucheLogiqueException
  {
    StrategieSpec retour = null;
    
    Damj datePivot = p_critereStrategie.getDatePivot();
    if (datePivot == null) {
      throw new UnsupportedOperationException("FabriqueExtinctionReliquat : la date pivot est null.");
    }
    if (datePivot.estApresOuCoincideAvec(DATE_APPLICATION)) {
      retour = getStrategieApres();
    } else {
      retour = getStrategieAvant();
    }
    return retour;
  }
  
  protected StrategieSpec getStrategieAvant()
  {
    return new StrategieExtinctionReliquatAvantARE2014();
  }
  
  protected StrategieSpec getStrategieApres()
  {
    return new StrategieExtinctionReliquatApresARE2014();
  }
}

/* Location:
 * Qualified Name:     FabriqueExtinctionReliquat
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */