package fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.fabriques;

import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.strategies.StrategieDelaiRechercheSpec;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.dom.conteneurs.DonneesEntreePRC;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.Periode;

public class StrategieDelaiRechercheClassique
  implements StrategieDelaiRechercheSpec
{
  public Damj determinerTermePrcForce(DonneesEntreePRC p_donneesEntreePRC)
    throws CoucheLogiqueException
  {
    Damj termePrc = null;
    if (p_donneesEntreePRC.getTermePrcSaisi().estContenueDans(new Periode(p_donneesEntreePRC.getDateDebut(), p_donneesEntreePRC.getDateFin()))) {
      termePrc = p_donneesEntreePRC.getTermePrcSaisi();
    } else {
      fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_SC_L_ED_CDR09_INCOHERENCE_TERME_PRC_ACTIVITE");
    }
    return termePrc;
  }
  
  public ActiviteSalarie trouverPeriodeActiviteSalarieRaouFgd(DonneesEntreePRC p_donneesEntreePRC)
  {
    return p_donneesEntreePRC.getPeriodeActiviteSalarieRa();
  }
}

/* Location:
 * Qualified Name:     StrategieDelaiRechercheClassique
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */