package fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.novation;

import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.dom.spec.ConstitutionCoefficientTempsPartielSpec;
import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.asu.produits.liquidation.dom.TrancheExecutable;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.util.services.OutilFonctionnel;
import java.math.BigDecimal;
import java.util.List;

public final class OutilConstitutionCoefficientTempsPartiel
  implements OutilFonctionnel
{
  public static OutilConstitutionCoefficientTempsPartiel getInstance()
  {
    return new OutilConstitutionCoefficientTempsPartiel();
  }
  
  public void alimenterCoefficientTempsPartiel(ConstitutionCoefficientTempsPartielSpec coefficientTempsPartiel, AttributionAssuranceSpec attributionAssurance)
  {
    BigDecimal coefficient = BigDecimal.ONE;
    
    AttributionAssuranceSpec attributionPrecedente = attributionAssurance.getAttributionPrecedente();
    if (attributionPrecedente != null)
    {
      if (((ProduitAsuSpec)attributionPrecedente.getProduit()).estTrancheActivee(attributionPrecedente.getDemande()))
      {
        TrancheExecutable trancheExecutable = (TrancheExecutable)((Attribution)attributionPrecedente).getListTranchesExecutables().get(0);
        coefficient = trancheExecutable.getCoefficientTempsPartiel();
      }
      else
      {
        coefficient = attributionPrecedente.getElementBaseIndemnisation().getCoefficientTempsPartiel();
      }
      coefficientTempsPartiel.setCoefficientTempsPartielRetenu(coefficient);
    }
  }
}

/* Location:
 * Qualified Name:     OutilConstitutionCoefficientTempsPartiel
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */