package fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.strategies;

import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.strategies.spec.StrategieCoordinationEuropeennePointDepartPrcSpec;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.ContratTravail;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.dom.Individu;
import fr.unedic.cali.dom.conteneurs.DonneesEntreePRC;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeActiviteSalarieHorsFrance;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodeActiviteSalarieeE301;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.ChronologiePeriodes;
import fr.unedic.util.temps.ComparateurTemporelsSurDateFin;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.FiltreFinAvantOuCoincideAvecDate;
import fr.unedic.util.temps.FiltresTemporel;

public class StrategieCoordinationEuropeennePointDepartPrcApres
  implements StrategieCoordinationEuropeennePointDepartPrcSpec
{
  public Damj determinerBornePointDepartPrc(DonneesEntreePRC p_donneesEntreePRC, Damj p_termePrc)
  {
    Damj bornePointDepartPrc = null;
    
    ActiviteSalarie activiteFgd = p_donneesEntreePRC.getPeriodeActiviteSalarieFgd();
    int populationHorsFranceFgd = activiteFgd.getContrat().getPohf();
    int paysDernierLieuTravailFgd = activiteFgd.getContrat().getPays();
    boolean activiteFgdFrontalier = (populationHorsFranceFgd == 6) || (populationHorsFranceFgd == 7) || (populationHorsFranceFgd == 8);
    
    boolean activiteFgdFrance = (populationHorsFranceFgd == 0) && (paysDernierLieuTravailFgd == 1);
    
    boolean activiteFgdExpatrie = (populationHorsFranceFgd == 3) || (populationHorsFranceFgd == 4) || (populationHorsFranceFgd == 5) || (populationHorsFranceFgd == 2);
    if ((!activiteFgdFrontalier) && ((activiteFgdFrance) || (activiteFgdExpatrie)))
    {
      TravailSpec derniereActiviteE301HorsFrance = recupererDerniereActiviteE301HorsFranceAvantDate(p_donneesEntreePRC, p_termePrc);
      if (derniereActiviteE301HorsFrance != null) {
        bornePointDepartPrc = derniereActiviteE301HorsFrance.getDateFin();
      }
    }
    return bornePointDepartPrc;
  }
  
  private static TravailSpec recupererDerniereActiviteE301HorsFranceAvantDate(DonneesEntreePRC p_donneesEntreePRC, Damj p_dateBorneFin)
  {
    TravailSpec derniereActiviteE301HorsFrance = null;
    
    FiltresTemporel listeFiltres = new FiltresTemporel();
    listeFiltres.ajouterFiltre(new FiltrePeriodeActiviteSalarieeE301());
    listeFiltres.ajouterFiltre(new FiltrePeriodeActiviteSalarieHorsFrance());
    listeFiltres.ajouterFiltre(new FiltreFinAvantOuCoincideAvecDate(p_dateBorneFin));
    Chronologie chronoActiviteE301HorsFrance = p_donneesEntreePRC.getIndividu().getChronoPeriodePasseProfessionnelLiquidation().copier(listeFiltres);
    if ((chronoActiviteE301HorsFrance != null) && (!chronoActiviteE301HorsFrance.estVide()))
    {
      chronoActiviteE301HorsFrance.setComparateur(new ComparateurTemporelsSurDateFin());
      derniereActiviteE301HorsFrance = (TravailSpec)chronoActiviteE301HorsFrance.premierElement();
    }
    return derniereActiviteE301HorsFrance;
  }
}

/* Location:
 * Qualified Name:     StrategieCoordinationEuropeennePointDepartPrcApres
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */