package fr.unedic.cali.asu.produits.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.Attribution;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConstitutionElementsSpec;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.DeterminationDateLimiteIndemnisation;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.ResultatDeterminationDateLimiteIndemnisation;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;

public class ConstitutionDateLimiteIndemnisation
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte p_contexte)
    throws ApplicativeException
  {
    OutilTrace.tracerDebutParcours();
    
    Resultat resultatCEPA = new Resultat();
    
    Demande demande = DomLiquidationAssurance.getDemande(p_contexte);
    Attribution attribution = (Attribution)demande.getAttribution();
    
    fr.unedic.cali.asu.produits.liquidation.dom.ConstitutionDateLimiteIndemnisation constitutionDateLimiteIndemnisation = attribution.getConstitutionElementsActifs().createConstitutionDateLimiteIndemnisation();
    
    ResultatDeterminationDateLimiteIndemnisation resultatDateLimiteIndemnisation = DeterminationDateLimiteIndemnisation.determinerDateLimiteIndemnisation(demande);
    constitutionDateLimiteIndemnisation.setDateLimiteIndem(resultatDateLimiteIndemnisation.getDateLimiteIndemnisation());
    constitutionDateLimiteIndemnisation.setContexteDateLimiteIndemnisation(resultatDateLimiteIndemnisation.getContexteDateLimiteIndemnisation());
    
    DeterminationDateLimiteIndemnisation.controleValiditeDateLimiteIndemnisation(demande, attribution.getDateLimiteIndemnisation());
    
    OutilTrace.tracerFinParcours();
    
    return resultatCEPA;
  }
}

/* Location:
 * Qualified Name:     ConstitutionDateLimiteIndemnisation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */