package fr.unedic.cali.asu.produits.liquidation.parcours;

import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.liquidation.outilsfonctionnels.RechercheConditionAge;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.produits.liquidation.dom.ConditionAge;
import fr.unedic.cali.asu.produits.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.produits.liquidation.dom.spec.ConditionsAttributionSpec;
import fr.unedic.cali.dom.ElementConditionAge;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteException;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;

public class DeterminationConditionAge
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte p_contexte)
    throws CoucheLogiqueException
  {
    OutilTrace.tracerDebutParcours();
    
    Demande demandeCourante = DomLiquidationAssurance.getDemande(p_contexte);
    
    Resultat resultatCapa06 = new Resultat(1);
    
    ConditionAge conditionAge = ((DossierExamen)demandeCourante.getDossierExamen()).getConditionsAttributionActives().createConditionAge();
    
    ElementConditionAge elementConditionAge = RechercheConditionAge.getInstance().rechercherConditionAge(demandeCourante);
    conditionAge.setEtat(elementConditionAge.getEtat());
    conditionAge.setDateEffetPension(elementConditionAge.getDateAtteinteRetraite());
    conditionAge.setCodeMotifEchec(elementConditionAge.getCodeMotifEchec());
    if (conditionAge.estSatisfait())
    {
      resultatCapa06.setEtat(0);
    }
    else
    {
      resultatCapa06.setEtat(1);
      resultatCapa06.setMessageErreur(Integer.toString(conditionAge.getCodeMotifEchec()));
    }
    OutilTrace.tracerFinParcours();
    
    return resultatCapa06;
  }
  
  public void controlerContexte(Contexte p_contexte)
    throws ContexteException
  {
    if (DomLiquidationAssurance.getDemande(p_contexte) == null) {
      throw new ContexteException("HG_PR_CALI_L_CONTEXTE_ABSENCE_DEMANDE_ASSURANCE", "La demande d'assurance courante est null: determination condition age impossible.");
    }
    if (DomLiquidationAssurance.getDemande(p_contexte).getDemandeur() == null) {
      throw new ContexteException("HG_PR_CALI_L_ERR_CTX_ABS_DEMANDEUR", "Le demandeur est null: determination condition age impossible.");
    }
  }
}

/* Location:
 * Qualified Name:     DeterminationConditionAge
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */