package fr.unedic.cali.asu.spe02.p03.calcul.outilsfonctionnels;

import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.OdAssuranceSpec;
import fr.unedic.cali.asu.mnt.outilsfonctionnels.DetectionMaintien;
import fr.unedic.cali.calcul.dom.ConstituantsIndemnisation;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.dom.affectation.ProduitAsuSpec;
import fr.unedic.util.temps.Damj;

public class Maintien
  extends DetectionMaintien
{
  private static Maintien s_instance = new Maintien();
  
  public static Maintien getInstance()
  {
    return s_instance;
  }
  
  public boolean evaluerConditionAge(AttributionSpec p_attribution, Damj p_date)
  {
    boolean condition = false;
    
    ProduitAsuSpec produitAMaintenir = (ProduitAsuSpec)((AttributionAssuranceSpec)p_attribution).getOuvertureDroitCapitalRetenu().getProduit();
    Damj dateAgeMaintien = produitAMaintenir.getDateObtentionAgePourMaintien(p_attribution.getDemande());
    if (dateAgeMaintien.estAvantOuCoincideAvec(p_date)) {
      condition = true;
    }
    return condition;
  }
  
  public boolean controlerConditionsDetectionHorsAge(AttributionSpec p_attribution, ConstituantsIndemnisation p_constituantsIndemnisation, Damj p_dateDetection)
  {
    boolean conditions = false;
    if ((!estDate100TConnue((AttributionAssuranceSpec)p_attribution)) || ((estDate100TConnue((AttributionAssuranceSpec)p_attribution)) && (evaluerCondition100T((AttributionAssuranceSpec)p_attribution, p_dateDetection)))) {
      if (evaluerConditionReliquat(p_constituantsIndemnisation)) {
        conditions = true;
      }
    }
    return conditions;
  }
  
  public boolean controlerConditionsDetectionHors100T(AttributionSpec p_attribution, ConstituantsIndemnisation p_constituantsIndemnisation, Damj p_dateDetection)
  {
    boolean conditions = false;
    if ((evaluerConditionAge((AttributionAssuranceSpec)p_attribution, p_dateDetection)) && (evaluerConditionReliquat(p_constituantsIndemnisation))) {
      conditions = true;
    }
    return conditions;
  }
}

/* Location:
 * Qualified Name:     Maintien
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */