package fr.unedic.cali.asu.spe02.p03.liquidation.dom;

import fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen.ActiviteParticipanteGen;
import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Periode;

public class ActiviteParticipante
  extends ActiviteParticipanteGen
  implements ObjetPersistantSpec
{
  private static final long serialVersionUID = -3320046467058194444L;
  
  public ActiviteParticipante(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ActiviteParticipante() {}
  
  public ObjetMetierSpec copie()
  {
    ActiviteParticipante copie = new ActiviteParticipante();
    copieElements(copie);
    copie.setPresencePNDSSurActivite(isPresencePNDSSurActivite());
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    ActiviteParticipante copie = (ActiviteParticipante)p_copie;
    super.copieElements(copie);
    copie.setPeriodeActivite(getPeriodeActivite() != null ? new Periode(getPeriodeActivite().getDebut(), getPeriodeActivite().getFin()) : null);
    
    copie.setNature(getNature());
    copie.setRaisonSociale(getRaisonSociale());
    copie.setQuantiteTotaleTravaillee(getQuantiteTotaleTravaillee());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void marquerGraphePersistant() {}
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
}

/* Location:
 * Qualified Name:     ActiviteParticipante
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */