package fr.unedic.cali.asu.spe02.p03.liquidation.dom;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.SaisieAntecedent;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen.AntecedentGen;
import fr.unedic.cali.dom.AntecedentSpec;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;

public class Antecedent
  extends AntecedentGen
  implements AntecedentSpec
{
  private static final long serialVersionUID = 1L;
  
  public Antecedent(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public Antecedent() {}
  
  public Antecedent(Damj p_dateEvenement)
  {
    super(p_dateEvenement);
  }
  
  public Antecedent(Damj p_dateEvenement, DossierExamen p_dossierExamen)
  {
    super(p_dateEvenement);
    copie(p_dossierExamen);
  }
  
  protected void copie(Attribution p_source)
  {
    if (p_source == null) {
      return;
    }
    super.copie(p_source);
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    Od copie = (Od)p_copie;
    super.copieElements(copie);
  }
  
  public ObjetMetierSpec copie()
  {
    Antecedent copie = new Antecedent();
    copieElements(copie);
    return copie;
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public boolean estExecutable()
  {
    return false;
  }
  
  public SaisieAntecedent getSaisieAntecedent()
  {
    return ((Demande)getDemande()).getSaisieAntecedent();
  }
  
  public boolean estMaintenue()
  {
    if (!getSaisieAntecedent().isEstDroitMaintenu()) {
      return super.estMaintenue();
    }
    return getSaisieAntecedent().isEstDroitMaintenu();
  }
  
  public boolean estPresenceDiffere()
  {
    return getSaisieAntecedent().isDelaiAttente();
  }
  
  public Damj getDateDebutDelaiDecheance()
  {
    Damj dateDebutDecheance = null;
    if (((Demande)getDemande()).getSaisieAntecedent().getDateAdmission() != null) {
      dateDebutDecheance = ((Demande)getDemande()).getSaisieAntecedent().getDateAdmission();
    } else {
      dateDebutDecheance = getDateAttribution();
    }
    return dateDebutDecheance;
  }
}

/* Location:
 * Qualified Name:     Antecedent
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */