package fr.unedic.cali.asu.spe02.p03.liquidation.dom;

import fr.unedic.cali.asu.dom.CarenceSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen.CarencePrefixeAFixerGen;
import fr.unedic.cali.autresdoms.ga.dom.spec.TravailSpec;
import fr.unedic.cali.dom.Individu;
import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.parcours.ContexteParcoursCali;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.Unite;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.ObjetChronoPeriodeConcrete;
import fr.unedic.util.temps.Periode;

public abstract class CarencePrefixeAFixer
  extends CarencePrefixeAFixerGen
  implements ObjetPersistantSpec, CarenceSpec
{
  public static final Unite UNITE_DEFAUT = Unite.get("jour");
  private transient ObjetChronoPeriode m_periodeOrigine;
  private transient Quantite m_reliquat;
  private transient ObjetChronoPeriode m_periodeOrigineReliquat;
  
  public CarencePrefixeAFixer(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public CarencePrefixeAFixer() {}
  
  public CarencePrefixeAFixer(int p_jours)
  {
    setQuantiteInitiale(new Quantite(String.valueOf(p_jours), UNITE_DEFAUT));
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    CarencePrefixeAFixer copie = (CarencePrefixeAFixer)p_copie;
    super.copieElements(copie);
    copie.setIdentifiantPeriodeOrigine(getIdentifiantPeriodeOrigine());
    copie.setPeriodeApplicationCarence(getPeriodeApplicationCarence() != null ? new Periode(getPeriodeApplicationCarence().getDebut(), getPeriodeApplicationCarence().getFin()) : null);
    
    copie.setQuantiteInitiale(getQuantiteInitiale());
    copie.setDateFinPeriodeOrigine(getDateFinPeriodeOrigine());
    copie.setOrigineReliquat(getOrigineReliquat());
  }
  
  public void marquerGraphePersistant() {}
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public abstract String getTypeCarence();
  
  public abstract boolean estIdentiqueA(CarencePrefixeAFixer paramCarencePrefixeAFixer);
  
  public ObjetChronoPeriode getOrigine()
  {
    if (m_periodeOrigine == null)
    {
      Individu individuCourant = ContexteParcoursCali.getIndividuCourant();
      
      m_periodeOrigine = ((ObjetChronoPeriode)individuCourant.rechercherPeriodePasseProfessionnel(getIdentifiantPeriodeOrigine()));
      if ((m_periodeOrigine == null) && (getDateFinPeriodeOrigine() != null)) {
        m_periodeOrigine = new ObjetChronoPeriodeConcrete(getDateFinPeriodeOrigine(), getDateFinPeriodeOrigine());
      }
    }
    return m_periodeOrigine;
  }
  
  public void setOrigine(ObjetChronoPeriode p_periodeOrigine)
  {
    m_periodeOrigine = p_periodeOrigine;
    if (p_periodeOrigine != null)
    {
      if ((p_periodeOrigine instanceof TravailSpec)) {
        setIdentifiantPeriodeOrigine(((TravailSpec)p_periodeOrigine).getIdentifiant());
      }
      setDateFinPeriodeOrigine(p_periodeOrigine.getDateFin());
    }
  }
  
  public Quantite getReliquat()
  {
    return m_reliquat;
  }
  
  public void setReliquat(Quantite p_reliquat)
  {
    m_reliquat = p_reliquat;
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public ObjetChronoPeriode getOrigineReliquat()
  {
    return m_periodeOrigineReliquat;
  }
  
  public void setOrigineReliquat(ObjetChronoPeriode p_periodeOrigineReliquat)
  {
    m_periodeOrigineReliquat = p_periodeOrigineReliquat;
  }
}

/* Location:
 * Qualified Name:     CarencePrefixeAFixer
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */