package fr.unedic.cali.asu.spe02.p03.liquidation.dom;

import fr.unedic.cali.asu.dom.ConditionChomageInvolontaireSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen.ConditionChomageInvolontaireGen;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.Damj;

public class ConditionChomageInvolontaire
  extends ConditionChomageInvolontaireGen
  implements ConditionChomageInvolontaireSpec
{
  private transient String identifiantActivitePortantDV;
  
  private ConditionChomageInvolontaire() {}
  
  public ConditionChomageInvolontaire(DomPCSpec pc)
  {
    super(pc);
  }
  
  public void marquerGraphePersistant() {}
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec copie)
  {
    ConditionChomageInvolontaire copieCondition = (ConditionChomageInvolontaire)copie;
    super.copieElements(copieCondition);
    copieCondition.setCodeMotifEchec(getCodeMotifEchec());
    copieCondition.setEtat(getEtat());
    copieCondition.setQuantiteAffiliation(getQuantiteAffiliation());
    
    copieCondition.setIdentifiantActivitePortantDV(getIdentifiantActivitePortantDV());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void setEtatSatisfait(boolean etatSatisfait)
  {
    if (etatSatisfait) {
      setEtat(0);
    } else {
      setEtat(1);
    }
  }
  
  public boolean estSatisfait()
  {
    return getEtat() == 0;
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public void setIdentifiantActivitePortantDV(String identifiantActivitePortantDV)
  {
    this.identifiantActivitePortantDV = identifiantActivitePortantDV;
  }
  
  public String getIdentifiantActivitePortantDV()
  {
    return identifiantActivitePortantDV;
  }
  
  public Damj getDateFctAeDV()
  {
    return null;
  }
  
  public int getDureeAeDv()
  {
    return 0;
  }
  
  public Quantite getIntensiteHoraireSalarieAeDv()
  {
    return null;
  }
  
  public Quantite getQuantiteAffiliationPrincipaleInopposabilite()
  {
    return null;
  }
  
  public Quantite getQuantiteAffiliationSecondaireInopposabilite()
  {
    return null;
  }
}

/* Location:
 * Qualified Name:     ConditionChomageInvolontaire
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */