package fr.unedic.cali.asu.spe02.p03.liquidation.dom;

import fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen.ConstitutionSalaireReferenceGen;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.dom.ConstitutionDroitSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Periode;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

public class ConstitutionSalaireReference
  extends ConstitutionSalaireReferenceGen
  implements ConstitutionDroitSpec
{
  private static final long serialVersionUID = 1L;
  private transient Collection<ActiviteSalarie> collectionActiviteSalarieParticipantSr;
  private transient Periode prf = null;
  
  public ConstitutionSalaireReference() {}
  
  public ConstitutionSalaireReference(DomPCSpec pc)
  {
    super(pc);
  }
  
  public Collection<ActiviteSalarie> getCollectionActiviteSalarieParticipantSr()
  {
    if (collectionActiviteSalarieParticipantSr == null) {
      collectionActiviteSalarieParticipantSr = new ArrayList();
    }
    return collectionActiviteSalarieParticipantSr;
  }
  
  public void setCollectionActiviteSalarieParticipantSr(Collection<ActiviteSalarie> collectionActiviteSalarieParticipantSr)
  {
    this.collectionActiviteSalarieParticipantSr = collectionActiviteSalarieParticipantSr;
  }
  
  public ObjetMetierSpec copie()
  {
    throw new UnsupportedOperationException("Cette méthode ne doit pas être appelée! Appeller le méthode copieElements(ObjetMetierSpec).");
  }
  
  public void copieElements(ObjetMetierSpec copie)
  {
    ConstitutionSalaireReference copieLocal = (ConstitutionSalaireReference)copie;
    super.copieElements(copieLocal);
    copieLocal.setMontantPlafond(getMontantPlafond());
    copieLocal.setSalaireReferenceInitial(getSalaireReferenceInitial());
    copieLocal.setSalaireReferenceRevalorisePlafonne(getSalaireReferenceRevalorisePlafonne());
    copieLocal.setSalaireReferenceInitialPlafonne(getSalaireReferenceInitialPlafonne());
    copieLocal.setPrc(getPrc() != null ? new Periode(getPrc().getDebut(), getPrc().getFin()) : null);
    if (getJustificationSalaireReference() != null)
    {
      JustificationSalaireReference copieJustificationSalaireReference = copieLocal.createJustificationSalaireReference();
      getJustificationSalaireReference().copieElements(copieJustificationSalaireReference);
    }
    if (getJustificationReductionSalaire() != null)
    {
      JustificationReductionSalaire copieJustificationReductionSalaire = copieLocal.createJustificationReductionSalaire();
      getJustificationReductionSalaire().copieElements(copieJustificationReductionSalaire);
    }
    for (Iterator<?> iter = getCollectionActiviteSalarieParticipantSr().iterator(); iter.hasNext();)
    {
      ActiviteSalarie element = (ActiviteSalarie)iter.next();
      copieLocal.getCollectionActiviteSalarieParticipantSr().add(element);
    }
    copieLocal.setNombreJoursEmploiDansPRC(getNombreJoursEmploiDansPRC());
    copieLocal.setNombreJoursInactiviteDansPRC(getNombreJoursInactiviteDansPRC());
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(getJustificationReductionSalaire());
    DomManager.persisterEnProfondeur(getJustificationSalaireReference());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public Periode getPrf()
  {
    return prf;
  }
  
  public void setPrf(Periode prf)
  {
    this.prf = prf;
  }
}

/* Location:
 * Qualified Name:     ConstitutionSalaireReference
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */