package fr.unedic.cali.asu.spe02.p03.liquidation.dom;

import fr.unedic.cali.asu.dom.ConteneurPMCSpec;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.dom.PreavisMesureConservatoireIndemnisableSpec;
import fr.unedic.cali.asu.dom.PreavisMesureConservatoireNonIndemnisableSpec;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.util.temps.Periode;

public class ConteneurPMC
  implements ConteneurPMCSpec
{
  private PreavisMesureConservatoireNonIndemnisableSpec m_pmcNonIndemnisable;
  private PreavisMesureConservatoireIndemnisableSpec m_pmcIndemnisable;
  private DemandeAssuranceSpec m_demande;
  
  public static ConteneurPMC createInstance()
  {
    return new ConteneurPMC();
  }
  
  public PreavisMesureConservatoireIndemnisableSpec creerPMCIndemnisable(ActiviteSalarie p_periodeActivite, Periode p_periodeApplication)
  {
    return new PreavisMesureConservatoireIndemnisable(p_periodeActivite, p_periodeApplication);
  }
  
  public PreavisMesureConservatoireNonIndemnisableSpec creerPMCNonIndemnisable(ActiviteSalarie p_periodeActivite, Periode p_periodeApplication)
  {
    return new PreavisMesureConservatoireNonIndemnisable(p_periodeActivite, p_periodeApplication);
  }
  
  public PreavisMesureConservatoireIndemnisableSpec getCarencePmcIndemnisable()
  {
    return m_pmcIndemnisable;
  }
  
  public PreavisMesureConservatoireNonIndemnisableSpec getCarencePmcNonIndemnisable()
  {
    return m_pmcNonIndemnisable;
  }
  
  public void setCarencePmc(PreavisMesureConservatoireNonIndemnisableSpec p_carencePMC)
  {
    m_pmcNonIndemnisable = p_carencePMC;
  }
  
  public void setPmcIndemnisable(PreavisMesureConservatoireIndemnisableSpec p_carencePMCIndemnisable)
  {
    m_pmcIndemnisable = p_carencePMCIndemnisable;
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public DemandeAssuranceSpec getDemande()
  {
    return m_demande;
  }
  
  public void setDemande(DemandeAssuranceSpec p_demande)
  {
    m_demande = p_demande;
  }
}

/* Location:
 * Qualified Name:     ConteneurPMC
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */