package fr.unedic.cali.asu.spe02.p03.liquidation.dom;

import fr.unedic.cali.asu.dom.DiffereSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen.DiffereGen;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;
import org.apache.commons.lang.builder.EqualsBuilder;

public class Differe
  extends DiffereGen
  implements ObjetMetierSpec, DiffereSpec
{
  private static final long serialVersionUID = -3242006465926939636L;
  public static final int DIFFERE_7_JOURS = 7;
  
  public Differe() {}
  
  public Differe(int jours)
  {
    setQuantiteInitiale(new Quantite(new BigDecimal(Integer.toString(jours)), UNITE_DEFAUT));
  }
  
  public Differe(DomPCSpec differePC)
  {
    super(differePC);
  }
  
  public int getQuantiteInitialeJour()
  {
    return getQuantiteInitiale().getValeurEntiere();
  }
  
  public void setQuantiteInitialeJour(int jours)
  {
    setQuantiteInitiale(new Quantite(new BigDecimal(Integer.toString(jours)), UNITE_DEFAUT));
  }
  
  public void marquerGraphePersistant() {}
  
  public ObjetMetierSpec copie()
  {
    Differe copie = new Differe();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec pCopie)
  {
    Differe copie = (Differe)pCopie;
    
    copie.setDateFinPeriodeOrigine(getDateFinPeriodeOrigine());
    copie.setIdentifiantPeriodeOrigine(getIdentifiantPeriodeOrigine());
    copie.setPeriodeApplicationCarence(getPeriodeApplicationCarence());
    copie.setQuantiteInitiale(getQuantiteInitiale());
  }
  
  public String getTypeCarence()
  {
    return "5";
  }
  
  public boolean estIdentiqueA(CarencePrefixeAFixer carence)
  {
    if ((carence == null) || (!(carence instanceof Differe))) {
      return false;
    }
    Differe aComparer = (Differe)carence;
    
    EqualsBuilder eqb = new EqualsBuilder();
    return eqb.append(getPeriodeApplicationCarence().getDebut(), aComparer.getPeriodeApplicationCarence().getDebut()).append(getPeriodeApplicationCarence().getFin(), aComparer.getPeriodeApplicationCarence().getFin()).append(getQuantiteInitiale(), aComparer.getQuantiteInitiale()).append(getIdentifiantPeriodeOrigine(), aComparer.getIdentifiantPeriodeOrigine()).isEquals();
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
}

/* Location:
 * Qualified Name:     Differe
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */