package fr.unedic.cali.asu.spe02.p03.liquidation.dom;

import fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen.JustificationReductionSalaireGen;
import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import java.util.Collection;
import java.util.Iterator;

public class JustificationReductionSalaire
  extends JustificationReductionSalaireGen
  implements ObjetPersistantSpec
{
  public JustificationReductionSalaire() {}
  
  public JustificationReductionSalaire(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public ObjetMetierSpec copie()
  {
    JustificationReductionSalaire copie = new JustificationReductionSalaire();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    JustificationReductionSalaire copie = (JustificationReductionSalaire)p_copie;
    super.copieElements(copie);
    Iterator iter = getCollectionMoisCivils().iterator();
    while (iter.hasNext())
    {
      JustificationReductionSalaireMoisCivil moisACloner = (JustificationReductionSalaireMoisCivil)iter.next();
      if (moisACloner != null)
      {
        JustificationReductionSalaireMoisCivil moisClone = (JustificationReductionSalaireMoisCivil)moisACloner.copie();
        copie.ajouterMoisCivils(moisClone);
      }
    }
  }
  
  public void marquerGraphePersistant()
  {
    DomManager.persisterEnProfondeur(getCollectionMoisCivils());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public void remplacerCollectionMoisCivils(Collection collectionACopier)
  {
    for (Iterator iter = super.getCollectionMoisCivils().iterator(); iter.hasNext();)
    {
      JustificationReductionSalaireMoisCivil element = (JustificationReductionSalaireMoisCivil)iter.next();
      DomManager.supprimer(element);
    }
    super.remplacerCollectionMoisCivils(collectionACopier);
  }
}

/* Location:
 * Qualified Name:     JustificationReductionSalaire
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */