package fr.unedic.cali.asu.spe02.p03.liquidation.dom;

import fr.unedic.cali.asu.dom.PreavisMesureConservatoireNonIndemnisableSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen.PreavisMesureConservatoireNonIndemnisableGen;
import fr.unedic.cali.dom.ObjetPersistantSpec;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.QuantiteJour;
import fr.unedic.util.temps.ObjetChronoPeriode;
import fr.unedic.util.temps.Periode;
import java.math.BigDecimal;
import org.apache.commons.lang.builder.EqualsBuilder;

public class PreavisMesureConservatoireNonIndemnisable
  extends PreavisMesureConservatoireNonIndemnisableGen
  implements ObjetPersistantSpec, PreavisMesureConservatoireNonIndemnisableSpec
{
  public PreavisMesureConservatoireNonIndemnisable(DomPCSpec p_pc)
  {
    super(p_pc);
  }
  
  public PreavisMesureConservatoireNonIndemnisable() {}
  
  public PreavisMesureConservatoireNonIndemnisable(ObjetChronoPeriode p_periodeOrigine, Periode p_periodeApplication)
  {
    super(p_periodeApplication.getDuree());
    setPeriodeApplicationCarence(p_periodeApplication);
    setQuantiteInitiale(new QuantiteJour(new BigDecimal(p_periodeApplication.getDuree())));
    setOrigine(p_periodeOrigine);
  }
  
  public ObjetMetierSpec copie()
  {
    PreavisMesureConservatoireNonIndemnisable copie = new PreavisMesureConservatoireNonIndemnisable();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    PreavisMesureConservatoireNonIndemnisable copie = (PreavisMesureConservatoireNonIndemnisable)p_copie;
    super.copieElements(copie);
  }
  
  public String getTypeCarence()
  {
    return "1";
  }
  
  public boolean estIdentiqueA(CarencePrefixeAFixer p_carence)
  {
    if ((p_carence == null) || (!(p_carence instanceof PreavisMesureConservatoireNonIndemnisable))) {
      return false;
    }
    PreavisMesureConservatoireNonIndemnisable aComparer = (PreavisMesureConservatoireNonIndemnisable)p_carence;
    
    EqualsBuilder eqb = new EqualsBuilder();
    return eqb.append(getPeriodeApplicationCarence().getDebut(), aComparer.getPeriodeApplicationCarence().getDebut()).append(getPeriodeApplicationCarence().getFin(), aComparer.getPeriodeApplicationCarence().getFin()).append(getQuantiteInitiale(), aComparer.getQuantiteInitiale()).append(getIdentifiantPeriodeOrigine(), aComparer.getIdentifiantPeriodeOrigine()).isEquals();
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
}

/* Location:
 * Qualified Name:     PreavisMesureConservatoireNonIndemnisable
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */