package fr.unedic.cali.asu.spe02.p03.liquidation.dom;

import fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen.ValidationProduitGen;
import fr.unedic.cali.dom.persistance.util.DomManager;
import fr.unedic.cali.util.OutilDomToString;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;
import fr.unedic.util.temps.Periode;
import java.util.Collection;

public class ValidationProduit
  extends ValidationProduitGen
{
  private static final long serialVersionUID = 1L;
  private transient Quantite quantiteAffiAcquiseRangInitial = null;
  private transient Periode praAuRangInitial = null;
  private transient Quantite heuresRequisesAuRangInitial;
  private transient Collection justificationAssimilationAuRangInitial;
  
  public ValidationProduit(DomPCSpec pc)
  {
    super(pc);
  }
  
  public ValidationProduit() {}
  
  public ObjetMetierSpec copie()
  {
    ValidationProduit copie = new ValidationProduit();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec copieMetier)
  {
    ValidationProduit copie = (ValidationProduit)copieMetier;
    super.copieElements(copie);
    if (getJustificationAffiliation() != null)
    {
      JustificationAffiliation justifAffi = copie.createJustificationAffiliation();
      getJustificationAffiliation().copieElements(justifAffi);
    }
    copie.setEstProduitValide(isEstProduitValide());
    copie.setHeuresRequises(getHeuresRequises());
    copie.setRangAllongement(getRangAllongement());
    copie.setQuantiteAffiAcquiseRangInitial(getQuantiteAffiAcquiseRangInitial());
    copie.setPraAuRangInitial(getPraAuRangInitial());
    copie.setJustificationAssimilationAuRangInitial(getJustificationAssimilationAuRangInitial());
    copie.setHeuresRequisesAuRangInitial(getHeuresRequisesAuRangInitial());
  }
  
  public String getIdentifiant()
  {
    return DomManager.getIdentifiant(this);
  }
  
  public void marquerGraphePersistant()
  {
    super.marquerGraphePersistant();
    DomManager.persisterEnProfondeur(super.getJustificationAffiliation());
  }
  
  public String toString()
  {
    return OutilDomToString.toString(this);
  }
  
  public Quantite getQuantiteAffiAcquiseRangInitial()
  {
    return quantiteAffiAcquiseRangInitial;
  }
  
  public void setQuantiteAffiAcquiseRangInitial(Quantite quantiteAffiAcquiseRangInitial)
  {
    this.quantiteAffiAcquiseRangInitial = quantiteAffiAcquiseRangInitial;
  }
  
  public Periode getPraAuRangInitial()
  {
    return praAuRangInitial;
  }
  
  public void setPraAuRangInitial(Periode praAuRangInitial)
  {
    this.praAuRangInitial = praAuRangInitial;
  }
  
  public Quantite getHeuresRequisesAuRangInitial()
  {
    return heuresRequisesAuRangInitial;
  }
  
  public void setHeuresRequisesAuRangInitial(Quantite heuresRequisesAuRangInitial)
  {
    this.heuresRequisesAuRangInitial = heuresRequisesAuRangInitial;
  }
  
  public Collection getJustificationAssimilationAuRangInitial()
  {
    return justificationAssimilationAuRangInitial;
  }
  
  public void setJustificationAssimilationAuRangInitial(Collection justificationAssimilationAuRangInitial)
  {
    this.justificationAssimilationAuRangInitial = justificationAssimilationAuRangInitial;
  }
}

/* Location:
 * Qualified Name:     ValidationProduit
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */