package fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.spec.ConditionsAttributionAbstraitPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;

public abstract class ConditionChomageInvolontaireGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_conditionsAttributionAbstraitPC;
  private Quantite m_quantiteAffiliation = null;
  
  public ConditionChomageInvolontaireGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConditionChomageInvolontaireGen() {}
  
  public DomPCSpec getPC()
  {
    return m_conditionsAttributionAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_conditionsAttributionAbstraitPC)
  {
    m_conditionsAttributionAbstraitPC = p_conditionsAttributionAbstraitPC;
  }
  
  protected int rawGetEtat()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getEtatConditionChomageInvolontaire();
  }
  
  public int getEtat()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getEtatConditionChomageInvolontaire();
  }
  
  public void setEtat(int p_etat)
  {
    ((ConditionsAttributionAbstraitPC)getPC()).setEtatConditionChomageInvolontaire(p_etat);
  }
  
  protected int rawGetCodeMotifEchec()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getCodeMotifEchecConditionChomageInvolontaire();
  }
  
  public int getCodeMotifEchec()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getCodeMotifEchecConditionChomageInvolontaire();
  }
  
  public void setCodeMotifEchec(int p_codeMotifEchec)
  {
    ((ConditionsAttributionAbstraitPC)getPC()).setCodeMotifEchecConditionChomageInvolontaire(p_codeMotifEchec);
  }
  
  protected Quantite rawGetQuantiteAffiliation()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getQuantiteAffiliationChomageInvolontaire();
  }
  
  public Quantite getQuantiteAffiliation()
  {
    return ((ConditionsAttributionAbstraitPC)getPC()).getQuantiteAffiliationChomageInvolontaire();
  }
  
  public void setQuantiteAffiliation(Quantite p_quantiteAffiliation)
  {
    if ((m_quantiteAffiliation == null) || (p_quantiteAffiliation == null))
    {
      m_quantiteAffiliation = p_quantiteAffiliation;
      ((ConditionsAttributionAbstraitPC)getPC()).setQuantiteAffiliationChomageInvolontaire(p_quantiteAffiliation);
    }
    else if ((m_quantiteAffiliation != null) && (p_quantiteAffiliation != null) && (!p_quantiteAffiliation.equals(m_quantiteAffiliation)))
    {
      m_quantiteAffiliation = p_quantiteAffiliation;
      ((ConditionsAttributionAbstraitPC)getPC()).setQuantiteAffiliationChomageInvolontaire(p_quantiteAffiliation);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    setEtat(0);
    setCodeMotifEchec(0);
    setQuantiteAffiliation(null);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConditionChomageInvolontaireGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */