package fr.unedic.cali.asu.spe02.p03.liquidation.dom.gen;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.spec.ConstitutionElementsAbstraitPC;
import fr.unedic.transverse.dom.ContexteSuppressionEnProfondeur;
import fr.unedic.transverse.dom.spec.DomGenSpec;
import fr.unedic.transverse.dom.spec.DomPCSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.temps.Damj;

public abstract class ConstitutionDateAttributionGen
  implements DomGenSpec
{
  protected transient DomPCSpec m_constitutionElementsAbstraitPC;
  private Damj m_dateAttribution;
  
  public ConstitutionDateAttributionGen(DomPCSpec p_pc)
  {
    setPC(p_pc);
  }
  
  public ConstitutionDateAttributionGen() {}
  
  public DomPCSpec getPC()
  {
    return m_constitutionElementsAbstraitPC;
  }
  
  public Object getGenericPC()
  {
    return getPC();
  }
  
  public void setPC(DomPCSpec p_constitutionElementsAbstraitPC)
  {
    m_constitutionElementsAbstraitPC = p_constitutionElementsAbstraitPC;
  }
  
  protected Damj rawGetDateAttribution()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDateAttributionConstitutionDateAttribution();
  }
  
  public Damj getDateAttribution()
  {
    return ((ConstitutionElementsAbstraitPC)getPC()).getDateAttributionConstitutionDateAttribution();
  }
  
  public void setDateAttribution(Damj p_dateAttribution)
  {
    if ((m_dateAttribution == null) || (p_dateAttribution == null))
    {
      m_dateAttribution = p_dateAttribution;
      ((ConstitutionElementsAbstraitPC)getPC()).setDateAttributionConstitutionDateAttribution(p_dateAttribution);
    }
    else if ((m_dateAttribution != null) && (p_dateAttribution != null) && (!p_dateAttribution.equals(m_dateAttribution)))
    {
      m_dateAttribution = p_dateAttribution;
      ((ConstitutionElementsAbstraitPC)getPC()).setDateAttributionConstitutionDateAttribution(p_dateAttribution);
    }
  }
  
  public void supprimerEnProfondeur(ContexteSuppressionEnProfondeur p_contexteSuppression)
    throws TechniqueException
  {
    p_contexteSuppression.addElementEnCoursDeSuppression(this);
  }
  
  public void initEnProfondeur()
    throws TechniqueException
  {
    setDateAttribution(null);
  }
  
  public void copieElements(ObjetMetierSpec p_copie) {}
}

/* Location:
 * Qualified Name:     ConstitutionDateAttributionGen
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */