package fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.dom.DelaiRechercheProduit;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DonneesTemporaires;
import fr.unedic.cali.asu.dom.DossierAffectation;
import fr.unedic.cali.asu.dom.EreDemandeExpresse;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionFaitGenerateur;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionsAttributionAdmission;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.DossierExamen;
import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.outilsfonctionnels.OutillagePEC;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import fr.unedic.util.temps.DureeCalendaire;

public class RechercheConditionFaitGenerateurDemandeExpresse
  extends RechercheConditionFaitGenerateurDemandeClassique
  implements RechercheConditionFaitGenerateurSpec
{
  public ConditionFaitGenerateur rechercherConditionFaitGenerateur(Demande demande)
    throws CoucheLogiqueException
  {
    ConditionFaitGenerateur conditionFaitGenerateurRetourne = ((DossierExamen)demande.getDossierExamen()).getConditionAttributionAdmission().createConditionFaitGenerateur();
    
    DelaiRechercheProduit periodeDelaiForclusion = determinerDelaiForclusion(demande);
    DelaiRechercheProduit periodeDelaiValiditeFaitGenerateur = null;
    if (periodeDelaiForclusion != null) {
      periodeDelaiValiditeFaitGenerateur = determinerDelaiValiditeFaitGenerateur(demande, periodeDelaiForclusion);
    }
    boolean delaiForclusionAllonge = (periodeDelaiForclusion != null) && (demande.getDonneesTemporaires() != null) && (demande.getDonneesTemporaires().getAllongementDelaiForclusion() != null) && (demande.getDonneesTemporaires().getAllongementDelaiForclusion().getJours() != 0);
    
    int codeMotifEchecDelaiForclusion = delaiForclusionAllonge ? 45 : 44;
    
    EreDemandeExpresse ere = (EreDemandeExpresse)demande.getEvenementReferenceExamen();
    ActiviteSalarie periodeFg = (ActiviteSalarie)ere.getPeriodeExamen();
    Damj dateFinFgd = periodeFg.getDateFin();
    if ((OutillagePEC.getPeriodePecDemandeurEmploiContenant(demande.getDemandeur(), dateFinFgd.lendemain()) == null) || (demande.getDonneesTemporaires().isDroitOptionForce())) {
      periodeFg = (ActiviteSalarie)((DossierAffectation)demande.getDossierAffectation()).getSinistre();
    }
    if (periodeFg != null)
    {
      if ((periodeDelaiValiditeFaitGenerateur == null) || (!periodeFg.getDateFin().estContenueDans(periodeDelaiValiditeFaitGenerateur)))
      {
        conditionFaitGenerateurRetourne.setEtatSatisfait(false);
        
        conditionFaitGenerateurRetourne.setCodeMotifEchec(codeMotifEchecDelaiForclusion);
      }
      else
      {
        conditionFaitGenerateurRetourne.setEtatSatisfait(true);
        conditionFaitGenerateurRetourne.setPeriodeFaitGenerateur(periodeFg);
      }
    }
    else
    {
      conditionFaitGenerateurRetourne.setEtatSatisfait(false);
      conditionFaitGenerateurRetourne.setCodeMotifEchec(41);
    }
    return conditionFaitGenerateurRetourne;
  }
}

/* Location:
 * Qualified Name:     RechercheConditionFaitGenerateurDemandeExpresse
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */