package fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionMontantNonNul;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionsAttributionSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionElementsSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionMontantsBruts;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.DossierExamen;
import fr.unedic.util.Mathematiques;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.OutilFonctionnel;
import java.math.BigDecimal;

public class RechercheConditionMontantNonNul
  implements OutilFonctionnel
{
  private static final BigDecimal MONTANT_ZERO = new BigDecimal("0.00");
  
  public static ConditionMontantNonNul rechercherConditionMontantNonNul(Demande p_demande)
    throws CoucheLogiqueException
  {
    ConditionMontantNonNul conditionMontantNonNul = ((DossierExamen)p_demande.getDossierExamen()).getConditionsAttributionActives().createConditionMontantNonNul();
    
    conditionMontantNonNul.setEtatSatisfait(false);
    DossierExamen dossierExamen = (DossierExamen)p_demande.getDossierExamen();
    Quantite montantJournalier = dossierExamen.getConstitutionElementsActifs().getConstitutionMontantsBruts().getMontantJournalierBrut();
    
    BigDecimal valeurMontantJournalier = null;
    if (montantJournalier != null) {
      valeurMontantJournalier = Mathematiques.arrondiASup(montantJournalier.getValeur(), 2);
    }
    if ((valeurMontantJournalier != null) && (valeurMontantJournalier.compareTo(MONTANT_ZERO) > 0))
    {
      conditionMontantNonNul.setEtatSatisfait(true);
    }
    else
    {
      conditionMontantNonNul.setEtatSatisfait(false);
      conditionMontantNonNul.setCodeMotifEchec(181);
    }
    return conditionMontantNonNul;
  }
}

/* Location:
 * Qualified Name:     RechercheConditionMontantNonNul
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */