package fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels;

import fr.pe.cali.liquidation.outilsfonctionnels.dom.ResultatImputationSuiteArce;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.outilsfonctionnels.OutilDeterminationObjectifReprise;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.cali.asu.produits.liquidation.outilsfonctionnels.RechercheConditionValiditeReliquat;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.dom.ElementConditionValiditeReliquat;
import fr.unedic.cali.parcours.ResultatExecutionCalculSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public class RechercheConditionValiditeReliquatSpectacle
  extends RechercheConditionValiditeReliquat
{
  public static RechercheConditionValiditeReliquatSpectacle getInstance()
  {
    return new RechercheConditionValiditeReliquatSpectacle();
  }
  
  public ElementConditionValiditeReliquat rechercherConditionValiditeReliquat(ResultatExecutionCalculSpec resultatCalcul, DemandeSpec demande, ResultatImputationSuiteArce resultatImputationArce)
    throws CoucheLogiqueException
  {
    return traitementCondition(resultatCalcul, demande, resultatImputationArce);
  }
  
  protected Damj traiterEpuisementReliquat(DemandeSpec demande, ElementConditionValiditeReliquat elementConditionValiditeReliquat, ResultatExecutionCalculSpec resultatCalcul, ResultatImputationSuiteArce resultatImputationArce)
    throws CoucheLogiqueException
  {
    Damj dateEpuisement = OutilDeterminationObjectifReprise.getInstance().determinerDateEpuisementReliquatSurObjectifRepriseSpectacle2016((DemandeAssuranceSpec)demande, resultatCalcul.getAttributionEtudiee(), resultatImputationArce);
    if (dateEpuisement != null)
    {
      elementConditionValiditeReliquat.setCodeMotifEchec(271);
      elementConditionValiditeReliquat.setEtat(1);
      elementConditionValiditeReliquat.setDateDecheance(dateEpuisement);
      elementConditionValiditeReliquat.setMotifNonValidite(2);
      elementConditionValiditeReliquat.setCauseExtinction(2);
    }
    return dateEpuisement;
  }
  
  protected void copierResultatDansCap(ElementConditionValiditeReliquat elementConditionValiditeReliquat, ResultatExecutionCalculSpec resultatCalcul, DemandeSpec demande)
  {
    elementConditionValiditeReliquat.setMotifNonValidite(resultatCalcul.getEtatAttribution());
    elementConditionValiditeReliquat.setCauseExtinction(resultatCalcul.getEtatAttribution());
    if (!OutilGestionContexteDemande.estContexteDemandeAssurancePresent((Demande)demande, "ENCOURSCRA")) {
      elementConditionValiditeReliquat.setDateDecheance(resultatCalcul.getDateEtatAttribution());
    }
  }
}

/* Location:
 * Qualified Name:     RechercheConditionValiditeReliquatSpectacle
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */