package fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.filtres;

import fr.unedic.cali.autresdoms.ga.dom.ActiviteSalarie;
import fr.unedic.cali.autresdoms.ga.dom.ContratTravail;
import fr.unedic.cali.dom.affectation.Reglement;
import fr.unedic.cali.outilsfonctionnels.filtres.FiltrePeriodesComplementaires;
import fr.unedic.util.temps.FiltreTemporel;
import fr.unedic.util.temps.Temporel;

public class FiltreActiviteSalarieCinemaSpectacle
  extends FiltrePeriodesComplementaires
  implements FiltreTemporel
{
  private static final long serialVersionUID = 1L;
  
  public FiltreActiviteSalarieCinemaSpectacle() {}
  
  public FiltreActiviteSalarieCinemaSpectacle(boolean filtreComplementaire)
  {
    super(filtreComplementaire);
  }
  
  public boolean accepter(Temporel temporel)
  {
    if (temporel.estType(ActiviteSalarie.class))
    {
      int nature = ((ActiviteSalarie)temporel).getContrat().getNature();
      Reglement reglement = ((ActiviteSalarie)temporel).getReglement();
      
      boolean activiteRetenue = (nature == 2) && (reglement != null) && ((reglement.estNomReglementIdentique("A8")) || (reglement.estNomReglementIdentique("A10")));
      
      return super.getFiltreValorise(activiteRetenue);
    }
    return false;
  }
}

/* Location:
 * Qualified Name:     FiltreActiviteSalarieCinemaSpectacle
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */