package fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.strategies;

import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.EreDemandeAreEfe;
import fr.unedic.cali.asu.dom.EreDemandeExpresse;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.fabriques.FabriqueStrategieContexteRepriseSystematique;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.spec.StrategieContexteRepriseSystematiqueSpec;
import fr.unedic.cali.dom.EvenementReferenceExamenSpec;
import fr.unedic.cali.outilsfonctionnels.strategies.CritereStrategie;
import fr.unedic.cali.parametres.GestionnaireDateApplication;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;
import java.util.List;

public class StrategieObjectifAntecedentSPApres
  implements StrategieObjectifAntecedentSPSpec
{
  public void determinerObjectifsAntecedentSecteurPublic(Demande demande, List<Integer> listeTypesObjectifs)
    throws CoucheLogiqueException
  {
    EvenementReferenceExamenSpec ere = demande.getEvenementReferenceExamen();
    if (demande.estDroitOptionReadmission())
    {
      listeTypesObjectifs.add(Integer.valueOf(12));
    }
    else
    {
      CritereStrategie critere = new CritereStrategie();
      critere.setDatePivot(demande.getDateExamen());
      
      StrategieContexteRepriseSystematiqueSpec strategie = (StrategieContexteRepriseSystematiqueSpec)FabriqueStrategieContexteRepriseSystematique.getInstance().getStrategie(critere);
      
      AttributionAssuranceSpec odOrigine = demande.rechercherOuvertureDroitPrecedenteDuMemeType();
      if (((ere instanceof EreDemandeExpresse)) || ((ere instanceof EreDemandeAreEfe)))
      {
        listeTypesObjectifs.add(Integer.valueOf(12));
      }
      else if (strategie.determinerContexteRepriseSystematique(odOrigine))
      {
        Damj dateApplication = GestionnaireDateApplication.getInstance().recupererDateApplication("Reprise SP");
        if (demande.getDateExamen().estAvant(dateApplication)) {
          fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_PR_CALI_L_ALERTE_A8MB12");
        } else {
          listeTypesObjectifs.add(Integer.valueOf(50));
        }
      }
      else
      {
        listeTypesObjectifs.add(Integer.valueOf(12));
      }
    }
  }
}

/* Location:
 * Qualified Name:     StrategieObjectifAntecedentSPApres
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */