package fr.unedic.cali.asu.spe02.p03.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Reprise;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.DeterminationReglementApplicable;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteException;
import fr.unedic.util.services.Resultat;

public class ConstitutionReglementApplicablePourReprise
  extends ParcoursCali
  implements ParcoursAssurance
{
  public void controlerContexte(Contexte p_contexte)
    throws ContexteException
  {
    if (DomLiquidationAssurance.getDemande(p_contexte) == null) {
      throw new ContexteException("HG_PR_CALI_L_CONTEXTE_ABSENCE_DEMANDE_ASSURANCE", "La DemandeAssurance est null pour la recherche du reglement applicable.");
    }
    if (((DossierExamen)DomLiquidationAssurance.getDemande(p_contexte).getDossierExamen()).getAttributionPrecedente() == null) {
      throw new ContexteException("HG_PR_CALI_L_ERR_CTX_ABS_OD", "L'attribution est null pour la constitution du reglement applicable .");
    }
    if (((((DossierExamen)DomLiquidationAssurance.getDemande(p_contexte).getDossierExamen()).getAttributionPrecedente() instanceof Reprise)) && 
      (((Reprise)DomLiquidationAssurance.getDemande(p_contexte).getAttribution()).getAttributionPrecedente() == null)) {
      throw new ContexteException("HG_PR_CALI_L_ERR_CONTEXTE", "L'attribution précédente est null: constitution du reglement applicable impossible.");
    }
  }
  
  public Resultat demarrer(Contexte p_contexte)
    throws ApplicativeException
  {
    OutilTrace.tracerDebutParcours();
    
    Resultat resultatCEPR13 = new Resultat();
    
    Demande demande = DomLiquidationAssurance.getDemande(p_contexte);
    
    DeterminationReglementApplicable.determinerReglementApplicablePourReprise(demande);
    
    OutilTrace.tracerFinParcours();
    
    return resultatCEPR13;
  }
}

/* Location:
 * Qualified Name:     ConstitutionReglementApplicablePourReprise
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */