package fr.unedic.cali.asu.spe02.p03.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.mnt.dom.ConditionActiviteMaintien;
import fr.unedic.cali.asu.mnt.dom.DemandeMaintien;
import fr.unedic.cali.asu.mnt.dom.DossierExamen;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.RechercheConditionActiviteMaintien;
import fr.unedic.cali.dom.DemandeSpec;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.DomLiquidationDemande;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;

public class DeterminationConditionActivitePourMaintien
  extends ParcoursCali
  implements ParcoursAssurance
{
  public static DemandeSpec getDemande(Contexte contexte)
  {
    return ((DomLiquidationDemande)contexte.getDonnees()).getDemandeSpec();
  }
  
  public Resultat demarrer(Contexte contexte)
    throws ApplicativeException
  {
    Resultat resultatCam03 = new Resultat(1);
    DemandeMaintien demandeMaintien = (DemandeMaintien)getDemande(contexte);
    
    OutilTrace.tracerDebutParcours();
    
    ConditionActiviteMaintien conditionActivite = RechercheConditionActiviteMaintien.getInstance().verifierActivite(demandeMaintien);
    
    demandeMaintien.getDossierExamen().setConditionActivite(conditionActivite);
    if (conditionActivite.estSatisfait())
    {
      resultatCam03.setEtat(0);
    }
    else
    {
      resultatCam03.setEtat(1);
      resultatCam03.setMessageErreur(Integer.toString(conditionActivite.getCodeMotifEchec()));
    }
    OutilTrace.tracerFinParcours();
    
    return resultatCam03;
  }
}

/* Location:
 * Qualified Name:     DeterminationConditionActivitePourMaintien
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */