package fr.unedic.cali.asu.spe02.p03.liquidation.parcours;

import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionChomageInvolontaire;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.FabriqueRechercheConditionChomageInvolontaire;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.RechercheConditionChomageInvolontaireSpec;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;

public class DeterminationConditionChomageInvolontairePourReprise
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte p_contexte)
    throws CoucheLogiqueException
  {
    OutilTrace.tracerDebutParcours();
    
    Demande demandeCourante = DomLiquidationAssurance.getDemande(p_contexte);
    
    Resultat resultatCapa09 = new Resultat(1);
    
    RechercheConditionChomageInvolontaireSpec ofConditionChomageInvolontaire = FabriqueRechercheConditionChomageInvolontaire.getOutilFonctionnelRechercheConditionChomageInvolontaire(demandeCourante);
    
    ConditionChomageInvolontaire conditionChomageInvolontaireCourante = ofConditionChomageInvolontaire.rechercherConditionChomageInvolontairePourReprise(demandeCourante);
    if (conditionChomageInvolontaireCourante.estSatisfait())
    {
      resultatCapa09.setEtat(0);
    }
    else
    {
      resultatCapa09.setEtat(1);
      resultatCapa09.setMessageErreur(Integer.toString(conditionChomageInvolontaireCourante.getCodeMotifEchec()));
    }
    OutilTrace.tracerFinParcours();
    
    return resultatCapa09;
  }
}

/* Location:
 * Qualified Name:     DeterminationConditionChomageInvolontairePourReprise
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */