package fr.unedic.cali.asu.spe02.p03.liquidation.parcours;

import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionMontantNonNul;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.RechercheConditionMontantNonNul;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.ContexteException;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;

public class DeterminationConditionMontantProduitNonNulPourReprise
  extends ParcoursCali
  implements ParcoursAssurance
{
  public void controlerContexte(Contexte p_contexte)
    throws ContexteException
  {
    if (DomLiquidationAssurance.getDemande(p_contexte) == null) {
      throw new ContexteException("HG_PR_CALI_L_CONTEXTE_ABSENCE_DEMANDE_ASSURANCE", "La demande d'assurance est null pour une détermination condition montant non nul.");
    }
  }
  
  public Resultat demarrer(Contexte p_contexte)
    throws CoucheLogiqueException
  {
    OutilTrace.tracerDebutParcours();
    
    Demande demandeCourante = DomLiquidationAssurance.getDemande(p_contexte);
    
    Resultat resultatCapa18 = new Resultat(0);
    
    ConditionMontantNonNul condition = RechercheConditionMontantNonNul.rechercherConditionMontantNonNul(demandeCourante);
    if (condition.estSatisfait())
    {
      resultatCapa18.setEtat(0);
    }
    else
    {
      resultatCapa18.setEtat(1);
      resultatCapa18.setMessageErreur(Integer.toString(condition.getCodeMotifEchec()));
    }
    OutilTrace.tracerFinParcours();
    
    return resultatCapa18;
  }
}

/* Location:
 * Qualified Name:     DeterminationConditionMontantProduitNonNulPourReprise
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */