package fr.unedic.cali.asu.spe02.p05.antecedent;

import fr.unedic.cali.asu.antecedent.GestionAntecedentCalculAsuSpec;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.dom.ElementBaseIndemnisation;
import fr.unedic.cali.asu.dom.SaisieAntecedent;
import fr.unedic.cali.asu.spe02.p03.calcul.dom.Montant;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Attribution;
import fr.unedic.cali.calcul.dom.CalendrierExecutionAvant;
import fr.unedic.cali.calcul.dom.CalendrierExecutionCalculSpec;
import fr.unedic.cali.calcul.dom.EtatAuDernierJourAvant;
import fr.unedic.cali.calcul.dom.EtatAuDji;
import fr.unedic.cali.dom.MontantBaseAbstrait;

public class GestionAntecedentCalcul
  extends fr.unedic.cali.asu.spe02.p03.antecedent.GestionAntecedentCalcul
{
  public static GestionAntecedentCalculAsuSpec getInstance()
  {
    return new GestionAntecedentCalcul();
  }
  
  protected int miseAJourInformationICCP(EtatAuDernierJourAvant etatAuDernierJourAvant, SaisieAntecedent saisieAntecedent, CalendrierExecutionAvant calendrierAvant, int etat)
  {
    return etat;
  }
  
  protected MontantBaseAbstrait determinerMontant(AttributionAssuranceSpec antecedent, SaisieAntecedent saisieAntecedent)
  {
    Montant montant = new Montant();
    if (saisieAntecedent.getContexteDemande().intValue() == 4) {
      montant = null;
    } else if ((((Attribution)antecedent).getElementBaseIndemnisation() != null) && (((Attribution)antecedent).getElementBaseIndemnisation().isClauseRattrapage())) {
      montant.setMontantBrut(saisieAntecedent.getMontantCra());
    } else {
      montant = (Montant)super.determinerMontant(antecedent, saisieAntecedent);
    }
    return montant;
  }
  
  protected void alimenterEtatAuDJI(AttributionAssuranceSpec antecedent, SaisieAntecedent saisieAntecedent)
  {
    super.alimenterEtatAuDJI(antecedent, saisieAntecedent);
    EtatAuDji etatAuDJI = antecedent.getCalendrierExecutionCalcul().getEtatAuDJI();
    etatAuDJI.setReliquatFCP(Integer.valueOf(saisieAntecedent.getReliquatFCPDJC()));
    etatAuDJI.setReliquatFS(Integer.valueOf(saisieAntecedent.getReliquatFSDJC()));
    
    etatAuDJI.setReliquatMaxFCP(Integer.valueOf(saisieAntecedent.getFranchiseCPMensuelle() - saisieAntecedent.getQuantiteFCPConsoDJC()));
    etatAuDJI.setReliquatMaxFS(Integer.valueOf(saisieAntecedent.getFranchiseSalaireMensuelle() - saisieAntecedent.getQuantiteFSConsoDJC()));
    
    etatAuDJI.setReportReliquatFCP(Integer.valueOf(saisieAntecedent.getQuantiteReportFCP()));
    etatAuDJI.setReportReliquatFS(Integer.valueOf(saisieAntecedent.getQuantiteReportFS()));
  }
}

/* Location:
 * Qualified Name:     GestionAntecedentCalcul
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */