package fr.unedic.cali.asu.spe02.p05.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.spe02.p03.liquidation.outilsaffiliation.OutilPeriodeAffiliation;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.DeterminationPeriodeReference;
import fr.unedic.cali.autresdoms.ga.dom.Indemnisation;
import fr.unedic.cali.autresdoms.ga.dom.PeriodeEvenementPersonnel;
import fr.unedic.cali.autresdoms.ga.dom.PeriodeEvenementPersonnelIndemnisable;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.Periode;
import java.util.Iterator;
import java.util.List;

public class DeterminationPeriodeReferenceSPE02P05
  extends DeterminationPeriodeReference
{
  private static DeterminationPeriodeReferenceSPE02P05 instance;
  
  public static DeterminationPeriodeReferenceSPE02P05 getInstance()
  {
    if (instance == null) {
      instance = new DeterminationPeriodeReferenceSPE02P05();
    }
    return instance;
  }
  
  protected int determinerNombreJoursARetenir(PeriodeEvenementPersonnel pep, Periode periodeReference, Chronologie chronoActviteAffiliationBase)
  {
    int nombreJourARetenir = 0;
    PeriodeEvenementPersonnelIndemnisable pepIndemnisable = (PeriodeEvenementPersonnelIndemnisable)pep;
    List<?> listePeriodeIndemnisation = pepIndemnisable.getListePeriodeIndemnisation();
    if (listePeriodeIndemnisation != null) {
      nombreJourARetenir = determinerNombreJoursPourListePeriodeIndemnisationNonNulle(periodeReference, chronoActviteAffiliationBase, listePeriodeIndemnisation);
    }
    return nombreJourARetenir;
  }
  
  private int determinerNombreJoursPourListePeriodeIndemnisationNonNulle(Periode periodeReference, Chronologie chronoActviteAffiliationBase, List<?> listePeriodeIndemnisation)
  {
    int nombreJoursChevaucheAvecActiviteBase = 0;
    int nombreJoursPrisEnCompte = 0;
    Iterator<?> itPepIndemnisable = listePeriodeIndemnisation.iterator();
    while (itPepIndemnisable.hasNext())
    {
      Indemnisation indemnisation = (Indemnisation)itPepIndemnisable.next();
      if (indemnisation.isEstIndemnise())
      {
        Periode periodeIndemnisation = new Periode(indemnisation.getDebut(), indemnisation.getFin());
        Periode periodeIndemniseeIntersection = periodeIndemnisation.periodeIntersection(periodeReference);
        if (periodeIndemniseeIntersection != null)
        {
          nombreJoursPrisEnCompte += periodeIndemniseeIntersection.getDuree();
          nombreJoursChevaucheAvecActiviteBase += OutilPeriodeAffiliation.determinerNombreJoursChronoApresFusionPeriode(chronoActviteAffiliationBase, periodeIndemniseeIntersection);
        }
      }
    }
    int nombreJourARetenir = nombreJoursPrisEnCompte - nombreJoursChevaucheAvecActiviteBase;
    return nombreJourARetenir;
  }
}

/* Location:
 * Qualified Name:     DeterminationPeriodeReferenceSPE02P05
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */