package fr.unedic.cali.asu.spe02.p05.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.CarencePrefixeAFixer;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionDelaisReport;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.strategies.StrategieDelaisReportApres1erDecembre2010;
import fr.unedic.util.Quantite;
import fr.unedic.util.services.CoucheLogiqueException;
import java.math.BigDecimal;
import java.util.Iterator;
import java.util.List;

public class OutilConstitutionDelaisReports
  extends StrategieDelaisReportApres1erDecembre2010
{
  protected void determinerReliquatCarence(DemandeAssuranceSpec demande, ConstitutionDelaisReport cepDelaisReport, List listeReliquatCarence)
    throws CoucheLogiqueException
  {
    traiterReliquatEnsembleCarences(cepDelaisReport, listeReliquatCarence);
    
    alimenterCEPPourCarence(cepDelaisReport, recupererReliquatCarencePMCIndemnisable(demande));
  }
  
  private void traiterReliquatEnsembleCarences(ConstitutionDelaisReport cepDelaisReport, List listeReliquatCarence)
  {
    if (listeReliquatCarence != null)
    {
      Iterator<?> itReliquatCarence = listeReliquatCarence.iterator();
      while (itReliquatCarence.hasNext())
      {
        CarencePrefixeAFixer carenceOrigine = (CarencePrefixeAFixer)itReliquatCarence.next();
        if (carenceOrigine.getReliquat().getValeur().intValue() > BigDecimal.ZERO.intValue()) {
          if (carenceOrigine.getTypeCarence().equals("3")) {
            alimenterCEPPourCarence(cepDelaisReport, creerReliquatCarenceSpecifique(carenceOrigine));
          } else if (carenceOrigine.getTypeCarence().equals("1")) {
            alimenterCEPPourCarence(cepDelaisReport, creerReliquatCarencePMCNonIndemnisable(carenceOrigine));
          }
        }
      }
    }
  }
}

/* Location:
 * Qualified Name:     OutilConstitutionDelaisReports
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */