package fr.unedic.cali.asu.spe02.p05.liquidation.outilsfonctionnels;

import fr.unedic.cali.asu.dom.DemandeAssuranceSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.outilsfonctionnels.spec.SimuRechercheValiditeProduitSpec;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.temps.Damj;

public final class SimuRechercheValiditeProduit
  extends RechercheValiditeProduit
  implements SimuRechercheValiditeProduitSpec
{
  private Damj praForcee = null;
  
  public static SimuRechercheValiditeProduit getInstance(Damj date)
  {
    return new SimuRechercheValiditeProduit(date);
  }
  
  private SimuRechercheValiditeProduit(Damj date)
  {
    praForcee = date;
  }
  
  protected Damj determinerDateBornePRA(DemandeAssuranceSpec demande)
    throws CoucheLogiqueException
  {
    Damj dateBornePRACalcule = super.determinerDateBornePRA(demande);
    Damj dateBornePRA = null;
    if (praForcee == null) {
      dateBornePRA = dateBornePRACalcule;
    } else if (dateBornePRACalcule == null) {
      dateBornePRA = praForcee;
    } else {
      dateBornePRA = Damj.max(dateBornePRACalcule, praForcee);
    }
    return dateBornePRA;
  }
}

/* Location:
 * Qualified Name:     SimuRechercheValiditeProduit
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */