package fr.unedic.cali.asu.spe02.p05.liquidation.outilsfonctionnels.datelimite;

import fr.pe.cali.reglementaire.regles.assurance.cep.datelimite.outils.spec.IOutilFonctionnelDateLimiteSpectacle2016;
import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.AttributionAssuranceSpec;
import fr.unedic.cali.asu.outilsfonctionnels.AppelCalculParLiquidationAsu;
import fr.unedic.cali.parcours.ResultatExecutionCalculSpec;
import fr.unedic.cali.utilitaire.filtres.FiltreCaliSpec;
import fr.unedic.cali.utilitaire.filtres.composites.FiltreAttributionAssurance;
import fr.unedic.cali.utilitaire.filtres.generiques.FiltreDecisionPourTypeProduit;
import fr.unedic.cali.utilitaire.filtres.generiques.FiltreDemandePourTypeContexteDemande;
import fr.unedic.cali.utilitaire.filtres.logiques.FiltreET;
import fr.unedic.cali.utilitaire.filtres.logiques.FiltreNegation;
import fr.unedic.cali.utilitaire.outils.OutilRecherche;
import fr.unedic.util.temps.Chronologie;
import fr.unedic.util.temps.Damj;

public final class OutilFonctionnelDateLimiteSpectacle2016
  implements IOutilFonctionnelDateLimiteSpectacle2016
{
  private Chronologie listeDemandesAsu;
  
  public static OutilFonctionnelDateLimiteSpectacle2016 getInstance()
  {
    return new OutilFonctionnelDateLimiteSpectacle2016();
  }
  
  public Damj getDateLimiteIndemnisationDroitPrecedent(Damj dateExamen)
    throws ApplicativeException
  {
    Damj dateLimite = null;
    FiltreAttributionAssurance filtreAttributionAsu = new FiltreAttributionAssurance(true, true, false, false, null);
    FiltreDecisionPourTypeProduit filtreTypeProduit = new FiltreDecisionPourTypeProduit(6);
    FiltreCaliSpec filtreEntreeClauseRattrapage = new FiltreNegation(new FiltreDemandePourTypeContexteDemande("ENTREECRA"));
    FiltreCaliSpec filtreEnCoursClauseRattrapage = new FiltreNegation(new FiltreDemandePourTypeContexteDemande("ENCOURSCRA"));
    FiltreET filtre = new FiltreET();
    filtre.ajouterFiltre(filtreAttributionAsu);
    filtre.ajouterFiltre(filtreTypeProduit);
    filtre.ajouterFiltre(filtreEntreeClauseRattrapage);
    filtre.ajouterFiltre(filtreEnCoursClauseRattrapage);
    if ((listeDemandesAsu != null) && (!listeDemandesAsu.estVide()))
    {
      AttributionAssuranceSpec decision = (AttributionAssuranceSpec)OutilRecherche.rechercherDecisionPrecedente(listeDemandesAsu, dateExamen, filtre);
      if (decision == null) {
        fr.unedic.cali.asu.outilsfonctionnels.GestionnaireErreur.getInstance().genererCoucheLogiqueException("ASU_DATE_LIMITE_SPECTACLE_APRES_FDD");
      }
      ResultatExecutionCalculSpec resultatCalul = AppelCalculParLiquidationAsu.executerCalculDeterminationEtatDroit(decision, null, true);
      dateLimite = resultatCalul.getDernierJourIndemnisable();
    }
    return dateLimite;
  }
  
  public Chronologie getListeDemandesAsu()
  {
    return listeDemandesAsu;
  }
  
  public void setListeDemandesAsu(Chronologie listeDemandesAsu)
  {
    this.listeDemandesAsu = listeDemandesAsu;
  }
}

/* Location:
 * Qualified Name:     OutilFonctionnelDateLimiteSpectacle2016
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */