package fr.unedic.cali.asu.spe02.p05.liquidation.parcours;

import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.dom.MontantAsuSpec;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Attribution;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionDelaisReport;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionElementsSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionMontantsBruts;
import fr.unedic.cali.dom.AttributionSpec;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.cali.parcours.ResultatDetailleNotificationProduit;
import fr.unedic.util.Quantite;
import fr.unedic.util.QuantiteEuro;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.CoucheLogiqueException;
import fr.unedic.util.services.Resultat;
import java.math.BigDecimal;

public class ParcoursConstitutionCapitalAvecDureeEffective
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte contexte)
    throws CoucheLogiqueException
  {
    ResultatDetailleNotificationProduit resultatMontantsBruts = new ResultatDetailleNotificationProduit();
    
    resultatMontantsBruts.setEtat(1);
    
    Attribution attributionCourante = (Attribution)getAttribution(contexte);
    
    alimenterResultatCepa(attributionCourante);
    
    resultatMontantsBruts.setEtat(0);
    return resultatMontantsBruts;
  }
  
  protected void alimenterResultatCepa(Attribution attribution)
    throws CoucheLogiqueException
  {
    ConstitutionMontantsBruts resultatCep = attribution.getConstitutionElementsActifs().getConstitutionMontantsBruts();
    
    ConstitutionDelaisReport delaisReport = attribution.getConstitutionDelaisReport();
    
    int franchiseCp = delaisReport.getFranchiseCongesPayes();
    
    int franchiseSalaire = delaisReport.getNbJoursCarenceStandard();
    
    MontantAsuSpec montantAttribution = resultatCep.getMontantAAttribution();
    
    QuantiteEuro capitalProduitCourant = new QuantiteEuro(new BigDecimal(365 - (franchiseCp + franchiseSalaire)).multiply(montantAttribution.getMontantPrecompteEffectif().getValeur()));
    
    resultatCep.setCapitalInitialBrut(capitalProduitCourant);
  }
  
  protected AttributionSpec getAttribution(Contexte contexte)
  {
    return DomLiquidationAssurance.getDemande(contexte).getAttribution();
  }
}

/* Location:
 * Qualified Name:     ParcoursConstitutionCapitalAvecDureeEffective
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */