package fr.unedic.cali.asu.spe02.p05.liquidation.parcours.cep.nht;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionElementsAdmission;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionNbHeuresTravaillees;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.DossierExamen;
import fr.unedic.cali.asu.spe02.p05.liquidation.outilsfonctionnels.cep.nht.OutilDeterminationNombreHeuresTravaillees;
import fr.unedic.cali.dom.EvenementReferenceExamenSpec;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;
import java.math.BigDecimal;

public class ParcoursConstitutionNbHeuresTravaillees
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte contexte)
    throws ApplicativeException
  {
    Resultat resultat = new Resultat();
    Demande demande = DomLiquidationAssurance.getDemande(contexte);
    getParcours(contexte).constituerNbHeuresTravaillees(demande);
    return resultat;
  }
  
  protected void traitementClassique(Demande demande)
  {
    ConstitutionNbHeuresTravaillees cep = ((DossierExamen)demande.getDossierExamen()).getConstitutionElementsAdmission().createConstitutionNbHeuresTravaillees();
    
    BigDecimal nhtp = OutilDeterminationNombreHeuresTravaillees.calculerNHTP(demande);
    cep.setNombreHeuresTravailleesPlafonne(nhtp);
    
    BigDecimal nhtm = OutilDeterminationNombreHeuresTravaillees.calculerNHTM(nhtp, demande);
    cep.setNombreHeuresTravailleesMajorees(nhtm);
    
    BigDecimal nhte = OutilDeterminationNombreHeuresTravaillees.calculerNHTE(nhtm, demande);
    cep.setNombreHeuresTravailleesEtendu(nhte);
  }
  
  protected void constituerNbHeuresTravaillees(Demande demande)
    throws ApplicativeException
  {
    traitementClassique(demande);
  }
  
  private ParcoursConstitutionNbHeuresTravaillees getParcours(Contexte contexte)
  {
    Demande demande = DomLiquidationAssurance.getDemande(contexte);
    ParcoursConstitutionNbHeuresTravaillees parcoursAretourner = this;
    if ("ASU_04".equals(demande.getEvenementReferenceExamen().getTypeExamen())) {
      parcoursAretourner = new ParcoursConstitutionNbHeuresTravailleesExamenIPR();
    }
    return parcoursAretourner;
  }
}

/* Location:
 * Qualified Name:     ParcoursConstitutionNbHeuresTravaillees
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */