package fr.unedic.cali.asu.spe02.p05.liquidation.parcours.cep.sjm;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.outilsfonctionnels.OutilGestionContexteDemande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.Attribution;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionElementsSpec;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConstitutionSalaireJournalierMoyen;
import fr.unedic.cali.asu.spe02.p03.liquidation.parcours.ConstitutionSjmPourReprise;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;

public class ParcoursConstitutionSjmPourReprise
  extends ParcoursCali
{
  public Resultat demarrer(Contexte contexte)
    throws ApplicativeException
  {
    Demande demande = DomLiquidationAssurance.getDemande(contexte);
    Resultat resultat = null;
    if (OutilGestionContexteDemande.estContexteDemandeAssurancePresent(demande, "ENCOURSCRA")) {
      resultat = effectuerTraitementEnCoursClauseRattrapage(contexte);
    } else {
      resultat = effectuerTraitementClassique(contexte);
    }
    return resultat;
  }
  
  protected Resultat effectuerTraitementClassique(Contexte contexte)
    throws ApplicativeException
  {
    ParcoursCali parcours = new ConstitutionSjmPourReprise();
    return parcours.demarrer(contexte);
  }
  
  protected Resultat effectuerTraitementEnCoursClauseRattrapage(Contexte contexte)
  {
    Resultat resultat = new Resultat(0);
    Demande demande = DomLiquidationAssurance.getDemande(contexte);
    Attribution attribution = (Attribution)demande.getDossierExamen();
    Attribution attributionPrecedente = (Attribution)attribution.getAttributionPrecedente();
    
    ConstitutionSalaireJournalierMoyen constitutionSalaireJournalierMoyen = attribution.getConstitutionElementsActifs().createConstitutionSalaireJournalierMoyen();
    
    ConstitutionSalaireJournalierMoyen cepPrecedente = attributionPrecedente.getConstitutionElementsActifs().getConstitutionSalaireJournalierMoyen();
    constitutionSalaireJournalierMoyen.setDateSalaireJournalierMoyenInitial(cepPrecedente.getDateSalaireJournalierMoyenInitial());
    constitutionSalaireJournalierMoyen.setDateSalaireJournalierMoyenRevalorisePlafonne(cepPrecedente.getDateSalaireJournalierMoyenRevalorisePlafonne());
    constitutionSalaireJournalierMoyen.setMontantPlafond(cepPrecedente.getMontantPlafond());
    constitutionSalaireJournalierMoyen.setMontantSalaireJournalierMoyenInitial(cepPrecedente.getMontantSalaireJournalierMoyenInitial());
    constitutionSalaireJournalierMoyen.setMontantSalaireJournalierMoyenRevalorisePlafonne(cepPrecedente.getMontantSalaireJournalierMoyenRevalorisePlafonne());
    
    return resultat;
  }
}

/* Location:
 * Qualified Name:     ParcoursConstitutionSjmPourReprise
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */