package fr.unedic.cali.asu.ssp07.p03.calcul.dom;

import fr.unedic.cali.asu.spe02.p03.calcul.dom.Montant;
import fr.unedic.cali.asu.ssp07.p03.calcul.dom.gen.MontantAPSFGen;
import fr.unedic.cali.asu.ssp07.p03.calcul.dom.pc.MontantAPSFPC;
import fr.unedic.cali.dom.MontantAREFSpec;
import fr.unedic.util.ObjetMetierSpec;
import fr.unedic.util.Quantite;

public class MontantAPSF
  extends MontantAPSFGen
  implements MontantAREFSpec
{
  private static final long serialVersionUID = 1L;
  public static final String TYPE_APSF_PREVISIONNELLE = "FORMATION PREVISIONNELLE";
  public static final String TYPE_APSF_EFFECTIVE = "FORMATION EFFECTIVE";
  public static final String MINI_APSF = "04";
  protected transient Quantite m_montantBrutARE;
  protected transient Quantite m_miniARE;
  
  public MontantAPSF() {}
  
  public MontantAPSF(Montant p_montant)
  {
    setSjrNonReduit(p_montant.getSjrNonReduit());
    setBase(p_montant.getBase());
    setBaseCalculCrc(p_montant.getBaseCalculCrc());
    setCrc(p_montant.getCrc());
    setCrds(p_montant.getCrds());
    setCsg(p_montant.getCsg());
    setJustificationCalculMontant(p_montant.getJustificationCalculMontant());
    setMini(p_montant.getMini());
    setMiniARE(p_montant.getMini());
    setMontantBrut(p_montant.getMontantBrut());
    setMontantBrutARE(p_montant.getMontantBrut());
    setMontantBrutSansPensionInvaliditeADeduire(p_montant.getMontantBrutSansPensionInvaliditeADeduire());
    setPensionInvaliditeADeduirePriseEnCompte(p_montant.getPensionInvaliditeADeduirePriseEnCompte());
    setPlafond(p_montant.getPlafond());
    setPositionExonerationCrc(p_montant.getPositionExonerationCrc());
    setTauxCrc(p_montant.getTauxCrc());
    setJustificationCalculMontant(p_montant.getJustificationCalculMontant());
    setType("FORMATION PREVISIONNELLE");
    setPartieA(getPartieA());
    setPartieB(getPartieB());
    setPartieC(getPartieC());
    setCoefA1(getCoefA1());
    setCoefA2(getCoefA2());
    setCoefB1(getCoefB1());
    setCoefB2(getCoefB2());
    setCoefC(getCoefC());
    setNhf(getNhf());
    setSrf(getSrf());
    setTotalCotisationContribution(getTotalCotisationContribution());
    setMontantJournalierAvantageVieillesse(getMontantJournalierAvantageVieillesse());
    setMontantJournalierAvantageVieillesseDeduit(getMontantJournalierAvantageVieillesseDeduit());
    setMontantBrutSansAvantageVieillesseDeduit(p_montant.getMontantBrutSansAvantageVieillesseDeduit());
  }
  
  public MontantAPSF(MontantAPSFPC p_montantAPSFPC)
  {
    super(p_montantAPSFPC);
  }
  
  public ObjetMetierSpec copie()
  {
    MontantAPSF copie = new MontantAPSF();
    copieElements(copie);
    return copie;
  }
  
  public void copieElements(ObjetMetierSpec p_copie)
  {
    MontantAPSF copie = (MontantAPSF)p_copie;
    super.copieElements(copie);
    copie.setMiniARE(getMiniARE());
    copie.setMontantBrutARE(getMontantBrutARE());
  }
}

/* Location:
 * Qualified Name:     MontantAPSF
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */