package fr.unedic.cali.asu.ssp07.p03.liquidation.parcours;

import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.cali.asu.ParcoursAssurance;
import fr.unedic.cali.asu.dom.Demande;
import fr.unedic.cali.asu.parcours.DomLiquidationAssurance;
import fr.unedic.cali.asu.spe02.p03.liquidation.dom.ConditionQuantiteAffiliation;
import fr.unedic.cali.asu.ssp07.p03.liquidation.outilsfonctionnels.OutilConditionAffiliation;
import fr.unedic.cali.outilsfonctionnels.OutilTrace;
import fr.unedic.cali.parcours.ParcoursCali;
import fr.unedic.util.services.Contexte;
import fr.unedic.util.services.Resultat;

public class DeterminationConditionAffiliation
  extends ParcoursCali
  implements ParcoursAssurance
{
  public Resultat demarrer(Contexte contexte)
    throws ApplicativeException
  {
    OutilTrace.tracerDebutParcours();
    
    Resultat resultatCapa07 = new Resultat(1);
    Demande demandeCourante = DomLiquidationAssurance.getDemande(contexte);
    
    OutilConditionAffiliation outilConditionAffiliation = getOutil();
    ConditionQuantiteAffiliation conditionQuantiteAffiliation = outilConditionAffiliation.determinerConditionAffiliation(demandeCourante);
    if (conditionQuantiteAffiliation.estSatisfait())
    {
      resultatCapa07.setEtat(0);
    }
    else
    {
      resultatCapa07.setEtat(1);
      resultatCapa07.setMessageErreur(Integer.toString(conditionQuantiteAffiliation.getCodeMotifEchec()));
    }
    OutilTrace.tracerFinParcours();
    return resultatCapa07;
  }
  
  protected OutilConditionAffiliation getOutil()
  {
    return new OutilConditionAffiliation();
  }
}

/* Location:
 * Qualified Name:     DeterminationConditionAffiliation
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */