package fr.unedic.cali.asu.ssp07.p05.liquidation.dom;

import fr.unedic.cali.asu.fps.liquidation.parcours.convention17.DeterminationConditionFaitGenerateurConvention17;
import fr.unedic.cali.asu.fps.liquidation.parcours.convention17.ParcoursConstitutionDelaisReportsFps;
import fr.unedic.cali.asu.fps.liquidation.parcours.convention17.cep.sjm.ConstitutionSalaireReferenceEtSjmConvention17;
import fr.unedic.cali.asu.ssp07.p05.liquidation.parcours.ParcoursConditionAffiliation;
import fr.unedic.cali.asu.ssp07.p05.liquidation.parcours.ParcoursConditionBeneficeAutreProduit;
import fr.unedic.cali.asu.ssp07.p05.liquidation.parcours.ParcoursConstitutionDateLimiteAPS;
import fr.unedic.cali.dom.affectation.ContexteDemandeSpec;
import fr.unedic.util.services.Parcours;
import java.util.List;

public class ObjectifExamenAdmission
  extends fr.unedic.cali.asu.spe02.p05.liquidation.dom.ObjectifExamenAdmission
{
  private static final long serialVersionUID = 1L;
  
  public ObjectifExamenAdmission() {}
  
  public ObjectifExamenAdmission(List<ContexteDemandeSpec> contexteDemande)
  {
    setContexteDemande(contexteDemande);
  }
  
  public Parcours creerParcoursConditionFaitGenerateur()
  {
    return new DeterminationConditionFaitGenerateurConvention17();
  }
  
  public Parcours creerParcoursConditionAffiliation()
  {
    return new ParcoursConditionAffiliation();
  }
  
  public Parcours creerParcoursDelaisReports()
  {
    return new ParcoursConstitutionDelaisReportsFps();
  }
  
  public Parcours creerParcoursDateLimiteIndemnisation()
  {
    return new ParcoursConstitutionDateLimiteAPS();
  }
  
  public Parcours creerParcoursConditionBeneficeAutreProduit()
  {
    return new ParcoursConditionBeneficeAutreProduit();
  }
  
  public Parcours creerParcoursSalaireJournalierMoyen()
  {
    return new ConstitutionSalaireReferenceEtSjmConvention17();
  }
}

/* Location:
 * Qualified Name:     ObjectifExamenAdmission
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */