package fr.unedic.logique.service.rac.commun.dr1;

import fr.unedic.archi.commun.exception.TechniqueException;
import fr.unedic.archi.logique.adaptateur.ServiceSignature;
import fr.unedic.archi.logique.deploiement.DomaineImpl;
import fr.unedic.archi.logique.exception.ApplicativeException;
import fr.unedic.logique.donnees.dr1.service.vls.ZIAI10YI89;
import fr.unedic.logique.donnees.dr1.service.vls.ZIEI10YI70;
import fr.unedic.logique.donnees.dr1.service.vls.ZIZI01YI80;
import fr.unedic.logique.donnees.dr1.service.vls.ZOAI10YI89;
import fr.unedic.logique.donnees.dr1.service.vls.ZOEI10YI70;
import fr.unedic.logique.donnees.dr1.service.vls.ZOZI01YI80;

public class DomaineDR1ServiceSyncImpl
  extends DomaineImpl
  implements DomaineDR1ServiceSync
{
  private static final ServiceSignature FZI01P_SERVICE_FACADE_TRACKER_METHODSIGNATURE = createServiceSignature("PFZI01P", ZOZI01YI80.class, ZIZI01YI80.class, new Class[] { ApplicativeException.class, TechniqueException.class }, new FZI01P_Service_facade_trackerConvertisseurImpl(), createContexteService("DR1", "PFZI01P", "", "", "Lecture", "PFZI01P", "PFZI01P", ""), true, false);
  private static final ServiceSignature FAI10O_AIDES_ENVELOPPES_METHODSIGNATURE = createServiceSignature("PFAI10O", ZOAI10YI89.class, ZIAI10YI89.class, new Class[] { ApplicativeException.class, TechniqueException.class }, new FAI10O_AIDES_ENVELOPPESConvertisseurImpl(), createContexteService("DR1", "PFAI10O", "", "", "Lecture", "PFAI10O", "PFAI10O", ""), true, false);
  private static final ServiceSignature FEI10O_SERVICE_SYNCHRONE_CALI_METHODSIGNATURE = createServiceSignature("PFEI10O", ZOEI10YI70.class, ZIEI10YI70.class, new Class[] { ApplicativeException.class, TechniqueException.class }, new FEI10O_SERVICE_SYNCHRONE_CALIConvertisseurImpl(), createContexteService("DR1", "PFEI10O", "", "", "Lecture", "PFEI10O", "PFEI10O", ""), true, false);
  
  public DomaineDR1ServiceSyncImpl()
  {
    super("fr.unedic.logique.service.rac.commun.dr1", "DR1", new ServiceSignature[] { FZI01P_SERVICE_FACADE_TRACKER_METHODSIGNATURE, FAI10O_AIDES_ENVELOPPES_METHODSIGNATURE, FEI10O_SERVICE_SYNCHRONE_CALI_METHODSIGNATURE });
  }
  
  public ZOAI10YI89 FAI10O_AIDES_ENVELOPPES(ZIAI10YI89 pIn)
    throws ApplicativeException, TechniqueException
  {
    return (ZOAI10YI89)demanderService(FAI10O_AIDES_ENVELOPPES_METHODSIGNATURE, pIn);
  }
  
  public ZOZI01YI80 FZI01P_Service_facade_tracker(ZIZI01YI80 pIn)
    throws ApplicativeException, TechniqueException
  {
    return (ZOZI01YI80)demanderService(FZI01P_SERVICE_FACADE_TRACKER_METHODSIGNATURE, pIn);
  }
  
  public ZOEI10YI70 FEI10O_SERVICE_SYNCHRONE_CALI(ZIEI10YI70 pIn)
    throws ApplicativeException, TechniqueException
  {
    return (ZOEI10YI70)demanderService(FEI10O_SERVICE_SYNCHRONE_CALI_METHODSIGNATURE, pIn);
  }
}

/* Location:
 * Qualified Name:     DomaineDR1ServiceSyncImpl
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */