package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRCDAPLEnumeration
{
  public static final SRCDAPLEnumeration E_C = new SRCDAPLEnumeration("Contributions", "C");
  public static final SRCDAPLEnumeration E_P = new SRCDAPLEnumeration("Prestations", "P");
  static final SRCDAPLEnumeration[] LISTE_ENUM = { E_C, E_P };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRCDAPLEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRCDAPLEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRCDAPLEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRCDAPLEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCDAPLEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRCDAPLEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCDAPLEnumeration getPourValeur(String pValeur)
  {
    SRCDAPLEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCDAPLEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRCDAPLEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */