package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRCDINTEnumeration
{
  public static final SRCDINTEnumeration E_I = new SRCDINTEnumeration("Primo inscription", "I");
  public static final SRCDINTEnumeration E_M = new SRCDINTEnumeration("RÃ©inscription Ã  moins de 6 mois", "M");
  public static final SRCDINTEnumeration E_P = new SRCDINTEnumeration("RÃ©inscription Ã  plus de 6 mois", "P");
  public static final SRCDINTEnumeration E_F = new SRCDINTEnumeration("Demande de formulaire", "F");
  public static final SRCDINTEnumeration E_E = new SRCDINTEnumeration("Modification adresse Ã©lectronique", "E");
  public static final SRCDINTEnumeration E_R = new SRCDINTEnumeration("DonnÃ©es RIB", "R");
  public static final SRCDINTEnumeration E_N = new SRCDINTEnumeration("Mise Ã  jour NIR", "N");
  public static final SRCDINTEnumeration E_A = new SRCDINTEnumeration("Avis de Changement de Situation (ACS)", "A");
  public static final SRCDINTEnumeration E_D = new SRCDINTEnumeration("DAL", "D");
  public static final SRCDINTEnumeration E_C = new SRCDINTEnumeration("Rappel de code d'accÃ¨s", "C");
  public static final SRCDINTEnumeration E_S = new SRCDINTEnumeration("Consentement SMS", "S");
  public static final SRCDINTEnumeration E_T = new SRCDINTEnumeration("Transfert", "T");
  public static final SRCDINTEnumeration E_G = new SRCDINTEnumeration("Formation GEPAF", "G");
  public static final SRCDINTEnumeration E_H = new SRCDINTEnumeration("PPAE", "H");
  static final SRCDINTEnumeration[] LISTE_ENUM = { E_I, E_M, E_P, E_F, E_E, E_R, E_N, E_A, E_D, E_C, E_S, E_T, E_G, E_H };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRCDINTEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRCDINTEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRCDINTEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRCDINTEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCDINTEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRCDINTEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCDINTEnumeration getPourValeur(String pValeur)
  {
    SRCDINTEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCDINTEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRCDINTEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */