package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRCDONIEnumeration
{
  public static final SRCDONIEnumeration E_1 = new SRCDONIEnumeration("ACCUEIL", "1");
  public static final SRCDONIEnumeration E_2 = new SRCDONIEnumeration("ATT", "2");
  public static final SRCDONIEnumeration E_3 = new SRCDONIEnumeration("COURRIER", "3");
  public static final SRCDONIEnumeration E_4 = new SRCDONIEnumeration("INTERNET", "4");
  public static final SRCDONIEnumeration E_5 = new SRCDONIEnumeration("ISSU MIGRATION", "5");
  public static final SRCDONIEnumeration E_6 = new SRCDONIEnumeration("PARTENAIRE EXTERIEUR", "6");
  public static final SRCDONIEnumeration E_7 = new SRCDONIEnumeration("RECONSTITUE SI", "7");
  public static final SRCDONIEnumeration E_8 = new SRCDONIEnumeration("CNAV", "8");
  static final SRCDONIEnumeration[] LISTE_ENUM = { E_1, E_2, E_3, E_4, E_5, E_6, E_7, E_8 };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRCDONIEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRCDONIEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRCDONIEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRCDONIEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCDONIEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRCDONIEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCDONIEnumeration getPourValeur(String pValeur)
  {
    SRCDONIEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCDONIEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRCDONIEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */