package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRCEMEDIEnumeration
{
  public static final SRCEMEDIEnumeration E_AN = new SRCEMEDIEnumeration("Courrier annulÃ© ou supprimÃ©", "AN");
  public static final SRCEMEDIEnumeration E_PL = new SRCEMEDIEnumeration("Ã‰dition Locale pour affranchissement et envoi postal", "PL");
  public static final SRCEMEDIEnumeration E_PA = new SRCEMEDIEnumeration("Envoi postal automatique", "PA");
  public static final SRCEMEDIEnumeration E_AL = new SRCEMEDIEnumeration("Archivage effectuÃ© : pour Ã©dition locale pour archives", "AL");
  public static final SRCEMEDIEnumeration E_RL = new SRCEMEDIEnumeration("Ã‰dition Locale pour remise en main propre", "RL");
  public static final SRCEMEDIEnumeration E_EW = new SRCEMEDIEnumeration("Espace personnel Internet", "EW");
  public static final SRCEMEDIEnumeration E_ML = new SRCEMEDIEnumeration("Mail + piÃ¨ce jointe", "ML");
  public static final SRCEMEDIEnumeration E_WL = new SRCEMEDIEnumeration("Espace personnel Internet + Affranchissement", "WL");
  public static final SRCEMEDIEnumeration E_WR = new SRCEMEDIEnumeration("Espace personnel Internet + Remise Main Propre", "WR");
  public static final SRCEMEDIEnumeration E_TF = new SRCEMEDIEnumeration("Transfert de fichier", "TF");
  static final SRCEMEDIEnumeration[] LISTE_ENUM = { E_AN, E_PL, E_PA, E_AL, E_RL, E_EW, E_ML, E_WL, E_WR, E_TF };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRCEMEDIEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRCEMEDIEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRCEMEDIEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRCEMEDIEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCEMEDIEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRCEMEDIEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCEMEDIEnumeration getPourValeur(String pValeur)
  {
    SRCEMEDIEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCEMEDIEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRCEMEDIEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */