package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRCIVAMEnumeration
{
  public static final SRCIVAMEnumeration E_P = new SRCIVAMEnumeration("En cours de proposition", "P");
  public static final SRCIVAMEnumeration E_V = new SRCIVAMEnumeration("Valide", "V");
  public static final SRCIVAMEnumeration E_I = new SRCIVAMEnumeration("Invalide", "I");
  public static final SRCIVAMEnumeration E_R = new SRCIVAMEnumeration("Reprise stock", "R");
  public static final SRCIVAMEnumeration E_T = new SRCIVAMEnumeration("Transitoire", "T");
  static final SRCIVAMEnumeration[] LISTE_ENUM = { E_P, E_V, E_I, E_R, E_T };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRCIVAMEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRCIVAMEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRCIVAMEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRCIVAMEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCIVAMEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRCIVAMEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCIVAMEnumeration getPourValeur(String pValeur)
  {
    SRCIVAMEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCIVAMEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRCIVAMEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */