package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRCSCDTEnumeration
{
  public static final SRCSCDTEnumeration E_1 = new SRCSCDTEnumeration("Au titre de l'ASS", "1");
  public static final SRCSCDTEnumeration E_2 = new SRCSCDTEnumeration("Au titre du RMI ou de l'API", "2");
  public static final SRCSCDTEnumeration E_3 = new SRCSCDTEnumeration("Au titre de l'ARCE", "3");
  public static final SRCSCDTEnumeration E_4 = new SRCSCDTEnumeration("Au titre de l'ATA", "4");
  public static final SRCSCDTEnumeration E_5 = new SRCSCDTEnumeration("Au titre du RSA", "5");
  static final SRCSCDTEnumeration[] LISTE_ENUM = { E_1, E_2, E_3, E_4, E_5 };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRCSCDTEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRCSCDTEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRCSCDTEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRCSCDTEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCSCDTEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRCSCDTEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCSCDTEnumeration getPourValeur(String pValeur)
  {
    SRCSCDTEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRCSCDTEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRCSCDTEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */