package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRFFACTEnumeration
{
  public static final SRFFACTEnumeration E_I = new SRFFACTEnumeration("Inscription d'un individu", "I");
  public static final SRFFACTEnumeration E_M = new SRFFACTEnumeration("Mise Ã  jour d'un individu", "M");
  static final SRFFACTEnumeration[] LISTE_ENUM = { E_I, E_M };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRFFACTEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRFFACTEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRFFACTEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRFFACTEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRFFACTEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRFFACTEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRFFACTEnumeration getPourValeur(String pValeur)
  {
    SRFFACTEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRFFACTEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRFFACTEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */