package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRFFHISEnumeration
{
  public static final SRFFHISEnumeration E_O = new SRFFHISEnumeration("Une rubrique est en historique.", "O");
  static final SRFFHISEnumeration[] LISTE_ENUM = { E_O };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRFFHISEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRFFHISEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRFFHISEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRFFHISEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRFFHISEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRFFHISEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRFFHISEnumeration getPourValeur(String pValeur)
  {
    SRFFHISEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRFFHISEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRFFHISEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */