package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRFFRSAEnumeration
{
  public static final SRFFRSAEnumeration E_C = new SRFFRSAEnumeration("Le D.E est bÃ©nÃ©ficiaire du RSA de droit Commun", "C");
  public static final SRFFRSAEnumeration E_D = new SRFFRSAEnumeration("Le D.E est bÃ©nÃ©ficiaire du RSA DÃ©rogatoire.", "D");
  public static final SRFFRSAEnumeration E_0 = new SRFFRSAEnumeration("Le D.E n'est pas bÃ©nÃ©ficiaire du RSA.", "0");
  static final SRFFRSAEnumeration[] LISTE_ENUM = { E_C, E_D, E_0 };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRFFRSAEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRFFRSAEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRFFRSAEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRFFRSAEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRFFRSAEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRFFRSAEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRFFRSAEnumeration getPourValeur(String pValeur)
  {
    SRFFRSAEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRFFRSAEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRFFRSAEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */