package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRFIAPPEnumeration
{
  public static final SRFIAPPEnumeration E_GP = new SRFIAPPEnumeration("GDP", "GP");
  public static final SRFIAPPEnumeration E_AE = new SRFIAPPEnumeration("Attestation Employeur", "AE");
  public static final SRFIAPPEnumeration E_GU = new SRFIAPPEnumeration("GUSO", "GU");
  public static final SRFIAPPEnumeration E_WG = new SRFIAPPEnumeration("WEB GUSO", "WG");
  static final SRFIAPPEnumeration[] LISTE_ENUM = { E_GP, E_AE, E_GU, E_WG };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRFIAPPEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRFIAPPEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRFIAPPEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRFIAPPEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRFIAPPEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRFIAPPEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRFIAPPEnumeration getPourValeur(String pValeur)
  {
    SRFIAPPEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRFIAPPEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRFIAPPEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */