package fr.unedic.logique.service.rac.commun.dra.d01.dictionnaire;

public final class SRFIS6APEnumeration
{
  public static final SRFIS6APEnumeration E_N = new SRFIS6APEnumeration("DonnÃ©e non saisissable.", "N");
  public static final SRFIS6APEnumeration E_O = new SRFIS6APEnumeration("DonnÃ©e saisissable.", "O");
  static final SRFIS6APEnumeration[] LISTE_ENUM = { E_N, E_O };
  final String m_libelleCourt;
  final String m_libelleLong;
  final String m_valeur;
  
  private SRFIS6APEnumeration(String pLibelleCourt, String pLibelleLong, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = pLibelleLong;
    m_valeur = pValeur;
  }
  
  private SRFIS6APEnumeration(String pLibelleCourt, String pValeur)
  {
    m_libelleCourt = pLibelleCourt;
    m_libelleLong = null;
    m_valeur = pValeur;
  }
  
  public String getLibelleCourt()
  {
    return m_libelleCourt;
  }
  
  public String getLibelleLong()
  {
    return m_libelleLong;
  }
  
  public String getValeur()
  {
    return m_valeur;
  }
  
  public static SRFIS6APEnumeration getPourLibelleCourt(String pLibelleCourt)
  {
    SRFIS6APEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleCourt().equals(pLibelleCourt)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRFIS6APEnumeration getPourLibelleLong(String pLibelleLong)
  {
    SRFIS6APEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getLibelleLong().equals(pLibelleLong)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRFIS6APEnumeration getPourValeur(String pValeur)
  {
    SRFIS6APEnumeration retour = null;
    for (int i = 0; (retour == null) && (i < LISTE_ENUM.length); i++) {
      if (LISTE_ENUM[i].getValeur().equals(pValeur)) {
        retour = LISTE_ENUM[i];
      }
    }
    return retour;
  }
  
  public static SRFIS6APEnumeration[] getAll()
  {
    return LISTE_ENUM;
  }
}

/* Location:
 * Qualified Name:     SRFIS6APEnumeration
 * Java Class Version: 6 (50.0)
 * JD-Core Version:    0.7.1
 */